Changes

What's New > Version 5.5 > Changes

EXS24 MKII

Logic Platinum now features the Emagic EXS24 MKII Software Sampler, please view the electronic documentation of the Emagic EXS24 MKII for further information or visit the Emagic Website.

Strip Silence in the Arrange window

The Strip Silence function previously only found in the Audio window can now be accessed using the Arrange window as well. To do so, select an audio region in the Arrange window and choose Audio > Strip Silence.


General Improvements and Changes

What's New > Version 5.3 > General Improvements and Changes

XSKey Authorization window

The XSKey Authorization window displays the authorization status for both platforms: "MacOS Platform support" and "Windows Platform Support". Now the XSKey firmware version is shown in this window as well.

Triplets in the Keyboard Window

In Windows > Open Keyboard Window there is a new switch to create triplets in step-input.


Audio Engine Improvements

What's New > Version 5.3 > Audio Engine Improvements

Independent Output Objects in the Mixer

The levels of all Output objects are usually controlled by the Master object, which in turn is controlled by the master fader of Logic Control. In some cases you may whish to disable individual Output objects from the control by the master object, e.g.; outputs which you use as effect sends to external hardware devices.

Currently Logic 5.3 offers the following workaround: Simply switch these Output objects to "Solo Save" by , ALT-Clicking their Solo buttons. In Logic 5.3 output objects in "Solo Save" will not be controlled by the Master object.

"Solo Save" Metronome Instrument Channel

The audio instrument channel #64 that carries the Klopfgeist metronome instrument is set to "solo safe" automatically. This ensures that the metronome sound stays audible when soloing a channel.
The Klopfgeist is now DOT optimized using extremely little CPU power.


General Improvements and Changes

What's New > Version 5.2 > General Improvements and Changes

Song Settings and Preferences menu changes

The Song Settings and Preferences have now been separated into two discrete areas.

Metronome Settings dialog

Options > Song Settings > Metronome Settings... opens the new settings dialog for the Metronome.

Record Pre-roll

Values for the Record Pre-roll can be set in Options > Song Settings > Metronome Settings... .

New MMC Options

If MIDI Machine Control is enabled, dragging the song position line will send "MMC Locate" commands continuously, until the mouse button is released.
Several new MMC options have been included in Options > Song Settings > Synchronisation Settings...> MIDI.

New Rex file import option

When importing audio files as Rex files Render into single file writes all ReCycle slices into a single audio file using the current Logic song tempo for the rendering process.


Audio Engine Improvements

What's New > Version 5.2 > Audio Engine Improvements

Logic Platinum's Audio Engine has been updated, expanding its functionality extensively.

It now features

  • 15 inserts per Track and Bus
  • 64 native Busses
  • 64 Aux Channels
  • 64 Audio Instrument Objects
  • 64 multiple outputs of Audio Instruments.
  • 128 Stereo Tracks
  • 256 Stereo Tracks with multiple audio hardware

In addition to improving performance, the enhanced Audio Engine offers several new and highly flexible routing options:

Bus destinations

It is now possible to assign the output of a higher-numbered Bus to one with a lower number. Example: the output of 'Bus 4' can now be assigned to Bus 3, 2 or 1 as well.

More input sources for plug-in side chains

In addition to Audio Tracks, Audio Inputs and Busses can now be used as side chain sources for side chain capable plug-ins.

Monitoring with effect plug-ins

Record-enabled (armed) Audio Tracks with assigned audio inputs can now be monitored with effects plug-ins inserted into the armed audio channel.

Pre-processing of input signals

It is now possible for Audio Input channels to process an incoming audio signal destructively.

Realtime Sample Rate Conversion

Since Versin 5.2 Logic Platinum performs a native realtime Sample Rate Conversion.

Audio Hardware & Drivers - New Parameters

Audio > Audio Hardware & Drivers >
- Process Buffer Range choose between Small, Medium, Large and Jumbo buffer sizes. This parameter is particularly helpful for users of DSP-cards. Smaller buffer sizes have a positive effect on latencies and system response when using DSP-cards, however the CPU load will increase slightly as well.

- Max. Scrub Speed determines the maximum possible playback speed while scrubbing. (Normal, Double)

- Scrub Response adjusts the way the scrub facility reacts to your mouse movements. (Slow, Normal, Fast, Faster)


New Aux Objects

What's New > Version 5.2 > New Aux Objects

Logic 5.2 introduces the native Aux Object.


Plug-ins enhancements

What's New > Version 5.2 > Plug-ins enhancements

Plug-in settings handling

Using the same channel and insert slot it is now possible to change a mono version of an effect plug-in to a stereo version of the same plug-in (or vice versa) without losing any parameter edits in the process. Any parameter edits will be transfered.

Plug-in settings menu additions

The plug-in settings menu is the pop-up menu down-arrow next to the Bypass button in each plug-in window. Two new entries now appear in the plug-in settings menu: Next Setting and Previous Setting.
Tip: Key commands can be assigned to perform this function. Options > Preferences > Key Commands ... > (search for "plug-in")

Changing Parameter Values

In the open plug-in window click on the parameter for incrementing /decrementing parameter values using the mouse scroll-wheel or, +/- keys.

Plug-in sample rates

All plug-ins now support sample rates from 11kHz to 200kHz.

New "I/O" plug-in

The I/O insert plug-in, allows routing of external effect processors into the Logic mixer.

Modulation Delay

Three new controls have been added to the Modulation Delay, allowing independent rates of the right LFO, in stereo mode.

Stereo Delay

Phase buttons have been added to the Stereo Delay plug-in for all feedback options in 001011 view. Options are: Normal and Inv(erse).


Software Instrument Changes

What's New > Version 5.2 > Software Instrument Changes

Support for Software Instruments with multiple outputs

Software Instruments with multiple outputs like the Emagic EXS24 software sampler can be accessed through Audio Instrument Objects.

Settings Handling

Settings Handling
Using the same instrument channel it is now possible to change a software instrument to a multiple output version of the same instrument plug-in (or vice versa) without losing any parameter edits in the process. Any parameter edits will be transferred.

Change to Audio Instrument Object layout

The insert slot for Software Instruments has been moved down to the I/O section of the Audio Instrument Object. It is now located just above the output selection field, visually aligning itself with the channel I/O sections of all the other types of audio objects. This results in a more concise mixer layout.


Automation Enhancements

What's New > Version 5.2 > Automation Enhancements

External MIDI Control

It is now possible to integrate an external MIDI controller (Modulation Wheel etc.) into Logic's automation system and record external MIDI information as Track Automation data.

This can be done with a new mode of the Transformer environment object: Track Automation Splitter.

You will need one Transformer object for each parameter that you wish to address and automate.

- Example: Control and automate the ES P filter cutoff using an external modulation wheel (CC#1)
Minimal environment setup: In the Logic Environment create a Transformer object with New > Transformer. Connect the Physical Input object with the Transformer object. Connect the top output cable of the transformer to an instrument channel object with the ESP-Synthesizer inserted in the instrument slot. Connect the second output of the Transformer to the "Recording & Through" object (sequencer input). Open the transformer parameter box by double clicking the transformer object. In the flip menu select "Track Automation Splitter" as the transformer mode. As the input condition set: | Status: Control | Cha: All | -1-: 1 |. As the output operation set the event type to: | Status: Fader | Cha: 2 | -1-: 7 |.

In this setup the modulation wheel will control the ESP filter cutoff of the respective instrument. Modulation Wheel movements can be automated using the usual automation modes (read, write, touch, latch).

Transformers need to be set up in a cascading configuration for each additional parameter you wish to automate via external MIDI controllers.

For more information on Environment programming consult your Logic User Manual.

Instruments

If the instrument of an Arrange track is changed, Logic will check for existing automation data. If automation data is found, the following alert message will be displayed:
"There is automation data for the previous instrument. Do you want to move or copy the automation data to the new instrument? [No|Copy|Move]"

If either "copy" or "move" is selected, Logic will check if any automation data exists for the destination instrument, and will "intelligently" replace this automation data. This "intelligent" replace only supplants automation data at locations where source data exists - e.g. between bars 3 and 6, for example. Non-conflicting data is automatically merged.

Folders

The content of folders is now checked for tracks with automation data, when moving a folder. If automation data exists, this will also be moved (dependent on the status of the "Ask" or "Always" setting).

New Key Commands

There are several new key commands for the track automation system: Options > Preferences > Key Commands... search for 'Automation').

Limiting Automation Write Options

The recording of automation can be limited to certain types (Vol, Pan, Mute, Plugin) in all write modes (Latch, Touch, Write).
Filter buttons for each are found in Options > Track Automation > Track Automation Settings.

Converting automation data

It is possible to copy and convert the automation from one parameter to another.

Solo

Solo can now be automated. Solo automation is disabled by default. Options > Track Automation > Track Automation Settings

Mute

Now recording (or inserting) the first mute change behaves as expected - i.e. the initial mute state is kept.

Changed display of Pan and Mute

Compared to Version 5.1 and earlier Pan and Mute are displayed in an inverse orientation for HyperDraw and the small fader in the arrange window.
Now PAN left is up and Pan right is down - likewise un- muted is up and mute is down.


Editor Changes

What's New > Version 5.2 > Editor Changes

Score Editor

- Chord Symbol Language
In the flip menu on the Global Format page choose between

  • International
  • German1
  • German2
  • German3
  • Roman

as language for the Chord Symbols.

Matrix Editor

- Mute Tool

The Matrix editor now features a Mute Tool allowing to mute specific notes in a sequence.

- Matrix Color Setup

in the Matrix Editor select View > Matrix Color Setup to launch the window.

Event List

- Release velocity

Logic is now able to edit Release Velocity.

- Mute Tool

The Event List editor now features a Mute Tool allowing to mute specific notes in a sequence.


Track Mixer Enhancements and Changes

What's New > Version 5.2 > Track Mixer Enhancements and Changes

Several navigation enhancements have been implemented into the Track Mixer also the track view option Same Instrument Tracks will enhance working with the mixer.


Logic Control Changes

What's New > Version 5.2 > Logic Control Changes

The following button pushes refer to the Logic Control control surface.

Pressing SHIFT+MUTE button while EQ, SEND, PLUG-IN or Instrument button is activated, toggles Bypass of the current EQ, Send, plug-in or Instrument. For plug-ins this function works in Multi Channel and Channel Strip View - for EQ, Send and Instruments this works only in Multi Channel View.

Track Channel Strip View:
SHIFT + MUTE 1 or SHIFT + MUTE 2 toggles track mute
SHIFT + MUTE 3 or SHIFT + V-Select 3 toggles instrument mute
SHIFT + MUTE 4 or SHIFT + V-Select 4 toggles plug-in insert 1 bypass
SHIFT + MUTE 5 or SHIFT + V-Select 5 toggles plug-in insert 2 bypass
SHIFT + MUTE 6 or SHIFT + V-Select 6 toggles Send 1 Mute
SHIFT + MUTE 7 or SHIFT + V-Select 7 toggles Send 2 Mute
SHIFT + MUTE 8 or SHIFT + V-Select 8 toggles Send 3 Mute

Pressing OPTION+SELECT 1 ... 8 creates a new track of the same type and number and switches to the Extended Track View.

SHIFT+OPTION+SELECT 1 ... 8 creates a new track of the same type and the following track number and switches to the Extended Track View.

CMD/ALT + F1 equals "Cut" key command
CMD/ALT + F2 equals "Copy" key command
CMD/ALT + F3 equals "Paste" key command
CMD/ALT + F4 equals "Clear" key command
CMD/ALT + F5 equals "Select All" key command
CMD/ALT + F6 equals "Select All Following" key command
CMD/ALT + F7 equals "Select Similar Objects" key command
CMD/ALT + F8 equals "Select Inside Locators" key command

Note: Logic will now create a separate "Control Surface Plug-ins" folder inside the Logic folder for each new version number i.e. for Logic 5.2.0 it is now "Control Surface Plug-ins 5.2.0". The new naming convention allows to place different Logic software versions together in one folder while ensuring that each Logic version will load its compatible control surface plug-in. (Logic version 5.1.0 loads its Logic Control module from the original "Control Surface Plug-ins" folder.)


EXS24

What's New > Software Instruments > EXS24

Multiple Outputs

The EXS24 now offers 5 stereo pairs and 6 individual mono outputs. The first 10 EXS24 outputs are always configured as stereo pairs. Outputs 11 through 16 are mono outputs.

The "Main" output pair (1-2) of the EXS24 is assigned to its instrument channel. Additional outputs starting with output 3 are accessed via the new Aux channels. Please refer to the paragraph on Aux channels above.

Individual output assignments may be set for groups, or zones, within an EXS24 instrument. If zones are assigned to their individual outputs, any existing group outputs for the zones will be ignored. All output assignments are stored with the EXS24 Sampler Instrument.

If the EXS24 is inserted as a regular (not multi channel) mono or stereo plug-in, all multiple output assignments stored with a Sampler Instrument are automatically routed to the main stereo output pair, or mono output, respectively.

Instrument menu additions

Now two new entries appear in the Instrument menu: Next Instrument and Previous Instrument. Using the Previous and Next Instrument command you can sequentially step through existing Instruments in the menu.

Tip: Key commands can be assigned to perform this function. Options > Preferences > Key Commands ... > (search for "instrument")

New Recycle Convert Options

There is a new Recycle convert function allowing the use of 'old school' sample trigger techniques. Menu: Audio > EXS24 Instrument Editor > Instrument > Recycle Convert.

- Slice Loop and make new Instrument
- Slice Loop and add samples to current Instrument

The first option creates a new EXS24 sample instrument while the second option adds the zones with their samples to the currently active EXS24 sample instrument.

Function: Using the Recycle slices the EXS24 first renders one single audio file which equals the whole Recycle loop played back at the current Logic song tempo. Instead of importing and playing back a single discrete Recycle slice, each zone will play back the Recycle loop to its very end starting with the slice points original assigned to the respective zone. That means the lowest zone will play back the entire loop while the highest zone plays the last slice of the loop only. With this option the EXS24 allows for loop trigger techniques often used in 'old school' Drum'n'Bass tracks. This way the sample loop start point is determined by playing the respective notes on the keyboard.

Gigasampler File Format Import

The EXS24 can now import files stored in the Gigasampler format (.gig). This function is found in the 'Options' menu of the EXS24. Tip: In order to playback long audio files, the EXS24 Virtual Sample Memory extension should be installed.

For information on Software Instruments from Emagic please visit our website.


ES2

What's New > Software Instruments > ES2

The Pitch Bend maximum range has been extended to 36 semitones.

The ES2 now reacts to poly pressure (polyphonic aftertouch). If "Touch" or "Whl+To" is selected as a router Source or Via option, the sum of channel pressure and the note-specific poly pressure value is used.

There are two new router Sources/Vias available: NoteOnRandom1/2 ("RndNO1" and "RndNO2"). NoteOnRandom1 is a random modulation value between -1.0 and 1.0 (same range as an LFO), that changes when a note is triggered or re-triggered (thus no value change when playing legato, while in legato mode). This (random) note-on modulation remains constant throughout the duration of the note until the next trigger.

NoteOnRandom2 behaves like NoteOnRandom1 with the exception that it glides to the new random value using the GlideTime (incl. modulation). It also differs from NoteOnRandom1 in that the (random modulation) value changes when playing legato, while in legato mode.

New router targets: OSCWavB/Osc1WavB/Osc2WavB/Osc3WavB offering additional oscillator specific modulations.

OscWaveB - behaves as Osc1WavB/Osc2WavB/Osc3WavB but applies to all oscillators (much like Pitch123).

DigiWaves: In previous ES2 versions there was always a smooth transition if wavetable modulation is active for a DigiWave using Osc*Wav. Setting up an additional Osc*WavB modulation allows the shape of the transitions to be continuously altered from smooth to hard.

FM (Osc1): The maximum FM intensity was quite limited. Using the new target Osc1WavB, rather than Osc1Wave, allows really extreme modulations.

For information on Software Instruments from Emagic please visit our website.


EVP88

What's New > Software Instruments > EVP88

EVP 88 now supports all song sample rates.
The "Expression" MIDI controller now scales output level.

For information on Software Instruments from Emagic please visit our website.


EVB3

What's New > Software Instruments > EVB3

Logic 5.3 supports the EVB3 organ plug-in.
This new instrument emulates the Hammond B3 tonewheel organ.
As with other Emagic software instruments, you may test this instrument without limitations for a period of time. To do so, simply activate its demo period in the XSKey Authorisation window.

For information on Software Instruments from Emagic please visit our website.


EVD6

What's New > Software Instruments > EVD6

Since Version 5.2 Logic supports the EVD6 Clavinet plug-in. This new instrument emulates the Hohner D6 Clavinet .
As with other Emagic software instruments, you may test the EVD6 without limitation for a period of time. To do so, simply activate the demo period for each in the XSKey Authorisation window.

For information on Software Instruments from Emagic please visit our website.

Logic 5.3:

EVD6 new functions

New EVD6 Model
"Dulcimer": Another Model has been added to the list of EVD6 string instrument simulations.

MIDI Velocity as Modulation Source
MIDI Velocity is now available as a modulation source for the Damper wheel (DamperCtrl) and the Wah cutoff-pedal position (WahCtrl). Click into the respective parameter field and select velocity from the ensuing pop-up menu.

Mono and Legato Voice Modus
The parameter Voices now offers two monophonic settings: Mono and Legato:
In the mono setting the EVD6 is monophonic. In this mode the EVD6 voice will be triggered each time a key is pressed.
In the legato setting the EVD6 is monophonic. In this mode the EVD6 sound shaping processes will not be triggered if the notes are played legato - only the pitch changes. If the notes are played staccato an EVD6 voice with all sound shaping processes is triggered.


The XSKey

Authorisation > The XSKey

The XSKey is a USB hardware device, that protects your Logic Platinum version and all additional modules you purchased. It authorizes the main program and those modules - mostly the Emagic Software Instruments. When purchasing Software Instruments you can authorize them via the XSKey which is much more convenient than using a CD-ROM based protection scheme.

The XSKey also allows you to activate all modules in demo mode: for a limited time you have full access to all their features to check them out.

Please read the instructions included in the program package carefully to find out how to authorize the XSKey.


The XSKey Window

Authorisation > The XSKey Window

You can open the XSKey Authorization Window via the Help menu.

The XSKey Authorization Window shows the current status of all software "modules":

The following describes the meaning of the messages you may see in the XSKey Authorization window.

- authorized :
The module is purchased, authorized and ready for "perpetual" use.

- expiring in ... days :
This module is in a fully functional demo period for the specified number of days. Purchase, and registration, with Emagic will provide you with a code to permanently authorize the module. If no code is supplied within the time period, the demo will expire. During an active demo period it is not recommended to alter the date of the system clock as this might shorten the time until the demo expires.

- activate Demo
The module is not active, but it is possible to enable its demo mode. To do so, click once in the desired "Activate Demo ..." field. Please note that the first time it is started, the demo mode can not be stopped, and will continue to countdown! If a permanent license/authorization code is not purchased within the demo period, the module will expire.

- expired :
The demo period is over. It is not possible to use the module until a valid license code is entered.

- empty field :
The module is not active, and no demo mode is available. The only way to activate such modules is by entering a license code.

Other XSKey Authorization Information

The XSKey Authorization window also contains further information and options, as follows:

  • Your XSKey serial number.
  • The Authorization Code (lowest line) field is the most important in the window. This text-edit box is where you enter the purchased code.
  • The XSKey holds a platform-specific authorization, which means that you will initially activate it for a single plattform. You may freely activate the alternate platform's demo period, or may purchase a license for it. This allows you to have a single XSKey which will run on both platforms.


Audio Hardware Setup

Getting Started > Audio Hardware Setup

Logic Platinum allows the simultaneous use of MME/DirectSound, ASIO, Audiowerk,Windows computer, the individual audio hardware devices can play back up to 128 tracks of audio data. Logic Platinum supports up to 256 tracks of playback when multiple audio hardware devices are used in combination. Audio hardware ranging from 16 bit/44.1kHz through to 24 bit/96kHz is supported.

Logic Platinum also features surround sound panning in all popular formats, such as 5.1, for audio devices with multiple output channels.


Hardware Settings

Getting Started > Audio Hardware Setup > Hardware Settings

MME and DirectSound

When using hardware with an MME/DirectSound driver, Logic's EASI/MME setup utility will detect the hardware and determine the best buffer settings etc. for it.

Should there be any issue with the card's driver software or an incorrect installation or system incompatibility, you can manually adjust the settings via the EASI/MME setup utility, which can be found in the Logic program folder or via the Start menu shortcut.

It has excellent online help which will assist you with the correct selection and settings of the various parameters.

The following steps are generally unnecessary, but should you need to manually select an EASI/MME device within Logic:
N.B.-This is in addition to using the EASI/MME utility.

  • Open the Audio Menu.
  • Select the Audio Hardware & Drivers Menu option.
  • In the ensuing dialog window, select the Audio Driver tab
  • Click the PC-AV checkbox.
  • Ensure that the correct driver - EASI MME - is selected in the flip menu. You may find that some devices, which feature several chipsets, can have a separate "driver" for each.

ASIO

Logic will automatically detect any ASIO driver installed on the system. The procedure for adjusting the settings in Logic for use of an ASIO driver is as follows:

  • Open the Audio Menu.
  • Select the Audio Hardware & Drivers Menu option.
  • In the ensuing dialog window, select the Audio Driver 2 tab.
  • Click the ASIO checkbox.
  • Ensure that the correct driver is selected in the flip menu. Some devices may feature more than one ASIO driver and will show up as different devices e.g. 16/32-bit versions.
  • Adjust clock settings if applicable to your hardware.
ASIO Buffer Delay and Max I/O Streams should generally be left alone and the default driver settings should be used. If you are experiencing any difficulties, then these settings can be adjusted. Also see the Audio Engine Parameters section.

Yamaha DSP Factory

To directly access Yamaha's DS2416, follow the steps outlined below.

  • Open the Audio Menu.
  • Select the Audio Hardware & Drivers Menu option.
  • In the ensuing dialog window, select the Audio Driver 2 tab.
  • Ensure that the correct driver is selected in the ASIO flip menu. Available in 16 Bit and 32 Bit versions. The 32 Bit driver allows for the configuration of latency values between 500 and 3072 samples.
  • Adjust clock settings if applicable to your studio hardware setup.
N.B.-The I/O handling of the DS2416 is controlled via ASIO in Logic Platinum. ASIO drivers version 2.4 and higher are REQUIRED by Logic.

Use of the DS2416 in conjunction with an SW1000 sound card, requires that the support of the SW1000 in the ASIO driver of the DSP Factory be switched OFF. In addition, the parameter clock source in the ASIO section needs to be set to "SI"-serial in.
For the latest driver downloads, go here:
http://www.yamaha.co.uk/proaudio/technical/dow_main.htm

Direct I/O

Digidesign hardware, such as the Digi001 and Audiomedia III, can be addressed via the Direct I/O interface, as per the following:

  • Open the Audio Menu.
  • Select the Audio Hardware & Drivers Menu option.
  • In the ensuing dialog window, select the Audio Driver 2 tab.
  • Click the Direct I/O checkbox.
  • Adjust clock settings if applicable to your studio hardware setup.
  • N.B.- A Direct I/O driver MUST be installed on the system for use of the Direct I/O interface in Logic - e.g. Wave Driver version 1.6 or higher. For further information, please contact Digidesign.

Other Drivers

The setup for Emagic's own driver interface EASI is similar to the ASIO instructions discussed above.


Audio Engine Parameters

Getting Started > Audio Hardware Setup > Audio Engine Parameters

These options are found in Logic's Hardware Setup window and allow you to "fine tune" your audio system/hardware performance.

Volume Smoothing [ms]

This parameter defines the length of the fade between two consecutive volume values for an audio track. When setting this value to 0 you might hear "zipper noise" when moving a volume fader during playback. Higher values soften the volume changes and eliminate the zipper noise.

Max. Number of Audiotracks

The Audio Engine requires free system memory. The amount of memory needed depends on the maximum number of tracks to be played, and on the number of I/O channels supplied by the driver. This setting allows you to reduce the amount of memory used by the driver, by reducing the number of tracks. This may be practical should you wish to run other applications or audio hardware types simultaneously.

Max.Scrub Speed

Set speed for scrubbing audio regions.

Scrub Response

Set response values for scrubbing audio regions.

Larger Disk Buffer

This option influences the amount of audio data that is read from the disk in advance. It is deactivated by default, matching the demands of fast hard drives and powerful computers.

Should you experience frequent error messages while running Logic in this mode, you can switch this setting ON. This will allow an increase in the number of playback tracks and reliability.

Process Buffer Range

With this parameter you can determine the size of the native buffer used to compute mixes and effects.

If you find your system straining under the load, setting the Process Buffer Range to large reduces response times for operations such as volume changes or track soloing. Experiment with the four Process Buffer Range settings and the settings mentioned above to find the optimal configuration for your Logic Platinum system.


Third Party Audio Plug-In Setup

Getting Started > Third Party Audio Plug-In Setup

Besides the support for the Emagic Software Instrument range (ES1, EXS24, EVP88, ES2, EVD6) and the three built-in Software Synthesizers (ES M, ES E and ES P) Logic Platinum contains 53 high-quality internal DSP audio effects algorithms. Although we're sure that the range and quality of our native effects plug-ins and Software Instruments will impress you, Logic also features support for other plug-in types.

Several plug-in formats have evolved:

  • VST
  • Premiere
  • Audiosuite
  • DirectX

- VST plug-in integration

Many VST plug-ins can be integrated into Logic Platinum by simply copying the files into the VSTPlugIns folder, within the Logic program folder itself. Other VST plug-ins may require an installation procedure similar to that of a standard Windows program setup.

You can avoid particular plug-ins being shown in Logic's plug-in list, by moving any plug-in file to another folder, which could be named "VST Unused", as an example.ÊFor plug-ins which have been added via an install procedure, you should take care when doing this and keep a record or backup of the original file locations.

- DirectX plug-in integration

Logic Platinum also supports DirectX plug-ins. Please follow the manufacturer's instructions for the installation and use of these types of plug-ins.

DirectX plug-ins are handled differently in Logic Platinum than VST plug-ins. In your Logic Platinum Start menu folder, you will find an application called PlugIn Enabler which allows the enabling/disabling of DirectX plug-ins. You can launch the application by double-clicking on its icon and can then follow the instructions accessible via the Help button.


Setting up Your MIDI Hardware

Getting Started > Setting up Your MIDI Hardware

Logic Platinum will automatically identify any MIDI ports correctly installed in Windows during its setup procedure.
Having followed the information above, Logic Platinum should now have all audio and MIDI hardware correctly identified and ready for use.

We're sure that at this point, you're ready to hear some music.


The Concept

Getting Started > About the Environment Window > The Concept

Logic Platinum's Environment window is used to transfer data in to and out of the program.

Put simply, the Environment allows you to set up an onscreen "flowchart" of your connected MIDI equipment and to include additional processing tools, such as arpeggiators, faders, pan pots and more. These additional tools, plus your onscreen "instruments" are collectively known as "objects" in the Environment.

You can also set up audio "objects" for your individual audio channels plus buss and master fader objects.

The Environment can also be used to create extremely flexible real-time data processing tools, including step sequencers, rhythm generators and more.

The key word and concept to keep in mind when dealing with the Environment is "flowchart". The Environment allows you to clearly define how you want your MIDI data flow to be sent to and from your physical MIDI devices. In addition to this, you can set up software "objects", such as onscreen faders to access virtually any parameter of your physical MIDI devices.

This diagram shows a number of "objects" connected to one another in the Environment. If you plan out your connections and follow a "Logical" path through, you will find using the Environment a breeze.

The way the Environment is traditionally used is that an individual "layer" is created for each MIDI device in your setup. These layers access your various MIDI instruments and devices, patch lists and also the processing objects mentioned above. The Environment can be as simple or complex as you need (or want) it to be, dependent on your use of Logic.

To help you understand how the Environment works on a basic level, follow this simple "step by step" guide. Here, you will learn how to completely set up your MIDI and audio inputs and outputs, plus define onscreen "Instruments", which represent your real-world MIDI devices.

Building an Environment


Building an Environment Steps 1 to 3

Getting Started > About the Environment Window > Building an Environment Steps 1 to 3

To help you understand how the Environment works on a basic level, follow this simple "step by step" guide. Here, you will learn how to completely set up your MIDI and audio inputs and outputs, plus define onscreen "Instruments", which represent your real-world MIDI devices.

First, create a new Song and trash its Environment:

  • Create a new Song by selecting "New" from Logic's File menu.
  • Open an Environment window by selecting "Open Environment" from the Windows menu.
  • Select the "All Objects" Layer from the Layers pop-up menu.
  • Select all the objects on this Layer by choosing "Select All" from the Environment window's Edit menu.
  • Delete all objects by selecting "Clear" from the Edit menu.
  • Save this Song. Give it a name like "Blank Song", or similar.

Second, create and cable the input objects:

  • Select the "Clicks & Ports" Layer from the Layers menu.
  • Select "Physical Input" from the Environment window's New menu.
  • Select "Sequencer Input" from the Environment window's New menu.
  • Click and hold on the "SUM" outlet of the PHYSICAL INPUT object and drag a cable to the SEQUENCER INPUT object.

Third, create a list of your studio's MIDI devices:

  • Make a list all the MIDI devices that are connected to MIDI output ports of your MIDI interface.
  • For each device on the list, indicate whether it receives on one or several MIDI channels.
  • For each sound-producing device on the list, indicate whether it is multi-tonal. (Multi-tonal means that different notes make different sounds rather than making the same sound at different pitches. Drum, percussion and sound effects modules are examples of multi-tonal synths.
N.B.-For GM synths, which have several preset GM drumkits, you should simply view these as "multichannel" synths, as per the above point. Handling of their multi-tonal presets-i.e. drumkits-is covered below.

Next steps


Building an Environment Steps 4 to 5

Getting Started > About the Environment Window > Building an Environment Steps 4 to 5

Fourth, create an INSTRUMENT for each MIDI device on your list:

  • Go to the Layer named "MIDI Instr." by selecting it from the Layers menu.
  • For the devices that receive on only one MIDI channel but are not "multi-tonal", create a standard INSTRUMENT by choosing "Instrument" from the Environment window's New menu.
  • For the devices that receive on more than one MIDI channel, create a MULTI-INSTRUMENT by choosing "Multi-Instrument" from the New menu.
  • For the multi-tonal devices, create a MAPPED INSTRUMENT by choosing "Mapped Instrument" from the New menu.

Fifth, set the port and channel parameters for each of the INSTRUMENTS you've created:

  • Set the port and channel of each standard INSTRUMENT using the "Cha" parameter in its Parameter Box.
  • Set the port of each MULTI-INSTRUMENT using the "Cha" parameter in the global Parameter Box-i.e. the one for the whole MULTI-INSTRUMENT not one of its sub-instruments.
  • Set the port and "base" channel for each MAPPED INSTRUMENT using the "Cha" parameter in its Parameter Box. (You can change the channel and cable for individual notes in the MAPPED INSTRUMENT'S window-accessible by simply double-clicking on the MAPPED INSTRUMENT object.)

Next steps

Previous steps


Building an Environment Steps 6 to 7

Getting Started > About the Environment Window > Building an Environment Steps 6 to 7

Sixth, set up the Arrange window's Track List:

  • Within the Environment window, select each of the INSTRUMENTS that you created and choose a name and icon for it in its Parameter Box. For MULTI-INSTRUMENTS, ensure that you use the global Parameter Box and not one of the sub-instrument's Parameter Boxes.
  • If you wish, a color can be applied to each object by choosing "Object Colors" from the View menu. The color applies to both the Environment window object and the Arrange window's Track list.
  • Remove each of the MULTI-INSTRUMENTS you created from the Arrange window's Track list by unchecking its "Icon" checkbox in the global Parameter Box.
  • For each MULTI-INSTRUMENT sub-instrument that you want on the Track list's Instrument menu, click the sub-instrument number in the MULTI-INSTRUMENT and check its "Icon" checkbox.

Seventh, create the AUDIO OBJECTS to match your setup:

  • Go to the Environment Layer named "Audio" by selecting it from the Layers menu.
  • Create an AUDIO OBJECT for each playback channel of your HD recording system.
  • Set the audio device, audio track and MIDI channel for each AUDIO OBJECT. The MIDI channel determines what incoming MIDI messages will affect the AUDIO OBJECT'S settings

Congratulations. You've created a basic working Environment for MIDI and Audio sequencing with Logic.

Previous steps


Ready-made Environments

Getting Started > About the Environment Window > Ready-made Environments

Many existing synthesizers and MIDI devices have already had environments built for them by Logic users from around the world and by Emagic themselves.

Some can be found on the Logic Platinum program CD-ROM and further environments can be found at:
http://www.swiftkick.com/lugec.html

This site also features a number of freely downloadable "basics" documents on the Environment window.

You can use the Import Layer function in the Environment's Options menu to get these pre-built environments into your song files or can simply choose to open the song files via the main File menu.

These pre-existing environments can also be very useful as a reference source. Just follow the "flowcharts" in these environments to see how they have been configured.


The Arrange Window

Getting Started > The Arrange Window

The Arrange Window is Logic Platinum's primary working window. It is divided into three basic "areas"-from left to right, these are; the Parameters, the Track List and the Arrange area. Above the Arrange area, you'll find the Bar/Beat Ruler, sometimes referred to as the Timeline.

While reading the information in this section, you'll learn how these various areas interact with each other and will also discover how similar the handling of both MIDI and audio regions is in Logic Platinum.


MIDI Sequence / Audio Region parameters

Getting Started > The Arrange Window > MIDI Sequence / Audio Region parameters

The Parameters Area

There are three "boxes" in the parameters area. They are, from top to bottom, the MIDI Sequence / Audio Region parameters, the Tool Box and the Track/Instrument parameters.

The MIDI Sequence / Audio Region parameter box is directly related to the MIDI sequences and audio regions which appear as colored rectangles in the arrange area to the right of the Arrange Window. When any object, either MIDI sequence or audio region, is selected by clicking ONCE on it with the mouse, this parameter box will update to reflect the parameters assigned to that particular object.

Each object in the Arrange area may have its own parameter settings, allowing independent transposition, quantization and more. The parameters for MIDI sequences and audio regions are different.

Some Tips for working with Logic's Parameters

  • In the Sequence Parameters box, the transpose and delay functions have a couple of "zones" to the right of the text where you can click your mouse. If you click to the extreme right of the box, you will be able to increment/decrement values in individual steps. If you click the mouse in about a centimeter or two from the right hand edge of the parameter box, a flip menu of mathematical variables will show up -1/8th, 1/16th a.s.o.-allowing you to select one, if appropriate to the task at hand.
  • Double-clicking on almost all numerical values in any parameter box, editor, on the transport bar etc. will allow you to directly type in a value. This method of direct numerical entry can be used for quantize, program changes, FX parameters etc. which will accelerate your workflow. To do this, double-click on the numerical values within the various parameter fields and use your computer keyboard to type in a new value, followed by the Enter key. You will also find that direct numerical entry works on many graphical elements in Logic Platinum. Such objects that don't appear to have a direct numerical entry possibility, including pan pots, faders etc. in the Environment, can be interracted with in this fashion.
It should be noted that all of the object parameters are available as real-time processes, meaning that changing these parameter values can occur while Logic Platinum is running.


The Tool Box

Getting Started > The Arrange Window > The Tool Box

The Parameters Area

There are three "boxes" in the parameters area. They are, from top to bottom, the MIDI Sequence / Audio Region parameters, the Tool Box and the Track/Instrument parameters.

The Tool Box is the key to selecting and altering MIDI and audio data in Logic Platinum's Arrange Window and it's other editing windows.

This toolbox contains a pointer, pencil, eraser, text tool, scissors and glue tool, which allow you to select, copy, paste, draw, delete, name, cut and merge MIDI sequences or audio regions. Furthermore there are tools which allow you to solo, mute, and magnify: the solo tool, mute tool and mygnifying glass tool. These tools can be used to edit both audio and MIDI data even at the same time. The crossfade tool is for audio regions only. With the automation tool automation data can be edited.

The toolbox is context-sensitive and additional (or fewer) tools will appear for particular tasks in the various individual edit windows.

Toolbox Tip

When you need to use any of the tools, hit "esc" on your computer's keyboard and the Toolbox will "float" at the spot your mouse pointer currently occupies onscreen. When the floating toolbox appears, simply select the appropriate tool with your mouse cursor.


Track/Instrument parameters

Getting Started > The Arrange Window > Track/Instrument parameters

The Parameters Area

There are three "boxes" in the parameters area. They are, from top to bottom, the MIDI Sequence / Audio Region parameters, the Tool Box and the Track/Instrument parameters.

The Track/Instrument parameters are linked to the second onscreen area-the Track List-and sets global parameters such as the selection of instruments (Prg-Program Change), the overall track volume, transposition and more for ALL objects on the track. A "track" is an object/collection of objects in the arrange area which are aligned horizontally with a particular track name.

This parameter box will update each time a new track is selected in the Track List.


The Tracklist

Getting Started > The Arrange Window > The Tracklist

The second column from the left is the Track List. This is where you can add, delete, select, name and reorganize the tracks/instruments used in your song.

Note the red "R" on the ASR8 track. This track is "armed" for recording and any MIDI input received by Logic, when the record button is depressed on the Transport bar, will be recorded to this track. This recording will then appear as a sequence object in the arrange area.

The blue "M" on track 8-the second "MR 4 Dance Kit"-indicates that all objects on the track are muted-i.e. all objects aligned horizontally on this track are silent.

The orange and red indicators to the left of tracks 5, 6, 7, 15 and 16 are level meters. These are useful aids for keeping an eye on what tracks contain objects that are currently playing and their relative levels.

Record arming and muting/unmuting of audio or MIDI tracks is achieved by clicking on the R or M buttons for each track in the Track List. Once armed, pressing the record button on the Transport Bar will start recording audio or MIDI data to the selected track.


Position and size of tracks

Getting Started > The Arrange Window > Position and size of tracks

Reorganizing Your Tracks

You may want to reorganize your tracks to keep things neat onscreen or to group particular instruments together, which can be useful for scoring.

To do this, move your mouse pointer over the NUMBER on the track you wish to move which will change the appearance of the cursor to a "hand" icon as shown.

Click and hold the mouse button and drag the track up or down the Track List to the desired location, then release the mouse button. This will both change your track order, and also move all of the associated Track objects in the Arrange area.

Resizing Tracks/Objects

This function allows you to independently resize individual tracks/objects, which may be useful for a number of musical situations.

As an example, zooming in on an audio drum loop region to obtain a visual reference of "hit points" in the waveform overview. This enhanced visual cue may aid you in getting your sequenced parts perfectly aligned with various downbeats in the audio region.

To independently resize a track/sequence or audio object, move your mouse pointer to the left of the number on the track you wish to resize which will change the appearance of the cursor to the "Finger" icon.

Click and hold the mouse button and drag up or down the track list until the required zoom level is attained, then release the mouse button.

- Auto Track Zoom
The function View > Auto Track Zoom automatically enlarges the currently selected track, clicking on a track will instantly resize it.


The Arrange Area

Getting Started > The Arrange Window > The Arrange Area

This is where audio regions and MIDI sequences are "arranged" into a song. In this area, you can freely drag and drop your objects from position to position, make aliases, loops, copies and more.

Audio and MIDI data can be recorded directly into the Arrange area as mentioned earlier in the Track List section. You can even add audio regions - in either WAV or AIF format - directly to the Arrange area by drag and dropping them from any folder on your hard disk.


Automation

Getting Started > The Arrange Window > Automation

Switching on Automation:

  • Select the track you wish to automate.
  • Open the View menu and select Track Automation.
  • The look of the track column will change accordingly.
  • In the upper area with rounded boundaries you can choose a parameter to automate. The selection depends on the type of track object.
  • Click directly in the region where you would like to insert automation data.
  • Automate any parameter of any track within the Arrange window.

The HyperDraw function allows you to visually insert a set of points, which are automatically connected to a segmented line, shown below.


The Bar/Beat Ruler

Getting Started > The Arrange Window > The Bar/Beat Ruler

Within the Arrange window, you can also visually refer to your current song position via the Song Position Line (SPL) and the Bar/Beat Ruler.

The Bar/Beat Ruler. Note the light colored areas. The longer portion indicates a cycle region and the shorter one shows drop in/out points.

The LEFT and RIGHT Locators in the Transport bar and in the Bar/Beat Ruler at the top of the Arrange window allow you to set cycle region boundaries to facilitate cycling over a part. You can do this by clicking and dragging from left to right directly in the Bar/Beat Ruler with the mouse. Any changes made directly to the cycle region start and end points in the Bar/Beat Ruler or to the Locator values in the Transport Bar will be reflected in the other.


The Transport Bar

Getting Started > The Arrange Window > The Transport Bar

The Transport Bar is used to "transport" you to different points in the music. The buttons - Play, Rewind, Pause, Fast Forward etc. - work as per those on a CD player. We'll allow you to explore the uses of the cycle, drop etc. Buttons on your own.

  • The record button, to the top left of the Transport Bar, is used for recording both MIDI and audio data on any currently ARMED track, which is selected in the Track List. It is also possible to simultaneously record MIDI and audio tracks in Logic Platinum. To do so, press Shift while clicking on multiple tracks in the Track List.
  • The sync button accesses synchronization options for both audio and MIDI plus tempo operations. Spend a little time exploring the options found in this menu, particularly if you are interested in locking Logic Platinum to video, film or digital devices with word-clock synchronization facilities.
  • The SMPTE/Bar Position area indicates the current bar number occupied by the Song Position Line. In the figure above, the display shows 1 1 1 1, which means: first bar, first beat, first 16th and first clock pulse. The time position, 00:00:00 etc. means-0 hours, 0 minutes, 0 seconds, 0 milliseconds/frames. and so on.
  • The lower two sets of numbers, from top to bottom, are the LEFT and RIGHT Locators, which are used for setting cycle region points, as discussed in the Bar/Beat Ruler section.
  • The Tempo and (Time) Signature display indicates the tempo accurate to 1/10,000 of a Beat Per Minute.
  • The /16 below the Time Signature of 4/ 4 indicates the Bar or display resolution, so that any edits you may perform on your MIDI or audio data can be carried out with more precision. The /16 refers to the number of divisions in the bar. Click and hold your mouse button, and drag up or down to change this value.
  • Beneath the tempo, you will notice a large number. This indicates the maximum number of MIDI events that it would be possible to record on this particular computer.
  • The MIDI Activity display shows all MIDI input and output and also serves as a "Panic" button. If you have hung notes you can click once in the MIDI Activity Window to send a MIDI reset message to your specified "system" channel, or double-click to send a Full Panic Reset which systematically works through all MIDI channels and ports and resets all connected MIDI devices.
  • The Song End box displays the bar number at which the song will end and sets a maximum song length. By default this is set to 201 bars.
  • Clicking on the downwards pointing arrow beside the Song End box will open a menu of Transport Bar display options, which will allow you to customise the appearance of the Transport bar to meet your requirements. We suggest that you select "Legend" which will turn on the function titles, as shown in the Transport Bar figure above, while using Logic Platinum.


Menu Bar

Getting Started > Window Logic > Menu Bar

The Main Menu Bar is where all basic file operations, such as save, open etc. occur. From the various Menu Items you can access additional system parameters, open windows, access help and will find many data processing options.

Logic Platinum's menuing system is context-sensitive and the Main Menu Bar, will update to reflect the functions available to the currently active edit window.

As an example, when in the Score Edit window, the Menu Bar will update to display options which are relevant to notation only, such as "Enharmonic Shift" or "Stems Up/Down". Naturally, choices such as these would have little place in the Event List editor as you can't see note stems, nor enharmonically shift a list of numbers and letters.


Zoom Control

Getting Started > Window Logic > Zoom Control

The Zoom Controls step though several levels of magnification. The zoom bars at the bottom right of many of Logic's windows are for both horizontal and vertical zooming.

  • Clicking on the section of either zoom bar with the narrowly spaced lines will reduce the size of objects displayed in the Arrange area. This allows you to see a wider range of your song.
  • Clicking on the section of the zoom bar with the distantly spaced lines will enlarge your view.

The function View > Auto Track Zoom automatically enlarges the currently selected track.


Screensets

Getting Started > Window Logic > Screensets

Every song you create in Logic Platinum can have up to 90 "screensets". Screensets are combinations of edit windows which can be customized by you and then stored to a specific numeric key/combination of keys on your computer keyboard.

Each screenset remembers the type of edit window/s opened plus size, position and zoom settings.

This facility accelerates your workflow massively and allows you to tailor Logic Platinum to fit your needs and preferred method of working.

To set up a screenset:

  • Press any of the numeric keys above your QWERTY keyboard (you can also use the numeric keypad).
  • Open the required edit windows by selecting them from the Windows menu.
  • Resize, zoom and reposition your selected windows to meet your needs.
  • Press the numeric key again.
N.B.-This will only work for keys/screensets 1 to 9.

Should you wish to set up more than nine screensets:

  • Press alt + numeric keys e.g. to set up screenset 75, you would press and hold alt and type in 7, then 5.
  • To ensure that your screensets remain as you intended, you should always lock your screensets by pressing "Shift L".
  • To recall your screenset/s simply press the appropriate key/s 1 thru 9 or alt + the two digits.


The Edit Windows

Getting Started > The Edit Windows

Logic Platinum features a number of windows that can be used for different MIDI and audio editing tasks.

These can all be accessed from the Windows menu at the top of the screen.

All edits in these windows are realtime, so as data is altered, you will receive direct feedback from any connected MIDI device. i.e. you'll hear any changes as you make them. All edits can be made while Logic Platinum is running.

Common to many of the edit windows in Logic Platinum is the Quantize button-displayed as "Q". Clicking on this button opens a flip menu containing a list of different quantization types which can be applied to selected events within each editor. As individual MIDI events can be selected and quantized, it is possible to have a single sequence object which contains several independent quantize values.


The Matrix Editor

Getting Started > The Edit Windows > The Matrix Editor

In the Matrix Editor window, MIDI note information is represented as horizontal bars onscreen, with longer bars indicating longer note lengths.

A piano keyboard along the left border of the main editing area indicates the note pitch/key played. Velocities of notes are indicated by color-with "hot" colors, such as reds used for higher values and "cool" colors, such as blues used for lower velocities.


The Event List Editor

Getting Started > The Edit Windows > The Event List Editor

This editor shows ALL data contained within a selected object as an alphanumerical listing. Individual data types, such as system exclusive information, controller data, aftertouch info etc. can be visually filtered via the collection of buttons to the left of the list.


The Score Window

Getting Started > The Edit Windows > The Score Window

Logic Platinum features extensive notation facilities. Note data is displayed as it is played when in record mode. Direct note input with the mouse or keyboard is also possible, as is the use of alternative score fonts.
If you have a need for high-end notation facilities and high quality score printing, Logic Platinum is capable of handling everything from single line drum notation through to complete orchestral scores.


The Hyper Editor

Getting Started > The Edit Windows > The Hyper Editor

This editor is useful for graphical controller "drawing" and can also be used as a drum "grid" editor. When used for the latter, it is somewhat similar to the use of pattern-based drum machines of yesteryear.

To insert either note or controller information, simply click, or click and drag with your mouse. Higher note velocities/controller values appear as taller vertical bars.


The Sample Editor

Getting Started > The Edit Windows > The Sample Editor

Logic Platinum features an integrated stereo sample editor with zoom facilities accurate to single sample resolution. A number of destructive sample editing tasks can be achieved in this window including: cut, copy, paste, reverse, normalize and fade in/out.

Also available from within the Sample Edit window are a range of digital signal processing tools, collectively known as the Digital Factory. Among these tools are: time stretching and pitch shifting with harmonic correction, extraction of "grooves" from audio files which can be applied to MIDI tracks, noise reduction, quantization of audio material and automatic sample slicing based on threshold values.


The Audio Mixer

Getting Started > The Audio Mixer

Logic Platinum features an audio mixing console with full Automation facilities.
The capabilities of the mixer include volume control, panning, insertion of effects, equalizing, soloing and muting. Bus and Aux channels allow routing inside the mixer. Automation enables you to record all fader moves while you are adjusting your mix, including every parameter of Software Instruments and DSP effects. Finally the mixer has the ability to bounce the audio data to a mono or stereo file for CD mastering - including all effects and mix automation.

The different parts of the channel strip are indicated in the diagram to the right. Using this as a guide, you should have no trouble with the insertion of effects, use of the EQ, bus sends and channel volume.


Equalization Section

Getting Started > The Audio Mixer > Equalization Section

Each channel can have up to four-band EQ. Clicking on the Thru panel opens a flip menu where you have five EQ types to choose from. The ON button to the top right is a toggle switch with which you can automate your EQ, or use to isolate particular frequencies.


Channel Inserts

Getting Started > The Audio Mixer > Channel Inserts

Each channel in Logic Platinum can have up to fifteen separate insert effects. Clicking on the panel/s below the "Inserts" text will open a flip menu showing you Logic Platinum's extraordinary range of 53 high-quality effects plug-ins, organized in submenus according to their function. Just scroll to the desired effect in the list and release the mouse button to select an effect.

To edit the effect's parameters, double-click on the insert panel with the newly activated effect insert. Active inserts are shown in blue, as above, and indicate the name of the selected effect.

When an effect is opened for editing, a new window will appear onscreen. Many of Logic Platinum's effects have an enhanced graphical interface that gives visual feedback of parameter changes, making editing easier.

All effects have an "Editor" mode, which displays effects parameters as a set of horizontal sliders. This mode is useful for displaying information in a smaller onscreen window.


Bus Sends

Getting Started > The Audio Mixer > Bus Sends

A Bus is a dedicated Audio Object which can be fed with audio data being sent from audio sources. Possible sources are Audio Tracks, Audio Instruments, Input, Aux and Bus Objects.
Sending a signal to a Bus is not complicated in Logic as this example points out: on a Track Object clicking onto the panel beneath the "Sends" text will open a flip menu with a range of bus options. Logic Platinum supports up to 8 bus sends per channel.

As these are activated, an onscreen pan pot will appear to the right of the bus selection panel. Clicking and dragging on this pan pot will adjust the bus send level.

To switch between pre and post fader modes, click on an ACTIVE bus selection panel, where a flip menu will appear allowing you to make the choice. By default, this is always set to post fader mode.

As each channel is capable of using multiple busses, setting up parallel effects configurations is as simple as the selection of two or more busses.

The busses themselves handle effects inserts like the channel strips and also have further bus send routings.


In/Output and Panning

Getting started > The Audio Mixer > In/Output and Panning

Input/Output Selection

If the computer system on which Logic Platinum is installed has supported audio hardware with multiple audio inputs and outputs, each channel can use a specific mono in/output or stereo in/output pair.

From the output selection panel, you can also choose to use...

Surround Sound Panning

For supported audio hardware with multiple outputs, Logic Platinum also features Surround Sound panning in all current formats.

Output selection is handled on a per channel or per bus level via an extremely easy to use graphical interface as shown below. Due to its flexible implementation of surround panning on both channels and busses, it is possible to use multiple surround formats simultaneously in Logic Platinum.

Accessing this enhanced Surround Panning view is via a double click on the surround pan control on the channel or bus strips.

The remaining channel strip controls are for volume, mute and solo and record arming, which should be straightforward enough to use.

The final control is for stereo/mono "ganging". This button, to the left of the REC button at the bottom of each fader is used to link adjacent audio channels for control using a single fader. i.e channels 1 and 2, channels, 3 and 4, 5 and 6 a.s.o can be controlled as stereo pairs using the left-hand fader.


Other Audio Objects

Getting started > The Audio Mixer > Other Audio Objects

Apart from the standard Environment Audio Object discussed above, Logic Platinum offers other types of Audio Objects. These are:

  • Audio Instrument Objects
  • Aux Objects
  • Bus and Master Objects
  • Audio Input Objects


Bouncing Audio

Getting started > The Audio Mixer > Bouncing Audio

On each master fader, a "Bnce" button is available. When this button is pressed, a further window will give you options for the type of file you would like to create and and also the left and right boundaries of the area you would like to select.

On clicking the OK button, Logic Platinum will then play through your selected area and all audio routed to the selected Master output, including effects and mix automation, will be bounced to a new mono/stereo file.

This file can then be mastered to CD or further processed.

24bit Recordings can be bounced as 16bit files using POW-r (TM) algorithms.


Key Commands

Getting started > Key Commands

Logic Platinum features approx. 800 user-customizable key commands which you can set up to cater to the tasks/functions you use most in the program.

These shortcut keys, which can be assigned to your QWERTY keyboard, accelerate the use of Logic Platinum, enabling you to achieve your end results in the shortest possible time.

A window called Key Commands is accessible from the Options > Settings menu. You can even use a Key Command to open this window, so why not give it a try? Press and hold the alt and "k" keys simultaneously.

The Key Commands window allows you to alter Logic Platinum's default keyboard shortcuts to match those of any sequencer you may have previously used. This aids in making the switch from another application easier as you acquaint yourself with Logic and also in maintaining your normal workflow.

To customize a Key Command:

  • Open the Key Commands window.
  • Locate the function you wish to change by scrolling through the list or via the inbuilt Key Command search function. We would suggest that you scroll through the list to to see the range of options available within Logic Platinum. While doing so, please note that Key Commands can be either program-wide or specific to individual edit windows.
  • Press the Learn button with your mouse and select any unused key command by pressing the appropriate key or key combination on your computer keyboard. Modifier keys, such as SHIFT or CTRL etc. can be used freely.
  • Press the Learn button again to avoid overwriting your newly created key command.
  • Close the Key Commands window.

Congratulations. Your newly created shortcut will now be available as a global function in Logic or within the specified edit window.

Please spend a little time with the Key Commands window, and set up one or two Key Command shortcuts following the steps above. This will help you to understand how this extended functionality in Logic Platinum could be of immense benefit to your work speed.


Tips

Getting started > Tips

  • The "running man" icon, found in the top left hand corner of all of Logic Platinum's editing windows, updates your pages so that when the Song Position Line exits to the right of the current window, Logic will automatically "jump" to the next page and "follow" its progress.
  • Activating the Scroll in Play function will center the Song Position Line in the Arrange window and other editors, so that the edit windows scroll from right to left past the fixed Song position Line.
  • Select an object and hold down the mouse button, then press alt and Shift. This will allow you to move the object in clock ticks for ultra fine placement of data.
  • The buttons on your transport bar to the right of the SMPTE position and left/right locator values will open the Marker window and transport you to that particular point in the song, respectively, although key commands are a better choice for these functions.


Conventions of the Logic Help book

Using Logic > Conventions of the Logic Help book

Menu Functions

Functions are written like this: Function.

If the text is describing functions which can be reached via hierarchical menus, the different menu levels are described as follows: Menu > Menu entry > Function.

Key Commands

Many functions of Logic can be accessed via Key and MIDI Commands (for more on this, see the section Key Commands and Remote Control). In this help book it is not always indicated that a certain function is available as Key/MIDI commands. Please check out the Key and MIDI Commands list yourself to find out what features are available as Key and MIDI commands.


Dialog Language and Look

Using Logic > Dialog Language and Look

Interface Language

Logic supports multiple languages from the menu .... Switching to another language requires that you re-launch Logic.

The preset "Default Language" automatically selects the language of your operating system (or, to be more precise, the language of your keyboard layout), if Logic supports that language; otherwise English will be used as the default.

Logic's Look

You can, if you prefer, switch to the look & feel of Version 3.x. Go to to switch looks. There might be reasons to use the old look, especially if you need to use a screen resolution of 256 colors or less.


Using the Mouse

Using Logic > Using the Mouse

Unless stated otherwise, the left mouse button is the one you should use whenever "the mouse button" is mentioned.

Clicking

Place the mouse pointer on the object (button, input field, etc.) and press the mouse button once.

Double-clicking

The same as clicking on an object, but you press the mouse button twice, in quick succession. You can set a comfortable interval for this in the System Controls.

Grabbing or Clicking and Holding

The same as clicking on an object, but you keep the mouse button held down.

Moving or Dragging

Grab the object and move the mouse (keeping the mouse button held down) to the desired position.


IntelliMouse Support

Using Logic > The Mouse > IntelliMouse Support

To enjoy the benefits of this feature, you'll need a Microsoft IntelliMouse, or a compatible mouse with a properly installed mouse driver.

You can use the wheel on the mouse to scroll in Logic. The direction in which you can scroll-horizontally or vertically-is determined by the smaller section of the window. It indicates in which direction you can scroll. For example, in an Arrange window you can scroll to the right and left when just a small excerpt of a song, but all its tracks are visible. On the other hand, if the window displays the full length of a song or folder, but not all of the tracks contained therein, you can use the wheel to scroll up and down. You can adjust the scrolling speed in the control panel of the IntelliMouse software.

Click the wheel when you want to activate x/y Scroll mode. It allows you to drag the mouse to scroll both horizontally and vertically at the same time. Click the wheel again, or press one of the mouse buttons to quit x/y Scroll mode.

When the Transport window is active, you can use the wheel and ctrl to determine the size of the Transport window.


Mouse Input

Using Logic > Input Options > Mouse Input

Checkboxes

Checkboxes are square boxes which become "checked" when you click them to activate an option (or function). Click them again to remove the "check", and deactivate the option.

Pull-down Menus

Pull-down menus open when you grab certain input fields or buttons. You select a command by moving the mouse onto the desired item. If you want to select an item which is outside the visible section,

  • move the mouse over the top or bottom edge of the menu; the further you move it, the faster you will scroll through the menu.
  • now click using the right mouse button. You can then let go of both mouse buttons.

Mouse as Slider

You can set practically all the numerical parameters, (even note values or names) by grabbing the parameter value, and moving the mouse up or down. If the parameter is made up of several separate numbers (e.g. song position), you can adjust each number individually.

Using the Mouse for In/Decrementing

All the parameter values which can be set using the mouse as a slider may also be increased or decreased in single units by clicking on the top or bottom half of the value with the left or right mouse buttons, while holding down the ALT key.


Numerical Input

Using Logic > Input Options > Numerical Input

Double-clicking on a numerical parameter value opens an input field. The previous value appears pre-selected, (i.e. highlighted), to allow it to be overwritten by a new entry. You can also use the mouse to make a partial selection in an input field, so that only the highlighted part is overwritten. As long as the input field is open, all the keys may be used only for inputting data , and may not be used for key commands (the exceptions are the main menu functions).

... by arithmetic

You can enter numbers at any time by typing in an arithmetical operation, e.g. "+2" or "-5", which then simply changes the current value by that amount.

... as ASCII-symbols

You can also input numbers as ASCII symbols: just put a ` or " in front of it, and the ASCII code will be input as a number. For example:

  • "! gives 33
  • "a gives 97
This function is particularly useful for entering text in SysEx strings.

...Cancel Numerical Input

Direct numerical input can be canceled by entering no text at all and ENTER.


Text Input

Using Logic > Input Options > Text Input

You input text names in the same way as numbers, but you only have to click a name field once to allow input. You can use the text tool to directly click on an object to edit its name.

Numbered Names

As you might expect, you can give any number of selected objects the same name. If the name ends in a number, the number will automatically be incremented by 1 for each object. This allows you to name all the sequences on one track, or all the faders in the Environment quickly.

Disabling automatic numbering

To turn off automatic numbering, place a space after the number at the end of the name. All the selected objects will then end in the same number.


The Toolbox

Using Logic > Tools and the Toolbox > The Toolbox

Logic allows recorded data to be handled graphically. This means that you don't have to carry out operations by inputting instructions in command lines, but rather by manipulating graphic "objects". This is done with the help of Tools. The different windows have different toolboxes depending on what tools are required in the corresponding window.

The toolbox of the Arrange Window looks like this:

When editing objects graphically, you always have two tools available at the mouse pointer position: one is already active, the other is activated by the right mouse button.

You change the currently active tool by clicking on the toolbox. The mouse pointer then adopts the shape of the tool you click on, so that you can tell what its function is by looking at the symbol: the Eraser is used for deleting, the scissors for cutting, and the glue tool for merging objects. To assign a tool to the right mouse button, click on the desired tool in the Toolbox, with the right mouse button.

You can find detailed information about the tools here.

Effective Range of the Tools

  • Tools are effective only in the working area of the window they were selected from (you can define individual tools for each opened window).
  • A tool (e. g. the scissors) basically affects the objects you click on. If this object was selected together with other objects, all selected objects will be affected by the tool. (e.g. the scissors would cut all selected objects at the same song position.)

Hiding/Showing the Toolbox

The Toolbox can be hidden in the Arrange and Score Editor windows to save space, which can be very helpful if you only have a small monitor. The function is View > Hide/Show Toolbox.

Info Line

When operating many of the tools an info line appears at the bottom left of the main program window for as long as the mouse button is held down. This info line provides useful feedback about the type of operation you are performing.

During operations involving arrange objects, the line will look something like this:

From left to right, the readouts are: operation, mouse (or arrange object) position, arrange object name, track number, and length of the arrange object.

During operations involving events, the line looks something like this:

From left to right, the readouts are: operation, mouse (or event) position, event type, event MIDI channel, first data byte (i.e. the pitch for notes), second data byte (i.e. velocity for notes), and for notes: length of the note.


Selecting Tools

Using Logic > Tools and the Toolbox > Selecting Tools

You select the tool you want to use by clicking on it in the toolbox (or clicking while holding down the right mouse button for the alternate tool).

If a toolbox is opened at the mouse position, you can also use one of the number keys to select a tool at the corresponding position. The tools are always numbered from left to right and top to bottom. Press the Show Tools key command again to switch to the pointer, and close the box.

Moving to the Next Tool

Use Set next Tool and Set previous Tool to switch to the neighboring tool in the top window.

Opening the Toolbox at the Mouse Position

Use Show Tools (default:esc) to open a toolbox at the mouse position. This window will disappear as soon as

  • you select a tool by mouse click,
  • you select a tool by pressing a number key,
  • you click anywhere outside the tool window or
  • press any key.

Using Key Commands

Each tool can be selected by a specific Key Command. Key Commands which switch to a specific tool toggle between this tool and the previously selected tool.


The Tools

Using Logic > Tools and the Toolbox > The Tools

Here are two example toolboxes, which contain most of the tools available in Logic:

Arrange Toolbox containing: Pointer, Pencil, Eraser, Text Tool, Scissors, Glue Tool, Solo Tool, Mute Tool, Magnifying Glass (Zoom Tool), Crossfade Tool, Automation Tool

Score Toolbox containing: Pointer, Pencil, Eraser, Text Tool, Layout Tool, Magnifying Glass, Voice Splitter, Solo Tool, Sizer Tool, Quantize Tool, Velocity Tool, Camera Tool, Scissors, Glue Tool

The tools not displayed in these boxes but explained below are easy to detect, when you are have the corresponding window in front of you.

- Pointer
The pointer is the default tool. The mouse also takes on this shape outside the working area, when you are choosing from a menu or inputting a value. Within the working area the pointer is used for selecting (by clicking on objects), moving (by grabbing and dragging), copying (by holding down the ctrl> key and dragging), and editing lengths (by grabbing the bottom right corner and dragging). Grabbing and dragging anywhere on the background opens a "rubber band".

- Pencil
The pencil is used to add new objects. You can also select, drag, and alter the length of objects.

- Scissors
The scissors are used to split arrange objects, e.g. before copying or moving individual sections.

- Text Tool
The text tool is used to name arrange objects, or add text to a musical score.

- Layout tool
The Layout tool is used for graphically moving objects in the Score Editor to optimize the display (e.g. bars to lines: "Local Formatting"), without altering the timing of actual MIDI events.

- Sizer Tool
The Size tool is used to adjust the size of graphic elements in the score.

- Magnifying Glass
The magnifying glass allows you to zoom in on a "rubber-banded" section, up to full window size. You revert to normal size by clicking on the background with the tool. You can also access this function from other tools by holding down the alt key.

- Solo Tool
Grabbing with the solo tool allows you to listen to only selected objects during playback. Moving the mouse vertically also outputs any events the cursor touches, even when the sequencer is stopped.

- Mute Tool
Clicking on an object with the mute tool stops it from playing, and places a dot in front of its name, to indicate that it is muted. You can unmute it by clicking it again with the tool. If multiple objects are selected, the setting of the object you've clicked on applies to all selected objects.

- Finger
The Finger is used in the Matrix Editor to alter note lengths, and, in the marker list window to jump to the markers, and position the locators to the marker position simultaneously.

- Eraser
The Eraser deletes clicked objects. When you click on a selected object, all of the currently selected objects are deleted (as if you had used the Backspace key).

- Glue Tool
The glue tool is the opposite of the scissors: all selected objects are merged into a single object, which is given the name and track position of the first of the objects on the time axis.

- Crosshair
The Crosshair is used in the Hyper Editor to input a linear series of MIDI events.

- MIDI Thru tool
Clicking on an instrument in the Environment with the MIDI Thru tool, assigns that instrument to the selected track in the Arrange window, thereby making it the active MIDI Thru instrument.

- Voice Splitter
You can separate polyphonic voices onto different staves in the Score-Editor, by drawing a dividing line with the voice separation tool, provided you are using a polyphonic score style.

- Camera
You use this tool in the Score Editor to select and export sections of the display as graphics files.

- Quantize Tool
You use the Q tool in the note editors to quantize notes to the most recently set value.

- Velocity Tool
In the note (i.e. Matrix and Score editors), you can use the V tool to change the velocity of notes.

- Automation Tool
This Arrange tool, which comes as an arrow with and automation line has more than one function related to the Automation. The flip menu below the toolbox lets you choose between the functions of this tool.


Window Functions

Using Logic > Window Functions

The basic functions of the Logic windows are the same as those in other Windows application programs. However, the display options in Logic's windows are far more extensive.

In Logic, you can open different combinations of windows (even several of the same type) and adjust each one individually. All open windows in a song are constantly updated. This means that the windows update to follow the song position, and any alterations that you make in one window immediately update the display of all the other windows you are working with. It is also easy to save different window arrangements (called "screen sets"), and recall them with the push of a button.


Multiple Documents Interface

Using Logic > Window Functions > Multiple Documents Interface

Logic uses the Multiple Documents Interface (MDI)-you've probably come across it before when working with programs such as Microsoft Word, Excel and the like.

The Main window has two prominent components, the menu bar along its upper edge, and the Document window at its center. Whenever a Document window is maximized, it takes up all the space in the center panel of the Main window. Use ctrl tab to go from one Document window to another. You can close a Document window by pressing ctrl F4.

In contrast to Document windows, Float windows can be located outside the Main windows. You can't tile float windows, and they never disappear behind the Main window or Document windows-they can only be hidden by other Float windows.

The majority of window types are opened as Document windows. To open a window as a Float window, select the appropriate menu item while pressing and holding the ctrl key.

At the bottom of the Main window menu Windows, you'll see a list of all windows that are currently open, followed by a list of all open songs. The uppermost window or active song will have a check mark next to it. To call a window to the front or top of your screen, simply select the window's name; to activate a song, simply select the song's name.

If you have opened more than nine windows, the menu lists the first nine and below these, the menu item More Windows... When you want to go to a window that isn't among these nine windows, select this menu item. A dialog appears and you can select the desired window from it.


Working with Windows

Using Logic > Window Functions > Working with Windows

Opening Windows

All Logic windows can be opened from the Windows main menu. After each menu item you are given the relevant key command (e.g. Open Arrange ctrl1), which allows you to open the window without using the mouse. You can open as many of the same type of window as you like.

With the Toggle ... Window key commands you can define one key command to

  • bring an already open of a certain type to the front,
  • open a window of the assigned type,
  • close a window of the assigned type, if it is in front, i.e. the active window

Setting Window Size

As is usual for Windows, you can change window size by positioning the mouse over a Window edge, or corner and pulling.

The windows maximize button, in the upper right corner of the window, toggles the window between its maximum size, and the size it was before you clicked on the button.

Clicking on the minimize button reduces the Window to a small rectangle at the lower end of the main window. Double clicking on the minimized restores the previous window size.

Moving up One Level in the Display Hierarchy

Double clicking in the backround of the edit area of a window takes you to the next highest display level.

Selecting the Working Area

The scroll bars are situated at the right and bottom edges of a window, if you can only see a portion of the total working area in either the vertical or horizontal dimension.

You can move the visible section by clicking the arrows, or grabbing and dragging the scroll slider. There are two points of note:

  • The size of the scroll slider in relation to the size of the entire scroll bar corresponds to the size of the visible section in relation to the overall size of the window,
  • The visible section changes as you move the scroll slider.

The X/Y element is situated at the bottom left corner of the window. By grabbing and dragging it, you can move the horizontal and vertical window section, as if you were dragging both scroll bars simultaneously.

Use the key commands Page Up, -Down, -Left and -Right to scroll one page up, down, left or right, as if you had clicked in the grey region above / below the vertical scroll bar, or to the left / right of the horizontal scroll bar. The key commands Page Top, -Bottom, -Left most and -Right most take the visible section of the working area to the top, bottom, left or right, just as if you had grabbed one of the scroll sliders, and moved it to one of its extreme positions.

In the Arrange, Event List, Hyper and Matrix Editors, View > Scroll to Selection allows you to move the visible window section to the first set of selected events. This function is available as a key command from the "Various sequence editors" area. The key command works in the currently-active window.

Touching the background in the Arrange Window while holding shift alt , you can scroll the window both horizontally and vertically.

Closing Windows

You close windows by clicking on the close symbol in the top right of the windows.


Zooming

Using Logic > Window Functions > Zooming

Many of Logic's windows have zoom bars at the lower right edge. You can zoom the display in and out with these bars. The windows have horizontal and vertical bars for vertical and horizontal zooming, wherever it makes sense.

If you click on the section of the zoom area with the narrowly spaced bars, the display becomes smaller, so that you can see a wider range. Clicking on the area with the more widely spaced bars allows you to zoom in. If you use the right mouse button to click onto the vertical zoom bar, you zoom horizontally as well. The page arrows keys are set as default for zooming horizontally, ctrl plus the page arrows zooms vertically.

You can zoom tracks individually in the arrange window. See the section Zooming Individual Tracks.

Storing and Recalling Zoom Settings

You can store three different zoom settings for each window using the key commands Save as Zoom 1-3. Use Recall Zoom 1-3 to call them back up. These commands always apply only to the top window.

Zooming in on One Section of the Screen

To enlarge a section of the screen to the size of the whole window, use the magnifying glass tool to drag a "rubber band" over the section you want. You can do this more than once.

Auto Track Zoom

The function View > Auto Track Zoom automatically enlarges the currently selected track.

Reverting to the Previous Zoom Setting

Click on the background with the magnifying glass. This will return the zoom to the original setting, by backtracking through the previous steps. You can call up the magnifying glass functions with any other tool (apart from the pencil) by holding down the alt key. The pointer will display the previous tool, until you press the mouse button. As long as the button is pressed, it will display the magnifyng glass.

Zoom Navigation Key Commands

These commands allow selected objects, or a region defined by the locators, to be zoomed to fit the screen. In addition, the last thirty zoom levels and window scroll-bar positions can be freely defined and recalled for each window. There are no default Key Commands for these navigation options, so you will need to assign them in the Key Commands window. Open and in the Search field, type in "nav". This will display the entries described below.

Store Navigation Snapshot - the current zoom and window position scroll bars settings are saved as a "step" in the navigation path.
Navigate Back - recalls the previous step in the navigation path
Navigate Forward - advances to the next step in the navigation path
Zoom to fit Selection vertically & horizontally, store Navigation Snapshot - displays the current selection as large as possible
Zoom to fit Selection horizontally, store Navigation Snapshot - displays the current selection as large as possible horizontally
Zoom to fit Locators, store Navigation Snapshot - displays the current locator area as large as possible

All Zoom commands create a new step in the navigation path. The "Navigate Back" key command allows you to recall the previous zoom settings.

Remember: Using the magnifying glass allows you to zoom in several times. A brief click with the magnifying glass will return to the previous zoom and window position scroll bars settings.


Window Elements

Using Logic > Window Functions > Window Elements

Adjusting the Size of the Window Elements

If you move the mouse over the top left corner of the arrange area the mouse pointer turns into a crosshair. By dragging it, you can now adjust the size of the bar ruler, arrange area, track list, and transport buttons. You can also adjust the window elements in the Score, Hyper, and Matrix Editors using the same method.

Concealing/Revealing the Transport Functions

Use View > Show Transport to display or remove the transport panel buttons from the top left corner of the Hyper, Matrix or Arrange windows. The number of buttons and indicators depends on the amount of space available

Concealing/Revealing the Parameters

The function View > Show Parameters (Hide/Show Parameters) allows you to display or remove the entire area to the left of the Arrange, Environment, and other Editor windows, which contains the sequence parameters, instrument parameters, and the toolbox. Hiding these parameters gives you more space for the editor window itself.

In many windows, you can hide and/or reveal further screen elements, such as the toolbox. These display options are always available from the View menu.


Menus

Using Logic > Window Functions > Menus

The selection of menus available will change, depending on which window is currently active.The items available in menus that exist in more than one window will also change, depending on which window is active.

Hierarchical Menus

Logic's menus are accessed in the same way as in other application programs: grab the menu title, move the mouse over the desired item, and release the mouse button. In hierarchical menus, there is a right-pointing arrow after the item. If you highlight this item, a sub-menu drops down to the right. To select an item from this sub-menu, move the mouse to the right, into the sub-menu, and then vertically over the desired item. Releasing the mouse button will activate the selected function.

Hierarchical Menus are also used for the following selection areas:

  • Selecting track instruments in the Arrange Window
  • Selecting routing assignments in the Audio Mixer
  • Selecting Plug-Ins and Plug-In Settings

Using a keyboard

You can also select the active window's menu using the alt key, and step through the menus in the usual way using the cursor keys (or by hitting the typewriter keys for the underlined letters) to select the one you want. You then use the up and down keys to select the menu entry you want (or carry out the menu function immediately by hitting the key for the letter underlined in the menu function's name).
If you encounter a hierarchical entry (which has a triangle at the end of the entry line), you can use the cursor right key to access the sub-entries (the cursor left key closes the sub-menu again) and, again, use up and/or down to make your selection.
When you have chosen your function, hit the ENTER key to activate it.
You can handle all menus and respond to prompts and dialogs via your computer keyboard, in keeping with Windows conventions.

Menu Options with "..." in their Title

Three periods, like this: ..., next to the menu function title indicate that the entry does not activate a function immediately, but instead opens a dialog box.


Window Types

Using Logic > Window Functions > Window Types

There are two different types of window in Logic: normal windows and float windows. The contents of all the windows belonging to the current song are always updated, no matter what the type of window.

Normal Windows

You can open as many normal windows as you want, including several of the same type. Even though the contents of all the windows is constantly updated, only one of the windows ever has the status of being the "top", or "active" window. This is the window which is in the foreground when several normal windows are overlapping.

- Top or Active Window
This window can be recognized by its fully-shaded title bar. The main distinguishing characteristic of this window is that key commands only affect this window, and not any of the others. Window > Next Window brings the next window forward, if it is fully covered up by others.

- Background Windows
Background windows are identified by the color of their title bar. This color is determined by your "Appearance settings" in Windows. You bring a window to the foreground by clicking on it, clicking on the title bar, or calling up one of the local menu functions.

Float Windows

Float windows are so named because they always "float" in the foreground, even above the top normal window (if there are too many open float windows, they will inevitably cover each other up-just click on one to bring it to the front). Float windows are recognizable by their narrower title bar, which contains no name. Mouse operations can be carried out in the same way as in normal windows.

The most often common example of a float window is the Transport window. However, you can open any other window as a float window by holding down ctrl when you open the Windows menu-not when opening a window by key command.

In Float windows, open the Windows system menu by clicking on the Title bar with the right mouse button. Any applicable local menu items (with submenus) will be displayed.

Main Menu Window

Logic's Main Menu window has special status, as it has the following special characteristics:

  • The Menu line at the top of the screen is always visible;
  • it never covers up other Logic windows, even when it is active, or, to be more precise: As long as there is no other application entirely active, Logic's main window is always active, as well as the "topped" editor window in Logic.

You can keep this window at its preset maximized size, but generally, there isn't much point in doing this.
The "Minimize Window" button can be used to switch between Logic and other applications. You can get back to Logic at any time by clicking the Logic symbol in the Task Bar.
Press alt tab to toggle directly between Logic and any other application.


Relationships between Windows

Using Logic > Window Functions > Relationships between Windows

The two buttons at the top left of a window, determine its relationship to the song position (Catch), or to other windows (Link, Show Contents, or Contents Catch).

Catch

The Catch function means that the visible section of a window follows the song position as the song plays.

If the button with the walking man on it is lit, the window's display follows the song position as the song plays. If the button is not lit, the display does not update, even when the song position line moves past the right edge of the visible portion of the window(Catch Clock Position).

- Automatic Catch Disabling
If you move the visible section manually, Catch is automatically switched off, so that the new section you have chosen doesn't then disappear.

- Autocatch
The function Enable Catch when Sequencer starts (Options > Settings > Global Preferences) always enables Catch mode whenever you press play or pause.

Link, Show Contents, and Contents Catch

You can define these display options to control how information is displayed when working with related editor windows.

Link

When the button with the chain link icon is activated, this window always displays the same contents as the top window. The display is adjusted whenever the selection in the top window is altered.

Here's an example: imagine the top window is an editor. In Link mode, the other editor windows can display the same data in another form (though please remember: you cannot have any event display as the background window of an Arrange window while in Link mode).

Here's another example, using the Environment window; The top window is the Arrange window. In Link mode, the Environment window will display the instrument that corresponds to the selected track in the Arrange window. As you switch tracks in the Arrange, the Environment will update to reflect the selection.

Contents Link

Double-clicking on the link button activates Contents Catch mode. This means that the window always shows the contents of the object selected in the top window. The display is therefore always one level below that of the top window.

Here's an example: if the top window is an Arrange window, in Contents Link mode the editor windows can show the events of a selected sequence. Selecting a different sequence in the Arrange window will cause the display of the linked editor to switch to that sequence, as well.

You could also use Contents Link mode in an Arrange window, to display the contents of the folders in another Arrange window.

Contents Catch

 By simultaneously switching on Catch and Contents Link, you activate Contents Catch mode. Initially, this is equivalent to Contents Link mode, but when the song position reaches the next object on the same track, the contents of this object are then displayed.

You could use this mode in an Arrange window, much as you would in Contents Link mode. The editor windows would then show the events of whichever sequence is currently being played on a track.


Screensets

Using Logic > Window Functions > Screensets

Normally you will lay out your windows on the screen in a way that suits your way of working. This layout with various windows, with all their different parameters (display, zoom, position of each window) is called a screenset, and can be stored. You can then swap between different screensets, much as you might swap between different computer monitors.

The size and position of the parent window, that contains all the other windows, is stored in the screensets, too.

Storing Screensets

Screensets are numbered from 1-99 using only the numbers 1-9. You can see the number of the current screenset in the main menu next to the word Windows. You don't have to save screensets with an explicit command. It happens automatically, as soon as you switch to another screenset. Thus, without any effort, your current working view is always stored in the current screenset.

Switching Screensets

Just input the number of the desired screenset (1-9). For two-digit screensets hold down the alt key while inputting the first digit.

Protecting Screensets

Use the key command Lock/unlock current screenset or via menu Windows > Screen Sets > Lock Screenset to protect the current screenset from being altered. A # then appears in front of the screenset number. Repeat the key command or menu command (the default is Shift L ) to unlock the screenset.

The New Song command deactivates all Screenset locks.

Copying Screensets

To copy the current screenset to a destination screenset, hold down Shiftwhen you switch screensets. Two digit screensets are copied with Shift alt1+1,...,9+9.

Logic offers a dialog box if you copy Screensets.

You can also use menu functions to copy Screensets via clipboard: Switch to the Screenset you would like to copy and select Windows > Screen Sets > Copy Screenset, then switch to the Screenset you wish to copy to, and select Windows > Screen Sets > Paste Screenset.

You can also copy individual Screensets between different songs using this method. To import all Screensets from another Song it's much faster to use "Import Settings".

Reverting to a Stored Screenset

The command Revert to current screenset resets your screen to the way it was when you called up the current screenset.

Recalling Screensets 1-9

The screensets 1-9 can be recalled by freely defined key and MIDI remote commands, not only the number keys. This way, you can define the number keys for other puposes, like the toggling windows on and off, as described above. The commands are called Recall Screenset 1 (...9, respectively).

Sequencer-controlled Switching

You can automatically switch screensets using meta event # 49-just add it to a sequence in the Event Editor.

  • Set the song position to the point where you'd like the screenset to change.
  • Right mouse click in the Event Editor on the button shown.
  • The inserted meta event has the default value 50 (Song Select).
  • Alter the number in the NUM column from 50 to 49. This changes the name to Screenset.
  • Input the desired screenset number in the data by the column (VAL).
You can stop the switching by muting the sequence that contains the Meta 49 event.


Other Functions

Using Logic > Window Functions > Other Functions

The Windows > Tile Windows function, tiles all the open windows on the screen and makes them all the same size.

The Windows > Stack Windows function stacks all the open windows on top of one another, so that at least a part of the title bar is visible for each window, no matter which is in the foreground window at the time.

The function Windows > Tile windows horizontally tiles all open windows on the screen, using the available horizontal space for each individual window (if possible).


Undo

Using Logic > Edit Operations > Undo

The local edit menus in Logic's various windows all take the same form. The first items are Undo and Redo. Below Redo are the typical clipboard functions, and at the bottom of each are the main selection commands.

Undo

Undo allows you to reverse the previous edit. In the Global page of the Preferences, you can disable the warning message that normally appears when you activate Undo, by checking the Disable safety alert for Undo box.

The default key command for Undo is ctrl Z.

Multiple Undo and Redo

Almost all actions performed in Logic can be undone without limitation of undo steps. This also applies to the redo function There is only one exception: destructive audio edits can only be undone once, right after the execution. You have the option to limit the number of undo steps in Options > Settings > Global Preferences....

History of Undo and Redo

You can open the Undo and Redo History Window via the Edit menu. It shows you a list of all actions that can be undone. The last step, i.e. the first to be undone, is indicated by the blue backround. After performing and undo you will find a redo list below the undo items. The first item to be redone is indicated by a green backround.

Clicking on an entry anywhere will undo resp. redo all steps between the clicked and the highlighted one. All steps are animated during this process. You can stop the undo resp. redo by clicking anywhere.

The undo history is stored in the song. This means the history is still available when closing a song and reopening it. Use Edit > Delete Undo History to erase the complete history. Please be careful: after deleting the history undo and redo are no longer possible for the deleted steps.


The Clipboard

Using Logic > Edit Operations > The Clipboard

The Clipboard

The clipboard is an invisible area of memory, into which you cut or copy selected objects, so that you can paste them to a different position.

The clipboard spans all songs, which means you can use it to exchange objects between songs.

- Cut
All selected objects are removed from their current position, and placed on the clipboard. The previous contents of the clipboard are overwritten in the process (key command ctrl X).

- Copy
A copy of all selected objects is placed on the clipboard. The selected objects are left in place. Here too, the previous contents of the clipboard are overwritten (key command ctrl C).

- Paste
All objects from the clipboard are copied into the top window. The clipboard is not erased in the process (key command ctrl V).

The contents of the clipboard are added at the current song position (if they are events or arrange objects). The song position is incremented by the length of the pasted objects.

In the Arrange window, the contents of the clipboard are pasted to the selected track. If events are pasted in the Arrange window, either a new sequence is created for them, or the events are added to a selected sequence.

Any previously existing objects are unchanged.

In the Environment window, the objects are pasted into the layer currently being displayed, at their original position.

Delete

Any selected objects are erased. Delete has no effect on the clipboard, and is the same as pressing the Backspace or Delete keys.

- Delete and Select next object
This key command erases the objects currently selected in the Arrange and Editor windows, and selects the next object.

Paste at Original Position

This function works in a similar way to Paste, but the objects on the clipboard are always pasted to the position they were cut from, regardless of the current song position (which is where the objects would be placed with the ordinary Paste function).

Paste Replace

This function only works in the Arrange and Editor windows, and again, resembles Paste, except that with Paste Replace, all existing events are replaced by the objects being pasted.

When using this function, all the arrange objects or events that lie within the time period occupied by the objects on the clipboard are erased.


Selection Techniques

Using Logic > Selection Techniques

Whenever you want to carry out a function on one or more objects, you have to select the object(s) first. This applies to arrange or environment objects, and individual events alike. Selected objects are either displayed in inverse color, or will flash (in the Score editor).

The selection status of an object applies to all windows. An object selected in one window will also be selected in all other windows that display that object. Changing the top window doesn't affect the selection (as long as you don't click on the background, which deselects everything. Be sure to click on the window's title bar).

Go to Selection

The key command Goto beginning/end Selection moves the SPL to the position of the first/last selected event in the top window.


Selecting Individual Objects

Using Logic > Selection Techniques > Selecting Individual Objects

Individual objects may be selected by clicking on them, and deselected by clicking in the background, or by selecting another object.

You can also use the key commands Select next/previous Object (default: arrow right/left , in the Event List: M / I). Select first/last selects the first/last object in the current display level.

Selecting Alphabetically

The Tab key selects the next alphabetical object. In the Arrange or Environment windows, pressing any letter key selects the first object whose name begins with this letter , providing there is no key command assigned to this key.


Selecting Several Objects

Using Logic > Selection Techniques > Selecting Several Objects

To select several non-contiguous objects , hold down Shift as you click them. As subsequent objects are selected, the previous selections are retained. This also works with horizontal or rubber band selection.

Use the key commands Toggle next/previous Object(Event) to select the following/previous object (or event) as well (default: Shift arrow right / Shift arrow left).

Horizontal Selection

To select all objects on a track, click on the track name in the track list. In the same way, you can select all events with a certain event definition in the Hyper Editor, by clicking on the event definition name, or all notes of a certain pitch in the Matrix Editor by clicking the relevant key on the screen keyboard.

In Cycle mode, the above selects only the events within the Cycle zone.

"Rubber-Banding"

To select consecutive objects, click on the background and drag a "rubber band" over them. All objects touched, or enclosed by the rubber band will be selected.

Toggling the Selection Status

When you make any selection (including by rubber band or horizontal selection), holding down the Shift key at the same time will reverse the selection status of the objects.

You can reverse the selection status of all objects using Edit > Select > Toggle Selection. For example; if you want to select all objects except for a few, first select these few and then use Toggle Selection.

Selecting Following Objects

To select all objects after the current one (or, if no object is currently selected, to select all objects after the song position), select Edit > Select > Select all following.

Selecting Objects within the Locators (Vertical selection)

Edit > Select > Select inside Locators selects all objects lying wholly or partly within the locators.

Deselecting Objects outside the Locators

Edit > Select > Deselect Outside Locators deselects all objects outside the locators: objects within them remain unchanged.

In the Score window, this command works on whole sequences, as well as events.

This command is particularly useful after using the Select Equal or Select Similar commands, to restrict the commands' effects solely to the area between the locators.

Deselecting Objects outside the current Track

The Deselect All Objects Except Recording Track key command deselects any objects not on the currently selected track.

This command is especially useful after other special selection commands, ensuring that the commands' effects are restricted to the recording track only.

Selecting Empty Objects

Edit > Select > Select empty Objects selects all empty objects.

Selecting Overlapping Objects

Edit > Select > Select overlapped Objects selects all overlapping objects.

Selecting Similar or Identical Objects

If you have selected an object, you can use the function Edit > Select > Select Similar Objects to select all similar objects, and the function Edit > Select > Select Equal Objects to select all equal objects.

The table shows what counts as similar or equal:

Object

Controller Event

Note Event

Environment Object 		Similar

Controller# equal, any data byte

Note equal, any octave

Same object type (e.g. fader) 		Identical

Controller# and data byte (control value) equal

Note and octave equal

Same fader type (e.g. text)

If you want to delete all similar objects, select one of these objects and select Delete similar Objects.

Conversely, if you want to keep all similar objects and delete all the other objects in this sequence, select Delete but keep similar Objects.


Various

Using Logic > General Functions of the Editors > Various

Opening Editors

A ctrl button double-click on a sequence opens the Event editor. There is an option on the page Options > Settings > Global, which lets you select the editor that will be opened when you double-click on a sequence.

The options are: the Score Editor, the Event Editor, the Matrix Editor, and the Hyper Editor.

Control Output via MIDI

Switching on the MIDI Out button causes MIDI events to be output when they are added, selected, or edited. This allows you to audibly monitor every editing stage, whether you are scrolling through the Event List (automatic selection) or transposing a note.

Automatic Scroll Functions

- Scrolling to the Song position
The button with the walking man on it activates the Catch function, which means that the window view will always show the current song position.

- Scrolling to the selected event
The key command Scroll to Selection allows you to automatically move the window, so that the first of the currently-selected events is visible.

- Scroll in Play
The "View" menus of all windows that display time horizontally (Arrange, Score, Matrix, Hyper), offer the option View > Scroll in Play. If the "Catch" function of the particular window is also activated, then the SPL will stay in the middle of the window, while the background scrolls smoothly from right to left. Please keep in mind that Scroll in Play requires a powerful graphic card, and a fast computer to operate smoothly.

Contents Link

Clicking on the button with the chain-link symbol on it activates the link function, and double-clicking it activates the "show contents" function. In show contents mode, the window always displays the contents of an object selected in the top window; in link mode the window shows the same objects as the window where you are making the selections.

In Editor windows, contents link is usually active. For example, you can then select some sequences in an arrange window, and when you switch to a screenset with an open editor window, you will see the contents of the selected sequence(s).

Alternative Play Function

In all windows with a horizontal time axis (Arrange, Matrix, Score, Hyper, Sample) you can use the global command Play from left window corner to play from the beginning of the visible area.


Selection Commands

Using Logic > General Functions of the Editors > Selection Commands

Selecting Events with same MIDI channel

If you've selected an event, you may select all the other events on the same MIDI channel by using the command Edit > Select > Select equal channels.

Imagine you're editing a sequence that contains volume and pan controller information for 16 MIDI channels. To select all the events on channels 1 and 3, you simply grab one event which is on channel 1 and one which is on channel 3, use the "Select Equal Channels" function, and all the other events on these two channels will be selected.

"Event channel +1" or "Event Channel -1" alter the channel number of the selected event by one.

Select Equal Subpositions

You can select all events with a certain relative position, such as all snare drums on the off-beat. Select an event at the desired relative position, and then Edit > Select > Select Equal Subpositions. All events, in all bars within the sequence, with the same relative position in a bar, are selected. You can use this function for up to 10 relative positions simultaneously.

Splitting Chords

In the "Functions" sub-menu in the Editor windows, there is a new function called "Note Events". This allows you to manipulate selected notes in a manner influenced by the notes surrounding or overlapping them; musically speaking, you can think of this function as adding division lines within chord sequences. These functions can be very useful if you want to set up a polyphonic display within the Score window.

- Selecting the Soprano voice
The command Functions > Note Events > Select Top Line selects the highest notes in the selected chords of a sequence. All previous selections are ignored.

- Selecting the Bass voice
The command Functions > Note Events > Select Bottom Line selects the lowest notes in the selected chords in a sequence. All previous selections are ignored.

Select Top Line and Select Bottom Line are purely selection commands, which can be used in conjunction with any of the editing commands, like Cut; for example, to move a voice into another sequence, or to alter just the velocity of all the notes in a sequence.

- Splitting voices across MIDI channels
The command Functions > Note Events > Lines to Channels assigns MIDI channel numbers (in ascending order) to the single notes in the selected sequence. The highest note in each chord will be assignd as MIDI channel 1, the next note down in each chord channel 2, and so on. Only selected events are affected, so you should use the Select All command first, or a related command, such as Select within Locators.

The audible result will only change if you play the sequence back through an "All Cha" instrument.

Using different MIDI channels, you can assign the individual notes in polyphonic score styles, or split each note off into its own sequence, using the Arrange window function Functions > Split/Demix > Demix by Event Channel.


General Editing Commands

Using Logic > General Functions of the Editors > General Editing Commands

Setting Locators by Objects

The Functions > Objects > Set Locators by Objects command allows you to set the locators in any of the the Editors (just as in the Arrange window), so that they just encompass the currently-selected events. The key command can be found in the Key Commands window under Global Commands.

Edit Functions

For a description of the undo and clipboard functions (particularly adding events at the Arrange level), go here.

Transform Functions

Logic has the ability to store preset parameter sets in the Transform window. Call these directly in the Editors with the menu command Functions > Transform ...

Altering Note Lengths

When changing the lengths of multiple objects, you can make all lengths equal by holding Shift ctrl.

- Removing overlaps
When you select Functions > Note Overlap Correction, any overlapping notes are shortened, so as to remove the overlaps. The affected notes must be selected first. There are three different variations of this, which are also available as key commands :

"Note Overlap Correction (selected/any)":
this function removes overlaps for all selected notes, regardless of whether the following overlapped notes are selected or not.

"Note Overlap Correction (selected/selected)":
this function removes overlaps for all selected notes, but only if the following overlapped notes are selected.

"Note Overlap Correction for repeated Notes":
this function removes overlaps for all selected notes, but only if the following overlapped notes have the same note number (pitch).

If the overlapping notes appear to be part of a chord, you will be presented with the following options:

"Keep":
the simultaneously-sounding notes will be shortened together.

"Delete":
the simultaneously-sounding notes will be removed, leaving a monophonic line behind.

"Shorten":
the simultaneously-sounding notes will be shortened separately so that again, only a monophonic line remains.

- Legato
With Functions > Note Events > Note Force Legato, you can lengthen all selected notes, so that each note sustains all the way up to the start of the next one, in a "legato" manner.

There are two possible ways of doing this:

"Note Force Legato (selected/any)":
this function forces legato for all selected notes, regardless of whether the following note is selected or not.

"Note Force Legato (selected/selected)":
this function forces legato for all selected notes, but only if the following note is selected.

The end of the sequence is treated as a non-selected note:

"(selected/any)":
lengthens the last note up to the end of the sequence;

"(selected/selected)":
does not lengthen the last note.

If Logic finds a chord, a dialog box will appear saying

Chord found! Delete Chord Notes? Keep / Delete.

"Delete":
erases any incorrect notes in a poorly played monophonic line.

"Keep":
evens the start points and durations of all the notes in chords, which were played intentionally.

- Converting Sustain Pedal Events to Note Lengths
The command Functions > Note events > Sustain Pedals to Note Length analyzes the sustain pedal events (controller #64) on selected notes, and lenghtens the actual notes, so that they sustain until the controller #64 "off" message is reached.. The pedal events are erased by this function altogether.

A point of note when using this function in the Score window: in Page View, all selected sequences are edited. Even if the result sounds the same, the score may look different because the notes will have different durations. Removing the controller #64 messages will delete the corresponding pedal marks from the Score.

Setting Note, Sequence and Region Starts and Ends to fit Song Position

You can move the start or end of a selected object (sequence, region or notes in any editor) to the Song Position Line, by use of a Key Command. Unlike the Pickup Clock command, audio data is not moved, when using Set Object Start to SPL Position on an audio region. The relevant Key Commands are:

  • Set Object Start to SPL Position
  • Set Object End to SPL Position.
The use of Set Object Start to SPL Position is only possible when the Song Position Line (SPL) is placed before the start of the event. Similarly Set Object End to SPL Position only makes sense if the SPL is placed after the end of the event. If not, the length of the object will be shortened to one format (denominator) value.


Working with Events

Using Logic > General Functions of the Editors > Working with Events

Repeating or Copying Events

To repeat selected events from one to several times (with the ability to control the grid that the first repeated event will snap to), you can use the function Functions > Object > Repeat Objects.

By selecting Functions > Copy MIDI Events, you can move or copy all events between the locator positions, to a different position (default: song position). This function also offers several other options..

Moving Events

You can move one or more events in the editors by using the following key commands. In the Arrange window the same commands may be used to nudge entire sequences by the corresponding grid amount:

  • Nudge Event Position by SMPTE frame +1
  • Nudge Event Position by SMPTE frame -1
  • Nudge Event Position by SMPTE Bits +1
  • Nudge Event Position by SMPTE Bits -1
  • Nudge Event Position by Tick +1
  • Nudge Event Position by Tick -1
  • Nudge Event Position by Division +1
  • Nudge Event Position by Division -1
  • Nudge Event Position by Beat +1
  • Nudge Event Position by Beat -1
  • Nudge Event Position by Bar +1
  • Nudge Event Position by Bar -1

The selected events (or sequences in the Arrange window) are shifted by one step right (+1) or left (-1), by whatever unit is referred to in the particular command name.

Deleting Events

The basic techniques are the same as for deleting sequences:

  • the Backspace (delete) or del key deletes all selected events,
  • the Eraser also deletes all selected events, and any events that you click with it (whether previously selected or not).

- Deleting Similar Events
Use Edit > Select > Select Similar Objects (e.g. events with the same controller number) and delete the selected objects.
This function can be toggled.

- Deleting Doubled Events
Doubled events at the same bar position may be deleted by selecting Functions > Erase MIDI Events > Duplicates. Doubled events may have different second data bytes (velocity, aftertouch or controller values); Logic looks only at the event type and position, when determining whether two or more events are doubled .

- Deleting Events by Reference to the Locator Positions
Selecting Functions > Erase MIDI Events > ... also allows you to delete all events between (... > Inside Locators) or outside (... > Outside Locators) the locator positions.

- Deleting Events Outside the Sequence
When copying events or shortening sequences, events can sometimes end up outside the limits of a sequence. These technically still belong to that same sequence, although they won't sound. You can delete these events by selecting Functions > Erase MIDI Events > Outside Object Borders.

- Deleting Unselected Events Within the Selection
If you have selected certain events within a range, and you want to delete all the unselected events, select Functions > Erase MIDI Events > Unselected within Selection.

Locking Events to SMPTE Times

Refer to the section Fixing Objects to Frames.


Event and Note Quantization

Using Logic > General Functions of the Editors > Event and Note Quantization

The Event and Matrix Editor have a separate quantization function, which can be applied to all selected events. Unlike quantization for arrange objects, the event quantization applies to all events, not just notes. It irreversibly alters their positions (only notes can be returned to their original recorded positions).

Quantizing Events

Select the events that you want to quantize. Then open the pull-down Quantization menu by grabbing the "Q" button shown here (the Q button in the Matrix Editor looks slightly different).

This is identical to the matching pull-down menu for the playback parameters, and contains its own quantization grid (for details see the section Quantization). As soon as you select an item from the menu, all the selected events are quantized.

You can only reverse note quantization. All other events are permanently shifted.

To apply the same quantization grid to another series of selected events (even in other Editor windows), select Functions > Quantize again, or click quickly on the "Q" button again.

Note Quantization

Normally, all notes in a sequence are quantized according to the Quantization parameter in the sequence parameter box and the extended sequence parameter box (explained in greater detail in the section Quantization).

To quantize single notes in either of the Note Editors (the Matrix or Score Editors), you can use the Q tool, as well as event quantize.

If you click on a single note (or a selected group ) with the Quantize tool, and hold down the mouse button, the quantize menu should open and you can select the quantization you want.
If you click quickly on notes, the last quantize value will be used again, just as with the Quantize Again command.

If you click-hold on the background with the Q tool, you get the usual rubber band for selection of several objects at once.

When working in the Score window, the display quantize setting will have an effect on how this works.

- Unquantizing Notes
Note events can be returned to their original record positions, or moved manually, by selecting the setting Qua off (3840),or by clicking on the Q button while holding down the ctrl key.

You can also unquantize all the currentlyselected notes by clicking on them with the Q tool while holding down the ctrl key.
You achieve the same result by selecting Functions > De-Quantize.


Display Functions

Using Logic > General Functions of the Editors > Display Functions

The section Window Functions describes the basic window functions, including how to lay out the window elements to make more space for the event display in the graphic editors, and how to operate the zoom functions.

Many of the display options in the editor windows correspond to those in the Arrange window:

By selecting View > Parameters, you can hide or show the parameter fields to enlarge the window's working area. The key command is Hide/Show Parameters.

In the Matrix and Hyper Editors, you can conceal or reveal the transport panel in the top left corner by selecting View > Transport.

In all editor windows except for the Event List, you can replace the bar ruler with a SMPTE time display by selecting View > SMPTE Time Ruler.

Changing Display Levels

Normally, the Editor windows are at the lowest display level, which shows individual events. However, by double-clicking the background of the editor, you can move up one level in the folder/sequence hierarchy. For example, if you are currently looking at the events in a sequence inside a folder, the display will switch to a view of the sequences in the parent folder.

Matrix and Hyper Editors

In the Matrix and Hyper Editors, this means that you will then see an Arrange window. In this case, when you change to the lowest level, the relevant editor reappears. In this Arrange level, you will see the local menus of the Matrix or Score Editors, which also contain all the functions of the Arrange window. Double-clicking on a sequence opens the usual Hyper or Matrix display of the contents of the sequence. This means you can quickly switch to another sequence, and edit its contents.

Event List

Double-clicking on the background in the Event List moves you up one level in the hierarchy, just like the other editors. In the Event List, however, the form of the display remains the same but instead of a list of the individual events you now see a list of the sequences along with their position, name, track number and length. The sequence that you have just left will be selected.

Here too, double-clicking on a sequence (or using the "Go into Folder/Sequence" key command) takes you back to the lowest display level, showing the contents of the sequence.

Score Editor

In the Score Editor, double-clicking on the background takes you to the higher display level. Unlike the other editors, in the Score Editor individual events can also be edited in higher display levels. Double-clicking on a staff (at an empty point), takes you back to a lower display level.


Key Commands Overview

Using Logic > Key Commands > Key Commands Overview

You can activate all Logic's functions with key commands or MIDI messages. The Key Commands window is where you assign key commands to the keys, or to MIDI messages. Furthermore, many additional functions are available only as Key Commands.

Whenever this manual mentions a key command, this refers to a command which can be called up by either a keystroke or a MIDI message. This allows you to completely customize Logic to suit your own working style.

Your personal key assignments are stored (together with the settings of the Preferences pages) in a file called "Logic 5.PRF" in your PC's Windows folder . You should:

  • make a backup of this file at another location on your hard disk;
  • make a backup on a movable media of it, in case you need to use a Logic system on another computer.

When you install updates to your version of Logic, your personal key commands will remain unaltered.

Menus and dialogues

You can handle all menus and respond to prompts and dialogs via your computer keyboard in keeping with Windows conventions. Use Return to activate the OK button , esc to activate the Cancel button.

Even the fixed global Key Commands of older versions are user definable. Please keep in mind that some of these commands like Undo, Save, Quit, New, Open, Cut, Copy, Paste... follow "common conventions" and probably shouldn't be altered.

The user defined Key Commands are displayed in the corresponding menu entries.

Special Keys

Some keys have special functions:

  • The modifier keys Shift, Ctrl, and Alt can only be used in conjunction with other keys.
  • The backspace key has the fixed function "delete selected objects". It can only be assigned a function in conjunction with the modifier keys Shift,Ctrl, and Alt.
  • The F4 key (close window) and Alt F4 key combination (close application) cannot be reassigned.
  • The key combinations assigned to the options in the main menu bar cannot be reassigned. The relevant keys are displayed after the main menu items.
  • The "+" and "-" keys increase or decrease any selected parameter value in single units. However, they can be assigned different functions which override this function.


Key Commands Window

Using Logic > Key Commands > Key Commands Window

The Key Commands window can be opened by selecting .

All the available key commands are listed on the right side. They are grouped according to various categories. The Global Key Commands work regardless of which window is currently active; the other commands require the corresponding window(s) to be topped. This allows you the assign the same key command to different functions in different windows.

A "*" in front of the description of the function indicates that the function is only available as a key command, or MIDI command. To the left you can see the currently assigned key, and even further to the left, the assigned MIDI message. A dash here indicates that no assignment has been made.


Assigning a Function to a Key

Using Logic > Key Commands > Assigning a Function to a Key

  • Click the Learn Key button.
  • Select the desired function with the mouse.
  • Press the desired key, if necessary together with the desired modifier key(s) (Shift - ctrl - alt - )
  • If you want to make another assignment, repeat steps 2 and 3.
  • Deactivate Learn Key!

You can also set the key and the modifier via pull-down menus in the parameter box (top left).

Learn Separate Key

Learn Separate Key works in the same way, but differs in that it's not just a reference to an ASCII code that is stored, but the actual code of the key that is pressed.

In practice, this means that you can, for example, assign different commands to the number keys on the numeric keypad than to the ones on the number keys on the main part of the keyboard-and the same goes for the different "+" and "-" keys on the numeric keypad and main keyboard. The only disadvantage is that the key code (a number) is displayed in the Key Commands window instead of the ASCII symbol, which is more useful for reference purposes.

If there is only one key command defined for the key, it will be used, no matter which of the two keys is pressed.

If there are two key commands defined (one for the alphanumeric keyboard, one for the numeric keypad), then the appropriate key command will be used.

Deleting Assignments

  • Click on Learn Key, to erase the key assignment.
  • Use the mouse to select the function whose key you want to delete.
  • Press Backspace.
  • To erase more assignments, repeat the second and third steps.
  • Deactivate the Learn Key button.


Assigning a Function to a MIDI Message

Using Logic > Key Commands > Assigning a Function to a MIDI Message

  • Click the Learn MIDI button.
  • Select the desired function with the mouse.
  • Send the desired MIDI message from your controller.
  • If you want to make another assignment repeat steps 2 and 3.
  • Deactivate Learn MIDI!

If you want to assign a "Note On" message, remember to switch off Learn MIDI before you release the key in question (and thereby transmit a Note Off message). The assignment used is always the last message received.

You can set the type of message, the channel and the first and second data bytes in the Parameter box, using pull-down menus or using the mouse.

Deleting Assignments

  • Click on Learn MIDI, to erase the MIDI assignment.
  • Use the mouse to select the function whose key or MIDI assignment you want to delete.
  • Press Backspace.
  • To erase more assignments, repeat the second and third steps.
  • Deactivate the Learn MIDI button.

Switching MIDI Remote on/off

You can use the MIDI Remote button to globally switch on/off response to all defined MIDI messages. The MIDI command for this (Toggle MIDI remote) is always active, even when MIDI Remote is disabled, and is therefore always available.

If you have assigned MIDI Remote commands to all the keys on your master keyboard, you are advised to use a second foot pedal or a programmable button on your keyboard for Toggle MIDI Remote, which you cannot accidentally press while you are recording. If nothing like this is available, use a key you are unlikely to press by accident (for example the lowest or highest key)-but be aware that you will no longer be able to use that key to record any notes.

Disable MIDI Remote switches off MIDI remote control.

The MIDI Remote Status also applies to MIDI Events that are created with Transformers or Faders in the Environment, and are routed to the Physical Input.

Valid MIDI commands are recognized and filtered out by the Physical Input Object, because it makes no sense to record them.


Further Key Commands functions

Using Logic > Key Commands > Further Key Commands functions

Checking the Function of a Key

Deactivate Learn Key, and press the key whose function you want to check. The function will be automatically selected, and displayed in the middle of the window.

Filtering

You can use the Hide Used and Hide Unused buttons to filter all the used, or unused key commands from the window display.

All the other Key Commands window functions remain available for you to use.

Finding Key Commands

Due to the large number of possible key commands, it can sometimes be difficult to find one in particular. For this reason, Logic offers a Find function, which lets you search for a key command by typing in its name (or a part thereof).

Simply click in the white space to the right of the Find button and enter the string of characters you're searching for. The window will then display only those key commands that contain that character string (plus the currently selected command, even if it doesn't contain that string).

The Key Commands window remains active, even in Find mode; you don't have to leave this mode to continue making assignments.

The Find function is not case-sensitive, it makes no distiction between upper, and lower case characters.

The Hide Unused and Hide Used buttons work in combination with Find, but obviously, this means you must switch off both in order to see all the commands that fit the search criteria, regardless of the commands' current assignment.

The Find button switches Find mode off and on. The button is automatically activated if a string of characters is entered.

If you select Options > Scroll To Selection, the key commands window will scroll to the currently selected key command. The same function will automatically be performed when the Find button is disabled.

Printing a Key Command List

The Options > Copy Key Commands to Clipboard function copies the key commands into the clipboard as text. From here, it's a simple matter to paste the results into any word processor document, format them any way you want, and print them out.

The Copy to Clipboard function also takes into account the Hide and Find function settings. You could, therefore, export only a certain group of key commands (e.g. all those containing a particular character string). What you see in the window display is exactly what's exported.

Storing Key Command Assignments

The assignments you make are stored in the Preferences file automatically when you quit the program. However, you can also store your key commands manually, using Options > Save Preferences. This also stores all the other Preferences settings as well.

Importing Key Commands

This function is particularly useful if you need to work temporarily on someone else's system; you might wish you could use your personal key assignments on it, but without altering the system settings.

The Key Commands window function Options > Open Key Commands... allows you to import the key assignments from any Logic Preferences file, with a typical file selection box to browse any internal drive or removable media (i.e. a floppy disk, etc.) containing your personal "Logic 5.prf" file).

The Preferences file in the Windows folder that has been in use up until now will be renamed to "Logic 5.bak". This file contains the old key commands.

You don't have to restart Logic to continue.

Initializing Key or MIDI event assignments

The Options > Initialize > ... command either initializes key assignments (... > Key Commands), or MIDI assignments (... > MIDI Commands). The default assignments are then in effect.

Please be aware that you will lose your own key command assignments, if you haven't created your own copy of the "Logic 5.prf" file.


Step Input

Using Logic > Step Input

The Step Input functions allow you to insert MIDI notes by using:

  • the on-screen keyboard
  • the computer keyboard
  • MIDI

Notes are inserted in all modes at the current song position. All three methods can and should be combined to make full use of the features the different options offer. Here is an example: you can set the note length in the Keyboard Window, insert notes via a MIDI keyboard and locate the Song Position Line using Key Commands.

Keyboard Window

The Keyboard Window can be opened via the menu Windows > Open Keyboard Window. It allows you to insert notes in any MIDI Editor window.

Key Commands

There is a whole set of Key Commands for the insertion of notes via the computer keyboard. To activate the insertion mode, the In-button has to be switched on.

This mode is available in those editors that feature the In-button: Event Edit, Matrix Editor and Score Window. You find the key commands in the section Keyboard Input of the Key Commands Window.

MIDI Input

When the In-button is engaged, you can insert notes via an external MIDI keyboard. You can use the Keyboard Window and/or the Input Key Commands to adjust those settings which are not available from the MIDI keyboard itself, i.e. the length of the note or location commands. Like the Keyboard Input, the MIDI Input is available in the following Edit Windows: Event Edit, Matrix Editor and Score Window.


Input via On-Screen Keyboard

Using Logic > Step Input > Input via On-Screen Keyboard

You can open the Keyboard Window via Windows > Open Keyboard Window.

If you decide to work in the Score Edit Window, you have to adjust the display settings for that sequence accordingly: Interpretation has to be off, the display quantize setting (Qua) should be set to the smallest note value you intend to insert.

Before you start, set the Song Position Line to the spot where you want to insert the first note, for example by adjusting the song position in the Transport Window.

Single Notes

For getting to know things it's easier to use the mouse in the beginning, clicking the key for the desired pitch in the Keyboard Window, and also the buttons for note length, velocity etc. This inserts a note with that pitch at the current song position into the selected sequence, with the length and velocity chosen in the Keyboard Window before.

The pitch of an inserted note is determined by the key that you click in the Keyboard Window.

Length and velocity are determined by the corresponding buttons in that window. If the buttons look like shown in the illustrations to the right, a sixteenth note with velocity setting 96 would be inserted-this corresponds to the forte (f ) indication. The eight available velocity values are represented by the tradition volume indications ppp , pp , p , mp , mf , f , ff and fff , which correspond to the velocity values 16, 32, 48, 64, 80, 96, 112 and 127.

The MIDI channel of an inserted note is determined by the Channel setting in the Keyboard Window. Remember: The channel settings of individual notes usually has no effect on the playback channel and therefore the sound of that sequence-this is determined by the track instrument settings in the Arrange Window. The channel settings of individual notes are mainly used for polyphonic score display.

Proceeding

After a note is inserted, the Song Position Line will always jump to the end of the inserted note. The following note can be inserted right away, following the same principles again.

Chords

To insert several notes at the same bar position, the Chord Mode has to be activated by clicking on the button on the far left side of the window or using the Key Command Chord Mode.

This will keep the Song Position Line from moving after inserting a note, allowing the user to insert as many notes as desired at the same bar position, one after the other. Another click on the chord button (or the same Key Command again) will deactivate the Chord Mode (this is best done before inserting the last chord tone); the Song Position Line will now move forward again after inserting notes.


Input via Computer Keyboard

Using Logic > Step Input > Input via Computer Keyboard

Note input with the computer keyboard works according to the same principle as the input via on-screen keyboard. Instead of choosing pitch, velocity, note length etc. with mouse clicks, Key Commands are used for all functions. To have better control over what you are doing it is recommended to still open the Keyboard Window when you start using these functions, however, it actually isn't really necessary to open that window when using Key Commands.

All Key Commands for step input are user definable. In the Window they can be found at the very bottom of the list, under the header Keyboard Input.

Pitch

The twelve Key Commands Note C to Note B will insert that note with the currently set length and velocity at the current position of the Song Position Line into the currently selected sequence. To insert chords, use the Chord Mode command. Switch off chord mode using the same command once again.

Instead of assigning Key Commands to all twelve pitches there is also the option to only define Key Commands for the seven pitches of the C major scale and use these in combination with Next note will be sharp and Next note will be flat to insert the other pitches.

When creating a system for these Key Command assignments two approaches seem obvious: either to arrange these commands on the computer keyboard similar to a piano keyboard (C D E F G A B in a row next to each other and C# D# F# G# A# above these at corresponding positions), or-especially when the second system mentioned above is used-to assign keys to pitches of the C major scale according to their note names.

Octave Ranges

The octave where a note will be inserted depends on the current position of the insert range bar. This can be seen in the Keyboard Window: There is a small horizontal bar above the piano key image that spans exactly one octave. The chosen note will always be inserted inside the range marked by that bar.
This bar changes its position all the time according to the last inserted note: The center of the insert range bar will always be aligned to the last inserted note. The next note will be inserted in that range unless the range bar is moved using Key Commands or the mouse.

An example: If a G is inserted right after inserting a C, the G will be put below the C: Inserting the C places the range beam between G (left end) and F# (right end), with the C in the center. Regardless which note is chosen now, it will always be inserted inside that range. However, the beam will move on as further notes are inserted, its center always aligned to the last inserted note.

Since larger intervals would be impossible that way, there are Key Commands for placing the range bar in different octaves: Octave 0 to Octave 6, and also Octave +1/-1/+2/-2, which move the range bar up or down one or two octaves. Apart from that the range bar can also be moved with the mouse.

Note Length and Velocity

Note Length and Velocity are determined before one of the pitch commands is used to actually insert a note. The currently selected values can be seen in the Keyboard Window.

Rests, Correction, Moving Forward and Back

The Key Command Rest moves the Song Position Line forward according to the currently set note value without inserting a note, thereby creating a rest.

The Step backwards and Step forward command also move the SPL forward or back by the length of the selected note value.

The Erase command will delete the last inserted note and move the SPL to the position where that note began. This allows quick corrections-another note can be inserted right away replacing the erased one.

Triplets, Dotted Note Groups

The Key Command Next three notes are triplets is self-explaining. The rhythmic value of the triplets corresponds to the currently selected note value in the Keyboard Window. If an eighth note is selected there, an eighth note triplet will be created. After three notes have been inserted, binary values will be inserted again, unless the command is applied again.

Next two notes are a dotted group works in a similar way. The special thing about it is, that a pair of notes will be inserted which complement each other, like a dotted eighth and a sixteenth note.

Interaction with other Key Commands

If the input mode is activated in an editor window (Score, Matrix or Event List), these Key Commands have priority over all other Key Commands.

This means that you may also assign keys or key combinations to these functions which already are assigned to other functions. As long as the input mode is active, these key assignments will apply; if the input mode is switched off, the other assignments (for the same keys) will have priority.

So you can use key assignments that are already in use for other functions, you should just be careful not to use keys that are assigned to functions which you also might want to use when you work with step input.


Input via MIDI

Using Logic > Step Input > Input via MIDI

Note input with MIDI works according to the same principle as the input via on-screen keyboard. Instead of clicking on the on-screen keyboard you press a key on a real-life MIDI keyboard. The velocity information is also stored when using MIDI Step Input. To have better control over what you are doing it is recommended to still open the Keyboard Window when you start using these functions; it is also recommended to make use of the Input Key Commands to quickly switch e.g. the note length or to locate the insertion position. Chords can be inserted by pressing the whole chord on the MIDI keyboard. It is not required to switch on the Chord Mode in this case.


Song Administration

Using Logic > Song Administration

All events, other objects and settings (apart from the Preferences and key commands) are components of a song. Songs are handled in the main File menu.


New Song

Using Logic > Song Administration > New Song

When you first launch Logic, it opens a preset standard song. After just a short time, you will have learned how to make your own adjustments to the Environment, to screensets and to song settings, and will no doubt want to keep these settings for use in future songs, as they will be suited to the way you personally work with Logic. The best way to do this is to set up your own "default song", and save it in the same folder as the Logic program, calling it "Autoload". Be sure to save the song as file type "Logic Song".

Autoload Song

If there is a song in the Logic folder called "Autoload", Logic will automatically load it when it is booted up. When you're ready to start work on a new song, simply save the Autoload somewhere else under a new name using File > Save as... and begin. This file can then form the basis for your new song.

Creating a New Song

If you select File > New (Ctrl N), Logic checks to see if an "Autoload" song is available and opens it automatically if it is. If not, a new default song is created. If an "Autoload" song is available, you will be asked if another copy of the Autoload song should be made (to avoid accidentally erasing it) or if a completely new default song should be created.

Opening Default Song

If you hold down the ctrl key while selecting File > New, a new default song called "Untitled" will be opened.


Loading a Song

Using Logic > Song Administration > Loading a Song

You use File > Open (Ctrl O) to bring up a typical file selection box. If there is already a song loaded, you will be asked if the currently-loaded song should be closed (select Close) or not (select Don't Close). You can disable this prompt by selecting > When Opening a song, ask to close current song(s)?.

Direct Access to Your Current Songs

You can open any of your most recently opened songs directly without the usual file selection dialog by selecting one of the menu entries above File > Quit

If a menu entry would be longer than 50 characters, it is displayed without the entire path, but with the file name only.

Different songs open at the same time

If you have several songs open at once, you can switch the currently active song from the Windows menu-the active song is the one marked with a tick.Provided the > Hide Windows of inactive songs option is switched off, you can also switch the active song by clicking on one of the other song windows.

Song and MIDI File Import by Drag and Drop

Songs and Standard MIDI Files can be dragged from a Windows Explorer window, dropped in the Logic Arrange Window, and opened there. The mouse position when releasing the mouse button determines the clock position (rounded by bar) and first track where the imported file's tracks are placed.

Opening pre version 5 songs

When loading a song created with a Logic version prior to version 5 the song format will be converted to the version 5 format. When saving this song for the first time, a file selector dialog will be opened, so that the old song file will not be overwritten automatically. Please note: once saved in version 5 format, a song can no longer be opened with versions prior to version 5. However, a song can be exported as a version 4 song.


Special Functions

Using Logic > Song Administration > Special Functions

Importing settings from other songs

The Arrange window function Options > Import Settings allows you to import various settings from other songs (and the key command Import Settings may be used globally, not just in the Environment window). These settings include:

  • Screensets
  • Transform Sets
  • Hyper Edit Sets
  • Score Instrument Sets
  • Score Styles
  • Score Settings (all Song Settings that pertain to the Score, such as Numbers & Names or Clefs & Signatures...)

If you select the Import Settings... command, a dialog box will appear, and you can select which settings you want, individually.

For example, to import only the Screensets from a given song, select only that particular option.

Click on Import, or hit the Enter key.

If only one song is currently loaded, a file selection box will open, so that you can select the song to import the settings from.

The file selection box will not appear if several songs are already loaded. Instead, the settings from the song that was active before the current one are imported automatically.

Checking/Repairing Songs

If you double-click on the display on the Transport which shows the remaining number of free events the memory will be reconfigured. At the same time, the current song will be checked for any signs of damage, structural problems, and unused blocks.

If any unused blocks are found-which normally shouldn't happen-you will be able to remove these, and repair the song.

Song Information Window

The Song Information Window can be opened via Options > Song Information.... It contains information about various aspects of your song. This information might not be useful for you; however, you may be asked by the Emagic Support Team to provide this information in case there is problem with a specific song.


Saving Songs

Using Logic > Song Administration > Saving Songs

When you select File > Save (or Ctrl S ), the current song will be saved with its current name intact.

If you don't wish to overwrite the last version of this song saved under this name (which is what will happen if you just use File > Save or Ctrl S ) , try using File > Save As... Here, you can enter a new name for the song (and select a new directory or even create a new folder). The next time you save using straight Save (Ctrl S ), the new name and file path will be used.

Please note: Songs saved by version 5 of Logic cannot be opened in older versions of Logic.

Export Song as Logic 4.8 Song...

Choose File > Export > Export Song as Logic 4.8 Song... to save your song in Logic 4.8 format. This allows versions prior to version 5 to open a song file. Please note that not all song information can be stored in the older format, e.g track automation data. You might wish to convert track automation data into object data first.

Automatic Backup Files

When you save a song, Logic will first make a safety copy of the previous file. You can switch off this function in the global preferences (Options > Settings > Global Preferences), and also set the number of backup files that will be made-up to 100.

This function allows you to store up to 100 earlier versions of your song, thereby retaining a complete record of your song's development.

The backup files will be saved in a folder with the same name as the song, but with the file name extension ".bak". This backup folder will be placed in the same folder as the original song. The backup files themselves will have the same name as the song, too, but will be sequentially numbered. For example: if the song is called "My Song", the backup folder will be "My Song.bak", and the backup files within the folder will be called "My Song01", "My Song02", and so on.

Reverting to the Saved Version

Anytime you make a mistake, you can undo it by selecting Edit > Undo (Ctrl Z ).

If you have made some really serious blunders (unlikely as that may be), or you decide that over the last 15 minutes since you last saved, your creative effortss have resulted in material too unpleasant to describe here politely, you may find the function File > Revert to Saved very helpful. This replaces the current song with the previously saved version.


Closing and Quitting

Using Logic > Song Administration > Closing and Quitting

Closing a Song

File > Close (Ctrl W ) closes the currently active song. If you have made any changes since the last time you saved, Logic will ask you if the song should be re-saved before closing, to preserve the changes you have made.

- Close Window or Song
If you have more than one window open in a song, the key command Close Window or Song will close only the uppermost window of the song and not the whole song. The song will only be properly closed when the last song window is closed, too.

Quitting the Program ...

Choose File > Quit (Ctrl Q ) to leave the program. If you have not yet saved your last changes, you will be asked if you want to do so before quitting (press Enter to save).

- ...without saving the Song
The key command Close Song without Save closes the currently- active song without saving it first-and you will not first be asked if you want to save. We put this command in because we were asked to by many experienced Logic users. Please only use it if you know what you're doing...


Cross Platform File Exchange

Using Logic > Song Administration > Cross Platform File Exchange

Song Files and most audio file formats can be easily transferred from Mac OS (TM) computers to Windows (TM) computers and vice versa.

If you have a song project including audio files we recommend to both song file and audio files into the same folder, because in this case the song file will find the audio files automatically regardless of the audio file path(s) stored in the song.

Mac OS to Windows

- Song file
Simply add the extension "*.lso" to the Macintosh song name. The song will then be recognized immediately by the Windows version of Logic.

- Audio Files
Use either Wave or AIF format. When loading the song Logic Windows will recognize the files even without a file extension as long as they are in the same folder. If they are not Logic Windows will search for them, which might take a while. We recommend nevertheless to add file extensions to the file name ("*.wav" or "*.aif"). If you are working with split stereo files, change the channel indication "(L),(R)" to the extensions "*.war/*.wal" resp. "*.ail/*.air".

- Plug-In Settings files
These files require the extension "*.pst" to be recognized by Logic Windows. Logic Mac will add this extension itself when writing new settings files. By default Plug-In Settings files are located in the folder "Plug-In Settings" in the Logic folder organized by plug-in. Just transfer the files into the corresponding folder on the Windows computer; then they will appear automatically in the Plug-In Settings menu.

Windows to Mac OS

- Song file
Transfer the song file to the Mac OS computer and use File > Import... to open the file. Please note that the maximum length of the file name should not exceed 31 letters.

- Audio Files
Basically there is no need to do anything apart from transferring the files to your Mac OS computer. Logic Mac recognizes and plays back the Windows WAVE format without the need to convert the files. Move the song files into the same folder as the song file for easier locating.

When using the Digidesign Audio Engine, version 5 or higher is required to read WAVE files. Please note that DAE does not recognize interleaved stereo files; however, Logic will automatically convert them to split stereo files.

- Plug-In Settings files
Logic Windows automatically adds the extension "*.pst" to the file name when a settings file is created. This is sufficent for Logic Mac to read the settings files. By default Plug-In Settings files are located in the folder "Plug-In Settings" in the Logic folder organized by plug-in. Just transfer the files into the corresponding folder on the Mac OS computer; then they will appear automatically in the Plug-In Settings menu.


Standard MIDI-Files

Using Logic > Standard MIDI-Files

Standard MIDI Files are not specific to a particular sequencer program, or type of computer. They contain the following information:

  • MIDI events with their time positions and channel assignments,
  • Names of the individual tracks,
  • Names and positions of markers,
  • Tempo changes,
  • Copyright marks.

Logic supports the importing and exporting of Standard MIDI File formats 0 and 1:

  • Format 0 can contain one track,
  • Format 1 can contain multiple tracks.
Neither format recognizes any division of a track (e.g. into several sequences).


Loading Standard MIDI Files

Using Logic > Standard MIDI-Files > Loading Standard MIDI Files

To load a Standard MIDI File, select File > Open. In the file selector, select MIDI File in the "Files of Type" box.

If there is already a song in the memory, you will be asked "Create new environment or copy current environment for MIDI File? New/Copy". If you click Copy, the existing environment is copied. The tracks of the Standard MIDI File are automatically assigned to suitable instruments.

If there is no song in the memory, or you answer the above question by clicking New, the default environment for new songs is used instead.

Copyright

The copyright mark is read as marker text.

Bank Select

When you open Standard MIDI Files, program change and controller events occurring at the same position are moved by one tick, so that they will remain in their intended order. This prevents Logic from reversing the transmission order of the events. The reason for this is that certain MIDI devices will not respond properly to program change and bank select events that do not occur in the correct order.

This guarantees that there will be no timing problems, because the transmission of a MIDI event always lasts longer than 1 tick.


Saving Standard MIDI Files

Using Logic > Standard MIDI-Files > Saving Standard MIDI Files

If you want to play a Logic song on another sequencer, you can do so by saving it as a Standard MIDI File. Consult the other sequencer's instruction manual to see which Standard MIDI File formats it can read. Any sequencer should be able to interpret at least the type 0 file format.

Preparing the Song

Because of the limitations of the Standard MIDI File format, you should prepare your Logic song in the following way:

  • Neutralize all playback parameters with the normalize function (select them all by pressing ctrl A , then select Functions > Sequence Parameter > Normalize Sequence Parameters),
  • Convert all playback quantization with the fix quantize function (ctrl A , Functions > Sequence Parameter > Fix Quantize,
  • Convert all aliases into real copies (ctrl A , Functions > Alias > Turn to Real Copy,
  • Convert all loops into real copies (ctrl A , Functions > Sequence Parameter > Turn Loops to Real Copies),
  • Convert all sequences on each track into a continuous sequence (ctrl A , Functions > Merge > Objects per Tracks.

Answer the "Convert multiple Event MIDI Channels to Instrument MIDI Channel? No/Convert" dialog box with Enter or Convert.

- Additional preparations for file format 0
Since Standard MIDI File type 0 format files can only save one sequence, you must also merge all sequences into one (ctrl A , Functions > Merge > Objects).

Saving a Song as a Standard MIDI File

Select all of the required sequences, and select File > Export > Export Selection as MIDI File... You can now enter the destination directory.

- In File Format 0
See whether under Options > Settings > Global... the parameter 'Export MIDI File...' save single Sequences as File Format 0 is checked. If it is, selecting File > Export > Export Selection as MIDI File... when only one sequence is selected means that file format 0 will be automatically used.


Recycle Import

Using Logic > Recycle Import

ReCycle is the name of a software application by manufacturer Propellerheads, which mainly serves as an editing and production tool for Loops (repeatedly looped audio samples). Recycle uses specific file formats which can be imported by Logic.

Recognised ReCycle file formats

Logic Platinum can import the following file types:

- Old ReCycle File
• File Suffix: .rcy
• Abbreviation: RCSO

- Old ReCycle export file
• File Suffix: .rex
• Abbreviation: REX

- New (2.0) ReCycle file
• File Suffix: .rx2
• Abbreviation: REX2

Importing ReCycle files in the Arrange Window

To import a ReCycle file to an audio track use the same options as for normal audio files:

  • Select Audio > Import Audio File and select a ReCycle file instead of a regular audio file, or
  • shift right click on an audio track and select a ReCycle file, or
  • Drag a ReCycle file from the Windows Explorer onto an audio track.

As a result, Logic Platinum will create a folder containing one audio track (using the same audio mixer object as the track it is created on) which in turn contains the slices of the ReCycle file at the appropriate positions. Each of these slices will reference the same audio file, which can be found in the Audio Window, as usual.

If you move the created folder to another audio track, the audio mixer object references will not change accordingly! You will have to open the folder and change it manually if that is what you want to do.

Recycle File Import Overlap Function

On occasion, you may encounter a dialog regarding overlaps, when importing Recycle files.

The launching of this window results from:

  • The tempo used in Logic being higher than that of the imported Recycle file.
  • Use of the Stretch function in ReCycle.

You may handle the imported file in the following ways:

  • Don't Fix - imports the file as is. All "slices" of the file will overlap, to match Logic's tempo.
  • Add tracks - will distribute the "slices" across multiple Audio tracks, allowing you to adjust the position or delete slices freely. The Number of additional Audio tracks panel in the window determines how many tracks are used for the distribution of the slices. These tracks are in addition to the original audio track, on which the Recycle file was imported.
  • Crossfade - All slices of the file are imported to the same track and automatically crossfaded. The crossfade is equal powered. The length of the crossfade is determined by the value (shown in milliseconds) displayed in the Crossfade length panel.
  • Render into single file - When importing Rex files this function writes all ReCycle slices into a single audio file using the current Logic song tempo for the rendering process.

The adjustment of the numerical values is via use of the mouse as a slider, or double-clicking on the panel(s), and direct numerical entry.


Audio Export & Import

Using Logic > Audio Export & Import

Logic Platinum has the ability to export and import song contents using the OMF (Open Media Framework, also known as OMFI - Open Media Framework Interchange) and OpenTL (Open Track List) file formats. Typically, the OMF format is used for data exchange with Digidesign ProTools software, and the OpenTL format for data exchange with Tascam harddisk recorders, such as the MX2424.

Both of these file formats only support the exchange of audio data (audio media and the usage of this audio media in a song) - MIDI and automation data will simply be ignored when using the export functions.


OMF Export / Import

Using Logic > Audio Export & Import > OMF Export / Import

OMF Export

To export the current song as an OMF file, select File > Export > Export Song as OMF file.... This will launch a dialog with the following options:

- OMF File Version
This allows you to export the file in OMF Version 1 or Version 2 format. You will usually choose Version 2 here. Version 1 is only useful for backwards compatibility with older software versions.

- Include Audio
If this box is checked, all exported audio files will be integrated into the OMF file itself (Note: This can result in a very large file, and can make file export times very long). If unchecked, only file references are written to the OMF file. If this method is used and you wish to copy the OMF file to another hard disk, you need to ensure that all referenced audio files are also copied.

- Convert interleaved to split stereo
As some applications don't support interleaved stereo files, Logic can convert interleaved stereo files to split stereo. (e.g. when exporting an OMF file for a ProTools session) Check this box if this is the desired behavior. Note that this only works if the Include Audio option is checked.

- Pan tracks
If this box is checked, Logic adds information to the OMF file which sets the panning of the exported tracks as they appear in Logic itself. (i.e. - Stereo tracks in Universal Track Mode are exported as two mono tracks. Assuming this option is checked, the left mono track is panned to the left and the right one, to the right). Caution: This does not work with OMFTool. Don't check this box if you are using OMFTool to convert the OMF file into a ProTools session as it is unsupported by OMFTool.

- Convert 24 bit files to 16 bit
This setting converts all 24bit files to 16 bit using the Dithering Type described below. This might be necessary when using older versions of ProTools.

- Dithering
When exporting 24bit recordings into 16bit files and the audio files are included in the OMF file, dithering is recommended.

Executing Export...

After pressing the OK button, a file dialog allows you to specify the destination folder of the OMF file to be generated. Choose a location and you're done. If you have checked the Include Audio option, Logic will display a progress bar for each exported audio file.

OMF Import

The Import OMF/OpenTL file to song... menu option will open a file selector, which allows you to choose OMF files. After selecting a file, a further dialog allows you to choose the location for audio data extracted from the OMF file. After confirming this dialog, the OMF file is imported into the currently open song (i.e. new audio tracks are generated for every track contained in the OMF file and the audio parts are placed appropriately on these tracks).


OpenTL Export / Import

Using Logic > Audio Export & Import > OpenTL Export / Import

OpenTL Export

To export the current song's audio in the OpenTL format, select File > Export > Export Song as OpenTL File.... This will launch a file selection dialog which allows you to specify the destination folder, and file name, of the resulting OpenTL file. After confirming this dialog, Logic will ask you if the song's SMPTE start time should be added to event start positions. In this scenario, audio parts in the resulting OpenTL file will have the same SMPTE start time as in the Logic Song. If you choose Don't add, the part positions are calculated relatively to the song start (i.e. an audio part which starts at Bar 1 will have a start time of 00:00:00:00.00).

At the next step, Logic will ask if a copy of all audio files should be made. You should use this option if you want to copy the resulting OpenTL file, including all audio data, to another hard disk. Logic will then create two sub-folders in the folder which contains the OpenTL file: namely "Audio Files" and "Track Files" (which is the suggested structure for OpenTL exports). The "Audio Files" folder will contain copies of all exported audio files. If you choose that no copy is to be made, the file references in the OpenTL file will point to the original audio files.

Alternatively, you can have all exported files placed in one folder, which is named after the exported file. This is the convention used by the Tascam MX recorders, so it is recommended that Create be selected in response to the "Create a dedicated folder for OpenTL export files?" question.

OpenTL Import

To import an OpenTL file, the Import OMF/OpenTL file to song... menu option is used. Files with the extension ".TL" will be shown in the file selector. If the first event in the imported song starts at a time greater than 1 hour the following dialog appears:

Set SMPTE start time of song so that events start at the same SMPTE time as they do in the imported project?

Confirm it by pressing Set if you want the SMPTE start time of the song to be changed accordingly, or Don't set if the song's SMPTE start time should not be changed.

Should the first audio part found by OpenTL import have a start time greater than zero (less than zero is impossible), Logic will ask if you wish to: Set the start time of first imported event to start of song? If you answer with Set, the first audio part imported will be placed precisely at the song start.

This solves the problem that if the song on the Tascam machine starts at a large time value, but less than 1 hour (such as 59 minutes). In this situation the user can't immediately see the imported audio parts because usually they are imported beyond the song's end point (possibly even beyond the largest possible song end point, depending on the song tempo).


POW-r Dithering

Using Logic > Audio Export & Import > POW-r Dithering

Logic Platinum provides you with the leading professional dither algorithm, designed for the conversion from 24bit recordings to 16bit files required for e.g. CD burning: POW-r (Psychoacoustically Optimized Wordlength Reduction). POW-r is licensed from the development team of the POW-R Consortium LLC.

POW-r dithering is applied when:

  • bouncing audio files to disk

POW-r offers three distinct dithering modes.

  • No Dithering: No dithering is applied.
  • POW-r #1: uses a special dithering curve to minimize quantization noise.
  • POW-r #2: (Noise Shaping): uses additional noise shaping over a wide frequency range which can extend the dynamic range by 5-10 dB.
  • POW-r #3: (Noise Shaping): uses additional, optimized noise shaping which can extend the dynamic range by 20 dB within the 2-4kHz range - the range the human ear is most sensitive to.

Note: Noise Shaping minimizes side effects caused by bit reduction, by spectrally displacing the quantization noise above 10 kHz - the range the human ear is least sensitive to.

The mode which will sound the best to you is primarily dependent on the program material and on your personal taste. The "right" setting is best determined by auditioning the audio material with each of the dithering modes.

Please note: Dithering the same audio signal multiple times should be avoided.


Overview

Transport > The Transport Window > Overview

The Transport window is used to control and display Logic's recording and playback functions.

These are the different sections of the transport window:

Transport buttons

Mode buttons

Position display, Locators

Tempo and Time Signature display

MIDI Input - Output / Song end

Being a floating window, it is always in the foreground, and can never be covered by other windows. As an alternative to the horizontal Transport window shown above, you can open the vertical Transport window. This is not a float window, and can be covered by other windows.

All the displays in the Transport panel (apart from the song name), can be used for inputting data. You can either input the numbers with the keyboard, double-clicking on the display field, or adjust the individual numbers, using the mouse as a slider.

All the functions of the Transport panel are also available as pre-set, but user-defineable keyboard commands, even if the Transport window is not open.

Opening the Transport Window

To open the normal (horizontal) Transport window, select Open Transport from the Windows main menu, or press ctrl 7. To open the vertical Transport window, hold down ctrl when selecting the same menu item.

Logic Platinum allows an unlimited number of simultaneously opened Transport windows. (Additional windows can be used as giant displays for the Bar or SMPTE position.)

Closing the Transport Window

Click on the close symbol on the top right of the window.


The Transport Bar in Other Windows

Transport > The Transport Window > The Transport Bar in Other Windows

You can also configure a fixed Transport window in the Arrange and Matrix windows. When you select View > Show Transport, the transport bar functions appear in the top left corner. The number of visible buttons and displays depends on the size of the area available, which you can adjust by grabbing and dragging the bottom right corner.


Altering the Display

Transport > The Transport Window > Altering the Display

To move the Transport window around the screen either grab it anywhere in the gray area.

The Transport window pull-down menu opens when you click on the arrow at the bottom right. This is where you configure the way the Transport window looks.

- Smaller/Larger
You can adjust the size of the Transport bar to nine different size settings-in steps, or using Size.

- Legend

This display option conceals/reveals a description of all the window elements, and is very helpful if you are still getting to know the program.

- Position Slider

This hides/shows a bar along the bottom edge of the window, whose size represents the current amount of the song shown on screen, relative to the entire song length. You can also grab the bar and move it, to quickly take you to a different song position.

- SMPTE View Offset
This allows you to display a different SMPTE time for the start of your song, regardless of the true SMPTE start time being read from external time code. There's more about this in the section SMPTE View Offset.

- Giant SMPTE Display/Giant Bar Display

This converts the Transport window into a large display of the current SMPTE time, or current bar position.

You can switch back to the normal display, using the "downwards arrow menu", or open a second Transport window.

Sections in the Transport Window

The following options let you conceal different parts of the Transport window independently. This in turn, allows you to control the size of the Transport window.

  • Control Switches Display(Play, Stop, Rewind...)
  • Mode Switches Display (Cycle, Autodrop...)
  • Position Display
  • Locator Display
  • Tempo/Signature Display
  • MIDI Indicator Display

If many parts are used together, the individual elements are displayed horizontally, next to one another. This allows you to configure a very narrow Transport window.
The smaller, larger commands are used as you would expect. When you switch to:

  • Giant SMPTE Display or
  • Giant Bar Display
the whole window is used for the giant display of either the SMPTE time, or the bar display. This gives you freedom in sizing and shaping these displays.

- All Elements Horizontal
Achieves the same effect as if you had selected all the display sections, one after the other: a very narrow Transport bar.

- All Elements Normal
This restores the normal configuration of the Transport.


Position Display

Transport > The Transport Window > Position Display

(for Locators click here)

The current song position is shown in two formats:

- Above: SMPTE time

Hours: Minutes: Seconds: Frames / Subframes.

- Below: bar position

Bar-Beat-Division-Ticks.

A beat corresponds to the denominator in the time signature, a division is a freely-definable part of a beat. A tick is the smallest possible bar subdivision or system quantization-just 1/3840 note.

Using options from the ... page, you can change the Bar Position display considerably:

  • Have dots as dividers
  • Have the tick counter operate from 0, not 1
  • Leave out the division value

The various options will give you the following results:

  • Clock Format 1 1 1 1
  • Clock Format 1. 1. 1. 1
  • Clock Format 1 1 1 0
  • Clock Format 1. 1. 1. 0
  • Clock Format 1 1 1
  • Clock Format 1. 1. 1
  • Clock Format 1 1 0
  • Clock Format 1. 1. 0

Buttons

There is a column of four small gray buttons, between the locator display area, and the tempo display area. The bottom two of these are aligned just to the right of the two locator points. The upper of these will take the SPL to the left locator, when pressed. The lower button will take the SPL to the right locator.

The topmost of these four buttons opens a Marker list window. This can prove useful, if you are just using markers as namable means of storing locator positions. For more on this, read the section Marker List Window.


Locators

Transport > The Transport Window > Locators

You define two sets of locator points, one for the Cycle zone, and the other for the Autodrop zone. The locators on the left define the cycle region, which is a passage that will be constantly repeated (take a look at the section Cycle Mode.

The locators on the right define the autodrop range (take a look at the section Autodrop). They are only displayed when the cycle and autodrop functions are both switched on.

Any mention of the left or right locators is a reference to the left-hand cycle locators. The top one is the left locator and the bottom one is the right locator.

Switches

On the right of the cycle locators are two placement buttons. When you click on either of the buttons, the song position jumps to the relevant locator (Goto Left / Right Locator).

On the other hand, clicking on them while holding down the ctrl key places the selected locator at the current song position (Set Left / Right Locator by rounded Song Position).

Finally, clicking on the locators while holding down the Shift ctrl keys prevents any rounding to the nearest bar (Set Left / Right Locator by Song Position).

Adjusting Locators to Fit Selected Objects

Selecting Functions > Set Locators by Objects sets the locators so that they correspond with one or more selected objects. Set Rounded Locators by Object(s) rounds the locator positions to whole bars.

Key Commands for Locators

  • Global key Commands Move Locators forward by Cycle Length and Move Locators backwards by Cycle Length move the cycled passage by it's own length.
  • The command Swap Left and Right Locator exchanges both cycle locator points.
  • The key commands Set Locators by Marker & Enable Cycle, Set Locators by previous Marker & Enable Cycle and Set Locators by next Marker & Enable Cycle explain themselves.


Time Signature and Division

Transport > The Transport Window > Time Signature and Division

This is where you can see, and set the time signature of the song. The format is:

Bar numerator - Bar denominator - Division

The division defines the third format value in all position displays (i.e. in the Event Window), and forms the grid for various length and placement operations. The division is normally set to 1/16 notes, but has a value range of 1/4 to 1/192 note. If the note value of the division is equal to or greater than the bar denominator, the third value of the position display is automatically removed.
The function Select next higher / lower format can be used to switch to the next highest or lowest division.

Apart from the features described below, you can also use the Time and Key Signature Editor for editing Time Signatures.

Programming Time Signature Changes

If you alter the bar numerator or denominator in the Transport window, a time-signature change is created at the start of the bar where the current song position is. This is shown in the Bar Ruler, to the left of the bar number. Of course, a time change does not affect the absolute positions of any events that are already there.

You can also add time signature changes directly in the Score Editor by double clicking on any sequence that covers the signature change.

Editing Time Signature Changes

Move the Song Position Line to the first bar where you would like to change the time signature. Set the new time signature from the Transport bar.

You can also edit the time signature in the Score Editor.

Erasing Time Signatures

Simply change the time signature back to the value of the previous time signature.

You can also erase time signatures in the Score Editor by selecting them. and hitting the backspace key. To erase all time signatures, select Edit > Select similar Objects before doing this.

Copying Time Signatures between Songs

You can copy all time signature changes of a song to the clipboard using the Functions > Signatures/Keys > Copy All to Clipboard command in the Arrange Window. After changing to another song, the Functions > Signatures/Keys > Paste All from Clipboard command can be used to paste the copied meter changes into the other song.

This procedure also copies all key signature changes and all global score symbols (repeat signs etc.) to the other song.

Since the copied time and key signature changes are mixed with those of the destination song when they are pasted, this procedure should be mainly used to copy time and key signature changes to a song which does not yet contain any time and key signature changes, or global score symbols.

Moving Time Signature Changes within a song

To move the time signature changes of a certain part of the song, set the locator positions as desired, and use the Functions > Cut/Insert Time commands in the Arrange Window, without selecting any sequences or folders:

  • Snip: Cut Time and Move by Locators will delete all meter changes between the locators (if there are any), and move the subsequent changes correspondingly to the left.
  • Insert Time and Move by Locators will do the opposite: A section without any meter changes will be inserted between the locators; previously existing meter changes are moved to the right by the length of the cycle area, which is defined by the locator positions.
When you use this function, the following dialog will appear on the screen: Not all objects are selected. Do you also want to move tempo changes and global score symbols? Select "Yes" unless you want to cancel ("Abort") the procedure.

This procedure not only moves meter changes, but also all (graphical) key signature changes and global symbols (e.g. repeat signs) in the score.


MIDI Monitor / Song End

Transport > The Transport Window > MIDI Monitor / Song End

MIDI Monitor and Panic Function

- MIDI Monitor
The top line shows the last MIDI message received, and the bottom line the last MIDI message transmitted. The monitor is mainly used to check the MIDI connections.

- Automatic Chord Interpretation
The MIDI activity window of the transport window shows chord symbols when Logic receives more than one MIDI note simultaneously. The respective held intervals are interpreted and displayed as chords.

- Panic Function
Click on the MIDI monitor to silence any hanging notes. If this doesn't work, double-clicking on it should do the trick (Full Panic).

Song Title

The title of the active song is shown below the MIDI monitor.

Song End

Below the song title, on the right, you are given the position of the song's end. As soon as the sequencer reaches this position, it stops automatically, except when recording. In this case the song end is automatically moved to the end of the recording.

For internal system reasons, the maximum length of a Logic song is 8550 quarter notes, or about 2138 bars in 4/4 time.

A song can therefore last a maximum of around 70 minutes at a tempo of 120bpm. At 95bpm, the maximum length is over an hour and a half.

If you need to increase this length, e.g. for film synchronization, just halve the tempo. You can achieve the same result by using 4/8 time instead of 4/4 time, and treating quarter notes as eighth notes. A 4/8 song at a tempo of 60bpm (equivalent to 4/4 at a tempo of 120) has a maximum length of more than 4273 bars, or over 2 hours and 22 minutes.


Transport Buttons

Transport > The Transport Window > Transport Buttons

Record

Recording normally starts after the count-in, at the start of the current bar. In cycle mode, it starts at the left locator. You can also choose to have one beat constantly repeated, until a MIDI message is received, at which point recording begins.

Pause

Pauses recording or playback, until you press pause or play again. During paused recording, you can add individual events which will still be recorded.

Play

Starts playback at the current position, or in cycle mode from the left locator.

Play from beginning always starts at the beginning of the song, Play from previous bar starts at the beginning of the previous bar, Play from Selection starts from the first selected object, and Play from Left Locator and Play from Right Locator always start at the left or right locator, regardless of the cycle mode.

In addition to the above play commands, in any window with a horizontal time axis (Arrange, Matrix...) you can use the global command Play from left window corner to play from the beginning of the visible area.

Stop

Ends recording or playback-the sequencer stops. If the sequencer is already stopped, pressing stop moves the song position to the song start, or in cycle mode to the left locator.

The Key Command Stop and Go To Left Locator stops playback, and moves the SPL to the Left Locator position.
The Key Command Stop Goto Last Play Position stops playback, and moves the SPL to the last position that was reached by a positioning command, or direct positioning of the SPL, using the mouse or bar ruler.
The default for ths command is the space bar.

Play or Stop

This key command toggles the status of play or stop, depending on the status when the command is used.
This command is particularly helpful if you are using a Powerbook or Notebook without a separate numerical keypad.

Rewind/Forward

If the sequencer is stopped, these work as normal. If the sequencer is running, you can monitor as you go, (cueing/scrubbing), i.e. the MIDI events are output at a faster rate, (even when rewinding).

A short mouse click will jump to the next or previous marker. If no markers exist, a short click will jump 1 bar forward or backward. Long clicks will rewind or fast forward. Moving the mouse left or right will increase or decrease the rewind/forward speed.

Both normal (Rewind/Forward) and fast (Fast Rewind/ Fast Forward) winding are available from the keyboard.

Shuttle-Winding Like a Reel-to-Reel Tape Recorder

There are two Key Commands for "winding the reels" - i.e. moving the Song Position Line - called Shuttle Rewind and Shuttle Forward. You will find them in the Key Commands window by searching for the Shuttle character string. Repeated hits of the key will increase the winding speed. Repeated hits of the opposite key will slow down the shuttle speed, and eventually change the direction. Shuttle disables Cycle mode. Shuttling is halted by the stop command.


Mode Buttons

Transport > The Transport Window > Mode Buttons

The mode buttons do not immediately trigger an action, but switch operating states. The relevant button will illuminate to indicate that the mode is activated.

from left to right:
Cycle
Switches on cycle mode
Autodrop
Switches on autodrop mode
Replace
Switches on replace mode

Solo and Solo Lock

In solo mode, only the selected objects are played. The data output from all other objects is muted. This is known as: "soloing the objects". You can of course, change the solo mode of objects by changing what you have selected. Default KeyCommand: S .

If you want to carry out specific functions on individual objects, regardless of the soloed sequences (or folders), you have to be able to select these objects without affecting the solo status.

This is what the solo lock function is for. After soloing the desired objects, double-click on the solo button, whose colors will then be inverted (as shown). You can now alter the selection without affecting the solo status of the objects.

The key command Reselect Solo-locked Objects selects all currently solo-locked objects. This command is very useful if you want to add or remove some objects from your solo-locked selection:

  • Activate the Reselect Solo Locked Objects Command;
  • Use Shift click to add or remove objects from the selection;
  • Reactivate "Solo-Lock".

Sync

This button allows you to synchronize Logic from an external source. If Logic is running by itself, or acting as a synchronization source (i.e. master), this button should not be activated. When you first boot Logic, Manual Sync mode is automatically switched off. Default key command: Y .

Grabbing the sync button opens a pull-down menu, where you can define the following:

  • the type of external synchronization,
  • whether MMC commands should be transmitted by Logic via the Transport buttons, so that remote control of MIDI capable tape machines is possible,
  • direct access to the tempo editors.

Metronome

This button (default: K ) is used to turn the metronome on and off. Logic keeps a separate record of its setting for recording and playback.

Grabbing the button opens a pull-down menu where

  • you have direct access to the Recording Options or the Song Settings
  • you can open an Environment window with a visible and selected MIDI Metronome Click.


The Bar Ruler

Transport > The Bar Ruler

There is a bar ruler at the top of all the horizontal time-based windows (i.e. the Arrange, Matrix, Hyper, and Score).

This ruler is used to display and set the

  • song position,
  • start and end of the song or folder,
  • cycle and autodrop locators, and
  • markers.


Colour and Display

Transport > The Bar Ruler > Colour and Display

Bar Ruler Colour

The Bar Ruler changes color depending on the transport mode:

  • Red - Record
  • Yellow - Solo
  • Blue - External Synchronization.

Display

Depending on the zoom settings, the bars are shown at the top edge in units of 1, 4, 8 or 16. Changes in time signature are also shown here.
In the bottom third, there is a vertical line for each bar. The shorter lines represent one beat, but are not always visible (depending on the zoom setting).

Start and End Markers

...

The song start is normally at position 1 1 1 1. You can move the song start to an earlier position for playing upbeats or program change commands, by grabbing and dragging it with the mouse. The position display in the top left of the window will tell you where it is. The song end (default: bar 201) can be set using the same method, or with the numerical display.

In folders, the start and end markers refer to the folder rather than the song. The length of a folder can therefore also be adjusted from within the folder itself.


Song Position Line

Transport > The Bar Ruler > Song Position Line

The Song Position Line (SPL) is a vertical line which indicates the current song position in all horizontal, time-based windows. You can grab the line with the mouse, and drag it to the desired position (but only if there is no object at the mouse position when you drag it). Selecting Wide Song Position Line in the Display page of the Preferences, switches to a thicker SPL.

Direct Placement

Since it is fairly difficult to grab the SPL in the window itself, you can also directly position it using the bottom third of the bar ruler. Just click here to make the SPL jump to the point you've clicked at.

- ... while starting or stopping
Double-clicking on the bottom third of the bar ruler repositions the SPL, and also toggles between playback (or record) and stop.

- numerically

Selecting Goto Position (Default key command G )calls up the dialog box shown above, to allow you to input the song position numerically. The last division used (bar position or SMPTE time) is automatically selected, with the last input value as a default. Since the numbers are registered from the left, it is enough just to enter the bar number.

- in the score
In the Score Window you can set the SPL directly by clicking into a staff at the desired position while pressingctrl. This function is only available when the sequencer is stopped. The selected position is displayed in the Info Line while the mouse key is pressed.
This method is especially handy when working in page view mode, since there is no bar ruler in this case.

Placement at a Marker

If you have labelled a passage with a marker, clicking anywhere on the marker while holding down the ctrl key, positions the SPL at the start of the marker. If the sequencer is stopped, double-clicking it begins playback at the start of the marker.

Scrubbing

Start playback, and grab the bottom third of the bar ruler. By moving the mouse to the left or right, you can now scrub through the song, moving the SPL to hear all the "cued" events. As soon as you stop moving the mouse, playback resumes as normal. You can also do this using the Scrub Rewind and Scrub Forward key commands.

The Scrub by MIDI value (-2-) command is designed to allow scrubbing via external MIDI control, but you can use any MIDI controller number. Data bytes over 64 scrub forward and those under 64 scrub backward.


Cycle Mode

Transport > Cycle Mode

In cycle mode, a selected passage of your current song is constantly repeated. This is useful for;

  • composing part of a song,
  • practicing a recording,
  • recording individual tracks consecutively
  • editing events.

The cycle region is shown as a white stripe in the top part of the bar ruler.

Switching on Cycle Mode

There are four ways of switching cycle mode on and off;

  • clicking on the cycle button,
  • using the Cycle key command,
  • clicking on the top part of the bar ruler, and
  • inputting graphically in the bar ruler.

How Logic Behaves in Cycle Mode

  • The Song Position Line jumps from the end of the cycle region to the beginning;
  • When this happens, the playback from Environment objects, which are generating notes is, interrupted;
  • The Play command starts playback from the beginning of the cycle region;
  • To start playback from another position, hit Stop twice, or Stop and then Play;
  • At the cycle jump point, you can use the Chase Events function - > Chase on Cycle Jump
  • You can determine the way recording works in cycle mode, by using the various options on the page (for more on this, take a look at the section Recording in Cycle Mode).


Defining the Cycle Region

Transport > Cycle Mode > Defining the Cycle Region

Graphically Using the Bar Ruler

  • Click-hold in the top third of the bar ruler, and define the desired region, by dragging the mouse from left to right (dragging from right to left generates a Skip Cycle).
  • Grab the bar in the middle to reposition it.
  • Grab the bottom corner to move the start or end points of the cycle (you can even do this while the sequencer is still running.). If you set the start and end points to the same position, cycle mode is switched off.
  • You can reset the nearest edge of the beam by clicking on it while holding down the shift key, even if the beam is outside the visible range, or if cycle mode is switched off.
  • Drag a marker into the top part of the bar ruler (for more details, read the section Markers).

When you set the size of a cycle graphically in the bar ruler, your sizes are quantized to the nearest bar. The locator positions can only be changed division by division at high zoom resolutions, or if you hold down the alt key as you drag. If you hold down Shift and alt, at a really high zoom resolution, you can drag and change the size of the region in ticks.

To set locator positions that do not lie on whole bar lines regardless of the zoom resolution, enter your locator positions numerically in the Transport window.

Numerical Entry

The positions of the left and right locators (start and end points of the cycle) are shown in the Transport window, where they can also be altered.

There are also two keyboard shortcuts available (Set Left / Right Locator) to allow you to directly enter either of the points in the dialog box (default = last input).

By Objects

You can use the key commands Set Locators by Object(s) (default: B) and Set Locators & Play to set the locators at the start and end of selected objects; the latter command also starts playback.

Set rounded Locators by Object(s) rounds the position of the locators to the nearest bar.

The commands Set rounded Locators & Play and Set rounded Locators & Record achieves the same, while simultaneously starting playback or recording.

Set rounded Locators & Cycle Play and Set rounded Locators & Cycle Record, again, achieves the same, while simultaneously switching to cycle mode.

By Markers

With the key commands Set Locators to Marker and enable Cycle you can set the cycle to the current marker. You can also select the next or previous marker with the commands Set Locators to next/previous Marker and enable Cycle (in relation to the current song position).

These commands are ideally suited for a spontaneus repetition of passages in live performances. Define markers for all parts of the song that you might want to repeat in this way during your performance.


Skip Cycle

Transport > Cycle Mode > Skip Cycle

When you are playing the song, you can skip a passage, which is useful for trying out the musical effect of various transitions.

Setting up Skip Cycle

Drag out the skip cycle region from right to left in the bar ruler.
If there is already a (normal) cycle region just move the left locator to the right of the right locator.

The skip region is shown as a very thin strip at the top edge of the bar ruler.

With the key command Swap left and right Locators, you can change a cycle into a skip cycle.

Features of Skip Cycle Mode

When the SPL reaches the right locator, it skips to the left locator (i.e. the "right" and "left" locators swap positions).

You can also use it when editing, to leave out those parts of the song which you don't want to be affected by the edit.


Selecting a Track

Transport > Recording > Selecting a Track

First you have to select the track you want to record on, for example by clicking on it.

You can record on several MIDI tracks simultaneously. MIDI tracks therefore have record enable buttons, too, which light red if enabled.These are enabled automatically by selecting a track. When you want to record additional tracks, click their record enable buttons directly. In any case, only one track can be selected at a time. You can read more about this feature in the section Multi Track MIDI Recording.

During the recording, the incoming events are stored in a sequence (with audio: in a region), on the selected track.

Audio tracks have to be record enabled, and a recording path (a hard disk drive) has to be defined for the audio files to be recorded. Please refer to everything that is audio-specific in the section Audio Recording.

Changing MIDI Tracks

You can change the record track, without having to stop recording -just select a new track, for example using the Select previous / next track command (default keys: Arrow Up or Arrow Down ).


Count-in

Transport > Recording > Count-in

The Count -In and Pre-roll values can be defined in Options > Song Settings > Metronome Settings.
This is often useful if the section of the song just before the part you're recording lacks the sort of rhythmic information necessary to play new parts in time, but there's plenty of rhythmic reference, once the section you're recording to gets going.


Options

Transport > Recording > Options

Record Toggle - Record Repeat

The key command Record Toggle switches between playback and record mode. Record Repeat repeats the recording from the previous drop-in point.

Record into selected sequences

Normally a new sequence is created during every recording. In the Recording Options of the Song Settings you can activate Merge New Recording With Selected Sequences, so that any new data is incorporated into an existing sequence, when this sequence is selected.

Retrospective Recording

If you played a great solo while playback was running, but forgot to record-don't worry. Simply use the key command Capture Last Take as Recording. All events you played after the last change of the Song Position Line will belong to the recorded sequence-just as if you had recorded right from the start.

All events played live after the last time the song position was changed are included in the recording. If you move the song position, the next-received event deletes the "Recording Play Mode Buffer".

Replace Mode

To activate replace mode, press the replace button. In replace mode, any newly recorded data is always stored in a new sequence. In addition, any existing sequences on the destination track are cut at the punch in/out points of the recording, and any data between these points is deleted.

Destructive MIDI Recording

If you select Merge New Recording With Selected Sequences (r), and switch on replace mode, the new events you record will replace the ones in existing sequences.

The Merge/Replace combination can itself be coupled with the Autodrop, and/or Cycle functions.


Recording in Cycle Mode

Transport > Recording > Recording in Cycle Mode

All settings for recording in cycle mode can be made in the Recording Options of the Song Settings. You can either use several cycles to record a single sequence (Merge only New Sequences in Cycle Record checked), or you can create a new sequence for every cycle (...unchecked).

A new track can be automatically created for each of these sequences (Auto Create Tracks in Cycle Record). The sequences you create can also be automatically muted (Auto Mute in Cycle Record). This mode is very well suited to recording several consecutive versions of a solo, and then picking the best one.

Cycle and Replace

During a cycle recording in replace mode, existing sequences are deleted during the first cycle, from the punch-in point to either a punch-out point or up to the end of the cycle. When the second cycle begins, recording continues, but no more sequences are deleted. If you want to replace the end of an existing sequence, you don't have to stop recording before the second cycle begins: the start of the existing sequence remains intact.

Recording with Skip Cycle

If skip cycle is switched on the cycle region is left out during the recording.


Autodrop

Transport > Recording > Autodrop

Autodrop means automatically going into and out of record at previously defined positions. Autodrop mode is most commonly used to re-record a badly played section of an otherwise well played recording. The advantage is; you can concentrate on the playing.

If cycle is not active, the left and right locators serve as drop-in, and drop-out points. Autodrop is activated by clicking the autodrop button.

Defining the Autodrop Region

If both cycle and autodrop are active, there is an independent pair of locators available for the autodrop. In this case, there will be two stripes in the bar ruler, the top one representing the cycle region, and the bottom one the autodrop range. The autodrop stripe can be graphically altered in exactly the same way as the cycle stripe.

If the bar ruler display is very narrow, holding down the ctrl key as you alter it will ensure that all your actions apply to the autodrop stripe. To activate autodrop graphically in the bar ruler, drag down the stripe while holding down the ctrl key.

For graphic operations, the grid scale can be reduced to division resolution by holding down alt , and to tick resolution by holding down Shift alt .

Setting Autodrop Numerically

The positions of the autodrop locators are displayed numerically, to the right of the cycle locators on the Transport window. Their position can be altered by changing the numbers from here.

Recording in Autodrop Mode

To carry out an autodrop recording, put the sequencer into record anywhere before the drop-in point. Any events which you play before the drop-in or after the drop-out are channelled through the sequencer as usual, but are not recorded.

If the song position line is behind the right locator when you start recording, recording automatically begins at the drop-in point, after the count-in.

If autodrop is enabled during recording, the record button will flash as long as the song position is outside the drop locators. This indicates that no recording takes place.

Combining Cycle and Autodrop

If you want to improve a difficult part of a certain passage, you can use a combination of cycle and autodrop. Cycle mode lets you practice as many times as you like before the "final take". Each time, only the autodrop range is recorded. You can use the previous section to "get into the groove".


Chase Events

Transport > Chase Events

Chase Events is a function which searches all the sequences playing at a jump-in point. The function examines what all these sequences are doing before the jump-in point, to find out which events would be affecting playback at the jump-in point, if it had been reached by playing through the song, rather than by just jumping there.

This is a complex point to grasp, so here's another explanation:

If you start playback of a song in the middle, by jumping straight to that point (via Cycle mode looping or by direct placement), you might expect there to be problems with note playback. If an important note started playing just before the play-start point, you would expect Logic to miss it, and the note would not sound. Notes, however, are not the only potential problem. If there were a maximum pitch-bend message just before the play-start point, playback would leave this out too. Fortunately, Logic is smarter than your average MIDI sequencer, to misquote Yogi Bear...

Open the Chase Events page in the Song Settings, to set up the chase events function.

The function searches all the sequences playing at the play-start point, looking before the play-start for a selection of the following:

  • any notes still due to be playing at the play-start point
  • any notes still due to be playing at play-start, because of a held-down sustain pedal (Chase sustained Notes)
  • program changes
  • pitch-bend information
  • continuous controllers 0-15
  • continuous "switch" controllers 64-71
  • all other controllers (all other Controls)
  • monophonic (channel) aftertouch
  • polyphonic aftertouch
  • SysEx data (the last SysEx message before the play-start point is transmitted)

Special Note:

There is a potential problem with chasing notes that are being used to trigger a drum loop in a sampler. Unless you are lucky enough to start the sequence precisely at the beginning of the sample loop, the sample will be triggered at the wrong time and therefore, they will be played out of sync with the rest of the sequence, (at least until the next trigger note). The problem is that most samplers can only play their samples from the beginning, and cannot synchronize them to the beat by starting in the middle.

Well, here's how you solve that one:

Activate the No Seq Trp parameter of your drum loop instrument, in the instrument parameter box, and switch off Chase Notes in No Seq Trp Instruments in the Chase Events page of the Song Settings. The result is that whenever the song jumps to a new position, your drum loops will not play until they reach the next "trigger note".

The No Seq Trp parameter actually prevents transposition by the sequence playback parameters, which is also not desirable for drum sounds or loops.


Overview

Arrange Window > Overview

The Arrange window is the heart of Logic. Study it closely, because it is the view of the program that you will see most often when you're working with Logic.

The arrange area is where all MIDI information is recorded, on horizontal "tracks". Individual MIDI recordings are called "sequences", audio recordings are called "regions" and are displayed as beams as well. Above the arrange area is the bar ruler, which displays position information .

To the left of the arrange area is the track list. This is where you determine which "instrument" should play the MIDI or audio information on each track. You can make various settings for the instruments in the instrument parameter box in the lower left corner.

Because the sequences are arranged graphically, you can also use specialized mouse tools from the tool box to help you perform different operations.

The sequence parameter box is where you set the playback parameters for the individual sequences, such as transposition and quantization.

Opening the Arrange window

The Arrange Window can be opened by selecting Windows > Open Arrange in the main menu, or by using the keys Ctrl 1 .
If you prefer, you may define an alternate key command for Open Arrange Window in the Key Commands window.


Overview

Arrange Window > Tracks > Overview

A track is where the audio signals and MIDI events are recorded. They are stacked vertically and extend horizontally across the arrange area. Most of the functions described in the section about Arrange Tracks is identical for MIDI and Audio.

The are three types of tracks:

  • Audio Tracks: for Playback, Recording and Automation of audio signals
  • Audio Instrument Tracks: for Playback, Recording and Automation of MIDI data sent to software instruments
  • MIDI Tracks: for Playback, Recording and Automation of MIDI data sent to external MIDI devices

In the track list each track is numbered from top to bottom. During playback a small "level indicator" appears over the track number. This indicates the velocity of the recording, and becomes red for a maximum velocity value. The MIDI tracks also indicate Controller commands by a small "c". Please note: The level indicator only displays if it is selected under the View menu.

To the right of this is where you assign an instrument to the track, which is represented by an icon and a name.

The instrument determines which sound generator or audio instrument plays the MIDI events or audio data on the track. For more information about MIDI Instruments, refer to the section Instruments.

Strictly speaking, this doesn't have to be an instrument, because you can assign any environment object to a track. The track data could therefore be sent to a fader object, or directly to a MIDI port. However, since you will normally assign instruments in the track list, we will use the term "instrument" instead of "track data destination object".

A MIDI track will be automatically record enabled when you select it. The record enable switch glows red to indicate this. During recording, a sequence is created on this track containing the recorded MIDI events or audio data.


Selecting a Track

Arrange Window > Tracks > Selecting a Track

You select a track by clicking its name or icon in the track list. This also selects all objects on the track (if the Cycle function is switched on, it only selects the objects within the defined cycle region ).
Use the Select Next/Previous Track function to select the track above/below it in the track list (key command:arrow up/down ).

Changing tracks while keeping selection

If you click on a new track while holding down the ctrl key, the track will be selected without changing the existing selection of sequences and folders.

- Selecting Objects of the same color
If you have selected a sequence of a certain color, you can use the Edit > Select equal colored objects command to select all other objects of that same color. One use for this would be to compile mute and solo groups based on color.

Sorting Tracks

To change the position of a track in the track list, grab it near the track number, and drag it up or down. The cursor will become a hand, to indicate that the track can be repositioned vertically.


Creating Tracks

Arrange Window > Tracks > Creating Tracks

To create a track, use the Functions > Track > Create command. The new track is created at the same position as the track currently selected, and all the tracks below it are moved down accordingly.
To create a track at the bottom of the track list, double-click in the track list below the lowest track (Key Command Append Track to Track List).

- Creating a Track with the Next Instrument
The Functions > Track > Create with next Instrument function, creates a new track under the selected track, and assigns it the next instrument from the instrument selection list. Under most circumstances, this would be the next MIDI channel in the same sound module.

You can also hold down the alt key when you create a new track by double-clicking under the track list.Alternatively, you can use the Append Track with next Instrument to Track List key command.

Copying a Track

If you hold down the ctrl key when you when moving a track, this creates a copy of the track with the same instrument at the destination position.
All selected sequences on the old track are also moved to the new track. This is an easy way of carrying out a few useful functions:

If you hold down ctrl before grabbing the track number, no extra sequences on the track will be selected.

  • If no sequences were selected in the first place, an empty track with the same track instrument is created at the destination position.
  • Otherwise, all selected sequences are moved to the new track.
If you grab the track first and then ctrl -press sequences on the track will be selected-as is normal when you grab a track:
  • If the cycle function is switched off, all sequences are selected and moved to the new track.
  • Otherwise, all sequences in the cycle range are moved from the old track to the new track. The musical result is not any different, because the new track is played by the same track instrument.

- Moving Objects onto a Track
The function Functions > Object > Move Selected Objects to Track moves all selected sequences from different tracks onto the selected track. The time position of all the sequences is retained.

Special Methods for Creating Tracks ...

- for overlapping objects
The function Functions > Track > Create for Overlapped Objects creates new tracks for wholly or partly overlapping objects. The objects are distributed onto these tracks so that no more overlaps occur.

- for selected objects
Use the function Functions > Track > Create for Selected Objects to create new tracks for all selected objects. The objects then appear on these new tracks. Only one new track is created for any selected objects which were previously on the same track.


Deleting Tracks

Arrange Window > Tracks > Deleting Tracks

To delete the selected track, use the Functions > Track > Delete function. If there are any objects on the track, a warning message appears first.

If there is no object selected in the arrange area, you can perform the same function by pressing the Backspace key.

A third method is to grab the track as if to reposition it (see above), and remove it from the track list by dragging it to the left.

Deleting Unused Tracks

Use the Functions > Track > Delete Unused function to delete any tracks that don't contain any sequencers or folders.


Naming Tracks

Arrange Window > Tracks > Naming Tracks

To name a track independently of its assigned instrument, select Functions > Track > Create Trackname.

You can also change the name of an existing track by double-clicking with the right mouse button on the instrument name in the track list, and typing in the text input field that appears.

The track name is then displayed in place of the instrument name in the track list, and will be used as the default name for recorded sequences.

If there is enough room vertically (achieved by zooming in vertically), both the track and instrument name will be displayed.

You can see the instrument name in the instrument parameter box, or check it by clicking on the track name and holding down the mouse button.

Name while creating a track

When you create a track (by double-clicking below the bottom track in the track list) you can double-click with the right mouse button to open the input box for the track name.

Deleting Track Names

To delete a track name, select Functions > Track > Delete Trackname.

You can also double-click with the right mouse button on the track name. This opens the text input field for the track name. The name can be deleted using Backspace . The instrument name will then appear in the track list again.


Muting Tracks

Arrange Window > Tracks > Muting Tracks

Both MIDI and audio tracks have mute buttons to the left side of the track list, between the track number and the icon. Muting a track stops it from playing. To show or hide the blue mute buttons, select View > Mute Switch.

Muting when the mute buttons are hidden

If the mute buttons are hidden-to save space-you can still mute a track to the left of the track number.

If you click on move the mouse to the left edge of the track list by the track number, the mouse pointer turns into the a hand; clicking the mouse shortly now mutes the track (or if the track is already muted, it cancels the mute). Muted tracks are then indicated by a *.

You can also use the key command Mute Track to mute a track.

Muting All Tracks

If you click with the right mouse button in the left side of the track column, all tracks in the currently-selected display level (or folder) are muted together.If they were already muted, they will be unmuted.
There is a key command Mute All Tracks of Folder.

Mute Instrument

If you mute a track by right-clicking while holding down ctrl, all the tracks in the current song with the same track instrument (including those in all the folders) are muted.

There is a key command Mute All Tracks with Same Instrument.


Selecting an Instrument

Arrange Window > Tracks > Selecting an Instrument

By clicking on an instrument's name (or icon) in the track list, and holding down the mouse button, you open an hierarchical flip menu. The sub menus of this flip menu correspond to the Environment Layers of your song. This is where you select and assign instruments to a track.

Changing an Instrument assignment globally

If you hold down the ctrl key while selecting an instrument, the previously selected instrument will be replaced in every track in the current song by the new instrument (even in tracks in folders).

Selecting track instruments by "Drag & drop"

You can select any of the objects in the Environment window to be the current track instrument, by simply dragging one out of the Environment window, and dropping it onto the track list.

If you move a Multi-instrument into the track list, the selected sub-channel is set as the track instrument. If no sub-channel is selected, all initialized (i.e. those not crossed out) sub-channels are set for the destination track, and the tracks below that. If there are no tracks below the destination track, new tracks will be created.

In all cases, the Environment objects involved are completely unaltered.

Special Types of Instruments

In addition to the normal instruments which are described in the section Instruments, there are two other possible track settings for which there is no corresponding Environment object.

- No Output
Tracks assigned as "No Output" send no data. This can be useful in situations where you wish to store data (such as Sysex) that you don't wish to send.

- Folder
This setting is used when you want the track to play a folder. Normal sequences will not play on a track set to the Folder instrument.


Zooming Individual Tracks

Arrange Window > Tracks > Zooming Individual Tracks

Tracks in the Arrange window can be zoomed individually. Also, all MIDI or all Audio tracks can be zoomed as a group. In this way you can, for instance, zoom on an individual track to edit it's sequences and/or regions with HyperDraw, or zoom on all audio regions to get a more detailed view of the waveform display.

Zooming on a Track

Move the mouse in the track list to the bottom left corner of a track. The mouse pointer will change to an index finger. Now you can zoom in or out on this track-the zoom factor, compared to the normal settings in the Arrange window, will be shown in the Info Line while zooming.

Auto Track Zoom

The function View > Auto Track Zoom automatically enlarges the currently selected track.

Zooming all MIDI/Audio Tracks

To zoom all MIDI or all audio tracks, use the right mouse button. This changes all tracks of the same type.

Restoring Individual Zoom Settings

When zooming on a track, hold the Shift key down.

Key Commands for Zoom Settings

Using the Key Command Individual Track Zoom In/Out, you can adjust the display of the selected track.

Using the Key Command Individual Track Zoom Reset, the selected track will be reset to the global (default) zoom factor.

Using the Keyboard Command Individual Track Zoom Reset for All Track" all tracks will be reset to the global (default) zoom factor.


Protecting Tracks

Arrange Window > Tracks > Protecting Tracks

Tracks can be protected, so that they cannot be altered in anyway:

  • Existing objects and their contents cannot be altered.
  • No Recording is possible on protected tracks.
  • New objects cannot be created by any other means.

This feature is particularly useful when sharing projects with other users via the internet.

If the lock button is not visible in the track list area, you can switch it on via View > Track Protect Switch. Clicking on the lock toggles between locked and unlocked mode.


Multi-Track Recording

Arrange Window > Multi-Track Recording

You can record multiple MIDI tracks simultaneously. For this, MIDI tracks have a Record Enable button to activate the recording function. This is automatically activated by selecting a MIDI track. To record additional tracks, just click on their record-enable buttons.

In stop-or pure "MIDI Thru"-mode, you can layer the sounds of your instruments easily-or create split or velocity switched sounds, by setting the appropriate Instrument Parameters.

As before, only one track can be selected, because the instrument parameters of only one track can be displayed. You can change the selected track easily from among the record-enabled tracks. Selecting a track which has not been record enabled will cause the record function for all other tracks to be turned off.

Layer and Split Mode

For simultaneous recording of multiple MIDI tracks, there are two modes of operation; Layer or Split.
The Layer Mode is used to play (and record) multiple tracks, without having to configure them beforehand in the Environment. In this way, layered sounds using different instruments can be quickly created.

The Split Mode is used to record multiple MIDI sources to different tracks simultaneously. In this way, a number of different MIDI instrumentalists, or different instruments, can be recorded onto separate tracks.

- Selecting Layer/Split
To switch from the Layer mode (default) to the Split mode, select the option: > Auto Demix by Channel if Multitrack Recording.

Layer Recording

Incoming MIDI events are sent to all MIDI tracks that have been Record enabled. You can listen to all the selected instruments before and during the recording. After recording, only the selected track will display a sequence. On the other tracks, aliases from the sequence on the selected track will be recorded.

The advantage of this is that any edits applied subsequently to the sequence will affect all the aliases, and all Layer tracks will remain identical.

Split Recordings

Incoming MIDI events will be distributed to the various Record enabled tracks, according to their transmitted MIDI channel numbers. For this, the channel of the incoming event must correspond to a Record-enabled track's channel. If no track is found with the corresponding channel number, the event will be routed to, and recorded onto the selected track.

Be sure that the different MIDI controllers transmit on different channels. If this is not possible, simply use different inputs on your MIDI interface, and change the MIDI channel of one input, using a transformer between the Physical Input and Sequencer Input.

Switching MIDI Thru off

The record button makes it very easy to switch off the MIDI Thru function - simply deactivate the Record button of the selected track.

Keep in mind that you can go to ... to select an instrument for which the MIDI-Thru function is permanently disabled.


MIDI Instruments

Arrange Window > MIDI Instruments

In order to know where specific MIDI messages are to be sent, Logic needs to have some idea of how the MIDI devices in your setup are connected. This is portrayed graphically in the Environment window, which shows the sequencer together with many other objects, which we will refer to as "instruments". Each instrument is therefore an Environment object, representing a physical MIDI device. You can think of the instrument object as being a virtual instrument, or a representation of a real instrument.

To find out how to give Logic all the necessary information to configure the environment, refer to the section about The Environment.

Making an Instrument Visible

If you double-click on the instrument name in the track list, this directly opens the Environment window, with that object selected.


Creating a New Instrument

Arrange Window > MIDI Instruments > Creating a New Instrument

It is best to create instruments directly in the Environment, but you can also do so from the Arrange window, by using the function Functions > Track > Create New Instrument. The selected track will then contain a new instrument, whose parameters can be adjusted in the instrument parameter box. The new instrument will also be present in the Environment window. All instruments in the Arrange window exist in the Environment, no matter where they were created originally.


The Instrument Parameters

Arrange Window > MIDI Instruments > The Instrument Parameters

The instrument parameter box is located at the bottom left corner of the Arrange window.

The instrument parameters belong to the instrument, not to the track per se, so if you alter the parameters here, it will affect all tracks playing that instrument.

The instrument parameter box in the Arrange window is identical to the corresponding parameter box for the same instrument in the Environment.

Opening/Closing Instrument Parameter Box

Click the small triangle at the top left to open or close the instrument parameter box.

Name

The top line shows the instrument name, which can be edited by clicking on it.

Track Object Type

The track object type is given in brackets, and cannot be altered. Normally this will be: (Instrument) or, if you're using Multi-instruments: (Sub Channel).

Selecting an Icon

Grabbing the icon opens a flip menu, where you can assign an icon to represent the instrument. If you hold down the ctrl key while you do this, the flip menu will remain open when you let go of the mouse button.

If you have closed the instrument parameter box, or it is hidden from view, you can select an icon directly from the track column by right-clicking on the Icon to be changed while holding down ctrl.

Color of the Instrument Icon

The color of the selected track's instrument icon can be altered, using the usual color palette with: View > Object Colors..., as long as no Arrange object (sequence) is selected. The color of the instrument icon serves as the default color for all sequences recorded on this track.

Hiding an Instrument

The small box to the left of the icon determines whether the instrument appears in the instrument selection flip menu of the track list. You will generally always have this checked for instrument objects.

This option is primarily used to shorten the instrument flip menu, by hiding other Environment objects, such as faders or MIDI ports.

MIDI Channel, Port (MIDI Output) and Connection

Adjusting the Sound of a Track (MIDI Settings)


MIDI Channel and Port Connection

Arrange Window > MIDI Instruments > MIDI Channel and Port Connection

The MIDI channel is set with the Cha parameter. This defines the channel on which the instrument outputs data, so that your "real" instrument can receive the data.

If the instrument has not been connected with cables in the Environment, then this line will display the output port in the Instrument Parameter box. This means that the instrument is directly connected to one of your MIDI interface's MIDI Out ports, or the internal synth of your soundcard. This represents an unseen direct connection, as there is no visible cable connection for the instrument in the Environment window. You can set the output port in this line via a flip menu containing the names of all the installed MIDI drivers.

The purpose of a hidden direct connection is to enable you to address the individual MIDI ports directly from the Arrange window without having to switch to the Environment. For most situations, this is the best way to assign instruments to ports, as it eliminates the need for cabling.

Keep in mind that if you directly assign a port, and also connect the instrument to a MIDI out object with a cable, all MIDI data sent via that instrument will be doubled. If you attempt to do this, Logic displays a dialog box asking whether to Keep or Remove the direct connection. You will generally select Remove in this case.

Setting the MIDI Channel: Multi Instruments

In the instrument parameter box of the Arrange window, you can also alter the MIDI channel of a part instrument ("sub-channel" or "part" of a Multi Instrument). This does not reassign the channel for the current part, but rather selects another existing sub-channel from the current Multi Instrument.

You can't actually change the receive channel of a part in the multitimbral synthesizer. This is only possible in a very few models (and anyway is not particularly useful when using a multitrack sequencer). The "Cha" parameter is really an alternative way of changing the track instrument, so that the track can be played by a different part in the multitimbral synthesizer.

If the MIDI channel is set to "All", you can edit the parameters of the whole multi instrument, e.g. the MIDI driver.


Adjusting the Sound of a Track

Arrange Window > MIDI Instruments > Adjusting the Sound of a Track

The Prg, Vol and Pan parameters transmit program changes, volume controllers (#7) and pan controllers (#10) respectively.

If there is no check in the respective box, the default value on the MIDI device itself is used. The corresponding value is only transmitted if you place a check in the box, by clicking it. If there is already a check in the box, any value alterations you make are transmitted immediately.

A program change may be selected on the right, with a flip menu; volume and panning are set using the mouse as a slider. If the Autolink function to SoundSurfer or SoundDiver is active, or when dealing with multi-instrument sub-channels, sounds can be selected from a flip menu by name. If you hold down the alt key, any value can be increased or decreased by clicking on it, and tapping the left or right mouse button.

To the left of the program number, there is an extra parameter which is used for Bank Select. If your sound source can receive Bank Select messages (MIDI controller #0 or #32-check your synth manual for format details), you can switch between different banks, each containing a maximum of 128 sounds.

As many devices cannot receive these messages, you can deactivate this parameter by making the setting shown here.

For more on the other instrument parameters, take a look at the descriptions in the section Standard Instrument.

Recording Program Changes, Volume or Pan Controllers

Any of the types of events that can be transmitted by checking the selections in the instrument parameter box can also be stored when in record mode. For example, in record-pause mode, you can store program changes at specific positions in the following way:

  • Remove the "x" in the box next to Prg (or Vol, or Pan);
  • Click on Pause, then Record;
  • Move the Song Position line to the place you want;
  • Select the sound (program) you want (or the volume/pan setting you want);
  • Click on the box next to Prg (or Vol, or Pan). Each selected event will be sent and recorded.
Click on Stop to exit Record mode.

The values of the Parameters Prg, Vol and Pan in the instrument parameter box will not be updated every time such control change events are played back. These parameters are initial values, when you load a song, or use the command Options > Send To MIDI > Used Instruments MIDI Settings-before you begin to record mixer automation data.

Open a Sound Editor for a Given Instrument

If you have installed SoundDiver, and AutoLink is activated vou can select Functions > Track > Open SoundDiver for Instrument to open the sound editor for the given instrument.


Sequences

Arrange Window > Sequences

Sequences are containers for the MIDI events within them. Containers for Audio data are referred to as Regions. Regions can be compared to sequences as far as how they are used and edited. Their purpose is to make things clearer and easier to deal with. They also correspond to the musical convention of treating a phrase or a riff as a single unit. It is often better to apply many operations (e.g. quantization) to these units, rather than to individual notes.
Sequences within a track can overlap one another, either partly or completely, but for clarity's sake this should generally be avoided.

Remember that all the operations described in this section with a plural in the heading (sequences), apply just to selected sequences.


Creating a Sequence

Arrange Window > Sequences > Creating a Sequence

Normally a sequence is created automatically when you record on the selected track. It begins at the start of the bar in which the first event was recorded, and stops at the end of the bar in which the last event was recorded.

Sequences can also be created by directly inserting events from the clipboard into the Arrange window.

Capture Recording

You can also create a sequence using the key command Capture Last Take as Recording. Please refer to the section Retrospective Recording.

Creating an Empty Sequence

Click with the Pencil at the position in the Arrange area where you want the empty sequence to begin. You can now enter the events manually in one of the Editors.


Deleting Sequences

Arrange Window > Sequences > Deleting Sequences

You can delete all the selected sequences by clicking them with the eraser, or by pressing the Backspace key. You can also delete any non-selected sequence by clicking it with the eraser.

Deleting Muted Sequences

The function Edit > Select Muted Objects, as the name suggests, selects all muted sequences, folders, and regions. Pressing the Backspace key will then delete these objects .

Retrieving Deleted Sequences

Of course if you accidentally delete a sequence you can restore it by selecting Edit > Undo (ctrl Z ) immediately afterwards.

Even after several editing operations, it is still not too late to retrieve a sequence, because all deleted sequences actually end up in the trash. The function Functions > Trash > Open Trash opens the otherwise invisible trash folder. You can then transfer the desired sequences to the clipboard (Copy or Cut), and add them back to the song (Paste). An even neater method is simply to drag the sequences from the trash window into the Arrange window!

The function Empty Trash irreversibly deletes the contents of the trash. If there are a lot of objects in it the song will take up less space when it is saved if you choose this option.

The option Empty Trash after Saving a Song on the Global page of the Preferences (when checked), deletes the contents of the trash after a song is saved. This means the next time you load the song, you still have access to the deleted sequences from the previous session.


Moving Sequences

Arrange Window > Sequences > Moving Sequences

Sequences may be moved by grabbing them and dragging them with the mouse pointer. You can move sequences both along the timeline and from one track to another. You can also move them between two Arrange windows, even if they belong to different songs.

If Hyper Draw is enabled for the sequence, you'll have to grab above the blue area in order to move it.

- Between different Songs
If you move a sequence from one song into the Arrange window of another, the sequence is automatically copied over,in much the same way the Windows OS copies files automatically with drag and drop, if they are located on different drives.

- Limiting direction
You can limit the movement or copying of objects in the Arrange window to either the horizontal or vertical axis- just as in the Score and Matrix editors. To do this, just activate the option > Limit dragging to one direction in Arrange.
While you're moving objects, you can toggle the direction limitation on and off, by pressing the Shift key.

Tying Sequences or Regions by Length Change

With Functions > Object > Tie objects by length change , the selected objects become longer, so that they end exactly at the beginning point of the next object on the track.

Removing Gaps between Sequences or Regions

By selecting Functions > Object > Tie Objects by Position Change, you can remove any empty space between selected sequences. When you do this, the first sequence remains unchanged, and all subsequent sequences are moved to the left. This is particularly handy for seamlessly joining audio regions together in Logic.

With audio regions, this feature can be used to speed up spoken word recordings that have been processed with strip silence.

Tie Sequences within Locators

Functions > Object > Tie sequences within Locators makes all selected sequences within the Locators longer, so there are no gaps between them. The last object on each track within the selection won't be affected.

Moving Sequences to the Current Song Position

The key command Pickup Clock Position allows you to move the selected sequence (or the first of several selected sequences) to the current song position.

Editing the Start Position Numerically

You can edit the start point of a sequence (and its length) numerically. This can be done from an Event list window set to view objects at the same level as the Arrange window (see the section List Structure on the Arrange Level) or in a floating event window (see the section Event Float Window).


Copying Sequences

Arrange Window > Sequences > Copying Sequences

To copy sequences to another point in the song, or to other tracks, hold down the ctrl key while moving the sequence. Alternatively, holding ctrl shift while moving a sequence allows you to automatically create an Alias of it.

If Hyper Draw is enabled for the sequence, you'll have to grab above the blue area in order to copy it.

Making Multiple Copies of Sequences

The Functions > Object > Repeat objects menu allows you to repeat one or more selected sequences. The repetition always starts at the end of the sequence itself, or at the end of the last (along the time line) sequence.

- Number of Copies
This is where you enter the number of copies (excluding the original).

- Adjustment
This is where you determine whether you want a copy to begin exactly at the end of the original (or the previous copy) (setting: None), or whether you want the start-point to be "quantized". In most cases the Auto setting will do what you want.

- "as"
This parameter determines whether the repeats are copies or aliases of the original (more information on aliases here).

There's an even more extensive copy function that is strictly for MIDI events, called "Copy MIDI Events". For more on this, check out the section Copying Events Selectively.


Altering the length of sequences...

Arrange Window > Sequences > Altering the length of sequences...

Grab the sequence at the bottom right corner, with the pointer or pencil. You can now move the end of the sequence wherever you want. Even when you shorten sequences, the data in them is never deleted; playback just stops at the end of the sequence. You can get the events at the end of the sequence to play again, by simply lengthening the sequence.

If Hyper Draw is enabled for the sequence, you'll have to grab above the blue area in order to adjust the end.

The extended sequence parameter Clip Length determines whether the notes sounding when the sequence ends should be abruptly cut off (on), or whether they should be played to their normal end point (off), regardless of where the sequence ends.

... of Multiple Selection ...

You can change the length of multiple objects in the same way. The length will be changed by the same absolute amount.

- to the same absolute length
If you want to make all selected sequences the same absolute length-even if they had different original lengths-simply hold ctrl Shift while changing the length (just as in the Matrix Editor or the Event List).

Adjusting the Start

You can also adjust the length of the sequence by grabbing it at the bottom left corner. However, you can never move the left corner beyond the first event in the sequence, i.e. you can never "hide" events from the front. If you want to remove the start of a sequence you have to cut it, and mute or delete the start.

Rounded to Whole Bars

The function Functions > Object > Snap Objects rounds the start to the nearest whole bar.
When you lengthen or shorten sequences, this never alters the position of the events contained within it. If you wish to do so, please do the following:

With Time-Compressing or -Expanding

Hold down ctrl while you are altering the length. The timing of the events in the sequence will be stretched or compressed in proportion to the amount by which you've altered its length.

Using this method, you can make a rhythm sequence play "half-time" by stretching it to twice the original length, or "double-time" by shortening the length to half of the original.

... to Adjust It to Fit Its Contents

The function Functions > Object > Set Optimal Object Sizes reduces or increases the length of an object, so that it is just large enough to contain the events (or other objects) within it. The object borders are rounded to the nearest bar.

If you hold down the alt key when you call up this function, the borders are rounded to the nearest beat instead.

... to Adjust It to Fit Other Sequences

With Functions > Object > Remove Overlaps, all selected sequences in a track are searched for overlaps. If an overlap is found, the earlier sequence is shortened by enough to remove the overlap.

With Functions > Object > Tie Objects, all selected sequences are lengthened so that they meet the following sequence on the same track.


Using a finer Grid

Arrange Window > Sequences > Using a finer Grid

All these operations (moving/copying, lengthening/shortening) snap to the bar or beat grid (depending on the current resolution of the bar ruler, and the setting of the zoom function). However, there are two ways of reducing the grid:

Display Format values as grid scale:alt + operation.

No grid (ticks as grid scale): alt Shift + operation.

All you need to do is hold these keys during the particular operation.

Let's say you want to shorten a sequence in a 4/4 bar so that the "4" is played but not the "4 and" of the last bar. Zoom the screen display until you can see quarter notes in the bar ruler. Now grab the bottom right corner of the object and move the mouse to the left until the sequence is shortened by one quarter note. Then press (and hold) alt and move the mouse carefully to the right until the sequence has become one division longer. While you are doing this, the right side of the Arrange window's title bar shows the track number, followed by the current length of the object in bars, beats, divisions and ticks. The three right-hand numbers should be "3 1 0".


Dividing Sequences

Arrange Window > Sequences > Dividing Sequences

Click on the Scissors in the Toolbox. Now click the desired sequence(s), holding down the mouse button. The left side of the bottom line of the Main Program window shows the current position of the mouse. When you release the mouse button, all selected objects are cut at the position shown in the Info Line when the button is released. The grid is based on the Display Format value. This value is displayed and is adjustable in the Transport window, just below the Time Signature indicator.

If any notes overlap other notes by more than a 1/16 note, the following dialog will appear on-screen:

Overlapping Notes found! Do you want to keep, to shorten or to split those? [KEEP|SHORTEN|SPLIT]

KEEP (default) leaves all notes unaltered. The sequence is cut as usual, but when you do this, you can end up with notes in the left-hand half that are much longer than the sequence containing them. Such notes will play normally, unless "Clip Length" is set to ON, which cuts off all sustaining notes at the end of a sequence.

SHORTEN truncates all overlapping notes, so that they end at the point where the sequence was divided.

SPLIT divides overlapping notes across the two sequences created when a cut is made; two notes are created, with the same pitch and velocity as the original, and with the same total length as the original note.

Multiple Division with the Scissors

If you hold down the ctrl key while cutting an object with the Scissors tool, the selected sequence will be cut into multiple pieces, whose lengths are determined by the length of the first segment.

For example: To divide a 16-bar sequence into 8 2-bar sequences, cut the sequence at the start of bar 3, while holding down the ctrl key.

At the Locator Positions

The function Functions > Split/Demix > Split Objects by Locators cuts all selected sequences which are located wholly or partly between the locators, at the left and right locator positions. All the objects created between the locator positions as a result of the cutting operation, are then selected.

Cut at the Song Position

With Functions > Split/Demix > Split Objects by Song Position, you can split all selected objects exactly at the SPL.

To cut at the nearest bar, use the key command Split Objects by rounded Song Position.


Merging Sequences

Arrange Window > Sequences > Merging Sequences

You can merge two or more selected sequences in a track into a single sequence, by clicking on one of them with the Glue tool.

The function of the Glue tool is the same as Functions > Merge > Objects. This merges all selected sequences, even those on different tracks, into a single sequence, in which all the events from the individual objects retain their original time position. Be aware that the individual MIDI channels are replaced by the MIDI channel of the current track instrument. The new object adopts the name and track of the first (along the time line) of the merged objects.

See the section Merge/Normalize and MIDI Channels for more on this.

The function Functions > Merge > Objects per Tracks has the same effect as Merge Objects, but if the selected objects are on several different tracks they are combined into one object per track.

Merge > All Objects, Merge > Objects per Tracks and the Glue tool handle the sequence parameters Transpose, Velocity and Dynamics intelligently. If these parameters are not identical in all selected sequences, the sequences are normalized before the merge. However, if one of the sequence parameters is set identically in all selected sequences, for instance the Transpose value, that value is preserved, and the events remain unchanged.


Demixing Sequences

Arrange Window > Sequences > Demixing Sequences

The function Functions > Split/Demix > Demix by Event Channel searches the selected sequence for events with different MIDI channels. A separate sequence containing all the matching events is created for every MIDI channel found. Each of these sequences is created on a track with an instrument that has the same MIDI channel. If no such tracks exist, the tracks are created with the track instrument of the original instrument.

This function is useful for the import of Standard MIDI Files (Format 0), when all note events are located in a single sequence.

The function Demix by Note Pitch searches the selected sequence for notes with different note numbers. A different sequence of the same length is created for every note number found. The tracks created for these sequences will have the same instrument as the original sequence. This feature is especially useful for separating drum parts that have been recorded into Logic from a drum machine.


Muting Sequences

Arrange Window > Sequences > Muting Sequences

Often when you are arranging, you will want to test musical ideas by muting certain objects. This is what the Mute tool is for.

You can mute individual or selected objects by clicking on them with the mute tool. Clicking a muted object reverses this state (unmuting). They are then displayed with a dot before the object name. Depending on the setting > Muted Objects are textured muted objects change their color or their texture:

You can perform the same function using the Mute Folders/Sequences key command.


Soloing Sequences

Arrange Window > Sequences > Soloing Sequences

You can solo any selected sequences using the Solo button in the Transport window, or the key command of the same name.

Double-clicking on the Solo button or using the key command Solo Lock "locks" the soloed status, so that changing the selection doesn't affect what is being soloed. This is especially useful when you want to make changes to the Playback parameters of a sequence while listening to a specific solo group.

Another click (or using the key command again) quits solo mode. For more on this, read the section Solo and Solo Lock.

When the Solo function is activated, the Bar Ruler will change from gray to yellow, to make it easy to see that Solo is engaged.

The Solo tool enables you to solo individual or selected objects, by clicking them and holding down the mouse button. You can also scrub the object by moving the mouse horizontally . If Logic is in play mode, solo playback starts as soon as you stop scrubbing. Release the mouse button to end solo listening.


Naming a Sequence

Arrange Window > Sequences > Naming a Sequence

One sequence: click the sequence with the Text marker tool and a text input box appears. Enter the name and press Enter, or click another object, or the background.

The same applies if you are entering the name in the Sequence Parameter box.

Multiple Naming

Select a group of sequences (e.g. with the rubber band), and click one of them with the Text tool. A text input box will appear, where you can name the sequence. All sequences are given the same name.

- with incrementing Numbers
If you end the name of the sequence with a number, all selected sequences are given the same name, with increasing numbers. They are numbered according to the time position of the sequences. If you want to end all the sequences with the same number, just add a space after the number.

The above also applies if you enter the name in the top line in the Sequence Parameter box, instead of using the text tool.

Transferring Track Names to Sequences

A quick reminder: the track name is normally used as the default name for any sequences recorded on it. However, if you have copied sequences from another track and you want to give them the same name as the track: The function View > Tracknames to Objects gives all selected objects the same name as the track they are on.


Special Functions

Arrange Window > Sequences > Special Functions

Inserting Events

MIDI events can be added directly to the selected track in the Arrange window, at the current song position, from one of the edit windows (or even from another song) from the clipboard.

This function allows you to insert MIDI events-e. g. from the Matrix Editor-directly into the Arrange window. Logic checks as it does this that you have selected a sequence, and then adds the data to that sequence. If you have not selected any sequences, Logic will create a new sequence on the selected track.

Deleting Events

- outside the sequence borders
Functions > Erase MIDI Events > Outside Object Borders allows you to erase all MIDI events beyond the start and end points of an object.

- duplicate Events
The function Functions > Erase MIDI Events > Duplicates searches all selected sequences and all sequences in selected folders, for identical events with the same time position. Any events occurring twice or more at the same position are deleted (so that only one remains).

  • The search looks for notes, controllers, monophonic aftertouch and program change data.
  • Events of the same type, but with different channels are not treated as identical.
  • The "same time position" includes two notes which are output simultaneously because of the current quantization setting.

There are more functions for deleting events on the Arrange level, which are described in the section Copying Events Selectively.

For more on the other functions used for editing events on the Arrange level, take a look at the section Arrange Window Techniques.

Adding Prg, Vol and Pan as Events

The command Functions > Sequence/Instrument Parameter > Insert Instrument MIDI Settings as Events allows you to insert the program, volume, and pan (Prg, Vol, Pan) settings as actual MIDI events from the Instrument Parameter box to one or more selected sequences. The events are placed a quarter note before the beginning of the relevant sequences. Only the activated (checked) settings in the Instrument Parameter box(es) are added as events. If there are already any events of the same kind, these are overwritten.

Adding Variable Program Changes

The function Functions > Sequence/Instrument Parameter > Insert Variable Program Changes in the same menu adds a "variable program change command" to one or more selected sequences. This is placed a quarter note before the beginning of the sequence(s) concerned.

During playback, this event replaces the missing program number in the Prg-Ch message with the setting in the Instrument Parameter box. If you subsequently change the Prg setting in the Instrument Parameter box, the "variable" program changes in the sequences on that track will change accordingly. By clicking the checked box in the in Event List, you can turn this into a normal "fixed" program change event. You can also alter this event's position or its program number data byte in the Event List.


Sequence Playback Parameters

Arrange Window > Sequence Playback Parameters

The Sequence Parameter box is located to the left of the track list, above the tool box.

Displaying Sequence Parameters

When you select a sequence object, its parameters are automatically displayed in the Sequence Parameter box. If the Sequence Parameter box isn't visible, select View > Parameters.

None of these parameters alter the original data of the sequence, they only affect the playback.

Though these are called sequence parameters, they may also be made to affect folders, in which case they apply to all the sequences within them. The description here will often refer to objects, which in this case means arrange objects, i.e. sequences or folders.

If a sequence parameter is set to its default value, the display of the parameter value is hidden, to make the display clearer.

Opening and Closing

To the left of the name is a small triangle; clicking this toggles between showing or hiding the contents of the box, just as with folders in the Windows Explorer. Closing the box leaves more room for the elements below.

Name

The top line in the Sequence Parameter box simply shows the name of the selected sequence.

Qua

Covered in section Quantization.


Defaults and MIDI Thru

Arrange Window > Sequence Playback Parameters > Defaults and MIDI Thru

Default Sequence Parameters

If no sequence is selected, the upper line of the sequence parameter box will read MIDI Thru. Any live MIDI input (in stop mode as well as during recording or playback), will be played back with the instrument and settings chosen here. When you record a new sequence, the settings in the MIDI Thru parameter box are carried over into the new sequence's parameter box. The MIDI Thru parameter box can be viewed as an adjustable "default" parameter box.

Realtime processing

An important concept to understand is that incoming MIDI data is always relayed "through" the instrument assigned to the track that is currently selected-as long as you do not disengage the record enable button, or exclude the chosen MIDI channel from MIDI Thru. This data is also processed through the MIDI Thru parameter box, described above. The MIDI Thru parameters are always displayed and are adjustable when there are no sequences selected. Click on the window background to deselect all sequences.

- Setting up MIDI Thru to match a sequence's parameter
Using the key command Set MIDI Thru Parameters by Seq./Folder, you can set the MIDI Thru parameters to match those of a selected object (whether a sequence or folder). This action also selects the track belonging to that object.

Editing Several Sequences Simultaneously

If several sequences are selected, the number of selected sequences is displayed, instead of an object name. If you now alter any sequence parameter, this alteration affects all the selected sequences. If a parameter was set differently in the individual sequences, a "*" appears. You can still alter this parameter for all the selected sequences, and the value differential will be retained (relative alteration). If you want to set the same value for all the selected sequences, hold down ctrl while you input the value (absolute alteration).


Loop

Arrange Window > Sequence Playback Parameters > Loop

- Value range: On or Off. Normal value: Off
When switched On, the object is repeated on its track until it encounters another object. A loop will also terminate at the end marker of a folder (if the sequence being looped is within a folder), or the song end marker. These repeats are displayed as grey beams which bear the name of the object. The length of each loop is exactly the same as the length of the original object, so if you want to create polyrhythmic structures, try experimenting with the length of the original object.

The loop-repetitions show the name of the looped object.

One way of ending a loop early is to create an empty sequence with the Pencil. Perhaps a better method is to place the object with the loop in a folder. You can then control the total number of loops, by simply altering the length of the folder.

Looped sequences can be selected by clicking on loop-repetitions. A short click will select the looped object. Click-holding behaves like a click on the background. All objects are deselected and rubber-band selection becomes active, allowing multiple objects to be selected.

The Toggle Loop key command may be used to switch the loop parameters for selected objects on and off.

Functions > Sequence Parameters > Turn Loops to Real Copies transforms the loops into real copies of the original object, and simultaneously switches the Loop parameter for the resulting objects to "off".

Functions > Sequence Parameter > Loops to Aliases changes sequence loops to aliases. This function is also available as a key command.


Transpose

Arrange Window > Sequence Playback Parameters > Transpose

- Value range: +/- 96 semitones. Normal value: 0

All note events contained in the sequence are transposed up or down by the selected amount during playback. Even complete folders can be instantly transposed in this way. If some individual sequences within the folder have already been transposed the relative differences between them are retained.

If you want to transpose by octaves, grab to the left of the parameter field between the word "Transpose" and the actual value. This opens a flip menu to allow direct input of octave transpositions.

To guard against drum notes, etc. being transposed, the Instrument Parameter box contains a parameter No Instrument Transpose. If you place a check in this box, the transpose parameter is ignored in all sequences played by this instrument.


Velocity, Dynamics and Gate Time

Arrange Window > Sequence Playback Parameters > Velocity, Dynamics and Gate Time

Velocity

- Value range: +/- 99. Normal value: 0
All notes in the relevant object are offset by the selected value. Positive values add to the originally recorded velocity, and negative ones subtract from it, although naturally it is impossible to go outside the limits prescribed by the MIDI Standard (0-127). If you select a velocity offset that exceeds the maximum or minimum possible value for a particular note, that note will play at the extreme possible range. For example, a setting of +20 will cause a note with a velocity of 120 to play at 127.

Dynamics

- Value range: in percent. Normal value: 100%
This parameter also affects the velocity values of the notes, but instead of adding or subtracting a fixed amount, the differences between "soft" and "loud" notes (the dynamics) are increased or decreased. This works in a similar way to a compressor or expander. Values above 100% expand the dynamics, and so increase the difference between "loud" and "soft", while values below 100% compress the dynamics, i.e., reduces the differences in velocity.

The FIX setting causes all notes to be transmitted with a velocity of 64. When used in conjunction with the velocity parameter (see above), it is therefore possible to set any fixed velocity value.

Gate Time

- Value range: in percent. Normal value: 100%
The term "gate time" stems from the technology used in analog synthesizers, and refers to the time between pressing and releasing a key. This parameter therefore affects the absolute note duration or length. This should not be confused with the musical note value, which normally refers to the amount of time until the next note. The practical effect is to make the notes in the object more staccato or legato. The parameter range is referenced to the original note lengths. "Fix" produces extreme staccato. Values below 100% shorten the note lengths. Values above 100% lengthen the notes. The "leg." setting produces a completely legato effect for all the notes, no matter what their original lengths, eliminating all space between notes in the affected sequence. If this is used on a folder, all notes in all sequences in the folder will be affected.


Delay

Arrange Window > Sequence Playback Parameters > Delay

- Value range: -999 to 9999 ticks. Normal value: 0
This parameter alters the time position of the selected objects. Positive values correspond to a delay (laid-back playing style or dragging), negative values cause a pre-delay (driving or rushing).

The units are ticks. A tick is the smallest time resolution in a sequencer, which in the case of Logic is 1/3840th note. On the right side of the delay value field you can use the mouse as slider to input the value.

If you click to the left, between the word "Delay" and the delay value, the flip menu shown here, opens where you may set the delay in terms of note value.

You can use the View menu to switch the display to milliseconds, using Delay in ms. This can also be used to calculate delay times for different note values at various tempos:

  • Set the desired note value by clicking to the left of the delay value.
  • Go to the View menu and switch to Delay in ms.
  • Set the desired tempo in the transport panel.
  • The delay parameter will now show the delay time.

The delay parameter is mainly used for musical purposes. It is also a way of fixing timing problems that may occur for a variety of reasons. Some examples of these are:

  • The attack phase of the sound is too slow. A good musician will automatically compensate for this by playing the notes slightly early. With very slow sounds, you may need a pre-delay of over 100 ms to even them out.
  • The sound generator is reacting too slowly to the incoming note-on messages. Older multitimbral sound generators often take tens of milliseconds before beginning to output a voice. This effect may be better compensated for by using the delay parameter in the instrument parameter box, since this will affect all sequences on all tracks sending to the slowly reacting device.
  • The delay in outputting the voice is not constant because it depends on the order of notes arriving serially at the sound generator. You should therefore try pre-delaying rhythmically important tracks by as little as one tick-it can work wonders.

Active MIDI Transmission (AMT), featured on the Unitor 8 and AMT 8 MIDI Interfaces, can solve this problem, because they can output MIDI events simultaneously on different MIDI Outputs. Always make sure to share the load of MIDI data among as many MIDI outputs as possible.


Fixing/Neutralizing Sequence Parameters

Arrange Window > Sequence Playback Parameters > Fixing/Neutralizing Sequence Parameters

You can normalize the sequence parameter settings of all selected objects using the command Functions > Sequence/Instrument Parameters > Normalize Sequence Parameters (Normalize).

This means that all settings are actually written to the data, and the playback parameters resume their normal values. The audible result remains the same. The loop and extended sequence parameters are not affected. Using this function is effectively like saying "make these sequence/instrument parameter values permanent". Under most circumstances, it is better not to do this, as it is more flexible to leave the original data untouched. This gives you unlimited opportunity to change your mind about sequence edits.

Merge/Normalize and MIDI Channels

Just like the Merge function or the Glue tool, the Normalize function is intelligent with respect to stored MIDI channel numbers. If all stored events have the same MIDI channel number, the channel will be changed into that of the instrument assigned to the current track. If the events are on different channels, Logic will ask whether you would like to convert the channels or not.
In addition, the following variations of Normalize are now available by selecting Functions > Sequence / Instrument Parameter > ...:

... Normalize w/o channel leaves the stored channel number untouched;

... Normalize w/o channel & delay leaves the stored channel number and delay parameters untouched.

If the instrument playing back is has a channel setting of "All", or you're dealing with a completely different type of Environment object (e.g. a Channel Splitter, for use with "A-Playback"), then the stored MIDI channel numbers will remain unaffected by the "usual" Normalize function.

A quick tip: if you're editing sequences that are appearing as notation on a polyphonic score style, we recommend using Normalize without channel, as the event channel is used in the Score Editor to assign notes to individual polyphonic voices.


Extended Sequence Parameter Box

Arrange Window > Sequence Playback Parameters > Extended Sequence Parameter Box

The Extended Sequence Parameter box contains additional sequence parameters. These include the more comprehensive quantization parameters.

Opening the extended sequence parameter box

To open the float window containing the Extended Sequence Parameters, you either use the command Options > Extended Sequence Parameters, or double-click on the left half of the of the Sequence Parameter box (next to the parameter names).

Clip Length

- Value range: On / Off. Neutral value: Off
When switched On, this parameter causes any notes sustaining beyond the end of a sequence to stop playing at the end of the sequence. Remember however, Clip Length is a purely playback parameter, the data of these longer notes is not affected, and their display in the editor windows is unchanged.

The point of this function is to allow you to alter the length of a note directly on the arrange level, by adjusting the length of the sequence. Clip length has no effect on folders.

Score

- Value range: On / Off. Neutral value: On .
When switched Off, this parameter removes the selected object(s) from the Score Edit window. This is useful if the sequence does not contain any notes, but just other data, such as controller data for fader automation.


Quantization

Arrange Window > Quantization

Quantization is the rhythmic correction of notes to a specific time grid. Any inaccurately played notes are moved to the nearest position on this grid.

For example, if the smallest notes in a passage are 1/16th notes, you should use 1/16th quantization to move all recorded notes to their ideal rhythmic value. This will only work if no note has been played more than 1/32nd from the ideal position, otherwise the note will be moved 1/16th later or earlier than the proper position.

How It Works

Quantization settings are made in either the Sequence Parameter box or the Extended Sequence Parameter box. They are non-destructive playback parameters, so they can be replaced by another setting at any time. This also means that by setting the Qua parameter to "off (3840)", you can always revert to the unquantized original recording. Unlike other playback parameters, quantization affects the way notes are displayed in the editor windows, thus allowing you to see from the position of the notes what effect the quantization parameters are having. The quantization affects only notes, not other types of events (e.g. controllers).

For every note event, two positions are stored internally: the original position that was played in, and the playback position (also shown in the Editor windows). For unquantized sequences, both positions are the same. Each time you quantize, a new playback position is calculated from the original position.

The Fix Quantize command overwrites the original position with the playback position. The same thing happens if you change a note in one of the Editors manually-although then you can't return to the original value.


Which Events Can Be Quantized

Arrange Window > Quantization > Which Events Can Be Quantized

Sequence parameter quantization only works on notes, not on other types of events like controllers. Apart from notes, all events have just one position parameter, which you can leave or change permanently by using Event Quantize, or dragging with the mouse.

To quantize events other than notes, read the section Quantizing Events.

Essentially, quantization works on the whole sequence. To quantize single notes only, use the Event quantization in one of the Editor windows (see the section Note Quantization). Keep in mind that this overwrites the original record position of the quantized note.

If you wanted to quantize various parts of a sequence differently, you could divide the sequence up, and use different quantization settings on each part of the sequence. You can then recombine the parts of the original sequences without this affecting the way the parts are played.

The quantization grid always begins at the start of a sequence. If the sequence does not start at the beginning of the bar, neither does the quantization grid.

Qua

The quantization grid is accessed from a flip menu, under the Qua parameter in the Sequence Parameter box.

You can also step through the available quantization resolutions from the flip menu, one at a time, using the key commands Quantize: next value and Quantize: previous value. This function sets the quantize for all selected sequences.

Quantization off

The setting off(3840) plays the notes with the finest possible time resolution: 1/3840 note, which is practically unquantized playback.

Normal quantization

The settings 1/1, 1/2, 1/4, 1/8, 1/16, 1/32 and 1/64 note quantize the sequence to the equivalent note value.

Triplet quantization

The settings 1/3, 1/6, 1/12, 1/24, 1/48 and 1/96 note quantize the sequence to triplet note values. A 1/6 note is equivalent to a quarter triplet, 1/12 note to an eighth triplet, 1/24 note to a sixteenth triplet and 1/48 note to a thirty-second triplet, etc...

Mixed quantization

The setting 8 & 12 corresponds to eighths and eighth triplets, 16 & 12 to sixteenths and eighth triplets and 16 & 24 to sixteenths and sixteenth triplets. Mixed quantization always applies both note values, and thus naturally requires greater precision when playing.

Odd quantization

The setting 9-Tuplet means novetuplets (1 bar = 9 beats), 7-Tuplet is septuplets (1 bar = 7 beats), 5-Tuplet/4 is quarterquintuplets (1 bar = 5 beats), and 5-Tuplet/8 is eighthquintuplets (1 bar = 10 beats).


Additional Quantization Parameters

Arrange Window > Quantization > Additional Quantization Parameters

The following quantization parameters are located in the Extended Sequence Parameter box, which can either be opened by double-clicking on the left half of the Sequence Parameter box, or with Options > Extended Sequence Parameters....

Q-Swing

- Value range: 1%-99%. Normal value: 50%
This percentage value alters the position of every second point in the current quantization grid. Values over 50% delay the beats and values under 50% pre-delay them. The best practical settings are between 50% and 75%, which give strictly quantized sequences a swing feeling.

Q-Strength

- Value range: 0% to 100%. Normal value: 100% .
This percentage value determines how far a note is shifted towards the nearest grid position. 100% produces a full quantization, 0% leaves the note in its recorded position.

Q-Range

- Value range: 0 to 3840 ticks. Normal value: 0 ticks .
All notes whose distance (in ticks) from the nearest grid position is greater than the value here, are not quantized. A value of 0 means that every note is quantized.

If you enter negative values for Q-Range, you are using Far only Quantize. In this mode, only the notes outside the set region (in ticks) are moved to the ideal quantization grid positions; while notes closer in remain unquantized. This way, the most poorly played notes outside this region are moved to perfect timing positions on the quantization grid, or at least moved towards these positions, depending on the Q-Strength setting. See also Linear Quantize.

Q-Flam

- Value range: ±3840 ticks. Normal value: 0 ticks .
Notes with the same time position (e.g. chords) are spread out by this parameter. Positive values produce an upwards arpeggio, negative values a downwards arpeggio. The first note of the arpeggio is unaltered.

Q-Veloc

- Value range: -99% to +127%. Normal value: 0% .
This percentage value determines how much the velocity values of the quantized notes are affected by the velocity values in the template sequence (see the section Groove). At 0% the notes retain their original velocity, and at 100% they adopt the velocity values of the template. Negative values alter the velocity so that the deviation from the template becomes even greater.

Q-Length

- Value range: -99% to +127%. Normal value: 0% .
This percentage value determines how strongly the note lengths of the quantized notes are affected by the equivalent note lengths of the template sequence (see the section Groove). 0% has no effect, while at 100%, the notes adopt the exact note lengths of the template. Negative values alter the note lengths so that the deviation from the template is increased.


Linear Quantize - "Q-Range"

Arrange Window > Quantization > Linear Quantize - "Q-Range"

Linear Quantize is a quantize algorithm which is always used automatically whenever you set a positive value in the Q Range parameter.

The Q Range parameter is located in the Extended Sequence Parameter box, which you can open by selecting Options > Extended Sequence Parameters.

Operation

Linear Quantize is well-suited to "soft quantization" of recordings which already have the right groove but in some places are too hurried or "laid back". Linear Quantize retains the original feeling, but positions the rhythmic "center" precisely in the groove.

To obtain the best results, use a low, even quantize value, such as 1/4 note. Set the Q Range parameter to the maximum error in the recording, for example 96 ticks (= 1/40 note).

Linear Quantize is a very musical quantization strategy that requires a certain amount of technical musical prowess.


Fixing the Quantization

Arrange Window > Quantization > Fixing the Quantization

In the same way that the other sequence parameters can be normalized, the quantization settings can also be applied permanently to the stored data.

The command is Functions > Sequence/Instrument Parameters > Fix Quantize.

Of course, once this is done, it is impossible to revert to the original recording, unless you use Undo immediately after performing the operation.

Pre-quantization

The Fix Quantize function is especially suited to pre-quantization. For example, if a recorded sequence cannot be immediately quantized to a 1/16 swing without producing a few incorrect notes, start by quantizing it to 1/16th notes and then call up Fix Quantize. You can now apply any swing quantization to this cleaned-up version of the sequence.

If you are recording a hi-hat pattern consisting of 1/16 notes and one single 1/32 note, first play the rhythm (quantized to 1/16 notes) without the 1/32 note and choose Fix Quantize. You can now raise the quantization to 1/32 notes and add the extra note without misquantizing any badly-played 1/16 notes.


Groove

Arrange Window > Groove

In the early days of sequencers, many people thought that electronic music sounded mechanical or sterile. This impression (which, at the time, might have been a fair observation) was based on the fact that sequencers could only output notes that were quantized. This is no longer the case. Logic's resolution is so high that at a tempo of 120 it can differentiate between two notes that are just 520 microseconds apart. This is equivalent to a single oscillation cycle of the highest note that you can play on a soprano saxophone.

Of course, using the quantization functions, it is still possible to generate sterile, mechanical timing, if that is what you actually want (although even straight quantization can be given a groove with the aid of the Q-Swing parameter).

Logic also allows you to use your own quantization grid (or Groove Template), making full use of the system's high timing resolution.


Creating Groove Templates

Arrange Window > Groove > Creating Groove Templates

Instead of quantizing the notes to one of the preset grids, you can create new ones based on the rhythms in other sequences. These are referred to as "groove templates". Groove templates make it possible to capture the small timing deviations which give a sequence its "feel", and apply them to other sequences.

Creating Your Own Quantization Template (Groove)

The function Options > Groove Templates > Make Groove Template transforms the exact timing of the notes in the selected sequence into a quantization template. It then appears in the flip menu of the Qua parameter (in the Sequence Parameter box), with the name of the sequence on which it is based. It can be used on any other sequence, in exactly the same way as the rest of the items in the Quantize flip menu.

In general, two-bar model sequences work particularly well for this function, but you can use sequences of any length. Make sure that the model sequence actually contains a note at every desired quantization value.

Deleting a Quantization Template

Use Options > Groove Templates > Remove Groove Template from List to delete the selected model sequence from the list of possible quantization templates. The next time you open the flip menu, this quantization template will no longer be available.


Importing Groove Templates

Arrange Window > Groove > Importing Groove Templates

You can also import 3rd-party quantization templates, such as those made by the Canadian firm WC Music Research (DNA Groove Templates). First, you must copy the templates into a folder called "Grooves" which must be on the same level as the Logic program itself. If necessary, create a folder there with that name yourself.

You can then use the function Options > Groove Templates > Import DNA Groove Templates... to import the templates. All the DNA Groove Templates in the Grooves folder are displayed graphically, along with their names. Just click a groove template to apply it immediately to the selected sequences. If you like the groove, you can transfer it into Logic's list of quantization templates, by double-clicking on it.

Logic then creates a folder in the Arrange area (if one is not already present) for these imported groove templates called "Grooves!" . The groove templates are then stored as sequences within the folder.

By converting the DNA grooves into stored sequences, the quantization templates can now be used, even when the song is played on another computer whose hard disk does not have a Grooves folder with the corresponding DNA Groove Templates.


Overview

Arrange Window > Folders > Overview

A folder is an arrange object that can contain other arrange objects, in the same way that a folderon your hard drive can contain other folders or files.

One way to imagine a folder is as a song within a song. A folder can have as many tracks as you want, with sequences on them. The inside of a folder looks just the same as the arrange area and track list in a song.

Within a track of the song, a folder looks like a sequence, only with a dotted surface.

This could contain tracks like trumpet, saxophone and trombone which you arrange into a brass section, or 14 tracks of drum instruments, which you may want to treat as a single drum pattern object.

In the same way, your entire song, with all its tracks and sequences, could itself be a folder, appearing as a grey beam in another song. In this way, you could arrange several songs to make up a concert.

This is not all folders can do. You could use folders to represent the parts of a song (e.g. choruses and verses). And just as on your hard drive, you can place as many folders as you like within other folders, within yet more folders (say for the instrument groups within the different parts of the song, for example), with no limit to the number of levels you can create, if you wish.

Another possible usage might be to store different arrangements of a song in different folders, so you could switch between them rapidly... That's enough for you to be thinking about for the moment. We'll leave the rest up to your imagination...

The "Folder" as a Track Instrument

A folder is normally placed on a track assigned to Folder in the track list, instead of to an instrument.

This means that all the objects in the folder are played by the instruments set in the folder's track list. All the instruments within the folder will play back, just as they do on the top level of the Arrange window.

If you place a folder on a track that is set to a normal instrument, its entire contents are played by this instrument. This usually only makes sense if the folder contains tracks for just this instrument. However, this could be a quick way of listening to a string arrangement, if for example, some of the intended sound sources are unavailable.


Working with folders

Arrange Window > Folders > Working with folders

Creating folders

The function Functions > Pack Folder places all the selected objects into a folder. The folder is created on an existing folder track. If no track with a folder instrument is available, Logic creates one.

In a similar way, if no object is selected, Logic creates a track with a folder on it. This contains no objects-just tracks with all the instruments from the current level.

Changing Display Levels

- Going into a Folder
To change to a lower level (go into a folder) of the Arrange window, double-click the folder itself.

The key commandGo Into Folder or Sequence does the same, but make sure the folder is selected before choosing this option. If a sequence is selected instead, an Event List is opened showing its contents.

Double-clicking on a track assigned as "folder" in the track list, opens the Track Mixer.

- Exiting a Folder
To change to a higher display level of the Arrange window, double-click on the background.
The key command Go Out of Folder or Sequence does the same.

Moving Objects into Folders

...is as easy as drag-and-drop. Drag the object(s) from the original track onto the folder at the desired position and release the mouse. If the folder does not already contain a track with the same instrument as the original track, Logic creates one. When you look inside the folder, you will see the object you dropped, at the position you dropped it.

Folder Editing: Like Sequences or Regions

In principle, you can do anything with folders that you can do with sequences.


Unpacking Folders

Arrange Window > Folders > Unpacking Folders

Unpacking Individual Objects

If you want to move individual objects from a folder to a higher level there are two ways of doing so:

  • Go to the display level where you want to add the object. Now open a second Arrange window by pressing ctrl 1 (default). Go into the folder from which you want to remove the object and drag it from one Arrange window into the other.
  • Go to the display level from which you want to remove the object. Select the object and transfer it onto the clipboard by pressing ctrl x. Change to the display level where you want to add the object. Select the desired track, and set the song position line to the point you want, and then add the object by pressing ctrl v.

Unpacking Folders

Use the command Functions > Unpack Folder to dismantle the selected folder. If you select Unpack Folders (Create new tracks) Logic will create new tracks on the same level where the folder was located (below the former folder track). If you select Unpack Folders (Use existing tracks) instead, the objects contained within it are placed on tracks set to the appropriate instruments.


Aliases

Arrange Window > Aliases

An alias in Logic is something like a shortcut in Windows. It looks like an object, but contains no actual data. It is just a reference to the data of the original object-a virtual "reflection" of the original. You can always recognize an alias, because its name is written in italics.

If the data in the original object is altered, this immediately affects all the aliases created from it.

In fact, this is the whole point of aliases. For example, if a riff or phrase (a sequence or folder) keeps recurring throughout a song, it makes sense to use aliases, rather than have full copies of the original eat up your storage space.

Furthermore, when using aliases, if you feel something is not quite right, you only have to alter the original, and the correction will automatically take effect throughout the whole song. If you just want to alter a detail at one point in the song, you can turn that particular alias into an independent object.

The contents of Alia is displayed in the Score Window.


Creating an Alias

Arrange Window > Aliases > Creating an Alias

To create an alias, just hold down Shift when you are copying the object as usual (so hold down ctrl Shift + drag).

There is also the command Alias > Make in the Functions menu. The alias appears on the selected track, beginning at the current song position.

If several objects are selected, their relative time and track positions are retained. The selected track is the destination track for the first object along the time line.

When you use the function Repeat Objects, you have the option as Alias.

You can use Functions > Alias > Make but Copy Folder to create aliases of the current selection. If a folder is selected, a "real" copy of the folder is created, and aliases of all the objects in the original folder are placed inside. The advantage is that within this "real" folder, you can (for example) set up mutes, and alter program, instrument or playback parameters if, you wish to.

Playback Parameters

Although an alias is a "slave" of the original, it has its own playback parameters. The exception is the original's quantization parameters, which, because of their special status, always apply to aliases too.

Reassigning an Alias

The function Functions > Alias > Reassign assigns a new original object to an existing alias. Both the alias and the intended new original object must be selected first.


Alias and Real Object

Arrange Window > Aliases > Alias and Real Object

Search Functions for an Original or Alias

- Finding the Original of an Alias
If you have forgotten where the original is for a certain alias, select the alias, and select the function Functions > Alias > Select Original, which will select the original object for you. Another method is described in section Contents Visible in the Object.

- Finding the Alias of an Original
Conversely, you can select the original of a particular object, and find any aliases you've made from it. Select Functions > Alias > Select All Aliases of Object. All existing aliases will then be selected for you.

"Orphan" Aliases

If you erase an object from which one or more aliases have been created, Logic will warn you with the following message:

One or more Aliases are made from objects to be cleared! Do you still want to clear these?

"Don't Clear" cancels the erase procedure, while "Clear" deletes the object. If you do this, it makes no sense to keep the aliases after you've deleted the original, but because Logic does not do this for you, you could end up with "orphan" aliases-that is, aliases without an original. Although such objects can serve no useful purpose, Logic doesn't automatically delete them, as you might decide to assign them new originals later.

- Selecting All Orphan Aliases
Functions > Alias > Select All Orphan Aliases selects all aliases whose original sequences no longer exist.

- Deleting Orphan Aliases
Functions > Alias > Delete All Orphan Aliases deletes all the aliases that no longer have originals. You can use this function to tidy up after deleting lots of objects, as this will possibly leave a load of old, unnecessary aliases in your song file.

Turning the Alias into a Real Object

You can use Functions > Alias > Turn to Real Copy to make a real object from an alias; its contents will be identical to those of the original object of the alias.

Editing the Events in an Alias

It is not possible to edit aliases. If you double-click on an alias, Logic assumes that you either want to edit the original, or turn the alias into a real object. A dialog box appears asking whether you want to create and edit a real copy, or whether you want to edit the original instead.

Click on the desired button; Enter opens the editor window for the original object.

Merging Two or More Objects

If you edit an original object by merging it with others, any existing aliases are automatically updated to reflect the changes.


Markers

Arrange Window > Markers

As their name implies, Markers are mainly used to mark particular time positions or sections in a song. They usually appear as short texts and (optinally) colored sections in the bar rulers of all Logic windows, and (optionally) as longer texts (of any length), in the Marker Text window. Therefore markers can also be used as notepads to store text comments with a song file.

In the bar ruler only the names of the markers are shown (if there is enough space). The complete text of a marker can be viewed and edited in the Marker Text window.

The names of all markers, together with their bar position and length are also listed in the Marker List window, which, as its name suggests, is a specialized event list window for markers. Markers have a specific duration or length, regardless of the extent of the actual text. A length of 1 tick means that the marker extends to the beginning of the next marker, or to the end of the song or folder, if there is no other marker following it.

Apart from the text storing functions, markers can also be regarded as namable storage areas for locator positions.


Creating Markers...

Arrange Window > Markers > Creating Markers...

... using the mouse

To create a marker with the mouse, position the mouse cursor in the lower third of the bar ruler at the desired bar position, hold down the ctrl -key and click with the right mouse button. A Marker Text window will open.
If a marker already exists at that bar position (or up to a quarter note before or after it), no new marker will be created. The same applies for all other methods of creating markers (via menus or key commands, see below).

... using menu or key commands

To create a marker at the current song position (rounded to the nearest bar), select Options > Marker > Create, or use the key command Create Marker. This does not open a Marker Text window, thereby making it easier to quickly create several markers, one after another.
Options > Marker > Create without rounding (or the key command Create Marker w/o rounding) does almost the same, but the position of the marker is not rounded to the nearest bar.

... above objects

Selecting Options > Marker > Create by objects creates markers at the position(s) of all currently selected objects (sequences or folders). These markers take on the names, bar position and length of the objects they are derived from.
The menu and key commands are also available directly in the Marker List window.

... matching a cycled section

To create a marker which corresponds exactly to the length and position of a cycled section, drag the cycle bar down into the lower third of the bar ruler. For more on this, see also section Adjusting a Marker to Fit a Cycle.

Deleting Markers

To delete a marker, grab it with the mouse in the bar ruler, and drag it down, out of the bar ruler. Let go when the mouse turns into a hand pointing downwards.

To delete a marker at the current song position, you can also choose Options > Marker > Delete or the key command Delete Marker. In the Marker List window, a marker can be deleted by selecting it and pressing Backspace .


Marker Names

Arrange Window > Markers > Marker Names

Newly created markers are automatically named "Marker ##" (, unless they were derived from sequences or folders as described above). "##" stands for their order of appearance along the time line, which will be displayed in the bar ruler instead of those characters (resulting in "Marker 1", "Marker 2" etc.). The number always depends on the actual order of all markers in the song, including those markers whose name has been changed.

Markers which were created using the Create by objects function will automatically be assigned the name of the sequences or folders they were derived from.

The marker names appear in the bar ruler of all Logic windows, the Marker List window, and the title bar of the Marker Text window. Automatically assigned names can be changed, either directly in the bar ruler, or in the Marker Text window:

Editing Marker Names and Text

- ...directly in the bar ruler
Double-click on the marker with the right mouse button while holding down the alt key. A text entry field will open, where you can edit the marker's name. The same effect is achieved with Options > Marker > Quick Edit Marker.

- ...in the Marker Text window
The name of a marker can also be edited directly in the Marker Text window: The first paragraph in that window (up to a length of 60 characters including spaces) will be used as the name for that marker. However, how much of that name is displayed in bar rulers and the Marker List window, depends on the available space there.


Marker Text Window

Arrange Window > Markers > Marker Text Window

To open the Marker Text window, either double-click on a marker in the bar ruler with the right mouse button while holding the Shift -key, or select Options > Markers > Open Text or ...> Open Text As Float.

Reminder: A floating window will always stay "on top" of regular windows. However, it is not possible to perform any text input or editing in floating marker windows.

Marker Text Input

In this window, you can enter as much text as you like. The first paragraph (up to 60 characters) will also be displayed in the bar ruler as the name of the marker, the rest will only be visible in the Marker Text window itself.

In this window, the marker text can be input and edited as usual. The Edit menu contains the usual Cut, Copy, Paste, Clear and Select All commands.

The Copy&Paste commands can also be used to import or export text to and from other software applications (such as word processors), to print the text.

If you click on the button with the open book (deactivating it), the window will become a Marker List window. Another click on that switch (highlighting it again), will bring back the Marker Text mode.

Text Appearance

It is possible to assign a different font, size and style to any selected part of the text, using the corresponding buttons and flip menus in this window. All fonts which are installed in your system folder can be used here.
Also, different colors can be assigned to the entire text, or selected parts, and to the background (for details see below). Each paragraph can be aligned left, right or centered, using the corresponding buttons in that window.

Disabling Text Input in the Marker Text Window

If you deactivate the "A" switch in the left part of that window, the existing marker text is protected and cannot be altered until the switch is activated again. This is useful to prevent unwanted text editing, which could happen if you perform key commands while the Marker Text window is open. To be able to enter or edit any text, this switch has to be activated (highlighted).

Any "normal" computer keystroke (with or without S) will be interpreted as text input in this mode (if that window is the active window), even if a key command is defined for that key.

Automatic Text Selection

If a "*" is used as first character in the text, the complete marker text will always be selected when the Marker Text window is opened. That way the existing text can always be overwritten immediately.

Colors...

In the Marker Text Window, a click on the "C" button (far top right) opens a color palette. You may have to make the window bigger (by dragging the lower right corner) in order to see the "C" Button.

- ...for marker text
You can assign colors to all currently selected characters in the Marker Text window by clicking on the desired color in the palette and confirming the selection with OK.

- ...for the Marker Text window
Shift click on the "C"-button, and then onto one of the colors in the palette will assign that color to the background of the marker text.

Markers without a Name

If you want the marker have no name, just type Enter instead of the first line.


Marker List Window

Arrange Window > Markers > Marker List Window

The Marker List window shows all existing markers in an event list. Here you can copy and delete markers, and edit their position and length. You can also select any marker for text editing.

Opening the Marker List window

The commands Options > Marker > Open List and ...Open List as Float (also key commands) open the Marker List window.

Reselecting this command closes the Marker List window again.

The Edit menu contains the usual clipboard and selection commands. The Select all following, Select inside Locators, and Toggle selection are available as key commands.

Tools in the Marker List Window

  • The Pointer has the usual selection and editing functions. Selection: by clicking, clicking with the Shift key held down, and "rubber-banding" in the vicinity of the marker name.
Editing: use the mouse as slider, direct value input by double-clicking. Double-clicking on the name converts the Marker list into a Marker Text window where the text of that particular marker is displayed.
  • The Pencil duplicates a marker if you click on its name. You can then edit the position and length of the duplicated marker.
  • The Eraser deletes a marker by clicking on it.
  • The Index Finger sets the song position to the start of the marker, and sets the locator positions according to the marker's beginning and end. This tool can also be used for regular editing functions (like the pointer). The index finger is the default tool in the Marker List window when you open it.

Playing Markers

If you click with the index finger on a marker in the Marker List window, and keep the mouse button pressed, the sequencer will start playing at the beginning of that marker, and continue playing as long as you keep the mouse button pressed.


Buttons in both Marker Windows

Arrange Window > Markers > Buttons in both Marker Windows

In Marker Text mode, you will see five buttons along the left side of the Marker window, in List mode only two of them:

The highlighted open book on the top switch indicates that you are in the Marker Text window. If this switch is not highlighted, you are looking at the Marker List window. With this switch, you can toggle between these two modes.

Clicking the walking man (Catch) ensures that you always see the text of the current marker displayed in the Marker Text window.

The two arrows (only available in Marker Text mode) enable you to jump to the previous or next marker, without having to leave the window. These are equivalent to the key commands Goto previous Marker and Goto next Marker.

The "T" Switch enables/disables text input in Marker Text mode.


Marker Position and Length

Arrange Window > Markers > Marker Position and Length

In the Marker List window, there are two display options for marker position and length:

  • Options > Position & Length in SMPTE units toggles the Marker position and length display between bar positions and SMPTE time positions.
  • Options > Length as absolute Position toggles the marker length display between actual (relative) length and (absolute) display of the end position of the marker (shown as bar position).

Moving Markers in the Bar Ruler

To change a marker's position directly in the bar ruler, just grab the marker in the bar ruler with the right mouse button , and drag it to the right or left . The smallest movements you can achieve this way are quarter-note steps, however, you can change the size of the steps by holding down additional keys:alt to move in division steps (whatever is currently set in the Transport window), and Shift alt to move in ticks (however,this is still dependent on the horizontal zoom). Watch the Info Line for precise feedback on the movement:

Moving Markers in the Marker List Window

The marker position can also be changed in the Marker List window, using the mouse as a slider on the bar position display, or by double-clicking on a position value and entering the new value on the computer keyboard. The same principle applies to marker length.

Adjusting a Marker to Fit a Cycle

This works the same way as if you create a marker from a cycled section. If you drag a cycle onto an existing marker whose right or left end (or both) is inside the cycled section, the marker takes on the length and bar position of the cycle. To accomplish this, drag the cycle down until the cursor takes on the shape of the index finger.

Locking Markers to SMPTE Positions

Options > SMPTE Position > Lock will lock (fix) the SMPTE position of markers. To indicate this status, a lock symbol is displayed at the beginning of the marker name in the list (the same as is used for locked events or sequences in the Event List window). These markers always keep their absolute time position: if the song tempo is changed, their bar positions will change to keep them at the same SMPTE positions.

Options > SMPTE Position > Unlock will reverse this status again.


Using Markers to Set Song Position and Locators

Arrange Window > Markers > Using Markers to Set Song Position and Locators

...in the bar ruler

If you click on a marker in the bar ruler with the right mouse button the current song position will be set to the start of this marker.

When you drag a marker up into the top third of the bar ruler, this will set a cycle with the same position and length as the marker (and thereby set the locator positions accordingly). If the sequencer is stopped when you do this, the song position line will be set to the beginning of the marker.

...with key commands

There are quite a few key commands which will set the song position line to the beginning of a particular marker, and adjust the locator positions to fit the marker's beginning and end. The first three commands in the following list will also activate the cycle mode:

  • Set Locators by Marker and Enable Cycle
  • Set Locators by previous Marker and Enable Cycle
  • Set Locators by next Marker and Enable Cycle
  • Goto previous Marker
  • Goto next Marker
  • Goto Marker Number #
  • Goto Marker number 1-20 (20 different commands)

The "Marker Numbers" in these commands refer to the serial order of all markers in the song.

...in the Marker windows

Clicking on one of the arrow buttons in the Marker Text window, or clicking on a marker with the Pointer tool in the Marker List window will also set the current song position to the beginning of the corresponding marker, and the locators to the beginning and end of that marker.


Summary of Marker Mouse Actions

Arrange Window > Markers > Summary of Marker Mouse Actions

Without Modifier keys:

  • Grabbing a marker and pulling it upwards sets a cycle zone corresponding to the length of the marker.
  • Grabbing a cycle and pulling it down into the marker area on the bar ruler creates a new marker with corresponding position and length, or, if the beginning of the cycled section is inside an existing marker, that marker's position and length will be adjusted to the cycle.
  • Grabbing the marker, dragging it below the bar ruler and letting go of it deletes the marker (Undo possible).

All other mouse actions without modifyer keys in the marker area of the bar ruler have no effect on markers, but on the current song position instead, e.g. positioning (clicking), scrubbing (dragging), and Start/Stop (double-clicking).

With the right mouse button and the ctrl -key

... creates a new marker and opens the Marker Text window.

With the right mouse button

  • A short click on an existing marker sets the SPL to the beginning of that marker.
  • Double-clicking on an existing marker starts the sequencer from the beginning of that marker.
  • Grabbing and pulling left/right moves the markers (also holding down alt or Shift alt allows smaller increments for movement).
  • Grabbing and pulling upwards / downwards sets cycle lengths/erases markers (same as with the left mouse button).

Double-clicking on a marker with the right mouse button while holding the alt keys

- opens a small text edit box for the marker name. However, if the marker already holds more than a few words of text, the Marker Text window will open instead.

Double-clicking on a marker with the right mouse button while holding the Shift key

- opens the Marker Text window for that marker (without creating a new marker).


Time and Key Signature Editor

Arrange Window > Time and Key Signature Editor

In the Time and Key Signature Editor window it is possible to copy, move and delete time signature changes, key signature changes and global score symbols (repeat signs, special barlines etc.).

To open this window, choose Signature/Key Change List Editor from the Options menu. This editor looks and works very similar to the Event List editor, except that new list entries can only be created by copying existing ones.

The following score symbols are displayed in this window as list entries, if they are present in the score of the song (note: the initial time and key signature of the song is always displayed here, without bar position indications at the top of the list):

  • Time signature changes
  • Key signatures / key changes, as displayed in the Score Edit window
  • Repeat signs (repeat start, repeat end, repeat end+start, brackets for first and second endings)
  • Special barlines: double barlines, final double barlines ("end of score"), half/short barlines, hidden barlines (displayed as dotted lines on the screen) and manually inserted regular barlines.

Please note: None of these symbols affects Logic's MIDI and audio playback. However, time signatures not only affect the score display, but also the bar position display in all windows and therefore all functions which somehow depend on the chosen time signature and on bar positions, like the MIDI metronome click or the functions in the Transform Edit window, if bar positions are used to restrict its chosen function to a certain part of the song.


Functions

Arrange Window > Time and Key Signature Editor > Functions

Copying Time and Key Signatures

In this window, time signatures, key changes, repeat signs and special barlines can be copied exactly as in the Event List window:

  • Select all list entries which you want to copy by clicking on them (shift click for multiple selection) and use menu Edit > Copy (key command ctrl c ) to copy them to the clipboard.
  • Now insert the copied entries by choosing Edit > Paste (key command ctrl v ).
  • The copied list entries are now being inserted into the list, an entry box opens for the bar position of the first inserted list event. Type the desired bar position and close that box by pressing the Return or Enter key. Subsequent list entries are inserted at bar positions that correspond to their original distance in relation to the first copied list entry.

Moving and Deleting List Entries

All list entries in this window (except the initial time signature and key indication at the top of the list) can be moved or deleted . Again, this corresponds exactly to the way the Event Edit window works:

  • To delete a list entry, select it and press the Backspace key.
  • To move an entry, you can either click on its bar position with the mouse, keep the mouse button pressed and move the mouse up or down; or you double-click on the bar position of the list entry and type the desired bar position into the entry box which opens after the double-click.

Changing Time and Key Signatures in the List Editor

Existing time signatures and key changes can be altered directly in this list:

  • Their position can be changed as described in the previous section.
  • Time signatures can be changed by positioning the mouse pointer at the nominator or denominator in the list and dragging the mouse up or down to increase or decrese that value.
  • To alter a key signature, either click on the word major or minor to switch between parallel major and minor keys, or click and hold on the root of the key: This opens a pop-up menu with the root notes of all available keys. Select the desired key by moving the mouse to the corresponding note in that pop-up menu.


Arrange Window Techniques

Arrange Window > Arrange Window Techniques

If necessary you should reread the section The Mouse, the section Selection Techniques, and the section Edit Operations.

These sections and the techniques covered in the section Sequences, will teach you how to perform most arrange operations.

This section only describes functions which

  • only have an effect on a particular part of the song, which you determine with the Locator positions, or
  • cause a reaction between objects and Locator positions.


Adding or Removing Passages

Arrange Window > Arrange Window Techniques > Adding or Removing Passages

The functions under Functions > Cut/Insert Time >... allow you to remove a passage from a complete arrangement. All bar changes, tempo changes and global score symbols are shifted accordingly. You can also insert a gap within your arrangement. As with cutting time, all tempo changes etc. are moved accordingly. You can also cut and paste a section of your song from one location to another.

You can change just a few selected objects as well. In this case, you have to tell Logic whether any bar changes, tempo changes and global score symbols should also be shifted. A dialog box appears, where you will be asked whether you also want to move Tempo Changes and Global Score Symbols.

Press Enter if you don't want to move the tempo changes and global score symbols too.

The above mentioned global editing is then done automatically, if all objects are selected. Otherwise, the functions are restricted to those tracks whose objects (at least those between the locator points) are selected.

Inserting a Gap across All Tracks

Functions > Cut/Insert Time > Insert Time and Move by Locators
The selected objects are cut at the left locator. All objects to the right of the left locator are moved to the right by the cycle length. This creates a gap between the locators. Objects which began at the left locator now begin at the right locator.

Removing a Section

Functions > Cut/Insert Time > Snip: Cut Time and Move by Locators. The selected objects are cut at the left and right locators. The objects created between the locators are deleted (i.e. copied to the clipboard and erased from the song, as with Cut) and all objects to the right of the right locator are moved to the left by the length of the cycle zone. All objects which began at the right locator now begin at the left locator, and the section between the locators is removed from the arrangement.

Inserting a Section

Functions > Cut/Insert Time > Splice: Insert snipped Part at Song Position. This function combines the existing functions "Insert Time and Move by Locators" and "Paste": All selected objects are cut at the left locator and a passage of a cycle length is inserted. Objects currently in the clipboard are then pasted to the song position (which has remained at the position of the left locator).

Practical Usages

"Snip"-removing an entire section of a song-e.g. a chorus.

"Splice"-inserting the part in another place in the song.To ensure all tracks are shifted, including tempo, time signature changes, and markers, please select everything beforehand (with ctrl A ).


Deleting Events Selectively

Arrange Window > Arrange Window Techniques > Deleting Events Selectively

There are several ways of deleting events from selected objects, directly in the Arrange window. One method is to select the Erase MIDI Events >... command from the Functions menu.

Erase MIDI Events > Inside Locators deletes all MIDI events from all selected objects between the locators.

Erase MIDI Events > Outside Locators deletes all MIDI events from all selected objects outside the locators.


Copying Events Selectively

Arrange Window > Arrange Window Techniques > Copying Events Selectively

Functions > Copy MIDI Events... is used to copy (or move) MIDI events within selected sequences. You define the area that you want to move or copy with the left and right locators. The current song position marks the destination position where you want the data to be inserted.

Left Locator & Right Locator

These define the area containing the source data (also called the source region).

Destination

This allows you to define the destination position independently of the song position.

Number of Copies

Defines the number of copies.

Create New Sequence

When set to on, a new sequence is created at the destination position containing the copied (or moved) events.

Mode

Defines the copy mode:
Copy... copies the selected section (the selected section remains in its original position).
Move... moves the selected section (the events are removed from their original position).
...Merge: The source data is mixed with the data already present at the destination position.
...Replace: The data already present at the destination position is deleted and replaced by the source data.
...Insert: All data already present at the destination position is moved to the right by the length of the source region.
Move Rotate: The source region is moved to the destination position. The data that was previously there and the data between the source region and the destination position are all moved towards the source. Thus the data is not altered or deleted, but rotated.

Select a sequence. Set the song position exactly to the start, the right locator exactly to the end of the sequence, and the left locator 1/4 note before the end of the sequence. Select Functions > Copy MIDI Events... and set the Mode to Move Rotate. Now, every time you press Enter, all events are moved a 1/4 note backwards, and the events in the last quarter are moved to the front.

Direct Swap: The source region is exchanged with a region of the same length, starting at the target position.

Track Automation Data

Track Automation Data can also be copied with this tool, provided no object containing MIDI data is selected.


Altering the Display

Arrange Window > Altering the Display

For information on the basic window functions, please refer to the section Window Functions.

If you want to know how to maximize the room available for the Arrange area, please refer to the section Relationships between Windows.


Display Options for the Track List

Arrange Window > Altering the Display > Display Options for the Track List

You can use the View menu to show or hide various parts of the track list:

Track Numbers/Level Meters

Allows you to show or hide the track numbers and level meters.

Mute Switch

Every track has its own Mute Switch. If the mute-switches are hidden, you can still mute any track by clicking to the left of the track number.

Record Audio Switch

Allows you to show/hide the record audio switches.

Track Protect Switch

Shows/hides the Track Protect Switch.

Track Instrument Channel

When switching this option on, an abbreviated Track Instrument label will be displayed. This is particularly useful when sharing songs over the Internet.

Instrument Icon

Selecting Instrument Icon shows/hides the track instrument icons.

- Shadow for Instrument Icon
Selecting Shadow for Instrument Icon shows/hides the shadows next to the instrument icons.

Instrument Name

Shows/hides the Instrument Name.

Track Name

Shows/hides the Track Name.


Instrument Name and Track Name

Arrange Window > Altering the Display > Instrument Name and Track Name

Hiding one of the names makes more horizontal space available. To distinguish them, the instrument name is always shown in bold type. One of the two names is always hidden.

Horizontal Layout

If both the instrument and track names are shown, the names are divided by a line. You can move this dividing line by grabbing the top of the marker with the mouse.

Instrument and Track Name stacked on each other

If you zoom in far enough vertically, you will be shown both names, one above the other: the instrument name (in bold) on top, then the track name below. This happens even if one of the names are hidden.

Sorting the Tracks

You can sort the tracks by grabbing the track number and moving it vertically. You can use the right edge of the name for sorting as well.
Here are the rest of the track list functions involving names:

Selecting a Track Instrument

You can assign an instrument to a track by click-holding the left half of the name or the icon.

Opening the Environment Window for an Instrument

You can open an Environment window with the relevant instrument highlighted, by double-clicking the instrument name.

Editing Instrument Names

You can edit the instrument/audio objects name by ctrl double-clicking directly in the track list. You can also use the Instrument Parameter box.

Editing Track Names

You can edit the track names by alt double-clicking directly into the track list-even if only the instrument name is shown there.


Object Display

Arrange Window > Altering the Display > Object Display

Contents Visible in the Object

If you vertically zoom the display further, you will be able to see the actual events contained within the objects.

Sequences show notes or controller events, folders show the objects they contain, and aliases show the name and position of their original.

The option View > Object Content allows you to see a display of the contents, at large enough zoom settings. If you uncheck this option, the contents will not be displayed, no matter what the zoom setting.

Object Colors

Newly recorded sequences initially adopt the color of the track instrument. You can change the color of an object via View > Object Colors, which opens a palette with various color to choose from. A double-click on a color field opens the system color palette, so that you edit the colors of the palette. The edits are stored in the Preferences file and are available for all songs.

After copying sequences between tracks, you could find the Arrange area will start to resemble a patchwork quilt. In this case, the function View > Instrument Colors To Objects replaces the colors of all selected objects with the colors of the instruments playing the objects concerned.

For instructions on how to define normal object colors, please refer to the section Arrange Window Techniques. The instrument colors may be set in the Environment.

The Options > Settings > Display > More colorful Arrange objects option allows you to decide how much color your Arrange objects are allowed to display.

Altering the Background of the Arrange

Use the function View > Show Grid to switch on/off a track/bar number grid in the arrange area's background.

Plain Background toggles the background between a plain backround and a high resolution pattern. You can choose both a backround colour for the plain backround and a high resolution pattern via Options > Settings... > Display Preferences....


Reset Functions

Arrange Window > Reset Functions

To switch off stuck notes, click on the MIDI monitor in the Transport window, or hit "STOP" twice in rapid succession. In both cases, reset messages are sent, as defined in Options > Settings > Reset Messages.

For Hanging Notes - Panic Function

If the notes continue to sound, then your sound sources may not be able to respond to "All Notes Off" messages. If this happens, try the following:

Double-click on the MIDI Monitor in the Transport window (or use the key command Send discrete Note Offs). Separate Note Off messages will now be sent for every note, on all channels of every MIDI port.

This should do the trick.

Unwanted Modulation - Controller Reset

Options > Send to MIDI > Reset Controllers transmits a control change message #121 with the value 0 (reset all controllers) on all MIDI channels and outputs used by defined instruments. This neutralizes all MIDI controllers like modulation or pitch wheels.

If Some Sounds Are Suddenly Too Quiet - Volume Reset

The function Options > Send to MIDI > Maximum Volume transmits a control change message #7 (main volume) with a value of 127 on all MIDI channels and outputs used by defined instruments. This sets all channels to their maximum volume, giving your sound sources the optimum signal/noise ratio.

If You Suddenly Hear the Wrong Sounds - Send Instrument Settings

The function Options > Send to MIDI > Used Instrument MIDI Settings sends all the Prg, Vol and Pan settings from all the instrument parameter boxes used by all the instruments in the current song. This could help to reset your sound sources for the current song, if your synths suddenly change patches mid-performance.

You can set this function to operate automatically after loading any song by turning on the Send Used MIDI Instrument Settings after loading option, on the page.


Creating Regions

Audio in the Arrange Window > Regions > Creating Regions

Sequences are containers for the MIDI events within them. Containers for Audio data are referred to as Regions. Regions can be compared to sequences as far as how they are used and edited. When you record audio in real time, Logic not only creates an audio file on the hard disk, but also automatically creates regions, which represent the recorded audio file. Regions can be seen both in the Arrange window (on tracks), and in the Audio window (the list of all audio files and regions used).

Drag an Drop into the Arrange Window

You can import existing audio files into a song by dragging them directly into the Arrange Window. A region encompassing the entire file will be automatically created.

To play back a region at a specified point in a song, you have to place the region in the Arrange window first.

Drag regions only onto audio tracks. For more information about this, see the section Creating Audio Tracks.

Inserting Audio Files using the Pencil tool

Audio files can be inserted by Shift -clicking on audio tracks with the Pencil tool at the desired position. A file selector appears, that lets you select the file you wish to insert. The length of new regions inserted in this way defaults to the complete file length, which can be freely edited later.

Dividing Regions

When you divide a region using the Scissors tool, you create two new regions. The newly created segments of the region will have the same name as the original, with a sequential number appended to the end of the name.

Strip Silence

Audio > Strip Silence allows you to slice a recording into different regions according to their amplitude level.

Scrubbing

You can scrub playback of a region to accurately select a division point, by using the Scissors tool and holding down the mouse button. This is only available with audio systems that support scrubbing. When using this feature, the Scissors tool works like a virtual playback head, which moves over the "virtual tape" (the region). If you release the mouse button, the region will be divided at the current position of the Scissors tool.

Resolution

When you are selecting a cut point with the Scissors tool, you can move it backwards and forwards in steps of one division. If you need a finer resolution, press alt after you have selected the sequence with the Scissors. To obtain the maximum resolution (ticks) press Shift, as well.

On Zero Crossings

If Edit > Search Zero Crossings is switched on in the Audio window, the division-point is moved to the nearest point where the waveform crosses the zero amplitude axis. When enabled, this also applies to all other methods of altering the start or end-point of a region in the Arrange window.

Remember that this can cause the precise start-point and length of an region to differ slightly from the selected value. In most cases, this will be inaudible.


Erasing Regions

Audio in the Arrange Window > Regions > Erasing Regions

Regions can be erased either by selecting them and pressing Backspace, or by clicking on them with the Eraser tool.

Erasing recordings

When you erase a region that you have just recorded (since opening the song), Logic will ask if you also want to erase the corresponding Audio File. This is a good way to avoid using up unnecessary space on the hard drive by storing bad takes and unwanted recordings.

If the recording was made before the song was loaded for the current session, this dialog box will not appear. This prevents you from accidentally deleting valuable recordings. Pressing Backspace will only remove the region from the Arrange area. If you want to delete the corresponding Audio Files from the hard disk, you can do so by selecting Audio File > Delete File(s) in the Audio window.


Copying Regions

Audio in the Arrange Window > Regions > Copying Regions

Creating New Regions

Copies of regions are made exactly the same way as MIDI sequences-by dragging them while holding down the ctrl key. This automatically creates a new region in the Audio window. The new region will retain the same name as the old one, but with a sequential number added to the name.

This allows you to alter the start and end-points of the copied region independently of the original. It is comparable to a genuine copy of a MIDI sequence, which is created in the same way.

Using an Existing Region More than Once (Alias)

You can also create another version of the same region in the Arrange window-a cloned Region, if you will. To do this, hold down the ctrl and Shift keys as you are copying. This is comparable to an Alias of a MIDI sequence, which is created in the same way.

Now whenever you adjust the start or end-points of any one of these regions, all the other regions which were cloned from the same region will be adjusted as well.

Making Cloned Regions Independent

To make several regions which are all cloned from the same region independent of each other again, select Functions > Alias > Turn to real Copy in the Arrange window. This converts all selected clones in the Arrange window into individual regions.

Converting several Regions into Audio Files

In the Arrange window, you also have the option of saving all selected regions in the Arrange window as independent audio files: Audio > Convert Regions to individual Audio Files. The audio files are created in the same folder as your original file. The files are added to the Audio window as well, and the references of the regions in the Arrange window are changed to the newly created files. Logic Platinum creates the files according to the file type of the original.

Making Multiple Copies of Regions

You can make multiple copies of both audio regions and MIDI sequences with. Functions > Object > Repeat Objects... This function always creates clones of the same region (the regions are not independent). This function is described in more detail in the section Making Multiple copies of Sequences.

Another way to make regions repeat is to use the Loop parameter in the Region Parameter box (see the section Loop).

The command Functions > Sequence Instrument Parameters > Turn Loops to Real Copies will change loops of selected regions into audio regions. The arrange objects which are created, however, represent the same region. Thus any alterations in the length of the region or audio material effects all of the objects (as with cloned regions).


Moving Regions

Audio in the Arrange Window > Regions > Moving Regions

You can grab regions in the Arrange window with the mouse, and move them around, just like MIDI sequences. Dragging will snap to increments of one beat (e.g. quarter notes-see below).

If you hold down alt while moving sequences, you can move them in steps of one division (in sixteenths, for example).

If you hold down alt and Shift while moving sequences, you can move them by single ticks (maximum resolution).

You can also use the Delay parameter in the Region parameter box to shift the playback position of regions (see the section Delay).

Fine-tuning

In practice, a resolution of "1 tick" will usually be fine enough.
To move a region by a finer resolution than ticks, i.e. by a resolution of 1 sample word, please use the Anchor in the Audio window or Sample Edit window.

Don't forget that all cloned regions in the Arrange window will be affected as well.

Moving Regions in the Event List

You can also move regions by adjusting their positions in the Event List. Select the region you wish to edit, and select Window > Open Event List, or press ctrl 2. You can then move sequences by units of a single tick if you wish, by changing the value in the Position column.

The position of regions can also be displayed in the Event List as SMPTE values. To do this, select View > Position & Length in SMPTE units from the menu.

If you're synchronizing music to picture, you can then type in the required SMPTE positions for particular events. A simpler and more convenient method in the Event List is the key command called Pickup Clock. This automatically places the Anchor of the selected region at the current song position (i.e. the point in the film you're locked up to when in Sync mode).

You can also display the end point of a region as a SMPTE time. To do this, select View > Length as absolute Position in the Event List.

Moving Sequences Back to Record Position

You can move any region selected in the Arrange window back to the time position at which it was originally recorded, by selecting Functions > Region(s) to Original Record Position.
This function only works if the corresponding audio file was recorded in the current song. Imported audio files which were brought in using Add Audio File... have no original record position.

This command is also available as a key command: Set Region(s) to original Recording Position.

Inserting at the record position

You can also copy (default: ctrl C ) or cut ( ctrl X) a region to the clipboard, and then use Edit > Paste at Original Position to insert it into the selected track, at the original record position.


Changing Start and End Points

Audio in the Arrange Window > Regions > Changing Start and End Points

You can shorten or lengthen any region by grabbing it by its lower right hand corner with the mouse and dragging it - if you have the track based automation being displayed grab the corners above the automation layer. You cannot make a region longer than its original audio file. This means that all the other regions derived from that region will be lengthened by the same amount (cloned regions-see here).

Of course, the same goes for any changes you make to the start point of a region. Such a change can be made by grabbing the lower left edge of the region with the mouse and dragging.

You can edit a region's start and end points much more accurately with the Sample Editor, which can be opened by double-clicking on the region. Simply slide the "S"and "E" markers to change the Start and End points of the region. While moving the start point, use the ctrl -key, to make sure that the Anchor, and therefore the timing relative to the rest of the arrangement, remains unchanged. Keep in mind that the Anchor must be inside the region.

If you wish to move the start point to the right, first move it to the approximate desired position while in the Arrange window. Then, open the sample editor, and use the ctrl -key to move the start point to the exact position.

Adjusting the Grid to Zero Crossings

If Edit > Search Zero Crossings is switched on in the Audio window, every time you alter the start or end point of a region in the Arrange window, the adjustment will snap to the nearest zero crossing of the waveform. The Anchor is not affected.

The disadvantage of this option is that after you have altered the start or end points they will never be exactly on the selected musical grid, but will always be a few ticks out. Normally this will not matter, because the Anchor reference point is not affected. However, if this causes problems in special situations, you can switch off the Search Zero Crossings option. The primary reason to have zero crossings enabled, is that it prevents clicks and pops at region start and end points.


Region Parameter Box

Audio in the Arrange Window > Regions > Region Parameter Box

Name

Just as with MIDI sequences, the top line of the Sequence Parameter box displays, and allows you to edit, the name of the region. You can name several selected regions at once; the regions are then given the same name, with sequential numbers added to the end of the name. Logic inserts these numbers automatically, unless you deliberately leave a space at the end of the name.

When you change the name of a region, the corresponding region is also renamed in the Audio window.

Loop

As with MIDI sequences, you can use the loop parameter to set a region to loop automatically. The loop repeats until it reaches the next region on that track, the end of the song, or the end of the folder containing the region.

Don't forget that these loops are based on the sample grid of the region. This means that even if the song tempo matches precisely, after a while the loop repeats may start to go out of sync. You can avoid this by setting the end point of the region to an exact measure boundary. In these cases, it may be better to use the Repeat Objects function (section Making Multiple Copies of Sequences).

Delay

Just as with MIDI sequences, you can advance or delay the playback of regions, the smallest available units being ticks.


The Region Anchor

Audio in the Arrange Window > Regions > The Region Anchor

The Anchor is a region's temporal reference point. When you move a region, it's not the start point that is displayed in the Info Line (as with MIDI sequences)-it's the Anchor point.

For example, to guarantee perfect sync between a one-bar drum loop and your MIDI sequences, the Anchor must be assigned to a well-defined musical point. If the loop begins with a significant level peak (say a kick drum beat), set the Anchor to the point where the volume of that beat is at its precise peak.

The changes made to the position of the Anchor in the Audio window directly affect the region in the Arrange window. The position of the audio shifts relative to the sequencer's time axis, while the Anchor remains tied to the same bar value, and is marked by a dotted line.


MIDI Sequences and Regions compared

Audio in the Arrange Window > Regions > MIDI Sequences and Regions compared

The following overview sums up the main differences between audio regions and MIDI sequences. There are some notes at the bottom of the table to clarify the most important points.

Composed of discrete data

- MIDI Sequences : Yes
- Audio Regions : No, because regions are just references to parts of audio files

Can be given names

- MIDI : Yes
- Audio : Yes

Sequence parameter "Loop" available

- MIDI : Yes
- Audio : Yes

Sequence parameter "Quantize" available

- MIDI : Yes
- Audio : No, but the position of regions themselves can be quantized, using the Event List display on the Arrange level. You can use the Quantize Engine to quantize audio files destructively.

Sequence parameter "Transpose" available

- MIDI : Yes
- Audio : No. You can use the Time Machine to transpose audio files destructively.

Sequence parameter "Velocity" available

- MIDI : Yes
- Audio : No

Sequence parameter "Dynamics" available

- MIDI : Yes
- Audio : No

Sequence parameter "Gate Time" available

- MIDI : Yes
- Audio : No

Sequence parameter "Delay" available

- MIDI : Yes
- Audio : Yes

Freely positionable

- MIDI : Yes
- Audio : Yes

Left or Right Corner Edit

- MIDI : Yes
- Audio : Yes, and this affects the audio region, but not the position of the audio waveforms relative to the time axis of the sequencer

Can be cut with the Scissors tool

- MIDI : Yes
- Audio : Yes, creates new regions

Can have alias objects made from them

- MIDI : Yes
- Audio : Yes, regions are already alias objects

Left corner may be dragged to conceal data at the beginning

- MIDI : No
- Audio : Yes

Have a variable musical reference point

- MIDI : No
- Audio : Yes, a variable Anchor. This affects all the regions derived from one region and can change the position of the audio signals relative to the time axis of the sequencer

Can be turned off with the Mute function

- MIDI : Yes
- Audio : Yes

Can be grouped into folders

- MIDI : Yes
- Audio : Yes

Can be soloed

- MIDI : Yes
- Audio : Yes

Naturally, some of the parameters that can be applied to MIDI events have no effect on audio signals. Equivelent operations for most of these are available as destructive edit operations in the Sample Edit window.

Only regions have the flexible reference point provided by the Anchor.

The fundamental functions (such as the freely determinable position and length, the ability to create complex arrangements with the aid of folders, and the ability to name, mute, and solo) are generally available to all types of objects (MIDI sequences, regions, folders and Alias objects).


Audio Recording

Audio in the Arrange Window > Audio Recording

For details on preparing to make an audio recording, please refer to the relevant sections in the Audio Driver chapter.


Creating Audio Tracks

Audio in the Arrange Window > Audio Recording > Creating Audio Tracks

To create an audio track, you must first assign an audio object as a track instrument. Click on a track name in the Arrange window, while holding down the mouse button. This opens the hierachical Instrument list flip menu, where you may select an audio object via Audio > Audio Track > Audio X.. To help things along, audio objects "Audio 1" to "Audio X" are preset for the HDR hardware.

If you want to make adjustments to the audio objects, you can do it directly from the Arrange window. The Instrument Parameter box is located under the toolbox.


Arming Tracks

Audio in the Arrange Window > Audio Recording > Arming Tracks

1st Method:

  • Click the switch with the "R" in the track list. To show/hide these switches, select View > Record Audio Switch.
If you have checked View > Record Audio Switch but the switch is still not visible, you should switch on the driver for the relevant audio hardware in the Audio > Audio Hardware & Drivers window.

2nd Method:

  • Open the Environment Layer containing your audio objects, (for example from the main window by selecting Audio > Audio Mixer).
  • Click on the REC button of all the audio objects whose tracks you wish to record to.

Click the audio object once more to disarm the track again.

3rd Method:

  • You can arm the currently selected track with the Key Command Record Enable Track. This command toggles between armed/unarmed modes on the selected track in the Arrange window.

You can only make audio recordings on tracks that have been armed, no matter what track is highlighted in the Arrange window.

  • If you select a MIDI track, you'll record MIDI events.
  • If you select an audio track, you'll record on all the tracks that have been armed (record enabled).
  • Space is reserved on the hard disk for armed tracks, and is no longer available for Undo files. For this reason Logic will automatically disarm audio tracks if editing in the Sample Editor, if the hard disk is nearly full.
  • You can record simultaneously on multiple MIDI tracks (see Multiple Track Recording) and several audio tracks together, by clicking the MIDI tracks and the audio tracks you're going to record to by simply clicking on the "R" button. Shift clicking arms additional audio tracks after selecting a MIDI track for recording.

If several Arrange window tracks are assigned to the same audio instrument (e.g. "Audio 1"), then the new audio file (or region) will be recorded to the selected track.

"Disarming" all tracks

If several tracks are record-enabled, you can instantly disable them all at once by clicking one of the flashing REC buttons, while holding down the ctrl key.


Standard Recording with Count-in

Audio in the Arrange Window > Audio Recording > Standard Recording with Count-in

You can start recording at any point you like in a song, by setting the Song Position Line to the desired place. If the audio tracks you want to record to are correctly set, and the necessary input signals are connected and properly adjusted, just hit the record switch on the Transport , or press "*".

A "count-in" will sound. Signals will be recorded during this time. Depending on the number of tracks required, Logic will pause for a short interval between the time you press the record button, and the start of recording.

During recording, the Recording float window opens. This displays the remaining recording time.
Logic will automatically create a region in the Arrange window after recording, and will create an overview of the audio file. This is a graphic file that is used to display the waveform in the Arrange window. You can listen back to the new recording in the Arrange window as the overview is created.

Record and Pause Mode

If Logic is in pause mode, you can start audio recording by clicking "Record Toggle","Pause" or "Play". Recording then begins at the current song position.


Punch-in Recording

Audio in the Arrange Window > Audio Recording > Punch-in Recording

You can actually engage recording mode in the midst of playback-"on the fly". To do this, start playback and press Shift * (preset key command for Record Toggle) at the point where you want to start recording. Audio recording will start immediately. Recording can be stopped at any time, by pressing STOP in the usual way, or by pressing Shift * again. If you use this second option, recording ceases, but the sequencer will continue to play.

Punch on the Fly

If you click-hold the Record button in the Transport window the Record menu opens, where you can switch on "Punch on the Fly". This can also be switched on from the Audio menu.

Punch or drop recording is when you "punch in" to a previously recorded passage while the tape is running, in order to fix a mistake in an otherwise good recording, and then "punch out" of the recording again, once the mistake has been corrected.

On hard disk recorders this function is technically difficult, due to the unavoidable delay in switching between reading and writing (creating a file etc....). In practice, recording takes place from the moment you start. Afterwards, Logic then adds the result of this automatic background recording to the exact place where you wanted the recording to occur.

A free track therefore has to be available for this purpose. A track is "free" if there are no regions (or only muted regions) on it within the area that playback is started and ended.

If you attempt a "Punch on the Fly" recording and Logic produces an error message, just temporarily mute some non-critical audio tracks. After the recording is complete, you can unmute them.


Pre-programmed Drop-Record

Audio in the Arrange Window > Audio Recording > Pre-programmed Drop-Record

Logic's autodrop function can be used on audio tracks, just as it can with MIDI sequences. Autodrop is enabled by clicking on the autodrop switch on the Transport window. Here is a step by step breakdown of the procedure:

  • The autodrop switch must be turned on.
  • You can set the autodrop locators numerically in the Transport window.
  • The autodrop recording zone is marked by a thick bar in the middle third of the bar ruler.
  • Recording only takes place within the autodrop zone you have set up, with the exception of a short "lead-in" just before recording is due to start.
  • The autodrop zone start and end points can be set either from the Bar Ruler, or by using the locators in the Transport bar. Please note that if the Cycle function is switched on, you can set the Autodrop Locators in the window to the right of the Cycle Locators (under tempo).
  • Start the recording. Logic will begin recording about one bar before the drop-in locator. Afterwards, a region will be created that corresponds exactly to the length of the autodrop zone. This method allows the start of the region to be adjusted later, so that the lead-in becomes audible. This way, if the performance anticipates the autodrop zone slightly, the beginning can be easily recovered. Doing this does not change the position of the recording relative to the time axis.

A tip: if you wish, you can even define a small autodrop zone within a larger Cycle Zone (see below). This can be handy if a player needs to re-record a difficult passage in the middle of a song, and requires many attempts to get it right.


Audio Cycle Recording

Audio in the Arrange Window > Audio Recording > Audio Cycle Recording

You can make audio recordings even when "Cycle" is switched on. A new track is created for every cycle. All the tracks created are still played by the same audio object. This prevents the tracks from being played simultaneously.

If you stop recording just after the end of a full cycle, no region is created for the cycle which has just begun. However, the audio material is not lost, but is recorded after the last region in the audio file.
The whole recording (during all cycles) is stored as a single audio file. This audio file is split into regions, which are as long as the length of the cycle. The region for the previous cycle is automatically muted at the beginning of the next cycle.

Audio cycle recording also works when you are simultaneously recording two channels (e.g. stereo tracks in split stereo mode).


After recording, please note ...

Audio in the Arrange Window > Audio Recording > After recording, please note ...

After you've made your first audio recording in a song, you should not make any further adjustments to the tempo of that song. Decide on a tempo, and any changes in tempo well before the first audio recording, and stick to it. Audio recordings have a fixed playback rate, and can only be matched to new tempos if you're prepared to go through a great deal of hassle.

The time compression/expansion algorithms currently available only permit you to match audio to new tempos when the tempo differences involved are relatively small; if you try and use them to significantly change the tempo of your audio recording, its quality may be significantly compromised.

If you've made your audio recordings in real time, playing them in over the top of say, an existing MIDI arrangement, it is not particularly recommended that you move the Anchor of any of your regions. You can make slight adjustments to the timing of your regions using the "Delay" object parameter.


Auto Input Monitoring

Audio in the Arrange Window > Audio Recording > Auto Input Monitoring

Input monitoring allows you to determine what signal you listen to on record-enabled tracks. If Auto Input Monitoring is switched on, you only hear the input signal during the actual recording-before and afterwards you hear the previously recorded audio on the track, while the sequencer is running. This helps you judge drop-in and drop-out points for punch recording. If Auto Input Monitoring is switched off, you will always hear the input signal. With Auto Inputv Monitoring switched on, you will also hear the input source when the sequencer is stopped. This allows you to set levels easily.

There is no Monitoring at all if the parameter Software Monitoring is not checked under Audio > Audio Hardware & Drivers for the driver you use.

Since input monitoring always involves a little latency, in certain configurations it is recommended that you not use Logic's monitoring at all, to get the best monitor timing possible. Route the signal to be recorded directly to the headphones or monitoring amplifier. You do not risk unknowingly overdriving your A/D converters, since the input level meters will still work, and Logic Platinum warns you in a dialog as soon as overload occurs. The latency depends on the hardware, and the driver settings.

Switching Auto Input Monitoring on/off

If you click-hold the Record button (Transport window) the Record menu opens. This is where you can toggle Auto Input monitoring. You can also use the key command Toggle Auto Input Monitoring, or enable it from the Audio menu.

Possible Problems with Input Monitoring

Typical problems that can arise with record-enabled tracks:

  • Singers cannot hear themselves while Logic is running. All they can hear is the old recording.
  • - Switch off Auto Input Monitoring.
  • The track cannot be heard, even though Logic is not yet recording.
  • - Switch on Auto Input Monitoring.

Depending on the situation, both options can be useful. Normally Auto Input Monitoring is switched on, and is only switched off in special situations.

Whenever you are doing punch recording (e.g. Punch on the Fly), you should switch on Auto Input Monitoring.


Stereo Recordings

Audio in the Arrange Window > Audio Recording > Stereo Recordings

For information on how to create stereo recordings, please read the appropriate sections in the chapter Mixers, Effects and Audio Objects, such as the section Stereo Objects and Channel Strips and the section Faders and Level Adjustment.

Stereo recordings will normally be saved as Interleaved Stereo files. The names of regions made from Interleaved Stereo files appearing in the Arrange window will be appended with a stereo symbol consisting of two overlapping circles (left example below).

Split Stereo Region names will be appended with a stereo symbol consisting of two adjoining circles (right example above).

You can freely mix both formats, even on the same track. However, if your audio hardware supports the Interleaved Stereo format (e.g. Audiowerk8, AV/MME, ASIO, and others), we recommend that you use it.

While Split Stereo files use approximately 200% hard disk i/o performance compared to Mono files, Interleaved Stereo files need only 150%.

Under Audio > Audio Preferences, you can check Record & Convert into Split Audio Files (force Logic to create Split Stereo files), for example, to be compatible with SoundScape systems.


Automatic Tempo Matching

Audio in the Arrange Window > Functions > Automatic Tempo Matching

Logic offers an automatic function for matching the length of a passage of free-form music with the length of an audio region. The length of the region remains constant here, but the sequencer tempo is varied automatically, so that the region and the musical passage end up exactly the same length.

To show how to make use of this function, we can take a one-bar drum loop as an example:

Imagine you've recorded a drum loop live, or from a sampling CD. Using the Audio window and the sample editor, you've adjusted the start and end points of the audio region so that the loop cycles perfectly, without any glitches.

Now you drag the drum loop into the Arrange window, where it appears as a region. Make sure that you place the beginning of the region at the start of a bar.

Construct a cycle in the Arrange window bar ruler whose length matches the intended musical length of the region. The drum loop is one bar long, so you should pick a cycle length of one bar, to match.

In the bar ruler you set the cycle to the desired musical length . The current length of the region is shown; this will be different than the cycle until you use the "Adjust Tempo..." function...

Select Options > Tempo > Adjust Tempo using Object Length & Locators. The default Key Command is "T".

The tempo is reset so that the region is now exactly one bar long, and fits the length of the cycle. This does not change the tempo of the audio, but rather makes the song tempo conform to the audio.


Audio and MIDI Scrubbing

Audio in the Arrange Window > Functions > Audio and MIDI Scrubbing

You can scrub audio and MIDI in the Arrange window simultaneously.

Attention DAE users: Please note that due to restrictions in DAE, scrubbing is only possible with one stereo, or two mono tracks. Future versions of DAE may not be subject to these restrictions.

If your Song contains regions running on more than two neighboring tracks (e.g. on 1-2-3 & 4), select just (for instance) the ones on tracks 2 and 4, so that you can scrub them.

Before scrubbing can be carried out, you have to enable > Scrubbing with Audio in Arrange.

Let's get Scrubbing!

  • Hit Pause on the Transport window.
  • Grab the Song Position Line with the mouse and move it back and forth through the parts of the Song you want to hear played back. Note how audio and MIDI data are played back in perfect sync when scrubbing.
  • You can scrub at any zoom resolution-so set up a magnification that you're comfortable with, for the section of the song you're scrubbing through.
  • If your HDR hardware permits, scrubbing can also be activated when you are dividing regions with the scissors in the Arrange window.


Digital Mixdown

Audio in the Arrange Window > Functions > Digital Mixdown

Using Logic, you can mix down audio data in the digital domain from within the Arrange window. This is done with the glue tool. This function is non-destructive, as Logic always creates a new file for the mixed-down material. This new audio file is stored on your hard drive.

To carry out a mixdown, select the Glue tool from the Toolbox and use it to select the required regions for mixdown (if necessary using the Shift key as well).

No Mixdown Situation

  • If there are several regions (mono or stereo) in a row on the Same track, which have been cut out of one region using the scissors tool, i.e. which originate in this order from the same audio file, no mixdown is carried out. Instead, a single region is simply created over the entire area. This gives the desired result, without using up any additional disk space.
  • Logic can recognize associated regions even if there are gaps between the regions. The determining factor is that the relative position of the regions in the Arrangement corresponds to the relative position of the regions in the audio file.
  • No mixdown is carried out, if you try to mix two regions whose tracks are panned to opposite sides in the Arrange window.
  • The two resulting mixdown files would be identical to the original audio files in the used areas of the regions. If you don't need the unused areas of the audio files, select "Optimize Files".

"Mixdown" of Regions in a Track

If several regions that overlap each other are selected from one track, the program does not mix them down. Instead, you are asked to create a new audio file, which is named after the first region. The selected regions are then mixed together without any changes to volume, and without clip scanning.
If there are empty sections between two regions, these are added into the new audio file as silent passages.

Genuine Mixdown with Clipscan

If you combine audio data from two or more tracks, the current values for pan and volume found in the Environment for the individual tracks will define the pan and volume settings in the new audio files. If you combine both sides of a stereo audio file, first set the pan controls of the component mono sides to hard left and hard right, respectively.

You can carry out a mixdown while the sequencer is playing.

After the digital clipping scan (Clipscan) is over, and the mixdown is complete, Logic replaces the previously selected regions with one region which contains the new, mixed-down audio file in it's entirety. If you wish, you can use the undo function to restore the original audio regions. If you do this, you will then be asked if you wish to keep the newly created mixed audio file, or delete it. If you decide to keep it, it will remain in the audio window, and can be further processed there.

During a mixdown, the Clipscan function uses 32-Bit resolution to ensure that the highest possible level is maintained, without clipping.


Audio Crossfades in Digital Mixdown

Audio in the Arrange Window > Functions > Audio Crossfades in Digital Mixdown

The Digital Mixdown function (Glue tool, menu or key command) in the Arrange window supports audio crossfades of selected regions.

The parameters are defined in the Audio Crossfades dialog window, which can be opened either via a key command or by selecting: Audio > Default Audio Crossfade Options.

The key command for opening the dialog window can also be used to close it.

The parameters apply globally, and are stored in the Preferences file.

There are two parameters:

Time [ms]:
This is the length of the entire crossfade. To switch off the crossfade, set this value to zero.

Curve:
To obtain a linear crossfade, set this value to zero. Other values (positive or negative), produce various exponential fades. The fade-outs and fade-ins are always symmetrical, to avoid deviations in level.
The preset values are: Time = 20ms, Curve = 0 (linear).

The graph shows the actual shape of the crossfade; the original algorithms are also used to calculate the curve display. Values over about 250 ms are scaled in the graph, to ensure that the entire crossfade is visible.


Non-destructive Fades

Audio in the Arrange Window > Functions > Non-destructive Fades

Fade In, Fade Out and Crossfades can be done with the Fade tool [image], or with the related parameters. The parameters for Fade In, Fade Out/X times and their curves can be found in the region's parameter box. You can adjust these parameters in all selected regions simultaneously.

These fade parameters are non-destructive (will not change the original audio file), as opposed to the fade functions in the Sample Editor, or with the Glue tool.

Technical Discussion

A background fade file exists for each song, that contains all the fade areas. You will not normally need to access this file. This file is located in the same folder as the original region, and named after the song, with the extension "-f16m"for 16 bit recordings, or "-f24m with 24 bit recordings".

This background file is created the moment you start playback, after setting the first crossfade for the song. If you are using many fades on multiple regions, this could take several seconds. During the creation of the fade file, you can see this window.

This method of creating fades is non-destructive, because you can change the fade parameters at any time, without changing the original files. The background file will be updated and optimized automatically, whenever you save the song.

The fade file will also be updated after destructive changes applied to the original regions in the Sample Editor.

Information about Regions and their Fade file

With File > Delete Fade File(s) in the Audio window, you can delete the fade file. No information will be lost by doing this, because Logic automatically creates a new fade file the next time playback is started, based on the regions' fade parameters. With Edit > Info, Logic displays information about the number and sizes of fade files.

If the song uses audio files from a number of different folders or drives, Logic creates a corresponding number of fade files at these locations.

Enter Fades using Mouse and Fade Tool


Enter Fades using Mouse and Fade Tool

Audio in the Arrange Window > Functions > Enter Fades using Mouse and Fade Tool

As you'd perhaps expect, a fade in starts at the beginning, and a fade out occurs at the end of a region. The length of the fades can be adjusted in the Region Parameter box, but it's simpler to use the Fade tool to select the section inside the region where the fade is to take place.

The fades are only visible if you are zoomed in closely enough to see the waveform in the region.

  • While using the Fade tool in conjunction with Shift , you can edit existing fade times. In this instance the curve will not be affected.
  • You can delete a fade by using the Fade tool, in conjunction with ctrl .

Fade curve shapes (Curve)

  • You can adjust the curve shape by using the Fade tool in conjunction withalt .
  • You can also use the Curve parameter in the Region Parameter box.
In the example below, Curve has a positive value for both fade in and fade out.

In the example below, Curve has a negative value for fade in and a zero value for fade out.

Crossfades

If you select Fade X instead of Fade Out, the selected region will be crossfaded with the following region. The parameter Fade In and corresponding Curve are then irrelevant.

- Crossfading with the Fade tool
Use the Fade tool to mark the crossfade area of two adjacent regions. This works, even if the two sections are not, as in the example below, adjoining.


Overview

Audio in the Arrange Window > The Wave Player > Overview

The Wave Player is an object in the Click & Ports layer of your Environment. There is always one Wave Player object. You can not create additional Wave Player objects.

The Wave Player allows you to trigger sound files in the WAV format-i.e. files with the extension *.wav-with MIDI note events in the Arrange window. It can be viewed as a software sample player for WAV files: WAV sound files or parts thereof can be assigned to MIDI notes. Their playback can then be triggered by these notes, either out of recorded sequences, or directly from a MIDI keyboard. It is also possible to set a transposition value for each file assignment.

In order to use the Wave Player, you need a Windows Direct Sound compatible sound card.

Before you use the Wave Player, please make sure that the sound card and driver have been correctly installed, and are working properly. The Direct Sound driver of that sound card has to be selected in the "Wave Player" section of the Audio > Audio Hardware & Drivers dialog window.

If you want to use the same sound card for Logic's audio recording and playback functions, and for the Wave Player, you have to select the Direct Sound driver for that card in the PC/AV section of the audio drivers dialog window.

You can play any standard WAV files which are supported by your sound card. These should be stored on your computer's hard disk, or on a CD-ROM.

It is not possible to play sounds from an audio CD.

Functions

The Wave Player allows you to assign up to 128 sound files to individual MIDI notes. You can then play the whole sound file, or just a section of it. These assignments are made in the Wave Player window, where you can also monitor the sound files. The assigned note will trigger the sound file either from a recorded sequence on the Wave Player track, or from a MIDI keyboard, if the track with the WavePlayer object is selected in the Arrange window.

The Wave Player offers the following functions:

  • Support of mono & stereo WAV files of any length. (The sound files are being read directly from the hard drive or CD-ROM, so there is no memory limit.)
  • Support of 8 bit and 16 bit files at all standard sample rates. Basically, the bit depth and sample rate determine the sound quality of a sound file. A 16 bit file with a sample rate of 44.1 kHz is generally referred to as "CD quality".
  • The Wave files can be called up in real-time, even from your MIDI Keyboard.
  • The Wave Player is velocity sensitive: the volume is determined by how hard you strike the key, or how high the velocity is for the MIDI note event used to trigger the file.
  • The pitch of the Wave files can be shifted. This also varies the speed and length of playback, as if you had varied the speed of a tape machine.
  • You can choose to play a certain section of a sound file. You can also assign different sections of a sound file to different MIDI notes.
  • The maximum number of sound files which can be played back simultaneously depends mainly on the speed of your computer and hard disk. Theoretically the limit is 128. However, currently available computers won't be able to get close to that limit... In general, CD-ROM drives are slower than hard disk drives. Therefore, it is better to use a hard disk, rather than a CD-ROM drive for files to be triggered by the Wave Player, especially for simultaneous playback of several WAV files.
  • The Wave Player responds to the MIDI controllers for volume and pan. You can control the volume and position of the sound in the stereo image using these controller events.


The Wave Player Window

Audio in the Arrange Window > The Wave Player > The Wave Player Window

To open the Wave Player window, double-click the Wave Player object in the Environment Layer Click & Ports, or select the menu item Audio > Wave Player.

The Wave Player window has two local menu items: "Initialize" and "View". These have the following functions:

Initialize

- Default Parameters
sets the settings for all sound files to the default values.
- Delete all assignments
removes all sound files from the Wave Player window. Don't worry, the sound files won't be deleted from your hard disk.

View

In this menu, you can determine which parameters are visible in the Wave Player window. You can independently hide or show the waveform display, the editable parameters, the sound file information, and the keyboard.

As with the other windows, you can adjust the zoom setting with the zoom symbols in the lower right corner of the window.

Deleting WAV Files

You can remove sound files from the Wave Player window. Click the file name with the right mouse button. A dialog appears where you can either confirm the deletion, or cancel it. This function does not delete the file from the hard disk; it just deletes any reference within the Wave Player to this file.


The Wave Player Parameters

Audio in the Arrange Window > The Wave Player > The Wave Player Parameters

To help you understand the individual parameters and information in the Wave Player window, you should now load a sound file. If you don't have any sound files on your computer at present, look in your Windows folder, you can load one of the System sounds supplied with Windows.

Loading a sound file

  • Click with the left mouse button on the empty field, or on the name of an existing item, to replace this file with another one.
  • A file selection box will appear, where you can select a sound file. All files with the .wav file extension will automatically be shown.
  • After you have selected a file, its name will be shown in the field. The other parameters will be shown to the right.
  • Now if you press the corresponding key on the window's keyboard, you will be able to monitor the sound file.

If you have switched on the display of all the parameters in the "View" menu, you see the following fields from left to right:

Tune

In this field you can alter the playback pitch of the sound. The pitch can be adjusted in increments of cents; the musical scale divides each semitone into 100 cents. Thus, a diminished second is 100 cents, a third is 400 cents, a fifth is 700 cents, and an octave 1200 cents. This fine division allows you to precisely tune a sound file within your arrangement. Please note the following:

When you change the tuning, you also change the time it takes to play the sound file: if you tune the sound up, it will be played more quickly, and if you tune it down, it will be played more slowly.

Transposition is achieved by altering the sample rate for playback. Depending on the performance of your sound card (especially sound files with a sample rate of 44.1 kHz), the transposition upwards can be limited, since some sound cards cannot play much higher than 44.1 kHz. In addition, not all sound cards support all sample rates. Thus you may not be able to achieve the desired transposition. In this case, the closest possible sample rate will be played instead.

Start

The Wave Player also allows you to select a section of a sound file. This field is where you define the start point. With a value of 0 the sound file will be played from the beginning. The numbers indicate the distance of start-point from the actual start of the audio file, in samples. You can alter the value by clicking and moving the mouse, or by double-clicking the field and typing in a number. You can also define the desired section of the sound file directly in the wave form display graphically (see below).

Length

This determines the length of the sound file or section. In this field you define the end-point of the section, and hence its length. The total length of the selection is shown, measured in samples.

Trigger

You can select here between two settings: Freerun and Gated. Freerun means that the whole the sound file or defined section is played. Gated means that the playing-time of the sound is determined by the length of the MIDI note. This means that if you trigger a sound file from your MIDI keyboard, playback stops as soon as you release the key.

Format, Sample Rate, Size

These three values give you information about the loaded file. Format tells you the bit depth, and whether the assigned file is mono or stereo. Sample Rate gives you the file's sample rate, and Size the file's size. These values are determined by the sound file, and therefore cannot be edited.

Wave Display

Here you can see the waveform of the sound file. You can use this to graphically select a section of the sound file. You do this by simply clicking with the mouse on the waveform. There are three selection methods:

  • If you click the left edge of the waveform, the mouse pointer turns into a little hand pointing to the right. This allows you to move the left edge, and thus the start-point.
  • By clicking in the middle, you can move the existing section to the left or right, without altering the length of the section. This is useful if you have defined a section one-bar in length in a longer drum loop, and you want to change it to a different section with the same length.
  • If you click the right edge of the waveform, the mouse pointer turns into a hand pointing to the left. You can then adjust the right edge, i.e. the end-point.


Using the Wave Player

Audio in the Arrange Window > The Wave Player > Using the Wave Player

Using the Wave Player in the Arrange

The sounds in the Wave Player are addressed in the Arrange window via a track assigned to WAVE. If you select this track in the Arrange window, you should be able to play your MIDI keyboard and hear all the sounds which you defined in the Wave Player. Don't forget that the number of simultaneously playable files depends on the speed of your computer and hard disk.

Apart from this restriction, you can record MIDI data in sequences on the Wave track and edit them, just like any other track. The recorded sequences can also be move or copied. You can also use the sequence playback parameters, such as quantization, loop or transpose.

Wave Player and the Editors

You can also use any Editor to edit the MIDI data for the Wave Player. If you click a MIDI note in one of the Editors, the corresponding sound file will be played, if the MIDI Out button is switched on.

In the Event List you can also define the volume of the sound files, by editing the velocity of the note events (VAL column). You can also enter controller values for Volume (Controller #7) and Pan (Controller #10).

Important Notes

With all editing, regardless of whether in the Wave Player window, the Arrange window, or in one of the Editors, the original sound files are unaltered.

All the settings of the Wave Player are saved with the song. To ensure that when you load a song all the sound files can be located again, you should avoid moving or deleting them. It's a good idea to create a folder containing all your WAV's.


Introduction

The Environment > Introduction

The Environment refers to Logic's "virtual" environment inside your computer. It was developed to allow you complete control over your MIDI setup from within Logic.

Imagine that the Environment window gives you a virtual view of your MIDI studio, including port objects which represent the MIDI inputs and outputs of your MIDI interface, instruments which are virtual representations of each device in your MIDI setup, and various objects for modifying the MIDI signal flow.

In order for this to work properly, you have to connect the different objects in the Environment via virtual MIDI cables. This allows you to control the overall MIDI signal flow.

In the Environment, you can also create virtual faders which generate MIDI events when you move them. The movements of these fader objects can be remote-controlled by other MIDI events, and recorded by the sequencer. In addition, there are specialized objects which can split a MIDI signal into different channels, make pre-programmed alterations, or even re-route the signal path.

Layers

As you can probably imagine, the Environment can quickly fill up with a large number of objects. To keep things organized, you can assign the objects to different display levels, which are referred to as "layers". Think of these layers as being different, partial views of the overall Environment. Naturally, you can easily connect objects between different layers.

Opening the Environment Window

To open an Environment window, select Windows > Open Environment (default key command: ctrl 8 ). Double-clicking on an instrument in the track list of the Arrange window also opens an Environment window, to the layer containing that track instrument. When the Environment window opens, the track Instrument you double-clicked will be highlighted.


Layers

The Environment > Basic Operation > Layers

 Layers are "display levels" of the Environment window. They allow you to configure the Environment's display so that you can view and work with specific groups of related objects (e.g. audio instruments), rather than having to deal with all Environment objects at the same time. The name of the current layer is displayed in the layer box.

The distribution of objects on different layers has no affect on their function-it's just a system of organization. There are some exceptions: objects in the "global objects" layer also appear on all other layers; and the "All Objects" layer shows all the Environment objects in a list.

Switching Layers

Click-holding the layer box opens the layer flip menu, which you use to switch layers.
Select Options > Go to previous Layer to switch back to the last active layer. This allows you to toggle between two layers.

Remember you can assign key commands to this and many other Environment menu functions for faster navigation and greater ease of use.

Creating Layers

Selecting **Create!** from the layer flip menu creates a new, empty layer titled "(unnamed) " at the end of the list. You can add a new layer above the current position in the list by selecting Options > Layer > Insert.

Naming Layers

Double-clicking on the layer box opens the text field for entering a name for the current layer.

Deleting Layers

You can remove the current layer from the list by selecting Options > Layer > Delete. Because all the objects contained in the layer are deleted too, an alert box appears, to warn against deleting objects unwittingly. You must click "Delete" to complete the operation. Cancel or Enter cancels the operation.

Specialized Layers

The position and existence of the first two layers are protected:

- All Objects
The top layer in the flip menu always displays all the objects in the Environment. The objects in this layer are normally shown in the form of a list. (You can change this in the Environment's View menu, but doing so is not recommended.)

If you turn off the File > Preferences > Display > Allow 'All Objects' Layer in Environment, the "All Objects" layer will be removed from the layer flip menu.

The function Options > Goto Layer of Object allows you to switch to the layer of a selected object.

- Global Objects
In this second layer from the top, you can place objects which you want to be visible in all layers (e.g. the output ports). These will subsequently appear at the same position, in all layers. However, you should place as few objects as possible on this layer, due to the on-screen clutter that global objects can create.

Hiding/showing parameter fields

As in other windows, you can hide the column with the buttons, toolbox, layer menu and object parameter box by selecting View > Parameters. This will create more on-screen room for the Environment workspace display.

Hiding/showing the cables

By choosing View > Cables >Hide/Show Cables, you can toggle the view of the cables. This also hides/shows the positioning bar to the right of the individual objects (used for moving and sizing some Environment objects).

Protecting cabling and object positions

You can prevent the position, size and cable connections of all objects from being accidentally altered, by selecting View > Protect Cabling/Positions.

Background

If the cabling and object positions are protected, and the cables are hidden, the background color changes. This usually looks better for virtual mixing desks and fader setups.

List Display

Selecting View > by Text switches the graphic display of the layers to a list display. The cables are not shown in the list display. This type of display is most useful in the "All Objects" layer.


Objects

The Environment > Basic Operation > Objects

Creating Objects

When you select an object type from the New menu, an object of this type is created in the current layer . Clicking with the pencil on the background creates a new "Standard Instrument".

You can copy existing objects by dragging an object while holding down ctrl . Cabling is preserved; so groups of objects copied in this way will be connected in the same way as the originals. (When you copy a single object, only its output cables are preserved.)

Deleting Objects

Click with the eraser, or press Backspace to delete all selected objects.

Adjusting the Size of Objects

You can adjust the size of fader, keyboard and monitor objects by grabbing and dragging the bottom right corner (just as with windows). Changing the size with multiple objects selected (by "rubber-banding" or clicking while holding down Shift ) will alter each object's size while preserving their sizes relative to each other.

Selecting Options > Clean up > Size by Default, sets the size each selected object to its default value.

The key commands Object Width -1 Pixel or ...+1 Pixel and Object Height -1 Pixel or ...+1 Pixel decrease or increase the width or height of all selected objects by 1 pixel.

Moving Objects

You can move objects by grabbing their icon or name, and dragging them to the desired position. The surface of keyboard and fader objects is used for their operation. You must therefore either grab the name (if available), or the positioning bar to the right of the object.

If you hold down Shift , you can also grab keyboard or fader objects by their surface. Remember to first deselect any other selected objects by clicking in the background, to avoid moving them as well.

- Grid
Select View > Snap Positions to align the objects to an invisible grid. It's a good idea to leave snap positions switched on. You only need to switch it off if you want to manually move an object by a few pixels.

You can use the key commands Object move left/right/up/down to move all selected objects one pixel in the relevant direction, even when the grid is switched on.

Aligning Objects ...

- ... in a row or column
To align several selected objects horizontally or vertically, select the function Options > Clean up > Align Objects. The top left object stays where it is. The position of the next object determines whether the objects are aligned in a column or a row. If it is to the right of the top left object, all the objects are aligned horizontally. If it is below the top left object, all the objects are aligned vertically.

- ...to grid positions
If you choose Options > Clean up > Positions by Grid, all selected objects are aligned to the invisible grid.

Moving Objects between Layers

- ...with the layer selection box
To alter the layer assignment of a group of Environment objects, first select the objects, and then select the desired layer, while holding down ctrl . This moves the selected objects to the layer you've chosen.

- ... with a second Environment window
Another way of moving objects to a different layer is to open a second Environment window. Select the target layer and drag the relevant objects from one window to the other. You can also use this method to copy objects between layers (by holding ctrl ).

- ... via the clipboard
Another option is to move objects via the clipboard (Edit menu or the usual key commands):

  • Select the objects that you want to move and select Edit > Cut (default key ctrl X ).
  • Switch to the destination layer.
  • Make sure that no objects are selected (by clicking in the background).
  • Select Edit > Paste (default key ctrl V ).

Replacing Objects

If any objects are already selected when you go to add objects to the current layer using Edit > Paste a dialog box appears asking "Replace current selection? No/Replace". If you press Enter or click Replace, the selected objects will be replaced by the objects in the clipboard. The existing cabling remains intact.

Assigning an Object to the Selected Track

You can assign any Environment object to the selected track in the Arrange window simply by clicking the object with the MIDI Thru tool.

Remember: the MIDI Thru function of the sequencer diverts all incoming MIDI events to the Environment object assigned to the selected track.


Special Selection Commands

The Environment > Basic Operation > Special Selection Commands

Selecting All Used Instruments

With Edit > Select Used Instruments, you can select all objects which are assigned to tracks in the Arrange window or are connected to such objects by any series of cables.

Selecting All Unused Instruments

The Edit > Select Unused Instruments function allows you to select all the objects that are neither being used in the Arrange window, nor are connected to any such objects by a series of cables.

Selecting Cable Destination Objects

Edit > Select Cable Destination selects the destination object of a selected cable connection. This is particularly useful in two cases:

  • The destination object is in a different layer. You can use the function to select and display the destination object in its layer;
  • From the list display (View > by Text) you can locate the destination object of a source object, because selecting the source object also selects its cable connections.

This function allows you to follow the cabling from one serially-cabled object to the next. If several objects are connected, or several cable connections are selected, the path of the top cable is followed.

Toggling your selection

Just as in the Arrange and editor windows, you can change the status of any selected objects in the current layer by choosing Edit > Toggle Selection.


The MIDI Signal Path

The Environment > The MIDI Signal Path

Before any MIDI events received at your computer's MIDI inputs can be recorded by the sequencer, there must be a connection between two Environment objects: the physical input and the sequencer input.

In the sequencer, the events are always directed to the selected track, where they can be recorded. The events played by the track are mixed with any incoming events and sent to the Environment object assigned to the track in the Arrange window's Track List. From here, the events are directed to a MIDI output (see the section Direct Output Assignment).

You can insert objects into the signal path between the physical input and the sequencer input as well as between the instrument and the MIDI Out port to accomplish other Environment processing (see section Cabling).


Direct Output Assignment

The Environment > The MIDI Signal Path > Direct Output Assignment

You can create a direct output connection from any instrument object to a physical MIDI output by setting the desired output in the parameter line underneath the channel parameter.

This is where you can select one of the MIDI Outs on your interface or soundcard. The internal sound source on your soundcard may also be addressed by making the appropriate setting here.
The name shown here will be the same one used by the Windows multimedia driver to recognize the interface or soundcard. The I/O address (in the case of sound cards) will often appear in square brackets, e.g [330].

Any object with a directly assigned output is marked by a shaded triangle on its right side. When there is no direct assignment the triangle is hollow.

Breaking the Direct Output Assignment

To break the direct output assignment, select "No Driver" from the flip menu in the line below the Cha parameter.


Cabling

The Environment > The MIDI Signal Path > Cabling

The cabling between Environment objects gives you control over the entire MIDI signal path. A cable is normally shown as a gray line between a source and destination object.

Objects always have their input on the left side and their output on the right side. The output of an object is marked by a small triangle pointing to the right.

If you grab the triangle, the mouse pointer turns into a patch cord representing a cable connection coming from the output. Move the mouse to the destination object to connect it with a cable. Once you have selected the destination object (this happens automatically when you touch it), release the mouse button.

If the source object has already been directly assigned to an output, a dialog box will appear telling you this, and asking whether you want to replace the direct assignment. You have three options:

  • Cancel: the connection is not made, and the direct output assignment remains intact.
  • No: your cabling is carried out, but the direct output assignment remains intact. This means that the object is connected in two places-one via the visible cable and one via the Direct Port assignment.
  • Remove (or Enter ): your cabling is carried out, and the direct output assignment is removed. (This is the default selection because you generally won't wish to have an object connected to two different destinations)

Cabling between Layers

If the destination object of the cable is on a different layer, you can connect it using the Instrument List. To do this, hold ctrl as you grab the output triangle and scroll to the desired destination object when the Instrument List appears.

You can also open a second Environment window showing the destination layer, and connect the objects graphically between the windows.

A cable connection to another layer looks like this:

Deleting Cables

To remove a cable connection, click the cable with the eraser or select the cable and press Backspace . You can also remove a cable by grabbing it and plugging it into the input of its own source object.

You can use Edit > Clear Cables only to remove all selected cables without also clearing any objects that happen to be selected. This is handy if you want to clear all the cables leading to or from one of more objects, because selecting objects also selects all their cable connections.

Cable color

Cables are given the same color as that of the object they came from (assuming, of course, that your monitor is set up to be used in color). You can switch off the cable coloring, and render them all gray with the View > Colored Cables function.

Multiple Cabling


Multiple Cabling

The Environment > The MIDI Signal Path > Multiple Cabling

Multiple inputs

There is no limit to the number of cables that you can "plug" into a target object. All the MIDI signals are then mixed at its input.

Multiple outputs

Once an output from an object is used (i.e. cabled to another object), another output triangle automatically appears. You can thus cable outputs from the object to as many other objects as you want.

Some objects have special outputs and are therefore exceptions to this rule.

Special outputs

Some objects have several functionally different outputs, and in these cases, each output is only available once (e.g. channel splitter, cable switcher or physical input). If you want to route the signal from these outputs to several destinations you must first create a monitor (New > Monitor), plug the cable into it, then connect it to as many other destinations as you like. The monitor object also allows you to view the MIDI events flowing through it.)

To select a common destination for several existing cables, first select the cables. (If the cables are already leading to a common destination, the simplest way of doing this is to select the destination object.) Next grab one of the cables and plug it into the new destination object. A dialog box will appear asking "Do you want to connect all selected cables with new Destination? No/Connect". Click Connect, or press Enter .

Cabling Serially

To cable a group of objects serially, first select all the objects then select Options > Cable serially. The objects will be cabled in series, starting with the top-left object. This is handy for quickly connecting groups of faders in a mixing console, for example.

Cabling in Parallel

To cable a group of the same type of object (e.g. transformers, faders, etc.) to the same destination, first cable one of the objects to the destination. Next select that object and choose Edit > Copy. Finally, select the rest of the objects to be cabled to the same destination and choose Options > Apply Buffer Template to > Cable(s). (You can copy more complex cabling configurations this way, too. Just ensure that the type(s) of objects in the group you select to copy, matches the type(s) of objects in the group you select to apply the buffer template to.)


Object Parameters

The Environment > Environment Objects > Object Parameters

Each Environment object has several parameters that control its operation. These parameters can be viewed and changed in the object's Parameter Box. The Parameter Box appears in the Arrange window when you select a track assigned to the object. It also appears in the Environment window when you select the object. These are the same parameters-changes in one location will be reflected in the other.

Opening/Closing the Object Parameter Box

By clicking the triangle in the top left, you can hide all of the parameters, except name and type. This reduces the box to its minimum vertical size.

Common Parameters

The following parameters are the same for all object types:

Name

The name of the object is shown next to the triangle, and can be selected for editing by clicking on it. You can also edit the name by clicking on the object with the text tool.

Object Type

The object type is shown in brackets, and cannot be edited.

Icon/Display Filter for the Instrument List

Click-holding on the icon in the Parameter Box opens a flip menu, where you can choose an icon to represent the object in the Environment and in the Arrange window's track list.

Placing a check in the box next to the icon means that the object will appear on the Instrument List, and can therefore be assigned to a track by using this menu. (Objects not on the track list can still be assigned to tracks by dragging them from the Environment window to the track list or by using the Environment's MIDI Thru tool.)
If the box is not checked, the object will not appear on the Instrument List, and a diagonal line will appear through the icon. This will not hide the object or its icon from view in the Environment.

You should only check the icon box if the object will be used as a track instrument, or you need to connect cables to its outputs using the instrument selection menu.

Color

You can change the color of an object via View > Object Colors, which opens a palette with various color to choose from. A double-click on a color field opens the system color palette, so that you edit the colors of the palette. The edits are stored in the Preferences file and are available for all songs. The color of an Environment object is used as the default color for any newly created sequence or region in the Arrange Window.


Standard Instrument

The Environment > Environment Objects > Standard Instrument

This is the simplest track playback object. It provides a direct connection to a single MIDI port and channel, which can be set in its Parameter Box.

You can also set a number of other playback parameters, including program bank & number, initial volume & pan, transpose, velocity scaling and MIDI delay.

To create a new standard instrument, select New > Instrument, or click in the background with the pencil tool. Instruments serve as the interface between Logic's tracks and your MIDI sound sources.

The Standard Instrument Object Parameter box will be familiar to you from the Arrange window. Here are the details of the individual parameters.

- Cha
Use the Cha parameter to set the MIDI channel for the instrument's output. All events at the output of the standard instrument will be sent with the channel that is set here. Exception: If you set this parameter to All, all events will be sent with their original channel settings as they appear in the Event List window.

Below the channel parameter, a direct connection to one of the MIDI output ports can be set. The output port is selected from a flip menu listing all the MIDI drivers in your system. Remember that you can also directly cable the standard instrument to other Environment objects for MIDI processing. If no MIDI output port is defined in the object parameter box for that instrument, the line below the Cha parameter will display "no driver".

- Prg, Vol and Pan
The Prg, Vol and Pan parameters transmit program changes, volume controller (#7) and pan controller (#10).

If there is no check in a box, you can edit its value, but it will not be sent until you check the box (by clicking on it). If the box is already checked, any value alterations will be sent immediately, and the values will also be sent whenever the track is selected.

To the left of the program number, directly to the right of the box, is the parameter for bank select. If your MIDI sound sources recognize Bank Select messages (check in their manuals), you will be able to switch between sound banks. If your sound sources respond to the standard Bank Select message (Controller #32), you will be able to use this parameter directly. If not, please read the section Defining Your Own Bank Select Commands.

- Transpose
The Transpose parameter allows you to define the number of semitones by which all the note events will be transposed as they are output. Negative values transpose downwards.

- Velocity
The Velocity parameter allows you to increase or decrease the "note on" velocities of all note events by an amount adjustable between -99 and 99.

- Lim
The two note values of the Lim parameter define a pitch range. All notes outside this range will be ignored by the instrument when it plays a sequence.

- VLim
The two values of the VLim parameter define a velocity range. All notes whose velocity is outside this range will not be played by the instrument.

- Delay
The Delay parameter causes all MIDI events to be sent early or late by from -99 to 99 ticks. This allows you to adjust for any differences in reaction time between your various MIDI devices. For delay effects use the sequence parameter of the same name, as this allows longer delay times.

- No Seq Trp
If the box next to the No Sequence Transpose parameter is checked, all sequences on any tracks played by this instrument are protected from transposition. In other words, the "transpose" sequence parameter is ignored. This is very useful for instruments assigned to drum or other multi-timbral samples, as transposition will cause the sounds rather than the pitches to change for these instruments.

- No Reset
If the box next to the No Reset parameter is checked, no reset messages will be sent to this instrument. This can be useful if controllers are being used for non-musical purposes, for example when an Instrument is used for mixer automation. The Preferences > Reset Messages window controls what reset messages are normally sent, but these messages are not sent to "No Reset" instruments.

- Default Score Style
The Default Score Style parameter is located at the bottom of the Parameter Box. It displays Auto Style by default but can be changed to any of the available score styles. Whenever a sequence is created on one of the instrument's tracks it will be assigned the score style displayed here. In the case of Auto Style, Logic will pick an appropriate style based on the pitch range of the notes in the sequence.
Don't forget: you can change a sequence's Score Style at any time in the Display Parameter box in the Score window.

You can change the Score Styles of all sequences on an instrument's tracks by holding down ctrl when selecting the instrument's default Score Style.


Multi Instrument

The Environment > Environment Objects > Multi Instrument

A multi-instrument is like a collection of 16 standard instruments in one package. There is one of these "sub-channels" for each of the 16 MIDI channels as indicated by the numbered squares on the multi-instrument icon. Clicking one of these numbered squares selects the corresponding sub-instrument and displays its parameters in the Parameter Box.

All sub-channels of a multi-instrument use the same output port.

Multi-instruments have 15 name-banks each of which will hold 128 preset names. If the multi-instrument's program parameter is checked, selecting names in the names-bank will send MIDI program change messages to the corresponding port and channel.

You will generally use multi-instruments to address multi-timbral synths or samplers in your studio. A multi-timbral synth is one that can receive on several MIDI channels at once-playing back a different sound on each channel. Since most newer MIDI devices are multi-timbral, the multi instrument will likely be the most commonly used instrument in your Environment.

To create a new multi-instrument, choose New > Multi Instrument.

A multi-instrument is intended for use with multi-channel MIDI sound devices. It combines 16 separate sub-instruments (one for each MIDI channel) with 15 name-banks, and a number of common bank-select options.

A multi-instrument consists of 16 sub-channels, each of which has a complete set of instrument parameters. The name, MIDI channel and output of each sub-channel is determined by the multi-instrument. All sub-channels share the15 banks of program names, and use the same format for their bank select message.

Multi-Instrument Parameter Box

Once you have created a multi-instrument, you will see the multi-instrument parameter box.

You should already be familiar with the meaning and operation of the individual parameters. The settings made here apply to all sub-channels and except for the output port setting, should be left at their neutral, default setting. Set the output port in the line below the "Cha" parameter line . For more information on this subject, please read the section Direct Output Assignment. However, keep in mind that the direct output assignment can also be replaced by manual cabling to other environment objects.

Activating and Selecting Sub-channels

To select a sub-channel for a specific MIDI channel number, click the appropriately numbered button on the multi-instrument object. The first time you click it, the sub-channel is activated making it available from the Instrument List. To avoid menu clutter, you should only activate as many sub-channels as you need.

As with any other Environment objects, you can remove sub-channels from the Instrument List, by unchecking the icon box. The button for that sub-channel will then be shown with a diagonal line through it. If you want to select the entire multi-instrument rather than a particular sub-channel, click on the top edge of the multi-instrument or next to the icon.

In the above diagram, sub-channel 1 is selected, sub-channels 1-8 are activated and 9-16 have been removed from the instrument list.

The Sub-channel Parameter Box

The sub-channel parameters are the same as for Standard Instruments. The only parameter you can not change is the MIDI channel. (If you change the output port, this will affect the whole multi-instrument and all other sub-channels.) If you try to change the channel from the Parameter Box in the Environment window you will get the following warning: "Channel protected! Please select a sub-channel from the Instrument flip menu." However, if you change the channel in the Arrange window's Parameter Box to a sub-channel that is on the instrument selection list (i.e. one without a slash through it on the multi-instrument), the track's instrument will change to the selected sub-channel.

Cabling

To connect the output of an Environment object directly to the input of a sub-channel, hold down ctrl , and connect it the via the Instrument List.

The Multiinstrument Window


Multi Instrument Window

The Environment > Environment Objects > Multi Instrument Window

Double-clicking on a multi-instrument opens the multi-instrument window:

Name and Short Name

In the top left, under Device Name, you can enter the full name of the multi-instrument. In the top right, under Short Device Name, you can also enter a short name. This short name is used in the Arrange window track list when the program name is displayed. The short name begins right next to the icon, so leave a space in front if you want uniform spacing in the track list.

Depending on whether or not you have checked the sub-channel's Prg box, the following information will appear in the Arrange window track list:

  • the name of the multi-instrument & channel number (if the box is not checked) or
  • the short name, channel number and program name (if the box is checked).

Program Names

There are 128 program names in the multi-instrument window. A total of 15 banks of 128 program names are available. There are several ways of entering the program names:

  • by double-clicking on the name (via the text input field),
  • by copying via the clipboard from a different multi-instrument, or from a word processing program. The clipboard functions for a whole sound bank are available in the text import flip menu (downwards arrow at the top right). First copy the program numbers or General MIDI names to the clipboard, and add them to a word processor document. You can then edit the names and copy the whole section back again.
  • if you want to use program numbers instead of names, select Init Names as Numbers from the text import menu.
  • if you want to use General MIDI program names, select Init General MIDI Names.
  • if you have Emagic's SoundDiver editor/librarian software: start SoundDiver, then switch back to Logic and select Update Using Autolink. The current program names for the currently selected bank will then appear in the multi-instrument window automatically.

If the Use GM Drum Names for Channel 10 box at the very bottom is checked, the standard GM names for drum sets will be shown in the multi-instrument window for sub-channel 10.

If the Prg box in the selected sub-channel's parameter box is checked, you can send a program change messages by selecting a program names in the multi-instrument window (either by clicking, or using your computer's arrow keys).

Banks

On the left, above the program names, you can choose one of 15 available sound banks (0-14) via a flip menu. The top item ("No Bank specified. Names of Bank 0 used.") can be used if that particular sound generator does not understand bank select messages, or only has 128 sound programs. Bank 0 is always initialized. The first time you choose one of the banks 1-14 you will be asked whether you want to initialize this bank. Press Enter or Cancel if you do not want to initialize the bank. Non-initialized banks do not have their own program names, but use the names of the equivalent program numbers from bank 0. You should only initialize additional banks if you want to enter program names for those banks, because each initialized bank uses more memory.

In the flip menu to the right, labeled Bank Message, you can define the MIDI events which are sent when you switch banks on this multi-instrument. Different bank select formats are used by different MIDI instrument manufacturers-please consult your instrument's manual to see whether it supports bank select messages and if so, using what format. With modern synths, there is a good chance the format will be one of the top items in the flip menu: either controller# 32 or controller# 0. There are also presets to accommodate several of the more common types of synth. If your synth does not use one of the formats on the list, please check this section on how to define your own bank select commands.


Defining Custom Bank Selects

The Environment > Environment Objects > Defining Custom Bank Selects

Logic provides 63 bank numbers (0 thru 62) for each single standard instrument, multi-instrument sub-channel, or mapped instrument. You can create custom lists of as many events of any kind (even Sysex) as you wish -for each of these banks. Whenever you change the bank manually or send a standard bank change from Logic, the entire list for that bank will be transmitted to your synth.

If you need more than 63 banks for a particular MIDI device, use several instrument objects.

To set up custom bank select messages, first select the instrument, then select Options > Define Custom Bank Messages... A window similar to the event list will open, with a single, default bank select message for banks 0 thru 15. (The default used is a MIDI controller #0 message with value equal to the bank number.)

You can create MIDI events here in exactly the same way as you do in the Event Editor, by cutting, copying, inserting and editing. The only difference is that you enter the bank number you want, instead of a time position.

The letter in parentheses next to the bank number allows you to control the order of transmission, when a bank uses more than one message.

For example:

Here the Bank Select command "Bank 1" has been set up to send three events: first, (a) controller #32 message with the value 1, then (b) controller message #0 with value 0 and finally, (c) a Sysex message.
If there are no events defined for a particular bank, a standard Bank Select message will be sent for that bank instead.

The custom bank select information becomes part of the instrument, and will be automatically copied along with it.

For bank messages that need a channel (e.g. MIDI controller messages), the channel of the instrument is used. (This feature is especially useful for multi-instruments, since you only have to create one set of bank messages for all 16 sub-channels.) If an instrument's channel is set to All, then channel 1 is used.

On multi-instruments, the bank select message (whether it's a standard controller or a string of events you've configured) is also used by SoundDiver, if Autolink is switched on. This enables it to request the program names in the current bank.


Mapped Instrument

The Environment > Environment Objects > Mapped Instrument

This instrument is particularly useful for drum instruments or any drum-mode MIDI device.

(A drum-mode device is one which assigns different sounds to different MIDI notes on the same MIDI channel.) Any input note may be routed to a different output note and assigned its own velocity setting, notation, name and output cable. You can also protect Mapped Instruments from being accidentally transposed.

To create a new mapped instrument, select New > Mapped Instrument.

A mapped instrument is useful for drum programming. It is used just like a standard instrument, but has the following special features:

Each individual input note can be:

  • named (e.g. snare, hi hat...);
  • mapped to an output note (e.g. F# and G# to the same hi-hat sound to allow you to play rapid repeats);
  • given a velocity offset;
  • assigned its own MIDI channel;
  • sent to one of up to 16 output cables (this allows you to create a single instrument that addresses multiple sound sources);
  • given its own notation parameters: note head shape, relative vertical position in the staff and drum group assignment

Object Parameter Box

The mapped instrument's parameters are a subset of the parameters of a standard instrument. The missing settings are available on a note-by-note basis in the mapped instrument window.

The Mapped Instrument Window


Mapped Instrument Window

The Environment > Environment Objects > Mapped Instrument Window

To open the mapped instrument window, double-click on the mapped instrument icon in the Environment window. The rows correspond to input notes, and the columns contain the various parameters available for each note. The window is automatically opened when creating a new Mapped Instrument

Monitor Keyboard (Selecting Notes)

The keyboard on the left represents the input notes. It can be played by clicking on it. You can also select individual notes or note ranges, by dragging the mouse over the notes you want. To select more notes, click them while holding Shift . Any value alterations will apply to all selected notes.

Input Name

In the next column, you can click on the input note and give it a name of up to 12 characters. You can initialize the names of the selected notes to their pitch descriptions (e.g. C#3) by selecting Initialize > Names as Notes, or to the names of the GM Standard drum sounds by selecting Initialize > Names as General MIDI.

Output Note

This column is where you set the output note either as text by double-clicking on the note description, or graphically by dragging the beam. When you change the value, MIDI notes are sent out so you can hear what you're doing. If you choose Initialize > Output Notes, the output notes of the selected pitches are set to be the same as the input notes.

Velocity

This is where you set a velocity offset, which is added to or subtracted from the velocity of the incoming note. You can either grab the number and use the mouse as a slider, or click the beam at the desired point. Initialize > Output Velocities resets all velocity offsets to 0 (no offset).

Cha

Here you can set the MIDI channel of individual notes. This allows you to play individual sounds from different drum sets in the same sound generator. Normally you will use the Base setting here. This means that the notes are sent on the channel set in the mapped instrument's object parameter box. If you choose All, the channel information of the incoming notes is used. This is useful if you want to insert the mapped instrument in the signal path after a multi-instrument or single instrument. To set all selected notes to Base, select Initialize > Output Channels.

Cable

You can send individual notes from the mapped instrument object to up to 16 different output cables, to enable you to play sounds from different sound sources. If you select a cable that does not exist, then the note will not be sent out. Initialize > Output Cables resets all cables to #1 (the top outlet of the mapped instrument).

Notation Parameters

The last three columns define the notation parameters of the individual notes. Selecting Initialize > Score Parameters neutralizes the settings of the Head, RelPos. and Group parameters.


GM Mixer

The Environment > Environment Objects > GM Mixer

The GM Mixer is a collection of 16 fader "modules" configured to emulate a virtual mixing desk for 16 MIDI channels. Each module has controls for volume, mute, preset, bank and four assignable knobs (one of which is typically used for pan). There are optional controls for standard XG and GS effects.

The GM Mixer is like standard instruments able to provide a direct connection to an output port which can be set in its Parameter Box.

To create a new GM Mixer, select New > GM Mixer.

The GM Mixer is intended for controlling the 16 channels of a MIDI device which conforms to the GM, XG or GS standard. This includes the GM set of 128 program names (with variation banks for XG or GS), MSB/LSB bank select messages, and standard controller names (#1 for mod wheel, #2 for breath, #7 for volume, #10 for pan, #11 for expression, etc.).

Most of the GM Mixer's set up is done in the mixer itself, but there are also a few parameters in its parameter box.

Cha

Like an instrument object, the GM Mixer can also have a direct MIDI output connection. This is set in the line below the channel in the Parameter Box. The Cha parameter itself just sets the channel of the lowest GM Mixer module. You can use this, together with resizing the GM Mixer window, to create sub-mixers for any continuous string of channels (e.g. 3 thru 7).

Legend

The Legend checkbox toggles the display of the legend along the left edge of the GM Mixer. The Legend not only indicates what the rows of controls do, it is used to set the function of the top four rows of knobs. After the GM Mixer is set up, you can hide the legend to save space.

Bank

The Bank checkbox toggles bank MSB/LSB display below the program name display, at the bottom of the GM Mixer. You can save space by hiding bank display, unless you need to select program banks numerically.


MMC Record Switches

The Environment > Environment Objects > MMC Record Switches

This object allows to control the record enable status of external, MMC compatible, recording devices. By sizing the object you can determine the layout and the amount of track record buttons.

The parameterbox has the following settings:

- MMC ID
Set it to "All" (= 127) to control all connected MMC devices independent of the set MMC ID or set it to a specific value to control only one specific MMC device.

- Extras
If enabled extra tracks "V TC A1 A2" are displayed:

  • V for Video
  • TC for Timecode
  • A1 for Aux Track 1 (or A)
  • A2 for Aux Track 2 (or B)


Keyboard

The Environment > Environment Objects > Keyboard

The keyboard object is used for creating notes with the mouse. It will also display all notes passing through it. In this sense you can think of it as a real-time, note-on monitor.

You can create a virtual keyboard by selecting New > Keyboard.

The keyboard object generates MIDI note events when clicked with the mouse. It also displays note events passing through it-when a note is being held, the corresponding key will reverse its color. Although you can record the output of the keyboard in Logic, its main purpose is for testing and monitoring in the Environment.

Apart from the standard parameters, you can also set the MIDI channel, a fixed velocity for all notes and the octave of the lowest note on the keyboard (which is always a C). You can re-size the keyboard to control its range above the lowest note. Click the keyboard with Shift to select and move it.


Monitor

The Environment > Environment Objects > Monitor

The monitor object displays all MIDI events passing through it. and retains the last 32 such events. You will need to resize it to see more than 5 events at a time.

To create a monitor, select New > Monitor. The monitor shows all events (MIDI and meta) passing through it. It remembers the last 32 events, with the newest events at the bottom. You can resize it to show from 1 to 32 events. (Actually you can make it bigger, but the display above the 32nd line is gibberish.)

Monitors are very handy as both testing, and branching devices. In the case of objects that have functionally different outputs (e.g. the channel splitter and the mapped instrument), you can use them to attach more than one output cable with the same function.

Click in the body of the monitor to clear it.


Channel Splitter

The Environment > Environment Objects > Channel Splitter

The channel splitter routes MIDI events according to their channel. It has one output for each of the 16 MIDI channels and an additional "SUM" output. If a particular channel output is not connected to anything then events for that channel will appear at the SUM output.

To create a new channel splitter, select New > Channel Splitter. You can use the channel splitter to reroute MIDI events to different cables, according to their MIDI channels. Every MIDI event received at the input of the channel splitter is first routed to the output corresponding to its MIDI channel. If there is no cable connected there, the event is rerouted to the SUM output (at the top). The SUM output carries the events of those channels which have no cables from their individual outputs.


Transformer

The Environment > Environment Objects > Transformer

The transformer is used to select and transform MIDI events passing through it. Its select-conditions allow it to act as a MIDI filter.

Using its transform-operations along with the select-conditions allows you to transform some MIDI events while letting others pass through unchanged. Using what are known as "meta-events" you can control many of the transformer's parameters in real time.

You can create a new transformer object by selecting New > Transformer. The transformer allows you to both select and alter MIDI events in real time.

For the transformer to work, it must be in the MIDI signal path. If you use it to alter the output of an instrument, for example, cable it between the instrument and a port object (removing the instruments internal port assignment in the process).

Working Principle

The transformer first checks whether an event corresponds to certain conditions. If it does, then certain operations are carried out. Events which do not meet the conditions may pass unchanged to the output, or be thrown away. The transformer can also make copies of matching events before altering them, and can split the selected events from the unselected ones, using its two top cables.

Transformer Dialog Box

Double-clicking on a transformer opens a dialog box, where you can set the conditions and operations. You can open this box as a floating window, by double-clicking on the transformer while holding ctrl .

Mode of operation

Use the flip menu at the top of the transformer window, to set the transformer's mode of operation.

- Apply Operation & Let non-matching Events pass thru
MIDI events which conform to the condition are processed. MIDI events which do not conform to the condition are passed thru. This is the default setting.

- Apply Operation & Filter non-matching Events
MIDI events which conform to the condition are processed. MIDI events which do not conform to the condition are not passed through.

- Filter matching Events
All MIDI events which match the condition are filtered out. MIDI events which do not conform to the condition are passed through.

- Copy matching Events & Apply Operation
All MIDI events which conform to the condition are copied and the copy is processed. The original and transformed copy (plus any MIDI events which do not conform to the condition) are passed thru. The unchanged original is passed before the transformed copy.

- Copy matching Events & Apply Operation (rev. order)
This is the same as above except the original is passed after the processed copy. You might want to use this for example, when converting note events to pan controllers. This causes the pan message to be sent before the note. (Many synths do not alter the pan position of already sounding notes.)

- Condition Splitter (true -> top cable)
Events which match the conditions are altered by the operations and sent to the transformer's top output. Events which do not match the conditions are sent, unaltered, to the transformer's second output. Do not use the other outputs-nothing ever appears there.

- Alternating Split
Events entering the transformer will be alternated between the top two outlets. No conditions or operations apply.

- SysEx Mapper ('1'->position, '2'->value)
This transformer mode is used to create and edit Sysex messages. You first enter the structure of the Sysex message in the transformer window-i.e. its length, whether a checksum is required, and the values of bytes you don't want to change in real time. Next you select which kind of MIDI event will affect the data bytes in the Sysex message. (Typically you will use MIDI controller events.) Incoming MIDI events will then change the data bytes in the Sysex message according to the following rules:

  • The -1- value sets the position of the data byte to change.
  • The -2- value sets the value of the data byte.
  • The channel controls the action to be taken:
  • - Channel 1: The changed SysEx message is sent.
  • - Channel 2: The changed SysEx message is not sent.
  • - Channel 3: The unchanged SysEx message is sent.
  • - Channel 4-16: No meaning (reserved for future use).
The purpose of the channel controls is to allow multiple bytes of a Sysex message to be modified before it is sent.

The "Filter non-matching" parameter in the sysex mapper transformer window prevents incoming MIDI events which do not control the Sysex message from being passed through. Typically you will want this feature turned on, to prevent interloping controller data from invading the Sysex data stream.

- Track Automation Splitter
If the condition matches, incoming events will be sent to the Track Automation of the object connected to the top cable of the Transformer - after passing through the "Operation" field. With the appropriate "Operation" field settings incoming MIDI data is transformed into Fader event data allowing the automation of any possible parameter of the connected mixer object. Exception: Channel volume and channel pan uses Control events.

Filter Duplicate Events

You can use this feature to save MIDI bandwidth. When this checkbox is selected, the transformer will filter out a MIDI event if:

  • its type matches the transformer's Status condition. (This Status condition must not be set to "All" for this to work.)
  • the previous event matching the Status condition was identical (i.e. same channel, -1- and -2- value).)
Note that you can use this feature with the Status condition set to "All" to filter out duplicates, but here duplicates will only be recognized if they are consecutive (i.e. there are no other events in between).

Conditions and Operations

The conditions and operations are the same as for the Transform window. The only differences arise from the fact that transformer objects work in real-time and therefore, position and note length have no useful meaning.

Pitch Bend editing

The transformer can process 14-bit pitch bend events: if byte 1 is changed (e.g. by addition or scaling), the change will affect the second byte too. Set the -2- operation to "THRU" to process 14-bit pitch bend data properly.

Remote Controlling the Condition and Operation Values

The value(s) of any transformer conditions or operations can be externally controlled using meta events. Meta events are internal Logic messages-their form is similar to MIDI controller events, but they have no MIDI meaning and never leave Logic. Like MIDI controller events, meta events have a two data values: the first one indicates the type of meta event (49-127 but not all are used), and the second one is the event value (0-127).

Meta events number 122 thru 127 affect transformer parameters.

  • Meta event #127 sets the first (top) operation value,
  • Meta event #126 sets the second (bottom) operation value (if available).
  • Meta event #125 sets the first (top) condition value.
  • Meta event #124 sets the second (bottom) condition value (if available).
Note that all numerical condition and operation parameters that are used (i.e. conditions not set to All and operations not set to Thru) will be affected by the same meta event. (The status condition and operation are never affected by meta events.) If you want to set numerical parameters individually, or leave some fixed, use separate transformers in series.
  • Meta event #123 sets the transformer map value for the current map position. (Use meta event #122 to set the position first.)
  • Meta event #122 sets the transformer map position.
Note that you can use a transformer's Map Set operation to create these two meta events simultaneously. When the operation status is set to MapSet then the -1- parameter specifies the map position, and the -2- parameter specifies the map value at that position, (i.e. a meta event #122 is sent with the -1- value followed by a meta event #123 with the -2- value.)

You can create meta events with a fader; you can transform MIDI events into meta events with a transformer, and you can add meta events to a sequence using the Event List editor. When you use a fader, set the Out definition to Switch, then set the -1- value to the meta event number. (Cable switcher type faders and meta events share the same Out definition. -1- values above 49 signify meta events.)

Since you can remote-control any fader by using its In definition, you can use faders as well as other transformers to convert MIDI events to meta events for remote-control of transformers.

Condition: Map

Most of the transformer conditions are numerical relations (=, unequal, inside, etc.), and the condition is met if the incoming MIDI event value satisfies the condition. The last condition, Map, works a little differently. In this case, two numerical parameters are specified, and the incoming value is first converted by the map, then the mapped value is compared to the two parameters to see if it is inside them.

Transforming Meta Events

Transformers can also process meta events, as long as they are not the meta events that affect transformers. These particular meta events change the transformer, rather than being processed by it.


Arpeggiator

The Environment > Environment Objects > Arpeggiator

The arpeggiator turns chords into arpeggios. It plays the currently held notes individually in a selectable pattern (up, down, random, etc.) and at a selectable speed between whole-notes and 768th-notes.

It has a number of useful parameters including note-length, repeat on/off and octave doubling. All of its parameters can be changed in real time using MIDI controller messages.

Logic's transport must be running for the arpeggiator to work.

To create a new arpeggiator, select New > Arpeggiator.

The arpeggiator cycles through all held notes (i.e. arpeggiates chords) within its range. You can set the range as wide or narrow as you wish. There are parameters for direction, velocity, speed, note length, start quantize (a.k.a. snap), repeats, octaves, and velocity offset. All the arpeggiator's parameters can be MIDI controlled in real time, which adds immensely to its versatility.

To use the arpeggiator, you must put it in the MIDI signal path and Logic's Transport must be running. (For technical reasons, the arpeggiator resets on cycle jumps.) Typically you would assign the arpeggiator to an Arrange track, and cable its output to an instrument or port object. Of course, you can insert it anywhere else in the MIDI signal path that you like.

You can then use the arpeggiator with live MIDI input, or for sequence playback. You can also record the output of the arpeggiator by cabling it back to the sequencer input object. If you do this, be sure you either record to a no output track, or break the arpeggiators connection to the MIDI output.

Parameters

An arpeggiator has the following parameters (the numbers in parentheses are CTRL Base offsets-see below):

- Direction (+0)
The direction of the arpeggiated chord:

  • Up: Lowest note to highest note
  • Down: Highest note to lowest note
  • UpDn: Up and down-highest & lowest notes repeat
  • Auto: Up or down depending on whether the second chord note arrived before or after the first chord note
  • UpD2: Up and down-highest & lowest notes don't repeat
  • Rand: Notes play in random order
  • All: All notes play at once (useful when repeat is on)

- Vel (+1)
Velocity values of the arpeggiated notes.

  • 1-127: Fixed velocities,
  • Orig: the velocities of the recorded notes are retained,
  • Rand: random velocities between 1 and the original value.

- Lim (Low: +2, High: +3)
This is where you can define the pitch range (between C-2 and G8) within which the chords are arpeggiated. Any chord notes outside this range are passed directly to the output. This is useful when you want to solo above, or play a bass line below an arpeggiated chord.

- Res (+4)
This is where you set the rhythmic note value (i.e. the speed in note divisions) of the arpeggio via the flip menu shown here. None = arpeggiator switched off.

- Len (+5)
This is where you define the length of the arpeggiated notes. The Orig setting means that the lengths of the recorded notes are retained.

- Snap to (+6)
Unless this value is set to None, the arpeggiator will wait for Logic's transport to reach the next indicated note division before starting the arpeggio. This is useful for rhythmically syncing the arpeggio with other MIDI data.

- Repeat (+7)
On continues the arpeggio for as long as the chord is held down. Off finishes the arpeggio after one run.

- Octaves (+8)
The arpeggio can be repeated over 1-10 octaves.

- Crescendo (+9)
The velocity value set here (-99 to +99) is added every time the arpeggio is repeated (provided Repeat is set to On, of course).

- Ctrl Base
All 10 parameters of the Arpeggiators can be remote controlled by controller events. With the parameter Ctrl Base, you can determine the controller number for the first parameter (Direction). The other parameters will be controlled by subsequent controller numbers. To find out which controller number will be used for a certain parameter, add the number shown in brackets behind the parameter's name in this documentation, to the Ctrl Base value. When CTRL Base is set to Off MIDI control of the arpeggiator is turned off.


Delay Line

The Environment > Environment Objects > Delay Line

The delay line echoes MIDI events passing through it at intervals ranging from one tick to 256 whole notes.

There are parameters for the number of echoes, as well as their transposition and velocity offset.

The echoes of each incoming event will be cycled through each of the cabled outputs of the delay line.

Logic's transport must be running for the delay line to work.

To create a new delay object, select New > Delay Line.

This object repeats any MIDI events, like a delay line. Pitch and velocity offsets can be added to note events. Like the arpeggiator, you will need to put the delay line in the MIDI signal path and you will need to start Logic's Transport for it to work.

The delay line can send up to 99 repeats, at intervals ranging from one tick to 256 whole notes. You can suppress the original note. Repeats leaving the delay line will cycle through all cabled outlets, so that you can play each repeat with a different sound.

Parameters

A delay object has the following parameters:

- Thru Original
If this box is checked, the original signal is passed thru, otherwise it is suppressed.

- Repeats
Number of event repeats (1 to 99). Setting 0 = delay switched off.

- Del
The delay time between the individual repeats. The left value is in divisions and the right value in ticks.

- Trp
The transposition of note events per repeat (± 99 semitones).

- Vel
The change in the velocity values of note events per repeat (± 99).


Voice Limiter

The Environment > Environment Objects > Voice Limiter

The voice limiter limits the number of MIDI notes (1 to 32) that can be held simultaneously.

It does this by "note stealing"-newly arriving notes will cause some currently held notes to be turned off, once the voice limit is reached (see the Priority parameter below).

To create a new voice limiter, select New > Voice Limiter.

Normally you will assign the voice limiter to an Arrange track, and cable its output to the instrument object whose voices you want to limit. Or, you could cable it between an instrument object (breaking its internal port connection) and a port object.

Parameters

- Voices
This is where you define the maximum number of simultaneously played voices, from 1-32.

- Priority
This is where you define which notes get stolen (i.e. turned off) when the number of held notes exceeds the limit.
Top = lowest notes are turned off first.
Bot = the highest notes are turned off first.
Last = the earliest notes are turned off first.


Chord Memorizer

The Environment > Environment Objects > Chord Memorizer

The chord memorizer maps individual notes to chords. You can assign one chord to each pitch class (i.e. to C, C#, D, etc.).

The octave of the incoming note determines the octave of the resulting chord. A chord can have from 0 to 12 notes in it. (Zero and one note chords can be useful for creating scale-filters and scale-correctors.)
The easiest way to use the chord memorizer is to connect its output to the instrument that you want to have play the chords, and assign it to an Arrange window track. You can, of course, put it anywhere else in the MIDI signal path that is convenient.

To create a new chord memorizer, select New > Chord Memorizer.

Parameters

- Cha
All chord notes will be output to the channel set here.

- Lim
Notes within this range are mapped to chords. Notes outside the range are passed through unaltered.

- Trp
The output chords are transposed by the amount set here (+/- 99 semitones).
Example: if you map C to the chord CEG and set transpose to 1, then C will be mapped to C#FG#.

- Key
The entire chord map is transposed by the amount set here (+/- 99 semitones).
Example: if you map C to CEG and set key to 1 then C# will be mapped to C#FG#.
Example: if you want to map single notes to triads within a given key, first set the key then define each of the triad chords (see below). When you want notes mapped to the triads in a different key, just change the key parameter.

Chord Memorizer Window

Double-clicking on the chord memorizer opens the chord memorizer window, where you can set up the chord definitions.

The top keyboard is for inputting/displaying the incoming note, and the lower keyboard is for inputting/displaying the assigned chords. Notes can be input using the mouse, or a MIDI keyboard.

Remember to use notes on the top keyboard within the Lim range. Also remember that you can only define one chord for each of the 12 pitch classes (i.e. C, C#, D, etc.). You can of course, use more than one chord memorizer.

- Entering Chords with the Mouse

  • First click the input note on the top keyboard. All notes in the associated chord will become inverted on the bottom keyboard.
  • Next, click notes on the bottom keyboard until the inverted notes make up the chord you want. You can click notes either on or off on the bottom keyboard. Also, you don't have to stay within the same octave as the input note.
  • When you have the chord you want, select another input note, or close the chord memorizer window.

- Entering Chords from Your MIDI Keyboard

  • First play the "input note".
  • Next click the Listen checkbox. The bottom screen keyboard is inverted to indicate it is ready to record.
  • Now play the notes in the desired chord. (You can play them one at a time or as a chord.) If you make a mistake, uncheck the Listen checkbox, then check it again to start over.
  • When you have the chord you want, uncheck the Listen checkbox and play a new input note, or close the chord memorizer window.


Touch Tracks

The Environment > Environment Objects > Touch Tracks

Touch Tracks turns Logic into an interactive live sequencer. A touch tracks object allows you to trigger MIDI sequences or folders with single notes.

You can not use Touch Tracks to trigger audio. In the following section, any references to sequences means folders as well.

To create a Touch Tracks object, drag a sequence or folder from the Arrange window into the Environment window or select New > Touch Tracks. To use a Touch Tracks object, simply assign it to an Arrange window track, or put it anywhere in the MIDI signal path.

Here are some things to remember:

  • Only the Touch Tracks input has meaning-the trigger notes must appear here. Although there is an output triangle, it has no meaning-no events ever appear here.
  • Sequences triggered by Touch Tracks play exactly as they would from the Arrange window. In particular, they play back through the instruments assigned to their tracks.
  • Logic's Transport must be running for Touch Tracks to work.

The Touch Tracks Window

You open the Touch Tracks window by double-clicking on the the Touch Tracks object. This window is set up similarly to the mapped instrument window-the input note is selected using the keyboard on the left, and the output sequence assignment and parameters are set in the columns of the corresponding row.

Sequence Note Assignment

Dragging a sequence into the Environment initializes a Touch Tracks object, so that initially all notes trigger this sequence. (Middle C plays it at its original pitch, and all other notes transpose it relative to middle C.)

In the Input column, you can see the input notes, and to the right, in the Sequence/Folder column, the names of the assigned sequences or folders. On the vertical keyboard to the left, you can select individual notes or whole pitch ranges, by grabbing and dragging. If you then drag a sequence from the Arrange window, it will only be assigned to the selected note(s).

Remember that with the following parameters, all settings also apply to multiple selections.

A vertical gray line means that the setting is the same as the line above. If you change a vertical gray line that is above another vertical gray line, the lower one will change to display its previous value, (i.e. it will no longer be the same as the line above.)

Group

To the left of the sequence name is the group column. Groups work the same way as they do in the Hyper Editor-when you trigger a sequence, any other sequences in the same group that were playing will stop.

The off setting means that the sequence is not assigned to any group.

Transposition

When you drag a sequence to a key in the Touch Tracks window, that key triggers the sequence at its original pitch (i.e. without transposition). If you want the sequence transposed, you can set the amount in the Trp column (± 99 semitones).

If a key range is selected when you drag the sequence to the Touch Tracks window, then incremental transpositions will automatically be set for adjacent keys.
When you create a Touch Tracks object by dragging a sequence into the Environment, C3 triggers the sequence at its normal pitch, and all other keys trigger it transposed relative to C3.

Velocity Sensitivity

In the Velocity column, you can set how much the velocity values of the played sequences are affected by the velocity value of the trigger note: by 100% (meaning a lot), 50% (meaning a little) or off (meaning not at all).

Trigger Modes

The Trigger column sets how sequence playback is handled:

- Multi
Playing the trigger note starts the sequence. Playing it again starts the sequence again, without stopping the original version.

- Single
Playing the trigger note once starts the sequence. Playing it again stops playback, and starts the sequence over.

- Gate
The sequence plays until the trigger note is released (or until the sequence ends).

- Gate Loop
The sequence loops until the trigger note is released.

- Toggle
Playing the trigger note starts the sequence. Playing it again stops playback.

- Toggle Loop
Playing the trigger note starts the sequence looping. Playing it again stops playback.

Start

In this column you can quantize how sequences start and stop. Free means there is no quantization. The next 1/16, 1/4 or 1/1 settings start or stop the sequence at the next 1/16 or 1/4 note or at the start of the next bar, after a trigger note is input.

Delay

In this column you can assign the sequence a delay. As in the sequence parameter box, the delay is set on the right side of the column in ticks, or on the left side in note values.

You can use Delay and Start together to make sequences start at any position in the measure. (e.g. Set Start to 1/1 and set Delay to 480 ticks to start playback at the second 8th note in the measure.)


Physical Input/Sequencer Input

The Environment > Environment Objects > Physical Input/Sequencer Input

The Physical Input represents the MIDI inputs on your PC MIDI interface; the Sequencer Input symbolizes Logic's MIDI input. You can (and should) have only one of each of these objects in the Environment. The default Sequencer Input is labelled "to Recording & Thru".

To create an input object, select New > Physical Input or New > Sequencer Input. To make use of an existing object, drag it onto the relevant layer. This will not affect its cabling.

Physical Input

The physical input represents the MIDI inputs on your PC MIDI interface. Each Song can have only one physical input object. You only need to create a physical input object if you have deleted the one that was there when the Song was created. In this case, select New > Physical Input.

The physical input object is where the MIDI signals are received from the inputs of the MIDI interface(s) connected to your computer.

The top output (SUM) carries the MIDI events for all of the individual outputs which are not cabled separately. Cables connected to the individual outputs below the SUM will route the signal of those inputs separately.

MIDI Remote Control

Remote control events are intercepted at the physical input, and are not passed through to its outputs. Therefore, remote control events will not reach the Environment, or be recorded on Arrange window tracks. If you want to trigger a MIDI Remote Control action from a fader or transformer, cable that object's output back into the physical input object.

Sequencer Input

MIDI events arrive at Arrange window tracks thru the sequencer input object. If nothing is cabled into the sequencer input object, nothing can be recorded in Logic. Typically, the physical input is cabled directly to the sequencer input but other objects can be inserted between them. Typical candidates are a monitor, a keyboard object or a cable switcher feeding various effects such as arpeggiator, a delay line, etc. (See the Clicks & Ports layer of the Logic default Song.) You can also cable the output of complex Environment processes back into the sequencer input object in order to record the processed signal.

Each Song can have only one sequencer input object. You only need to create a sequencer input object if you have deleted the one that was there when the Song was created. If you do need to create one, select New > Sequencer Input.


MIDI Metronome Click

The Environment > Environment Objects > MIDI Metronome Click

The MIDI metronome click object is used to create note events at bar, beat and division intervals.

There is a button on the Transport Bar to turn the MIDI metronome click on and off.

A long click on this button will allow you to open the Options > Song Settings > Metronome Settings. Here you can also set the MIDI metronome click to activate during recording and/or playback. This dialog mirrors the settings in the parameter box of the MIDI metronome click object: Checkboxes for Bar, Beat and Division allow you to generate note events separately for bars, beats and divisions. The Cha, Note and Vel parameters define the MIDI channel, note # and velocity of the generated notes. The parameter MIDI Port allows you to set a direct output port for the metronome.

Each Song can have only one MIDI metronome click object. You only need to create a MIDI metronome click object if you have deleted the one that was there when the Song was created. If you do need to create one, select New > MIDI Metronome Click.


Internal

The Environment > Environment Objects > Internal

AutoLink Object

This object is designed to supply a direct internal connection to other MIDI applications which support the AutoLink standard that is used by Logic and SoundDiver.


MIDI Out

The Environment > Environment Objects > MIDI Out

Port objects represent the MIDI output(s) of your MIDI interface(s). You can also use them to address the internal synth on your soundcard.

To create a port object choose New > MIDI Out.

You can use the lowest line in the parameter box to set the MIDI output driver for the port object. The signals from all the MIDI cables which you plug-into this object will then be sent via the MIDI output you've chosen.

Remember that you can also address any of your MIDI output ports directly from any of the instrument objects (and the GM mixer object as well).


Alias

The Environment > Environment Objects > Alias

You can create an alias of any Environment object, and it will behave exactly like the original. In the case of faders, the alias has its own value which can be different than the value of the original. This is particularly useful in the case of text faders which take up a lot of memory-if you need several text faders with the same names, use one original and make the rest aliases.

To create an alias of any object, first select the object, then select New > Alias.

Aliases can be reassigned using meta events, and there is a special fader for accomplishing this which works something like the cable switcher. You can create an alias assigner by selecting New > Fader > Specials > Alias Assigner. This will create a meta fader whose -1- definition is set to 46.

To use the alias assigner, cable its top outlet to the alias, and cable subsequent outlets to the various originals you want to assign to the alias. If you set the alias assigner's maximum range to the number of original's, minus 1 (we're counting from 0 here), you can then connect the next cable to a new alias and subsequent cables to originals for that alias. In this way, the alias assigner can be used to assign multiple aliases at the same time.

One situation where you might use an alias assigner, is to switch a delay line alias between different original delay lines with different delay times. This is one way of simulating MIDI control over delay time.

Alias Parameters

Although aliases share the parameters of the original objects from which they are made, they also have their own, special parameters:

- Icon & Instrument List Checkbox
As usual, the checkbox next to the word Icon determines whether the alias appears on the Arrange window's Instrument List, and you can assign any of the usual icons to it.

- Ref
The Ref menu is used to select the original of which the alias is an alias. It is the same as the Arrange window's Instrument List.

- Channel
For everything except faders, the channel parameter causes all events leaving the alias to be channelized to the selected channel. (If the setting is All, then their channel will be unchanged.)

For faders, the channel parameter causes the alias to act as if the original fader's In and Out definitions both were set to that channel. (Again a setting of All results in no change.)

- Share Name/Share Size
These two parameters do just what they say-when checked the alias shares the size and/or name of the original, and if not, it can be resized and given its own name.

Copying Aliases

If you copy an alias by itself, you will get a new alias of the same original. If you select and alias and its original and make a copy, you will get a copy of the original with its own alias.


Ornament

The Environment > Environment Objects > Ornament

You can create an ornament by selecting New > Ornament. Ornaments are simply solid backgrounds behind other Environment objects. An ornament never "covers" the objects behind it, and you can still select multiple objects by rubber-banding.


Macros

The Environment > Environment Objects > Macros

Macros are not actually Environment objects at all, they are collections of other Environment objects, together with their cabling. To create a new macro, first select all the Environment objects to be included, then select New > Macro. Logic will enclose all the selected objects in a frame with a gray background. The macro will automatically be named after its input and output objects, separated by a dash (see below).

You can create a "protected" macro by holding alt while creating the macro. Protected macros can not be unpacked so be sure that you make a copy of the objects and cabling before creating a protected macro.

Macros have a lot in common with standard Environment objects-you can connect cables to and from them, they can be resized, they have there own parameters and icon, they can be placed on the Arrange window's Instrument List and they can be copied or dragged between Environment layers (including between different songs).

Macro Input and Output

Since a macro is a collection of objects, individual objects need to be specified as the macro's input and output. This can be done in two ways: by name or by default. If you name one object "Macro-In" and name another object "Macro-Out" these will automatically become the macro's input and output. If there is no object named "Macro-In" then the upper-leftmost object will become the macro's input. If there is no object named "Macro-Out" then the lower-rightmost object will become the macro's output. Cables leading into the macro will deliver their events to the macro's input object, and cables leading from the macro's outlets will carry events leaving the macro's output object.

Macro parameters

Macros have four parameters:

- Icon & Instrument List Checkbox
As usual, the checkbox next to the word Icon determines whether the macro appears on the Arrange window's Instrument List. If you use a macro as a track instrument, events played on the track, or incoming MIDI events when the track is selected, will be sent to the macro's input object (see above).
If you place a macro on the Instrument List, you can choose any of the available icons for it, using the pop-up menu as usual.

- Auto Fader
If you select a group of faders, and create a macro from them, checking this box will make them act as if they were cabled serially.

- Show All
This checkbox determines which objects will remain visible when collected in a macro. When it is checked, all objects will be visible (assuming the macro is not resized to hide some of them). When it is unchecked, only faders, monitors ornaments and keyboard objects will be visible. (You can toggle this checkbox at any time.)

Special Macro Features

- Unpacking
You can turn any macro back into its component objects and cables, by double-clicking in any empty region of the macro object.

- Size Limitations
Macros are limited in size-the limit depends on the memory taken by the individual objects within the macro. Typically this limit is between 100 and 200 objects.

- Nesting Macros
You can nest macros-i.e. a macro can contain other macros as objects.

- Cables Leading Outside of the Macro
If some of the objects you select when creating a macro have cables leading to objects not selected, these cables will be deleted when the macro is created, and a warning dialog will notify you of this. In this case, the macro is made from a copy of the original selection of objects and the original collection of objects remains unchanged. If no cables lead to unselected objects then the macro is made from the original objects.


Faders

The Environment > Environment Objects > Faders

Faders are used to send MIDI events by clicking with the mouse on the screen. Faders come in different forms (e.g. knobs, sliders, numericals, and buttons). Faders will respond to incoming MIDI events.


Audio Objects

The Environment > Environment Objects > Audio Objects

The Environment Audio Object is the "building block" of the Environment Audio Mixer. They are also used to create audio tracks in the Arrange window-audio tracks are just tracks with audio objects assigned to them.

Although Audio Objects are not part of the MIDI signal flow, they still allow MIDI controller messages to control aspects of Logic's audio playback. Any MIDI object can be cabled into an audio object and thereby feeding control data into the audio object.


Wave Player Object

The Environment > Environment Objects > Wave Player Object

The Wave Player is an object in the Layer Click & Ports of your Environment. There is always one Wave Player object. You can not create additional Wave Player objects.

The Wave Player allows you to trigger sound files in the WAV format-i.e. files with the extension *.wav-with MIDI note events in the Arrange window. It might be regarded as a software sample player for WAV files: WAV sound files or parts thereof can be assigned to MIDI notes. Their playback can then be triggered by those notes, either out of recorded sequences or directly from a MIDI keyboard. It is also possible to set a transposition value for each file assignment.

Detailed information about the Wave Player can be found in section The Wave Player.


Overview

The Environment > Faders > Overview

To create a new fader, select New > Fader > ... A sub-menu appears, where you may select the style of fader you want. There's also a sub-menu at the bottom named Special, for selecting various special types of faders (e.g. cable switcher, meta-fader, etc.).

The style of a fader is how it looks on screen (i.e. slider, knob, menu, numerical...) and how it responds to the mouse (i.e. click & drag, double-click & type a number, click & select from a menu...). The Auto style fader, which is the default style if you create a fader with a key command, changes styles as you change its shape and size.

The type of fader determines what events the fader sends out and responds to. In two cases: the cable switcher and the alias assigner, the fader doesn't send out events at all. The cable switcher routes events to its different outlets, and the alias assigner changes the references of fader aliases.

In general, a fader's style is completely independent of its type. A cable switcher can look like a button, a knob can send out MIDI or meta or Sysex events, etc. The one exception is the Vector style fader-these behave in a special way by sending out two (or in special cases, four) messages at a time, depending on the mouse location within their 2-dimensional, vector window.

Don't worry about selecting the wrong fader style or type from the New menu-you have complete control of a fader's style and type from its parameter box.

Some of the styles have numerical displays. When there is a numerical display, you can double-click it to enter exact values by typing. Otherwise, when you scroll any of the sliders or knobs, the series of values that are sent out depends on the fader size and scrolling speed-i.e. not every consecutive value is sent out. (If you click & drag slowly on the numerical you can get all consecutive values.)

The text-style fader, behaves like a pop-up menu. If you double-click it a window will open, where you can type in the names for each of the menu positions. There is also a checkbox so that you can make the names scroll, rather than choosing from the menu.

The vector-style fader allows you to scroll in two directions, and it sends out two values, one corresponding to the vertical position and the other to the horizontal position.

The cable switcher, the vector, routes all incoming events to the selected output. As with most objects, cabling one outlet automatically produces another. Clicking the cable switcher causes it to change to the next output.


Operation

The Environment > Faders > Operation

Normally you grab the surface of a fader with the mouse pointer or pencil, and drag it vertically or horizontally, depending on what style it is. Knobs can be dragged either vertically or horizontally.

When there is a numerical display, you can grab this number and use the mouse as a slider. The advantage of this is that if you drag slowly, it will move in increments of 1, regardless of the size of the object. When using the fader itself as a slider, values may jump in larger increments, depending on the size of the fader and speed of dragging. You can also change the values in steps of 1, by dragging on the slider or knob while holding down alt.

Buttons send out only two values, the lowest and highest of their range, which you may set in the parameter box. You change a button's state by clicking it.

Working with Object Groups

When building a virtual mixing desk or synthesizer control panel in the Environment, you often have to deal with large groups of fader objects, which have the same size, regular spacing and/or a similar definition. To save time with the definition and alignment of these groups you can define (one or more) objects as prototypes (templates) by copying them onto the clipboard (Edit > Copy or ctrl c ). You may then apply certain charecteristics of the template to selected objects.

- Size and Alignment
The function Options > Apply Buffer Template to > Size, allows you to transfer the size of the prototypes to the selected objects.
To align a group of objects, choose 2 objects in a row, or 2 objects in a column, or 4 objects in 2 rows and 2 columns, whose horizontal and vertical alignment you want to transfer to the group, and copy them into the clipboard. You can then transfer this alignment by selecting the function Options > Apply Buffer Template to > Position, and the selected objects will be positioned at the top left corner, in the same way as in the prototype.
Options > Apply Buffer Template to > Position and Size combines both the above functions.

- Definition
The function Options > Apply Buffer Template to > Definition transfers the parameters of a copied prototype to all selected objects. If several prototypes of the same type are available, the one with the most similar size is used.
... > Definition, channel increment increases the channel number from object to object, beginning with the top left object. It is not necessary for the selected objects to have the same In or Out definition as the prototype.
... > Definition, number increment increases the first data byte of the definition (e.g. controller #).

- Cabling serially
Using Options > Cable serially, you can connect all selected objects in series, beginning with the object at the top left.

- Names with Numbers
If you select a group of objects then label one of them with a name that ends in a numeral, the remaining objects will be renamed with the same name, but increasing numerals. (e.g. Selecting several objects and naming one of them "Object 1" will result in the names "Object 1", "Object 2", "Object 3", etc.)


Special Functions

The Environment > Faders > Special Functions

Grouping Faders

If you select several faders and move one of them, all the selected faders will move proportionally. As long as all the faders remain selected, their proportional positions will be retained (even after one or more of the faders has reached its minimum or maximum position).

Moving the fader group with ctrl pressed, changes all values linearly (the absolute value differences are maintained).

Moving the fader group with shift ctrl pressed, changes all faders to the same value.

Sending Fader Values

You can use the functions Options > Send All Fader Values and ...> Send Selected Fader Values to make all fader objects or all selected fader objects send their current values. Using this function in conjunction with Logic's Record/Pause mode, allows you to record a "snapshot" of all current fader positions. This is especially useful for virtual mixing desks, or synthesizer panels. (Send All Fader Values only sends values for faders whose outputs are cabled to other objects.) The option Send All Fader Values after loading in the MIDI Options page of the Song Settings causes all fader values to be automatically sent after a song is loaded.

Resetting Fader Values

With Options > Reset Selected Faders all selected faders are set to zero and transmitted.


Recording and Playback of Fader Movements

The Environment > Faders > Recording and Playback of Fader Movements

Recording Fader Movements

You don't need any special cabling to record the data generated by a fader. All data generated by faders is recorded on the selected track when Logic is in record or record/pause mode. The recorded events correspond to the out definitions of the faders.

Playing Back Fader Movements

Any fader will react to incoming events matching its In definition. The fader must, of course, be in the MIDI signal path. Typically you accomplish this by cabling the track instrument into the fader. For purposes of automated mixing, it is useful to create a new (standard) instrument just for the purpose of automating the faders. Ensure that the instrument (which you might conveniently name "playback") has no direct MIDI output, that its channel setting is All and that it is cabled into the first fader in any chain of faders cabled serially.


Fader Styles

The Environment > Faders > Fader Styles

The fader's style is shown in the line under the icon. It can be changed by clicking on the current style name, and selecting the new style from the resulting flip-menu.

Remember that a fader's style does not usually affect its function-i.e. you can select the most convenient style for the desired application.

Here are notes on some of the fader styles:

Vertical/Mute

This is exactly like the Vertical 4 fader style, with an added mute button. When you press the mute button, the fader sends an event matching its Out definition with value 0. While the mute button is down, the fader's movements are not sent. When you release the mute button, the current fader value is sent.

Numericals

When a fader has a numerical display, you can double-click the numerical and type in a new value. If you use the numerical for slow scrolling (i.e. click and drag slowly on the numerical), the fader values will change in steps of 1.

Buttons

Button style faders send only two possible values corresponding to the minimum and maximum of their range. When you click the button on (hollow or Xed in the illustration), the maximum value is sent, and when you click the button out (filled or not Xed in the illustration) the minimum value is sent. If the minimum and maximum range parameters are set to the same value, then the button sends out this value each time it is clicked.

Text

Text faders function like Numerical faders, but can display text for each of the 128 possible MIDI values (0 thru 127). Double-clicking on the surface of a text fader opens the text fader window.

Clicking on a position in this window will cause the corresponding fader value to be sent. (This is similar to selecting programs by name in the multi-instrument window.) Double-click on a position in this window to type in the text for that position. By default (i.e. when you create a text style fader) the text positions contain the numerical values. (You can use this feature to create numerical style faders with colored backgrounds.)

- Clipboard Functions
The flip menu located at the top right of the text fader window provides cut, copy, and paste clipboard functions. You can use this to transfer the entire list of text names to a text editor (e.g. a marker text window in Logic), for more convenient editing. Note that empty lines, and lines containing only spaces are ignored, so to insert blank positions in the list, use alt space .

- Behave as Menu
Check the Behave as menu box to cause the text fader act as a flip menu. When this box is not checked, the text fader acts as a scrolling menu.

- Text Fader Range
A text fader will only allow you to enter as many names as are in its range. (E.g. if you set a text style fader's range to 0, 1 you can only enter two values.) You should always set the minimum range necessary for a text fader, as this saves memory. In any case, remember that the first name corresponds to the lowest value in the range (not necessarily 0) and the last name corresponds to the highest value (not necessarily 127).

If you force a text fader to a value outside its range (i.e. with MIDI input) it will display "---" for values below its range and "+++" for values above. The one exception is when the fader's range is 0, 1 in which case all values above 1 will display the name for value 1.


Fader Functions: MIDI Events

The Environment > Faders > Fader Functions: MIDI Events

Each fader has an In and an Out definition. The In definition determines the kinds of MIDI events that can remote control the fader (i.e. the types of events it reacts to). The Out definition determines what kinds of MIDI events the fader sends out. (A fader can, therefore, convert one type of MIDI event to another.)

Most MIDI events consist of three bytes. The first one indicates the type and channel of the MIDI event (e.g. a note on channel 3). The second one indicates the first data value (e.g. the pitch in the case of note events) and the third one indicates the second data value (e.g. velocity in the case of note events). A few MIDI events use only two bytes (program change & aftertouch). Although faders (and transformers) always provide for 3 bytes, the second one is thrown away for these special, 2-byte messages.

Fader parameters are provided for setting the message type, MIDI channel and the first data value. (Note that the message type and MIDI channel are actually combined in the resulting MIDI event.) The second data value is determined by the fader setting, or in the case of remote control, by the incoming MIDI event.

Here are the In and Out definition parameters:

Out (or In): defines the event type (use the flip menu shown in the diagram).

Channel (1-16): defines the MIDI channel of the event.

-1- (0-127): defines the first data byte of the event. In some cases like pitch bend this is an actual data value. In other cases like MIDI controllers,

This indicates the controller type (e.g. volume, pan, etc.). In still other cases like aftertouch, this byte is unused.

Here is the meaning of the -1- parameter and fader position for each of the In and Out definition choices:

- Note On
The -1- parameter sets the pitch and the fader position sets the velocity. This is most useful as an In definition for trapping specific notes and converting them to other MIDI events, or simply monitoring their velocity. (If you move a fader whose Out definition is set to Note On, then a note-off MIDI event will immediately follow the note-on. This might be useful for creating on-screen drum pads from button-style faders, for example.)

- P-Press
The -1- parameter sets the pitch and the fader position sets the Poly Pressure amount (i.e. the key pressure).

- Control
The -1- parameter sets the MIDI controller number (i.e. the controller type) and the fader position sets the controller value. The controller type can actually be selected by name, using the flip menu that appears when you click and hold the -1- parameter.

- Program Change
The -1- parameter is ignored. (In earlier versions of Logic, this sets the program bank.) The fader position determines the program number.

- C-Press
The -1- parameter is ignored. The fader position sets the channel pressure (a.k.a. aftertouch) amount.

- PitchBd
The -1- parameter sets the pitch bend LSB, and the fader position sets the MSB. Typically you would set the -1- parameter to 0 and use the fader to control the "coarse" pitch bend amount. (No pitch bend corresponds to a -1- setting of 0 and a fader position of 64).

The Sysex and Switcher/Meta functions are described elsewhere: see both the section Sysex Fader and the section Cable Switchers.


Fader Functions: Range, Val as

The Environment > Faders > Fader Functions: Range, Val as

Range

The range parameter contains two numbers-the left one sets the lowest possible fader value, and the right one sets the highest. (Note that these limits can be exceeded using MIDI remote control.) When the fader style is a button, the range determines the in and out position values of the button.

For text style faders, the first name always corresponds to the low end of the range, and the subsequent names correspond to incrementing range values up to the top of the range. The number of names you can enter into the window is limited by the range.

Val as

This parameter determines the way the fader value is displayed numerically:

- Num
The fader value is displayed directly as a number (0-127).

- Pan
The fader value 64 is displayed as "0"; smaller values appear as negative numbers and larger values as positive numbers (-64 to 63).

- Hz, Oct, dB, ms
These display formats are tailored to various DSP functions.

- bpm
An offset of 50 is added to the fader value. This displays the correct tempo settings for the special Tempo Control fader.
If none of the above formats is suitable, consider using a text style fader and entering the desired display values as text. Examples include percentages, note names and program names.


Fader Functions: Filter

The Environment > Faders > Fader Functions: Filter

This parameter provides various filter options for MIDI events reaching the fader:

- off
All incoming MIDI events are allowed to pass through. All events that match the input definition are converted in accordance with the output definition.

- Other
All MIDI events which do not correspond to the input definition are filtered. All the events that match the input definition are converted in accordance with the output definition, and allowed to pass through.

- Match
All MIDI events which match the input definition are filtered, all the others are allowed to pass.

- All
All incoming MIDI events are filtered.

- Thru
All MIDI events coming from the Physical Input are filtered. This is the same as off for all events coming from Logic (i.e. from sequences or the Environment).

Use this filter mode to prevent MIDI feedback by blocking incoming MIDI events from being sent back out.

- Shot
When the fader is moved with the mouse, only the final value (the value when the mouse button is released) is sent.

- 14Bit
Used in conjunction with pitch bend, this allows 2-byte (i.e. fine tuning) pitch bend events. Used with controller messages, this causes the fader to send two MIDI controller messages-one for the MSB and one for the LSB.

For the 14Bit setting to work, the fader's In and Out definitions must be the same. For controllers, the MSB uses the In definition controller number and the LSB uses the controller number 32 higher. This conforms to the MIDI standard for sending 14-bit controller data.

Note that with this filter setting, the fader's range maximum can be set to 16383 and a fader value of 8192 represents no pitch bend.

Feedback

When the Feedback parameter is unchecked, the fader will automatically prevent feedback loops resulting from circular cabling. (I.e. the fader remembers when a specific MIDI event has passed through it and will not allow it to pass through again.) In some instances, you may want to allow this feedback-for example, to allow a MIDI event to change a cable switcher's position after it has passed through the switch. Checking the Feedback checkbox will allow this.


Vector Fader

The Environment > Faders > Vector Fader

Vector faders function like joysticks-they can be moved in two dimensions: up/down and right/left. Each dimension generates to its own MIDI events, so that each time you change the position of the crosshair with the mouse, two MIDI events are sent.

Most faders have In and Out definitions (see here) which determine what MIDI events the fader sends (Out) and reacts to (In). The vector style fader replaces these with Vert and Horz definitions, which determine what MIDI events correspond to vertical and horizontal motion. If you cable corresponding MIDI events into the vector fader, it's crosshair display will update accordingly.

4-Channel vector mode

If you set a vector fader's Vert and Horz definitions to the same MIDI event (e.g. the same MIDI controller & channel), the vector fader will send out four MIDI events each time the crosshair is moved. These will be the same MIDI event (e.g. controller) on four consecutive MIDI channels, starting with the channel set in the Vert definition.

The values of these MIDI events will correspond to the closeness of the crosshair to the vector fader's four corners-upper-left for the lowest channel then upper-right, lower-left and lower-right respectively for the next 3 channels. In the center, all channels receive value 32. At the corners the corresponding channel receives value 127 and all remaining channels receive value 0. This is with the default range of 0 to 127. If you alter the range, the center and corners will behave differently but mysteriously, the four values will always add up to 125.


Special Faders Overview

The Environment > Faders > Special Faders Overview

Switchers, Alias Assigners & Meta Faders

These are two types of faders that do not generate MIDI events. They share the same Out definition type-the one at the top of the definition menu. This selection will either display Switch or Meta depending on the current -1- value setting:

  • If the -1- value is 48 then the fader will be a cable switcher.
  • If the -1- value is 46 then the fader will be an alias assigner.
  • If the -1- value is anything else then the fader will send out meta-messages whose type corresponds to the -1- value.

To create a cable switcher, either select New > Fader > Specials >Cable Switcher... or change an existing fader's Out definition to Switch/Meta, and set its -1- value to 48.

To create an alias assigner either select New > Fader > Specials >Alias Assigner... or change an existing fader's Out definition to Switch/Meta, and set its -1- value to 46.

To create a Meta type fader, either select it from the New > Fader > Specials >... menu, or change an existing fader's Out definition to Switch/Meta, and set its -1- value to the desired meta event number.


Cable Switchers

The Environment > Faders > Cable Switchers

Cable switchers route events rather than generating them. Any kind of MIDI or meta event can be routed by a cable switcher. The only exception is events which match the cable switcher's In definition. These events will change the switch position (i.e. the routing) rather than passing through the switch themselves.

A cable switcher can have any fader style. In particular, using the text fader style allows you to label the switcher's various routes. Use the Auto-style to actually display the switch routing, as shown here.

A cable switcher can have up to 128 separate outlets-a new outlet is generated each time an existing one is cabled to something. You can click on an auto-style cable switcher to step through the outlets (including the last, uncabled one). Incoming events matching the cable switcher's In definition will change the switch position to match the incoming data value. (If the data value is greater than the number of switch positions, the last, uncabled outlet will be selected.)

Data values of 126 and 127 have a special effect:

  • An event with a value of 127 increases the output number. If you're on the switcher's last output when this event is received, you jump back to the first output. This is just like clicking on the fader.
  • An event with a value of 126 decreases the output number. If you're on the switcher's first output when this event is received, you jump forward to the last output.


Meta Event Faders

The Environment > Faders > Meta Event Faders

Meta faders generate special events called meta events, which are used to control certain Logic functions, but have no MIDI meaning, and are never sent to the MIDI output.

In some cases (e.g. Goto Screenset, Goto Song, etc.), you do not need to cable meta faders to anything for them to work, but even in these cases you can use cabling to process meta events in the Environment, and therefore alter their effect. In the majority of cases (e.g. Set fader range minimum, Bang!, Set Transformer Operation Minimum, etc.) the meta-fader must be cabled to the object being affected.
Here's a quick summary of the currently implemented meta events that can be generated by faders:

46: Assign Alias

49: Goto Screenset

50: Goto Song

51: Goto marker

52: Stop playback

96: Set fader range minimum

97: Set fader range maximum

98: Set the fader value without sending.

99: Bang! Cause the fader to re-send its current value. The bang events data value can be used to cause the fader to increment-without-rollover (127), decrement-without-rollover (125), increment-with-rollover (123) or decrement-with-rollover (121). Use even values one less than those shown, to have the bang passed through to all connected faders.

100: Tempo Control

122: Set transformer map value for the currently selected map position.

123: Select transformer map position.

124: Set transformer condition maximum (bottom) parameter, if any. (This applies to all conditions not set to All.)

125: Set transformer condition minimum (top) parameter, if any. (This applies to all conditions not set to All.)

126: Set transformer operation maximum (bottom) parameter, if any. (This applies to all operations not set to Thru.)

127: Set transformer operation minimum (top) parameter, if any. (This applies to all operations not set to Thru.)

For more on Meta events 124-127, read the section Remote Controlling the Condition and Operation Values.

Goto Marker /Screen Set / Song

Selecting New > Fader > Special > goto Marker creates a fader which allows you to enter a marker number (Meta event 51); the Song position line then moves instantly to the marker with that number. Markers are numbered sequentially, throughout the song, even if you have renamed them from the default numbers they had when first created.

Selecting New > Fader > Special > goto Screenset creates a screenset fader (Meta event 49): you can then switch to the screenset with the number you select using the fader.

Meta event 50 has no effect within Logic, but you can use it to switch Songs on an external hardware sequencer.

Meta event 52 allows you to interrupt playback at any position.

To make the most efficient use of these faders, we recommend that you limit the value range to suit your particular circumstances, for example so that you limit the faders to operate on just the number of screensets, Songs or markers you're actually using.


Overview

The Environment > Sysex Faders > Overview

The Sysex fader type (the last selection on the fader definition menu) is slightly different than the other fader types. It allows you to create a list of MIDI events that will be sent whenever the fader is moved or remote controlled. You enter the messages to be sent in a window that resembles Logic's Event editor, except that the time positions serve only to control the order in which the events in the list are sent-they are not sent at specific times, or with any delay between them.

The Sysex fader type was originally intended for sending MIDI System Exclusive (SysEx) messages-messages that are exclusive to individual manufacturers' MIDI devices. There are a number of built in features in the Sysex fader's window (see below) that facilitate creating Sysex messages. But, remember that Sysex faders can be used for any kind of MIDI event, and are therefore, very handy for sending ordered batches of messages, like mixer or control panel snapshots with one click of the mouse.

You can also specify Sysex as an In definition, but this has limited usefulness because incoming message (presumably Sysex) must be very short to be recognized. This is an artifact of the fact that Sysex messages can be of any length, and Logic must break them up in to small packets to avoid interrupting other MIDI activities.

Opening the Fader Event Editor window

When you set a fader's Out or In definition to Sysex, its event list window opens up. You can also open this window at any time by double-clicking on the word Sysex in the fader's parameter box.

An important thing to remember about the Sysex fader is that only those events that are selected when the event list window is closed will have their value altered by the fader value. Events which are not selected will be sent exactly as they appear in the window.

Those events that are selected will have the value in the Val column of the list altered if they are normal MIDI events (i.e. controllers, program change, aftertouch, etc.). For Sysex messages, you can set both which byte(s) are altered, and the format (e.g. MSB/LSB, BCD, nibbles, etc.) that the value will take. You can also specify a checksum format, if necessary.


Creating a Sysex Message

The Environment > Sysex Faders > Creating a Sysex Message

There are two ways of entering Sysex messages in the Sysex fader's event list. One way is to have the fader "learn" the sysex string. To do this, you manually operate your synthesizer to have it send the corresponding Sysex message, using its onboard controls. Here's how:

  • If you haven't already done so, connect the MIDI output of the synthesizer to the MIDI input of your computer.
  • Click the MIDI In button in the top left. If the button is red, this means it is ready to receive incoming MIDI data.
  • Alter the parameter on your device. The corresponding Sysex message will be displayed and the MIDI In button will switch off automatically.

Another way is to type the sysex string into the event list. (Consult your MIDI devices manual for Sysex documentation.) Using this method qualifies you as a confirmed MIDI freak. Here's how:

  • Click the Sysex button with the right mouse button. A generic Sysex message appears.
  • The first data byte in the top line (directly after the word Sysex in the "NUM" column) gives the manufacturer's ID. This may be several data bytes long (since there are more than 128 manufacturers of MIDI devices).
  • Usually the manufacturer's ID is followed by a device type ID, an individual device ID, a data type ID (which could be several bytes), if necessary the number of the multi-timbral sub channel, the identification number(s) of the sound parameters plus the value of the sound parameter. But there are no standards here.
  • The data bytes are normally input as decimal numbers. To enter them in hex, place a "$" in front of values when you type them in. View > SysEx in Hex Format allows you to see all the values in hexadecimal (for more on this, read the section on using Sysex displayed in hex, in Chapter 9).
  • The last data byte (the "EOX "indicating the end of the Sysex message) is entered automatically by Logic. The number of data bytes in the Sysex message can be decreased or increased by clicking one of the two arrows before and after the word < EOX >.

Although you can have any number of messages of any kind in the Sysex fader's event list there is only one fader value, and all selected messages will adopt this same value.

You can use a similar method to create any kind of MIDI or meta event in the Sysex fader window. Clicking any of the 8 event type buttons (note, program number, pitch bend, controller, channel pressure, poly pressure, Sysex and meta event) with the right mouse button creates a new event of that type. (Meta events are created using the expanded view button with the 0's and 1's on it).


Settting the Sysex Data format

The Environment > Sysex Faders > Settting the Sysex Data format

The terms "SUM" for the checksum and "VAL" for the fader value that's being sent are displayed within the Sysex string. The position and format of these bytes are set from the "Checksum", "Value" and "Position" flip menus. These settings may be found in the lower left-hand corner of the fader event list.

Only selected Sysex events are affected by the above parameters, because only these events are affected by the fader value.

Checksum format

A checksum can be created in any of the following formats:

  • Roland
  • Yamaha
  • Regular Checksum
  • 2's complement
  • 1's complement

If you don't know which one works with your MIDI device, try "off" (= no checksum) first or "2's complement".

Value byte position

Position allows you to determine the position of the value byte. This position is specified in bytes counting from the end of the message: "last" refers to the position directly before the EOX byte, "Last-1" indicates the byte before that, etc.

Auto ensures that the value byte is inserted last in the Sysex string if no checksum has been selected, or -if a checksum value has been entered-that the value is inserted as the second to last byte.

Value byte format

Value can be set to the following:

Auto: The value is sent as one byte if the value range maximum is 127 or less. If the maximum is higher than 127, the value is sent as two bytes, the MSB (most significant byte) first.

One Byte: The value is sent as one byte.

MSB/LSB: The value is sent in two bytes, with the MSB (most significant byte) first.

LSB/MSB: The value is sent in two bytes, with the LSB (least significant byte) first.

BCD 4 LSB: The value is sent as "Binary Coded Decimal" in four bytes, in the order 1,10,100,1000.

BCD 4 MSB: The value is sent as "Binary Coded Decimal" in four bytes, in the order 1000,100,10,1.

2 Nibbles L: The value is sent in two nibbles, with the "least significant nibble" first.

3 Nibbles L: The value is sent in three nibbles, with the "least significant nibble" first.

4 Nibbles L: The value is sent in four nibbles, with the "least significant nibble" first.

2 Nibbles M: The value is sent in two nibbles, with the "most significant nibble" first.

3 Nibbles M: The value is sent in three nibbles, with the "most significant nibble" first.

4 Nibbles M: The value is sent in four nibbles, with the "most significant nibble" first.

2 ASCII M: The value is sent in two nibbles, the "most significant nibble" first; the nibbles are sent in ASCII format for the hex value. For example, the value $7F (=127 in decimal) will be transmitted as a "7" and "F".

3 ASCII M: same as 2 ASCII M, but in 3 nibbles.

4 ASCII M: same as 2 ASCII M, but in 4 nibbles.

The unused bits of the transfer in nibbles (X in 0XXXNNNN) are sent with the information at the relevant positions of the Sysex strings. If you want to transfer these deleted bits, you will have to enter zeros in the Sysex string.


Transforming Sysex Message

The Environment > Sysex Fader > Transforming Sysex Message

Logic only allows one Sysex string per fader. To transform one Sysex message into another, please use the following method:

  • Create a fader with the Sysex message you want transformed as the input definition. Select any controller you like as the output definition.
  • Create a second fader with the same controller as the input definition. Make the transformed Sysex message the output definition.
  • Connect the first fader to the second.

Remember that the incoming Sysex message must be very short for this to work properly. This is an artifact of the fact that Sysex messages can be of any length and Logic must break them up in to small packets to avoid interrupting other MIDI activities.


Overview

The Environment > Environment Exchange > Overview

One of the main reasons for the Environment is to customize Logic to your MIDI studio. This can present a problem when sharing songs with other musicians, using different studio setups. It also presents a problem when you return to older songs after you've changed your studio. Logic offers several functions to make these changes as easy as possible.

Whenever you want to exchange Environments between songs, there is a source song containing the desired Environment, and a destination song whose Environment you want to change. The destination Environment must be in memory, and must be the active song (i.e. one of its windows must be active). The source song can also be in memory or it can be a file on your hard drive (or any other medium like CD, Zip, floppy, etc.).

If there are two songs in memory, Logic will assume the active song is the destination, and the other song is the source. If there are more than two songs in memory, Logic will assume the active song is the destination and the most recently active of the other songs is the source. If there is only one song in memory, Logic will present an Open dialog, for you to select the source song when you try to import an Environment.

Importing, Replacing, Swapping Environments

Replacement by assignment


Importing, Replacing, Swapping Environments

The Environment > Environment Exchange > Importing, Replacing, Swapping Environments

Importing Single-purpose Environments

A single-purpose Environment patch might be an editor for a specific piece of MIDI equipment or an Environment patch for single MIDI processing task like a MIDI LFO, or complex arpeggiator/delay line configuration. If the Environment patch is contained on a single layer, the simplest solution is to select Options > Import Environment > Layer..., and then select the desired layer in the dialog that appears. This layer and all of its objects will be inserted in the destination song, at the same layer position (i.e. the same place on the Layer's pop-up menu) as it occupied in the source song. Note that this inserts a new layer into the destination song-its original layers will be shifted as needed.

You can also move selections of Environment objects together with their cabling between songs by dragging or copy & pasting. This is often even simpler if you first collect the objects into a macro.

If the Environment patch you wish to import is complex and spread across several Environment layers, then you should use the merge feature by selecting Options > Import Environment > Merge. In this case, all Environment objects from the source song will be added to the Environment of the destination song. One thing to watch out for here is that the merged objects will be placed on the same layer as they came from, which can create a mess if there are already objects on that layer in the destination song. To avoid this, create blank layers in the destination song at the same positions as the layers to be brought in, before importing.

Something to be careful of in both cases, is the treatment of unique objects in the Environment like the Physical Input and Sequencer Input objects. If you import these objects, they will replace their counterparts in the destination Environment AND ANY CABLES LEADING INTO THEM WILL BE LOST. It is best to temporarily delete these from the source Environment, before importing.

Another thing to be aware of is that when you import an object, all objects cabled from the imported object are also imported.

Replacing an Older Environment with a Current One

If you have only added things to the Environment, but not deleted anything, then you can update older songs by choosing Options > Import Environment > Update. Only the new objects will be imported-the older objects along with their cabling and track assignments will remain in place.

Swapping Environments

In the complex situation where you want to swap the Environment for one MIDI setup for the Environment for another, Logic offers three options: Replace by Port MIDI/Channel, Replace by Name and Total Replace. But be aware that this complex task involves a lot of guess work on Logic's part and the results almost always require some manual fine tuning on your part.

- Replace by Port/MIDI Channel
This option replaces all objects in the destination song for which there are objects in the source song addressing the same port and MIDI channel.

- Replace by Name
This option replaces all objects in the destination song for which there are objects with the same name in the source song. This affords you some degree of control, by renaming objects in the source song accordingly.

- Total Replace
This completely replaces the destination song's Environment with the source song's Environment. If you use this option, you will have plenty of work left reassigning objects to Arrange window tracks, but sometimes it's the only way.


Replacement by Assignment

The Environment > Environment Exchange > Replacement by Assignment

The most flexible and also most time consuming method of exchanging Environments is to indicate for each Environment object whether it is kept, deleted or replaced and if it is replaced, what object replaces it. You do this by selecting Options > Import Environment > Custom....

When you select custom import, an Environment window appears listing all objects in the destination Environment in a column on the left, and listing the chosen action for each object in a column on the right.

You can assign the replacements one at a time, by clicking on items in the right hand list and selecting the desired replacement object from a pop-up menu. This menu includes all objects on the Instrument List of the source song.

Or, you can select one or more rows of the list, and then choose what to do from the Import menu. In addition to keep and delete, this menu offers several automated selection techniques described below.

The first selection on the Import menu is Import Environment using current Assignment. No importing takes place until you make this selection. The other choices (including the pop-menus in the right column), only set up how things will be imported.

Import Options

The last two selections on the Import menu provide additional options in the importing process:

Import > Copy Layer Names: the layer names of the second Environment are transferred to the current one.

Import > Copy selected Objects from 2nd Environment: all objects which are selected in the source Environment are copied into the destination Environment, even if they don't appear on the assignment list.

Automatic Assignment Functions

The assignment functions described below are immediately applied to all selected rows in the import list. The assignments appear in the right column and all rows are then deselected.

Import > Assign as 'Keep': these objects are unaltered.

Import > Assign as 'Delete': these objects are deleted.

Import > Assign by Identical: these objects are assigned objects from the source song which match the type, icon, name, port and MIDI channel. Objects with the same Unique ID have priority.

Logic maintains an internal list of all Environment objects. When objects are deleted, their position in this list becomes available for a new object. Whenever an object is added to the Environment, it is put in the first available position on the list. (If there are no empty positions, it is added to the end of the list.) An object's position in the list is its Unique ID-as long as the object is not deleted, its Unique ID never changes.

Import > Assign by Unique ID: objects are assigned objects from the source song with the same Unique ID. (This option is useful for updating an Environment when objects have only been added.)

Import > Assign by Port/MIDI Channel: objects are replaced by objects with the same port/MIDI channel. If a match can not be found for an object, an object set to port 0 and the same MIDI channel is assigned. If a match still can not be found, an object with the same MIDI channel is assigned.

Import > Assign by Name: objects are replaced by objects with the most similar name. (At least 80% of the name must be the same.)

Import > Assign by Icon/Name: same as above except the objects' icons must also be the same.


The Audio Mixer

Audio Objects and Effects > Environment Audio Object > The Audio Mixer

One of the Environment layers in the default song (i.e. the song Logic loads after you boot it up) is the Audio Mixer. This mixer consists of audio objects. To open it, select Audio > Audio Mixer, or go to the Environment (Windows> Open Environment or ctrl 8 ), and click the Layer button.

The specification and size of the Audio mixer depends on the hardware used; the audio mixer configures itself when you start Logic, or create a new song. The mixer takes up as little space as possible. If equalizers and auxiliary sends are included the size of the mixer increases automatically.

The documentation in this section describes the mixer and the audio objects for audio hardware using Logic's native Audio Engine. Exceptions to the rule are described in the Audio Drivers section which deals with specific hardware solutions. The native Audio Engine is used to address the following hardware and driver models:

  • PC AV (MME, DirectSound, EASI)
  • Emagic Audiowerk
  • Direct I/O
  • EASI
  • ASIO

Automatic song conversion

Once you save a song file, the Audio Mixer configuration is saved with it. If you load the song while addressing a different hardware or driver model you will be prompted whether you wish to convert the song to the currently run hardware setup.

Please note, that this is only possible between systems mentioned in the above list.


Overview

Audio Objects and Effects > Environment Audio Object > Overview

The Environment Audio Object is the "building block" of the Environment Audio Mixer. It reflects the features of the audio system in use. It has various functions that allow you to build your virtual audio mixer with all required components.

Here is an overview over all Audio Object types:

  • Track - Recording and Playback
  • Input - Controls the Input Signal
  • Instrument - Virtual Software Instruments
  • Output - Controls the Output Signal
  • Bus - Routing and Effects
  • Master - Overall Control over the output signals
  • Aux - Auxiliary Object

Creating Audio Objects

Select New > Audio Object, and double-click the audio object icon which appears.

You then determine which function you wish to use by this object with the Cha parameter in the object parameter box. If you are running more than one HDR system, you may select which system the object will control in the Dev parameter, in the object parameter box. Its exact appearance and functionality will vary, according to the hard disk recording hardware the audio object represents.

Connections

The signal within the various audio objects requires no cabling or any kind of manual connection. The signal is routed by using the corresponding slots in the audio object. For example: the Send slots connect a track or instrument object to the bus object; the output slot connects the various objects to an output object. Logic's virtual audio mixer resembles the routing and connection options of traditional mixing consoles.

Erasing Audio Objects

You erase objects by selecting them, (just click on their upper edge or on the name), and pressing Backspace . This sets the level of the track controlled by this object to zero. If there is a duplicate of the object being erased, it will remain in place, and its level will not be set to zero.


Parameter Box

Audio Objects and Effects > Environment Audio Object > Parameter Box

If the Parameter column is visible (select View > Parameters if it's not), a box will appear in the column showing the parameters for the selected audio object. By clicking on the triangle at the top of this box, next to the name, you can conceal or reveal its contents.

The name in the uppermost line of this box can be changed by double-clicking on it. This will also change the name displayed below the object itself, and in the Arrange window (if no Track Name is specified). The check box on the left next to the icon tells you whether the audio object will appear on the instrument selection menu in the Arrange window. You can even change the icon itself with a flip menu, if you wish, although the default icon is usually suitable.

Dev

You use the Device parameter to select the hard disk recording system the audio object is connected to. The default setting here will be for one of the pieces of hard disk recording hardware you have installed; entries referring to hardware not connected to your system will appear "grayed out". You can read more about their drivers in the section Audio Driver.

Cha

The Channel parameter determines the type and channel of the signal controlled by an audio object.

The different options are:

  • Track
  • Input
  • Instrument
  • Bus
  • Output
  • Master

Stereo Inputs and Output are available as separate menu items.

When you select audio object types, you'll notice the following text styles are used:

  • Outline: This indicates that the object is not available. This happens when a song has been produced on a system with more tracks than yours (for example track 9 on an 8-track system).
  • Normal: This is used for objects that haven't been defined in the Environment yet, and which aren't therefore in use.
  • Bold: Objects in bold have been defined in the Environment, and are in use.
  • "*": The Object is unavailable as it exists already in its stereo form.

MIDI Cha

You use the MIDI Cha parameter to determine which MIDI channel the audio object will respond to. You can then control the audio object remotely, using MIDI controller information.

This also works the other way around. Once a MIDI channel number has been set, you can generate controller information on this MIDI channel, by moving the sliders and knobs on the audio object itself.

When the Channel parameter is set, the MIDI channel is automatically set to the same number, as this usually makes things easier to remember. For channels above 16, 16 is subtracted from the track number, so that a Cha setting of 17 will default to MIDI channel 1, Cha 18 to MIDI channel 2, and so forth.


Display

Audio Objects and Effects > Environment Audio Object > Display

If you want to reduce the length of a channel, you can hide individual components, such as the inserts, or the I/O routing. Remember that you are not actually switching the functions off, but just changing the display of the audio object.

First select (by shift -clicking, or by "rubber banding") all audio objects whose display you wish to change.

In the parameter box, you can then switch off any of the following options:

  • Show EQs
  • Show Inserts
  • Show Sends
  • Show I/O

Keep in mind that some types of objects (such as outputs or busses) do not have all of these components. Their size is adapted to fit the track objects.

You can construct your own audio mixing desks, on different layers, each with different display options. Thus, you can adapt the mixing desks to fit within your screensets. You might create a layer where all the objects show just the level and pan controls to be part of a screenset that also displays an Arrange window, used for basic tracking. On another layer, you might create a mixer that shows all controls, for use during mixdown.


Elements of the Audio Object

Audio Objects and Effects > Environment Audio Object > Elements of the Audio Object

Here is an overview of all elements of the Audio Object. The list shows what element is available in the different types of audio objects.

EQs and Filters: Track

Inserts: Track, Input, Instrument, Output, Bus

Sends: Track, Input, Instrument

Input: Track, Instrument

Output: Track, Input, Instrument, Bus

Automation: Track, Input, Instrument, Output, Bus

Pan/Balance Control: Track, Input, Instrument, Output, Bus

Levelmeter: Track, Input, Instrument, Output, Bus

Headroom/Clip Indicator: Track, Input, Instrument, Output, Bus

Volume Control: Track, Input, Instrument, Output, Bus, Master

Mute: Track, Input, Instrument, Output, Bus, Master

Solo: Track, Input, Instrument, Bus

Mono-Stereo: Track, Input, Output, Bus

Track Arm: Track

Bounce: Output


- EQs

Audio Objects and Effects > Environment Audio Object > - EQs

Equalizer (EQ) and Filters

You can insert up to 4 bands of EQ per track. In the default track object, click on the Thru slot to insert an EQ. Once you have done that, another Thru slot will appear below up to the maximum number of bands. If you run out of bands, you can still insert an EQ plug-in. See here for details on the different types of EQs. These are the functions available for the different EQs:

  • BP/On: the Bypass switch in the top right turns the EQ band off.
  • Typ: next to the BP switch you can use a flip menu to select the type of EQ, (Thru, Low/High Shelf, Parametric, Low/Highpass Filter)
  • Hz: mid frequency or cut-off frequency
  • dB: cut/boost)-(n/a for filter)
  • Q: bandwidth -(n/a for filter and shelf)


- Inserts

Audio Objects and Effects > Environment Audio Object > - Inserts

If you have enough processing capacity, you can use up to 15 inserts per audio object. An extra blank Insert is created, as soon as all the currently displayed inserts are used, up to the maximum allowed.

The Insert flip menu displays all available propriety Logic Audio plug-ins, as well as all correctly installed DirectX and.

- Mono/Stereo Input/Output
By holding ctrl , you can also connect effects which have a mono input and a stereo output (m/s), or stereo I/O, in mono objects. If you add one of these (m/s) effects, you should usually only insert effects with stereo inputs (s/s) from this insert point onwards .
Don't forget that in general, stereo effects require twice as much processing power.
In stereo objects, usually only effects with stereo inputs and stereo outputs (s/s), should be inserted (see picture).
However, Logic can automatically insert conversion modules in the background to handle stereo->mono and mono->stereo transitions. This enables you to use any plug-in in any order. But keep in mind that:

  • These conversion modules require extra processing power.
  • During a stereo->mono conversion, all spatial information is lost.
  • During a mono->stereo conversion, no spatial information is added-the same mono signal is sent to both outputs.
All plug-ins that may require such a conversion are marked with a dot in front of the I/O description, like this: •(m/s). For optimal performance, we recommend avoiding these "marked" plug-ins.

- Bypassing Inserts
Inserts can be bypassed by ctrl clicking on the name. The name of an active plug-in is highlighted in blue. Bypassed plug-ins are gray.


- Sends

Audio Objects and Effects > Environment Audio Object > - Sends

The Sends allow you to send a portion of any signal out of the signal's audio object, to an internal bus or auxiliary object. The Sends thereby connect the track object with a bus object. No cabling is required for this or any other connection within the Audio Mixer.

The Send routing options available vary, depending on the hardware you are using.

Click on an empty Send slot and select one of the possible send destinations, using the flip menu that appears. When you have selected the send destination, you can regulate the amount of signal supplied to the send using the Send Amount knob control. As you are adjusting the level, the relevant value appears in the box, to the left of the knob. You may assign up to 16 sends per track.

Remove Send

Open the flip menu of that Send slot again, and select No Send.

Normalizing the Send Level

You can reset the Sends to 0dB (90) with a ctrl -click on the knob.

Bypassing the Sends

You can switch Sends into bypass mode by ctrl -clicking the name.

If a Send is switched on, its name will be green. If a Send is switched off, its name is gray (bypass mode).

Post and Pre Fader Aux Sends

Sends in analog mixers are positioned either before ("pre") or after ("post") the fader. To select from between these two options in Logic, click-hold the Send insert. The Bus menu opens, and at the top you may select either Post or Pre.

Post fader means the level going to the Send changes along with the fader movements. If you are using the Send to route signal from the channel to a reverb, this means that the relationship between the original signal and the effect signal remains constant. When you pull the fader all the way down, the reverb disappears as well. This setting is generally the most useful, and is the default setting in Logic.

If a Send is set to be pre fader, the level going to the send remains constant regardless of any fader movements. Even if the fader is pulled completely down, the signal is still fed to the selected bus. Pre fader sends are mainly used for monitoring, either for headphone monitoring in the studio, or for foldback monitoring on stage. Pre fader sends are also useful when you have the fader completely down, and you want to hear just the effect signal (without the original signal). Normally you would use inserts (see below), but with pre fader sends you can simultaneously process several audio objects with the same effect. In the "pre fader" setting, the equalizer still affects the sends (pre fader, post EQ).

Stereo Sends

Logic includes the ability to assign sends of mono tracks to stereo busses (or stereo outputs). It is not necessary to assign two sends to address a true stereo reverb plug-in.

Double-click on send

Double clicking on a send assignment panel on any audio channel will "jump" to the allocated Bus channel fader, making navigation in the Environment's audio layer faster. This functionality also works in the Track Mixer. Here, a new Environment window will launch and the destination object will be selected in the Environment's audio layer. Should an Environment window already be open, (with link mode active) this will be used and will update as described.


- In/Output

Audio Objects and Effects > Environment Audio Object > - In/Output

Input Selection

In the Input field, you select the audio input of the audio hardware, which will supply signal to that track when recording to it. If Monitoring is switched on, the signal of this audio input will be routed to the output or bus selected in the field below, as long as the track is record enabled. The number of inputs available is of course determined by the used audio hardware.

Output Routing and Sub Groups (Busses)

In the field directly above the pan knob, you determine where the signal of that audio object (meaning: that mixer channel) will be sent. The number of outputs available is of course determined by the used audio hardware.

You can select between output objects and bus objects, which can function as mixer subgroups. If the audio object is a stereo object, the bus will also be stereo. If the bus is a stereo object as well, the entire signal flow will be stereo-in each of the busses which are available in Logic Platinum, if this is desired.

By holding ctrl the inputs or outputs of all selected audio objects can be changed in one go. Please note that the inputs are changed only on audio objects with the same mode: mono or stereo. This way, you can easily select one single input for all audio tracks.

- Double-click on Out
Double clicking on an out assignment panel on any audio channel will "jump" to the allocated Output channel fader, making navigation in the Environment's audio layer faster. This functionality also works in the Track Mixer. Here, a new Environment window will launch and the destination object will be selected in the Environment's audio layer. Should an Environment window already be open, (with link mode active) this will be used and will update as described.


- Pan/Balance

Audio Objects and Effects > Environment Audio Object > - Pan/Balance

Mono objects feature a Pan control which determines the position of a signal in the stereo image.

Stereo objects, on the other hand, possess Balance controls. The balance control differs from the pan control in that the former controls the relative levels of two signals (L/R) at their outputs. The latter merely shares one signal proportionally between two outputs.

You can reset the pan control to center (64) with a ctrl -click.


- Surround

Audio Objects and Effects > Environment Audio Object > - Surround

Logic Platinum allows for mixdowns in surround format, with up to eight loudspeaker output channels. Surround formats supported include all common formats, including the most demanding, like the 7.1 format. To use surround, the audio hardware and driver must have and support more than two outputs.

Encoding or decoding does not take place. The use of surround does not imply any manipulation of frequency response characteristics or delay treatment. The processing only affects the relative volume settings for the output pattern selected for that channel. It's up to you to insert plug-ins into the output objects serving as the surround channels-such as delay or EQs, high or low pass filters.

All channels and busses can be set to different surround formats independently. Touch the output parameter field of the bus objects (above the panorama control), and set the output to Surround in the flip menu.

The pan control is replaced by a two-dimensional surround control. The loudspeakers are represented by coloured dots, and the pan position is indicated by a white dot that can be grabbed and moved.

Changing the surround settings of multiple channels simultaneously

You can change the surround settings of all selected channels simultaneously. Select all the objects you want to set to have the same assignment, and hold ctrl . If you do not hold the modifier key, Logic will ask you instead.

The Pan Window

Double-click the surround control which has replaced the pan control. The pan window comes up, giving you a closer look at the surround control. Grab the parameter field in the top of the window, and select the desired surround format, for instance format 7.1, which has been designed for big cinema theaters. The seven loudspeaker symbols appear around the surround control. The routing of the signal to the speaker outputs is intuitively controlled by the position of the blue dot in the surround field, which can be dragged and dropped.

The movement of the surround position on a given axis and radius is made easier with these fuctions:

  • Hold the right mouse button to lock the angle.
  • Hold alt to lock the radius.
  • Hold ctrl to reset angle and radius to the middle.
Move the light blue panorama dot and check out the modifier keys.

LFE Control

The abbreviation stands for "Low Frequency Enhancement" or "Low Frequency Effects", since the LFE output most commonly leads to a subwoofer amp. The use of a subwoofer type speaker is not a must. Technically speaking, the LFE output is nothing more than an additional post fader auxiliary send, with the LFE control as its volume fader. If you want only low frequency signals to reach the output, insert a low pass filter plug-in into the output object which is defined as the LFE "subwoofer" output. A cutoff frequency of 120 Hz is standard for surround applications. With the LFE fader, you determine how much signal from the audio signal of the actual audio object is to be routed to the LFE output. In the surround settings of the audio-hardware & drivers menu you can define which output of your audio hardware will serve as the LFE output.

Assigning surround channels to audio outputs

The assignment of the surround channels to the outputs of the audio hardware is accomplished under Audio > Audio Hardware & Drivers > Surround. The standard settings for the Pro Logic, 5.1, 7.1, and EX formats (each of which available with or without center speaker) and LCR (Left-Central-Right) are pre-set, but can be edited.

Bouncing Surround Audio Files

In the surround settings, you can see which file name extensions will be applied to the file names resulting from a bounce procedure. Remember that bouncing a surround mix will create more audio channels than your usual stereophonic bounce/mixdown. These extensions are used to identify the files. By clicking them you can edit the extensions.

Select Surround Bounce in the normal bounce dialog which shows up after clicking the bounce button at the bottom right of an output audio object. No matter which bounce button you may have pressed, all the outputs selected in the surround settings will be bounced simultaneously.


- Level

Audio Objects and Effects > Environment Audio Object > - Level

The audio objects have level meters for displaying playback or input monitor level.

When you arm a track in preparation for recording, the meter will display the input level.

The playback level is also displayed in the Arrange window to the left of the track number, if you select View > Track Numbers/Level Meters.

Peak Hold

As with conventional mixing desk meters, peak values are "held" on the display for a few seconds, so that they can be read more easily. Even if your CPU processing capacity is not sufficient for a smooth display, it reliably shows the last maximum level.

Clip Detector

The clip detection above the level meter shows you the headroom of a track in dB.

When a signal clips, the clip detection will turn red; the value you see then tells you how much the signal has to be reduced.

Up to +6dB will be shown. If a track clips now and then, it does not really matter as long as the master does not clip. Clicking on any clip detector will reset all. The key command Clear Overload Flag in Audio Channel Display has the same effect.

Pre Fader Metering

With Audio > Pre Fader Metering engaged, the level displayed by the level meters is measured pre fader (that is: pre pan/balance), but post Equalizer and inserts. This way, the level meters will display the level of the track, even if the fader has been dragged all the way down.

Adjusting the Level

The fader on each track object sets its playback level. The recording level is not set in Logic, but at the source supplying the signal. You cannot adjust the level on the digital input. Logic's fader shown here is used to control the monitor level.

The level reading of the audio objects and the aux sends can be shown in decibels (dB) (default), or MIDI controller values. To change the scale, select the appropriate object ,and alter the "Val as" parameter. A MIDI volume of 90 is equivalent to 0 dB.

The maximum boost is +6 dB. You can reset the volume fader to 0dB (90) by ctrl -clicking.

When multiple audio objects are selected, changing their level by moving one fader is dB-proportional. The mixing ratio of the selected channels remains constant.

- During Recording
An independent monitoring level is available when a Track object is record enabled. After arming the track, set the fader to the level you would like. When the object is again disarmed, the original level will be restored.

- via Key Commands
The global key command Toggle (Mute) Audio Tracks switches the levels of all audio objects between two different values. Each object may be set to any value for both toggle positions, so that you can quickly switch between two basic mixes.

In the same way, you can switch the other object types, using the global key commands Toggle (Mute) Audio Inputs, Toggle (Mute) Audio Bus and Toggle (Mute) Audio Outputs


- Solo/Mute

Audio Objects and Effects > Environment Audio Object > - Solo/Mute

Solo

All audio objects have a solo button. This mutes all other audio objects of the same hardware type.

The muted objects are marked with a flashing "M" in the mute button. Please note that this does not mute MIDI tracks.

You can solo several objects at once.

ctrl -clicking a previously unsoloed object, releases other active solo buttons, so that you only hear one channel ("Interlocking Solo" or "Solo Toggle").
ctrl -clicking any activated solo button removes the solo status from all audio objects.

- Solo Safe
When you solo a channel, if you want to hear the signal together with its effects, the effect return channels should not be muted. Unlike conventional mixing desks, Logic can scan the entire signal path, and leave the effect return channels open.

The same applies when you solo an effect return signal. The channels feeding the effect are muted, but their effect sends remain open, so that the effect still receives a signal.

The automatic mute-suppression only applies to the internal effect returns. If you are using external effect units via bus objects, the scan will keep the effect master sends open. However, Logic cannot know which of the input objects you are using as effect returns for the external effect units. You need to manually switch these input objects to "solo safe"-just like on a conventional mixing desk.

alt -clicking an inactive solo button makes this audio object "solo safe". This stops it being muted when you solo another channel. "Solo safe" status is indicated by an X in the solo button.
alt -clicking again defeats the solo safe status.

Mute Control

You can mute any audio object by pressing the button marked "M". Pressing the button again restores the previous level.


- Stereo objects

Audio Objects and Effects > Environment Audio Object > - Stereo objects

All the types of audio objects (Track, Input, and Output) may be configured as stereo . Logic Platinum uses true stereo tracks, as long as Universal Track Mode is activated. This means that when you configure Track 1 as stereo, Track 2 will be left unaffected. Please note that with DSP Factory by setting a track to stereo will "grab" the adjacent track.

Audio sequences on the tracks of stereo objects are always dealt with together, no matter what the operation being performed. If you open the Sample Edit window, both sides of the stereo pair are shown there, and are processed together.

Creating Stereo Objects

To do this, select the object named "Audio 1" (click on its name, at the bottom). Click on the Mono symbol, at the bottom left of the object, next to the REC button.

The button will now show two interlinked circles, indicating that it is now a stereo object.

If you click-hold on this button, you will see a flip-menu, giving you four choices:

Mono: Sets the track to play mono files.
Stereo: Sets the track to play stereo files. These may be either "interleaved" or "split" stereo files.
Left: If a stereo region is assigned to the track, only the left side will be played. If a mono file is assigned to the track, it will play normally. In either case, the output of the track will be mono.
Right: If a stereo region is assigned to the track, only the right side will be played. If a mono file is assigned to the track, it will play normally. In either case, the output of the track will be mono.

Any combination of stereo and mono recordings is permitted. For example, you can set tracks 1 and 2 each to stereo, and use tracks 3 and 4 for mono recordings, if you wish.

Whatever parameters you adjust for stereo objects, the changes affect both sides equally. The pan control becomes a balance control.


- Track Arming

Audio Objects and Effects > Environment Audio Object > - Track Arming

The Rec control (see right) "arms" a track, making it ready for recording. Once the track has been armed, the control flashes red. During actual recording, it remains lit red all the time.

If the control is flashing but gray-red in color, no audio track has been selected in the Arrange window, and no recording can take place.

Rec controls only exist for Track objects. Please note that the number of Track objects which can be armed at the same time, is limited to the number of tracks which your audio hardware can record simultaneously. This would typically be the number of inputs offered by the audio hardware.

You can select which available input the Track object will record from, by using the input selector switch, found in the I/O section of the Track object. Click-holding on the switch will reveal a flip-menu, showing all available inputs for your hardware. If the record track is stereo, the inputs will be displayed in pairs (Input 1-2, Input 3-4, etc.). For mono tracks, they will be displayed individually. Arming a track set to a specific input will automatically disarm any other track that is currently using the same input

If you are using different audio hardware systems, you can record on all hardware simultaneously.


- Bounce

Audio Objects and Effects > Environment Audio Object > - Bounce

Output objects have bounce switches.

This allows you to create an audio file based on the all the audio tracks assigned to this output. All parameters, including volume, pan, and effects are recorded as part of the "bounced" file. Bouncing takes place in real-time, so that the signals from any plug-ins, or MIDI devices routed into an input used can be recorded in the bounced file:

  • Press the bounce switch on the output object
  • Set the parameters in the Bounce dialog window (see below).
  • Press the bounce switch in the Bounce dialog window.
A file selector appears where you enter a destination folder and name for the bounced file.

- Mastering with plug-ins
The Inserts of the output objects allow signal processing during the mastering process (as well as during normal playback). Typical mastering tools are the compressors, de-essers and equalizers, like the Fat EQ. Please take note that for technical reasons, only plug-ins which need no mono/stereo conversions can be used, that is to say, (s/s) plug-ins on stereo outputs, and (m/m) plug-ins on mono outputs.

- Mono Bouncing
Mono bouncing is possible when the Output object is set to "mono". In this case, a mono audio file is generated.

Options in the Bounce Dialog Window

- Start and End Position
This is where you define the segment of the song which you want to be written to the bounced file. The default is the whole song, from the beginning of the first audio region to the end of the last. However, if the cycle function is engaged, the default will be the locator positions. In any case, you can adjust the start and end positions manually. For example, if you want to take account of a MIDI sound module mixed via an audio input object outside the preset region.
It is often a good idea to set the end point of the bounce a bit past the end of the last region to be included, so that reverb tails and echos from delay plug-ins are not chopped off. How much extra time is needed, will of course depend on the effect settings you use.
Beneath this, you are shown the hard disk space required for the bounced file.

- Resolution
This is where you define the resolution of the bounced file. The options are 16 Bit, 8 Bit (e.g. for multimedia productions) or 24 Bit (e.g. for mastering to DVD).

- File Format
You can select from between AIFF or WAV format here.

- Stereo File Type
Here you can select between split stereo, or interleaved stereo (for further use in Logic or for CD writing software).

- Dithering
Recommended when bouncing 24bit recordings into 16bit files. See here for details on Dithering.

Executing a Bounce

Pressing Bounce performs the bouncing process. A file selector will appear, where you can define the recording path. You can listen to the playback in real time while bouncing takes place. Pressing Bounce & Add adds the file to the audio file list of the Audio window, after performing the bounce.

Surround Bounce

See here for details on Surround Bounce.


Track Object

Audio Objects and Effects > Environment Audio Object > Track Object

The track object is used for playing back and recording audio signals in the Arrange window. You also control the signal of recorded tracks via the different elements of the audio track object.

The number of tracks available depends on two types of hardware limitations: on the CPU power of your computer if you are using native processing or on hardware limitations of DSP based systems.

If you are using a native engine you can limit the number of tracks via the setting Audio > Audio Driver > Max. Number of Audio tracks of the individual driver / hardware thereby limiting the amount of memory and processing power required.

The Track object features the following elements: EQs, Inserts, Bus Sends, Input/Output, Automation, Pan, Level and Levelmeter, Mute/Solo, Mono/Stereo, Track Arming.

Monitoring with effect plug-ins

Record-enabled (armed) audio tracks with assigned audio inputs can be monitored with effects plug-ins inserted into the armed audio channel. In this case the effect plug-ins are monitored but not recorded. This can be useful during an overdub session for example. If you like to record the audio track with effects, insert the effect plug-ins into the corresponding input channel instead (see above).

Example: During vocal recording many artists prefer to monitor their performance with a little bit of reverb while the track is actually recorded dry. To do so insert a reverb plug-in into the audio channel, arm the track and start recording. The reverb will be part of the monitor mix but will not be recorded.

It is possible to combine pre-processing and monitoring with effects. You can for example record a signal with compression destructively by inserting a compressor into the respective input channel while monitoring the same compressed input signal with reverb that is not recorded.

For this to work, the "Software Monitoring" preference must be enabled. (Audio > Audio Hardware & Drivers.)


Input Object

Audio Objects and Effects > Environment Audio Object > Input Object

The Input Object allows you to directly route and control signals from your audio hardware's input. Once an Audio Input Object is assigned to an audio channel, it can be monitored, and recorded directly into Logic, with its effect plug-ins.

The signal is processed even while Logic Platinum is stopped, including Plug-Ins. In other words: Input objects behave just like external hardware processors. Bus sends can be used pre- or post-fader.

With the Audio Input Objects you can, for example, replace your old mixing desk or save time while bouncing:

The Audio Input Objects make the bouncing procedure much easier, since there is no longer any need to record the audio signal of your MIDI devices before their output can be bounced (mixed down) together with the other audio recordings. Thanks to the live audio input objects, you can mix down the audio signal from your external hardware MIDI synthesizers and sound modules into a stereo mix (by bouncing an output object).

The Input Object features the following elements: Inserts, Bus Sends, Output, Automation, Pan, Level and Levelmeter, Mute/Solo, Mono/Stereo.

Pre-processing of input signals

Audio Input channels now process an incoming audio signal destructively: The input signal is processed by plug-ins inserted into the input channel. This means that once an audio input object is assigned to an audio track, it can be recorded, and monitored, with its effect plug-ins.

Example: To avoid large jumps in level it is often useful to record a vocal track with light compression. To do so insert a compressor plug-in into the input channel and assign the input object as the input of an audio track. During recording the effect of the compressor is recorded with the track.

Note: To use the Audio Input object as a "live input", ensure that the Input object has an assigned Output. This allows monitoring of the Input object (with all effects) directly, without the need to assign it to a record-enabled audio channel.


Instrument Object

Audio Objects and Effects > Environment Audio Object > Instrument Object

The Instrument Object allows you to use virtual Software Instruments within Logic. Currently the following are supported: Emagic's own suite of Software Instruments, as there are ES1, EXS24, EVP88, ES2, EVB3, EVD6 and VST 2.0 compatible instruments. Logic Platinum supports up to 64 discrete Audio Instruments, dependent on available CPU resources and system RAM. The advantage of the integration of sampling and synthesis within Logic Platinum is that all of the tools necessary for audio recording, sample playback and synthesis plus effects and mixing can occur within your computer.

For more information about the Emagic Virtual Instruments, please visit our website.

The Input Slot of the instrument object serves as an insert slot for the software instrument.

After inserting an instrument, the instrument object can be used in the Arrange Window just like a MIDI track. The Instrument Object can also receive MIDI notes via Environment cables from other MIDI instrument objects. This is useful for creating layer sound with "real" MIDI instruments and virtual instruments. Please note that the setting Options > Preferences > MIDI Interface Communication > Use Unified Virtual and Classic MIDI Engine has to be switched on for these features.

When an audio instrument track is selected, it is ready to be played in real-time and consequently produces some system load. Normally Logic releases system resources used by the Audio Engine when the sequencer is stopped. But this is not true if an audio instrument track is selected in Arrange and is therefore available for real-time playing. Selecting a MIDI track or a normal audio track exits this "stand by" mode and releases reserved system resources again when the sequencer is stopped. Please note that muting an audio instrument track in Arrange does not reduce system load.

The instrument object features the following elements: Inserts, Bus Sends, Input, Output, Automation, Pan, Level and Levelmeter, Mute/Solo.

Accessing multiple outputs

Logic supports the multiple outputs of the EXS24 and VST 2.0 compatible instruments that are capable of addressing multiple outputs. In addition to the "Mono" and "Stereo" submenus of the Audio Instrument menu, a "Multi Channel" submenu lists all Instrument that offer multiple outputs. A plug-in needs to be inserted from the "Multi Channel" submenu, in order to access its individual outputs.
Please note that not all plug-ins (both Emagic and third-party) are multi-output capable. If the Instrument does not appear in the Multi Channel submenu, it is not equipped with multiple output facilities. Please make sure that the instrument you wish to use, is properly installed and authorized.
The first two outputs of a multiple output instrument are always played back as a stereo pair by the Instrument channel into which the plug-in is inserted. Additional outputs (3 & 4, 5 & 6 etc.) are accessed via the AUX Objects

Global Instrument Tune

This parameter under Audio > Audio Preferences remotely controls the main tuning parameter for all audio instruments (plug-in synthesizers, like the ES1 or EXS 24 sampler and others) by ±50 Cents. Some instruments by other manufacturers may not recognize this remote command.


ReWire

Audio Objects and Effects > Environment Audio Object > ReWire

Logic supports the ReWire software interface from software manufacturer Propellerheads. ReWire is an interface between sequencer and audio applications. ReWire works with hardware supported by Logic's native audio engine.

Please start Logic first, and then start your ReWire application(s). Please also refer to any notes regarding this in ReWire's "read me" files. ReWire scans for ReWire-compatible applications or system extensions; Propellerheads' ReBirth, for example.

Logic will display the audio returns of ReWire-connected applications as audio objects: You're able to insert plug-ins and create sends to busses on these returns, as per a normal audio track.

In order to use the audio returns of ReWire-connected applications, select an audio object and choose the desired ReWire audio-return in the flip menu of the Cha parameter of the audio object. In this flip menu you will find ReWire channels listed with their names along with the audio tracks, inputs, busses and outputs. ReWire or the application to which the connection belongs generates the names for these channels. The naming of a ReWire channel is not relevant to Logic.

For example, if a channel is called "Mix" it has no specific function related to that name as far as Logic is concerned. It is up to decide what to do with whatever channel. If there is no audio object for a ReWire return created in the Environment, no audio is transferred between a ReWired application and Logic. How does this work in practice with ReBirth, for example? In this case, you will find two channels called "Mix L" and "Mix R" within Logic. The two Mix channels return the summed mix of ReBirth's outputs. You will also find channels for every individual instrument. When creating an audio object for another channel such as the bass drum, for example, you will only hear the bass drum through that channel, and it is removed from the mix returns.

In comparison to VST2, Rewire has a relatively high MIDI latency due to technical reasons. This is not an issue when using software like Rebirth with Logic, as both applications are audio sequencers that are sample-accurately synced via the audio clock. Logic is always Sync master. As Logic is also the Cycle master, Skip Cycle works, too.

The following functions are shared between the applications:

  • start/stop,
  • repositioning,
  • cycle start & end,
  • tempo change

Please note: Logic must be in play mode for ReWire live input to work.


Output Objects

Audio Objects and Effects > Environment Audio Object > Output Objects

Output Objects represent Logic's audio outputs. This is where level and stereo balance are adjusted; mastering plug-ins can also be inserted here, for example a compressor or an equalizer like the Fat EQ. The number of available Outputs is determined by the audio hardware.

The output objects also provide the Bounce function, which can either be used for recording all audio into one stereo audio file (comparable to a master tape), or to merge several tracks (including all plug-ins etc.) into one stereo or mono track (depending whether the output object is set to mono or stereo).

The Output object features the following elements: Inserts, Automation, Pan, Level and Levelmeter, Mute, Stereo/Mono, Bounce.


Bus Objects

Audio Objects and Effects > Environment Audio Object > Bus Objects

The bus objects can be used for more than one purpose:

They can be used to route audio signals to external devices via the individual outputs of the audio hardware, allowing you to change their level and pan settings, and apply plug-ins, if you like.

They can be used as subgroup channels, which control the level of several audio channels at once. For example, all drum tracks or all different vocal takes could be routed to one stereo bus to control their overall level-still retaining the relative differences between the single channels.

Since busses can also be routed to other busses, several effect returns can be routed to the same subgroup, in order to adjust the level of all effects in the mix at once. It will be much easier to handle the mixdown (particularly if automated) this way.

To record only the signal of a particular subgroup for the purpose of using it as one individual stereo track in the arrangement, route it to an unused output object, and use the Bounce function there.

The bus objects can be used as effect returns: in this case the plug-ins serve as internal effect processors.

Effects like reverb and delay generally are applied to such a bus object, using the inserts. These bus objects are usually addressed with the send knobs of the audio channels.

These buses again will be routed to other busses, or to an output object.

In the default song, the pre-set bus objects have been named "Returns".

The Bus object features the following elements: Inserts, Automation, Pan, Level and Levelmeter, Mute, Stereo/Mono.


Auxiliary Object

Audio Objects and Effects > Environment Audio Object > Auxiliary Object

The native Aux Object can be either mono or stereo. Aux input sources will appear as either stereo pairs, or single mono channels, dependent on the mono/stereo status of the Aux channel. It is possible to use the same input source for several Aux channels. Aux channels process audio signals non-destructively, in realtime. Two Aux channels are pre-configured in a new song, by default. As with all other audio objects, additional Aux objects can be created, and accessed, via the Audio layer of the Environment. In the "Cha" flip menu of the channel parameter box Aux Objects are automatically made available as needed. When for example 4 Aux objects are in use a 5th is offered in the flip menu, when using 6 a 7th is added etc. This way it is possible to create up to 64 Aux channels in the environment.

The input source of an Aux channel is selected with the input assignment pop-up menu. Possible input sources are: Bus channels, Input objects (dependent on the available physical inputs of the audio card in use) and all software instrument outputs provided by Instrument plug-ins (Logic or VST2.0). These additional outputs are only available to plug-ins inserted into an instrument channel via the "Multi Channel" sub menu. Aux channel Input sources - being sent from suitable Instrument plug-ins - start from output 3.

Aux channels can also be displayed in the Track Mixer. Note: If the Aux channels are used as tracks in the Arrange window ensure that the view filter of the Track Mixer is set up to show Aux channels by activating the Aux button (track view). Activate the Aux and Global button (global view) if the Aux objects are only used as Environment objects (i.e. they are not used as Arrange window tracks).

The Aux Object features the following elements: Inserts, Sends, Input, Output, Automation, Pan, Level and Levelmeter, Mute, Stereo/Mono.

Aux Objects as Bus returns

By definition, Sends (which are, in effect, the busses) are not available directly on bus channels. Busses can, however, be set as the Input source for Aux channels. In doing so, the Aux channels act as bus returns, allowing the use of Sends. These Sends can be returned on additional Aux channels allowing the construction of complex effect routings. (As in most cases you don't want to monitor the signal twice set the respective bus output assignments to "No Output".)

Aux Objects and Software Instruments with multiple outputs

By default, all outputs of a Multi Channel Instrument plug-in are routed to the main output pair of the respective Audio Instrument Object.


Master Object

Audio Objects and Effects > Environment Audio Object > Master Object

The master fader changes all output gains. It acts as a separate attenuator stage; the level relations between the output objects are not affected. This is very helpful as an proportional output volume control and is particularly useful for surround mode in Logic Platinum (fades of the complete surround mix).

In some cases you might whish to disable individual Output objects from this control, eg. those outputs which you use as effect sends to external hardware devices. Simply switch those Output objects to Solo Safe: by CTRL-clicking their Solo button. Solo safed Output objects will not be controlled by the Master object anymore.

Moving the master fader does not affect the position of the output object's sliders itself but the signal levels directly. Thus the level changes are reflected in each output channel's level meters.

The output object features the following elements: Level and Mute.


Plug-In Window

Audio Objects and Effects > Effect Plug-Ins > Plug-In Window

The Plug-In windows are where you can edit the parameters of the real-time effects.

You can add any of the real-time effects by means of a click-hold on an insert slot. You will see the various groups that organize the Logic plug-ins. If you have installed Third-Party Plug-Ins in the VST or Direct Show format, you will see an additional level for the different formats. .

Move the mouse through the different levels and choose a plug-in by releasing the mouse. The plug-in will immediately open. If you do not want the plug-in to open automatically after insertion, uncheck the preference Audio > Audio Preferences > Open plug-in window on insertion. Closing the window still leaves the plug-in active.

Double-clicking an assigned insert slot reopens the plug-in window.

Inserting Mono/Stereo plug-ins

The plug-in menu (long click on the Insert Slot) only displays those plug-ins with a channel format that matches the given Audio object: In mono objects, only mono plug-ins (m/m) are displayed. The same is true for stereo objects and stereo-plug-ins (s/s).

If you want to insert plug-ins featuring a different channel format to a stereo track, then press and hold ctrl when you're opening the plug-in menu.

Functions of the plug-in Window

Every plug-in window has a row of switches at the top whose functions are the same in all plug-ins.

- Link
If the Link button is switched off (default), you can open several plug-in windows simultaneously.
If the Link button is switched on one plug-in window is used to display all double-clicked plug-ins. The window changes to show the controls for whatever plug-in was last double-clicked.

- Bypass
The bypass switch takes the effect completely out of the signal flow. The effect's input signal is routed directly to the output, unaltered. You can also bypass the effect directly in the Audio object by ctrl> clicking on the insert slot. The color indicates the current status.

- Arrow
The arrow menu is used to store and load the effects programs; All plug-in settings are stored within the song file, and are automatically recalled the next time you load that song.

- Choosing an Audio Object
If you have used an effect algorithm in another audio bus object, for example in another track, you can simply swap between the objects. You can quickly compare settings or copy effects programs.

- Insert Slot Selection
If you have installed plug-ins in other insert slots of the same audio object, you can quickly change to the other plug-ins. This allows you to quickly balance the settings of all the plug-ins within an object.

- Editor - Controls View

Some of the parameters shown are only available if you choose the simple display mode. You can reach this mode with the Editor switch on top of the plug-in window. If you see an additional round button with "1"s and "0"s next to the link button, you can display the control views parameter below the editor view by clicking on this button.

Some plug-ins are only editable in the controls view.


Plug-In Settings

Audio Objects and Effects > Effect Plug-Ins > Plug-In Settings

All plug-in settings are stored within the song file, and are automatically recalled the next time you load that song.

You can also use plug-in Setups to help organize plug-in parameters. These are analogous to the storage locations in an external effects unit, combined with a clipboard for effects parameters.

Logic Platinum automatically creates a folder called "Plug-In Settings" in the folder that Logic itself is installed to, if one is not already present there. Inside that folder, a sub folder with the name of the current plug-in will be created. Load & Save brings the fileselector automatically to that location. The settings stored here are displayed in the flip menu tha opens when clicking on the arrow at the top of the plug-in Window.

You can create sub folders inside in the Settings folder to further organise your settings. Subfolders are displayed in the settings flipmenu as further hierachical menus.

The settings flip menu features the following functions.

- Copy Setting
copies all parameters onto its own "private" clipboard. They remain here until the next time you select Copy Setting. This does not affect the global Logic clipboard.

- Paste Setting
If you have opened a plug-in of the same type, you can add the parameter set from the "private" clipboard. This allows you to quickly set up several plug-ins of the same type, or exchange effects settings between songs.

- Save Setting
This allows you to save all the plug-in parameters to disk. This is useful if you have created a special sound effect, which you want to have available for future use.

- Load Setting
For loading stored parameter sets from disk. The file selector box shows only setups for compatible plug-in types.

Each real-time effect has its own set of parameters, and therefore its own file format.

Proprietary plug-in-Settings created with Logic Platinum for Windows can be read by Logic Platinum for Mac OS, and vice versa. Plug-in settings files created on the Mac must be saved with a .pst file extension in order for them to work on with Logic Windows.

- Settings of other Manufacturers
Logic can read the most common settings files of VST Plug-Ins and other hosts.


Operation of built-in Plug-ins

Audio Objects and Effects > Effect Plug-Ins > Operation of built-in Plug-ins

Rotary Controls

There are two ways to manipulate the rotary knobs:

  1. Click on the center and drag the mouse up and down. This option lets you access all available value increments.
  2. Click on the knob and move the mouse in a circular motion. Here the program responds to the angle of rotation. You'll find it easier to fine-tune values when the circular motion has a greater radius-in other words, drag it in bigger circles.

General Parameter

If you ctrl -click any parameter, this resets it to a neutral value.

- Mix
"Mix" defines the proportional mix of the original (dry) and effected (wet) signals.

If the effect is being fed from a bus, it nearly always makes sense to set the mix proportion to 100% (default for inserts in bus objects). Only then can the send knob on the individual channel use the entire possible range. Negative Values stand for a reversed phase.

Plug-ins with Side Chain Input

plug-ins such as the Compressor, the Expander, the Auto Filter and the Noise Gate feature a side chain input. A side chain capable plug-in inserted into an audio channel can be triggered by the audio signal of another Audio Track, an Input Channel or a Bus Object, via the side chain.
This allows Emagic's EVOC20 vocoder to process live audio inputs (as its analysis or synthesis signal) via the side chain input.

Tip: To route an Instrument channel as side chain signal, follow these steps:

  • Create a Send, using an unused bus on an Instrument channel.
  • Choose that Bus as a side chain input for the plug-in.

The side chain input source is selected via a flip menu in the gray plug-in header of a side chain capable plug-in. Any available audio track can be used as a source. Once the side chain input is selected, the plug-in processes the audio of the channel it is inserted in, using the trigger impulses provided by the side chain - i.e. the audio signal of another track. The signal peaks of the side chain input, combined with the Threshold parameter of the plug-in determines when the plug-in is triggered.

- Examples for Side Chaining

  • A sustained pad sound is sent through a noise gate, which is triggered by a drum track being used as the side chain input signal. This results in a rhythmic pad sound which follows the signal peaks of the drum track.
  • A noise gate inserted into a bass guitar channel is triggered by the kick drum track via the side chain. This can "tighten" the timing of the bass guitar, as it follows the kick drum signal.
  • Blending a music mix with a voice-over. To achieve this, a stereo mix of the music is sometimes routed through a compressor which, in turn, is side chained, using the voice-over track. In this type of setup, the music becomes softer when the narrator is speaking, and louder, when not. The effect is also known as "Ducking". (Please note that in order for this to function, the automatic gain make-up or "Auto Gain" must be disabled.)


Insert Effects vs. Bus Effects

Audio Objects and Effects > Effect Plug-Ins > Insert Effects vs. Bus Effects

In practice there are two ways of sending audio to effects: via an insert, or via a bus (also known as an "aux send").

Insert Effects

With insert effects, all of the signal is processed. This means that 100% of the signal flows through the effect. This is suitable for equalizers or dynamic effects. This also typically applies to pan knobs and faders.

Bus Effects

In this case, a controlled amount of the signal is sent to the effect. The classic example is reverb, where the most important effect parameter is the amount sent, as this determines where the signal source appears to be placed in the listener's audio field. Echo (delay) and the modulation effects (chorus, flanger ...) are also normally used in this way.

With Logic, the effect is positioned in the insert of a bus object. The signals of the individual tracks can each be sent to the bus with a send knob. The audio signal is then processed with the effect, and mixed with the stereo output.

The advantage of this, over inserting effects on tracks, is efficiency. This method allows as many tracks as you like to be processed by one inserted plug-in, saving CPU power as compared to inserting the same effect directly into multiple tracks.

With computation-intensive effects like reverb, it is always advisable to feed them via a bus. Chorus, flanger and delay should also always be fed via a bus, if they are going to be used on more than one track.

In some cases it may make sense to patch an effect such as a delay, directly into the insert of an individual track. There are no restrictions in Logic as to where real-time effects may be used.


Plug-Ins by other Manufacturers

Audio Objects and Effects > Effect Plug-Ins > Plug-Ins by other Manufacturers


Helper: Gainer

Audio Objects and Effects > Logic's Built-in Plug-Ins > Helper: Gainer

This plug-in allows a constant amplification or reduction, by a specific amount, given in decibels, of a track or return object.

By using Phase you can invert the Phase of the signal (swap "Plus" and "Minus"). In this way you can combat time alignment problems, particularly those caused by running multiple microphones at the same time.

The stereo version additionally offers a balance parameter and the option to swap Left and Right channel or convert the signal to Mono.


Helper: Volume

Audio Objects and Effects > Logic's Built-in Plug-Ins > Helper: Volume

This plug-in enables you to influence the level and phase of the signal.

Norm: unchanged phase

Inv: inverted phase

The stereo version of this plug-in lets you invert the phase position of the two stereo sides separately:

L- R+: left inverted, right unchanged

L+ R-: right inverted, left unchanged

When you invert the phase of a signal, it sounds identical to the original. Only when the signal is heard in conjunction with other signals does phase inversion have an audible effect. For example, if you mic a snare drum from the bottom as well as from the top, you should invert the phase of the bottom microphone's signal so that it is in phase with the top mic signal.

Influencing levels with "Volume" makes sense when you're working with automated tracks during post-processing, and you want to quickly adjust master levels. This could be the case when you've inserted an additional plug-in that does not feature a dedicated gain knob, or you want to change the basic level of a track for a remix version.


Helper: DirMixer

Audio Objects and Effects > Logic's Built-in Plug-Ins > Helper: DirMixer

The Direction Mixer plug-in offers the following features:

  • MS Decoder
  • The option of influencing the stereo base
  • Variable pan positioning of a stereo recording

Input

This parameter is used to determine whether the input signal is a standard "left/right" signal, or if you're dealing with an MS encoded (middle and side) signal, for example when the two sides of an MS stereo mic setup were recorded directly.

Direction

This parameter determines the direction from which the middle of the recorded stereo signal will emanate from within the mix, or in less complicated terms, its pan position.

At a value of "0", the middle of the stereo recording will be dead center within the mix. Positive values shift the middle of the stereo recording towards the left, negative values towards the right. At 90°, the middle of the stereo recording is panned hard left, at -90°, hard right. Higher values shift the recorded signal back to the center of the stereo mix, except that the stereo sides of the recording are swapped. At values of 180° or -180°, the middle of the recording is yet again dead center of the mix, although the left side of the recording is audible on the right side of the mix, and vice versa.

Base

This parameter determines the spread of the stereo base. At a neutral value of "1", the left side of the signal is positioned precisely on the left, and the right side precisely on the right. As the values decrease, the two sides increasingly move towards the center of the stereo image. A value of "0" produces a mono signal (both sides of the input signal are routed to the two outputs at the same level-i.e. a true middle signal). At values greater than 1, the stereo base is extended out to an imaginary point beyond the spatial limits of the speakers. In terms of MS levels, this is an involved way of saying that the level of the side signal is increased so that it is higher than the level of the middle signal. At a value of "2", only the side signal remains audible (on the left you'll hear "L-R" and on the right "R-L").

If you chose to use the Direction Mixer simply to spread the stereo base, please keep in mind that as the Base values increase beyond "1", monaural compatibility decreases accordingly. Once you process a stereo signal with an extreme setting of "2", when you play back the track in mono, the signal will be cancelled out completely-after all, "L-R" plus "R-L" doesn't leave you with much.

What is MS?

Relegated to obscurity for a good long while, recently MS stereo ("middle-side" as opposed to"left-right") has enjoyed a renaissance of sorts. Here, two microphones are stacked on a stand or suspended from the ceiling so that they are positioned as close together as possible. One of the two is a cardioid (or omnidirectional) mic which faces the sound source that you want to record directly, i.e. in straight alignment. The other is a bidirectional mic, the sensitive axes of which point to the left and right at 90° angles. The cardioid mic delivers the middle signal, the bidirectional mic the side signal. Simply record the middle signal to the left side of a stereo track and the side signal to the right. This configuration enables the Direction Mixer to easily decode MS recordings. The advantage that MS recordings have over XY recordings (two cardioid mics aligned so that they are directed to a point halfway to the left and right of the sound source) is that the stereo middle is actually located on the on-axis (main recording direction) of the cardioid mic. This means that slight fluctuations in frequency response that occur off the on-axis-as is the case with every microphone-are less troublesome.

To avoid confusion and unpleasant surprises, please be sure to label MS recordings by adding "MS" to their names.
In principle, MS and LR signals are equivalent and can be converted at any time. When "-" signifies a phase inversion, then the following applies:

M = L+R
S = L-R

In addition, L can also be derived from the sum of and R from the difference between M and S. Here's some interesting trivia for you: Radio (FM) broadcasts feature M and S stereo. The MS signal is actually converted to a signal suitable for the left and right speakers by the receiver.


Delay: Sample Delay

Audio Objects and Effects > Logic's Built-in Plug-Ins > Delay: Sample Delay

This simple plug-in allows the simple delaying of a channel by single Sample values, in the stereo version these are given separately for each channel. Used in conjunction with the capability of the Gainer to invert the phase, this plug-in is particularly suitable for correcting run-time problems that may occur with multiple channel microphones.

For delay effects, such as echo, or modulation effects, use the Stereo Delay, Tape Delay or Modulation Delay plug-ins.

Every sample, at a frequency of 44.1kHz, is equivalent to the time taken for sound to travel 7.76 Millimetres. Looked at differently: If you delay a channel from a stereo microphone by 13 samples this will acoustically give an increase of the microphone separation of 10 centimeters.


Delay: Tape Delay

Audio Objects and Effects > Logic's Built-in Plug-Ins > Delay: Tape Delay

The Tape Delay simulates a vintage tape echo device, although with some very useful features that such old devices never offered. The first of these is that it's delay settings are variable in musical increments. It is equipped with a high- and low-pass filter in the feedback circuit, as well as a circuit that simulates tape saturation effects. This plug-in is ideal for the dub delays invented by Jamaican toast masters, and used in many styles of music today.

When it is computing the desired delay, the plug-in uses the internal tempo of the sequencer. Tempo information is updated in the plug-in window when you open it, and later, every time you execute a mouse operation. Please note that at this point the plug-in can't handle tempo changes. This is because we wanted to avoid the noise that is generated when a delay is switched. The Tempo box serves solely to display the current bpm value-you can't use it to change the tempo of the sequencer.

When you want to create dotted note values, move the Groove slider all the way to the right to "75%"; for triplets, select the setting "33.33%". Note that all intermediate values are possible. Conveniently, you can view the current delay value in the Delay display.

As you might expect, the Feedback slider determines feedback intensity; in other words, the amount of delayed and filtered signal that is routed back to the input of the Tape Delay. When you set it to the lowest possible value, the Tape Delay generates just a single echo. Turned all the way up, the echoes are repeated ad infinitum. Keep in mind that the levels of the original signal and its taps (echo repeats) tend to add up, and may cause distortion. Here's where the internal tape saturation circuit comes to the rescue-it can be used to ensure that these overdriven signals sound good.

You can shape the sound of the echoes, using the on-board high-cut and low-cut filters. Although these filters are fairly flat, they're not located post-output. Instead, they are located in the feedback circuit, meaning that the effect achieved by these filters increases in intensity with each repeat. If you're in the mood for an increasingly muddy tone, move the high-cut filter slider towards the left. For ever thinner echoes, move the low-cut filter slider towards the right.

The Mix slider determines the balance between the original (dry) signal and effects (wet) signal. If you've inserted the Tape Delay to an individual track, you'll generally find that settings of up to 50% are desirable. If the Tape Delay is patched to the insert of a bus object, and you're routing the signals of a track to the plug-in with the Send controls, you should set the Mix slider to "100%", and leave it there.

If you're unable to hear the effect, even though you've set up a suitable configuration, be sure to check out not only the Mix knob, but also the filter settings: Move the High-cut filter slider to the far right, and the Low-cut filter slider to the far left.

The Tape Delay includes a LFO for delay time modulation. Use it to produce very pleasant and special chorus effects even with long delays. The LFO with adjustable speed and modulation intensity produces a triangular wave, which can be smoothed with the Smooth parameter. This also smoothes the flutter. Flutter simulates the irregularities in tape speed of the original tape transportation in an analogue tape delay, and is also adjustable in speed and intensity.


Delay: Stereo Delay

Audio Objects and Effects > Logic's Built-in Plug-Ins > Delay: Stereo Delay

The Stereo Delay works much like the Tape Delay, which is why we'll skip the general info, and take a closer look at the differences between the two. There is just one Stereo Delay (s/s), hence the stereo input and output. You are free to use the Stereo Delay for monaural tracks or busses, when you want to create independent delays for the two stereo sides. Please bear in mind that if you use this option, the track or bus has two channels from the point of insertion forward. Unlike the Tape Delay, the Stereo Delay does not feature a circuit that replicates tape saturation.

You can set the Delay (using Note buttons and Groove sliders), Feedback and Mix values separately for the two sides. However, the settings for the High-cut and Low-cut filters apply to both sides equally. In addition, the plug-in features a Cross Feed knob for each stereo side-it determines the feedback intensity; i.e. the level, at which each signal is routed to the opposite stereo side.


EQ: Fat EQ

Audio Objects and Effects > Logic's Built-in Plug-Ins > EQ: Fat EQ

Similar to the bass and treble controls on a stereo system, equalizers let you shape or voice the tone of a signal. The difference is, of course, that an EQ gives you much more precise and powerful options for influencing a sonic image.

The extremely high-quality Fat EQ offers up to 5 fully parametric bands-buttons 1 through 5 let you activate these individually; inactive bands would otherwise drain your computer's resources.

The icons above the graphic display let you determine whether Band 1 acts like a high-pass filter or a low shelving EQ. Similarly, Band 5 can be switched back and forth between a low-pass filter and a high shelving EQ. Bands 2 and 4 can be switched from their normal operating mode as fully parametric bell EQs to low or high shelving EQs. The center band (No. 3) always operates as a fully parametric bell EQ. The shelving filter's slope characteristics for bands 2 & 4 are adjustable via the Q parameter.

Go to the area directly below the graphic display depicting the frequency response curve, to select the frequency for the individual bands. You don't have to click on the arrows to change values in increments. Simply click on the number, and change the value with your mouse. You'll be able to hear, and thus audition a frequency better if you rotate the Cut/Boost knob located below it clockwise to turn it up.

The same holds true for any frequency that you want to attenuate. Once you've located the frequency that you're hunting for, you can back off the Cut/Boost knob and set it to the desired value. Use the Q (bandwidth) parameter located in the bottom display to determine to what extent the band influences neighboring frequencies.

At low Q values, the EQ influences a wider frequency range, and at high Q values, the effect of the EQ band is limited to a very narrow frequency range. Please bear in mind that your perception of an attenuated or boosted frequency depends on the Q factor: If you're working with a narrow frequency band, generally you'll have to cut or boost it more drastically to notice a difference.


EQ: Silver EQ

Audio Objects and Effects > Logic's Built-in Plug-Ins > EQ: Silver EQ

The Silver EQ simply combines the EQs available in the track object in one plug-in, which then can be utilized in audio objects like busses or outputs, which have no EQ of their own.

It contains one High Shelf, a Parametric and one Low Shelf filter with the corresponding parameters.


EQ: DJ EQ

Audio Objects and Effects > Logic's Built-in Plug-Ins > EQ: DJ EQ

The DJ EQ combines Low and High Shelving Filters with a fixed frequency and one Parametric EQ with its parameters.

The special feature of the DJ EQ is that it allows the gain/shelf of the filters to be reduced down to -30dB.


EQ: Individual EQs and Filters

Audio Objects and Effects > Logic's Built-in Plug-Ins > EQ: Individual EQs and Filters

The EQ plug-ins are identical to the "EQs" you find in the track object. Using an EQ Plug-In can be useful for:

  • Using an EQ in other than track objects
  • Using more EQs than the track object can hold
  • Using the identical EQ setting for more than one track by inserting it in a bus object.

Parametric Equalizer

The fully-parametric equalizer "ParEQ" has the following three parameters:

Hz: Center frequency
dB: Cut/Boost
Q: Quality

Thus a symmetrical frequency range on either side of the center frequency is boosted or cut. You can adjust the width of this frequency range with the Q factor.

High/Low Shelf

The "LoShelf" equalizer only affects the frequency range below the selected frequency.

The "HiShelf" equalizer affects only the frequency range above the selected frequency.

Low/High Pass Filter

- High Pass
The "HighPass" filter affects the frequency range below the set frequency. Higher frequencies pass through the filter. You can use the high pass filter to completely get rid of the bass range below a selectable frequency.

- LowPass
The "LowPass" filter affects the frequency range above the selected frequency. Lower frequencies pass through the filter. You can use the low pass filter to completely get rid of the treble range above a selectable frequency.

Low/High Cut Filters

"Low Cut" and "High Cut" let you filter bass and treble frequencies out of the signal.


Dynamics: Compressor

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Compressor

A compressor tightens up the dynamics of a signal. This means that the difference in levels between loud and soft passages is reduced. With the peak remaining constant, the overall loudness-the perceived volume-of a track is increased. Next to an EQ, a compressor is your most valuable sound-shaping tool when you're mixing. A compressor is a universal effect, it has a virtually unlimited range of applications. You should definitely exploit it for vocal tracks, but a compressor can also often work wonders for entire mixes. When you use a compressor, be sure to route the entire signal through it, by inserting it directly into tracks. It should only be used in a bus when you want to compress a group of tracks (e.g. drums) simultaneously, by the same amount. Again, these should be routed to the bus in their entirety, as opposed to using Send knobs to route just part of each signal to the bus. You do this by selecting the appropriate Bus as the output destination for the tracks that you wish to compress.

The Compressor was designed to emulate the response of the finest analog compressors. It follows the following principle: When a signal exceeds the defined threshold level, the compressor actually alters the response, so that is no longer linear. Instead, all levels that exceed the threshold are attenuated by the value that you set with the Ratio slider. A ratio of 4:1 means that an incoming level that lies 4 dB above the threshold is dampened, so that it comes out the other end of the compressor with a level just 1 dB above the threshold. On the flip side, if you route in a signal that is loud enough to double the output level of the compressor (+ 6dB), the input signal would have to have a level 24 dB greater than the threshold level. This tells us that a compression ratio of 4:1 is a fairly drastic manipulation of the original signal's dynamics. Since the compressor lowers levels, the volume of its output signal is normally lower than that of the input signal.

To compensate for this decrease in levels, the output of the compressor is equipped with a Gain slider. Auto Gain automatically sets the level of amplification to a value equivalent to the "sum of the threshold value minus the threshold value divided by the ratio" or put less confusingly T-(T/R). This function ensures that a normalized input signal is amplified so that the output signal is also normalized, regardless of the values that you set for threshold and ratio-provided you are dealing with relatively static signals. Use the Attack and Release knobs to shape the dynamic response of the compressor. Attack determines the amount of time it takes for the compressor to react to signals that exceed the threshold. At higher values, the compressor does not fully dampen a signal until after it runs through its attack phase. This type of setting ensures the original attack, for example the sound of a pick or finger striking a guitar string, remains intact or clearly audible. If, on the other hand, you want to maximize the level of a master signal, set the Attack knob to low values; i.e. so that the compressor responds more swiftly. Release determines the amount of time it takes for the compressor to stop dampening louder passages, once the signal level falls below the threshold. If the compressor generates an ugly pumping sound, adjust the Release knob accordingly.

When you have configured a compressor so that it dampens the signal at or above the threshold value by the predetermined ratio, while the level just below the threshold is routed through at a 1:1 ratio, an audio engineer would term the compression as "hard knee." However, in many cases you'll come up with a better sounding track by using a more gradual transition from the 1:1 ratio below the threshold, to the ratio that you entered for levels above the threshold. Here the characteristic curve is not as radical-it rises gradually from the bottom left to the top right, as seen in the graphic display. This type of compression is called "soft knee." The Knee slider lets you dial in anything from hard to soft, and provides a useful number of increments. This wide range of options gives you the tools to shape the sound as you like, depending on whether you want to radically maximize loudness with absolutely no regard for the original dynamics (hard), or are going for the more musical compression that acoustic recordings typically require (soft). Keep in mind that Knee controls only the shape of the compression, not its intensity; use the Threshold and Ratio sliders for this purpose.

Incidentally, the Gain Reduction Meter indicates the intensity of compression with which you're tightening up the original signal. This feature is a great help, particularly if you are not experienced with using compression. Keep an eye on it to make sure you're not over compressing your tracks.

When the compressor has to decide whether or not the level exceeds the threshold (or for soft knee compression, if the level is getting close to the threshold), it can analyze either the peak or RMS level. The latter value is a better indication of how we perceive loudness. When you use the compressor primarily as a limiter, select the Peak button. When you're compressing individual signals, use of the RMS button will often deliver better, more musical results.

If you activate Auto Gain and RMS simultaneously, the signal may be saturated. If you hear any distortion, switch Auto Gain off, and enter a suitable gain level manually.

The Parameter Output Clip clips the output to 0dB with the settings "OFF / SOFT / HARD". This setting is only available in the Controls View.

Despite all of these handy tips for tweaking sounds, you should always keep one thing in mind-there are no hard and fast rules. Use your own taste and ears. If it sounds good, it is good.


Dynamics: Silver Compressor

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Silver Compressor

A compressor tightens up the dynamics of a signal. This means that the difference in levels between loud and soft passages is reduced. With the peak remaining constant, the overall loudness-the perceived volume-of a track is increased. Next to an EQ, a compressor is your most valuable sound-shaping tool when you're mixing. A compressor is a universal effect, it has a virtually unlimited range of applications. You should definitely exploit it for vocal tracks, but a compressor can also often work wonders for entire mixes.

The Compressor was designed to emulate the response of the finest analog compressors. It follows the following principle: When a signal exceeds the defined threshold level, the compressor actually alters the response, so that is no longer linear. Instead, all levels that exceed the threshold are attenuated by the value that you set with the Ratio slider. A ratio of 4:1 means that an incoming level that lies 4 dB above the Threshold is dampened, so that it comes out the other end of the compressor with a level just 1 dB above the threshold. On the flip side, if you route in a signal that is loud enough to double the output level of the compressor (+ 6dB), the input signal would have to have a level 24 dB greater than the threshold level. This tells us that a compression ratio of 4:1 is a fairly drastic manipulation of the original signal's dynamics.

Since the compressor lowers levels, the volume of its output signal is normally lower than that of the input signal. To compensate for this decrease in levels, the output of the compressor is equipped with a auto gain function which automatically sets the level of amplification to a value equivalent to the "sum of the threshold value minus the threshold value divided by the ratio" or put less confusingly T-(T/R). This function ensures that a normalized input signal is amplified so that the output signal is also normalized, regardless of the values that you set for threshold and ratio-provided you are dealing with relatively static signals.

Use the Attack and Release sliders to shape the dynamic response of the compressor. Attack determines the amount of time it takes for the compressor to react to signals that exceed the threshold. At higher values, the compressor does not fully dampen a signal until after it runs through its attack phase. This type of setting ensures the original attack, for example the sound of a pick or finger striking a guitar string, remains intact or clearly audible. If, on the other hand, you want to maximize the level of a master signal, set the Attack knob to low values; i.e. so that the compressor responds more swiftly. Release determines the amount of time it takes for the compressor to stop dampening louder passages, once the signal level falls below the threshold. If the compressor generates an ugly pumping sound, adjust the Release knob accordingly.


Dynamics: Expander

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Expander

The Expander is similar to the Compressor, with one fundamental difference-it increases, rather than reduces, the dynamic range above the threshold.

The Ratio slider features a value range of 1:1 to 0.5:1. This means that the Expander is a genuine "upward expander" (as opposed to a "downward" expander that increases the dynamic range below the threshold). You can use this effect to emphasize the transients of highly compressed signals. This spices up the sonic image, making it sound livelier and fresher.

Please bear in mind that you will perceive the signal as being softer, even when the peak level remains the same. In other words, the expander decreases loudness. If you manipulate the dynamics of a signal fairly radically (depending on the threshold and ratio values), you'll find that you'll have to back off the level via the Gain slider to avoid distortion. In most cases, Auto Gain will take care of this for you.

Please check the Compressor section for details on the various parameters.


Dynamics: Noise Gate

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Noise Gate

Ordinarily, a noise gate suppresses unwanted noise that may become audible during a lull in the signal. However, you can also use it as a creative sound-sculpting tool.

Here's the basic principle behind a noise gate: Signals that lie above the threshold are allowed to pass unimpeded ( "open" gate). Anything below the defined Threshold (e.g. background noise, crosstalk from other signal sources, etc) is fully muted, ( "closed" gate). In other words, the Threshold slider determines the lowest level that a signal must have to open the gate-it separates the wanted or useful signal, from the unwanted or noise signal.

The Reduction slider lets you control the intensity of noise suppression. As a rule, you should set it to the lowest value and leave it there to make sure that the gate closes completely. If you prefer, you can dial in other values, so that the noise signal is reduced less dramatically. As an alternative, you can even boost the signal by up to 20 dB.

The three rotary knobs at the top influence the dynamic response of the noise gate. If you want the gate to open extremely quickly, say for percussive signals such as drums, set the Attack knob to the lowest value, by turning it as far as it will go counter-clockwise. If the signal fades in a bit more softly, as is the case with string pads and the like, a noise gate that opens too quickly can wreak havoc with the signal, causing it to sound unnatural.

For this type of sonic scenario, set the Attack knob so that the gate emulates the attack of the original signal. Much the same holds true for the Release phase of signals. When you're working with signals that fade out gradually or have longer reverb tails, you should turn the Release knob up so that the noise gate allows the signal to fade naturally.

The Hold knob determines the minimum amount of time that you want the gate to stay open. This knob lets you avoid the dreaded "chattering" effect, caused by a rapidly opening and closing noise gate. The Hysteresis slider gives you another option for avoiding chatter, without dialing in a minimum Hold time.

Let's back up a bit for a brief explanation: Noise gates often begin chattering when-during the attack or release phase-the level of a signal fluctuates slightly but very rapidly. Instead of clearly exceeding or falling short of the threshold value, the level hovers around the threshold instead. The noise gate then rapidly switches on and off to compensate, producing the undesirable chattering effect. If, however, you were able to tell the noise gate to open at the determined threshold level and remain open until the level drops below another, lower predefined threshold, you'd be able to avoid chatter, as long as the sonic window formed by these two thresholds is large enough to contain the fluctuating level of the signal.

This is exactly what this feature enables you to do-the value determined by the Hysteresis slider is actually the difference between the Threshold values that open and close the gate. This value is always negative. Generally, -6dB is a good place to start.

If you're dealing with audio material featuring extremely sensitive transients, or attack phases that are critical to the overall sound, you may find it beneficial to have the noise gate open up a tad before the useful signal fades in. This is what the Lookahead slider is designed for. The program analyzes the signal level ahead of time, and anticipates the point at which it can open the gate before the signal actually reaches the threshold value. When you chose to use this feature, please make sure you set the Attack, Hold or Hysteresis controls to appropriate values.

When you're working with noise gates, you'll run across scenarios where the useful signal and the noise signal have levels that are near enough to be perceived as identical. A typical example is the crosstalk of a hi-hat-its signal tends to bleed into the snare drum track when you're recording a drum set. If you're using a noise gate to isolate the snare, in many cases the hi-hat will also open the gate. To avoid this effect, the on-board noise gate ships with sidechain filters.

When you press and hold the Monitor button, you can audition the sidechain signal. Then you can set the filters so that only those frequencies at which the useful signal is particularly loud are allowed to pass. For our example, we'll use a high-cut filter that only allows the bottom end and mids of the snare to pass, and cuts the higher frequencies of the hi-hat. Now when you switch sidechain monitoring off, it will be much easier to dial in a suitable threshold. This will be a value that is only exceeded by the level of the louder useful signal-in our example the frequencies that make up the snare's fundamental tone. Put simply, the noise gate only allows the sound of the snare to pass. Should the need arise, you can follow much the same procedure to isolate a kick or snare drum within an entire mixdown.


Dynamics: Silver Gate

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Silver Gate

Ordinarily, a noise gate suppresses unwanted noise that may become audible during a lull in the signal. However, you can also use it as a creative sound-sculpting tool.

Here's the basic principle behind a noise gate: Signals that lie above the threshold are allowed to pass unimpeded ( "open" gate). Anything below the defined Threshold (e.g. background noise, crosstalk from other signal sources, etc) is fully muted, ( "closed" gate). In other words, the Threshold slider determines the lowest level that a signal must have to open the gate-it separates the wanted or useful signal, from the unwanted or noise signal.

The next three sliders influence the dynamic response of the noise gate. If you want the gate to open extremely quickly, say for percussive signals such as drums, set the Attack slider to the lowest value, by turning it as far as it will go counter-clockwise. If the signal fades in a bit more softly, as is the case with string pads and the like, a noise gate that opens too quickly can wreak havoc with the signal, causing it to sound unnatural.

For this type of sonic scenario, set the Attack slider so that the gate emulates the attack of the original signal. Much the same holds true for the Release phase of signals. When you're working with signals that fade out gradually or have longer reverb tails, you should turn the Release knob up so that the noise gate allows the signal to fade naturally.

The Hold slider determines the minimum amount of time that you want the gate to stay open. This knob lets you avoid the dreaded "chattering" effect, caused by a rapidly opening and closing noise gate.

If you're dealing with audio material featuring extremely sensitive transients, or attack phases that are critical to the overall sound, you may find it beneficial to have the noise gate open up a tad before the useful signal fades in. This is what the Lookahead slider is designed for. The program analyzes the signal level ahead of time, and anticipates the point at which it can open the gate before the signal actually reaches the threshold value. When you chose to use this feature, please make sure you set the Attack, Hold controls to appropriate values.


Dynamics: Enveloper

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Enveloper

The Enveloper is an unusual tool that lets you shape transients, i.e. the attack and release phases of signals. No other type of dynamic effect (compressor, expander) can achieve similar results-and they can be quite impressive indeed.

The most important Enveloper controls are the two Gain sliders that govern Attack (left) and Release (right). In the center position, the signal remains unprocessed. If you turn the gain up, the attack or release phase is emphasized. If you turn it down, the corresponding phase is attenuated. For example, boosting the attack lends a drum sound more snap, or amplifies the sound of a guitar string being plucked or picked. When you cut the attack, percussive signals fade in more softly. You can also mute the attack so that is virtually inaudible. This lets you come up with all kinds of interesting manipulations. Another handy application for this is maintaining friendships-it allows you to mask the poor timing of accompanying instruments, rather than tell your pals that they have all the groove of a horde of accountants at the office Christmas party.

Emphasizing the release also boosts the amount of any reverb on the affected track. Conversely, when you tone down the release phase, tracks originally drenched in reverb end up sounding drier. This effect is particularly useful when you're working with drumloops, but of course there are many more applications. Let your imagination be your guide.

When using the Expander, you should set the Threshold to the minimum value and leave it there. Only when you seriously crank the release phase, thus boosting the noise level of the original recording to a very high level, should you turn the Threshold slider up a bit to limit the Enveloper so that it influences the useful signal only.

Drastic boosting or cutting of the release or attack phase may change the overall level of the signal. The Out Level slider allows you to compensate for this effect manually.

The Time parameters for the attack and release phase (2 knobs below the graphic display) enable you to access the time-based intervals that the program interprets as the attack and release phases. Generally, you'll find values of around 20ms (attack) and 1500ms (release) are fine for starters. Adjust them according to the type of signal that you're processing.

Similar to its counterpart on the noise gate, the Lookahead slider lets you enter values that tell the Enveloper to anticipate what the signal will do in the very near future. Normally you won't need this feature, except possibly for signals with extremely sensitive transients. If you do decide to employ Lookahead , you may have to adjust the attack time accordingly.

To give you better insight into true nature of the Enveloper, here's a quick look at how it works: It is equipped with two internal envelope followers. One follows the amplitude of the input signal directly, whereas the other follows all changes generated by the variable delays (individually adjustable for attack and release). The difference between the two envelope followers is used to boost or cut the original signal by way of the corresponding Gain sliders (also individually adjustable for attack and release).

In contrast to a compressor or expander, the Enveloper operates independently of the absolute level of the input signal-provided the Threshold slider is set to the lowest possible value).


Dynamics: De-esser

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: De-esser

A de-esser is a signal processor used for the rejection of hissing noises. That's why it is called a "De-Esser", you could call it a "S"-Suppressor as well. Of course, you could reject sizzling frequencies with an equalizer alternatively; But a de-esser rejects that frequency band only as long as there is a level threshold overridden in a specific frequency band. That's why the sound won't get darker as long as there is none such sizzling consonant sounding. A de-esser is a frequency selective compressor which only compresses a certain frequency band out of a complex full band signal.

With the Emagic De-esser, the dynamic rejection does not necessarily take place in the same frequency range that's analyzed. Instead, the Emagic De-esser performs a gain reduction in the frequency band diplayed in the lower window, as long as the level exceeds a threshold within the frequency range displayed in the upper window. Please don't mix it up with a "Vocal Stressor", also known as de-esser, which reduces the gain of the entire range in case the level exceeds a threshold in a certain frequency range, which can be achieved with any compressor with a high pass filter or EQ inserted in its side chain.

The Emagic De-esser does not make use of a frequency dividing network (crossover utilizing low and high pass filters). Instead it's based on a subtraction of the isolated frequency band, leaving the phase-curve untouched.

The de-esser is especially important in FM radio applications, because sharp "S"-type consonants can cause harsh intermodulation distortion noises. The need for this depends very much on the language spoken: English has less of these consonants than German or Spanish.

These are the parameters in detail:

Detector Frequency

Here's where you define the frequency band the de-esser acts upon. It's not necessarily the same band that will be reduced.

Detector Sensitivity

Here's where you define the threshold which has to be exceeded around the Detector Frequency, in order to make the de-esser reduce the level around the Suppressor Frequency.

Monitor

With this switch you can monitor the side chain signal being used by the de-esser. If you want to reduce sizzling noises, listen to the input signal here and set the Detector Frequency so, that the sizzling frequency range becomes most prominently audible. (If you begin to like that filtered sound, it's advisable to combine a high pass and a low pass filter in order to construct a bandpass which makes use of the processor power more economically.)

Suppressor Frequency

Here's where you define the frequency band to be reduced when the Detector Frequency Sensitivity threshold is exceeded.

Strength

Strength sets the amout of gain reduction around the Suppressor Frequency.

Smoothing

Smoothing controls the reaction speed at which the gain reduction takes place. It's a combination of attack and release time parameters as known from compressors.


Dynamics: Ad-Limiter

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Ad-Limiter

With its Compressor, Multipressor and Limiter-not to forget the destructive process of normalizing-Logic features several extremely versatile options for increasing perceived volumes. A further tool which can be used to increase the perceived level of signals is the Adaptive Limiter plug-in. In the world of analog processors, it could be more closely compared to a "clipper", rounding and smoothing only harsh level peaks, rather than to a VCA-type limiter. It allows you to achieve maximum gain, without having to fear exceeding 0dBFS. The Ad-Limiter may slightly color the sound. An effect most similar to an amplifier when driven hard.

Following the Adaptive Limiter process, tracks normalized to 0dB appear to sound about 2dB louder, depending on the source signal. As with other Logic dynamic processes, this plug-in also features a lookahead facility (set to a fixed time span), allowing it to "look into the future". The Adaptive Limiter reacts to level peaks in signals streaming from the hard disk before they are played back, and delaying the monitored signal. The typical use of the Adaptive Limiter is in the summed mix. It is placed after the Multipressor and before Volume, in order to produce a CD of maximum loudness. As limiters compress signals, it can produce results which sound louder than those resulting from normalizing in the Sample Editor.

Start the process by adjusting the Input Scale, just as you would set a mixing desk's Gain parameter, or a digital recorder's recording level. The parameter behaves much like a Gain control, but its purpose is to adjust the input level, which must never exceed 0dBFS. Adjust the Gain parameter to "musically" control the internal process of peak smoothing and gain increase. Out Ceiling reduces the output level of the process in very fine steps within a range of only 2dB. This is no threshold control, just a simple output gain. The Margin-Display shows the maximum measured level. In order to reset the Margin display, click the Over lamps.


Dynamics: Multipressor

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Multipressor

The "Multipressor" (which stands for multiband compressor) is the epitome of the audio mastering tool. It's a pretty complex tool; good sounding settings require quite a lot of listening experience.

Functional Principle of Multi-band Compressors

The multi-band compressor splits the incoming signal into two to four different frequency bands before applying compression. These frequency bands will then be compressed independently. After compression, the frequency bands are mixed back together.

The aim of independent compression of different frequency bands is to reach high compression levels on the bands that need it, without the "pumping" effect that is normally heard at high compression levels.

Much higher Ratios and therefore a much higher average volume will be possible, before the unwanted artifacts of compression will be heard.

- Downward Expansion
Strong multi-band compression allows you to raise the overall volume level-resulting in a dramatic increase of the existing noise floor. "Downward expansion" allows you to reduce or suppress this noise, Each frequency band features a downward expander. This works as the exact counterpart to the compressor: while the compressor compresses the dynamic range of the higher volume levels, the downward expander expands the dynamic range of the lower volume levels. With downward expansion, the signal will be reduced in level when it is lower than the set Threshold level. The effect can be compared to a noise gate, but which instead of simply cutting off the sound, smoothly fades the volume using an adjustable Ratio.

Basic settings

- Bands
This parameter (on the right side) determines the number of independently compressable frequency bands, and has a crucial impact on the amount of computing power needed for the effect. Classic multi-band compressors work using 3 Bands.

- Lookahead
Lookahead (just below the Bands parameter) determines how far the processor "looks into the future", to be able to react earlier (thus better) to peak volumes. Unlike stand-alone processors, this function does not apply a general signal delay, as the compressor is not limited to seeing the signal in realtime.

Set Lookahead to higher values, when you set the Peak/RMS control (see below) more in the RMS direction.

- Peak/RMS
Adjusting the control between Peak (full left) and RMS (Root Meantime Square; full right) should be done depending on the kind of signal you would like to compress: An extremely short Peak detection setting is suited for compression of short and high peaks of low power, which do not typically occur in music. The RMS detection method "measures" the power of the audio material over time and thus works much more "musically", because human hearing reacts more to overall acoustic power than to single peaks. As a basic setting for most applications, the center position of the control can be recommended.

- Attack
Here you set the time by which the onset of compression will be delayed, in units of milliseconds.

- Release
Here you can set the time the compressor will need after compression to "release"the effect. Just as with the other values, the best setting for this depends to a great extent on the material to be compressed.

Multi-band Graphic

The left side graphic editor for the Multipressor displays several of the settings, both graphically and numerically.

- Crossover Frequencies
The crossover frequencies (vertical borders) between the bands are variable. To cahnge a band's crossover point, grab the borders directly within the graphic and move them to the left or to the right. The frequency is displayed numerically at the bottom of the graphic.

- Absolute Volume
The horizontal line in the middle of each band displays its currently set level (default: 0 dB). By grabbing the area below this line and moving it up and down, you can set the absolute volume level of the corresponding band. The level is displayed numerically at the bottom of the graphic.

This way, the Multipressor also serves as a basic equalization tool, depending on how the crossover frequencies are set.

- Threshold Display
The horizontal lines (up to three) in the lower area of the window represent the Threshold values for Compression (upper line), Expansion (middle line), and the Reduction value (bottom line). You can set these values using the controls of the same name (see below).

- Selecting the Band to Edit
You can select which frequency band you wish to edit, by clicking in the lower section of each band. Set the Ratio and Threshold values for each band as desired.

Comp. Ratio

This, together with Compression Threshold, is the central parameter for the compression. The Comp Ratio determines the strength or rate of reduction of the level range to be compressed. In most cases the most useful combinations of these two settings are either 1) low Threshold and low Ratioor 2) high Threshold and high Ratio.

Exp. Ratio

This, together with Expansion Threshold, is the central parameter for controlling downward expansion. It determines the strength of expansion applied to the level range to be expanded.

Graphic curve

The graphic area in the middle of the editor shows the ratio between input level (horizontal scale) and output level (vertical scale) of all bands. The colors correspond to the colors of the frequency bands in the left graphic area. By setting the Ratio and Threshold controls, you can change the curvature of the selected frequency band.

Thresholds

- Compression
Here you can set the minimum level at which the compressor will begin to work. If the control is set all the way to the right (0 dB), the entire compressor section of the Multipressor is "off-line". The more you set the control to the left, the lower the level above which the compressor will work.

- Expansion
Here you can set up to what maximum level the expander should work. If the control is set all the way to the left (-50 dB), expansion will be done only below this level. (The Exp. Ratio can be set to a minimum of 1,2:1; below -50 dB the expansion always takes place with this low ratio.) The more you set the control to the right, the higher the level below which the expander will work.

Reduction

Here you can set how much the noise level shoud be reduced (this is not a threshold value). If you move the control all the way to the left, the reduction will be at maximum (by -50 dB). If the control is set all the way to the right, no reduction will be applied.

Level Meter

In the level meter to the right, you may monitor either the change of level caused by compression, or the output volume of each band, depending on whether you have selected Gain change or Output (see below). You can individually switch the bands on and off, to be able to listen to single bands, using the switches below the meters. If the switch below a band's meter is lit (light green), then the band will be audible. If it is dark, then the band will be muted.

Gain Change/Output

The Gain change and Output buttons can be used to switch the meters.

  • If Gain change is selected, the meters show how strongly the compressor is reducing the level of the audio material.
  • If Output is selected, the meters show the absolute output level of the corresponding frequency band.

Master Gain

Here you can reduce the overall gain increase (or increase the overall gain reduction), that you may have produced setting the Multipressor.


Dynamics: Limiter

Audio Objects and Effects > Logic's Built-in Plug-Ins > Dynamics: Limiter

The limiter is also a standard effect for processing a stereo sum signal, i.e. for mastering.

You could say that a limiter is a compressor with an infinite compression ratio. The limiter serves to limit the dynamics to an absolute level. Any input levels that exceed this will only be output with this highest level, no matter how much higher the original signal's level may have been. The fact that there is a level beyond which the signal cannot go is what distinguishes a limiter from a compressor.

Gain

Instead of this control, analog limiters would have a "Threshold" like on Logic Platinum's Multipressor. This would set the level at which the limiter will begin to work.
Since this limiter is a digital one, and since the limiter normally is applied as the very last mastering tool, we presuppose that 1) the input signal sometimes reaches 0 dB, but does not exceed this value, and 2) that the limiter is being used to raise the signal's overall volume. This is the reason why you find a Gain control here to set the desired level gain for the signal.

The limiter is designed so that if it receives normalized regions and is set to 0 dB Gain and 0 dB Output Level, it doesn't work at all. If there should be a region which produces clipping (red gain line), the limiter, in its basic settings, reduces the level, before clipping may occur. (This does not apply to data that were clipped upon recording).

Lookahead

Lookahead determines how far the processor "looks into the future", to be able to react earlier (thus better) to peak volumes. Unlike stand-alone processors, this function does not apply a general signal delay, as the limiter is not limited to seeing the signal in realtime.
Set Lookahead to higher values, if you want the limiting effect to take place before the maximum level is reached.

Release

Here you can set the time the limiter will need after limiting to "release"the effect.

Output Level

Using this simple volume control, you can set the desired maximum level of the limiter output signal.

Softknee

The parameter Softknee produces a softer transition from "no limiting" to full limiting.

If switched off, the signal will be limited following a linear curve, i.e. absolutely and exactly, when reaching 0 dB.

If switched on, the transition to full limiting is non-linear, meaning softer. The limiting of the signal will start before reaching 0 dB. This will avoid distortion artefacts occurring on strong limiting without softknee.

Graphic Display

The graphic display shows the reduction of the level (starting from 0 dB downwards).


Distortion: Distortion

Audio Objects and Effects > Logic's Built-in Plug-Ins > Distortion: Distortion

This distortion effect simulates the lo-fi dirt generated by a bipolar transistor.

Move the Drive slider up to increasingly saturate the transistor. Generally, the distortion created by the plug-in tends to increase the signal level, an effect that you can compensate for with the Output slider. The Tone knob lets you filter the harmonics-laden distortion signal, which then delivers a somewhat less grating, softer tone.

The Emagic Eye is watching - it visually represents the settings of the Drive and Tone parameters.


Distortion: Overdrive

Audio Objects and Effects > Logic's Built-in Plug-Ins > Distortion: Overdrive

The Overdrive effect emulates the distortion of a field-effect transistor (FET). When saturated, FETs generate warmer sounding distortion than bipolar transistors.

The Drive slider pushes the transistor over the edge and into overdrive. Generally, the distortion created by the plug-in tends to increase signal levels, an effect that you can compensate for with the Output slider.

The Tone knob lets you filter the harmonics-laden distortion signal, which delivers an even warmer sound.

The Emagic Eye visually represents the settings of the Drive and Tone parameters.


Distortion: BitCrusher

Audio Objects and Effects > Logic's Built-in Plug-Ins > Distortion: BitCrusher

BitCrusher is the ultimate digital distortion box. You can do all kinds of wild stuff with it, such as recreate the 8-bit sound of the pioneering days of digital audio, create artificial aliasing by dividing the sample rate, or distort signals so radically that they are rendered unrecognizable.

Warning: The BitCrusher can damage your hearing when operated at high volumes...

The Drive slider lets you boost the level at the input of the BitCrusher. Please note that this tends to excite the clipping stage located at the output of the BitCrusher as well.

The Resolution knob lets you reduce the resolution from 24 bits down to 1 bit.

The number of bits is always an exponent of two. The range of available values is equivalent to the exponents of two that a given sample rate can handle. For example, whereas 65,536 different values are possible for 16 bits, at 8 bits, you're left with just 256. The sonic image becomes ever more ragged as the values decrease because the number of sampling errors increases, thus generating more distortion. At extremely low bit resolutions, the amount of distortion can be greater than the level of the usable signal.

The Downsampling slider lets you lower the sample rate. For example, at a value of 2, the original 44.1 kHz signal is sampled at a rate of just 22.05 kHz. With a factor of 10, the rate is knocked all the way down to 4.41 kHz.

The Clip Level slider lets you define at what point below the normal threshold you want the signal to start clipping. The Mode buttons are used to determine whether the signal peaks that exceed the clip level are "Folded," "Cut," or "Displaced" (check out the graphics on the buttons and the resulting waveform in the display). The kind of clipping that occurs in standard digital systems is usually closest to that of the center mode (Cut). Internal distortion may generate clipping similar to the types generated by the other two modes.


Distortion: Clip Distortion

Audio Objects and Effects > Logic's Built-in Plug-Ins > Distortion: Clip Distortion

The Clip Distortion plug-in is a non-linear distortion process, producing spectra which are unpredictable. Besides some drastic distortions it's well suited for the simulation of some warm tube overdrive sounds.

The best way to learn what effect the various parameters have is to experiment with them on different signal sources. However, as a starting point here is a description what each control basically does:

The signal is first amplified by the value of Drive, which is a simple gain control. Next, the signal passes through a high-pass filter, whose cut-off frequency is determined by the Tone control. Then, the actual non-linear distortion process is controlled by the Symmetry parameter.

Having been distorted asymmetrically, the signal passes through a low-pass filter, whose cut-off frequency is determined by the Filter fader. Mix combines the effected signal with the dry signal. This mixed signal goes through another low-pass filter whose cut-off frequency is set by the Sum Filter control. All filters have a slope of only 6dB/octave.

The last stage of signal processing is a tunable shelving filter. If you set its Frequency to about 12 kHz, it will behave like a normal treble control, as found in any mixer's channel strip or hifi stereo amp. Unlike such treble controls, this filter allows for boosts or cuts of up to +/-30dB. This somewhat unorthodox combination of serially connected filters allows for gaps in the frequency spectra that can sound quite good with this sort of nonlinear distortion. The clip circuit graphic visually depicts every parameter, with the exception of the shelving filter controls.

Try inserting filters or Eqs, like the simple Parametric EQ, before the Clip Distortion for additional sound shaping. Also combining the Clip Distortion with other distortion plug-ins allows for interesting results.


Distortion: Phase Distortion

Audio Objects and Effects > Logic's Built-in Plug-Ins > Distortion: Phase Distortion

The Phase Distortion plug-in is based on a modulated delay line, much like the well-known chorus or flanger effect. As opposed to this, the delay time is not being modulated by a low frequency oscillator (LFO), but by a low-pass-filtered version of the audio input signal itself. This is how the signal modulates its own phase position.

In the signal flow of this effect, the parameters have this meaning:

The input signal only passes the delay line and is not affected by any other process. With Mix, you can mix it with the original signal. The delay time is being modulated by a sidechain signal. It's the input signal, having passed a resonating low pass filter, the Cutoff Frequency and Resonance of which you can set with dedicated controls. You also can listen to the filtered sidechain (instead of the Mix signal), if you engage Monitor. The maximum delay time is set with Max Modulation. The amount (depth) of modulation itself is controlled with Intensity.

In Controls View, there is one more parameter which can't be seen in the plug-in window, which only is valid for the stereophonic version of the effect. Normally, a positive input value results in a longer delay time. If you engage Phase Reverse (On), positive input values result in a shortening of the delay time on the right channel only.


Filter: AutoFilter

Audio Objects and Effects > Logic's Built-in Plug-Ins > Filter: AutoFilter

The AutoFilter is an extremely versatile, resonance-capable low-pass filter, that comes with a couple of truly unique features. Its important parameters are located to the right side of the editor: The Cutoff Frequency knob determines the point at which the filter kicks in. Higher frequencies are attenuated, lower frequencies are allowed to pass unhindered.

The Resonance knob emphasizes the frequency range bordering the cutoff frequency. When you turn the resonance up sufficiently, the filter itself begins oscillating (with the cutoff frequency). Just like on the legendary Minimoog, self-oscillation is initiated before you max out the resonance parameter. When you're working with resonance, ordinarily the manner in which the low-pass filter allows frequencies to pass changes: higher resonance values cause the filter to cull out the bottom end, so the signal ends up sounding thinner. The Fatness parameter compensates for this audio version of anorexia. When you turn Fatness up to maximum, the resonance setting has no effect on the response of the frequencies below the cutoff frequency.

The Slope buttons determine how steep you want your low-pass filter to be: frequencies above the cutoff frequency are dampened by 6, 12, 18 or 24 dB per octave (in audio jargon, these are called filters of the 1st, 2nd, 3rd and 4th order). Even though the 24 dB filter is largely the component of choice for synthesizer designers, be sure to experiment with the other options, they can also deliver pretty hip results. Distortion Input and Output lets you separately control the two distortion units-one pre-input and the other post-output. Although the two distortion modules are identical, their respective positions in the signal chain-before and after the filter, repectively-enable them to generate remarkably different sounds.

All other parameters of the AutoFilter are used to dynamically modulate the cutoff frequency. These come in two sections: Envelope (ADSR, Envelope Generator) and LFO (Low Frequency Oscillator, Modulation Generator).

The Threshold parameter applies to both sections, and analyzes the level of the input signal. If the input signal level exceeds that of the variable Threshold level, the envelope and LFO are retriggered. The Modulation slider of each section determines the intensity of control signal's effect on the cutoff frequency.

Envelope: when the Threshold level is exceeded, the control signal is triggered at the minimum value. After a variable interval, the length of which is determined by the Attack parameter, the signal reaches its maximum value. It drops off during the time it takes to run through an interval defined by the Decay value, and ends up at the predetermined Sustain value. Once it drops below the threshold, it falls all the way to the minimum value in the amount of time determined by the Release parameter. If the input signal again falls below the Threshold level before the control signal has reached the Sustain level, the Release phase is triggered. The Dynamic Modulation parameter lets you modulate the peak value of the Envelope section, using the level of the input signal.

LFO: the LFO oscillates, using the waveform determined by the Waveform buttons. The choices are: descending sawtooth (saw down), ascending sawtooth (saw up), triangle, pulse wave or random (random values, "Sample & Hold"). Once you've selected a waveform, you can shape the curve with the Pulse Width knob. Use the Frequency knobs to dial in the desired LFO frequency: Coarse sets a value between 0.1 and 10000 Hz, Fine lets you adjust it in smaller increments. The Speed Modulation (Speed Mod.) knob is used to modulate the frequency of the LFO independently of the input signal level. If the input signal exceeds the threshold level, the modulation width of the LFO increases from zero to the value that you have entered for Modulation. You can also define the amount of time this process takes, by entering the desired value with the Delay knob. If the Sync button is activated, the waveform is started at 0¡ as soon as the threshold is exceeded.

Whenever you use the AutoFilter as a stereo plug-in, you can determine the phase relationship between the LFO modulation on the two stereo sides, with the Stereo Phase knob.

- Volume
With the volume parameter, you can lower the "Volume" (up to 50 dB); e.g. to compensate a higher level when using distortion.


Modulation: Modulation Delay

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Modulation Delay

As its name implies, the Modulation Delay generates effects such as flanging or chorus, based on modulated short delays. It can also be used-without modulation-to create resonator or doubling effects.

The modulation section consists of two LFOs, with variable frequencies (0 to 20 Hz). The balance between these two is determined by the LFO Mix slider. Use the Width slider to enter the desired modulation width. When the Width slider is set to the far right position, delay modulation is switched off completely. The Volume Modulation (Vol. Mod.) slider lets you determine the intensity of the amplitude modulation (Tremolo). The Constant Modulation (Constant Mod.) button lets you do just that-ensure that the modulation width remains constant, regardless of the modulation rate. When this feature is switched off, higher modulation frequencies reduce the modulation width. In simple delay circuits, a delay modulation normally also modulates the pitch of the signal. Use the Anti Pitch button to ensure the pitch of the modulated signal remains constant. This is exactly how high-end chorus and flanger effects work.

Set the basic delay time with the Flanger-Chorus knob. Set to the far left position, the Modulation Delay puts on its flanger cap. As you move towards the center position, it thinks it's a chorus. As you move the knob closer to the far right position, you will hear clearly audible delay taps. This latter type of setting is generally used without modulation (Width = 0), for doubling effects.

The Stereo Phase knob defines the phase of the modulation between the left and right stereo sides. At 0¡, the extreme values of the modulation are achieved simultaneously on both sides, at 180¡, the extreme values opposite each other are reached simultaneously.

The Feedback slider controls the intensity at which the effect's signal feedback is routed to the input. If you're going for radical flanging effects, enter a high Feedback value, if simple doubling is what you're after, you don't want any feedback at all. The Mix slider determines the balance between dry and wet signals.

The 001011 view offer three new parameters:

  • Speed LFO 1 R
  • Speed LFO 2 R
  • Stereo
.
These parameters allow independant modulation rates settings for LFO1 and 2 for the right stereo channel.
For this to function "Stereo" has to be set to "Free".
With "Stereo" set to "Link" modulation rates of the left and right stereo channels are and rates are set by the LFO controls of the plug-in window only. In this case the parameters "Speed LFO 1 R" and "Speed LFO 2 R don't have a function.


Modulation: Chorus

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Chorus

The Chorus effect can be used to make a signal "wider", particularly the variety with stereo output (m/s).

Offset

The "Offset" of the chorus defines the normal value of the delay time, which is then modulated by the "Speed" and "Width" parameters.

Intensity

The modulation width of the chorus effect.

Speed

The modulation frequency of the chorus effect.

Feedback

With "Feedback", the delayed signal is routed back to the input, which increases the intensity of the chorus effect. High values can produce an unnatural sound.


Modulation: Flanger

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Flanger

Intensity

The modulation amplitude or width. This defines how far from the "Offset" the comb-filter will be modulated.

Speed

The frequency or speed of the modulation. This determines how quickly the comb-filter is modulated.

Feedback

With "Feedback", the delayed signal is routed back into the input. Negative values mean that the phase of the routed signal is inverted.

You can use "Feedback" to increase the intensity of the flanger, which can produce very dramatic effects.


Modulation: Phaser

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Phaser

The Phaser emulates the effect of analog phaser circuits with from 4 to 12 orders (as in 4th order, 5th order etc.) Use the Order slider to set the desired number of orders. Note that you are free to select odd numbered settings (5, 7, 9, 11), which, strictly speaking, don't generate actual phasing. However, the more subtle comb filtering effects produced by odd numbered settings can come in handy on occasion. As a rule, the more orders a phaser has, the heavier the effect. The settings "4, 6, 8, 10 and 12" put five different phaser algorithms at your fingertips, all of which replicate the analog circuits that they are modeled on, each designed for a specific application.

The modulation section comes complete with two LFOs, featuring individually variable frequencies, and freely variable mix options. Additionally, the frequency of LFO 1 can be modulated by the level of the input signal. Use the Envelope Modulation slider to set the desired modulation intensity. By staking out the limits of the modulation with its highest and lowest values, you can determine the modulation width and range. These high/low limits are controlled by the Sweep Ceiling and Sweep Floor sliders-you can enter values for them directly in the form of the desired frequency. This value also determines the maximum intensity of the comb filtering created by the phasing effect.

The Stereo Phase knob is used to define the phase for the left and right channels of a stereo phaser (s/s). When you're using a monaural phaser, this parameter is, of course, meaningless.

Negative Values of Mix result in a phase inverted mix of effect and direct signal.

As the icing on the phasing cake, you can tweak the Color slider to add just that to the effect. Here, the comb filtering effect is amplified via feedback.


Modulation: Tremolo

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Tremolo

The tremolo effect is a cyclic modulation of the amplitude, resulting in periodic changes of volume. As opposed to the vibrato effect which can be achieved with the Modulation Delay plug-in, the amplitude (not the frequency) is the modulated parameter. You'll recognize this effect from vintage guitar combo amps (where it is sometimes incorrectly referred to as "vibrato").

The intensity of modulation is set with Depth. Rate defines the speed (frequency) of the modulation. If Symmetry is set to 50% and Smoothing to 0%, the modulation has rectangular shape. This means that the time of full volume is as long as the time of low volume, and the switching between both states occurs abruptly. Define the loud/quiet time ratio with Symmetry, and make it fade gently in out with Smoothing. Stereophase defines, whether the modulation shall take place in phase or out of phase in stereo mode. It can be set to any phase angle. When set to "out of phase"(-180°) the balance wanders from left to right. When set to 180°, left and right channels are altered in volume simultaneously (in phase).

The graphic display is self-explaining: All parameters except modulation speed (Rate) are being displayed.


Modulation: Ensemble

Audio Objects and Effects > Logic's Built-in Plug-Ins > Modulation: Ensemble

The Ensemble is like a pitch shifter on steroids-it consists of eight internal, modulatable pitch shifters. Two standard LFOs and one random LFO enable you to come up with fairly complex pitch modulations, which-much like a natural chorus effect-conjure up the impression of an instrumental or vocal ensemble. A big Emagic Eye visually represents the number of voices, and their modulations.

Use the Voices slider to determine how many voices (1-8) are generated in addition to the original. Please note that the plug-in's appetite for computer resources increases proportionally to the number of voices: When you activate eight voices, the Ensemble requires roughly eight times the CPU power of a pitch shifter.

The two conventional LFOs and the random LFO (which generates random modulations), each feature a Rate knob that controls frequency, and an Intensity slider to determine the modulation width.

The Phase knob controls the phase relationship between the modulations of the individual voices. The value that you select here depends on the number of voices, which is why it is indicated in percentages rather than degrees. The value 100 (or -100) is equal to the greatest possible distance between the modulation phase of all voices. Here the voices are distributed an equal distance apart over the full 360¡.

The Stereo Base slider serves to distribute the voices across the stereo field. When you set a value of 100%, the stereo base is expanded artificially. Please bear in mind that monaural compatibility may suffer.

In addition to the familiar Mix slider that determines the balance of dry and wet signals, the Ensemble also features an Effect Volume knob. This lets you determine the level of the effects signal separately. This feature allows you to compensate for changes in volume caused by manipulating the Voices parameter.


Reverb: AVerb

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: AVerb

Although the AVerb is based on a simple reverb algorithm, it delivers remarkably good results.

The actual reverb algorithm is controlled by just three parameters: As its name implies, Reflectivity defines how reflective the imaginary walls, ceiling and floor will be. Room Size challenges your architectural skills-use it to define the dimensions of simulated rooms.

Density/Time determines both the density and duration of the reverb.

Pre-delay determines the delay between the original signal and the reverb tail.

Where high Pre-delay settings tend to generate something similar to an echo, low values often muddy the original signal. Ideally, you should go for as high a setting as possible before the plug-in begins generating something that sounds like a tap delay. With appropriate pre-delay settings, you can apply relatively generous amounts of reverb to percussive parts, while retaining definition on the attack portions of the sounds.


Reverb: SilverVerb

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: SilverVerb

The SilverVerb algorithm is controlled by just three parameters: As its name implies, Reflectivity defines how reflective the imaginary walls, ceiling and floor will be. Room Size challenges your architectural skills-use it define the dimensions of simulated rooms. The graphic display visually represents these parameter settings.

Pre-delay determines the delay between the original signal and the reverb tail.

Whereas high Pre-delay settings tend to generate something similar to an echo, low values often muddy the original signal. Ideally, you should go for as a high a setting as possible before the plug-in begins generating something that sounds like a delay tap. With appropriate pre-delay settings, you can apply relatively generous amounts of reverb to percussive parts, while allowing the attacks to remain intelligible.

Low Cut and High Cut let you filter bass and treble frequencies out of the reverb tail.
In most cases this will unclutter your mix. The reason for this is that a long reverb with a great deal of bottom end generally makes for a flabby mix, and high frequencies in the reverb usually sound somewhat unpleasant, hamper speech intelligibility, or mask the overtones of the original signals.

Density/Time controls the density of early reflections, and the reverb time.


Reverb: GoldVerb

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: GoldVerb

The GoldVerb consists of two sections: Early Reflections and Reverb (diffuse reverberations). The balance between these two sections is controlled by the Balance ER/Reverb slider, located above the graphic. When you set this Balance slider to either of its extreme positions, the unused section is deactivated, to maximize performance.

Early Reflections

This section emulates the original signal's first reflections as they bounce off the walls, ceiling and floor of a natural room. These early reflections are essential to how we perceive a room. All information about the size and shape of a room capable of being discerned by the human ear is contained in these early reflections.

- Pre Delay
Pre-delay is the amount of time that elapses between the original signal, and the arrival of the early reflections. In any given room size and shape, Pre-delay determines the distance between the listener and the walls, ceiling and floor. When used with artificially generated reverb, it has proven advantageous to allow this parameter to be manipulated separately from, and over a greater range than, what is considered natural for Pre-delay. In practice, too short a pre-delay tends to make it difficult to pinpoint the position of the signal. It can also color the sound of original signal. On the other hand, too long a pre-delay can be perceived as an unnatural echo. It can also divorce the original signal from its early reflections, which leaves an audible gap. The ideal pre-delay setting depends on the properties or, more accurately, the envelope of the original signal. Percussive signals generally require shorter pre-delays than signals in which the attack fades in gradually. A good practice is to use the longest pre-delay possible before undesirable side effects, such as an audible echo, begin materializing.

- Room Shape
Use this slider to define the geometric form of the room. The numeric value (3-7) represents the number of corners it has.

- Room Size
Unsurprisingly, Room Size determines the dimensions of the room. The numeric value indicates the length of its walls, i.e. the distance between two corners.

- Stereo Base
The Stereo Base parameter enables you to define the distance between the two virtual microphones that you are using to audition the simulated room. Spacing the microphones slightly further apart than the distance between two human ears generally delivers the best results. Of course, more realistic results can be obtained if you choose to use the distance between two ears located on opposite sides of the same head.

Reverb

This section generates diffuse reverberation.

- Initial Delay
This is the delay between the original signal and the diffuse reverb tail. If you're going for a natural-sounding, harmonic reverb, the transition between the early reflections and the reverb tail should be as smooth and seamless as possible. Basically, what we said about the pre-delay holds true for this parameter:
Set the Initial Delay so that it is as long as possible without there being a perceptible gap between the early reflections and the reverb tail.

- Density
This parameter controls the density of the diffuse reverb. Ordinarily, you want the signal to be as dense as possible. However, less Density means the plug-in eats up less computing power. Moreover, in rare instances, too great a Density can color the sound, which you can fix simply by backing off the Density knob. If you select a density value that is too low, the reverb tail will sound grainy.

- Diffusion
Diffusion of the reverb tail. Sometimes the terms Diffusion and Density are confused. The density is the average number of reflections in a given period of time. The diffusion is the amount of irregularity of the density. High values of diffusion stand for a regular density, with few alterations in terms of level, times and panorama. With low values of diffusion, the reflections' density becomes more irregular and grainy. The stereo spectrum changes, too.

- Reverb Time
Reverb Time is commonly considered the amount of time it takes for the level of a reverb signal to drop by 60 dB. This why the time is often indicated as RT60. Most natural rooms have a reverb time somewhere in the range of 1 to 3 seconds, a value which absorbent surfaces and furniture reduces. Large empty halls or churches have reverb times of up to eight seconds, some cavernous or cathedral-like venues even beyond that.

- High Cut
Uneven or absorbent surfaces (wallpaper, wood paneling, carpets etc.) tend to reflect lower frequencies better than higher frequencies. The High Cut filter lets you replicate this effect. If you set the High Cut filter so that it is wide open, the reverb will sound as if it is reflecting off of stone or glass.

- Spread
This parameter controls the stereo image of the reverb. At 0%, the plug-in generates a monaural reverb, at 100%, the stereo base is artificially expanded-which, of course, makes the reverb sound monumental, but collapses in monaural playback.


Reverb: PlatinumVerb

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: PlatinumVerb

The difference between the PlatinumVerb and the GoldVerb is the former's enhanced Reverb section. The Early Reflections sections of the two plug-ins are identical. For more information, please read the section covering the GoldVerb, here we'll focus on the additional features offered by the PlatinumVerb.

The Reverb section of the PlatinumVerb is based on a genuine dual-band concept. This is to say that the on-board frequency crossover splits the incoming signal into two bands, which are then processed with reverb in two separate modules.

Crossover

This is the frequency at which the two frequency bands are split for separate processing.

Low Ratio

This parameter factors the reverb time of the bass band. It deviates from the setting for the Reverb Time parameter, which applies to the high band. At 100%, the reverb times for the two bands are identical. At lower values, the reverb time of the frequencies below the crossover frequency is shorter. At values greater than 100%, the reverb time for low frequencies is longer.

Both of these phenomena occur in nature. In most mixes, a shorter reverb time for bass frequencies is preferable. For example, if you're using the PlatinumVerb to put reverb on a drumloop featuring kick drum and snare, a short reverb for the kick drum lets you dial in substantially more of the wet signal.

Low Level

This knob determines the level of the Bass reverb. At 0 dB, the volume of the two bands is equal. The Bass reverb level can be boosted by up to 12 dB and attenuated by up to 100 dB.

In the vast majority of mixes, your best bet is to dial in a lower level for the low-frequency reverb signal. This lets you turn up the level of the bass instrument-it will sound punchier. This also helps counter bottom-end masking effects.


Reverb: EnVerb

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: EnVerb

The Emagic EnVerb is based on a rather unusual and innovative reverb algorithm. It has a unique feature-you can adjust the envelope of the diffuse reverb tail freely. This gives you options that far exceed those of a conventional gated reverb.

The algorithm of the EnVerb requires quite a bit of computing power.

Time Parameters

With a concept as sophisticated as that of the EnVerb, you can well imagine that a single parameter for reverb time just won't do the trick.

- Original Delay
This parameter enables you to delay the original signal. Of course, this delay is only perceptible when the Mix parameter is set to a value other than 100%. The starting point of the diffuse reverb tail is not influenced in any manner.

A delayed original signal is particularly handy when you want to generate reverse reverb: Set all envelope parameters to zero with the exception of Attack and Original Delay, which you should set to approximately the same value by which you want to pre-delay the given region or track.

- Pre Delay
This is the delay between the (undelayed) original signal, and the starting point of the reverb attack phase.

- Attack
This is the amount of time it takes for the reverb to climb to its peak level.

- Decay
This is the amount time it takes for the level of the reverb to drop from its peak to the sustain level.

- Sustain
This is the level of the reverb that remains constant throughout the sustain phase.

- Hold
This is the duration of the sustain phase.

- Release
This is the amount of time that the reverb takes to fade out completely, after it has run through its sustain phase.

Sound Parameters

The following parameters shape the sound of the reverb. (For more information on these parameters, check out the in-depth descriptions of the GoldVerb or PlatinumVerb).

- Density
Reverb density. Higher values generally sound better.

- Spread
Stereo base of the reverb.

- High Cut
High-frequency attenuation for the reverb.

- Crossover
The crossover frequency for the following parameter...

- Low Level
Relative reverb level of frequencies below the crossover-frequency. Although you are free to turn the level of these frequencies up, in most cases, you'll get better-sounding results when you set negative values for this parameter.


Reverb: 3.0 Rev

Audio Objects and Effects > Logic's Built-in Plug-Ins > Reverb: 3.0 Rev

The 3.0 Rev is a plug-in of an older version of Logic which is still available for compatibility reasons. The basic functionality is similar to the Silververb. Please check the SilverVerb section for a description of the parameters.

The Quality refers to different levels of processing: the higher the quality the more CPU performance is required for the plug-in.


Special: Oscillator

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: Oscillator

The Oscillator generates a static frequency, as determined by the Frequency parameter. The level of the oscillator is controlled by the Oscillator parameter, whereas the level of the original signal of the audio object is controlled by the Input parameter. An oscillator wouldn't be much fun if all it could do was produce an interminable sine tone. One of the redeeming features that spares us equally interminable boredom is the ring modulator-it produces side band frequencies. The frequencies of these side bands depend on the original signal of the audio object, and the signal of the oscillator. In technical terms, the ring modulated signal is the product of real-time multiplication of the two signals. If you analyzed the resultant ring modulated signal, you'd find that this signal consists of the original signal as well as the sums and differences of its frequencies.

Here's an example: Let's say the audio object plays back a 200 Hz sine wave, and the oscillator generates a frequency of 1000 Hz. Ring modulating these signals generates side bands with 1200 Hz (sum) and 800 Hz (difference). The generated spectrum is not necessarily what most people would call harmonic. This is why ring modulators are often considered good tools for shaping enharmonic metallic sounds, bells being one of the more conventional sounds that they can produce. Bear in mind that the signal of your audio object will be much more complex than a simple sine wave. Moreover, the oscillator is no slouch either-it can do more than just generate sine waves. Consider the oscillator an additional source of distortion, rather than a simple perpetual note generating component.

Here's a quick run-down on the parameters:

Frequency determines the frequency of the oscillator. The Frequency can either be adjusted in Hz or as "Note" and "Octave", with variable tuning "tune". You can switch between both modes, using Freq. Source. Sawtooth sets the level of the sawtooth wave, the spectrum of which contains all harmonics. Sine Wave defines the level of the sine wave, and Pulse the level of the pulse/square wave. PulseWidth controls the ratio of positive and negative pulses. A value of 50% generates a square wave, the spectrum of which consists solely of odd harmonics. Noise adds low-frequency noise. Input controls the level of the original signal of the audio object, Ring Modulation, the level of the ring modulator, and Oscillator the level of the pure oscillator signal.


Special: Spectral Gate

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: Spectral Gate

The Spectral Gate makes the signals above and below the threshold level audible, separately, and within a modulatable frequency range. It works with a Fourier transformation of the entire signal. Technical jargon aside, it is a tool that lets you come up with pretty wacky filtering effects, stuff that, until this plug-in saw the light of day, hadn't been possible.

The frequency range that you want to process is defined by the Center Frequency and Bandwidth knobs. This frequency band is separated by steep slopes. Within this band, you can use the Threshold slider to determine a level that separates the frequencies above and below it. The frequencies above the threshold are made audible with the Super Energy knob, the frequencies below it with Sub Energy. Additionally, the original signal outside the defined frequency band can be added to the mix: Low Level blends in the frequencies that lie below the frequency band (bass frequencies,) and High Level, the higher frequencies that lie above the defined frequency band.

The actual frequency band can be modulated by three parameters: Speed determines the modulation frequency, Center Frequency Modulation (CF Mod.) defines the intensity of the center frequency modulation, and Band Width Modulation (BW Mod.) controls the bandwidth modulation.

The Gain slider lets you adjust the level of the generated effects signal.

We suggest you use a drumloop when you begin experimenting with this plug-in. Set Center Frequency to the minimum, and Band Width to the maximum values (the entire frequency range is processed). Turn up the Super Energy or Sub Energy knob one at a time, and experiment with the Threshold knob. You'll soon get a feel for how different threshold levels affect the sound of Super Energy and Sub Energy. When you've come across a sound that you consider particularly nifty (or even just useful), you can narrow down the bandwidth drastically, gradually increase the center frequency, and use the Low Level and High Level sliders to mix in some treble and bass from the original signal or, at lower Speed settings, turn up the CF Mod. or BW Mod. knobs.


Special: Pitch Shifter II

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: Pitch Shifter II

The Pitch Shifter II has a minimalist approach-just a few parameters are available in Editor View.

Semi Tones is used to set the transposition in semi-tone increments within a range of one octave upwards or downwards. Cents controls detuning in increments equivalent to 1/100th of a semi-tone step. Use the Mix slider to control the desired balance between the original and processed signals.

The Drums, Speech and Vocals buttons are used to set internal parameters, so that the program delivers the best results for a given application.

When you select Drums, the groove of the original track remains intact.

With Vocals, the intonation of the original is retained unaltered. Hence Vocals is well-suited for any signals that are inherently harmonic or melodious; for instance, string pads.

Speech mode is a compromise between the two-the program attempts to retain both the rhythmic and harmonic aspects of the signal, which is desirable for complex signals, such as spoken-word recordings or rap music. Speech is thus also suitable for other "hybrid" signals, such as rhythm guitar.

When in doubt, Speech is a good place to start. A/B the options to compare them, and use the one that suits a given recording best. When auditioning and judging settings for quality, it's a good idea to temporarily turn the Mix knob up to 100%. Keep in mind that Pitch Shifter artifacts are a lot harder to hear when you mix a smaller percentage of a transposed audio to the overall signal.


Special: SubBass

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: SubBass

This plug-in generates frequencies below those in the original signal, in other words an artificial bass.

Caution: The process is known as a loudspeaker killer!

Choose moderate monitoring levels, and never try to playback sub-bass frequencies with loudspeakers which aren't capable of doing so. Never try to force a loudspeaker to output these frequency bands with an EQ.

The simplest application of the SubBass plug-in is as an octave divider, similar to well known effects pedals for electric bass guitar. A simple frequency division circuit in such an octave divider requires a monophonic input sound with a clearly defined pitch. This type of device is only capable of producing an output signal which sounds one or two octaves below the input signal. An octave is a frequency division by 2. A ratio of 4 means two octaves, and a ratio of 8 three octaves.

As opposed to a pitch shifter, the waveform of the signal synthesized by the SubBass has nothing to do with the waveform of the input signal. It's shape is sinusoidal-but a pure sine wave is rarely achievable in complex arrangements. It is mixed together with the original signal. The mix ratio is defined by the Mix parameter.

SubBass features two divisors, to which you can route specific, freely definable frequency bands. Therefore, you are not limited to monophonic signals with a defined pitch, but complex sum signals may be processed as well. With Center High and Center Low, you define the center frequency of the band the transposed signal will be derived from. The Bandwidth of the analyzed bands is automatically set by internally. Within these frequency bands, the filtered signal should have a sufficient degree of pitch in order to be analyzed correctly. The graphic shows the frequency bands of a typical boom box, which transposes two frequency bands with the width of a fifth by one octave each. If you set the analyzed frequencies a little higher, the SubBass plug-in plays those frequencies, a bass guitar player would double the lower notes of a guitar player.

In real life, narrow bandwidths lead to the best results, because they avoid unwanted intermodulations best. Set Center High by a fifth higher than Center Low, which means a factor of 1.5 for the Center Frequency. Derive the sub-bass to be synthesized only from the existing bass portion of the signal, and transpose only by one octave in both bands (Ratio = 2). Do not overdrive the process, so that no distortion will occur. If you recognize frequency gaps, move the Center Frequencies, or widen the Bandwidth a little.

Be prudent when using the SubBass, and compare the extreme low frequency content of your mixes with other productions.


Special: Denoiser

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: Denoiser

Using the Denoiser you can eliminate or reduce almost any kind of noise floor.

Threshold

With this value you state how high you think the noise floor of the material is.

Tip: Find a passage where almost only noise can be heard, and set the Threshold so that only signals of this volume will be filtered out.

Reduce

Here you determine, down to which level the noise floor should be reduced. A CD theoretically has a maximum signal-to-noise ratio of 96dB. Each 6dB are equivalent to doubling or halving the volume level.

If the noise floor of your recording is very high (on recordings from cassette e.g. more than -68 dB), you should be content with reductions of from 83 to 78 dB, if you do not note any plainly audible side effects. After all you have reduced the noise by more than 10dB, which is less than half the volume...

Noise Type

With this value you state what type of noise you think the noise of the material is:

  • The value 0 means white noise (equal frequency distribution);
  • Positive values change the noise type to pink noise (harmonic noise; greater bass response),
  • Negative values change the noise type to blue noise ("Hiss"; e.g. tape noise).

Smoothing Parameters

The Denoiser works on the basis of FFT analysis, to recognize frequency bands with a lower volume and a less complex harmonic structure, and then reduces them to the desired dB value. In principle, this method is never exact, as neighboring frequencies will also be affected. If you use the Denoiser too agressively, the algorithm will produce the so-called "glass noise" effect, a truly interesting effect, but which in most cases is even less desirable than the existing noise.
Therefore, there are three parameters for reducing this effect in all three dimensions of sound:

- Time Smoothing
This is the most simple form of smoothing. Here you set the time the Denoiser should take to reach or release maximum reduction.

- Frequency Smoothing
Here, you set a factor for a smoother transition of the denoising to the "neighbor" frequencies. More precisely: If the Denoiser recognizes that, in a certain frequency band, only noise is present, the higher the Frequency Smoothing parameter is set, the more it will also change the neighboring frequency bands to avoid glass noise.

- Transition: Level Smoothing
Here, you set a factor for a smoother transition of the denoising to the "neighboring" volume levels. More precisely, if the Denoiser recognizes that, in a certain volume range, only noise is present, the higher the Transition Smoothing parameter is set, the more it will also change similar level values to avoid glass noise.

The Graphic Display

The graphic displays how the lowest volume levels of your audio material (which ideally is only the noise...) will be reduced.


Special: Exciter

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: Exciter

An exciter generates high frequency components that are not part of the input signal. Thus, it's a non-linear distortion process, resembling overdrive and distortion effects. As opposed to these, the distorted signal is mixed with the dry signal. Also, the harmonics generator is fed by a high-pass-filtered version of the input signal. This means that the artificial harmonics have frequencies at least one octave above the lowest frequency which the high pass filter lets through. Human hearing can not easily distinguish artificial harmonics in very high frequency ranges.

The Cutoff Frequency parameter of the high pass filter is called Frequency. The graphic displays the frequency range that is used as the source signal for the process. Harmonics controls the level of the effect signal mixed to the original signal. If you disable Input, the original signal won't be fed through. This should be the case when using the plug-in in a bus return object, being fed by sends from several channel strips simultaneously, or in case you intend to listen to the soloed effect signal.

The lower you tune the filter, the more harmonics the effect will produce, the lower the frequencies of the artificial harmonics will be-and the less natural they will sound.

Color

You can choose between two sound characteristics for the distortion. Color 1 is less dense in spectrum than Color 2. The effect of Color 2 is more intense, but it also introduces more unwanted intermodulation distortion.

Basically, higher settings for Frequency and higher Harmonics (Mix) settings are preferable, because we cannot distinguish between artificial and original high frequencies so well. Exciters give extra life to digital recordings. They are especially well suited for audio tracks where the treble has been lost. Exciters are also popular for guitar tracks.


Special: StereoSpread

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: StereoSpread

The StereoSpread plug-in is another standard effect for mastering. There are several ways to extend the stereo base, including complex algorithms of the Ghettoblaster type, tampering with the signal's phase. They all "sound great", but most of them would be very "dangerous" to your mix (e.g. the transient response could suffer significantly).

The StereoSpread follows a sure and simple method: it extends the stereo base by alternately distributing a selectable number of frequency bands of the middle frequency range to the left and right channels. This greatly increases the perception of the stereo effect, especially to give a stereo effect to monaural recordings without totally "alienizing" them.

Order

The Order knob determines how many frequency bands the signal is to be divided into.

Upper int.

This parameter controls the intensity of the base extension of the upper frequency bands.

Lower int.

This parameter controls the intensity of the base extension of the lower frequency bands.

Note that

  • the stereo effect shows up mainly in the middle and higher frequencies, and
  • if very low frequencies are distributed between the left and right speakers, the energy distribution for both speakers will be significantly worse.
Therefore, it is always best to select a lower Intensity setting for the lower frequency bands, and avoid setting the "Lower Freq." below 300 Hz.

Upper Freq.

This sets the upper limit of the highest frequency band to be distributed in the stereo image.

Lower Freq.

This sets the lower limit of the lowest frequency band to be distributed in the stereo image (see also the note given in the section "Lower Int." above).

The Graphic Display

The graphic display shows the selected order (i.e. into how many bands the signal is divided), and how strong the effect of the StereoSpread will be in the upper and lower frequency bands.

The upper section represents the left channel, the lower section the right channel, and the frequency scale shows the frequencies in ascending order from left to right.


Special: I/O

Audio Objects and Effects > Logic's Built-in Plug-Ins > Special: I/O

The I/O insert plug-in, available in m/m, m/s and s/s versions, allows you to insert external effect processors into the Logic mixer.
Note: This only makes sense with audio cards that have more than two outputs, thus providing discrete inputs and outputs (analog or digital) for sending signals to/from the external effect processor.

The I/O plug-in offers assignment pop-up menus by which it can access the input/outputs provided by your audio hardware. Ifn and output levels can be adjusted with the respective volume sliders.

  • Output - assigns the output (or output pair) of the plug-in.
  • Output Volume - adjusts the volume of the output signal.
  • Input - assigns the input (or input pair) of the plug-in
  • Input Volume - adjusts the volume of the input signal.


ES M

Audio Objects and Effects > Built-In Synthesizers > ES M

The ES M is designed for use as a bass synthesizer. That said, you may want to use it for other, higher-pitched solo voices.

Octave Select

Choose the octave transposition here. You can also transpose the Audio Instrument using the track playback parameters in the Arrange window, as with MIDI tracks.

Glide

The es m is permanently in a "Fingered Portamento" Mode, with notes played in a legato style resulting in a glide (portamento) from pitch to pitch. The speed of the glide is set with the Glide parameter. At a value of 0, there is no glide effect at all.

Mix

Mix cross-fades between a sawtooth wave and a 50%-rectangular wave, which sounds one octave lower.

Cutoff

Cutoff Frequency of the resonance-capable dynamic low pass filter. Its slope is 24 dB per octave.

Resonance

Resonance parameter of the dynamic low pass filter. Surrounding the cutoff frequency is a band of resonant frequencies, the intensity of which is set by this parameter. With this filter, the loss of bass caused by Resonance can be compensated for by a bass boost.

Int

The es m features two very simple envelope generators with a single decay parameter. Int sets the modulation of the cutoff frequency by the filter envelope.

Decay (Filter)

Decay Time of the filter envelope. This parameter is only effective if Int is not set to 0.

Velo (Filter)

Velocity sensitivity of the filter envelope.This parameter is only effective if Int is not set to 0.

Decay (Volume)

Decay Time of the dynamic stage. Attack time and Release time, as well as the Sustain level of this synthesizer always equals zero.

Velo (Volume)

Velocity sensitivity of the dynamic stage. The parameter defines how sensitive the level of an es m voice is to harder key strikes.

Vol

Master volume of the es m.

Overdrive

Overdive/distortion for the es m output. Caution: The overdrive effect significantly increases the output level.


ES P

Audio Objects and Effects > Built-In Synthesizers > ES P

The eight-voice polyphonic ES P is quite a flexible synthesizer. Functionally, (despite its velocity sensitivity) is somewhat reminiscent of the affordable polyphonic synthesizers of the leading Japanese manufacturers: Its design is easy to understand, it is capable of producing lots of useful musical sounds, and you may be hard-pressed to make sounds with it that can't be arranged in at least some musical style. Classic analog synthesizer brass sounds are just one of its many goodies.

Octave Select

Choose the octave transposition here. You can also transpose the Audio Instrument using the track playback parameters in the Arrange window, as with MIDI tracks.

Wave

The faders on the left side of the panel allow you to mix several waveforms, output by the oscillators of the es p. In addition to triangular, sawtooth and rectangular waves, the rectangular waves of two sub-oscillators are also available. One of these sounds one octave lower than the main oscillators, and the other, two octaves lower. The pulse width of all rectangular waves is 50%. The right-most fader adds white noise to the mix. This is the raw material for classic synthesizer sound effects, such as "ocean waves", "wind" and "helicopters".

Vib/Wah

The es p features an LFO which can either: modulate the frequency of the oscillators, resulting in a vibrato, or the cutoff frequency of the dynamic low pass filter, resulting in a wah wah effect. Turn the control to the left in order to set a vibrato, or to the right to cyclically modulate the filter.

Speed

Speed controls the rate of the oscillator frequency or cutoff frequency modulation.

Cutoff

Cutoff frequency of the resonance-capable dynamic low pass filter.

Resonance

Resonance parameter of the dynamic low pass filter. Surrounding the cutoff frequency is a band of resonant frequencies, the intensity of which is set by this parameter.

1/3, 2/3, 3/3

The cutoff frequency can be modulated by MIDI note number (keyboard position); You may know this parameter as "Keyboard Follow" on other synthesizers. You have the choice of no modulation, one third, two thirds or full keyboard follow (3/3, or 100% ). When set to 3/3, the relative harmonic content of each note is the same, independent of its pitch.

ADSR Int

The es p features one ADSR envelope generator per voice. ADSR Int sets the amount of cutoff frequency modulation by the ADSR envelope generator. The es p allows for negative filter modulations as well.

Velo Filter

The cutoff frequency modulation by the ADSR envelope generator, controlled by ADSR Int, is velocity sensitive. The amount of velocitiy sensitivity is set by this parameter.

Volume

Master volume of the es p.

Velo Volume

Velocity sensitivity of each notes level.

A (Attack Time)

Attack time of the envelope generator.

D (Decay Time)

The time the envelope needs to fall from maximum level to the sustain level.

S (Sustain Level)

Level that is sustained after the completion of the attack and release phases. It is only valid as long the key is still held.

R (Release Time)

Fade out time of each note, following the release of the key, or, to be more precise, after the Note Off Event.

Chorus

Intensity of the integrated chorus effect.

Overdrive

Overdrive/distortion for es p output. Caution: The overdrive effect significantly increases the output level.


ES E

Audio Objects and Effects > Built-In Synthesizers > ES E

The eight-voice polyphonic ES E was designed for "pad" and ensemble sounds, but please feel free to design totally different sounds.

Octave Select

Choose the octave transposition here. You can also transpose the Audio Instrument using the track playback parameters in the Arrange window, as with MIDI tracks.

Wave

At the left-most setting of the Wave parameter, the oscillators output sawtooth signals, which can be modulated in frequency by the integrated LFO. Across the remaining range, the oscillators output rectangular (or pulse waves), with the average pulse width being defined by the Wave parameter. The pulse width can be modulated-that's what "PWM" (Pulse With Modulation) stands for.

Vib/PWM

If Wave is set to sawtooth, this parameter defines the amount of frequency modulation, resulting in a vibrato or siren effect, depending on LFO speed and intensity. If Wave has been set to a pulse wave, this parameter controls the amount of pulse width modulation (PWM). When the pulse width becomes very narrow, the sound sounds like it is being "interrupted". As such, set the PWM intensity with care, and select the Wave parameter's 12-o'clock-position (50% rectangular) for the pulse width, if you want to achieve the maximum modulation range.

Speed

Speed controls the frequency of the pitch (sawtooth) or pulse width modulation.

Cutoff

Cutoff frequency of the resonance-capable dynamic low pass filter.

Resonance

Resonance parameter of the dynamic low pass filter. Surrounding the cutoff frequency is a band of resonant frequencies, the intensity of which is set by this parameter.

AR Int

The es e features one simple envelope generator per voice. It features an Attack Time and a Release Time parameter. AR Int, defines the amount of cutoff frequency modulation applied by the envelope generator. Negative modulations are possible.

Velo (Filter)

Velocity sensitivity of the cutoff frequency modulation applied by the envelope generator. This parameter is only effective if AR Int is not set to 0.

Attack

The Attack Time is the time required for each note to "fade in".

Release

The Release Time is the time required for each note to fade out, following the release of the key.

Velo Volume

Velocity sensitivity of each notes level.

Volume

Master Volume of the es e.

Chorus/Ensemble

The es e features a chorus/ensemble effect, switchable in three values (plus off).


KlopfGeist

Audio Objects and Effects > Built-In Synthesizers > KlopfGeist

KlopfGeist is a software instrument (Mono). For KlopfGeist to be available as a metronome sound source it needs to be inserted on instrument channel 64.
By default this is done when creating a new song File > New.
Theoretically any other Emagic or VST2.0 instrument could be deployed as a metronome sound source using instrument channel 64.

The KlopfGeist plug-in window offers a few additional parameters.
There is a parameter for tuning the instrument in "Semitones" and one for fine tuning (Detune) in cent. "Level Via Vel" determines the velocity sensitivity of KlopfGeist. "NoteOffDamp" controls the release time. The shortest release time is reached with "NoteOffDamp" at its maximum (1.00). KlopfGeist can operate as a monophonic (Mode: mono) or polyphonic 4-voice instrument (Mode: poly). The "Tonality" parameter is the same as in the Metronome dialog (see above).

Reference: A "Klopfgeist" is a little ghostly fellow, usually German, who unlike his big brother "Poltergeist" restricts himself to producing knocking and tapping sounds. (Rest assured audio instrument #64 is fitted with a Ghost Buster facility - the button labled "M".)


Audio Configuration Window

Audio Objects and Effects > Audio Configuration > Audio Configuration Window

The Audio Configuration window can be accessed under Audio > Audio Configuration.

The Audio Configuration window is an overview of the Input/Output routing, as well as of all inserts and sends of all audio objects that exist in the environment for a given audio hardware device. The various object types are listed, with their names shown on the left side and their settings shown in columns. It makes no difference whether you change settings in the Audio Configuration window, in the track mixer or in the environment (audio mixer), the setup will be instantly reflected in all locations. Use whichever you prefer.

The Audio Configuration window also shows the settings of any audio objects which have been deleted or are unused. If you create an audio object in the environment (Create > New...), and then select the channel (Cha), it will appear with the settings that are currently assigned and can be edited in the Audio Configuration window.

Just as in the object type flip menu of the audio object parameter box (which opens when you click-hold the cha parameter), a channel setting displayed in bold type indicates that the channel is in use by an existing object.

A dot in front of the name indicates, that the object is part of a stereo pair-whether it is controlled by another object, or be it the controlling object itself.

Handling

Click-holding a parameter opens a flip menu with which you can change the settings, just as it is done with the audio objects in the environment (or audio mixer). The top value of the flip menu always assigns a neutral value for the parameter.

Moving and Copying Plug-Ins from one channel to another

By dragging with the right mouse button, you can move plug-ins with all their parameter settings, from one insert to another. The cursor turns into a dragging hand symbol while doing so. Holding ctrl as well, copies the plug-in settings.

Resetting the Mixer

In the Audio Configuration window, you can set all parameter types of the audio objects of the selected audio hardware device to a neutral default value. You can select from among Edit > Remove EQs, Remove Plug-Ins or RemoveSends.

Resetting the Audio Recording Path

Select Edit > Remove Audio recording path in order to reset the the audio recording path.


I/O Labels

Audio Objects and Effects > Audio Configuration > I/O Labels

In the Audio Configuration window, you can define names for each audio object's I/O options, which can be used instead of defaults like "Input 1" or "Output 8". Select View > I/O Labels to do so.

Be sure to select the right hardware under device. You can give any audio input, output or bus for each audio hardware type an individual name.

To the far left, you see the default names. Just to the right of this, the names delivered by the relevant audio driver (as long as there are any). In the column to the right of this you can double click and type in a name of your choice. The width of the name bar is the same as in the audio objects shown in the environment. Farther to the right, you can type in short labels, as used beneath the send knobs of the mixers.

With the radio buttons, you can individually define which name will be used for each I/O section for the selected type of hardware. As soon as you type in a name, it will be selected automatically.

Deleting I/O Labels

In order to reset all names to their defaults, select Edit > Reset I/O Labels.

I/O Label File

The I/O Labels can be defined for each hardware type individually, but are valid for all songs. The labels are stored in a separate file located in the same folder as Logic. The file is called "IOLabels ...", with the name of the hardware type.


Copy Entire Mixer Setup

Audio Objects and Effects > Audio Configuration > Copy Entire Mixer Setup

In the Audio Configuration window, you can copy entire mixer setups. There are two ways of doing so:

  • You can copy settings between songs;
  • You can copy settings between different hardware devices.

The latter only is possible if the audio hardware devices are controlled by drivers utilizing the Emagic Audio Engine. This is how copying settings works:

Open Audio Configuration Audio > Audio Configuration, and select View > All Components. The devices are selected in the menu Device.

...between Songs

Select the song whose setup you wish to copy, and open its Audio Configuration window. Select Edit > Copy, select the target song and open its Audio Configuration window. Select Edit > Paste there.

... between different Devices

Select the source device (under Device). Select Edit > Copy, and change to the target device afterwards (Device...). Select Edit > Paste. The common key commands can be used as well.


Overview

Adaptive Track Mixer > Overview

The Track mixer is the simplest and most convenient tool for mixing audio and MIDI tracks. To open the adaptive mixer go to the Arrange window and select Windows > Open Track Mixer.

The mixer has two display modes: Global and Track view.

In Track View Logic creates a mixer based on all tracks currently assigned to the track list of the Arrange window. It contains as many channels as there are tracks. The channels are laid out in the same order as in the Arrange window. Redundant tracks are suppressed in case multiple tracks represent the same output. This could be two MIDI instruments with the same port and channel setting, or two audio objects with the same device and audio channel/track setting.

In Global View all MIDI instruments and all audio objects that exist in the Environment are displayed as mixer channels.

Unlike the GM mixer, or the Audio mixer, the adaptive mixer deals with both audio and MIDI tracks. Each channel represents an object in the Environment: the audio channels are audio objects, the MIDI channels are instruments or parts of multi instruments.

- Creating a arrange track using the track mixer
In global mode, a double-click on the background of a channel will insert a new (corresponding) track into the current Arrange window, provided that no corresponding track already exists.

- Mute arrange tracks using the track mixer
CTRL-clicking on the Mute button of an audio object will mute the corresponding Arrange window track, but will NOT mute the audio object. A second CTRL-click will un-mute the track.

- Easy navigating to busses and outputs
Double-clicking on the Output or Send of a channel will "jump" to the respective Output/Bus object in the Track Mixer. If the current Track Mixer view does not contain the Output or Bus object, the Global display mode will automatically be enabled. The appropriate view filter Output/Bus will also be enabled, ensuring that the selected object type is visible.

- Displaying tracks that are using the same track object
New track view option - "Same Instrument Tracks" in Track-View. If enabled, identical Arrange window tracks are also displayed in the Track Mixer. These tracks have redundant settings for volume, pan etc., so it is usually unnecessary to display more than one. The mute settings, however, may be different for each track.

The parameters which you adjust on the adaptive Track mixer are also available in the other displays of the Environment or Arrange window. The currently selected track is framed in red.

If you press ctrl while opening the track mixer, the track mixer will appear as a float window.

You can adjust the size of the display vertically and horizontally using the zoom bars.

The MIDI channel strips have little "LED", which light up green for Note On events, and in yellow for all other MIDI information.

Tracks which do not have their own mixer parameters are not visible in the adaptive mixer. These include delay objects, arpeggiators, etc. If there are several consecutive tracks in the Arrange window with the same track instrument, this instrument is represented by a single channel in the adaptive mixer.


Track Filter

Adaptive Track Mixer > Display > Track Filter

The Track menu is where you define what types of track are displayed in the mixer.

Track View

Track View (Global View switched off) only displays objects that are assigned to Arrange tracks. If you miss an object you need for mixing (e.g. an audio output object), go to Global View and double click the object in question. It will then by added to the Arrange tracklist and thus will appear in the Track Mixer.

Global View

The Global View shows all Instruments used in that song:

  • All MIDI Instruments (Multi Instrument, Mapped Instrument) where the "Visible in Flipmenu" box is checked;
  • All valid Audio Channels which exist in the environment ;
  • All valid Audio Virtual Instruments which exist in the environment;
  • All valid Audio Busses which exist in the environment;
  • All valid Audio Outputs which exist in the environment;
  • All valid Audio Masters which exist in the environment;
  • All valid Audio Inputs which exist in the environment;
  • All valid Audio Auxiliaries which exist in the environment.

If set to Global View, the Track Mixer allows to access all available busses, outputs, tracks etc. very easily.

Track Filter Switching Techniques

You can set the Track Filters for both Global and Local separately using the filter buttons.

With right mouse button click, the Track Filter setting is not changed when switching Global View on and off.

Clicking without a modifier on a disabled type will enable the view of this type and disable all other types.

Clicking without a modifier on an already enabled type will enable all types. One more click goes back to a single enabled type.

Shift -Clicking allows to individually enable and disable a type in any combination.

Clicking with right mouse button if Global View is disabled enables the Global View and enables the view of the current type.

Clicking with right mouse button if Global View is enabled simply disables Global View.

Clicking with ctrl locates the window to the first track of the current type. Filter and global view modes are not being changed-with one exception: If the clicked type currently is disabled it will be enabled to make sure the command is successful.

The Global View can display tracks which do not exist in the current arrangement or recording folder. In this case it is not possible to select those tracks for recording. If such a track is double clicked, it will automatically be created in the current recording folder and selected.


View Options

Adaptive Track Mixer > Display > View Options

The View menu is where you customize the display to suit your requirements. You can hide the labels for the user-defined knobs on the MIDI mixer channels, which saves a great deal of space. You can individually switch off the display of the instrument names, program numbers, bank numbers, the user-defined knobs on the MIDI mixer channels (Assign), the pan pots (Pan), the faders (Volume), and the track names and numbers, to make more space. If you want to remove the instrument names and program names from the display, the channel keeps its rectangular shape - without the tabs which are needed for long names. If you switch off just the display of the instrument name, the track name is shown instead.

Same Instrument Tracks: If enabled, identical Arrange window tracks are also displayed in the Track Mixer. These tracks have redundant settings for volume, pan etc., so it is usually unnecessary to display more than one. The mute settings, however, may be different for each track.

L-Shape: Displaying Long Instrument and Program Names

All channels have a rectangular shape by default. View > L-Shape engages a wide display of instrument and program names.

Like the other editors, the adaptive mixer can be stored as part of any Screenset.


Setting Knobs to their Defaults

Adaptive Track Mixer > Setting Knobs to their Defaults

Clicking a fader or knob while holding ctrl resets the value to a neutral value.

MIDI

The neutral value is zero for all controls except

  • Volume (#7) = 100,
  • Panorama (#10), Balance (#8), Resonance (#71), Release Time (#72), Attack Time (#73) and Cutoff Frequency (#74), for all of which the default is 64 (center position).

Audio

  • ctrl -clicking a volume fader sets it to 90 (0dB)
  • ctrl -clicking a pan pot sets it to the middle
  • ctrl -clicking a send pot sets it to 90 (0dB)


Operation

Adaptive Track Mixer > MIDI Channel Strips > Operation

This section deals with the MIDI channel strips of the Track Mixer, as well as those of the GM Mixer, which is described in the section GM Mixer.

The MIDI channel strips work as a remote control for the mixing parameters of your sound modules and synthesizers (e.g. volume, pan). This is the nature of a sequencer. The controls send MIDI Control Change Messages. They do not control any audio signal flow within Logic, as the audio channel strips do. Switch on all options in the View menu of the Track Mixer, so you can see all the parameters described below.

Saving the Mixer Settings

The Mixer settings directly affect the Instrument Parameter box at the bottom left of the Arrange window. The latest settings here are saved with the song. If the memory in your sound module is not maintained by battery every time you switch it off, it will forget any settings you made with Logic. To restore the old settings after you load the song, go to the main menu and select Options > Send to MIDI > Used Instrument MIDI Settings.

Extended GM, GS and XG Functions

In addition to the GM Standard, there are extended standards set up by Roland (GS) and Yamaha (XG). In GS and XG mode you can select different effect programs, as well as controlling the level of the reverb and chorus effects .

  • Click-hold "GM" on the right side of the Mixer window. A flip menu appears.
  • Select the extended standard (GS or XG).
Depending on your selection, the controllers for the extended effects then appear.
  • Select the desired reverb or chorus effect from the flip menu.
  • Program the desired reverb or delay time under "Time", by holding down the mouse button, and setting the value.

Reset Button

The reset button transmits a "GS On" or "XG On" command, and resets all the controllers back to neutral positions. This allows you to reset all the connected sound modules to their standard settings, so that you can begin a mix from scratch. The Reset Button is only available in the Environment GM Mixer.


Controls

Adaptive Track Mixer > MIDI Channel Strips > Controls

The Track Mixer > View menu allows to switch the display of the different controls of the MIDI Channel Strip on or off.

Bank

If your sound source "understands" bank select events, you can choose the bank number for each of the 16 MIDI channels. Please remember that not all synthesizers support bank select events. You can use several different bank select formats. See the section Defining Your Own Bank Select Commands.

Program

The Program flip menu is where you can select a sound by name. Each channel has its own flip menu. The top row is for selecting programs for odd-numbered MIDI channels (1, 3, 5 ... 15), and the bottom row is for even-numbered channels (2, 4 ... 16).

To select the sound for a MIDI channel:

  • Click-hold the sound name.
  • A flip menu opens, containing all the GM sound names.
  • Select a sound from the menu, and release the mouse button.

Logic selects the sound in the sound module.

Volume

You can use the volume fader to control the volume for each individual channel. Controller 7 is sent.

  • Click the fader and move it, keeping the mouse button held down.

Mute

The mute button switches the volume of the channel between zero and the current fader position. In practice this means that if the button is "down", the channel is muted. If you switch the mute off, the fader position becomes valid again.

If you want to mute a channel:

  • Click the mute button of that MIDI channel.
  • Click the button again to switch the channel back on.

Pan

The pan knob allows you to directly control the pan position of the sound.

  • Click-hold the knob.
  • Push the mouse up and down.

The knob moves according to the mouse position.

Other Controllers

You can send any controller data, to control different parameters of your sound source, with each of the upper rows of knobs.

- Selecting Other Controllers
In the Track Mixer you can simply click on the label above the knob to choose a different controller. In the View menu you can determine the number of controller knobs by choosing Assign 1 -5. The default is set to three knobs.

In the Environment GM-Mixer use the text boxes on the left hand side to choose different controllers.

Here's a description of the predefined functions, which are defined in General MIDI. Not all MIDI instruments will understand these Controllers:

- Reverb (Controller # 91)
This knob controls the reverb level. The further you turn the knob, the louder the effect signal becomes (in other words, more signal from the channel is fed into the effect processor).

- Chorus Depth (Controller # 93)
This knob controls the depth of the chorus effect. The further you turn the knob, the stronger the effect becomes.

- LPF Frequency (Controller # 74)
This knob controls the overtone content of the sound. Higher values make the sound brighter.


Folders and the Track Mixer

Adaptive Track Mixer > Folders and the Track Mixer

The adaptive mixer can not only display the contents of the the highest level of the Arrange window , but also the contents of folders. The adaptive mixer automatically registers any change in the folder structure or instruments assigned to tracks.

If a folder is selected, or if the top window is an Arrange display of a folder when you open the adaptive mixer, it will show only those tracks in the folder. Of course, the display of Folder Tracks must be switched on in the Tracks menu.


Options

Adaptive Track Mixer > Options

Send all Mixer Data

By selecting Options > Send All Mixer Data, you can transmit all currently visible mixer knobs and faders to MIDI.

Track Selection when Playing or Recording

You can prevent the track selection from changing when you make an adjustment to a channel, while Logic is in recording- or playback mode. For each situation, there is an independent parameter. You can access these parameters by selecting Options > Change Track in Record Mode and Options > Change Track in Play Mode.


Introduction

Automation > Introduction

"Automation" is the ability of a mixing desk to record, edit and play-back the movements of its volume faders. Fully automated consoles not only record the motion of the volume faders, but the motion of all knobs and switches, including pan, EQ and aux send controls.

All of Logic's mix functions can be automated, without restriction. This applies to all plug-ins - i.e. the parameters of all effects and Audio Instruments, plus all VST-plug-ins can be totally automated.

Logic offers two types of automation: track based and object based.

Track Based Automation

The Track Based Automation is independent of sequences and audio regions and takes place, as the name suggest, on the tracks themselves. The Track Automation is also independent of the Play or Record status.

There are three ways of writing and editing automation data in a track:

  • Moving the on-screen faders and controls using different automation modes.
  • Drawing automation data with HyperDraw.
  • Using Logic Control.

The Track Based Automation is the recommended method for all automation tasks. It is sample accurate and therefore very precise. As sample accurate automation requires more perfomance Logic offers different options to switch off the sample accurate mode completely or partly via Audio > Audio Preferences....

- Moving Automation Data When Moving Regions And Sequences
It's possible to move sequences and regions with, or independent from, the Track Automation data. Switch the modes by selecting Options > Track Automation > Automation Settings > Move Automation with Objects. You can choose between Never, Always and Ask, which should be self-explanatory. Ask is the default setting.

Object Based Automation

The Object Based Automation writes the automation data directly into Arrange objects as MIDI controller data.

There are three ways of writing and editing these data:

  • Moving the on-screen faders and controls in Record Mode.
  • Drawing automation data with HyperDraw; this is possible for both MIDI sequences and Audio regions; furthermore, the Score and the Matrix Editor both allow the insertion of controller data via Hyper Draw.
  • Drawing controller and other data in the Hyper Editor. You can also insert and edit controller data in the Event List.


Display

Automation > Track Based Automation > Display

To display Track Based Automation data in the Arrange window, select View > Track Automation. This is also available as a Key Command. As long as this function is unchecked, sequences and regions appear as per usual. The gray shaded Track Automation area is only displayed when the vertical zoom is set to a sufficient height, as is the case with conventional Sequence/Region HyperDraw. As opposed to the object based HyperDraw, engaging the Track Automation data display will automatically set a sufficient zoom level. The Track Automation data is displayed on a transparent grey shadowed area, allowing you to see the audio waveform in regions and notes in sequences at a reduced contrast level.

You can edit the Track Automation data directly in this display.

Zooming of individual tracks

Each track can be displayed at an individual vertical zoom level: Click-hold on the very left lower edge (to the left of the track number) of the desired track in the Track List and drag downwards. Zooming of all tracks is performed with the zoom bars. Alternatively, you can also use the magnifying glass of the tool box. The function View > Auto Track Zoom always enlarges the currently selected track.

Choosing the Parameter To Be Displayed

In the flip menu of the panel which appears in the Arrange window Track List, you can select the parameter which you wish to display and edit. This can be the volume fader, the pan pot, or any other parameter of the corresponding Mixer channel strip. The parameters are represented by different preset colors when displayed as a curve in the automation track. When you edit a parameter in the Track Mixer, a plug-in-window, or via a Logic Control unit, the most recently edited parameter will be displayed.

Context Sensitive Display

In order to reduce the number of parameters displayed, the display is context sensitive, which greatly simplifies operation. What this means is that only the parameters which actually control something in the selected Mixer channel strip (or in its plug-ins), will be displayed. The display of the parameter names is also context sensitive: this is a major plus, because rather than seeing an anonymous number, you can see the name of the function you're dealing with in plain text. Parameters which already exist in the track are displayed in bold lettering in the context-sensitive menu.

Multi Parameter View

- Background display of other parameters
If zoomed high enough the background shows all other automation data with less contrast. Volume is beige ("dark yellow"), Pan is dark green, everything else is dark blue. In ... the transparency of the background objects and the other track automation data can be adjusted to your needs.

- Individual automation track for each parameter
It is possible to view multiple automation data simultaneously on different tracks: The triangle in the lower corner of each track right next to the "Individual Zoom" dragging spot allows you to create additional tracks for different parameters. If the triangle is closed a click will append one track below the current track. If possible Logic will automatically set the automation parameter type to a type already recorded and not currently not shown.

Ctrl clicking the closed triangle will add as many tracks as needed to show all types of already recorded automation data. To make sure that not too many tracks are created one Ctrl click will add up to 30 parameter tracks with one click.

Ctrl clicking the open triangle will delete all tracks created for automaton view. Please note that only the view is deleted, not the automation data itself. The automation data are still active and can be viewed again for example by Ctrl click the closed triangle again.


Automation Modes

Automation > Track Based Automation > Automation Modes

In every channel strip of the Track Mixer or Audio Mixer, you can select the automation modes individually. At higher vertical zoom levels, the automation mode parameter is also visible in the Track List of the Arrange window. The automation mode can also be set via Key Commands. Given that Track Automation data can be recorded during playback mode, the default setting is Off, as any mix automation may prove disconcerting while arranging. You can choose between the following automation modes in any MIDI or audio (including Audio Instrument, bus and output) object:

Off

Off will disable the current Track Automation data without deleting it. No automation data will be written, nor read and played back. If the current automation mode is Off, any edits to Track Automation data in the Arrange window will automatically switch the automation mode to Read. This ensures that the data, as currently edited, will be played.

Read

Read will automate the current track using the existing automation data.

The data cannot be changed in realtime by touching the fader.

Touch

Touch will automate the current track in the same fashion as Read.

Should the fader be touched, the existing Track Automation data of the current fader type will be replaced by new movements - for as long as the fader is pressed. Touch is the most appropriate, "standard" mode, used for designing the mix. With automation engaged, it provides you with the option of correcting and improving the mix at any time. The time required by a parameter to return to its previously recorded setting, is selected via Options > Track Automation > Automation Settings... > Automation Ramp Time (ms).

Latch

Latch basically works like Touch, but after releasing the fader the current value will replace any existing automation data - for as long as the sequencer is in playback (or record) mode.

Press stop to finish or to define the end of your parameter editing by stopping playback (or recording).

Write

In Write Mode, existing Track Automation data is erased as the Song Position Line passes it.

If you move any of the Mixer's controls, this movement will be recorded - if you don't, existing data passed by the SPL is simply deleted. Use Options > Track Automation > Automation Settings... to determine which kind of data should be erased. The setting 'Write' Mode changes to' allows you to decide to which mode Logic returns after a Write operation has been executed.

Be careful with the Write mode and its settings to ensure that you don't erase your pan, bus, and EQ automation by mistake, if your intention was to only erase some volume fader information!

The Write mode of traditional mix automation will be rarely needed when working with Logic's advanced Track Automation. It's mainly there to complete the selection of automation modes. It's easier to erase the automation data by selecting Options > Track Automation > Delete All Automation Data of Current Track (or ...All Tracks, respectively). In earlier analog mix automation systems, the Write mode was the only way to erase automation data from tape when beginning a new project. Thus Options > Track Automation > Write to End / Write to Right Locator, these are commands which
are self explanatory. One writes Track automation data to the end of the song, and the other to the right locator position.

MIDI

MIDI disconnects the Mixer controls from the Track Automation and switches to Object Based Automation.

The fader will act like a standard external MIDI source and will be recorded and played back as normal MIDI data in MIDI sequences.

Switching Automation Modes For All Channels Simultaneously

Use the right mouse button when switching the mode of a channel strip, and all channel strips which had previously been set to the same automation mode, will switch as well.


Writing Track Automation Data

Automation > Track Based Automation > Writing Track Automation Data

You have the following options for writing Track Automation Data:

  • Moving any fader or control of the selected channel strip in the Track Mixer or the Environment Mixer with the Automation Mode set to Touch, Latch or Write. In real world usage, you'll rarely (if ever) use the rather destructive, Write mode, which erases all automation data. The normal writing modes are Touch and Latch.
  • Choosing a parameter in the Arrange track list area and moving the value slider on the right hand side of the track list with one of the mentioned write modes engaged.
  • Moving the external faders and controls of Logic Control, again with the proper write mode engaged.
  • Using HyperDraw to manually draw automation data

Important: The recording of Track Automation data takes places no matter whether Logics transport is, or is not, in record or playback mode! In addition, the Arrange window track selection or audio record ready status is irrelevant. Whatever you touch will be recorded when a channel strip is set to one of the write modes. The movement of Mixer controls (when in a write mode) can be used to overwrite and/or edit existing automation data in realtime.

Behavior in Stop Mode

In Stop mode, the Automation write modes are ignored and no data is written if the fader is moved. There is, however, one exception: if there are no dynamic changes, the current fader setting becomes valid for the whole song. This is the default behavior for all mix parameters when you start a fresh song.


Deleting Track Automation Data

Automation > Track Based Automation > Deleting Track Automation Data

The following, self-explanatory options are available for the erasure of automation data. Choose Options > Track Automation >

  • Delete currently visible Automation Data of Current Track;
  • Delete All Automation Data of Current Track;
  • Delete All Automation Data of All Tracks.

A double click while holding shift ctrl opens a dialog which allows the deletion of all automation data of the current type. This is as per the Delete All Automation Data of Current Track option.

It is also possible to delete a selection Hyperdraw nodes using the Backspace key. If no Arrange object is selected the selected nodes will be deleted when pressing Backspace. Use this function with care to avoid accidentally deleting sequences or audio regions.


Editing of Track Automation Data in an Event List

Automation > Track Based Automation > Editing of Track Automation Data in an Event List

Logic allows the editing of Track Automation data in a dedicated event editor. You can also open the folder which contains the (normally invisible) Track Automation data. As a core element of the program, Logic will always display every event as plain text in an Event Edit window. Please note, however, that this functionality won't be needed in normal music production situations, and is a real "expert" function. You can open the Track Automation event editor via the Key Command Automation Event Edit....

Track Automation Folder

Track Automation data is represented by a new class of "meta" events. These are an internal Logic event type that control processes that are not output via MIDI-although their data structure is somewhat similar to MIDI events. These meta events reside, like every event, in sequences, on tracks. The tracks, on which this Track Automation data resides, are found in a dedicated folder which is normally hidden. You can display it by via the Key Command Automation Folder.... On each track (that contains automation data) within this folder, you will find a single sequence which only contains the Track Automation data. This sequence ends with the last Track Automation meta event.

You can edit these events with Object HyperDraw (View > HyperDraw) and with Track HyperDraw (View > Automation), as well.
The display of the contents of the automation folder makes it easier to edit the automation data independently from the regions and sequences. In normal circumstances, however, it's usually quite useful to see these while designing the mix. As such, you'll probably find that you rarely open this folder view.


External MIDI Control

Automation > Track Based Automation > External MIDI Control

It is possible to integrate an external MIDI controller (Modulation Wheel etc.) into Logic's automation system and record external MIDI information as Track Automation data.

This can be done with the Transformer environment object and a new mode in the Transformer window: Track Automation Splitter. If the condition matches, incoming events will be sent to the Track Automation of the object connected to the top cable of the Transformer - after passing through the "Operation" field. With the appropriate "Operation" field settings incoming MIDI data is transformed into Fader event data allowing the automation of any possible parameter of the connected mixer object.

You will need one Transformer object for each parameter that you wish to address and automate.

- Example:
Control and automate the ES P filter cutoff using an external modulation wheel (CC#1)
Minimal environment setup: In the Logic Environment create a Transformer object with New > Transformer. Connect the Physical Input object with the Transformer object. Connect the top output cable of the transformer to an instrument channel object with the ESP-Synthesizer inserted in the instrument slot. Connect the second output of the Transformer to the "Recording & Through" object (sequencer input). Open the transformer parameter box by double clicking the transformer object. In the flip menu select "Track Automation Splitter" as the transformer mode. As the input condition set: | Status: Control | Cha: All | -1-: 1 |. As the output operation set the event type to: | Status: Fader | Cha: 2 | -1-: 7 |.

In this setup the modulation wheel will control the es poly filter cutoff of the respective instrument. Modulation Wheel movements can be automated using the usual automation modes (read, write, touch, latch).

Transformers need to be set up in a cascading configuration for each additional parameter you wish to automate via external MIDI controllers.

For more information on Environment programming consult your Logic User Manual.


Object Based Automation

Automation > Object Based Automation

The Object Based Automation writes the automation data directly into Arrange objects as MIDI controller data, or other data.

Recording of MIDI automation data

Object Automation data are recorded just like regular MIDI events. Logic has to be in Record Mode to capture this type of automation.

You have the following options for recording MIDI automation data:

  • Set the automation mode of a Track Mixer channel strip to "MIDI". The movement of any fader or control of the channel strip will be recorded on the corresponding track as MIDI controller data. In case of audio channels, the track must not be in record enabled.
  • Moving any Environment Fader records the MIDI events of the fader on the currently selected track.
  • External MIDI controller can also be used to create and record these events. (Please note that it is currently not possible to use Logic Control for this purpose due to the high fader resolution)

In case of audio channel strip, all settings including Plug-In parameters can be recording as MIDI controller data. Try to record different parameters to find out which controllers are used for what parameters. It is also possible to cable other Environment objects, like Instruments, Channel Splitters or MIDI Faders to Audio Objects. You may use these Environment objects as track instruments in the Arrange for the automation of the Audio object they are connected to.

Drawing of MIDI automation data

In the Arrange, Matrix and Score Window controller data can be directly inserted using HyperDraw. The Hyper Edit servers a similar purpose in a dedicated Editor window.

Editing of MIDI automation data

As MIDi automation data are just MIDI events, they can be edited just like any MIDI events, using e.g. the Event List, the Hyper Edit or the Transform Window.


HyperDraw

Automation > HyperDraw

HyperDraw is the easiest way to create and edit Automation Data in the Arrange window. The changes in automation data are made by graphically inserting points, which represent fixed controller values. The points are then interpolated automatically by Logic, which creates a series of events to smoothly connect the first event with the last. These automatically generated events are recalculated every time you edit the curve points.

HyperDraw is available for both the Track Based Automation and the Object Based Automation. The use of HyperDraw is practically identical on both types.

HyperDraw for Tracks

Track HyperDraw is automatically activated when Track Automation is enabled in the Arrange Window (View > Track Automation).

HyperDraw for Sequences and Audio Regions

Object Automation is switched on for the selected MIDI sequence or audio region by choosing a certain event type via View > HyperDraw > .... This type of HyperDraw is also available in the Matrix Window and in the Score Window. In both cases a blue HyperDraw section is added below the regular editing area. You must set a large enough vertical zoom resolution in order to see the HyperDraw curves.


HyperDraw Functions

Automation > HyperDraw > HyperDraw Functions

HyperDraw makes use of various tools to allow you a maximum of efficiency when drawing and editing automation data. In principle the following applies to both Track HyperDraw and Object HyperDraw.

Automation Arrow Tool

This tool has various functions depending on the setting of the flip menu just below the Arrange tool box:

- Curve
You can bend the line between two nodes or any selection. There are 4 different curve types available: convex, concave, and two different types of S-curves.
Note: this function is available using the Standard Arrow Tool if the alt ctrl modifiers are pressed simultaneously.

- Select
You can rubberband any selection in the automation. If clicked on an object, i.e. a sequence or audio region on automated track, all currently visible automation events within the object borders are selected. After selecting a certain area, you can move the selection freely to the right and left. With ctrl pressed, you can copy the selection to different location. Please note, that both these operations will delete all nodes in the destination area.

- Non-continuous selection
Shift clicking with the Select tool allows you to select other areas in addition to an already selected one. This enables you to edit non-continuous selections simultanously.

- Extended Selection
Shift clicking with the Select tool on a node in front of or following a selection extends the current selection.

Regular Arrow Tool

This tool can be used for a variety of actions within the HyperDraw area.

  • A short click into the empty HyperDraw area will add a new node.
  • The very first click into an empty HyperDraw track creates a new node at that position, and another node at the beginning. This ensures that you won't create parameter controls with "gaps" in the middle of sequence, but have full control over the parameter from the beginning of the automation track.
  • A short click on a node will delete it.
  • A short click on, or just outside, a line (not a node) will add a new node on the line.
  • A long click on a line allows you to move the line, along with its two endpoints - i.e. the nodes that encompass the line.
  • A short and a long click outside a line will create and select a new node, allowing you to move that node immediately.
  • A long click with ctrl> on a selection allows to copy the selection
  • A click with ctrl> without a selection will select all data beginning from the current mouse position and allows to drag the selection.
  • A double click with ctrl without a selection will select all data.
  • A long click, while holding ctrl alt on a node, a line or a selection allows various curves to be set on a line or across the entire current selection, identical to the Automation Arrow Tool in Curve Mode.

- Rubberband Selection
A long click with Shift allows to do a rubberband selection. There are three options:

  • Without further modifiers, no new nodes will be created.
  • With ctrl> , one new node will be created on each side.
  • With alt ctrl> , two new nodes will be created on each side.

- Multiple Selection of Nodes

  • A short shift click on a node will toggle the selection of the node.
  • A short shift click on a line will toggle the selection of the line.
  • A short click on the background will deselect all.
  • A click outside of the Track Automation data in the Arrange will deselect all.
  • A long click in a selected area allows all selected nodes to be moved.
  • A long shift -click allows a rubber-band selection. The selected area will toggle.
  • Moved automation data will automatically erase any data which exists in the destination area.

- Relative and Absolute Value Changes of Selections
There are two choices available when changing the values of a selection of nodes:

  • Clicking on a line or node you can change all values by the same absolute amount.
  • Clicking outside of a line within the selected area (a node or outside a node), all values will be changed proportionally by a percentage value.

- Track Automation: Select All, Scaling
Clicking with the right mouse button on both the numerical and the graphical value display in the Arrange Window track area allows the following:

  • A short right mouse button click will select all automation data of that track of the current parameter.
  • A long right mouse button click allows you to scale all automation data of the whole track of the current parameter.

Pen Tool

The Pen Tool allows you to freely draw automation events.

Eraser Tool

The Eraser Tool allows you to erase automation events.

Value Display in HyperDraw

Numerical values are automatically displayed at HyperDraw nodes if there is sufficient space. Numerical values are context-sensitive - i.e. the centered pan position is displayed as 0 (not 64), and volume is displayed in dB.

If no event exists for volume and pan, Logic draws a horizontal line of the current value (if available). If clicked, a single event with that value will appear.Further clicks work as per usual.


Activating Object HyperDraw

Automation > HyperDraw > Activating Object HyperDraw

To activate Hyper Draw for the currently-selected sequence(s), select View > Hyper Draw... You can select different Hyper Draw modes for different sequences.

Event Type

You can select the following types of events directly from the Hyper Draw menu:

  • Volume
  • Panning
  • Balance
  • Modulation
  • Breath
  • Foot Control
  • Portamento Time
  • Expression
  • Surround Angle
  • Surround Radius
  • Surround LFE
  • Channel Pressure
  • Pitch Bend
  • Program Change
  • Note Velocity

The chosen event type will be displayed as a controller number or by name in the upper left corner of the HyperDraw area.

MIDI Channel

By calling up View > Hyper Draw > Channel ... you can select the MIDI channel on which events will be displayed and edited. The chosen channel number will also displayed close to the event type.

HyperDraw Mode Velocity

Once active - by selecting View > Hyperdraw > Note Velocity, click-holding at any point in a HyperDraw window will activate the note velocity line tool, much like that found in the HyperEdit window. Releasing the mouse button will then change the tool to a line, which you can visually place onscreen. The end of the line is inserted by clicking a second time. This will automatically scale all note velocities, aligned to the inserted line. Please note that this only makes sense when the sequence area covered by the line already contains notes.

The Note Velocity Line Tool works in different modes:

  • Absolute: With no modifier key pressed, the velocity of notes will be changed to the value of the line.
  • Relative:right mouse click, the original and new note velocity will be analyzed. The resulting velocity is the average of both.
  • Just Selected: with ctrl pressed, only previously selected notes will be affected.

Both Relative and Just Selected modes can be combined.

Deactivating Hyper Draw

To switch off Hyper Draw for selected sequence(s), select View > Hyper Draw > Disable.


Other Data Types for Object HyperDraw

Automation > HyperDraw > Other Data Types for Object HyperDraw

Autodefine

This Option sets the Hyper Draw parameters automatically, so that the first event in the sequence will be displayed.

Auto Define is not limited to switching the HyperDraw display to the first incoming controller, but it can also respond to other types of events as well. It responds in this order:

  • Controller
  • Aftertouch (Channel Pressure)
  • Pitch Bend
  • Program Change
  • Note Velocity

- Sustain Pedal (Controller 64)
Controller 64 (sustain) is displayed in a special way in HyperDraw: there is no graph, merely the event's "on" and "off".

Defining other data types in Hyper Draw

If you want to use Hyper Draw to edit a controller which is not directly available in the Hyper Draw menu, call up View > Hyper Draw > Other... and enter the number of the controller and the MIDI channel in the resulting window. As soon as you select a new sequence, you will see the corresponding Hyper Draw parameters in this window.

This floating window always displays the Hyper Draw parameters for the selected sequence(s).


Key Commands for Object HyperDraw

Automation > HyperDraw > Key Commands for Object HyperDraw

The following key commands are available in the Arrange window, to speed up the use of Hyper Draw:

  • Hyper Draw: Disable
  • Hyper Draw: Volume
  • Hyper Draw: Pan
  • Hyper Draw: Modulation
  • Hyper Draw: Pitch Bend
  • Hyper Draw: Note Velocity
  • Hyper Draw: Other...
  • Hyper Draw: Autodefine

As always, any defined Key Command is displayed in the menu following the menu function.


Conversion of Automation Data

Automation > Conversion of Automation Data

Track Automation Data can be converted to MIDI data for object based automation and vice versa. These commands are found in the Options > Track Automation menu. These functions allow to move data (Volume, Pan, Plugin-parameter, etc) from objects in the arrange to the Track Automation, and vice versa to move data from the Track Automation to objects (last two functions). You need to make sure that at least one object is selected in all those functions.

Converting automation data

  • In the automation view CTRL - clicking on an automated parameter will activate the parameter flip-menu.
  • Using the flip-menu select a destination parameter.
  • A dialog will ask you to "convert" or "copy & convert" the automation data of the original parameter into automation data of the destination parameter. Using "copy & convert" the data of the original parameter will be kept in addition to the destination parameter.

Moving from Object Data to Track Automation

- Move Current Object Data To Track Automation
Moves the currently visible Object Data (e.g. Volume) to the Track Automation.

- Move All Object Control Data To Track Automation
Moves all Object data related to automation to the Track Automation.

Moving from Track Automation to Object Data

In this case only data are moved which position falls within the limits of the selected object.

- Move Current Track Automation Data To Object
Moves the currently visible Track Automation Data to a selected region or sequence.

- Move All Track Automation Data To Object
Moves all Track Automation Data to a selected region or sequence.


Introduction

Audio Window > Introduction

Logic allows you to access any digitally stored audio recordings (audio files) on your hard drive, which are in the Wave (.WAV) and AIFF (Audio Interchange File Format) format.

All recordings made using Logic are stored as Wave Files.

Audio files imported into a Logic song can be at any bit depth and sample rate supported by Logic. Logic Platinum supports depths of 16, 20 and 24 bits, and sample rates of 44.1, 48, 88.2 and 96kHz. Logic performs a realtime, native sample rate conversion.

The Audio window is where you organize all the audio files on the hard disk that are used in a Logic song. It doesn't matter whether these audio files have just been recorded, or whether they were copied weeks ago from a CD-ROM onto the hard disk. The Audio window gives a Logic song access to any compatible data on the hard disk.

The Audio window contains no positioning information about the files it lists. In fact, files that are not yet in use in the arrangement of the song may be included in the Audio window. Files are assigned to the sequencer's time axis by arranging sections of the audio files, known as "regions", in the Arrange window, in the same way as MIDI sequences.

The Audio window is really like a catalog for audio files. It also gives you an overview of what regions have been defined for each audio file.
Here you can define new regions and edit, delete, or rename existing ones. When you edit them here, the accuracy is limited to units of 256 sample words. To make more precise edits, use the Sample Edit window.

These regions can then be dragged directly into the Arrange window, where they now may be arranged as audio sequences.
The menus in the Audio window contain all the operations relating to the administration of audio files and regions, plus the System parameters of the hard disk recording hardware (HDR hardware).

Opening the Audio Window

To open the Audio window, select Audio > Audio Window (or ctrl 9). You can open several Audio windows at once (even within one Screenset) for example, if you want to use different zoom factors.

If you add an audio file to the Audio window, Logic automatically creates a region encompassing the entire length of the file.

You can create as many regions as you want from the same audio file, and there are also no limits in terms of length, as long as the region is no longer than the source audio file.

Regions can be moved with the mouse into the Arrange window. The audio file is then played at the desired song position.


Overview

Audio Window > Layout > Overview

On the left side of the window is a thin column. At the top there are the mode buttons, and at the bottom are the tools.

The column to the right lists the audio files, and their regions by name.

Further to the right, the region waveforms are displayed graphically, in the large white area of the window. A region is shown as a boxed, black or colored area, while the rest of the audio file is shown in light gray, indicating that this part of the audio file is not used for the region.


Zoom Functions

Audio Window > Layout > Zoom Functions

The two striped bars at the bottom right corner can be used to enlarge or reduce the display (zoom function).
You can use the vertical zoom bar along the lower right edge to enlarge or reduce the vertical display area, thus altering the height of the region waveform display.

The horizontal zoom bar at the bottom right edge is for enlarging or reducing the horizontal display size, i.e., altering the time display of the regions.

If you right-click the zoom bars with the mouse, you can alter the vertical and horizontal zoom simultaneously.


The Mode Buttons

Audio Window > Layout > The Mode Buttons

The mode buttons allow you to select different operating modes. These affect both the display and the playback of regions in the Audio window.

Link

Link mode in the Audio window means that whenever you select an audio region in the Arrange window, the same region is automatically selected and displayed in the Audio window.

You can switch link mode on or off by clicking the button with the chain link icon.

Hidden regions cannot be displayed in link mode. If you want to display them you have to Show the regions.

Monitoring

You can play regions directly in the Audio window. This monitoring is not related to the time axis of the sequencer. There are several ways of playing a region:

- Playing from a specific position
Click-hold the desired region in the waveform display with the mouse. Playback starts at the point where you clicked. This allows you to play specific sections.
Playback stops as soon as you release the button.

- Playing the whole region
If you want to play an entire region, select it by clicking the name of the region in the audio list. Now click the button with the speaker symbol to start playback. Click the button again to stop playback.
You can also start or stop this type of playback using the "Play/Stop Region" key command.

- Stereo playback
If a region from a stereo file is selected, clicking the speaker icon plays both sides of the stereo file. However, if you click the icon while holding down ctrl or shift , only the selected region (mono) is played. If you subsequently select a region from another stereo file, Logic goes back to playing in stereo.

Region Cycle

Regions may be looped continuously during monitoring. To switch "region cycle" on or off, click the button with the circular arrow symbols. This mode applies to all regions in the Audio window.

This cycle setting only affects monitoring in the Audio window, and has no effect on song playback. It should not be confused with the cycle function in the Arrange window.

You can adjust the start and end points of the region in real time, while the region is being cycled. This is useful for setting precise region lengths, for example when "polishing" drum loops.

Selecting the Audio Output for Monitoring

The actual routing of the audio signals to the different outputs is done in the Arrange window (using the audio object in the track list).

However, you can choose a specific channel of the audio hardware for monitoring in the Audio window. Set the desired output in the Cha button below the speaker icon.

In the Dev button below it you can choose between different audio hardware systems, if you have installed more than one. If you don't have more than one this button will not appear.


The Audio List

Audio Window > Display > The Audio List

The list display gives an overview of all the audio files used in the current song, and the regions contained within them. This is where audio files can be added, removed, deleted, or renamed. Regions can also be created, deleted and renamed.

Hiding and Showing Regions

After you add an audio file, you will see the file name in the Audio window, in large print. This takes up minimal screen space, and shows you as many currently used files as your zoom setting and monitor size will allow. There is a small triangular arrow directly next to the file name.

Click the small triangle next to an audio file to reveal its regions. Like the list display of folders in the Windows Explorer, this shows you the "contents" of the audio files-i.e. the relevant regions. The arrow is now pointing downward toward the regions, which are shown in small print. Click the triangle again to hide the regions.

You can also press the ctrl key while clicking on this triangle to quickly Hide/Show all regions.

- Activating the Display of all Regions
By selecting View > Show All Regions, you can instantly display all regions, from all audio files contained in the Audio window.

- Hiding the Display of all Regions
View > Hide all Regions instantly removes the display of the regions for all audio files. If you want to view individual regions, just click the small triangle to the left of the file name.

Displaying the Lengths of the Regions

The lengths of the regions can be displayed in various units.

Select View > Show Length as... at the lowest level of this hierarchical menu, you can choose the units for the display of the lengths of all regions.

- Show Length as... > None
No display of length.

- Show Length as... > Min:Sec:Ms
Absolute time length of the region in hours, minutes, seconds and milliseconds.

- Show Length as... > Samples
Number of sample words in the region.

- Show Length as... > SMPTE Time
SMPTE length, which unlike absolute time, gives frames and bits instead of milliseconds.

- Show Length as... > Bars/Beats...
The region is displayed in musical units: bars:beats:divisions:ticks.

If the tempo, time signature or "divisions" settings are altered, the display is automatically recalculated.

Displaying Information about Audio Files

Information on every currently loaded audio file can be displayed from left to right, in the region waveform display as follows:

Sample rate (Hz), Bit Depth (Bit), Mono or Stereo status (Cha), file size (kByte) and file path or directory(Location). Mono files have a circle symbol, and stereo files have a double circle symbol.

You can switch this display on or off by selecting View > Show File Info.


Sorting Audio Files and Regions

Audio Window > Display > Sorting Audio Files and Regions

Sorting Audio Files

The audio files in the Audio list can be sorted according to various criteria by selecting View > Files sorted by...:

- Files sorted by... > None
The audio files are listed in the order in which they were loaded or recorded.

- Files sorted by... > Name
The audio files are listed in alphabetical order.

- Files sorted by... > Size
The audio files are listed according to size, in decreasing order.

- Files sorted by... > Drive
The audio files are sorted according to the drive where they are stored (hard disk, removable drive, partition).

Sorting Regions

The display of the regions can be sorted within an audio file according to various criteria by choosing View > Sort Regions by...

- Sort Regions by... > Start
The regions are sorted according to their time position in the audio file. This is the default setting.

- Sort Regions by... > Length
The regions are sorted according to their lengths.

- Sort Regions by... > Name
The regions are sorted alphabetically.


The Waveform Display outside the Region

Audio Window > Display > The Waveform Display outside the Region

Logic defaults to showing the waveforms outside the defined region area in light gray.

You can alter the display yourself by clicking inside the region while holding down ctrl and keeping the mouse button held down. A flip menu appears containing the following options:

- None
No waveform display outside the regions.

- Bright
Waveform display outside the regions colored light gray.

- Middle
Waveform display outside the regions colored medium gray.

- Dark
Waveform display outside the regions colored dark gray.


Overview Calculation

Audio Window > Display > Overview Calculation

In addition to the pure audio data, an audio file also contains data which is required for graphic display of the waveform in the Audio window and Sample Editor ("Overview" data).

Automatic Overview Calculation

If the option Create Overviews after recording is switched on in Audio > Audio Preferences, graphic overviews are automatically calculated right after audio recording.

If you switch off this option, overviews are not calculated automatically. However, you can start them manually.

Starting Overview Calculation manually

Sometimes when you load/import audio files, you have to carry out the calculation manually if the audio files don't contain any overview data. You can start the overview calculation of selected files with Audio File > Refresh Overviews.

Controlling the Overview Calculation

The calculation of the overview data for an audio file is shown in a float window. This calculation is carried on in the background, so you can continue working with Logic.

You can position this float window wherever you want. The last position is saved in the Preferences.

Double-clicking this window opens a dialog box with the following options:

  • If you stop the calculation by clicking Abort, you can still play the audio file-but bear in mind that without an overview, it will not be easy to edit.
  • Continue carries on the overview calculation in the background, as it normally would.
  • Clicking Finish transfers the calculation to the foreground and therefore speeds it up considerably. The disadvantage is that you cannot use your computer for anything else until it is finished.


Selection Techniques

Audio Window > Operation > Selection Techniques

There are several different ways of selecting audio files and regions in the Audio window.

To select a single item, either click its name in the audio list, or the waveform display.

If you hold down shift at the same time, you can select several items, even if they are not adjacent to one another. In the audio list, you can also "rubber band" select multiple adjacent files.

To select all items at once, select Edit > Select All (ctrl a).

Audio Files

- Selecting the next Audio File
The key command Select Next Audio File selects the next audio file in the audio list.

- Selecting the Previous Audio File

The key command Select Previous Audio File selects the previous audio file in the audio list.

Audio Files and Regions

- Selecting used Regions
When you select Edit > Select used, all audio files and regions used in the arrangement of the song are selected.

- Selecting unused Regions
Edit > Select unused selects all those audio files and regions which are not used in the arrangement of the current song.
For example, you can call up this function at the end of a production, to delete any items that are not required (backspace ).


Edit Commands

Audio Window > Operation > Edit Commands

All the standard edit commands are available in the Audio window. As usual, they apply only to the currently selected items (whether audio files or regions).

The Cut, Copy and Paste commands only apply to exchanging items between two different songs. An audio file can only appear once in a song's audio list, and so cannot be copied within a song. For instructions on how to physically copy an audio file to the hard disk, please see the section Copying Audio Files.

Cut

The selected audio files or regions are cut, i.e. moved to the clipboard. They are removed from the Audio window. Shortcut: ctrl x .

Copy

The selected audio files and their regions are copied to the clipboard. They remain in the Audio window. Shortcut: ctrl c .

Paste

The contents of the clipboard are added (providing they contain audio files and associated regions from another song). Shortcut: ctrl v .

Clear

Any selected audio files or regions are deleted. You can achieve the same effect by pressing backspace .
Don't forget; the functions Cut or Clear do not delete audio files from the hard disk, they just remove them from the Audio window of the current song.

If regions from the audio files in the Arrange window are being used as audio sequences, these sequences will be deleted from the Arrange window as well.
If you want to delete the selected audio files from the hard disk, select Audio File > Delete File(s).

Undo

Reverses the Previous Command (Shortcut: ctrl z ). You should call up this function if you want to reverse an action.
Not all actions can be reversed using Undo. If you select a function which you cannot undo, you will be warned of this before you can execute the function.


Regions

Audio Window > Operation > Regions

Creating a Region

Select the desired audio file and select Audio File > Add Region. The new region will appear in the list, after the existing regions.

- Copying a Region
If you select an existing region and then carry out the Add Region function, another region is created whose definition (start, end, Anchor) is exactly the same as the selected region.

Deleting a Region

You can use the Eraser tool to delete one or more regions. If any of these regions exist in the Arrange window, they will be removed from there, as well. You should therefore be careful when using this tool. However, the Undo function is always available, if you inadvertently remove a needed region.

You can also delete any selected regions with the backspace key.

Altering the Boundaries of a Region

You can directly alter the boundaries of a region in the graphic display, using the Region Edit (finger) tool. You can also use the normal mouse pointer. Just make sure you grab the region by the lower third when carrying out the following actions:

- Moving the Start Point
To adjust the start point of a region, grab the left border. The tool turns into a small hand pointing to the right. You can now adjust the start point.

- Moving the End point of a Region
To adjust the end point of a region, grab the right border. The tool turns into a small hand pointing to the left. You can now adjust the end point.

- Moving the whole Region
You can also move an entire region within an audio file, by grabbing it in the middle. The tool turns into two arrows pointing left and right. If the region is very small, use the zoom function to enlarge the section. Make sure you can see the two arrows before making any alterations.

If you want to adjust the boundaries of the region without moving the Anchor, hold down ctrl during the operation. This applies to moving the start or end points, as well as moving the whole region.

Moving the Anchor

To move the Anchor, grab the small Anchor triangle below the region. The tool turns into the Region Edit tool. A vertical guide line appears above the Anchor triangle.

Snapping to Zero Crossings

If Edit > Search Zero Crossings is switched on, adjustments to the start or end point of the region are snapped to the nearest point where the wave form crosses the zero axis. This ensures "glitch-free" playback. When adjusting the start point, the area before the selected point is searched. When adjusting the end point, the area after the region is searched. This option is useful when defining regions in the Audio window.

Search Zero Crossings also applies to all operations in the Arrange window.

Fine Movement

The graphic display in the Audio window is optimized for quick and simple organization of the audio files and regions. This involves displaying as many things as possible simultaneously in the window. Because of this, the finest resolution for positioning the start and end point, or the Anchor, is limited to units of 256 samples. This is usually adequate, particularly if search zero crossings is switched on.

However, sometimes you need to make precise adjustments down to the individual sample words. Drum loops are a good example. The Sample Edit window is better suited to these situations. To open the Sample Edit window for a region, double-click on that region.

Protecting the Region Parameters

Regions can be "locked", to protect against accidentally altering the start and end points, or the Anchor position.The small lock symbol next to every region can be opened and closed by clicking it. If it is locked, you can play the region, but you cannot edit it. This function should not be confused with delete protection: A protected region can still be deleted.


Renaming Audio Files and Regions

Audio Window > Operation > Renaming Audio Files and Regions

To rename audio files and regions in the Audio window, just double-click the name in the audio list. A text input box appears where you can type in a new name.

Before renaming audio files the following warning appears:

Keep in mind other songs may use the same File! Do you still want to rename the File?

You should check whether the audio file that you want to rename is used by another song. If it is, don't rename the file, otherwise it will not be found or played by the other song.

Logic helps you in these situations:

  • Logic alters the name of an audio file in all currently opened songs which use this file.
  • If the file is half of a "split" stereo pair, Logic automatically assigns the new name to the other half of the Wave stereo pair.
  • Logic also renames any backup files on the same drive.

If you rename a stereo file, Logic automatically assigns the new name to up to five files (both the mono files used in Logic, their backups and the stereo file). In this case it is a good idea to store all these files in the same location.

You can rename regions whenever you like.

As long as regions have the same names as the audio files they refer to, any renaming of the audio files is automatically carried over to their associated regions.


Record File

Audio Window > File Administration > Record File

Defining the Record Path

Every recording in the Arrange window creates a new audio file. To keep track of your recordings, you should tell Logic where the data is to be written before you start recording.

You can also define a file name for the audio files that are recorded-a kind of working title-which Logic will automatically keep using, by appending a series of numbers to the file name for each subsequent recording.

The path (folder) for audio recordings can be set individually for each song. You can also have different paths for different audio hardware systems running simultaneously.

To call up the dialog window for these settings, select Audio > Set Audio Record Path... or open the Record menu (click-hold the Record button).

- Use Audio Object Name for File Name
If this option selected, the name of the audio object is used as the file name for the recording.

- Pre-Allocate Recording Files
If this option is selected, Logic creates the audio file for the next recording after you record-enable the track. In addition, at the end of every recording, the audio file for the next recording is immediately created. This allows you to start audio recording more quickly.
Unused recording files are deleted when you quit Logic.

- Maximum Recording Time (Recommended): xxx Minutes
This parameter defines the maximum recording time for new audio files, in minutes; this determines the size of the temporary recording file. Before any recording can take place, a file large enough to hold it must be created on the hard disk.

You can switch this option off, in which case a record file as big as the entire available space on the currently selected hard disk will be created.
Disadvantages:

  • the audio file may be heavily fragmented, if the actual recorded file is much shorter than the pre-created recording file.
  • there may be no space left for the Overview file. The Overview will then have to be calculated after the recording.
It is strongly recommended that you switch on this option, and set a maximum recording time.

If there is not enough storage space available to accomodate the time you have set, the maximum length of the recording is temporarily reduced. During the recording, you can see how much time is available in the Record Float window (with the red bar).

- Global Record Path/Song Record Path
The Global Record Path was available in earlier versions. It is stored in Preferences, and applies to all songs. The advantage is that you don't have to define a record path in every new song before you can record, provided that you don't mind recording files for every song into the same folder.
The Song Record Path allows you to organize the audio recordings for each song into its own folder. The advantage here, is that when you switch from one song to another, any new recordings are automatically stored in the current song's folder, without having to switch the path manually.

- Set
These buttons can be used to define the path for each separate hardware system and the file name of the recording file. For every new recording an incrementing number is added to the name. You can create a new folder (if required) in the dialog box.

To the right, you will see the current drive, and the remaining capacity (only if the drive is registered). If you click-hold the drive, the entire path is displayed. This way you can see exactly which folder you are recording into.

You can change the path and name whenever you want, by calling up the Set Record Path function again.

When You Choose the Path remember ...

  • If the hard disk to which the path leads is not connected or is switched off, the path will be deleted.
  • If you rename the drive, Logic will not be able to find it.

When You Enter the Recording Time Remember ...

Important: the display of the remaining memory and the maximum recording time depends on the following factors:

  • the number of tracks which are to be recorded simultaneously.
  • the sample rate.
If you are starting Logic for the first time, this display refers to recording a single mono track. After every recording Logic makes any unused memory available for more recording.

It is always advisable to choose a much smaller value than the maximum possible recording time. Otherwise after the first recording there will not be enough space for further recordings, unless you reduce the value. A good practice is to set this value one minute higher than the longest single take you expect to record.

If you set a long recording time, and then increase the number of tracks, or change the sample rate, and there is not enough room on the hard disk, Logic will warn you first with an alert box.


Adding Audio Files

Audio Window > File Administration > Adding Audio Files

If you want to use an audio file stored on the hard disk in the current song, select Audio File > Add Audio File. An extended file selection box appears where, you can select one or more audio files at once.

Audio File Selector

Logic has a special file selector box for adding audio files, with the following features:

  • Adding several files at once.
  • Adding or removing all files in the folder.
  • The cursor stays at the last position after you have added a file-subsequent files can therefore be added by pressing "Enter" or "Return".
  • Any files which have already been added are filtered from the view.

- Auditioning audio files:

  • Channel 1 of the audio hardware (Dev) set in the Audio window is used for playback.
  • Playback can be stopped at any time.
  • Playback is not stopped if you change the folder or volume.
  • A short standby pause (a delay before the file can be auditioned) ensures that you can scroll quickly through directories.
  • Autoplay automatically plays the file selected in the file selector area.

Done means all selected audio files will be added to the song and the file selector window will close.

Drag & Drop using Audio Files

You can add one or more audio files with drag & drop from other Windows windows (Explorer) to the Audio window.

The end result is exactly the same as using the Add Audio File... function. It can save you time, especially with large multiple selections.

You can also drag and drop audio files from the Explorer directly into the Arrange Window. A corresponding entry in the Audio Window will appear automatically.

Removing Audio Files

To remove an audio file from the current song, select its name in the Audio window and press backspace . This does not delete the file from the hard disk.


Deleting Audio Files

Audio Window > File Administration > Deleting Audio Files

Deleting Audio Files

In theory, audio files are displayed and organized by the Windows operating system in exactly the same way as all the other Windows files. You can therefore delete or copy them in Windows Explorer. However, this has the following disadvantages:

  • If you delete an audio file, you may not know if it is needed in a song.
  • If you accidentally delete audio files, Logic warns you of this when you load the song. In addition, there will still be items in the Audio window and Audio sequences in the Arrange window which originally referred to the missing audio file, and have therefore been "orphaned". This detracts from a clear overview of the song.

For this reason, it is safer to delete redundant audio files in the Audio window. First, select the audio files which you want to delete. Be careful, because once files have been deleted, they are gone for good. You cannot use the Undo function to recover deleted audio files.

Select Audio File > Delete File(s). An alert message informing you of the number of audio files about to be deleted will appear.

Click Cancel to abandon the deletion process, or click Delete to permanently delete the files.
Here too, you should make sure that the files about to be deleted are not being used in any other songs.

Optimizing Audio Files

The Audio File > Optimize Files function allows you to delete those sections of audio files which are no longer used in the song. This can usually free up a lot of wasted space on the hard disk.

You can call up Optimize Files for any number of audio files. Optimize Files works as follows: for all selected audio files Logic determines which segments are not contained in any of the regions. These segments are then deleted and the used regions are stored next to each other in the audio file.

The regions in the Audio window must be redefined by Logic during this process. Therefore, the song is automatically saved after Optimize Files.
Because this process deletes physical data from the storage medium you cannot undo it.

Unused audio passages outside the regions often take up unnecessary storage space and can be removed using the function Optimize File(s)-even for several files at once.

For safety reasons, the function Optimize Files uses a Pre/Post Roll area. That is, before and after each used region, one second of original audio data is left.


Further File Functions

Audio Window > File Administration > Further File Functions

Saving a Region as an individual Audio File

If you want to create one (or more) independent audio files from selected regions, use the function Audio File > Save Region(s) as... Use the file selector to select the folder where you want to store the new audio files. If you are only editing one region (or two paired regions from a stereo recording), you can also enter a name for the new audio file. If you are editing several regions simultaneously, it is a good idea to name the regions in advance, as the region names will apply to the audio files created from them.

A dialog box then appears:

Add Audio Files to List of Audio Window? No / Add

If you want to add the new audio files immediately, confirm with Enter or Add, otherwise click No.

There is a very similar function, which allows you to convert selected regions into individual audio files directly from the Arrange window.

Making Backups

The Audio File > Backup File(s) function stores duplicates of files at the same storage location as the original(s), with the extension "dup".

Don't forget the backup options that are available in the Sample Edit window.

Copying Audio Files

The Audio File > Copy/Convert File(s) function copies files to a different location on your hard disk (or other storage medium). When you copy a file, you can enter a new name in the file selection box (similar to the "Save A Copy As..." command.

Logic checks whether there is enough space to copy the selected file(s) at the target location. If there is already a file with the same name there, Logic asks whether you want to replace it. Logic also gives you the opportunity to replace the audio file in the song with the file that you have just copied.

Moving Audio Files

The Audio File > Move File(s) function enables you to move audio files on your hard disk. Unlike the copy function, the source file disappears afterwards.

If the source drive/partition is the same as the target drive/partition, the files are simply moved to the other folder. This is a very quick and convenient way of organizing the drive and the song.

- Example
Choose "Select Used" from the Edit menu of the Audio window (this refers to the files which are being used in the Arrange window), and move them to a new folder. This folder will then contain just the audio files from this song.

Be very careful when using this function. A different song may use the same audio files. The next time you start the other song, you will then have to locate the files that you have moved.

Logic updates the information on the new path for all open songs which use this audio file. Thus, you can open every song which uses the audio file(s) you are moving. Now, move the files to the new location, and save the songs to transfer the storage reference(s).


File Conversion and Exchange

Audio Window > File Administration > File Conversion and Exchange

Audio File Format Conversion

When you copy files using the Audio File > Copy Files(s)... function, you can define the format of the destination file. Select the format at the bottom of the file selection box.
All selected audio files can be copied into any of the following formats:

  • ...Original Type: The original format is used
  • ...AIFF File: The copies are in the Audio Interchange File Format
  • ...Wave File : The copies are in the ".WAV" format.
  • ...SSHDR File: The copies are in the Soundscape format

Exchanging Audio Files between Mac and PC

When converting audio files to the Wave format on the Macintosh, or when converting AIFF files on the PC, you can use long file names.

Wave files can be directly played on the Macintosh, without problems, with the Emagic Audio Engine. SDII Files can also be played on the PC, as long as the files are recorded at 16 Bit 44.1 kHz. It is generally recommended, when transferring files from Mac to PC, that you convert the files to Wave format (while still on the Mac), as the Resource is lost in SDII files. (The Resource contains detailed information about format, Sample rate and Bit definition).

The use of DOS-formatted hard disks on your MacOS computer for audio is not recommended, since its audio performance is significantly worse than the performance of an HFS+ drive.

To transfer a whole Logic song from Logic Mac to Logic Windows, just go to the Audio window and copy all the audio files onto the MS-DOS drive or the PC net (if available), as .WAV files. The song file itself can be read immediately on both platforms.

Logic Windows will recognize a song which was created on a Mac and looks for "FileName.WAV" instead of the original files.

Likewise, to transfer from Logic Windows to Logic Mac, you have to export the audio files from Logic Windows as AIFF files (onto the Mac/HFS drive). Logic Mac then looks for "FileName.AIF" files instead of "FileName.WAV" files, which would be used on the PC.

Store the Logic song file in the same folder as the audio files. Then Logic will find the audio files immediately after loading.


Split and Interleaved Stereo Formats

Audio Window > File Administration > Split and Interleaved Stereo Formats

The internal structure of multi-track HD recording systems is such that each individual audio track can be dealt with independently. Accordingly, a separate audio file is created for each track.

Logic can record stereo files in two different ways, one of which is by coupling two mono tracks and therefore two audio files. This is known as the "split stereo" format. Select Audio > Audio Preferences > Force record & convert interleaved into split stereo file(s) if you want Logic to use this format.

But normally, Logic creates single files containing both channels of a stereo recording. This is called the "interleaved stereo format". These are composed of a sequence of alternate small packets of data from both tracks. Logic can record files directly in the interleaved format, giving stereo files recorded in Logic instant compatibility with other mastering, or CD recording applications. Please note that not all hardware and driver models are compatible with this format, so all files recorded on these systems will be in the Split Stereo format. Please read more about this topic in the section Universal Track Mode.

The sections below on "split" stereo files apply only to the above mentioned hardware systems:

Automatic Conversion of Stereo Files

When the automatic conversion of stereo files is selected, the original stereo sound file is not deleted-Logic generates two new independent mono files from the stereo sound file. Don't forget that this process takes up twice the amount of space on the hard disk.

The two new audio files are linked together in the Audio window to make a single "stereo unit". Any edits which are carried out on one channel, automatically affect the other channel too.

Special Features of "Split" Stereo Files

There are a few special features for dealing with "split" stereo sound files:

  • In the file selection box "split" stereo audio files are treated as a single file, even though strictly speaking, they are two independent files.
  • In the audio list you can see both files. They have the same name apart from the file extensions (.WAL and .WAR). If you rename one channel of a stereo audio file, the file for the other channel is automatically renamed as well.
  • Their regions can also be renamed.
  • If you use the Add Region command to create a new region, Logic does this for both audio files.
  • Any alteration made to either region is automatically transferred to the other region. This applies to the start point, end point, and position of the Anchor.
  • If either of these regions is moved to the Arrange window to create an audio sequence, the other region is moved there, as well.

Disconnect Stereo Files

Both sides of a stereo audio file are normally edited together. However, sometimes you may wish to edit one side individually:

  • Select the stereo file
  • Select Edit > Disconnect selected Stereo File

You can now edit both sides of the recording as individual mono files. This function will only disconnect one stereo file at a time. If you want to reconnect the files, don't define any new regions.

- Reconnect Stereo Files
The Edit > Reconnect Stereo Files command reconnects all disconnected stereo files in the song. Only files that were previously stereo are reconnected.

Manual Stereo Conversion

- Convert to WAV Stereo
This command converts two (split-stereo) audio files into a single stereo file in the WAV format. This is useful if you want to edit a "split" stereo file using a different program, such as CD mastering software.

Select the audio files and choose Audio File > Convert to WAVStereo. Keep in mind that this only works for split stereo files. You can't use Convert to WAV Stereo to combine two mono files into a stereo file.

Logic automatically stores converted WAV files at the same location as the original split files (providing there is enough room on the drive).


Other Functions involving Audio Files

Audio Window > File Administration > Other Functions involving Audio Files

Reassigning Audio Files (Update File Information)

If Logic cannot find one or more audio files-for example when it opens a song-the regions are shown as gray areas in the Audio window.

If the files are available under a different name, or if you want to assign a "replacement" file, you can do so as follows:

  • Double-click the relevant region or select Audio File > Update File Information.
  • Select Locate in the dialog box and a file selection box opens, where you can load the desired Audio file.

What to Do if Logic Cannot Find an Audio File

Sometimes Logic cannot find a file which was previously used in the song. This could be due to one of the following :

  • You have not connected the relevant hard disk, or you have renamed the drive.
  • You have stored the files in a different drive, or moved them to another drive.
  • You have renamed the files in Windows Explorer, or renamed them in the Audio window of another song.
  • You have deleted the files.

In these cases Logic produces a dialog box. You can respond in any of the following ways:

- Search
The current drive is searched for this name. If the search is unsuccessful, Logic asks you if you want to search other drives for these files. This enables you to assemble songs, even if you have copied or moved the relevant files onto other media.

- Skip
(Don't search for this file). Use this function if you know that this audio file no longer exists, or has been renamed. This button changes to "Skip All" if after the first skip, yet another audio file could not be found.

- Skip All (for Several Files)
(Don't search for any more files). Use this function if you know that all audio files in this song no longer exist, or have been renamed.

- Manually
You can manually define where to search for the file. A file selector appears, containing the names of the audio files which are being searched for.

If more than one file is found with a matching name you can pick out the correct file in a dialog box.


Overview

Audio Window > Strip Silence > Overview

The Strip Silence function allows you to create regions automatically. The amplitude level of the audio material is the basis used to create the regions.

Functional Principle

The principle is simple: all the amplitude values below a set threshold are interpreted as "silence," and removed. New regions are created from the remaining passages, whose level is above the threshold.

You can choose to replace the original region in the Arrange window with these new regions, without altering the timing of any of the passages.

The main uses are as follows:

  • Removing background noise during gaps (noise gate). Unlike analog noise gates, strip silence works "in advance". There are no problems with cutting off the attack of the region(s).
  • Dividing a long section into several convenient segments (e.g. for deleting or sorting).
  • For short percussive regions, (e.g. drum loops), you can simulate time compression/expansion by simply altering the tempo.
  • You can even quantize the individual segments in an audio recording-something which until now was only possible for MIDI events.

Calling up the Strip Silence Function

First, select the region in the Audio window on which Strip Silence is to be carried out. If you are using split stereo audio files, the corresponding region of the other channel is automatically selected too. Then select Options > Strip Silence in the Audio window. The Strip Silence window will open.

The Strip Silence Window

There are several settings in the Strip Silence window which directly affect the number and length of the newly created regions. Every time you alter a parameter in the top part of the window, the graphic display of the region changes accordingly.


Strip Silence Parameter

Audio Window > Strip Silence > Strip Silence Parameter

Depending on the audio material, all the parameters can have an effect on the number and division of the regions. To get the desired result you may need to experiment a little.

Threshold

The Threshold defines the amplitude threshold that a passage has to exceed, in order to be defined as a region.
The units here are shown in percentages.

In terms of the number and length of the regions, this is the most important parameter. As a general rule: a higher Threshold leads to more short regions.

Example of "Threshold": low values 1 create large, continuous regions, high values 2 cause more short regions

Min. time to accept as Silence

You use Min. time to accept as Silence to define how long a section must be below the threshold value, before it is considered to be a gap. The units here are shown in seconds. The smallest division is one tenth of a millisecond.

Very small values tend to increase the number of regions, because even short dips in amplitude are interpreted as silence. Higher values prevent sections of audio from being "interrupted" by fluctuating amplitudes.

Pre Attack-Time

The Pre Attack-Time parameter allows you to add a pre-defined amount of "pre-roll" to the beginning of all regions created. With high threshold values, this prevents any amplitudes with slower attack times from being "chopped". This function is useful for non-percussive material like vocals, wind instruments, strings, etc. The units here are shown in seconds. The smallest division is one tenth of a millisecond.

Overlaps are permitted, i.e. the pre-delayed start point of a region can extend back to the end of the previous region-but only as long as the threshold value is not exceeded.

Altering the Pre Attack Time has no effect on the Anchor position, or the absolute position of the audio data on the sequencer time axis.

Post Release-Time

Next to Post Release-Time you can define an automatic release time for the end points of all the regions. The units here are shown in seconds. The smallest division is one tenth of a millisecond.

You can use this function to avoid cutting off amplitudes which fade out gradually (particularly if you have set a high threshold value). For example, cymbals, open hi hats, snares with long reverbs, vocals, etc.

The Post Release Time parameter does not allow overlaps. This means that the region's end point cannot extend beyond the start of the next region.

Adjusting the Post Release Time does not affect the Anchor position, or the absolute position of the audio data on the sequencer time axis.

Search Zero Crossings

If the Search Zero-Crossings option in the Strip Silence window is active, the region start and end points are always automatically snapped to the nearest waveform zero crossings.

Click the check box, to toggle the automatic positioning to zero crossings between on and off.


Other Strip Silence Functions

Audio Window > Strip Silence > Other Strip Silence Functions

Replacing a Region in the Arrange

If you are editing a region which is being used as an audio sequence in the Arrange window, you can open a dialog window by clicking OK in the Strip Silence window (or by pressing Enter ).

If you want to replace the region in the Arrange window with the regions created by the Strip Silence function, click Replace or press Enter . This means that the relative timing of the individual audio segments remains unaltered. You can listen to the result and if you are not satisfied you can Undo it.

If you want the new regions to appear only in the Audio window, click No. You can then drag them individually into the Arrange window, in the usual way.

Multiple Editing Using Strip Silence

Strip Silence always affects the selected region in the Audio window. It doesn't matter if a region has been defined manually or whether it is a product of a previously executed Strip Silence function.

For example, you can use this method to roughly split up a whole audio file, and then divide the new regions, using different parameters. The new regions can then be again processed with the Strip Silence function-and so on.

Reassigning Audio Sequences Using Strip Silence

Regions which already exist as audio sequences in the Arrange window can also be split up by the Strip Silencefunction. The position of the remaining audio data along the sequencer time axis is not affected. This means that a recorded audio sequence can be immediately edited using Strip Silence. Several new audio sequences are then created, which can be individually moved, copied, or deleted.

Automatic Positioning of the Anchors

When you create new regions using Strip Silence, a separate Anchor is automatically created for each new region. Logic always sets this to musical units, in accordance with the format value set in the Transport window. This means that when you are moving audio sequences to fit in with the music, there will be "rounded" values in the Info line.


Uses for Strip Silence

Audio Window > Strip Silence > Uses for Strip Silence

Noise Gate

The most conventional use for Strip Silence is to simulate the classic noise gate effect. When used on long recordings with many gaps-such as vocals or instrumental solos-you can get good results by setting a low threshold value. Background noise is removed, without affecting the main signal.

Creating Segments of Spoken Recordings

With spoken passages, Strip Silence can divide a recording into sentences, words or syllables. For film synchronization or jingles, you can move or reposition the segments of speech by simply dragging them around in the Arrange window.

With tempo changes, you can also simulate a time compression/expansion effect, as the syllables automatically move closer together, or further apart.

Creating Segments for Drum Loops

Dividing drum loops into small segments is a good way of perfectly synchronizing them. For example, with audio passages where the bass drum and snare are completely separate, you can often use Strip Silence to isolate each individual beat. The new regions then behave exactly like MIDI events, so you can alter the tempo to "quantize" them.

Optimizing the Synchronization over long time-spans

Different computers, different synchronization sources (Internal or SMPTE code), different tape machines and-in theory-even different samplers or hard disk recording systems, will exhibit slight variations in clock speed. Changing just one component can lead to a loss of synchronization between recorded audio material and MIDI. This particularly applies to long audio sequences.

This is another situation where the Strip Silence function can help, by creating several shorter audio sequences, with more trigger points between the audio and MIDI events.


Further Options

Audio Window > Further Options

Setting the Sample Rate

Logic performs a realtime, native sample rate conversion. Any sample rate available in Logic (through Audio > Sample Rate) can be used for the conversion - even if your audio hardware does not support the selected sample rate.
The native software sample rate conversion facility matches the sample rate of any audio hardware, thereby allowing the playback of projects on virtually any audio system - even if the hardware is - in sample rate terms - not compatible. Nothing is lost in the process. Any internal processing and bouncing is always performed at the original sample rate, and at the highest quality, even in cases where the hardware does not support a particular sample rate. This facility allows you to work on projects originally created on high-end audio systems, with smaller setups.

Example:
A song was created with an audio hardware/setup at 96kHz. Moving this project to a laptop, or setup that does not support the original project's sample rate, will commonly result in the wrong playback speed. The native realtime sample rate conversion facility will counteract this effect, allowing correct playback of the project on the laptop, at any sample rate.

High sample rates not only eat drive space, but also result in more CPU load, because everything has to be handled in half of the time.

Varipitch/Varispeed synchronization

The real time sample rate conversion facility allows Logic's audio engine to follow an external MTC signal ("MTC continuous"), while maintaining the correct playback pitch and speed. This even works when recording in MTC-slave mode.


Introduction

Audio Drivers > Introduction

Audio Engine

The Audio Engine is that part of Logic that processes and controls all audio data for playback, recording, mixing and effects.

Logic Platinum supports two Audio Engine models:

- Native Audio Engine

All descriptions of the audio functionality in this help book are based on the Native Audio Engine. This engine performs a realtime, native Sample Rate Conversion.

- VS-Support :

The support of the Roland VS series lets you control the VS devices via Logic. However, all processing is done within the VS devices; therefore Logic has no access to the actual audio data.

Audio Drivers

Audio Drivers serve as a connection between Logic and the audio hardware. Some hardware are addressed directly, some via standard audio driver models. In the latter case additional driver files are required, which are supplied by the hardware manufacturer. A Driver is switched on or off in the Audio > Audio Hardware and Drivers window. Simultanous use of different drivers is possible. When launching Logic with the alt key pressed down, you are able to choose during startup which driver should be used. You can choose from those that were active last time you used Logic.

Logic's Native Audio Engine supports the following drivers and driver models:

  • PC AV: all Standard Windows driver models (MME, DirectSound) and EASI (Enhanced Audio Streaming Interface)
  • Audiowerk: Direct Support of the Emagic Audiowerk cardsDirect I/O: Direct Support of various Digidesign hardware
  • DS2416: Direct Support of the Yamaha DS2416 card (DSP Factory). This card uses an ASIO driver but can be switched on separately for support of the internal DSP.
  • ASIO: Audio Streaming Input Output: Standard driver model for various hardware
  • EASI: Enhanced Audio Streaming Interface: Standard driver model for various hardware


Realtime Sample Rate Conversion

Audio Drivers > Introduction > Realtime Sample Rate Conversion

When using the Native Audio Engine any Sample Rate (Audio > Sample Rate) available in Logic can be used - even if your audio hardware does not support the selected sample rate. Nothing is lost in the process. All internal processing in Logic including bouncing is performed at the originally set song sample rate (Audio > Sample Rate) and will be performed independently of the sample rates supported by the audio hardware. For playback Logic automatically uses the best matching sample rate supported by your hardware.

This facility allows you to work on projects originally created on high-end audio systems, with smaller setups.

- Example:
A song was created with an audio hardware/setup at 96kHz. Moving this project to a laptop, or setup that does not support the original project's sample rate, will commonly result in the wrong playback speed of the audio files. The realtime software sample rate conversion facility will counteract this effect, allowing correct playback of the project on the laptop, at any sample rate. You can start a Logic project in the studio continue on your laptop and return with the new material to the studio.

Note: The set song sample rate applies for recording as well. For example, if your audio hardware supports sample rates up to 48kHz but the song is set to 192kHz Logic will generate audio files at 192kHz. But be aware that generally the audio quality is not improved in the process. The quality of audio is still at 48kHz as determined by the recording hardware despite the fact that the information is stored in a large 192kHz file.

Note: Using higher audio sample rates often increases CPU load significantly.


Common Parameters

Audio Drivers > Native Audio Engine > Common Parameters

All common parameters are accessed in the Audio > Audio Hardware & Drivers window for each hardware individually.

Volume Smoothing [ms]

This parameter defines the length of the fade between two consecutive volume values for an audio track. When setting this value to 0 you might hear "zipper noise" when moving a volume fader during playback. Higher values soften the volume changes and eliminate the zipper noise.

64 Busses

To reduce system load Logic boots with 32 Busses. If you require more busses, set this setting to on. Please note: Logic does not add the additional bus objects in the Audio Mixer automatically.

Max. Number of Audiotracks

The Audio Engine requires free system memory, which is not assigned to Logic or any other application. The amount of memory needed depends on the maximum number of tracks to be played, and on the number of I/O channels supplied by the driver. This setting allows you to reduce the amount of memory used by the driver, by reducing the number of tracks. This may be sensible when you want to run other applications or drivers simultaneously.

Universal Track Mode

With Universal Track Mode engaged, you can play back adjacent stereo and mono regions on a single track. The even-numbered audio objects won't be regarded as the right channels of the odd -numbered stereo audio objects to their left, and every audio object has it's own mono/stereo switch. Depending on whether a mono or stereo region is played back, the pan knob will behave as a balance or pan control. If you play back a mono region and the pan is set to the center position, both channels of the audio object will output the same level. Please note that the Universal Track Mode has limited routing capabilities.

If the Universal Track Mode is not engaged, mono regions will be played back only on the left or right channel of stereo tracks. You can only route the signal to single bus objects. The Non-Universal Track Mode has the advantage of more routing capabilities, such as additional output sends. You can also route the signal to stereo sends and pairs of busses (stereo busses), if you switch Universal Track Mode off.

The Non-Universal Track Mode is useful if you want to play different mono files for left and right mono channels of one audio object, even when it is linked to be a stereo track. An inserted stereo/stereo plug-in on that stereo linked track receives different signals for left and right, which is useful for vocoder like plug-ins.

20/24 Bit Recording

With Logic Platinum, you can record 24 bit files when this setting is active. Please keep in mind that this only makes sense if you are actually using a 20 or 24 bit audio hardware. 20 or 24 Bit Recordings offer a significant improvements in the available dynamic range, however, they require high quality peripheral components.

Software Monitoring

With Software Monitoring engaged, monitoring is done by Logic. With "Software Monitoring" disengaged the audio card and its driver is responsible for monitoring. E.g., if your audio hardware supports ASIO 2.0 zero latency monitoring and you want to use this feature, disable "Software Monitoring". Please note, that Logic's Audio Input Objects are fully functional (e.g. use their inserts and bus sends for live effects) only with "Software Monitoring" enabled. With "Software Monitoring" disabled they will only deliver the monitor signal coming from the audio hardware/driver.

Process Buffer Range

This parameter determines the size of the native buffer used to compute mixers and effects. choose between Small, Medium, Large and Jumbo buffer sizes. Note: Larger buffer sizes will increase latency. Depending on CPU speed, buffer sizes that are too small might compromise realtime audio processing.

Max. Scrub Speed

Determines the maximum possible playback speed while scrubbing. (Normal, Double)

Scrub Response

Adjusts the way the scrub facility reacts to your mouse movements. (Slow, Normal, Fast, Faster)

Larger Disk Buffer

This option influences the amount of audio data that is read from the disk in advance. This option is switched off by default, matching the demands of fast hard drives and powerful computers. If you get frequent error messages while running Logic in this mode, you should switch this setting on, so that you can play back more tracks, achieving higher reliability. However, more RAM is needed in this case.

More friendly Disk Read Handling

Activate this setting when using other Audio drivers simultaneously, if you experience playback problems. This gives the other drivers more time for their disk access. The maximum number of audio tracks for this driver may be reduced when this option is enabled.


PC AV

Audio Drivers > Native Audio Engine > PC AV

The PC AV driver communicates with the audio hardware using the EASI protocol (Enhanced Audio Streaming Interface). There are two dedicated drivers called "EASI MME" and "EASI DS". These are accessible in the Driver parameter field in the PC AV area of the Audio Driver menu page. Any other installed EASI driver will also appear in this field. The button Control Panel allow you to make the necessary settings for the chosen driver.

EASI MME

- EASI MME Adapter
The EASI MME adapter allows you to configure the Windows MME drivers (Windows Multimedia Extension, also known as Wave Drivers), that are installed in your system, for the use with Logic.

If it is not possible to open the control panel of the MME EASI Adapter via the switch in Logic ( Audio > Hardware&Drivers >PC AV) you can quit Logic and open the EASI MME Adapter directly. Make the necessary changes and open Logic again.

- Layout of the Control Panel
The Control Panel consists of two sections. On the left hand side you find the MME driver list, on the right hand one the so-called configuration box. The driver list shows all current MME drivers in your system with their respective parameters. The configuration box shows the current configuration of the MME EASI adapter.

- The MME Driver List
This list shows all MME driver, that are available for the MME EASI Adapter. Should you miss a driver, please make sure that no other application is accessing this driver at the moment.

Each line shows the parameters of the individual MME drivers. On the left hand side you find a checkbox. When checked, the MME driver is included in the current configuration. Please keep in mind that the EASI MME Adapter checks whether the configuration is valid only when closing the Control Panel. Especially when using drivers of different hardware problems may occur. In this case Logic will not be able to initialize the MME EASI Adapter.

Close to the checkbox you will find an icon the shows whether the MME driver in question is a playback driver (green arrow) or a recording driver (red button) and how many channels the driver offers. On the right hand side of this section you will find the driver's name.

- The Configuration Box
This box contains all data of the current configuration. They show you how the MME EASI Adapter behaves in Logic. In the top area you can see the number of in- and outputs that are available in Logic when using the current configuration. To the right you can find the bit resolution that will be used for recording and playback.

Below these parameters you find a table that shows you exactly which bit resolutions and sample rates are supported by this configuration. Please keep in mind that the table may change when you activate or deactivate a driver in the driver list. To choose the bit resolution of the current configuration please click on one of the buttons '8 bit', '16 bit', '24 bit' and '32 bit'.

- Accepting or disregarding a configuration
On the far right you find the buttons Ok and Cancel. When clicking the Ok button the changes you have made will be transferred to Logic. Clicking Cancel restores the configuration that was used before opening the Control Panel.

- Advanced Options
On the right hand side you also see the Help and the Advanced... button. The Advanced... button opens another window offering further options for the current configuration.

On the left hand side you find the checkbox Full duplex. Here you can set, whether your hardware has full duplex capabilities or not. Full duplex means that you can record and playback simultaneously. The default it set to ON. Some older cards may not support the full duplex mode. Please refer to the manual of your audio hardware to find out more about you hardware capablities. If you card is not capable of running in 'Full duplex' mode this setting has to be switched off.

Below the Full duplex setting you find the checkbox Position smoothing. Some older cards deliver a rather inaccurate sample position. With the help of this setting you can smoothe the sample position and avoid problems with these older cards.

The third option on the left hand side - Open recording first - determines whether the input or the output driver is opened first. Some audio cards behave strangely, when the drivers are not opened in the correct order.

Below you will find the setting Playback always master. It determines from where the driver position will be taken during recording. If this option is switched on, the position of the playback driver will used even during recording. If switched off, the position of the recording driver will be used. This settings has no effect, when Full duplex is deactivated.

On the right hand side of the advanced options you find settings for the playback and recording delay. These settings allow you to adjust the MME adapter to inaccuracies of the audio timing should they occur.

The last parameter Latency allows you to set the driver latency. Small values offer short latency periods, both for changes of volume and plugin parameters as well as realtime playing of synthesizers plugins. However, the overall stability of the system may suffer when using values that are too small. Should you detect dropouts during playback or recording you should increase this value. Typical values lie between 80 and 250ms, the default setting is 200ms.

EASI Direct Sound Driver

The EASI DirectSound Driver Setup allows you to configure the DirectSound drivers installed in your system for the use with Logic.

The EASI DirectSound Driver Setup is very easy to use: Just select the appropriate DirectSound driver of your audio-hardware for the input and output. Finally you just have to adjust the buffer size.

- The Buffer Size
The combination of operating system, sound card drivers and audio hardware often results in time delays, which can affect Logic's response time in a negative way. This delay, also called latency, is system-inherent and cannot be fully avoided. The latency is fully dependant on the buffer size: the smaller the buffer size, the smaller is the latency; the bigger the buffer size, the greater the latency.

For example a small buffer size will result in better sounding playback of volume changes. But if buffer size is set too small, the computer and operating system might not be able to perform all tasks "in time", resulting in short dropouts and unwanted noises. As a rule of thumb one can say: faster computers and good audio hardware allow for smaller buffer sizes at stable system performance.

- Optimizing Buffer Size
The default settings of buffer size aim at stable and trouble-free system performance. However, if you are using a fast computer and good audio hardware, you can diminish the latency of your system by experimenting with the buffer size. The optimization of this parameter is not absolutely necessary to provide full functionality in Logic. Only experienced users should use this function, since wrong buffer size settings can cause problems during audio playback. So for proper optimization, it is necessary to find a good balance between low latency and safe audio playback performance.

Proceed as described below: Make sure that Logic is running stable. Take your time! Lower the buffer size one step. Go back to Logic and test the audio playback. If all audio is played backwithout problems, you can try to further diminish the latency value. Don't forget the previous value. If dropouts or other problems occur during audio playback, choose a higher latency value again.


Audiowerk

Audio Drivers > Native Audio Engine > Audiowerk

Input

Lets you switch between the analog and digital inputs of the Audiowerk cards.

I/O Buffer Size

This parameter governs the latency and the performance. A value of "1" is an ideal setting for good performance and reasonable fader response. Smaller values reduce the monitoring delay and the fader response time, but also reduce the number of audio tracks and the performance of plug-ins.


Direct I/O

Audio Drivers > Native Audio Engine > Direct I/O

Direct I/O allows you address Digidesign (TM) hardware that is not supported by Digidesign's own Audio Engine, the DAE, like Project II or the Digi001. Please make sure to install the Digidesign drivers recommend by Digidesign.

The additional settings, apart from the common parameters:

I/O Buffer Size

This parameter, which affects Direct I/O, governs the latency and the performance of the card. A value of "1" is an ideal setting for good performance and reasonable fader response. Smaller values reduce the monitoring delay and the fader response time, but also reduce the number of audio tracks and the performance of plug-ins.

The setting ".125" improves the latency for monitoring and for playing synth plug-ins thru MIDI. Please note: this small latency takes a bit of CPU performance, therefore it might be possible that you can't playback as many tracks as with larger I/O buffer sizes. The smallest value for Audiomedia III is "0.5".

Use 16 (or more) Ins & Outs

The Project II card allows you to use two audio interfaces, with 8 inputs and outputs each. If you have only one interface, please switch this setting off. This saves memory, and optimizes overall performance. You should only switch this setting on when actually using two interfaces or when using the SP/DIF I/O in addition to the analog ones.

Digidesign Hardware Setup

This buttons opens the hardware setup dialog of the Digidesign driver.


ASIO

Audio Drivers > Native Audio Engine > ASIO

ASIO (Audio Stream In/Out) is a common driver format to allow audio hardware and audio software (in this case Logic Platinum) to work together. An ASIO driver translates the input data of the hardware into a specific format, and transfers the data to the software (Logic Platinum), which receives it as recording data. In turn, the software (Logic Platinum) transmits the final mixed signals to the ASIO driver, which then transfers it to the hardware.

The ASIO driver is generally provided by the manufacturer of the audio hardware.

The additional settings, apart from the common parameters:

Driver

This is where you select the ASIO driver you would like to use.

Logic lists all ASIO drivers installed in the Windows operating system.

Control Panel

This switch allows you open the control panel of the active ASIO driver, if one is available. Whether or not this control panel exists depends on the manufacturer of the hardware being supported.

Clock Source

This setting allows you to use a digital clock source from an external device, if the hardware and the driver you are using supports this.

ASIO Buffer Delay

Some ASIO drivers give incorrect information regarding input and output delay. The difference from the actual value may vary between different versions of the driver, therefore it is necessary to allow changes of this setting.

Max. I/O Streams

This parameter is used to define a maximum of inputs and outputs. This is needed especially for the DS2416 card, which does not run with its 8 ins & 16 outs on slower machines. The default is set to 4 ins and 8 outs for the DS2416. For others it is set to Max, which means that you can use all ins and outs.

It's recommended that you switch off unused I/O channels in the driver (control panel), if you are using an ASIO driver that supplies one.


DS 2416 - DSP Factory

Audio Drivers > Native Audio Engine > DS 2416 - DSP Factory

The Yamaha DSP Factory Card is a special case because it has DSP (Digital Signal Processing) capabilities of its own, mixing and effects can be processed on the card instead of the CPU of the computer.

The card itself is addressed via the ASIO driver provided by Yamaha, but in order to make use of the card's DSP features you have switch on the DS2416 support in the Audio Drivers window.

It is possible to you both native Plug-Ins and the card's own effects simultanously, but please mind the following restriction:

The native plug-ins can only be used:

  • On tracks
  • Before the effects of the DS2416 card.

These restrictions have technical reasons (i.e. signals can only be routed once from the CPU to the card). If you insert a native plug-in after a DS2416 effect, Logic automatically moves the native plug-in before the first DS2416 effect.
The maximum number of inserts is four native plug-ins per track.

Hardware

The currently supported components of the Yamaha DSP Factory System include one DS2416 card and, optionally, up to two AX44 extension bays (4 analog ins and outs each) or an AX16T (2 x 8 ADAT Ins and Outs). Furthermore, Logic Platinum is also ready to support up to 8 channels of one SW1000XG soundcard and future I/O extensions whose specifications are yet unknown. In order to use the card, select Audio > Audio Hardware & Drivers and check DS 2416.

Feature Set

(If you use one DS2416 only)

Up to 16 audio tracks

24 channel digital mixing disk, including:

  • up to 4 channels for two stereo effect returns of the two internal multi-effect processors
  • up to 4 Input channels. Further inputs are only available with the AX44 hardware extensions and by sacrificing audio tracks (there is a total limit of 24 channels).
  • Variable output routing for the stereo sum and the 4 Aux sends. In addition, the two internal effects sends can be used in parallel. This results in a maximum of 6 individual Outputs.
Each of the 24 channels offers:
  • 4 Equalizer plug-ins (fully parametric, shelving)
  • Dynamics plug-in (Compressor, Limiter, Expander, Gate)
  • Channel Delay
In addition, the two effect return channels each offer:
  • One Multi-Effect plug-in (choose from a list of 40 algorithms)

Mixer

The mixer directly reflects the available DSP and routing of the DSP Factory, as long as you use the ASIO driver for the DS 2416 as the only driver. It is defined by the feature set of the hardware, and therefore is not completely variable. Please note that Logic does not utilize its own audio driver, but uses Yamaha's ASIO driver, and the real-time effects of the digital mixer integrated in the DSP Factory.

The default configuration of the mixer offers 16 audio tracks, 4 inputs (analog and digital input), two stereo effect returns and two stereo output objects (master fader) for the stereo analog and digital output of the DS 2416 card. The mixer offers 24 channels. Additional inputs always reduce the number of audio tracks.

- Fader
The faders have a different range than the faders which control other hardware: 0 dB equals the volume controller value 127. The value 90 equals -6dB. Unlike other audio drivers, the fader for the DSP Factory can only decrease the volume, but not increase it.

- Inserts
Each mixer channel holds up to 4 EQs, one dynamic module, one channel delay and one phase inverter.
EQs, dynamics modules, channel delay , and the phase inverter are used as inserts and can be controlled via plug-in windows. The actual signal path is not variable and goes like this: EQ-> Dynamics -> Delay

The plug-ins of the audio tracks are used-as is common-on playback. However, please note that effects on the input channels (i.e. channel 17 to 20 in the standard configuration) are also recorded. For unaffected recording you might want to set the inserts of the input channels to bypass. (ctrl -Click). On the other hand, it might be useful to directly record EQs and dynamics.

On the effect return channel, the internal multi-effects devices always use the first insert slot, but EQs and dynamics can be used in the following ones.

- Sends
Track channels (audio tracks) and input channels have up to 8 sends. The sends labeled "Effect 1" and "Effect 2" address the two internal effect busses.

In addition, the sends of the available outputs of the installed hardware can also be used; e.g. output 1-4, if one DS2416 card is installed (using an AX44/AX16 extends the choice to outputs 1-6). Please also refer to the following section on input/output routing.

As is common with Logic's fader, the effect sends are processed after the fader (post-fader) , but can be switched to pre-fader using the flip menu of the active sends.

Input/Output Routing

Located above the pan fader is the output routing for all 24 channels. This allows you to direct the output signal of a track to one of the outputs. The track channels ("Audio 1-16") also feature input routing; i.e. the ability to select from which input you would like to record.

The number of available inputs and outputs depends on whether you have only a DS2416 card installed, or whether you are also using the AX44 I/O box (or AX 16):

  • DS2416: 4 inputs and 4 outputs
  • DS2416 + AX44: 8 inputs and 6 outputs (the two additional outputs can only used parallel to the internal effect busses).
  • DS2416+AX16: 8 Inputs and 6 Outputs (2 more Outputs can be used in parallel with the internal effect busses; Recording busses are restricted to a maximum of 8 Inputs.
A second AX44 may be used but does not increase the number of outputs you can address simultaneously (max. 8)

- Default :

  • Input 1 = Channel 17 = Analog In L
  • Input 2 = Channel 18 = Analog In R
  • Input 3 = Channel 19 = Digital In L
  • Input 4 = Channel 20 = Digital In R
  • Both the Analog Out and the Digital Out are addressed by "Output 1-2".
  • The first AX44 (if installed) is addressed by "Output 3-4" and "Output 5-6".
  • The second AX44 (installed) mirrors effect sends 1 and 2 on its first output pair.
These default settings can be edited in the "DS2416 Routing" window.

DS2416 Routing

You can open this window with a key command or from the audio window Options > DS2416 Routing.The left half is a sort of digital patchbay for selecting the inputs of the mixer channels 1-24. The right half is basically a patchbay for the outputs of the hardware.

The input patches can be configured with certain limitations; e.g. the 4 inputs of the first AX44 can only by inserted on channels 17-20 (thereby sacrificing the inputs of the DS2416) or on channels 13-16 (thereby sacrificing 4 audio tracks). The inputs of the second AX44 can only be inserted on channels 9 to 12 (losing another 4 tracks). The 8 outputs of the SW1000XG soundcard ("Sub1-8") can only be inserted via channels 9-16 or 17-24.

- Routing Presets
The DS2416 Routing window allows you to save and open all settings as a setting file. After saving a setting, it can be accessed in the preset menu without having to open a file selector box. In order to do this Logic creates a folder named "DS2416 Settings" inside the Logic Platinum application folder.a


Automatic Conversion of Audio Configuration

Audio Drivers > Native Audio Engine > Automatic Conversion of Audio Configuration

If you load a song that has been created with, say, PC AV, running on a machine currently using ASIO (for instance), Logic will ask whether to switch from PC AV to ASIO. Thus, the song can be played back immediately, without reassigning all the audio objects used (tracks, busses, audio instruments) manually. The plug-in effects used will be recognized with all their settings.

The same is true when switching hardware: if you switch off PC AV, and switch on ASIO, using the "Try Relaunch" option, you will be also be prompted, whether you wish to convert the audio configuration of the current song or leave it as it is.

This functionality is available for all audio configurations using the Native Audio Engine and also works cross platform.


WavePlayer

Audio Drivers > WavePlayer

You can choose the Playback driver for the Wave Player" in the Audio Driver window. All suitable drivers installed in your system a displayed in the flip menu list.


Setup

Audio Drivers > Roland VS Support > Setup

Logic Platinum supports the following devices of the VS product range by Roland.

  • VS-880
  • VS-880EX
  • VS-1680

The combination of Logic Platinum and a Roland VS can't be compared with conventional audio hardware. An advantage of the Roland VS is that it can be used as a standalone system.

Please don't assume that the Roland VS-Series as an alternative to other audio hardware for Logic-this wouldn't be fair on the successful VS series or Logic. Logic's VS implementation intended to facilitate the cooperation between musicians working with both systems, and for transferring home-recorded pre productions into a professional studio environments.

MIDI Cabling

For Logic Platinum to communicate with the VS, both MIDI in and out must be connected.

  • Connect the MIDI out of VS to the MIDI in of your MIDI interface.
  • Connect the MIDI out of your interface to the MIDI in of your VS unit.

MIDI Settings on Your VS

- SysEx Communication
Power up your VS, and after it launches and initializes, make sure that:

  • SysEx Transmit is set to ON (SysEx.Tx = On) and
  • SysEx Receive is set to ON (SysEx.Rx = On).

You access these parameters via "System" then "MIDI" on your Roland VS. Use the "Parameter" keys to select the settings, and the dial to adjust them. Refer to the users manual of your VS, if you can't find these parameters.

The VS stores these settings with each song. This means that when changing to a different song in the VS, you may have to check the above again.

- MTC & MMC Parameters of the VS
The VS and Logic are synchronized via MTC (MIDI Time Code).

  • Set the VS to be MMC slave. (MMC = Slave)
  • Set the VS to transmit MTC (Gen. = MTC).

This parameter is accessed under Sync/Tempo.

Logic Settings

Start Logic. Select Audio > Audio Hardware and Drivers. Choose VS and select your Roland VS unit from the list.

If Logic can't find a VS unit you will see a warning message. In this situation, please re-verify the MIDI settings on the VS.

- MIDI Machine Control (MMC)
In the main menu, select File > New. Set Logic to transmit MMC commands. In order to do so, click-hold the Sync button on the Transport window, and check MIDI Machine Control (MMC).

If you wish, you can save this newly created song, along with any other desired settings. If you save it with the name "Autoload" in the Logic folder, Logic Platinum will automatically open this song when launching.

Tempo Changes on the VS

Never change the song tempo in Logic, as this will probably cause the regions to be played out of sync. Do not use Logic's Tempo List or other tempo functions! Any desired tempo changes should be made on the VS unit. Logic always reads the tempo exclusively from the VS.


Playlist

Audio Drivers > Roland VS Support > Playlist

When an existing song is loaded, the VS audio regions found in this Logic song are deleted, and the Arrange will display nothing on the audio tracks. This is normal, as the playlist is always stored in the VS unit itself.

Retrieving the Current VS Playlist

Define a key command for the retrieve-playlist function. This only needs to be done once, and Logic will remember it:

  • Open the Key Commands window from the global Windows menu.
  • Click Find and type "VS" (without the "").
  • You should see the Get complete playlist from VS key command.
  • Click on it.
  • Enable Learn Key.
  • Define whatever key you want by pressing it once.
  • Close the Key Commands window.

This Key Command works when the Arrange window is the top window. When you press the defined key, the VS will be asked to send its playlist to Logic.

When you press your defined key, Logic Platinum will request the following from the VS:

  • The tempo or tempo list of the currently selected song in the VS;
  • The frame rate of the currently selected song in the VS;
  • The whole playlist of the currently selected song in the VS. Logic will read the playlist of all 8 (or 16 with a VS-1680) tracks of the currently set V-Tracks.

This will take a while. After this is done, you should see all VS tracks in the Arrange window.


Waveform Overview

Audio Drivers > Roland VS Support > Waveform Overview

You will now notice a small window labeled "Creating overview". It may take a while to finish this for all audio tracks, depending on the length of your VS song. Creating the overviews for an "average" song takes around 10 minutes.

You may continue working while Logic is still requesting the overviews. Logic automatically stops reading them when you start playback, and continues reading when you stop playback.

The rate at which the overview data can be transferred is determined by factors outside of Logic's control.

The overviews are saved on your computer's hard drive after they have been completely read. This means that when you load this VS song into Logic in the future, the overviews do not have to be recreated. Logic creates a directory called "(VS-Files)" on the partition of your hard drive where the Operating System folder is located. A folder within this directory for each VS song is created. Logic manages this folder automatically.

Refresh Overviews

If you later find that overview data stored on the hard drive does not match what you hear when playing:

  • In the main menu, select Windows > Open Audio.
  • Select the track files you wish recreate the overview(s) for.
  • In the Audio Window, select File > Refresh overview(s).

The overviews may be displayed incorrectly if you work on the VS without Logic, and later work with Logic. There is no way for Logic to know what has changed in such cases, unless you subsequently refresh the overviews.


Editing in the Arrange

Audio Drivers > Roland VS Support > Editing in the Arrange

Editing works on a Cut/Copy/Paste principle.

The following is possible:

  • Moving a region (simply click-hold and move),
  • Copying a region - click-hold and move while holding ctrl respectively.

Performing any of the above edits will automatically send a command via MIDI to the VS, which will then perform the operation. Please note that editing multiple regions simultaneously will take some time to complete in the VS. A small window will show the status of the edit with a progress bar.

If you initiate too many commands at once you may hit the Get complete playlist Key Command to abort. The commands not yet completed are skipped, and those already completed are reflected after the playlist is loaded.

The following operations are not possible:

  • Changing the length of a region;
  • Grabbing the left or the right corner of a region to change its start or end point.

If you move a region in the Arrange window so that it overlaps another region, the overlapping data from the end of the earlier region will be removed. This cannot be subsequently undone. If you accidentally do this, and wish to recover, the only recourse would be to reload the playlist from the VS. This would, of course, discard any other changes made in Logic since the song was last saved on the VS.

The same applies if you copy a region so that it overlaps another region. The VS does not offer realtime non-destructive file/region based editing: What is gone is gone, so be careful when editing. The following cannot be undone in Logic:

It is not possible to delete a region and to undo this. The only way to get it back is to re-load the song in the VS and perform the Get complete Playlist function in Logic again.

It's highly recommended that you undo audio editing mistakes directly on the Roland VS unit, rather than in Logic. Use the Get complete Playlist function after the undo operation.


Other Functions

Audio Drivers > Roland VS Support > Other Functions

Saving Changes in the VS

Unless you save the song in the VS, the changes are not stored. You can go back to the previous status by reloading the song in the VS and selecting Get complete Playlist from VS in Logic again.

The song in the VS can not be saved by Logic remotely, it can be done from the VS' front panel only.

Saving Changes to the Overview Files

When you select Get the current playlist and you have made edits in the Arrange window, Logic will ask you to save the overview data which also has changed. You should respond with:

  • Yes, when you are also saving the song in the VS.
  • No, when you have reloaded a previously saved version of your VS song into the VS.
  • No, when you have loaded a different song into the VS and you have NOT previously saved the changed song in the VS.

Changing a Song in the VS

After changing a song in the VS, you will need to Get the complete Playlist from the VS before making any kind of changes to the arrangement inside Logic.

Effects Control from Logic

In the Track Mixer, accessed via Windows > Open Mixer, you'll find two return objects, called Effect 1 and Effect 2. Below the Inserts text on the channel strips, you will see a blue field. This field allows you to select one of the effects available in the VS effect processors.

Click-hold to select the effect from a list. Once the desired effect is selected, double-click the blue insert panel to open an edit window for the effect's parameters. Each audio channel strip has two Sends (Eff1 and Eff 2, both of them 'post fader'), which define the amount of effect added to each of the channels.

V-Tracks

Logic always reads the playlist from the currently active V-Track in the VS. When you want to see, hear and edit a different V-Track, set this in the VS and get the playlist again.

The Regions are named in this manner: "TrackA1-1" for Bank A, Track 1 and V-Track 1; "TrackA4-7" for Bank A, Track 4 and V-Track 7.

V-Track Banks (VS-880EX only)

Currently, only Bank A is read by Logic.


Elements of the Sample Edit Window

Sample Edit Window > Introduction > Elements of the Sample Edit Window

  • The small waveform display at the top is the overview; the entire audio file is depicted here.
  • The dotted frame in the overview shows the extent of the section visible in the display area.
  • The parameter box in the upper left corner below the overview shows the start point and length of the selected area.
  • When the Catch ("walking man" symbol) button is activated, it insures that the playback position is always visible in the window. The other controls operate as in the Audio window.
  • In the center is the main contents of the Sample Edit window: the detailed waveform display.
  • Left of the detailed waveform display is the Amplitude Scale (readings as percentage, or 16-bit decimal values).
  • The dotted line in the waveform and overview display is the Playback position line.
  • The zoom fields are used to set the magnification used on the detailed waveform display.
  • The horizontal time ruler above the detailed waveform displays the name of the edited region at the top left.
  • Beneath that is the time position in the audio file, in various formats.


Waveform Overview

Sample Edit Window > Display > Waveform Overview

Between the Sample Edit window's title strip and Bar Ruler is the "Overview". This display always shows the full length of the currently selected audio file, regardless of the zoom resolution set by the zoom bars. Please note that no idea of scale is given in the overview; a kick drum sample lasting 0.3 seconds could take up the same space here as a choral passage lasting 15 minutes.

During playback, the current position is indicated by a vertical line, moving in real time. This is visible in both the overview and the detailed waveform display.

The current selection is also displayed in the overview.

The section visible in the detailed waveform display is shown in the overview as a dotted rectangle.

Functions in the Overview

  • A short mouse click on the overview brings the area clicked on into the detailed waveform display.
  • A long click with the mouse resumes playback from this position. Releasing the mouse button halts playback once more.
  • Double-clicking lets you listen to the sample from the position clicked.


Window Functions

Sample Edit Window > Display > Window Functions

The Catch and Link functions work in pretty much the same way as in the other edit windows.

Catch Mode

Catch mode insures that the Sample Edit window always displays the area around the current playback position (whether you are playing the song, or monitoring the sample). Catch is turned on and off either by clicking the switch with the "walking man" symbol on it, or with the key command.

Link Mode

Link mode insures that any audio sequences selected in the Arrange window are displayed in the Sample Edit window. Link mode is turned off and on by clicking the switch marked with the "linked chain" symbol, or with the key command.

If you often work in Link mode, give this a try: open a Sample Edit window and switch on Link mode. Now close the window. Logic now leaves Link mode permanently on.

Double-click on the audio region you wish to view. You can see immediately that the display in both windows is linked.


The Detailed Waveform Display

Sample Edit Window > Display > The Detailed Waveform Display

Display Scale

- Zoom
The zooming with the zoom bars works as described in the section Zooming in the sample editor as well.

- The Zoom Tool
Just as in the other windows, there is a zoom tool in the Sample Edit window toolbox (the magnifying glass). If you use this tool to draw a rectangle, the selected area of the window will be magnified so that it fills the whole screen. You can also repeat the action. Clicking the mouse once (with the tool) returns you to the previous zoom resolution.

If you right-click the zoom bars with the mouse, you can alter the vertical and horizontal zoom simultaneously.

X- and Y-Axes Scales

The Y-axis has a vertical scale showing the waveform amplitude in percentage units (obtained by selecting View > Amplitude Percentage). On the other hand, if you select View > Amplitude Sample Value, the scale will be displayed in sample units.
The X-axis (the time ruler) shows the course of the audio file over time. You can select various units for this scale by using the View menu.
Don't forget that this display format also affects the figures shown in the Info Line, and the selection parameter field:

- View > Samples
Displays the sample word number from the beginning of the song or audio file.

- View > Min:Sec:Ms
Gives the scale in Hours:Minutes:Seconds:Milliseconds, from the beginning of the song or audio file.

- View > SMPTE Time
Gives the scale in SMPTE time (in Hours:Minutes:Seconds: Frames). The time scale begins at the song start, with the SMPTE offset. When you use this scale, the absolute SMPTE value of the source clock is shown on the X-axis.

- View > Bars/Beats...
Gives the scale in Bars, Beats, Divisions and Ticks, like the bar ruler in the other time-related windows. The "Zero point" is represented by "1 1 1 1", but lengths are measured from "0 0 0 0".

Absolute and Relative Time

The different axis scales in the Sample Edit window can be displayed on the basis of one of two different reference values:

  • by reference to the time axis of the song (absolute position)
  • by reference to the beginning of the audio file (relative position).

- Relative Position
The units in the time axis (between the Overview and the waveform display) will be displayed with dotted lines when it is displaying the Relative Position.You will be in this mode if you open the Sample Editor from the Audio window, or if the Sample Editor is in Link mode, and you select a region in the Audio window.
The beginning the section is automatically assigned the value zero, or in Bar/Beat terms, "1 1 1 1".
This does not necessarily match the actual song position. The calculation of all remaining musical sections is then done using the current song tempo.

- Absolute Position
You can recognize this format by the broken line below the units in the time axis. There will be a broken line below the units in the time axis, when it is displaying the Absolute Position. You will be in this mode if you open the Sample Editor from the Arrange window, or if the Sample Editor is in Link mode, and you select a region in the Arrange window.

Time is measured from the start of the Song, which is given the value zero (or 1 1 1 1 in Bar/Beat terms). In this instance, the time axis shows the absolute (song) time, and the figures do not refer to the audio file.

Display Waveform as Sample Bits

At high magnification on the detailed waveform display, you can switch from the usual representation of the waveform, to one that shows the structure of the digital data you have recorded. You do this by selecting View > Show as Sample & Hold. This way of displaying the waveform can be useful, for example, when eliminating clicks and pops from your recordings.

Thanks to the clever use of oversampling techniques and low-pass filters at the D/A conversion stage, the stored sample bits (on the right) are ultimately converted into a signal waveform more like the one shown on the left.


Monitoring Sample Playback

Sample Edit Window > The Sample Edit Window in Use > Monitoring Sample Playback

Monitoring Sample Playback

There are various ways of playing back the sections of audio visible in the Sample Edit window, making it possible to hear audio as you edit it. Playback occurs independently of the position of the sequencer in a Song. If, on the other hand, you'd like to hear the selected audio passage in the context of the whole song, you'll have to use the Transport controls as usual.

- Selecting the Audio Output
The small boxes under the loudspeaker symbol allow you to select the hardware and output channel to be used for monitoring.

Set the number of the output you want to use in the Cha box under the loudspeaker symbol. Use the Dev box just below it to choose between different kinds of hardware, if you have more than one type installed (if you do not, this switch will not appear.).

Playback from the Overview

Monitoring playback from the overview display is carried out in exactly the same way as with regions in the Audio window. Simply click-hold the mouse at the point at which you wish to begin playback. Releasing the mouse causes playback to stop. You can also start monitoring from any position by double-clicking there.

Playing the Whole Audio File

The key command Play/Stop All allows you to play back a whole file, regardless of the current selection.

Playing the Current Selection

To play back the current selection, click on the loudspeaker switch. You can also perform this function with the key command Play/Stop Selection.

Playback from a Certain Position

If you double-click at any point on the time axis, the audio file will play back from this point, to the end of the current selection. If you double-click on a point beyond the selected area, the audio file will play right to its end.

Checking the Position of the Anchor

With these two key commands, you can check the position of the region anchor, by listening to the part before, or past the anchor. These key commands are: Play/Stop Region to Anchor and Play/Stop Region from Anchor.

Cycle Playback Mode

On the left-hand side of the Sample Edit window, just above the Loudspeaker button, is the Cycle button. If you turn this on, the currently selected section of audio will cycle continually when Sample Edit window playback is engaged.

You can change the start and end points of the selected area, while monitoring it in cycle playback mode. In this way, you could edit the start and end points of (say) a drum loop, until it loops perfectly. When you're satisfied, you make the selection into a new region with the function Edit > Selection >Region.

Playing Regions

In general, you can only play currently selected parts of files from within the Sample Edit window. But there is a key command which toggles between playback of the whole region and stop-no matter what the selection is. This key command can be found under the name Start/Stop Region.

When you open the Sample Editor by double-clicking an audio region, this region will automatically be selected in the Sample Editor. The same thing happens when you click a region, while the Sample Editor is in Link mode.

Scrubbing

Click on the time axis and hold down the mouse button. If you now move the mouse, the recording should play back, following the speed and position of the mouse.


GoTo Commands

Sample Edit Window > The Sample Edit Window in Use > GoTo Commands

You use the scroll bars along the bottom and right edges of the Sample Edit window, to scroll through the detailed waveform display in the usual way.

However, if you're trying to reach one of the following points in the audio file, some of the keyboard short-cuts shown below should be of use to you. You can define your own keys for these commands from the Key Commands window, if you wish.

These commands bring the required point to the center of the screen.

  • Goto Selection Start
  • Goto Selection End
  • Goto Region Start
  • Goto Region End
  • Goto Region Anchor


Making Selections

Sample Edit Window > The Sample Edit Window in Use > Making Selections

Selecting the Whole Audio File

You can select the entire audio file with the function Edit > Select All, or the key command ctrl A .

Manual Selection

To select a particular section of an audio file, click on the start or end of the area you want to select, hold down the mouse button, and move the mouse to the right or left.

To Change the Boundaries of a Selection

By clicking on a selection while holding down the shift key, you can change its existing start and end points at any time. Whether you change the start point or end point by doing this, is determined entirely by whether the point you clicked on was nearer to the start or end of the selection. The closest one wins...

- Changing the Further Selection Limit
If you hold down ctrl shift , the more distant selection boundary is changed (rather than the nearer).

Moving a Selection

If you hold down ctrl , you can shift the whole selection, without changing its length.

The Selection Parameter Box

The start point and length of the current selection are shown in the selection parameter box at all times. The format depends on the display setting in the View menu.

While performing a selection the start point and the length are display in a separate info line. The format is sample words.


The Relationship between Selections and Regions

Sample Edit Window > The Sample Edit Window in Use > The Relationship between Selections and Regions

When you open the Sample Edit window by double-clicking on a region, the Sample Edit waveform display will open with the entire region selected. Changing the selection has no direct effect on the borders of the actual audio region. The playback monitor only plays back the current selection.

Logic offers two functions that govern the interaction between selections and audio regions. These will allow you to create and edit regions with the minimum of fuss.

Selecting the Region

By selecting Edit > Region -> Selection, you select the entire region currently in the Sample Edit window. The current region is the one selected in the Audio window (or the region belonging to the audio sequence selected in the Arrange window).
This function is useful if, for example, after editing it in various ways, you want to select the whole region again, so that you can put it into Cycle Playback Mode.

Turning a Selection into a Region

If you wish to make your current selection into an audio region, select Edit > Selection -> Region. In this way, you can take an audio passage, define it as a selection, and then convert it to a region, in place of the original region you selected.

Creating New Regions

To define a new region from an area you've just selected, select Edit > Create New Region. You can define this function as a key command.

Editing Regions in the Sample Editor

If accuracy is what you need, you should edit the start and end points of regions in the Sample Edit window, not the Audio window.
The same goes for any adjustments you make to the anchor, which in many cases should really be placed on the amplitude peaks, rather than at the start of the attack phase of the sound. A good example would be recordings of brass instruments, which may take some time to build to a peak. By moving the anchor to these peaks, the region will snap to the grid in your arrangement, using the anchor as the pivot point. The flexible zoom settings allow you to be as precise as you like, going right down to the level of single bits, at the highest magnification.

Be Careful! Any changes to the position of the Anchor point will change the relative position of that audio region in the song. Since the region start is the default position for the anchor you must also take care when changing a region's start point.

The small markers on the lower edge of the waveform display allow you direct access to the boundaries of the region and the anchor. As usual, you can just grab them, and pull.

  • S = Region Start
  • E = Region End
  • Triangle= Anchor

Protecting the Anchor point

If you move the start or end points of a region past the anchor point, the anchor point will also move. This is quite often not what you want to happen.

Holding down the ctrl key while you move the start or end markers of a piece of audio prevents the anchor from moving. Keep in mind though, that the anchor can never be to the left of the start point of its region, so it will move, if you drag the start of the region past the anchor to the right, even with ctrl pressed.


Search Zero Crossings

Sample Edit Window > The Sample Edit Window in Use > Search Zero Crossings

If this editing option is switched on, Logic will search for the nearest point where the waveform crosses the zero amplitude axis, whenever the start or end points of a selection are changed, to avoid glitches in playback. The program looks before the start point, and beyond the end point.


Drawing Waveforms with the Pencil

Sample Edit Window > The Sample Edit Window in Use > Drawing Waveforms with the Pencil

Using the pencil tool, clicks and pops or clipping can be corrected, by manually drawing in the waveform. The edges of drawn-in waveform sections will be automatically smoothed.

As long as the mouse button is held, the drawn in waveform can be replaced by the original by moving the mouse back.

When the ctrl -key is pressed, the drawn-in changes will be effective on both stereo channels.


Editing Commands

Sample Edit Window > The Sample Edit Window in Use > Editing Commands

Like the other windows, the Sample Edit window features the usual edit commands Cut, Copy, Paste, Clear, and Undo under its Edit menu (or from the keyboard).

In the Sample Edit window all these commands (except Copy) change the data on the audio files itself; in other words, they behave destructively. Consequently, they can only be reversed using the "Undo" command immediately after the editing operation.

Cut

Cuts a selected passage out of an audio file, and copies it to the Clipboard. All the following sections of audio move forward to fill the gap.

Copy

Copies a selected passage to the Clipboard, leaving the selected area in its original location.

Paste

Inserts the contents of the Clipboard at the cursor position, or start point of the selection. If there is no selection available, the cursor acts as the paste point (it is shown as a thin dotted line). If audio data is present behind the paste point, it is moved back to make room for the Clipboard contents. If anything is selected at the time of the paste, it is deleted and replaced by the Clipboard contents.

Clear

Erases the selection without placing it in the clipboard. All data beyond the deleted passage is pulled forward to fill the gap.

Undo

Cancels the last edit command used, and reverses its effect. This also works with the destructive editing commands.

Remember that the Undo function in the Sample Editor operates separately from the rest of the program. This allows you to try out the edit in the Arrangement. If you don't like it you can go back to the Sample Editor, and reverse the edit using the Undo function.

Space is reserved on the hard disk for armed tracks, which is not available for undo files. Logic therefore automatically switches off record-ready status for audio tracks, if the disk is nearly full, and this would make an edit possible in the Sample Editor.


Backup Copies

Sample Edit Window > The Sample Edit Window in Use > Backup Copies

Automatic Backups

Before you carry out a destructive edit on an audio file in the Sample Editor, Logic will ask you if you wish to make a backup copy of the file you're working on, unless one exists already.

The No Dialog button ensures that this question will not be asked again, while you are editing in the current window.
You can even turn off the dialog altogether on the page Audio > Audio Preferences. In this case, you will be asked only when the program is first loaded, and when you carry out your first edit. You can reply as follows:

- Process
No backup is made and the edit goes ahead. You won't be asked the question again until the next time you launch Logic.

- Cancel
Stops the Edit.

- Preferences
Opens the Audio Preferences window and gives you the chance to reinstate the Backup dialog box, so that it appears every time you go to make a destructive edit.

Manual Backups

You can make manual backups of the file you're editing, or replace it with a backup version at any time you like-and you can do it from the Sample Edit window with a variety of functions:

- Audio File > Create Backup
Creates a duplicate of the audio file you're working on (with the extension ".DAV" or ".DIV"), and places it in the same folder, on the same level.

- Audio File > Revert to Backup
This function completely replaces the current audio file with the backup (provided one exists, of course). A warning message informs you of the creation date of the backup file, before the current file is replaced.

You cannot reverse this function with Undo.

- Audio File > Save A Copy As...
Copies the current audio file to the location of your choice.

- Audio File > Save Selection As...
Saves the current selection as an independent audio file . After it has been saved, you can choose whether you wish to bring the file into the Audio window.
An interleaved stereo file is created when the source file is an interleaved stereo file.


Update Arrange Position

Sample Edit Window > The Sample Edit Window in Use > Update Arrange Position

When Edit > Update Arrange Postion is engaged, a drag of the region start in the Sample Editor also affects the position(s) of the region in the Arrange window, provided that the anchor is dragged as well. This ensures that the position of a given audio region stays at the same place in the arrangement. When moving the region startpoint back, the remaining portion of the region will start playback at a later position.

Such edits have always been possible with Logic-but you needed to grab the start of the region in the Arrange window. With Update Arrange Postion switched on, you can make these edits more precisely in the Sample Editor, without changing the position of audio in the Arrange window. This is provided that the region start and anchor are set to the beginning of the audio file (so that a dragging of the region startpoint also drags the anchor).

This is the most common scenario: Anchor and region start are always at the beginning of the audio file, whenever you record audio or add any audio file. Moving the region start also moves the anchor, since the anchor can not be before the start of the regions start position.

  • If Update Arrange Postion is engaged, moving the anchor won't change the audible result. The movement of the anchor in the Sample Editor and the new position in the Arrange auto-compensate. Moving the region start in the Sample Editor will lead to the same result as dragging the region startpoint in the Arrange window. This is the default setting.
  • If Update Arrange Postion is disabled, a movement of the anchor changes the position of audio regions in the Arrange window.


Functions

Sample Edit Window > Functions

This section describes various useful functions available in the Sample Edit window, for polishing audio recordings. You can use these to add the finishing touches to your work.

Each of the commands affects only the currently selected audio. If you want to use them to alter the whole audio file, you have to use the Select All function beforehand.

All of the functions described in this section are destructive, so they change files stored on your hard drive. You can use the Undo function-but only until you make another destructive edit. So you could, for example, change the start and end points of the selected audio in between destructive edits, without losing your undo facility.

Since the Undo function in the Sample Editor works independently of the rest of the program, you can try out an edit in the Arrangement and make changes there. As soon as you open the Sample Editor again (or bring it into the foreground), the Undo function is available for the last destructive sample edit.

Before these functions are executed, you are asked to confirm them as a safety measure. This confirmation dialog box can be turned off by selecting Audio > Audio Preferences > Warning before process Function in Sample Edit (Menu).


Normalize

Sample Edit Window > Functions > Normalize

Normalization is the process by which the maximum level of a digital signal is raised to a certain amount-typically to its highest possible level, without introducing distortion. Normalizing is activated in Logic by selecting Functions > Normalize.

This is done in the following way; Logic finds the point with the highest volume (-xdB) in the currently selected audio, and determines how far this is from the maximum possible level. The level of the whole selection is then raised by this amount. The dynamic balance of the audio passage remains unaltered-it merely gets louder.

Under Functions > Settings you can select the desired maximum level in percent and decibels. It might be useful not to select 100 % (0 dB), for instance if you want to increase the gain of the overall signal afterwards, say with an EQ. This might result in clipping, if you set the normalize level too high.

These settings are automatically stored in the Preferences when quitting Logic and therefore apply to all songs.

The start and end points for the section being normalized should generally not fall within a continuous section of audio, as this will result in abrupt increases in volume after normalization. The start and end points should therefore be located in sections that also contain pauses. Occasionally, you should remove any unwanted, audible noises that fall in gaps in the music with the aid of the "Silence" function.


Change Gain

Sample Edit Window > Functions > Change Gain

You can use Functions > Change Gain to raise or lower the level of a passage of audio by a specific amount.

A dialog box appears, in which you can set the required level change in percent (Change relative:) or decibels.

If you click on Search Maximum, the highest peak level is determined and the value is then calculated that would be used to normalize the audio file.

The value results in absolute: displays the maximum level that would be achieved by changing the gain by the amount shown in the Change relative: box.

You should never make a gain change that results in a value over 100%, as this would create digital clipping.

The gain change is effected by clicking Change (or Enter ).


Fade In/Out

Sample Edit Window > Functions > Fade In/Out

Fade In

You use Functions > Fade In to create a fade in. You set up the period of time over which the fade-in will occur with the help of the currently selected audio. Volume is set to zero at the left start point of the selection, and the fade-in occurs over the length of the selection.

Fade Out

Functions > Fade Out works in the same way as Fade In, except that the fade works in the opposite direction. This lets you fade passages out automatically. this function is destructive.

If you use the Silence function to remove unwanted background noise from silent passages, small jumps in volume can sometimes appear at the start and end points of selections, as well as on the flanks of the audio signal. In this case, select only a small area (e.g. within and just in front of the flank of the signal) and then use the "Fade-in" function.

Fade Settings

Under Functions > Settings you can adjust the curve of the fade. Positive or negative values determine the shape of the curve. The checkbox on the left allows you to create s-shaped curves.

These settings are automatically stored in the Preferences when quitting Logic and therefore apply to all songs.

Non-destructive alternatives

Common fades (like the typical fade-out at the end of a track) can also be achieved with the mixers, or with Hyper Draw. The crossfade tool in the Arrange window also offers a very flexible, non-destructive fade option.


Silence

Sample Edit Window > Functions > Silence

You use Functions > Silence to remove all data from a selected area. The waveform material contained in the selected audio passage and the corresponding amplitude values are all set to zero. You can use this function to silence unwanted background noise in quiet passages.


Invert / Revert

Sample Edit Window > Functions > Invert / Revert

Invert

Functions > Invert completely reverses the phase of all the currently-selected audio material. All negative amplitude values become positive, and vice versa. While this doesn't change the file audibly, if it is heard in isolation, you can use Invert to correct phase cancellation errors, particularly if you're mixing down to mono. This is particularly valuable when several out of tune signals (or several signals processed with chorus pedals), are to be mixed down to mono together. The effect depends on the audio material.

You can also use the Invert function to decode MS recordings. But it is easier to use the plug-in DirMixer for this.

Reverse

You reverse the selected audio passage by selecting Functions > Reverse.


Trim

Sample Edit Window > Functions > Trim

By selecting Functions > Trim, you can erase all the regions that aren't selected. Use "Trim" to remove unimportant passages from the start and end of your Audio Files.

Make sure that the areas you are about to delete do not contain any regions which you may need. Regions outside the selection will be lost, and regions which are partly outside will be shortened. If any such regions are being used in the Arrange, an alert box appears, giving you the option of cancelling the trim function.


Remove DC Offset

Sample Edit Window > Functions > Remove DC Offset

When using poorly constructed audio hardware, direct current (DC) can be undesirably layered over the audio signal. This results in a vertical shift in the waveform position, which can be clearly seen in the Sample Editor.

During playback, this can cause crackling sounds at the start and end of the audio region.

With Functions > Remove DC Offset it is possible to center the waveform around the zero amplitude line, to avoid crackling at cut points.


Search Peak/Silence

Sample Edit Window > Functions > Search Peak/Silence

Search Peak

When you select Functions > Search Peak, the currently selected audio is searched for the sample bit with the greatest amplitude value. The cursor in the waveform display is then placed on this bit.

Search Silence

When Functions > Search Silence is chosen, the selected audio is searched for sections containing silence ("digital zero"). The cursor is then placed at the start of the first section found that fits this description.


Adjust tempo...

Sample Edit Window > Functions > Adjust tempo...

Just like the Automatic Tempo Matching in the Arrange Window, the function Adjust Tempo by Selection & Locators allows you to adjust the song tempo according to the current locator setting and the current selection in the Sample Edit Window.

The operation is similar to the Arrange function; it only refers to the selection in the Sample Edit Window instead of the region length.


Loop Functions

Sample Edit Window > Functions > Loop Functions

The functions Loop -> Selection, Selection -> Loop and Write Loop to audiofile are functions for the Emagic Software Sampler EXS24. Please refer to the separate documentation of the EXS24.


Operation

Sample Edit Window > Digital Factory(TM) > Operation

The functions of the Digital Factory™ are available from the Factory menu in the Sample Edit window.

  • Open the Sample Edit window by double-clicking an audio sequence in the Arrange window, or a region in the Audio window (or for a selected audio sequence/region by pressing ctrl 0).

This selects the region to be edited.

  • Or: select the area to be edited.
  • Or: press ctrl A, to edit the whole audio file.

The functions always affect the selected area.

  • Select Factory > ...
  • Make the desired settings in the float window that appears.

With some Digital Factory functions, you can use the Prelisten button to get a rough idea of the expected result. (Not available for all digital audio hardware.).

  • You can start playback if you wish to. Even though the functions alter the data in the audio file, they can still be applied while the file is playing.
  • Click the edit button at the bottom (e.g. Process & Paste).

The label on the edit button varies, depending on the function.

The bottom line of the Main Program window keeps you informed about the functions progress.

The selected area of the audio file is replaced by the edited audio material.

Options

  • By selecting Edit > Undo (or ctrl Z ), you can compare the edit with the original whenever you want. In the meantime you can work in the Arrange window, because the Undo function of the Sample Edit window operates independently of the rest of the program.
  • You can repeat the edit with other regions or audio files, without having to close the chosen Factory "Functions" window and reopen it . The function will always be carried out on the selected material.
  • You can also use the flip menu at the top edge of the window to switch directly between the individual functions of every section of the Digital Factory. The two sides of the Factory menu (separated by a horizontal line) divide the Digital Factory into "Machines" (large float window) and "Functions" (small float window).

If you are playing your song (using MIDI and audio data) while you are editing the audio material, owners of slower computers may experience slightly "jerky" playback of the audio material, although the MIDI playback will continue to function correctly. The editing time also increases slightly, if the song is playing.


Time & Pitch Machine

Sample Edit Window > Digital Factory(TM) > Time & Pitch Machine

The Time Machine allows you to radically alter the time structure of audio files, including time compression/expansion, and pitch transposition. When changing the pitch, you have the additional opportunity to correct the alteration of the formants. Pitch shifting without formant correction causes a phenomenon commonly known as the "Mickey Mouse" effect.

Overview of the features of the Time & Pitch Machine:

  • Time compression or expansion without transposition,
  • Pitch transposition with or without altering the length and tempo,
  • Correction or alteration of the timbre (sonic character),
  • any combination of these functions.
  • Consider the Time Machine to be a universal tool for the control of pitch, and tempo, and the sonic character of digital recordings. Each of these parameters can be addressed independently. The current settings are visually represented by the position of a ball in a 23-dimensional graphic display, where the axes are time, and pitch, and timbre (sonic character).

Opening the Time & Pitch Machine

To open the Time Machine, select
Factory > Time & Pitch Machine.

Parameters

Most of the parameters are mutually dependent; you don't need to enter them all to get a good result. We suggest that you don't adjust a parameter, unless you know what the value should be.

On the left side under Original, you can see the present value, and on the right under Destination, enter the desired target value for the edit.

- Tempo Change (%)
Tempo alteration in percent. (There is no original value here).

- Tempo
Tempo in bpm (beats per minute). Make sure you set the right length in bars, otherwise the correct original tempo will not appear here on the left!

- Length (Samples)
Length in samples.

- Length (SMPTE)
Length in SMPTE time.

- Length (Bars)
Length in bars. If you have already adjusted the song tempo to the region which you are about to edit, the original value will automatically be set correctly. Otherwise, you have to enter the original length manually here.

- Transpose (Cent)
Transposition of the sound material in 1/100 semitone units (cents).

Free Transposition

Next to the transposition parameter you will see the description Free.
This will probably be the most common setting when you use the Time Machine. It means that the program carries out "free" compression/expansion or transposition. In this situation, the pitch and tempo of the audio material to be edited are completely independent of one another.

Classic (Correlated) Transposition

Here you can switch, using a flip menu from Free to Classic. The Classic mode is for situations where you want to transpose a selected region, and also affect its tempo. This produces an effect which you are probably familiar with, as it simulates the sound of changing the speed of a tape. In this case, the pitch, sonic character, and playback speed change together.

On the left of the Time Machine's dialog window, you can see a graphic representation of the current settings. You can grab the ball within the graphic, and freely move it to adjust the compression/expansion, and pitch shift. The further the ball deviates from the center position, the harder the algorithm has to work, and the lower the expected sound quality will be.

Remember also, that the quality of the result depends greatly on the source material used.

Don't let this keep you from experimenting. Feel free to try extreme settings for compression/expansion or transposition. In such cases, the result may not always be what you expect, but it might be just the "effect" you're looking for.

Using the Graphic Display

You can move the ball in the 3 -dimensional display with the mouse. Naturally, only two dimensions can be accessed at once; use shift to switch between two different 2-dimensional planes (so you can reach every point of the 3D graph). By holding ctrl , or alt you can move the ball on one axis to independently change timbre, transposition or length.

You can also grab and move the shadows of the ball. These are its projections on the timbre axis, and the transposition/time plane, respectively

The position of the ball directly effects the numerical values, and vice versa.

You can reset the ball and all numerical values to center (neutral) positions by simply double clicking in the graphic display.


Time Machine - Harmonic Correction

Sample Edit Window > Digital Factory(TM) > Time Machine - Harmonic Correction

Harmonic Correction

By activating Harmonic Correction, the formants which define the timbre (sonic character) are corrected. With Harmonic Correction set to On, the formants in the transposed material remain unchanged. This means that the original timbre (or the physical size of the resonance body) will be maintained, and the transposition will therefore sound more natural. The only trade off is that the calculation takes more time.

By switching the Harmonic Correction to Off, the complete spectral structure (including formants) of a sound will be shifted according to the transposition value. This is the "normal" type of transposition, as seen in the previous Time Machine, other programs, or the pitch shift algorithms of effect processors. These algorithms are also included within Time Machine II, and can still be used for much faster calculations, or when you want the "effect" of pitch shifted formants.

Harmonic Shift

If Harmonic Correction is activated, you can also use the Harmonic Shift parameter to independently alter timbre. The units are Cents-just like with Transposition. 100 Cents = 1 semi tone.

If you select the same value in both Harmonic Shift and Transposition, then no correction will be carried out, and the result is as if Harmonic Correction is switched Off.

If you set Harmonic Shift to zero, then the formants do not change. This avoids the unwanted side effects of traditional pitch shift algorithms.
If you set Harmonic Shift to -300, for example, and the Transpose value to zero, the sonic character of the material will be changed as though it has been transposed three semitones down-but without an actual transposition in pitch. This means a musical "C" remains a "C", but the timbre of the sound (for example, a voice) becomes darker.


Time Machine - Technical Background

Sample Edit Window > Digital Factory(TM) > Time Machine - Technical Background

The Technology of the Time Machine

The Time Machine analyzes the spectral components and dynamics of the digital audio material, and then processes the result. The high-grade algorithm endeavors to retain as much spectral and dynamic information as possible, and minimizes phase variations. In stereo files, the phase relation between the left and right channels is fixed, and not altered. Doubled sound events are kept to a minimum. All this produces a high quality result, which despite the speed of the process, is less grainy than what you're probably used to hearing from other products.

However, you should bear in mind that apart from resampling (transposition), the Time Machine has to achieve the "physically impossible": when a sample is lengthened information has to be "invented." This should be as realistic as possible, and conversely when a sample is shortened information has to be cut out, which should be as unimportant to the overall character of the sound, as possible. Lengthening is more difficult than shortening, and if you have a choice it is better to speed up a drum loop that is too slow than vice versa.
There is always a small deviation between the set stretch or compression factor, and the actual result. This is because the algorithm needs a bit of freedom to optimize the spectral and dynamic integrity (the sound quality). The deviation from the set value is only a few milliseconds (or fractions of a bpm). This shouldn't present a problem, since the absolute deviation is independent of the length of the processed section, meaning the deviation is no greater in longer files.

About Harmonic Correction

The whole spectral structure is usually shifted when audio is transposed-whether the method used is digital (editing samples), or analog (changing the tape speed). In this process, not only the fundamental pitch is transposed, but all the sound source's resonances (formants) are shifted as well-as though the whole instrument or singer is getting smaller or larger. This, of course, is not natural. Voices transposed up by "normal" methods will sound like Mickey Mouse, or conversely, if transposed down, like Darth Vader.

The Harmonic Correction of the Time Machine II allows you to correct this unnatural spectral shift of the formants.

You can also shift the formants without transposing. This means you can alter the physical size of the sound source's resonance body-for example to give female voices a male character and vice versa, while the pitch stays in tune. This is a remarkable effect, allowing you to change sounds so that they appear to have been made by unusually small or large instruments.

Harmonic Correction is completely different from the effect of an equalizer. You could never use an equalizer to change the apparent size of a resonant cavity.

The quality of the Harmonic Correction depends strongly on the source material, because the algorithm has to make "intelligent" decisions between tonal and atonal components of the recording, and handle them separately. This decision is not always definite, and is handled "subjectively" by the algorithm. These decisions are more simple when dealing with monophonic material than with complex stereo material, but the algorithm of the Time Machine II is able to handle a complete mix. Even the phase correlation of stereo recordings is maintained. At this point in time, this ability is unique to Time Machine II. Nevertheless, it may be possible that some material will not be processed in a satisfactory way. We urge you to experiment, in order to obtain the best results

The Harmonic Correction is a highly sophisticated DSP process, much more complex than time compression, and therefore needs more calculation time. Considering the complexity, the algorithm is extremely powerful, highly optimized and very quick.

If you need to save time, you can receive exactly the same result by first doing a normal transposition and then a Harmonic Correction afterwards. If you have to find the exact transpose value by trial and error, simply switch off the Harmonic Correction. As soon as you have found the right transposition, you can carry out an independent Harmonic Correction, with the same value in a second step. With this method, you can even do Harmonic Correction for audio files that were transposed previously with the "old" Time Machine.

Harmonic Correction in the TimeMachine II was developed in collaboration with Prosoniq.


Groove Machine

Sample Edit Window > Digital Factory(TM) > Groove Machine

The Groove Machine allows you alter the feel, swing, or groove of the digital audio material, in percentage steps. We call it "digital re-groove".

Opening the Groove Machine

First, make sure that the tempo of Logic exactly matches that of the selected audio material.

Select Factory > Groove Machine in the Sample Editor. The function is executed by clicking the Re-Groove button.

Parameters

Next to Swing, you set the percentage for the swing factor. At 50 % there is no change-you normally get the best results at 55 % to 65 %.

The Based On Period parameter lets you tell the Groove Machine whether the audio material should be edited on the basis of eighth note, or sixteenth note swing.

The Down Beat Leveland Off Beat Level parameters are where you select whether the down beats (or off beats) in the audio material should be raised or lowered. Positive values increase the level, negative values reduce the level.

Bear in mind that raising the level of normalized audio material can cause distortion (particularly on the down beats, which are usually louder).

The Corresponds to Tempo parameter automatically transfers Logic's current tempo to the groove machine.

The length or tempo of the selected audio material must be defined, otherwise the Groove Machine cannot work accurately. The length can be defined in musical values (bars, beats, divisions and ticks) under to Bar Length, or you can set the tempo directly, using Corresponds to Tempo.


Audio Energizer

Sample Edit Window > Digital Factory(TM) > Audio Energizer

The purpose of the Audio Energizer function is to increase the perceived volume of the audio material, while altering the sound as little as possible, and without causing clipping. Digital distortion (which would be the inevitable result of simply increasing the level, and which sounds very unpleasant) is avoided using this algorithm.

You could compare the effect to that of an analog tape which is saturated by a high recording level. However, the distortion factor and effect on the audio material by the audio energizer is much lower.

Here's an example of the effect. If an already normalized audio file (audio data which is already at the maximum dynamic range) is edited, the effect is as follows: a VU meter will show a higher level, indicating increased average energy in the signal. However, a peak display will show the same level as before, since the maximum signal level has not been exceeded.

Opening the Audio Energizer

Select Factory > Audio Energizer in the Sample Editor. The function is executed by clicking the Energize button.

Parameters

The main parameter is Factor. This is where you select the amount of average level boost. 0% means no alteration, while higher values produce an increase in energy. The setting you make here will depend on the audio material, situation and personal taste. Begin by trying values in the 40-100% range. Values below 10% will hardly have any effect, values over 100% can lead to undesirable alterations in the sound, depending on the material. Values over 200% are not recommended with normalized files, because they will have detrimental effects on the sound and dynamics. They can also greatly increase the required computation time. On non-normalized audio data even high values can be effective because initially the overall level is increased to the maximum, without affecting the dynamic range.

The Attack and Release parameters affect the algorithm for controlling the steepness of the filter. You can try increasing these values to double or four times the default, if the result sounds too "digital" or "raw". This can happen if small elements previously hidden among the "main events" in the original are boosted. For example, the reverb sometimes gets louder.

The perceived loudness of the overall audio material is increased. If the material contains anomalies such as noise, these will also be increased, and sometimes becomes audible. If necessary, you can edit the result using the noise reduction function (Silencer) on a low setting.


Silencer

Sample Edit Window > Digital Factory(TM) > Silencer

The Silencer consists of two component functions, which can either be used separately, or together:

  • The "Noise Reduction" lowers the level of any noise in the signal, such as tape noise.
  • The "Spike Reduction" tries to identify and reduce anomalous signals such as pops or clicks.
You will probably find that you will use the Noise Reduction more often than the Spike Reduction.
Opening the Silencer

Select Factory > Silencer in the Sample Edit window.

Noise Reduction

The purpose of the Noise Reduction is to reduce the noise components of the signal, and also affect the main signal, particularly the high frequency elements.

The process is "single ended", meaning it affects material which is already recorded, and there is no need to "decode" the signal during playback. This has the advantage that even noise which was already present in the original signal can be processed.

- Operation
Set the Spike Reduction function to off, so that only the Noise Reduction function is used. Click the Process button to execute the function.

There is only one parameter for controlling the intensity of the process. Off means no edit, Min is the least possible edit, small numbers have a small effect and Max produces the maximum possible reduction of the noise component. The "correct" value depends on the quality of the material, and your own personal taste. Good quality material should only be edited using Min or 2. You will probably notice only minor changes in the sound. Bad (noisy) quality material should be processed using higher values or even Max. If the setting is too high, the treble component of the main signal will also be reduced.

The Silencer function is optimized for normalized data. Low level material should be normalized first.

Spike Reduction

The aim of Spike Reduction is to identify and reduce "abnormal" signals such as pops, clicks, or digital "spikes", in order to reconstruct a hypothetical "original" signal.

- Operation
Set the Noise Reduction switch to off, so that only the Spike Reduction function applies. Click the Process button to execute the function.

The Sensitivity parameter controls the automatic recognition of the "spikes". When set to High (sensitivity) instead of Low even relatively small spikes are identified. When set to Auto, the threshold is controlled automatically by the program.

The Method parameter controls the intensity, i.e the way these spikes are processed. Gentle is the weakest algorithm, and only slightly smooths the original signal, while Aggressive is the strongest. All these settings "filter" the original signal at the identified position.

By contrast, the re-build setting completely replaces the often unusable original signal with an artificially generated estimate of the original signal, at the identified points. This synthesized signal is created by analyzing the audio material surrounding these points.

Experiment with the parameters. If the Sensitivity is too high, there is the danger that very sharp transients in the main signal will be identified as spikes. Depending on the audio material, it can sometimes be impossible for the program to distinguish between the two. This is particularly the case if the decision "spike or main signal" is merely a matter of taste, for example with some "click-like" bass drum sounds. In their attack phase, these sounds can have similar characteristics to static on vinyl.

If the automatic identification does not produce satisfactory results, pops and clicks can also be removed manually. Select the relevant area in the Sample Editor, and carry out a spike reduction using the settings "High Sensitivity" and e.g. "Filter 5". This method is easier than manually "drawing" waveforms.


Sample Rate Converter

Sample Edit Window > Digital Factory(TM) > Sample Rate Converter

The Sample Rate Converter is used for converting the sample frequency.

Opening the Sample Rate Converter

Normally you will want to convert the sample rate of a whole audio file. To do this, select the whole audio file in the Sample Editor (ctrl A ).

Select Factory > Sample Rate Convert... in the Sample Edit window. To execute the function, click the Convert button.

Parameters

- Source (Hz)
This shows the previous sample rate of the audio file. However, to enable you to change incorrectly stored sample rate formats (for example after editing in other programs)-or for effects-you can enter any value you like here. You should only change this parameter if you know what you are doing.

- Destination (Hz)
Here you can enter the desired sample rate to which the selected area is to be converted.


Audio to MIDI Groove Template

Sample Edit Window > Digital Factory(TM) > Audio to MIDI Groove Template

This function enables Logic to create MIDI groove templates from digital audio material. This means you can extract the feeling (the precise rhythmic references) from drum loops or other samples containing rhythmic passages, and use the resulting groove template to quantize MIDI sequences.

The following example explains how to do this using a one bar drum-loop:

  • Load the drum loop into Logic by selecting File > Add Audio File (Audio window).
  • Drag the new region into the Arrange window.
  • Now, open the Sample Editor by double-clicking the region.
  • Select Factory > Audio to MIDI Groove Template...

Parameters

The first four parameters control the analysis algorithm. They are listed in order of importance:

- Granulation (ms)
This determines the time span of louder components of the audio material, from which Logic can derive information for "velocity points" in the groove template. The most useful values are usually between 50 and 200 milliseconds, depending on the tempo of the audio material.

- Attack Range (ms)
This tells the program how long the attack phases of the sounds in the audio material are. For example, drum and percussion instruments have short attack times of less than 20 ms, while string instruments have longer attack phases. The best values for most instruments are usually between 5 and 40 ms; Many instruments are near 20 ms.

- Smooth Release (%)
This parameter is specifically for processing audio material containing sounds with a long release and/or reverb. This makes it easier to convert these sounds into quantization points. The setting here should generally be between 0 and 5 %, except when processing passages with long, distorted guitars, or similar sounds.

- Velocity Threshold
This parameter sets the threshold below which the individual sounds in the audio material are to be ignored. In most cases the value "1" is suitable, except when processing very dense, loud material with soft background noises.

There are more options containing the following parameters:

- Basis Quantize
This function enables you to add artificial trigger points at positions in the audio material where there are no trigger points present. The groove templates obtained using this method are suitable for situations where you need more quantization points than are contained in the audio material.

The identification of trigger points in the audio material is not affected by this parameter.

- Time Correction
This parameter allows you to compensate for any time delay which may occur when external samplers or synthesizers are triggered by MIDI notes. These time delays are sometimes very noticeable, if the connected device is playing a sequence which was quantized using an Audio-to-MIDI groove template at the same time as the original audio material is being played. You should be able to compensate for this effect by using settings between -20 ms and 0 ms.

- Instrument Type
This flip menu contains various presets for the Audio-to-MIDI parameters, which are suited to specific types of audio material. You can use these presets as starting points for your own processing.

Your own parameter settings are stored in the Logic 5.prf file.

At the bottom of the Sample Editor are three fields labeled: Audio Qua, Basis Qua and Result Qua.

- Audio Qua
Displays the quantization points which Logic has identified in the audio file.
- Basis Qua
Shows the quantization points which you have selected under Basis Quantize.

- Result Qua
Shows the quantization positions in the new groove template, which are produced by the combination of the two values above.

Clicking on an audio trigger point will keep it from being transferred to the template. These manually selected points will be "grayed out".

When you click Try, Logic will apply the new groove template to all selected sequences, allowing you to preview the result.

Adjust the parameters until you are happy with the result, and then click Use.

Clicking Use saves the new groove template, and installs it in the current song. It then appears at the bottom of the list in the Quantize flip menu (the menu found in the sequence parameters of the Arrange window). This means your new groove template is available for use whenever you need it.

When using this function, you should switch off the Edit > Search Zero Crossings option in the Edit menu of the Sample Editor.


Audio to Score Streamer

Sample Edit Window > Digital Factory(TM) > Audio to Score Streamer

This function allows you to transform a monophonic audio recording into musical notation, by creating a MIDI sequence corresponding to the recorded melody. This allows you to have a MIDI sound module playing in unison with an audio recording or -transposed- as a second voice. This function is best-suited to producing melody notes from a clearly sung vocal line. It also works best with non-legato performances.

The Audio to Score Streamer creates a sequence in the Arrange window containing the optimum interpretation of the audio data. The notes are displayed in the Score window, immediately after the conversion.

Opening the Audio to Score Streamer

Begin by selecting the MIDI track in the Arrange window where the new MIDI sequence should be placed.

Select Factory > Audio to Score...

The parameters for the Audio to Score function are similar to those used by the Audio to MIDI function used to create a groove template. For details refer to the section Parameters.

Minimum Quality is the only extra parameter. It lets you select between normal, or high quality processing, as the preset value of the program. This allows you to deal with situations which demand the highest possible processing quality. The Normal setting is more tolerant of audio trigger points which are not perfectly in tune. However, this setting can also generate wrong notes. If the minimum quality is set to High, Logic only accepts audio trigger points which have a clearly identifiable pitch. Indistinct trigger points are replaced by notes with a pitch of C3 and MIDI channel 3, labeled as an undetected mark.

When analyzing audio material containing clearly identifiable pitches, you will find that you get good results from either setting.

Click Process to execute the function.

A MIDI sequence containing the generated data is automatically created in the Arrange window, on the selected MIDI track.

A Score window opens automatically containing the transcription of the audio file generated by the function. The Score Editor uses a score style called Audio To Score with three staves. This style can be edited just like a normal score style. The three staves contain the following information:

Stave 1 contains the pitches that were most clearly recognizable. All these are assigned MIDI channel 1.

Stave 2 contains the pitches that were less clear, for example, if the pitch is wrong, or could not be clearly identified by the first analysis. These notes are assigned MIDI channel 2.

Stave 3 contains all other information provided by the function, on MIDI channel 3. For example, detuned pitches produce a "dummy" note (C3 on MIDI channel 3). This can happen if the trigger point has a very short attack, or if the note has a high interference element (such as click noises or buzzing strings produced by a guitar).

Depending on the selected file, notes can be detected more or less reliably. If the detection is certain, the MIDI notes are assigned to MIDI channel 1. Otherwise they get a C3 with MIDI channel 2, so that at least the starting point and length information will be retrieved. The threshold for "certain identification" is defined with the quality parameter. What's more, Logic offers the option to define pauses as notes.This especially is useful with MIDI Groove templates, so that these won't have gaps. These gap-filling notes appear as C3 with MIDI channel 3. They do not represent sound events, but breaks.

A few tips on how to get the best results using the Audio to Score function:

  • You will only get good results with clearly identifiable monophonic audio material. Solo voices, strings, and piano can be easily analyzed, as can any recordings with distinct pitches.
  • Experiment with different parameter settings for processing the audio data. Sometimes, you will need to make several attempts to determine the optimum settings for a particular recording.


Quantize Engine

Sample Edit Window > Digital Factory(TM) > Quantize Engine

This function allows you to use a MIDI sequence template (within reason), to quantize an audio recording .

This is done by using a dynamic time compression/expansion algorithm. The function is similar to the Groove Machine, except that the quantize template can reflect values other than just 8th or 16th note swing grooves. Even user defined MIDI grooves can be used.

The Quantize Engine is therefore the inverse of the Audio to MIDI Groove Template function.

Opening the Quantize Engine ...

First select the audio sequence in the Arrange window to which you want to apply the groove template.

Select Factory > Quantize Engine...

Parameters

The parameters for analyzing the audio material are identical to the ones used for the function, Audio to MIDI Groove Template.

- Quantize by
This flip menu is where you set the required quantization. The same templates available for MIDI data are available here.

- Max. Range
This is where you set the maximum time in milliseconds by which a peak in the audio material can deviate from the relevant quantization point in the groove template, while still being interpreted as "quantizable".

Small values are suitable for editing audio material which already has a similar groove.

Large values allow you to use a groove template which deviates more from the original groove. However, this increases the risk of misinterpretation.

Operating tips:

First use the flip menu at the top right to select a set of parameters which correspond to the characteristics of the audio material. Start by experimenting with smaller values for the Max. Range parameter ("as small as possible, and as large as necessary").


Introduction

Event List > Introduction

The Event List displays MIDI data in the form of a "list", combining all the data-editing functions of the other editors, (except for the graphic operations and expressive options offered by the Score Editor).

Usage

The Event List is used whenever you need to make precise alterations to recorded data, where the graphic display of the other editors is not as well suited to the task. It is the only editor which gives you access to all recorded event data. You can also restrict what you see, allowing you to edit only specific event types.

Opening the Event List

To open the Event List and view the contents of the selected sequence, select Windows > Open Event List (default: ctrl 2 ), or use a user-defined key command Open Event Editor....

You can also open it by double-clicking on a sequence if you have selected Double Click Sequence to open Event Edit in Arrange under Options > Settings > Global Preferences (or by double-clicking on the sequence while holding down the ctrl key, if another editor is selected there).

Structure

The standard buttons are supplemented by two scroll arrows to help you move through the list.

The event type buttons them allow you to filter specific event types from the display, and access or add them (by clicking on them with the right mouse button).

Beneath the toolbox is the quantization grid selection field for the event quantize function. There is also a field for defining the Division value, which corresponds to the Division value as set in the Transport window.

If the Catch function is switched on, the arrow-shaped position marker will always point to the current event.

The main area shows the actual list of events or objects.


Display

Event List > Display

The event type buttons allow you to "filter" the display, to remove individual event types from the Event List, so that you can view only the specific types of events you are interested in. Click the desired button with any tool (except the pencil).

If a button is grayed out, that event type will not be displayed.

All the functions affect only the events displayed, so non-displayed events are protected from any alterations you make.

Here is a short overview.
 The note symbol stands for note events. The symbol with the dual-digit, seven-segment display stands for program change events.

The hand wheel symbol with a marker in the middle (pitch bend wheel) stands for pitch bend events. The hand wheel symbol with a marker at the bottom (modulation wheel) stands for all control change events.

The single weight symbol stands for aftertouch events (channel pressure). The multiple weights symbol stands for polyphonic key pressure events (polyphonic aftertouch).

The SYSEX symbol stands for SysEx events. The symbol with a row of zeros and ones is called the full message button. This does not filter out any type of event, but affects the amount of detail displayed for all event types.

Normally the display in the Event List is restricted to one line per event. When the full message display is active, all information stored along with the event is shown too. This is particularly important for editing SysEx messages. When examining note events in the Event List, you will also notice Logic's internal score layout information included in the list. You can edit this in the Event List if you want, but it serves little purpose.


Scrolling

Event List > Operation > Scrolling

Clicking either of the scroll arrows moves the display up or down by one event. The event at the position marker is always selected (so the existing selection changes as you scroll). The scrolling speed can be varied as you scroll, by vertically moving the mouse. The key command Scroll to Next/Previous Event is also available from the Event window, and has the same end result.

Remember that if the MIDI Out button is switched on, every newly selected event will be played. This means you can scroll through the list and audibly monitor the events as you go.

If you want to keep the selected event where it is, use the usual scroll bar functions.


Selection

Event List > Operation > Selection

Selection Techniques

When selecting events with the mouse, you should click near the status column, to avoid any unintentional parameter alterations.

You can use any of the standard selection techniques here: individual selection by clicking on objects, multiple selection using the rubber band, or both of these (without altering the previous selection), in conjunction with the shift key. Don't forget you can also make selections according to specific criteria with the Edit menu.

Any events which you remove from the display, by clicking on the event type buttons, are immediately deselected. This ensures that all the functions affect only the displayed (selected) events.

Special Selection Functions

Some selection commands (which can be accessed from within all the Editor windows via their Edit menus), can also be utilized in the Event List by selecting an item with the mouse, while holding down additional modifier keys.

  • If you click on an event while holding down the ctrl key, you select all events between the last event that was selected and the current one.
  • If you hold down the alt key and select an event, all similar events will also be selected.
  • If you select an event while holding down the alt and ctrl keys, all identical events will be selected.


Event Editing

Event List > Operation > Event Editing

Adding Events

To add an event, click on the desired event type button with the pencil (or with any other tool, while holding down the right mouse button). The event is then added at the current song position, and is automatically selected.

Duplicating Events

To duplicate an existing event (for example, so you can alter the parameter value of the copy) click on the original event with the pencil. An input box appears-this is where you enter the position for the newly-duplicated event. If you just hit Enter , the duplicate will appear at the same place as the original.

Pasting from the Clipboard

When adding events using the clipboard's Paste function, a position input box will appear, allowing you to type in the position of the first event. Once again, if you confirm by just pressing Enter , the original position of the event is retained. The relative positions of other copied events are also always maintained.

This means that the events are not added at the song position, as in the graphical editors.

Moving Events

To move an event in time, alter its position indicator. As soon as you alter its position, the list is automatically sorted, even though the currently selected event remains the same.


Altering Values

Event List > Operation > Altering Values

Event positions or parameter values can be altered in the usual way by using the mouse like a slider (grabbing and dragging), or with text input (just double-click on the parameter value).

You cannot alter the type of events using this method, however. To alter the event type, you must either open a transform window, or add an event of the desired type, and then delete the original event.

Altering the Values of Several Events

If a parameter of a selected event is altered, it will affect the same parameter in all selected events.

- Relative Value Alteration
When you alter parameter values in a group of selected events, the relative differences between the parameter values remain unchanged. This means that the parameter values that you grab or double-click on can only be altered until the value of one of the selected events has reached its maximum or minimum value.

- Flexible Relative Value Alteration
If you want to continue altering a parameter value in a multiple selection (even if one of the values in the selection has reached its maximum or minimum), hold down the ctrl key while you move the mouse, or press Enter to confirm a numerical input.

- Absolute Value Alteration
If you want to set a parameter to the same value for all selected events, hold down the shift and ctrl keys, while you use the mouse as a slider, or press Enter to confirm a numerical input.

Numerical Value Input

If you want to directly input a number, double-click the relevant parameter.
There are a few special points that need mentioning concerning numerical editing of events in the Event List:

  • When entering event time positions and lengths, you can jump from part to part within the value you're inputting, using the TAB key;
  • New events can be created simply by using the ASCII keyboard. When you're numerically editing events, you can duplicate them by simply hitting the esc key.
  • The key command Duplicate Event and Numerical Edit also allows you to create new events.


Muting

Event List > Operation > Muting

The Event List editor features a Mute Tool allowing to mute specific notes in a sequence.
With the Mute Tool clicking on a note will mute/un-mute it. Muted notes appear greyed out.

The command Select Muted Objects is available in the Event List editor. It allows the selection of all muted notes in a sequence.


... on Event Level

Event List > Event List Structure > ... on Event Level

The individual columns in the list have the following meanings:

Position

The position of the events in the song; for note events this means the beginning of the note. The units represent bars, beats, divisions, and ticks.

Counting begins at 1 for each unit (first bar, first beat, first division, first tick: 1 1 1 1), and continues until it is carried over to the next largest unit.

Numerical inputs start from the left (which means you can enter just the bar number if you want). The units can be separated by either spaces, dots, or commas.

- Position within the Sequence
If you select View > Local Position, the event positions do not refer to the absolute location within the song but to the relative position within the sequence.

- Position and Length in SMPTE Units
If you select View > Position & Length in SMPTE units, the position and length columns switch to SMPTE units.

Status

This is where you can see the event type, as specified by the status byte of a MIDI message. You cannot directly edit this parameter.

Cha

The MIDI channel used to record an event.

Remember that during playback this MIDI channel will be replaced by the Cha parameter of the playback instrument. The event is only output to the recorded MIDI channel when the Cha parameter is set to "All."

You should also keep in mind that with notation, the recorded MIDI channel is used to assign a polyphonic voice to the note.

Num, Val

These columns contain event data bytes. Their meaning depends on the event type:

Status

Note

Control

Pitch

C-Press

P-Press

Program 		Num

Pitch

Controller number

LSB

(not used)

Pitch

Bank Select 		Val

Velocity

Value

MSB

Value

Value

Program number

Length/Info

With controller events, this column shows the controller name, and with SysEx events, the manufacturer's name.
With pitch bend events, a 14-bit value is displayed here, which is composed of the first (Num) and second (Val) Data bytes combined. This value can be edited directly from here.

With notes or sequences, the length is displayed here.

Here too, the units are bars, beats, divisions, and ticks. For the sake of clarity, when the length begins with one or more zeros, the "_" symbol is used instead. The minimum length is 1tick (_ _ _ 1) not 0 ticks, because it makes no sense to simultaneously switch a note on and off.

Numerical input starts on the right, working to the left-and you can enter just ticks if you want. The units can be separated by either spaces, dots, or commas.

- End instead of Length
If you select View > Length as absolute Position, you can make the length display show the absolute position of the note off event, instead of its length from the note on.


... on Arrange Level

Event List > Event List Structure > ... on Arrange Level

When you double-click the backround area above or below the list entries (if visible), you move up one level in the folder/sequence hierarchy.

This allows you to see all the arrange objects (sequences or folders) in the current song (or folder). On the arrange level, the list has the following columns:

Position

The start of the arrange object.

Name

Name of the sequence or folder. Double-clicking on the object name switches you to the display of its contents. With a sequence, you return to event-level editing.
You can edit the name with the text tool.

Track

Displays the track number. You cannot edit this value from here (you might totally destroy your arrangement if you could). If you want to move arrange objects to other tracks, it is better to do it graphically from the Arrange window.

Length

The length of the arrange object.


Note Events

Event List > Event Type Structure > Note Events

- Num
MIDI note number (note #). The range is from C-2 (note #: 0) to G8 (note #: 127). Middle C is note # 60 and in MIDI terminology is called C3.

On some keyboards/synth modules (notably those made by Korg and Roland), the note range is C-1 (#0) to G9 (#127). In these cases middle C is called C4.

In the page, you can reference the display to the description used most frequently on your devices (Display middle C as...).

- Val
Velocity of a note from 1-127. The value 0 carries the note off message, and thus is not available.

- Length/Info
Length of the note. Although MIDI can only transfer note on or note off messages, Logic actually stores the position and length of all the notes, which makes them easier to access musically. The note off message is generated automatically during playback.

Mapped Instrument Notes

If the edited sequence is played through a mapped instrument, the defined names of the individual notes appear in the Status line. For the sake of clarity, there is a small note symbol to the left of each name.


Program Change Events

Event List > Event Type Structure > Program Change Events

Program change events can be transmitted to connected MIDI devices to call up different patches. These may be sounds in a synthesizer, programs in an effects unit, or snapshots in an automated mixing desk.

Val

A program number between 0 and 127.

Some manufacturers (e.g. Yamaha) number the programs in their devices from 1 to 128, not 0 to 127. In this case, you have to subtract 1 from the program number given in the device itself.

Other manufacturers use various methods of dividing into groups (or banks) and sounds. The most common is dividing into 8 groups of 8 sounds, each numbered 1 to 8. These devices respond to program numbers 0-63 by calling up storage locations 11-88. The instruction manuals for these devices should contain conversion tables to assist you.

Num

Bank select. Normally you will see this symbol, which means no bank select will be sent. If you assign a number between 0 and 62, a bank select event is sent before the program change event. This allows you to address different sound banks (e.g. preset, internal, card) inside your synthesizer. The synthesizer must be able to recognize controller 32 as bank select, but unfortunately this standard is not yet widely used. If you have any problems with bank select, check your synthesizer's manual to see whether, and how it responds to bank select commands. You can change the type of bank select message Logic sends for each Multi instrument in your setup. See section Defining Your Own Bank Select Commands for details.


Pitchbend Events

Event List > Event Type Structure > Pitchbend Events

Pitch bend events are used to continuously vary the pitch. They are usually generated by a centered pitchbend wheel, or a joystick on your keyboard.

Num

Fine pitch bend division (LSB). Many keyboards just transmit the value 0. If the pitch bend wheel has an 8-bit resolution, you will see the value 0 or 64 here.

Val

The effective pitch value (MSB) of 0-127. The value 64 corresponds to the mid-way setting of the wheel.

Length/Info

The 14-bit value is displayed in this column as a decimal figure ranging from -8192 to 8191. The value in this column may be edited in the usual way.


Control Change Events

Event List > Event Type Structure > Control Change Events

These event types are used to transfer MIDI controllers (e.g. modulation, sustain, volume and pan).

Num

The number of the controller. All the various MIDI controllers (such as the modulation wheel or sustain pedal) have their own numbers (#1 or #64 respectively). Some other controllers are also defined, such as volume (#7) or pan (#10).

Controllers that are defined in the MIDI Standard are described in the Length/Info field.

Val

Value of the controller. Continuous controllers have a range of 0-127. Switch controllers (#64-#90), transfer only two states; off (val=0) and on (val anything between 1 and 127).


Aftertouch Events

Event List > Event Type Structure > Aftertouch Events

Aftertouch (or channel pressure) events are generated by a mechanical pressure sensor beneath the keyboard. The resulting sound modulation affects all the notes on that particular MIDI channel.

Num

This column is empty with aftertouch events, since they have only one data byte.

Val

Strength of the pressure on the keyboard (0 to 127).


Poly Pressure Events

Event List > Event Type Structure > Poly Pressure Events

Poly pressure events are generated by mechanical pressure sensors beneath each individual key. The resulting sound modulation affects only that particular note. Only a few keyboards currently support this capability.

Num

MIDI note.

Val

Strength of the pressure on the key.


SysEx Events

Event List > Event Type Structure > SysEx Events

SysEx data are System Exclusive Data which are exclusive for individual MIDI devices. You can record these events using the dump utitilities of your synthesizers thus saving the patch information outside the MIDI device. The arrows in front of and behind the word EOX are used to add or remove bytes.

Editing SysEx Events requires a thorough understanding for the data format of the MIDI device in question. Wrong edits can lead to corruption or loss of sound data.

SysEx Data in Hex Format

You can select whether SysEx data is displayed in the Event List or the SysEx fader editors in hexadecimal or decimal, using the View > SysEx in Hex Format command.

Hexadecimal digits are preceded by a $ symbol in Logic.

For more on how to program a SysEx message manually, check out the section about Environment SysEx Faders, which explains how to program SysEx faders.


Meta Events

Event List > Event Type Structure > Meta Events

Meta events are not MIDI events, but are control messages specific to Logic. They are used to automate specific Logic functions, and organize objects in the notation which cannot be represented by MIDI events.

To create a meta event, click on the Full Message button with the right mouse button.

Release Velocity

Logic is able to edit the release velocity of a note Event in the Event editor.
To view release velocity data, enable the 001011 view filter button to the left of the event list.

Num and Val

Num determines the function of the Meta Events you create, and Val is the value that is sent. In the Event List window you should only ever insert and edit the following Num values:

- Num = 47
Send Byte to MIDI. This sends the track instrument any byte value (Val) between 0 and 255 ($00-$FF). As an example of how to use this Meta Event, if you send 246 as the byte, this is equivalent to a MIDI tuning request message. The display will show "Send Byte $F6". Only use this Meta Event if you know what you're doing-if you don't, your sound modules and synths may start to behave very oddly indeed...

- Num = 48
Switch Fader. This will send MIDI events to a particular output number (Val) on a cable switcher. You have to first connect a cable between a track instrument (e.g. "M-Playback") and the cable switcher in question.

- Num = 49
Goto Screenset. This event calls up a screenset (Val determines the number). The track instrument is irrelevant.

- Num = 50
Song Select. This event will switch songs on a MIDI data filer (Val = the stored song number), if you have one connected. The track for this event is irrelevant.

- Num = 51
Goto Marker. When this event is sent, playback will jump to another marker (Val determines which marker number). Once again, it doesn't matter which track this event appears on.

- Num = 52
Stops the playback.

Meta Events can also be generated by Fader objects in the Environment window.


Tips for numerical Input

Event List > Tips for numerical Input

Numerical input (by double-clicking) is always independent of the current display mode, or event type and can be used in many other areas of the program. Here are some of the possible methods. You can type in:

  • Decimals: 1, 01, 2, 3, 4,127, ...
  • Hexadecimals: $1, $01, $2, $3, $A, $0A, $7F
  • Notes: "C3", "C#3", "Cb3", "C##2" (equivalent to D2), "Dbb2" (equivalent to C2)

If you double-click on the note "E3", you can enter a decimal value such as "64" or a hex value of "$40" instead of the note itself.

In many parts of Logic, mathematical operations can also be used to change values, for example:

  • adding two existing values: "+5", "+$10"
  • subtracting from the existing value: "-5"
  • summing two values: "38+17"
  • subtracting two values: "38-17"
  • multiplying two values: "7*8"
  • dividing two values: "80/5"


Event Float Window

Event List > Event Float Window

The event float window can be accessed from most other windows.

Select Options > Event Float... (or the key command Open Event Float) to open an event float window. This gives information on the currently-selected object, and can be compared to a single line of the Event List. You can edit all the parameters in this window.

The following parameters are displayed:

  • the start point of the selected object in bars, beats, divisions, and ticks,
  • the type or name of the selected object,
  • the recorded MIDI channel and first data byte (if the selected object is an event)-for notes, the name-and, if there is one, the second data byte;
  • length of the selected object in bars, beats, divisions, and ticks.

Clicking on the film symbol (on the extreme left) toggles the position and length display between SMPTE time and the normal display.Clicking on the SMPTE symbol with the right mouse button turns the "MIDI Out" button on or off, and with it the monitor that gives MIDI playback in the Event float window).


Introduction

Hyper Editor > Introduction

Usage

The Hyper Editor has many uses. The main ones are creating and editing drum sequences, and graphically editing controller data. Despite some similarities, don't confuse the Hyper Editor with the Hyper Draw function.

Opening the Hyper Editor

To open a Hyper Editor window, select Windows > Open Hyper Edit ( default ctrl 5). You will then be able to see the contents of the sequence selected in the Arrange window.

Structure

The structure of the Hyper Editor window resembles that of the Arrange window: there is the horizontal bar ruler at the top and the optional transport panel in the top left corner. On the left is the optional parameter area, next to it the event name column and to the right of that the editing area, which can be likened to the area containing the tracks in the Arrange window.

The individual lines in the Hyper Editor are functionally similar to the tracks in the Arrange window, in that each line has an event definition, which determines the event type displayed in this line (much as tracks in the Arrange window contain an instrument). When you select a line in the name column, its event definition is shown in the parameter box.

The display of the events takes the form of a horizontal row of vertical beams, whose height indicates the value of the relevant event. You can directly alter the value by grabbing the beam and sliding the mouse up and down. It is possible to store a combination of simultaneously displayed event definitions as a hyper set.


Hyper Sets

Hyper Editor > Hyper Sets

A hyper set is a way of saving a combination of event definitions. When a hyper set is saved, the vertical zoom setting of the Hyper Editor is stored (this determines the number of event definitions that can be displayed simultaneously). You can save as many hyper sets as you need in a song.

Selecting a Hyper Set

Directly above the event definition parameter field is the hyper set selection field. Grabbing it opens a pull-down menu, which allows you to select from among the available hyper sets.

Creating a Hyper Set

To create a new hyper set, select Hyper > Create Hyper Set. The preset event definition in the new hyper set is the volume controller (#7). Any alterations that you make, such as adding or redefining event definitions, or adjusting the vertical zoom setting, are automatically stored in the current hyper set (as with screen sets).

Hyper > Create Hyper Set For Current Events creates a new Hyper Set with the event types of the selected events. This especially is nice if you want to create a Hyper Set for all Event Types that you have created in conventional Sequence/Region Hyper Draw. You can open the Event Editor, select everything, deselect the note events, open the Hyper Editor und call Hyper > Create Hyper Set For Current Events then. All used event types can be editied in the Hyper Editor, then.

Create GM Drum Set

General MIDI has an established keyboard assignment pattern for drum and percussion sounds. This is often even the case with sound modules, samplers and professional synthesizers which do not carry a GM, GS or XG emblem. Since the Hyper Editor is ideally suited for the editing of drum tracks, you may from time to time wish to create a Hyper Set which is specifically tailored for GM Drum Sets, including the correct Names and Hi-Hat-Modes. Select Hyper > Create GM Drum Set to do so.

Naming the Hyper Set

To name the current hyper set, double-click on the hyper set selection button.

Clearing a Hyper Set

To clear the current hyper set (to delete its contents), select Hyper > Clear Hyper Set.


Event Definitions

Hyper Editor > Event Definitions

The event definition of a hyper edit line determines which events it displays. This selection usually affects the status byte and the first data byte of the event. The second data byte then contains the adjustable value, which is represented by the height of the beam. For example, in an event definition line, the value of a controller or the velocity value of a note is shown as a beam. Don't worry if this seems a bit confusing at first: when setting up the hyper definition parameters, Logic helps you by providing pull-down menus containing written definitions of the status byte and (as far as possible) the first data byte. There is an even simpler way to set up hyper definitions: you can automatically create event definitions for selected events-see below.

There are many ways of altering the way the beams are displayed, and adjusting them to the particular event types. You can also use a grid to align the display of existing events, and add new events. This grid can be set separately for each event definition in a hyper set. The height of the lines in the hyper set is adjusted using the Hyper Edit window's vertical zoom function.

Selecting the Event Definition

As with tracks in the Arrange window, you can select an event definition by clicking on the name column. This allows you to view its parameters in the event definition parameter box. Unlike with arrange tracks, however, it is possible to make a multiple selection.


Creating Event Definitions

Hyper Editor > Event Definitions > Creating Event Definitions

Creating an Event Definition

When you select Hyper > Create Event Definition, a new event definition is added, at the position of the currently selected event definition. Initially, it has the same parameters. The event definitions beneath it are moved downwards.

Automatically Creating Event Definitions

If you select an event in another opened editor window, you can automatically create an equivalent event definition by checking the Auto Define checkbox. You can switch this function on/off with the Auto Define Toggle key command.

If the current hyper set already contains an event definition which corresponds to the type of the selected event, Logic does not create a superfluous double definition. Instead, this event definition is moved to the visible area.

Don't forget to switch off Auto Define immediately after completing input.

Creating Several Event Definitions Automatically

You can also automatically create several event definitions. Just select the events on which you want to base the event definitions. You can use the same function to create event definitions for all the event types in the selected sequence.

Before creating a group of new definitions, it is a good idea to create a new hyper set first.

Hyper > Create Hyper Set For Current Events creates a new Hyper Set with event types that match those of the selected events. This is especially nice if you want to quickly create a Hyper Set for all event types created in the conventional Sequence/Region Hyper Draw. You can open the Event Editor, select all, deselect the note events, open the Hyper Editor and use Hyper > Create Hyper Set For Current Events. All used event types can then be edited in the Hyper Editor.

If you select Hyper > Multi Create Event Definition... a dialog box appears asking you whether you want to create event definitions for all event types (select All or hit Enter ) or just for the selected events (Selected). Press Cancel to abort.

Deleting an Event Definition

Select Hyper > Delete Event Definition to remove the selected event definition.

Sorting Event Definitions

To change the vertical order of the various event definitions, just grab the event definition you want to move by its name column, and drag it to the desired position.


Copy/Convert Event Definitions

Hyper Editor > Event Definitions > Copy/Convert Event Definitions

Hyper Sets: Copying Event Definitions

Select the event definition that you want to copy, and select Hyper > Copy Event Definition. Switch to the destination Hyper Set, and select Hyper > Paste Event Definition.

Converting Event Definitions

You can redefine an event definition with all its events. The values of the events are retained, but the event type is changed to the new event definition. Select Hyper > Convert Event Definition..., or double-click on the name column of the event definition which you want to convert.

The box shown here appears. On the left (convert), you can see the parameters of the selected event definition, and on the right you can define the parameters of the destination event type. The current settings are used as default values.

If you place an "x" in the Quantize Events checkbox, the event positions are quantized according to the Grid setting in the right-hand parameter field. If you make no more alterations, this allows you to just quantize the positions of the events. If there is any Delay value on the right side, this is taken into account by the quantization.


Event Definition Parameter Box

Hyper Editor > Event Definitions > Event Definition Parameter Box

The event definition parameter box is where you make the settings for the currently selected event definition line. The most important parameters are Status and -1- .

- Opening the event definition parameter box.

You can show (or hide) the entire left parameter area by checking (or unchecking) View > Parameters. You can close or open the parameter box by clicking the triangle in the top left corner.

Name of the Event Definition

By clicking the name next to the triangle, you can determine what appears in the name column. If you define a named MIDI controller, or a note from a mapped instrument in the Status and -1- parameters, the relevant name will be offered as a preset. Altering a note name in the event definition also alters the corresponding note name in the mapped instrument.

You can also display, add, and edit Meta Events in the Hyper Editor's event definition.

Display and Editing Grid

The Grid parameter is set with the typical pull-down quantization menu. New events can then be added at the set grid positions. The positions of existing events are not affected.

If you want to quantize the positions of existing events, you can do so using event quantization, or more simply with event definition conversion.
The same quantization templates are available as for the playback parameters, including the Groove Templates you define yourself.
When editing complex drum rhythms, it can be useful to create several hyper definitions for one drum note, each with a different quantization grid. For example, if there are two lines for a snare drum, one with a 1/16 and the other with a 1/96 grid, you can use the pencil to add individual hits in the coarser grid, and rolls in the finer grid.

Beam Width

You can set the width of the event beams from 1-16, using the Pen-width parameter. Regardless of the beam width, the exact event position is always marked by the left edge of the beam.

When set to the maximum value (Penwidth = 16), note events are displayed with their actual length.

Beam Display

The Style parameter allows you to select from four different color display variations for the beams. Styles 5 to 8 are the same as 1 to 4, but the selected events flash when you highlight them.

Delay

The Delay parameter can be used to delay (with positive values), or advance (negative values) all the events in an event definition line by an adjustable number of ticks. The change in position is visible immediately. Even new events are offset from the grid positions by the Delay value. If you click between the word Delay and the parameter value, you can use a pull-down menu to enter note values (e.g. 1/16 etc.) directly.
Unlike the sequence playback parameters' Delay option, this affects only individual event types or note numbers, which is very useful for drum programming.

In general, it is useful to transmit controller data slightly before or after the exact grid positions, to improve the timing of the notes lying on the grid positions.

Length of Notes to be Added

You can use the Length parameter to set the length of notes to be added, measured in divisions (the left number), and ticks (the right number).
To guarantee optimum timing when drum programming, you should ensure that note off events are never transmitted at the same time as note on events. Use note lengths which are not close to straight note values, e.g. 100 ticks (1/48 note = 80 ticks, 1/32 note = 120 ticks). Very small tick values are also unsuitable, because the note off events may sometimes be transmitted at the same time as note on events at the same position.

Event Status

If you grab the right side of the Status line, a pull-down menu opens, where you can set the event status for this event definition line.

MIDI Channel

Next to Cha, there is a checkbox, and to the right of this you can set a MIDI channel number. If you check this box, the display is restricted to events on the set channel. If the box is unchecked, the channel parameter is ignored, and matching events on all channels are displayed.

First Data Byte

In the bottom line is the -1- parameter, where you can determine the first data byte of the displayed event.

For example, if Note is set as the event status, you can determine here which pitch (note #) should be displayed in this event definition line. If the edited sequence is played by a mapped instrument, a pull-down menu appears here with the names of the input notes (drum sound names).

As with the MIDI channel, the checkbox determines whether (if checked) only events with the defined first data byte should be displayed, or whether (if unchecked) the setting should be ignored. In the case of note events, the velocity values of all notes (regardless of pitch) would be displayed in the relevant event definition line.

If Control is set as the event status, you can use a pull-down menu to determine the controller type (controller #).

With channel aftertouch (status C-Press), or program change events (status Program) the setting of the -1- parameter is always ignored, since the first data byte is displayed as a beam height. With pitch bend data (status PitchBd), the setting is also ignored, because both data bytes are used to display the beam height.


Making Different Definitions Simultaneously

Hyper Editor > Event Definitions > Making Different Definitions Simultaneously

Just as you can adjust parameters at once for several sequences, you can set the parameters of several event definitions simultaneously. Select several event definitions in the name column, by holding down shift and clicking on them. You can also use Hyper > Select All Event Definitions to select all event definitions, and then deselect some of them by holding down the shift key and clicking on them.

Any alterations which you make in the event definition parameter box affect all selected event definitions absolutely.


Hi-Hat Mode

Hyper Editor > Event Definitions > Hi-Hat Mode

In hi-hat mode, event definitions can be gathered together in groups within which a only one event from each group can be played at any time position. A typical use is for preventing different hi-hat notes (open, closed, pedal...) from being inserted at the same position.

To define a hi-hat group, click in any of the lines at the left edge of the name column. Click here once again to switch hi-hat mode off for that line. All lines in a hi-hat group must be vertically adjacent to each other.
If you add an event within a hi-hat group, all existing events at this time position are deleted.

You can create as many hi-hat groups as you want in a hyper set, but they must all be separated by at least one line in which hi-hat mode is switched off.


Grid

Hyper Editor > Operation > Grid

The grid defined by the Grid parameter in the event definition parameter box is very important:

  • During selection, all events within a grid section are selected
  • When you change the values of existing events, all events within a grid section are altered, and
  • New events are added at the grid positions, in accordance with the value set as the Delay parameter.


Selection Techniques

Hyper Editor > Operation > Selection Techniques

You can use any of the usual selection techniques, as described in the section Selection Techniques. However, there are the following differences:

  • To select individual events hold down the shift key, as you would when selecting several events that are scattered across the screen, and;
  • When making a rubber band selection, hold down the shift key (be careful not to click any events).

Moving and Copying Events

When moving selected events, you also have to hold down the shift key.

To copy events, use the ctrl key as usual.

With both operations, you can move events to other event definition lines. The events will be automatically converted.


Altering Event Values

Hyper Editor > Operation > Altering Event Values

You can alter individual values by grabbing the event beam (with the mouse pointer or pencil). As you change the event value, the current value is shown in the top line.

Altering Several Events

If several events are selected, you can alter all the values relatively, by grabbing just one of these event beams. The absolute differences between the event values remain the same. If one of the beams reaches the top or bottom, you will not be able to go any further in that direction.
However, if you hold down the ctrl key as well, you can keep raising or lowering the values of the selected event group, until the event beam which you have grabbed reaches the top or bottom.

Setting up a Manual Series

- Existing Events
Draw the events with the mouse pointer, while holding down the mouse button.

- Creating New Events
Draw the events with the pencil, while holding down the mouse button. The pencil is preset as the second tool (right mouse button).

Setting up a Linear Series

  • Select the crosshair tool.
  • Click anywhere in the beam display area, and hold down the mouse button.
  • Keep an eye on the display showing the exact position and event value in the top line. Move the mouse to the start point of the line you want.
  • Release the mouse button.
  • Move the mouse to the desired end point of the line (to the right or left). You can also keep an eye on the position and event value in the top line.
  • Click to align the event beams along the line.

If there were already events in the area between the start and end points, they are aligned along the line.

If there were no events in the region, new events are created at the grid positions (in accordance with the Grid parameter).

If you definitely want to create new events, hold down the ctrl key when you click for the last time.

This creates one event at every grid value. With very flat slopes, or very fine grids, the individual grid positions always remain unoccupied if the value to be added there is the same as the value of the previous event. This reduces the data-flow along the MIDI bus, without reducing the resolution of the controller.

When defining the Grid parameter to add successions of controllers use the motto, "as coarse as possible and as fine as necessary" to keep down the data output. Logic can deal with very large amounts of data, but unfortunately the same cannot be said of MIDI.

Linear Series in Sections

The last time you click (regardless of whether or not you hold down the ctrl key to add new events) if you also hold down the shift key, you can immediately draw another line from the end point of this line.


Adding Individual Events

Hyper Editor > Operation > Adding Individual Events

Use the pencil to add individual events. You can alter the added value even before you release the mouse button. The pencil is preset as the second tool (right mouse button).

Fix Value

If you place a check in the Fix Value checkbox, you can prevent the height of any event beam being altered with the mouse pointer or pencil.

When adding events with the pencil, all the added events are given the value of the previously-selected event. This allows you to draw a succession of events with the same value.

By selecting an event with the pencil, you can adopt this value as a preset, because in fix value mode it is impossible to alter the value by clicking on it.

When adding events with the crosshair tool, the preset value is always used as the start point of the line.


Introduction

Matrix Editor > Introduction

The Matrix Editor is used to graphically edit note events. Its advantage over the other editors is its ability to provide a more precise display of the length, position and velocity of the notes. The Matrix Editor is designed for fine-tuning the positions and lengths of notes.

Opening the Matrix Editor

To open a Matrix Editor window showing the contents of the selected sequence, select Windows > Open Matrix Edit (ctrl 6) or a user-defined key command (Open Matrix Editor).

The optional parameter field contains the standard buttons and the toolbox. Like the Arrange window (and the Hyper and Score Editors), there is a Bar ruler at the top edge . To the left of this (just as with the Transport window), you can define the sub-division . The vertical screen keyboard indicates the pitch of the notes, which are displayed as beams. In the upper left corner you find an information display showing various types of information depending on the situation.


Display

Matrix Editor > Display

Notes are the only events shown in the Matrix Editor. The beams (and the way they can be edited) are very similar to the sequences in the Arrange window.

Pitch/Note Names

The pitch is indicated by the vertical keyboard on the left side. To help you with positioning, there are horizontal lines running across the screen between notes B and C, and notes E and F.

If a mapped instrument sequence is being displayed, the names of the notes being played will appear on the vertical keyboard instead of the notes "C" and "F".

When a mapped instrument note is being moved, its name is displayed in the Info Line.

Position

You can read the position of a note in the bar ruler. The background is marked by vertical lines to assist with positioning - the defualt values are:

  • A straight line at every bar,
  • A dashed line at every beat, and
  • A dotted line at every division (you can alter the division value in the Transport window, or up on the left in the parameter area).

Velocity

The velocity of a note is portrayed by a horizontal line in the note. The length of the line in relation to the total length of the note corresponds to the velocity value of the note (in relation to the maximum value of 127).

In addition, if View > Sequence colors is disabled, the Matrix Editor shows the velocity of notes by using different colors.

This makes it very easy to see at a glance what range of velocities are contained in a sequence.

If you change the velocity of MIDI notes with the V tool, you will notice that the color of the notes change as you do it.

Sequence Colors

When View > Sequence colors is activated, the notes will be displayed in the color of the sequences that contain them. In this way, as a rule, the Notes can be edited more easily.

Matrix Color Setup

The Matrix Editor features a grid, that follows the pattern of the white and black keys of the keyboard on the left hand side.
To enhance visibility, particularly when working at high resolutions select View > Matrix Color Setup.
The colors of the Matrix window grid, background, lines etc. can be adjusted for both the "White", and "Black" Background views.

Other Display Options

All other display options are covered in the section Display Functions. In the Matrix Editor, you will often want to move the visible section (using the scroll bars), and alter the display zoom (with the zoom bars and magnifying glass).


Editing Notes

Matrix Editor > Editing Notes

You can use the same intuitive editing functions as for the sequences in the Arrange window.

There are also some editing options which are available in all editor windows. These are covered in the section Edit Functions.

Selection Techniques

In addition to the usual selection options, you can select all notes of the same pitch throughout the whole sequence by clicking the corresponding key on the screen keyboard.

If you hold down the mouse button, you can also draw (rubber- band) a pitch range over the screen keyboard, and select all the notes within it.

Quick Opening of Event Editor

A double click on a note opens the event editor.

Functions

For a description of all the other functions of the Matrix Editor, such as automatic length correction, and selective deleting/copying, please refer to the section General Functions of the Editors.


Creating Notes

Matrix Editor > Editing Notes > Creating Notes

To create a note, click with the pencil at the desired point in the background.

Duplicating Notes

To copy an existing note to another position or pitch, first click the original note with the pencil (near the middle).

Now, any notes which you create by clicking the background will have exactly the same length and velocity as the original note.

Deleting Notes

You can delete selected notes by pressing the backspace key, or clicking on them with the eraser.


Moving Notes

Matrix Editor > Editing Notes > Moving Notes

You can move selected notes by grabbing them (near the middle) and dragging them. If you move notes vertically, they will be transposed, and if you move them horizontally, they will be moved in time. While you keep the mouse button held down, the target position and pitch are shown in the Info Line at the bottom.

When you move notes horizontally, they snap to the division positions (you can alter the division setting whenever you want).

Remember that you can limit movement to one direction to avoid accidentally transposing notes when moving them vertically (and vice versa). (Options > Settings > Global Preferences: Limit Dragging to one direction in Matrix and Score).

Setting a Finer Grid

When moving notes in the Matrix window, you can make fine adjustments at a high resolution, by holding down the alt key as you drag. The exact resolution will depend on the current Zoom setting of the window.

If you hold down the alt +shift keys, you can move the notes in tick steps, completely independently of the Zoom setting and the time grid.


Copying Notes

Matrix Editor > Editing Notes > Copying Notes

Hold down the ctrl key as you move the notes.

This allows you to copy or move notes between two Matrix Editor windows, even if the windows belong to different songs.

Of course you can also copy (Edit > Copy or ctrl c) or move (Edit > Cut or ctrl x ) the notes onto the clipboard, and then paste them at the current song position, with their original pitch (choose Edit > Paste or ctrl v ).


Altering length

Matrix Editor > Editing Notes > Altering length

To alter the length of a note, grab it by its bottom right-hand corner, and drag it to the required length. While you are altering the length, the Info Line will keep you informed of the precise length of the note.

Note start edit

The head of a note (start-point) can be changed while keeping the original end-point. This is done by grabbing and dragging a note at the bottom left corner. This function is similar to adjusting the startpoint of a sequence in the Arrange Window.

Altering the Lengths of Several Notes Simultaneously

You can adjust the lengths of several selected notes at once (e.g. a chord), by simply altering the length of one of them. The relative differences in lengths of the selected notes will be maintained.

Making Notes End Simultaneously

Hold shift while altering the length of a note, to make all selected notes end at the same time.

Making Notes the Same Length

If you want to make several selected notes the same length, hold down ctrl shift (as in the Event List, when making several parameters the same value).

What Tools to Use

When altering note lengths, you can use either the mouse pointer or the pencil. However, it is better to use the pointer, because you might accidentally create new notes with the pencil.

With very short notes, it can sometimes be difficult to grab the bottom right corner. In this case, you should use the index finger tool, which allows you to grab notes anywhere to alter their length.


Altering velocity

Matrix Editor > Editing Notes > Altering velocity

To alter the velocity value, click on the note with the V tool. The Info Line will then indicate the velocity value of the note you have clicked on.

If you hold down the mouse button, you can alter the velocity by vertically moving the mouse. If the MIDI Out function is switched on, the note will be output every time you alter the velocity.

Altering the Velocity of Several Notes

All selected notes can be altered simultaneously; the differences in the velocity values will be retained. If the velocity value of one of the selected notes reaches an extreme value (0 or 127), you can't go any further.

However, by simultaneously pressing the alt key, you can carry on altering the velocity values until the clicked note reaches an extreme value.

To give all the notes the same velocity value, hold down the alt +shift keys as you alter the value.


Muting

Matrix Editor > Editing Notes > Muting

The Matrix editor features a Mute Tool allowing to mute specific notes in a sequence.

To mute a note, click with the Mute Tool on it. This will mute/un-mute it. Muted notes appear greyed out.

With the Mute Tool clicking on a piano key to the left of the Matrix Editor will mute/un-mute all notes of that particular pitch.

With the Mute Tool click and drag on the background to perform a rubber band selection of multible notes. (Hold down SHIFT to create non-consecutive selections.) Clicking on one of the selected notes will mute/un-mute all selected notes.

The command Select Muted Objects is available in the Matrix editor. It allows the selection of all muted notes in a sequence.


Multiple Sequence Edit

Matrix Editor > Multiple Sequence Edit

The Matrix Editor can display all sequences from a folder, or those for an entire song, simultaneously.

Display of all Sequences

Double-clicking on the background, changes the Matrix Editor to show all sequences. The beginning of each sequence is shown by a vertical line, in the color for that sequence.

A Matrix Editor window with activated (Same Level) link function (single click on the chain link button) shows all the sequences in the folder shown in the Arrange window, or songs.

Hide Notes of Non-Selected Sequences

By selecting View > Show selected Sequences Only, you can limit the display to notes in sequences that are selected.

Display of Individual Sequences

Double-clicking on a note changes the display level again, and will show only the sequence containing that note.
A repeated double-click on a note opens an Event List window .

A Matrix Editor window in Show Contents link mode (double-click on the chain link button), shows the contents of a single sequence selected in the Arrange window.

The following text assumes that all sequences are displayed.

Selection

You can create a selection over multiple sequences, move events, lengthen, or apply functions as required.
Selecting a note in the Arrange window causes the relevant Sequence to be chosen.

Info-Bars

When an individual sequence is represented, the Info-Bar will show the number of selected Notes.
When all sequences from a folder or song are displayed, the Info-Bar shows, next to the number of selected Notes, the number of sequences, from which the Notes are selected. For instance:

- 8/2
8 Notes are selected from 2 Sequences.

When notes from only one sequence are selected, the sequence name is shown next to the number of selected Notes. For instance:

- 3/Piano
3 Notes are selected from the sequence "Piano".

When no Notes are selected, the Info-Bar shows the name of the last selected sequence. Using the Pencil will insert Notes into this sequence. For instance:

- Piano
No notes have been selected. Using the Pencil will insert notes into this sequence.


Hyper Draw in the Matrix Window

Matrix Editor > Hyper Draw in the Matrix Window

In the Matrix and Score Editors you can use the View > HyperDraw... command to open a HyperDraw display. This allows quick and easy editing of controller data in relation to note data.

Once you have opened the HyperDraw display, you can select the type of event you want displayed, using the arrow menu on the left.

You can adjust the size of the HyperDraw display by grabbing, and vertically moving the dividing line.


Introduction

Score Editor > Introduction

Logic's Score Edit window basically serves two purposes:

  1. As a MIDI editor for users who prefer to use traditional music notation as an interface for MIDI sequencing. Input, editing, copying or deleting of MIDI events and changing their musical position can be done directly in the Score window. One can also change between different display levels. (i.e., view single or multiple parts at once)
  2. To prepare and produce printed music. The number of staves in a score is only limited by the paper size. Also, each staff can contain up to 16 independent ("polyphonic") voices.

In addition to the notes (which always represent MIDI events), numerous musical symbols can be inserted. Text (and thereby any symbol which is part of a text font) can also be integrated into the music.

Single pages, or parts thereof, can be exported to graphic or text based programs, using the camera tool. The selected area can be saved as a graphic file, or copied to the clipboard, and then imported or pasted as a picture in another program. This is especially useful for preparing teaching material.

MIDI sequencing and preparing music for printout are closely related in Logic. Recorded MIDI notes are immediately displayed in the score. On the other hand, notes which are inserted with the mouse on the screen, or changes to existing notes are immediately reflected in the MIDI playback.

Opening the Score Edit Window

There are several ways to open the Score window:

  • Main menu Windows > Open Score
  • Key command Open Score Window (Default: ctrl 3 ).
  • Double click on a sequence in the Arrange window, if Double Click Sequence to Open Score in Arrange is selected in Options > Settings > Global Preferences.
  • To recall an already opened window (which is hidden by other windows), select that window's name in the main Windows menu, where all currently opened windows are listed.

Several Score windows can be open at once. This can be used for example, to display different groups of instruments, by using different Instrument Sets.


Elements of the Score Edit Window

Score Editor > Elements of the Score Edit Window

Here's an overview of the Score Edit window's elements and their names, as used in this help book.

Along the left-hand side:

• Buttons for Catch, Link, MIDI In, MIDI Out and Page Edit view

• Instrument Set Box

• Display Parameter Box

• Event Parameter Box

• Toolbox

• Partbox (groups and individual)

Along the top margin:

  • Bar Ruler (linear view only)

The main working area:

optionally with:

  • Instrument name display column on the left side
  • Hyper Draw area at the bottom (only possible in single sequence view and with linear display)
  • Page Rulers (only in page view)

The various options for changing the display of these elements are described in the section General Appearance of the Score Edit Window.

Positioning the SPL Directly in the Score

The Song Position Line can be set directly in the Score window by clicking into a staff at the desired position, while pressing the ctrl -key. This function is only available when the sequencer is stopped. It is especially helpful in Page view, where no bar ruler is displayed. The selected position is displayed in the info line as long as the mouse button is pressed.


Notation Concept

Score Editor > Notation Concept

MIDI sequencing and score display are closely related within Logic. Every note in the score represents a MIDI note event. MIDI sequences are interpreted for display by Logic, using methods that can be influenced by the user to a great extent. The goal is to retain the feel of real time recordings, while still rendering a readable score.

If notes are put into the score using the mouse or step input, they are also played back via MIDI, since they represent MIDI events.


Basics

Score Editor > Notation Concept > Basics

Recorded sequences are automatically displayed in the Score window. If you like the sound of the playback, but not the score display, you can usually get the desired result by changing some of the settings in the Display Parameter Box, in the different Song Settings dialog windows, or Note Attributes. You can control the display even further by selecting or creating Score Styles, Instrument Sets, and Text Styles, which best fit your music.

If you generally prefer mouse input, you first have to create one or more empty sequences in the Arrange window, using the Pencil tool . These will then be displayed as empty staves in the Score window. Rests are usually displayed automatically in Logic, and don't need to be inserted.

If you want to use the mouse to insert new notes into a previously recorded sequence, you can select a rhythmic note value from the Partbox, and drag it to the desired bar and pitch position, in any of the visible staves.

No matter which input method you decide to use, the selected display settings will always be applied to the inserted MIDI events. This means for example, that a thirty-second note can only be displayed if the Qua parameter in the Display Parameter Box of the corresponding sequence is 1/32, or shorter. If that value is set to1/8, an inserted 32nd note will be displayed as an eighth note (but will still play back as a a 32nd). The display is also affected by the Interpretation setting in the sequence's Display Parameter Box. These settings can be different for each sequence, even for sequences on the same track. To use different display parameter settings in the same staff, just cut the sequence with the Scissors tool. Now you can assign different display settings to the resulting shorter sequences, although they will still be displayed as one uninterupted staff. MIDI playback will not be affected by this procedure.

The Partbox contains many symbols which can be inserted into the score, in the same way as notes, by dragging them into position with the mouse.

The printed result always corresponds to what you see in the selected Score window (Page Edit view must be activated). Layout work should be done in page and print view, after all the notes and most of the symbols have been recorded or inserted.


Staff Display...

Score Editor > Notation Concept > Staff Display...

...in Relation to Position and Length of Sequences in the Arrange Window

Sequences in the Arrange window represent parts played by certain instruments (symbolized by the tracks), and are displayed as staves in the Score window. However, depending on which Score Style is used, an instrument's notes can also be displayed in a staff system containing two or more staves (such as a two staff system for a piano part).

Each of these staves or (in the Arrange window) tracks, can contain an (almost) unlimited number of sequences. If the sequences on one track directly follow one another in the Arrange window (with no gaps between them), they are displayed as one continuous staff in the score, unless you have limited the view to a single sequence, by engaging content linked mode. In linear view, you will still see clefs, time and key signatures at the beginning of each sequence, but these disappear as soon as you change to Page Edit view.

The Display Parameters for each of these sequences can be set independently. This allows you to influence the visual display of sequences recorded in real time in a very flexible way, especially concerning the display of rhythmic values. If necessary, sequences can be divided into several pieces with the Scissors tool (available directly in the Score window), allowing you to assign different display parameters to each resulting part, because each is now an independent sequence.

It is always very obvious which sequences are selected: Selected sequences are displayed with blue stavelines (unless this option is deactivated in the Score Preferences).


Alia in the Score Display

Score Editor > Notation Concept > Alia in the Score Display

Alias (pl. Alia) is a term used for objects in the Arrange Window which are not independent sequences, but only "mirror" other sequences at different positions and/or tracks. Wherever an Alias exists, its original sequence is played back.

Alia are also displayed in the Score Edit Window and will also be printed. Alias Display can be switched on or off via Layout > Global Format > Show Alias.

An Alias can be assigned a different Score Style than its original sequence. For example, a melody played in unison by several instruments can be handled as a regular MIDI sequence and several Alia of that sequence. Different Score Styles can be used for the different instruments, also transposing Score Styles. If you decide to change something in the melody, you don't have to edit all the copies of that melody, but just make the change in one sequence. That change will automatically be reflected in all Alia of that sequence.

Alias Editing

If Layout > Global Format > Allow Alias Editing is switched on, you can directly edit the notes and symbols in the displayed alias. Please beware: you are thereby editing the original sequence and all alia created from it, because only the original sequence can actually contain MIDI data.

If Allow Alias Editing is switched off and you try to edit an alia, you will get a dialog that will offer you the following options:

  • Cancel: the alia and the original sequence remain untouched.
  • Enables Alias Editing: Alias Editing is enabled; when editing you are actually editing the original sequence.
  • Copy Sequence: A true copy of the original sequence is created. You can now edit the notes independently from the original sequence, because the alia is turned into a real sequence.


Basic Elements for Score Display

Score Editor > Notation Concept > Basic Elements for Score Display

The following elements and their parameters form the basic concept for the score display in Logic.

Instrument Sets

Instrument Sets allow you to control which instruments will be displayed (and printed) in a score. You can include as many (or few) of the existing track instruments into a score as you like. The order of the instruments can be arranged independently of their order in the Arrange window. You can assign names and abbreviated names to each track instrument independently from the actual track instrument names in the Arrange window. These will then be displayed in the score. You can also define which staves in the score will be connected with brackets and bar lines, to form groups of instruments in the score.

Any single instrument can quickly be extracted from the score, by selecting it from the flip menu which appears when you click on the Instrument Set Box, while holding down the ctrl -key. This way, you don't have to create an Instrument Set for every single instrument in order to produce parts. The automatic line breaks and the individual stave margins can be changed for each Instrument Set individually. For details please see the section Instrument Sets.

When you open a new Score window with several sequences selected in the Arrange window, an Instrument Set will automatically be created and displayed in that Score window, which only contains the instruments belonging to the selected sequences.

Score Styles

Each Score Style contains a collection of score settings. Their function could be compared to that of text formats in word processors and layout programs. Instead of text settings however, Score Styles contain the staff size, display transposition, stave distance, number of independent voices etc. So, instead of having to define all these settings each time a new sequence is created or recorded, any desired Score Style can be assigned to that sequence. Any number of Score Styles may be created and assigned to individual sequences. There are also a lot of Score Styles already included in the template files that come with Logic, and in Logic's default song. For details please see the section Score Styles.

Text Styles

These are predefinable text formats for all types of displayed text.

Display Parameter Box

The parameters in the Display Parameter Box mainly affect the rhythmic display of the selected sequences. They can be different for each sequence. Some of these parameters can be overridden for individual notes, using Note Attributes.

Song Settings

In the Song Settings window you can set general display options, which affect the whole song. These include spacing between notes, page margins, line thickness, display of instrument names, bar and page numbers, and a lot more.

Note Attributes

The Note Attributes affect single notes or-when assigning them to a group of notes-all selected notes at once. For each note, the following parameters can be defined individually:

  • Enharmonic changes.
  • Settings for Interpretation and Syncopation, independent from the settings in the Display Parameter Box.
  • Stem direction, tie direction, and beaming, independent from the settings in the used Score Style.
  • Display as an Independent Note , which excludes the note from the measure's overall rhythmic calculation.
  • Horizontal graphic offset from the default position.
  • Change of accidental distance.
  • Change of note size, and form of the note head.


View Menu

Score Editor > General Appearance > View Menu

Here you can activate and deactivate the following display options by selecting the corresponding menu entries. Activation is indicated by a check mark:

Colors

The entries in this menu set the color mode for the active score window. These settings here always have priority over all other color settings.

  • Normal or Individual means that colors are assigned according to the color settings in Score Styles and Note Attributes. As long as those haven't been changed in new songs, this will result in a regular black & white printout and black notes on yellow background on the screen.
  • Show Pitch applies colors according to the pitch of notes. The colors for that can be edited in a special window that open via the menu Layout > Colors. There you can also determine whether notes with accidentals will have the same color as without accidentals, or if each note in the chromatic scale will have its own color.
  • Show Velocity applies eight different colors according to MIDI velocity. Also these colors can be edited in Layout > Colors.
  • Show Voice Assignment assigns different colors to different Voices. This only makes sense in Score Styles that contain more than one Voice. This mode employs the colors of the user palette, which can also be found and edited in Layout > Colors.
  • Force Black&White does exactly that. This mode is useful when color options have been used in Score Styles or colors have been assigned to notes using Note Attributes, but one wants to print a regular black & white score and then return to the colored display.

Page Edit

Note: a quicker way of changing between Linear and Page Edit view is to click on the -button in the upper left corner, or use the corresponding key command.

For editing, you should use linear view, since screen redraws are much faster, especially on slower computers. Page view should only be used for layout work in preparation for the actual printout.

When you work in Page view mode, you can jump directly to any page, using the key command Go to Page. The Song Position Line will be automatically set to the beginning of the selected page, unless the sequencer is running when you execute this command. In this case, Catch mode will be turned off.

In Page View mode, Logic will automatically display as many pages next to each other as possible, according to the size of the Score Edit window and the current zoom level.

Print View

Print view will also show the page margins on the screen (only if Page view is activated). Note: the yellow area on the screen represents the printable area (which also depends on the printer used), not the actual sheet of paper.

Explode Folders

Displays the contents (sequences) of all lower display levels (folders), together with sequences of the current level.

If this option is not activated, folders are displayed as gray beams in linear view. In Page view, they are not visible at all. As with the other windows, the contents of a folder will appear when you double-click the gray beam that represents it.

Explode Polyphony

Displays every voice of a polyphonic Score Style on a separate staff. In general, this is not intended for printout, but for convenient editing of polyphonic voices.

Scroll in Play

Changes Logic's scrolling behavior when Catch is activated: the current song position is always kept in the middle of the window, so instead of the Song Position Line, the score display itself is moved around the SPL, which stays in the center of the screen.

Partbox

  • Show All Groups: If this is deactivated, only the Partbox Group currently selected in the top section of the Partbox appears below it.
  • Lock Group Positions: This allows you to lock the order of the Partbox Groups. Otherwise, the group of the last selected object is always moved up to the top of the lower section of the Partbox.

Toolbox

Hides/Shows the Toolbox on the left side of the Score window. As in all Logic windows, the Toolbox also pops up at the current cursor position any time you use the corresponding key command (default: esc ). After selecting a tool, or pressing esc once more, it will disappear again.

SMPTE Time Ruler

Displays SMPTE timecode positions in the bar ruler (only in linear view). If there is enough vertical space, it will show both bar and timecode positions.

Parameters

Hides/Shows the left column of the Score window (Display Parameter Box, Event Parameter Box, Partbox etc.).

Instrument Names

Hides/Shows the names of the used track instruments, to the left of the score display.

Page Rulers

Hides/Shows rulers in Page Edit view. Measurement units can be centimeters or inches.

White Background

Switches between a white and colored background.

Hyper Draw

If you activate one of these options, a Hyper Draw area appears at the bottom of the main working area allowing you to easily insert control data. You can change this area's height, by dragging the borderline vertically with the mouse. Note that Hyper Draw in the score is only available when single sequences are displayed in linear view.


Other Options

Score Editor > General Appearance > Other Options

Adjusting the Borders between the Different Areas

You can move the left and upper borders of the main working area, by positioning the cursor on one of the border lines, and click-dragging it. During these operations the cursor becomes a tool with two or four arrows. There are three possibilities:

  • On the left side, you can alter the width of the columns containing the parameters, (mainly changing the appearance of the Partbox Groups), and the instrument names.
  • Along the upper border, you can create vertical headroom. This is useful for working on parts containing very high notes, or symbols above high notes (like slurs), which might not be visible otherwise, and therefore could not be edited.
  • In the upper left corner of the main working area, you can change the width of the parameter column, and the height of the bar or page ruler. If View > Instrument Names is activated, the width of the instrument name column can also be changed.

Parameter Boxes

Both the Display Parameter Box and the Event Parameter Box can be reduced to display just their title lines, by clicking on the triangle in the upper left corner of each parameter box.

The Main Working Area

The appearance of the score display depends on:

  • The settings of the Link and Catch buttons
  • The selected Instrument Set
  • Page or Linear view (menu View, and/or button to the right of the MIDI Out button)
  • Zoom level
  • Explode Folders on or off
  • Explode Polyphony on or off
  • Hyper Draw on or off


Input Methods in the Score Window

Score Editor > Input Methods in the Score Window

There are several ways to input notes and symbols in the Score window:

  • Real time MIDI recording (notes and sustain pedal markings only)
  • MIDI step input (notes only)
  • Mouse input from the Partbox (notes, text, and all symbols)
  • Insertion of copied events (all, except global objects)
  • Fast input of symbols by assignment to selected notes with key commands. These are available for some symbols which are attached to notes (accents, Jazz symbols etc.), and slurs or crescendi.
  • With Hyper Draw, you can also insert and edit MIDI events which are not normally displayed in the Score window at all, like continuous controller data (i.e. volume, pitchbend etc.).

The various input and insertion methods can be combined. With all input methods, however, you should always keep in mind that MIDI playback is also influenced by the settings in the Sequence Parameter Box and Instrument Parameter Box in the Arrange window. Settings in the Environment may also affect MIDI playback, if you have configured it to do so.


Score Display Options - a Survey

Score Editor > Score Display Options - a Survey

With a few exceptions a printed score is always identical to the Page Edit view display in the currently active Score window.

The display, again, depends not only on what has been recorded or inserted, but to a great extent on the chosen display settings. Since there are a quite a few, each affecting only certain aspects of a song's display, here is an overview of the various settings. These are organized into groups, according to how much they influence the overall display. Detailed explanations of the following terms are given on the indicated pages.

Settings which affect all song files:

  • The Score Preferences
Settings which affect the score display of one song file:

  • Page format, and printer driver

Song Settings (menu Layout):

  • Global Format
  • Clefs & Signatures
  • Extended Layout Parameters
  • Numbers & Names
  • Guitar Tabulature...
  • Text Styles...
  • Score Styles...

Settings which can be assigned differently for each Score window, and therefore allow different score displays within the same song file:

  • Display levels: Content Linked, Linked or Not Linked
  • Explode Folders
  • Instrument Set: selection and order of the displayed instruments
  • Explode Polyphony
  • Linear view or Page Edit view (printout can only be started from Page Edit view)
  • Zoom levels (does not affect the printout)

Settings which affect the score display of a particular sequence:

The parameters in the Display Parameter Box:

  • Score Styles...-selection
  • Display quantization ("Qua")
  • Interpretation
  • Syncopation
  • No Overlap
  • Max. Dots
  • Special case: Score Off in the Extended Sequence Parameters

Settings which can be changed for each note individually, regardless of the default settings:

  • Accidentals: Enharmonic Shift
  • Accidental Position (distance to note)
  • Beaming of notes
  • Stem Direction
  • Interpretation
  • Syncopation
  • Tie Direction
  • Note head appearance (Head)
  • Treating a note as Independent Note or Independent Grace Note
  • Note size (Size)
  • Horizontal Position: Graphic positioning
  • N-Tuplet settings (Tuplets)


Printout

Score Editor > Printout

For printing, it is important that you first choose the appropriate paper size and format in the menu File > Page Setup... The Score window with the intended print view has to be the active window. You start printing by selecting File > Print..., or use the corresponding key command (default setting ctrl P ). There will be a dialog box, which will vary slightly from printer to printer. Depending on the printer, there may be some additional options, such as which pages you would like to print, or the number of copies.

The printout is always identical to the Page Edit view display in the Score window. The following items however are not printed, but are only visible on the screen:

  • The dashed lines which represent page and header margins, and borders between staff systems
  • Cursor, Song Position Line
  • Colors (page margins, stave lines of selected sequences)
  • Hidden time signature changes
  • Hidden note heads (displayed grey on the screen), and their ties
  • Hidden bar lines (displayed as dashed lines on the screen)
  • Hidden N-Tuplet numbers
Printers work with higher resolution than monitors. Therefore, you should work in high zoom levels when doing layout work that requires precision, such as positioning symbols and text elements.

It is very easy to change back and forth between a normal and extremely enlarged view of the display, by using the Magnifying Glass tool (shortcut: rubber band selection while holding down alt , to enlarge the selected area).

Using external Symbol Fonts for Display and Printout of Notes and Symbols

You can use the Sonata font by Adobe (TM), the Jazzfont www.jazzfont.com and the Swingfont (not included with Logic), instead of Logic's internal score font, for display and printout of notes and symbols . The external font must be properly installed in your system. Activate Options > Score Preferences > Use external Symbol Font (if available) and choose the font you wish to use in the corresponding flip menu.

Since screen display with some of these fonts is rather hard to read (especially at smaller zoom levels), there is also an option to use the external font just for the printout. Select only for Printout in the applicable Score Preferences option.


Graphic Export

Score Editor > Graphic Export

BMP Export Using the Camera Tool

You can save a part of a Logic score page (or a whole page) as an image (BMP format), and paste it into documents created with other programs (like word processing and DTP software). Use the Camera tool to select the desired score section, using the "rubber band" selection technique. As soon as you release the mouse button, Logic creates a BMP file, (or copies the selection to the clipboard-see option below) encompassing the area you dragged the Camera tool over. This function is available only in Page Edit view.

There are some related settings in Options > Score Preferences:

- Graphic Export Resolution

Determines the resolution of the exported image file. This can be set between 72 and 600 dpi.

  • If the image is intended for use on a computer screen only, use the low resolution (72 dpi).
  • If the image is intended for a document that will be printed, select your printer's resolution.
- Graphic Export to (flip menu)...
  • Clipboard: The image is copied to the clipboard and can be pasted directly into other documents, without saving it as a separate file.
  • BMP-File: The image will be saved as a BMP file. You'll be given a file selector box, to assign a file name and path.


Real-time MIDI Recording

Score Editor > Real-time MIDI Recording

Although real time MIDI recording is usually done in the Arrange window, you can also start recording directly while working in the Score window. You must first select the destination track in the Arrange window's track column. In the Score window, this can be done by clicking on a staff which belongs to that track. If there are no sequences on the track to be recorded, you will have to switch to the Arrange window for the recording, since the track is not yet displayed in the Score.

If you want your recording to become part of a previously existing sequence (i.e. because you use score template files), select the menu ..., and activate Merge New Recording With Selected Sequences, before starting to record. Also, make sure that the destination sequence is selected, otherwise Logic will create a new sequence on the same track, which will probably overlap the existing one.

The display of the recorded notes depends on:

  1. The score display settings, especially those in the Display Parameter Box and the Note Attributes. Please read the corresponding sections in this chapter.
  2. The Quantize and Transpose settings in the Arrange window's Sequence Parameter Box:
Logic creates a score display based on the MIDI data, including any changes caused by these two playback parameters.

An example: if Transpose in the Sequence Parameter Box is set to+2, a note that initially (when recorded) was a C will be played back and displayed as a D. The same applies to playback quantization with the exception of notes that were "dequantized" using the Quantize tool, or the corresponding key command.


Step Input

Score Editor > Step Input

Step Input in the Score window works the same way as in the other editor windows.

The Score Editor window, however, is the only editor (besides the Matrix editor) where the content of several sequences can be displayed and edited at once. This is why there are some differences concerning Step Input in the Score window:

  • The sequence into which you intend to insert notes has to be selected (click on the staff). If there is no staff yet, you must first create an empty sequence in the Arrange window.
  • Simultaneous step input into several sequences is not possible. If more that one sequence is selected, the notes will be inserted into only one sequence.
  • If several sequences on the same track in the Arrange window follow one another, even with gaps in-between, you can insert notes using step input from one sequence to the next. As soon as the Song Position Line reaches the beginning of the next sequence, Logic will insert the notes into that sequence automatically.


Mouse Input

Score Editor > Mouse Input

In order to insert notes, symbols and text elements (called Objects in the following sections) with the mouse, there has to be a staff into which these objects can be inserted. Each staff (even an empty one) is the direct representation of one or more sequences. Empty sequences can be created with the Pencil tool in the Arrange window, where their length and position can also be changed.

These empty sequences are displayed in the Score window as empty staves, with automatically displayed rests (unless the automatic rest display is deactivated in the assigned Score Style) .


Input

Score Editor > Mouse Input > Input

For mouse input, you first have to select an object in the Partbox, and then drag it to the desired position in the main working area. As a positioning aid, you will see an Info Line, at the bottom margin of the main program window, as long as you are "holding" the object with the mouse. Now move the mouse with the button pressed, until the desired position is shown in the Info Line. Release the mouse button. At smaller zoom levels, it's especially important to use the Info Line to find the correct position.

When you are working in full score view, and insert objects between the staves (such as dynamic symbols), you should make sure that these symbols have been inserted into the desired sequence/staff. Immediately after inserting an object, the sequence into which you inserted the object will be selected, and therefore be displayed with blue stavelines. You can also see its name in the top line of the Display Parameter Box.

In general, it is better to change to single staff display (double-click on the staff), for inserting objects which are positioned between staves (especially lyrics). Although in full score mode it does not matter to which sequence an object belongs, since they stay where you put them, such objects can be displayed with the wrong instrument, when single instrument parts are displayed and printed later.

All Partbox Objects and their particular features are described in detail in the section The Partbox.

In the Event List, notes and sustain pedal markings are listed as MIDI Events, most other symbols and text objects as Meta Events. Global symbols, global text elements, time, and key signature changes are not listed in the Event List. Symbols which are attached to notes (accents, noteheads etc.), are not listed as events in the Event List, but are saved with the notes they belong to.


MIDI Channel and Velocity of Inserted Objects

Score Editor > Mouse Input > MIDI Channel and Velocity of Inserted Objects

The MIDI channel and velocity of objects inserted with the mouse, are determined by the Insert Defaults settings in the Event Parameter Box. These Insert Defaults are visible (and can be edited), when no object is selected. Click anywhere in the background of the working area to display this status.

Make sure that "Insert Defaults" is displayed in the top line of the Event Parameter Box.

When inserting events into a staff which uses a Polyphonic Score Style, only MIDI channels corresponding to one of the voices can be used.

Many symbols besides notes (all Meta Events), have a MIDI channel in the Event List. Some of them even have a velocity parameter. These parameters vary in the Event Parameter Box: for most objects, the MIDI channel results in a Staff parameter, which for Polyphonic Score Styles determines to which staff (theoretically up to 16), the symbol belongs. BE CAREFUL: if this parameter is set to a number higher than the number of staves in the Score Style, the symbol will become invisible.


Insert Quantization

Score Editor > Mouse Input > Insert Quantization

To make positioning of notes and symbols easier, objects can only be inserted at certain bar positions:

  • There is an invisible grid for positioning of notes . You can imagine its resolution as if the whole bar-beginning at beat one-were filled with notes of the chosen value. An example: in an empty 4/4 measure, half notes can only be inserted on one and three, eighth note triplets only on the first, second or third eighth note triplet of every beat.
  • In addition, all binary and dotted values can be inserted at any position of an automatically displayed rest. This means that if there is an eighth note on one, you can insert a quarter or a dotted quarter note at the second eighth's position. (In this case Interpretation has to be turned off in the Display Parameter Box, to allow the eighth note rest on the "and" of beat one to be displayed). The Syncopation setting will determine how the inserted note in this example is displayed .
  • Symbols (except those directly attached to notes) can be inserted at any position which corresponds to the grid defined by the Qua parameter. For hybrid quantizations (i.e. 8,12), the insert quantization is determined by the binary value (in this example 1/8).
However, you can move any note, and most symbols, to any desired position, by editing its numeric bar position in the Event List, or the Event Float Window. For example, if you want to insert a half note on "two" in 4/4 time, place it on "one" or "three", and change the position to "two" in the Event Float.


Simultaneous Input of Objects into Several Sequences

Score Editor > Mouse Input > Simultaneous Input of Objects into Several Sequences

If you hold down the shift -key while inserting an object from the Partbox, the object is inserted at the same position into all currently selected sequences . The Info Line will display Insert Multi during this process. With this technique, you can insert notes, symbols, and even text elements into several sequences at once. (Text elements will not appear until you have finished the text input procedure).

You may make the multiple sequence selection in either the Arrange or the Score window. shift -click all desired sequences/staves, or use the rubber band selection technique with the mouse. In the Score window, you don't have to select events, just drag the cursor vertically across the staves that you wish to select.

After selection, the Display Parameter Box will indicate how many staves (sequences) are selected, in its top line.

Key changes, signature changes and global signs automatically are inserted into all staves of a song, and cannot be inserted into selected staves only.


Exact Graphic Position of Symbols

Score Editor > Mouse Input > Exact Graphic Position of Symbols

When you insert a symbol which is not automatically attached to a note, you should pay attention to the following details:

All symbols are inserted at the bar position which is indicated in the Info Line, when you release the mouse button at the end of the input process. This will also be the position indicated in the corresponding Event List line. Apart from the bar position, there are also parameters that affect the graphic offset from the inserted bar position.

These are shown in the Event Parameter Box, where they also can be edited (vert. pos, hor. pos). The measurement unit of these two parameters is one sixteenth of the distance between two lines in a staff, so these distances will be scaled accordingly when the Size of the staff (defined in the selected Score Style) is changed.

When you insert symbols, make sure that the bar position really is identical with the graphic display position. If, for example, you work with small Spacing parameters (in Layout > Global Format), a "Forte" symbol which you put under a note on one, may be interpreted as being on two, with a negative hor. pos value, because you placed it a little bit too far to the right. This does not make any difference as long as you stay on that particular display level.

However, if you switch to a different display level (i.e. for extracting the single instruments' parts), this can result in an undesired display, since those graphic position values stand for an absolute distance (defined by vertical staff size). If later, you change the Score Style, the line breaks, or some other layout parameter, a different number of bars may be displayed in one line. Since the horizontal offset (hor.pos) is calculated as an absolute distance from the new (relative) graphic display of the bar position, the Forte symbol might now be displayed at a position closer to the second beat than to the first.

The following key commands can be used to move any score symbol that can be positioned independent of notes or staves, as well as text events and chord symbols:

  • Nudge Position Up
  • Nudge Position Down
  • Nudge Position Left
  • Nudge Position Right

These functions do not alter the bar position of the affected symbols and text events, but their hor.pos. and vert.pos. parameters by +/- 1.


Hyper Draw in the Score Edit Window

Score Editor > Mouse Input > Hyper Draw in the Score Edit Window

If you activate View > HyperDraw, you can insert and edit MIDI events which otherwise are not displayed in the Score window at all, like continuous controller data (i.e. volume, pitchbend etc.). The type and channel of the MIDI data which are displayed in the HyperDraw area can be selected and changed from the View menu.

HyperDraw in the Score window operates in the same way as in the Arrange window.

In the Score window, HyperDraw can only be activated in Linear view, and if only one sequence is displayed. If you switch to another mode (Page Edit view, or full score), the Hyper Draw area disappears. However, the settings are stored, so when you return to single sequence and Linear view, the previous HyperDraw setting is recalled.

In the Score window, the HyperDraw display is horizontally scaled in relation to the score display above it. Its height can be changed, by dragging the horizontal borderline with the mouse. A corresponding value scale will be displayed in the instrument name column if View > Instrument Names is activated. As in the Arrange window, you may select and/or change the event type and MIDI channel displayed in the HyperDraw area, from the menu View > Hyper Draw.

Hint: with HyperDraw set to Note Velocity, note velocities can be displayed and edited graphically.


The Partbox

Score Editor > The Partbox

The objects available in the Partbox (notes, symbols, text objects) are organized in groups. Its top section contains small squares, each one a representation of a group. Below that, there are all the groups with all available symbols. The arrangement of groups can change. If you click on one of the squares in the top section, the corresponding group is brought up right below it, for easy access to its symbols.

However, every displayed symbol can be selected and inserted anytime. The described function only makes it easier to work with the Partbox, especially on smaller screens, or in small sized Score windows.


Selecting and Inserting Partbox Objects

Score Editor > The Partbox > Selecting and Inserting Partbox Objects

Details on Mouse Input from the Partbox are described in the section Mouse Input. There are various ways to select and insert objects :

- Selecting an object with the mouse from one of the object groups , and dragging it from there to the desired position in the score display.

If a particular object group is not visible, click on its symbol in the top section of the Partbox. This places the selected object group above all the other groups.

- Selection from flip menus in the top part : when you click-hold on one of the squares representing the Partbox groups, a flip menu containing all the symbols of that group will appear. Move the mouse up or down, until the desired object is selected (inverted display). Now, while you keep holding the (left) mouse button, briefly press the other mouse button. This closes the flip menu, and you will be "holding" the selected object. Don't release the left mouse button, just pull the object to the right, out of the Partbox to the desired position in the score display.

- Direct Insertion of an already selected symbol : if the desired symbol is already selected (indicated by its inverted display in the Partbox), there is a shortcut. Click into the staff with the Pencil tool. If you click-hold the mouse button, you will be holding the previously selected symbol. Drag it to the destination position, watching the Info Line for positioning information.

Using Floating Palettes

A double-click on one of the squares in the Partbox' top section opens a small floating window, containing all the objects of the corresponding group. This palette can be moved to any place on the screen. Objects can be taken directly from these palettes, and dragged into position in the Score. Note that unlike in the regular Partbox groups, the object selection is not visible in the palettes.

The palettes can have different shapes, depending on which modifier key is pressed while you open a floating palette with a double click:

  • Normal (with shift )
  • Vertical (with ctrl )
  • Horizontal (with right button double-click)
If you don't use a modifier key (or the right mouse button) when you open a palette, the shape depends on the corresponding setting in the Score Preferences.

As many palettes as needed can be simultaneously opened, and positioned around the screen.


Object Selection by Key Commands

Score Editor > The Partbox > Object Selection by Key Commands

The following (user definable) Key Commands will select the corresponding note values inside the Partbox. These can then be inserted quickly, using the pencil tool:

  • Partbox 1/1 Note
  • Partbox 1/2 Note
  • Partbox 1/4 Note
  • Partbox 1/8 Note
  • Partbox 1/16 Note
  • Partbox 1/32 Note

If you execute any one of these twice in succession, the corresponding triplet value is selected, three times brings you to the dotted value, and four times back to the original value.
There are also other key commands which change the selection inside the Partbox:

  • Next Partbox Symbol
  • Previous Partbox Symbol

"Next" moves the selection (similar to a text cursor) to the right, "previous" to the left. After reaching a group's last object, the selection cycles back to the beginning of the group.

  • Next Partbox Group
  • Previous Partbox Group

Here "next" moves the selection down to the object group below the current one, "previous" up, as determined by the current order of the groups. When changing to another group, the selection within will always be the object which was last selected in that particular group.


Display Size of Inserted Objects

Score Editor > The Partbox > Display Size of Inserted Objects

The size of inserted objects (except text and chord symbols) always corresponds to the size of the staff into which they are inserted (see Score Styles), and changes correspondingly if that staff's size is changed with the Score Style.

Most Objects can be made larger or smaller after having been inserted, using the Sizing tool (as can text elements, except for chord symbols). Just grab the object with the tool and move the mouse up or down. The changes will be immediately visible.


Notes

Score Editor > The Partbox > Notes

The square representing the notes, in the top section of the Partbox, is divided into three parts, since the note values are organized into three sub-groups. Each of these can be brought to the top by clicking on its corresponding symbol (note, dot, or 3).

Inserting any of those symbols creates a MIDI note event, with exactly the length of that value. For display however, all these MIDI notes are interpreted by Logic as if they had been recorded in real time. Therefore, the Display Parameter Box' settings have to be set in a way that allows the inserted notes to be displayed correctly.

If you only want to enter notes with the mouse, without using real time recording at all, switch off Interpretation and No Overlap in the Display Parameter Box, and choose a very high Qua value (i.e. 128,384). Syncopation> can be set depending on style, and personal preference.

Allowing Diatonic Input only

Select Options > Diatonic Insert to limit input to notes that are diatonically correct for the current key. Notes can be altered chromatically, once they have been inserted.

Please note: if you protect ("lock") your screensets, this function's setting will also be "locked".


Ties

Score Editor > The Partbox > Ties

Notes in Logic which are displayed as several graphical notes, connected with ties, always represent only one MIDI note. To insert such notes, you first insert a shorter note value, and change its length afterwards in the Event Parameter Box, the Event List, or the Event Float window.

Ties cannot be inserted in Logic, but are created and displayed automatically, according to the length of the MIDI note. The up/down direction of each tie can be set with Attributes > Ties.

Changing the Way Notes with Ties Are Displayed

If you don't like the way particular tied notes are displayed, you can change the display by inserting a user rest from the Partbox, at the position where you want to see a graphic note. The rest's length is not really important, preferably a shorter one like an eighth note rest should be used. Watch the Info Line, for exact positioning. As soon as the rest is inserted, it will no longer be visible in the score display, however the note display will have changed accordingly. If you want to change the position of such a rest, or delete it, you may do so from the Event List.


N-Tuplets

Score Editor > The Partbox > N-Tuplets

Inside the triplet group there is the symbol for N-tuplets.

Depending on the display quantization selected, and the particular situation, Logic usually recognizes and notates regular triplets correctly. This requires a corresponding Qua value in the Display Parameter Box). For the display of other N-tuplets, it is necessary to use the N-tuplet object.

Definition of Previously Recorded Notes as N-Tuplets

For notes that already exist (as part of a MIDI recording), but are not displayed correctly, the N-tuplet symbol has to be dragged on top of the first note. This note has to be indicated in the Info Line, before you release the mouse button. A dialog box will open, where you can define the N-tuplet's attributes:

In the score, the above would correspond to:

The dialog box can be explained most easily by using the example above: five tuplet eighth notes should be displayed in the place of four regular eighth notes. In addition, there are the following options:

- Hide Bracket : the bracket is not displayed.
- Hide Numbers : the N-tuplet's number will not be printed. On the screen, it will be displayed in parenthesis. This is necessary to be able to edit the N-tuplet further.
- Show Denominator : the N-tuplet display also contains the denominator (the second number in the dialog box). In the example above this would be 5:4.
- Direction : the direction of bracket and number. Auto refers to the setting in the used Score Style.
- Allow Double Values : if this option is activated (which is the default setting), N-tuplets can contain note values which are twice as long as the "regular" tuplet value.

N-Tuplet Input with the Mouse

If you want to insert a tuplet, including all of its notes using only the mouse, insert the first note at the desired position, then drag the N-tuplet symbol on top of it. In the automatically opened dialog box, define the settings.

Initially, the display will be of a series of rests, their number corresponding to the N-tuplet value. You may now insert the other notes at those rests' positions. Select a note value which approximately matches the length of the desired N-tuplet notes. In this example, this would be dotted sixteenth notes.

If you want to hear these notes played back with legato phrasing, and the notes are still too long or too short, you will have to change their (MIDI) lengths. The fastest way to do this is to select all the notes, and then Functions > Note Events > Note Force Legato (Selected/Any), or use the corresponding key command.

With the method described above, you can also create N-tuplets which contain rests or syncopated note values (double length).

If you want an N-tuplet to begin with a rest, you first have to insert a user rest from the Partbox, then drag the N-tuplet symbol on top of that rest. Automatically displayed rests cannot function as starting points for N-tuplets.

Changing or Deleting Existing Tuplets

A double click on the N-tuplet number opens its configuration box, where you can make changes, or use the Delete button to erase the tuplet. N-tuplets also can be deleted by clicking on the tuplet number with the Eraser tool.

Fast Input of Several Identical N-Tuplets

If you hold down ctrl as you insert the N-tuplet symbol, the last inserted N-tuplet's settings will be applied to it, without the usual dialog.

Editing Automatically Displayed Triplets

Triplets are usually displayed automatically (depending on the Qua parameter in the Display Parameter Box). If you want to change the way these triplets are displayed, you can simply double-click the "3", which opens the N-tuplet dialog box (where you can change the settings), and converts the automatic triplet to an N-tuplet. This also useful for hiding the numbers and brackets of "normal" triplets.

"Artificial" N-Tuplets to Bypass Display Quantization

You can bypass the display quantization value (Qua) by using hidden, "artificial" N-tuplets. For example, if there is a single 32nd note run in a sequence that otherwise only contains eighth note or longer values, you can set Qua to 1/8, and drag the N-tuplet symbol onto the first note of that 32nd figure. In the resulting dialog box, use the setting: 8:8/32 with Hide Brackets and Hide Numbers checked. The number (8) will be visible on screen, but not in printout.

Although this is not usually what you would use tuplets for, it can be a handy tool for forcing the display of runs of shorter notes in a sequence (1/32nd notes in this case ) whose display quantize value is set for longer note values (1/8 notes in this case).


Grace Notes, Independent Notes

Score Editor > The Partbox > Grace Notes, Independent Notes

Independent Notes are notes which are not included in the automatic rhythmic and graphic display calculation of a measure, but are still played back via MIDI at the position where they were inserted. There are two types:

  • - Independent : these are displayed with their original length, as long as they are binary or dotted note values which can be displayed as a single (not tied) note . After insertion, you can change the stem direction, enharmonic interpretation, accidental distance and note head, using the other Note Attributes functions.
  • - Independent Grace : these always are displayed as miniature eighth notes, with a slash across the stem, and with a tie. Tie direction, stem direction, enharmonic interpretation, accidental distance and note head can be changed.

Both types of Independent Notes can only appear as single notes, without any beams to other notes.

Creating Independent Notes:

  • Existing regular notes can be converted to Independent Notes with Attributes > Independent > Independent or Independent Grace. There are also corresponding key commands. Attributes > Independent > Not Independent converts notes back into regular notes.
  • If you want to insert an Independent Note directly, select a note with the mouse from the Partbox while holding down ctrl and drag it to the desired position. Independent Grace Notes cannot be inserted directly, but have to be created by converting regular or Independent notes.

In most situations, you will have to create additional graphic distance between the Grace Note and the note it is associated with. The best way to do this is to use the Layout tool to move the main note away from the grace note.

Hint: if you want to create beamed grace notes, try using a polyphonic Score Style (no rests displayed for second voice). Assign these notes to the second voice, and change their size with the Sizing tool.


Sustain Pedal Symbols

Score Editor > The Partbox > Sustain Pedal Symbols

These two symbols are the only score symbols-except for the notes themselves-which directly represent MIDI events (MIDI controller #64, sustain pedal on and off), and thus affect MIDI playback. Logic intelligently inserts the On or Off version of the symbol, depending on which type preceded it (i.e., a Sustain Off always follows a Sustain On and vice versa).


Clefs

Score Editor > The Partbox > Clefs

The clefs in the Partbox generally are intended for clef changes in the middle of a part, for a short section of the music. An example would be cello or bassoon parts, when the part changes to a higher register. Inserted clefs change the score display, starting at the precise insertion position (which can even be in the middle of a bar).

For changing the clef of a whole sequence, you should not use the partbox clefs, but choose an appropriate Score Style for that sequence.

When you insert a "C-clef", please watch the Info Line carefully, since this clef can be positioned at five different heights, depending on the register (alto, tenor clef etc.).

If you want to change an already inserted clef, double-click on it. This opens the following selection box. (The same applies to the "basic" clef of a sequence, however, changing this clef affects the Score Style itself, as well as all sequences that use the same Score Style.)

The option Smaller Clef Changes in Layout > Clefs & Signatures also affects clef changes. All clefs, except the first one in every staff, will be reduced in size, depending on the value set here. This will happen, regardless of whether the clef changes are caused by using a different Score Style in the same staff, or by inserting clefs from the Partbox.

Octave settings

The four symbols on the right hand side do exactly what you expect them to: they mark a section to be played either one or two octaves higher resp. lower. The length of the section can be edited after insertion by grabbing the end of the line and moving it horizontally.


Dynamic Symbols

Score Editor > The Partbox > Dynamic Symbols

These symbols can be inserted at any position in the score. They are graphic symbols only, and thus have no effect on the playback of the sequences they are placed in.


Note Heads

Score Editor > The Partbox > Note Heads

If you drag one of these symbols onto a note (watch the Info Line: the destination note must be indicated there), the form of its note head changes to that of the selected symbol. If multiple notes are selected first, dragging the notehead onto any one of the notes will cause it to be attached to all the notes in the selection. These note heads do not affect MIDI playback.

If you want an altered note to have a standard note head again, use the same method, this time using the black round note head.

Invisible Note Heads

Using the grey note head will make a note's head and associated ties invisible. On the screen this note is displayed with a grey notehead, so that it can still be edited. In the printout however, nothing will be visible, except the stem.

If you combine this with Attributes > Stem > Hide, you can hide notes in the printout altogether.


Symbols attached to Notes

Score Editor > The Partbox > Symbols attached to Notes

(Fermatas, accents, phrasing symbols, mute & bow markings, etc.)

This group contains symbols which usually refer to only one note at a time (Trills, however, are in a separate group). These symbols are positioned automatically, as soon as they are assigned to a note. You do this by dragging the symbol onto the note head (watch the Info Line to ensure accurate placement). These symbols always move along with the notes they belong to, whether they are transposed or otherwise graphically altered.

MIDI Meaning

The symbols of this Partbox group can affect the MIDI playback of the notes to which they are assigned . The effect can be on their velocity and playback length. If you want these symbols to affect the playback, you have to define the effect for each symbol separately in the MIDI Meaning dialog box. This can be opened from the menu Layout > MIDI Meaning.

Quick Assignment with Key Commands

For some of these symbols there are user definable Key Commands, which automatically assign the corresponding symbol to all currently selected notes:

Hint: working with these key commands can be even faster when you also use the key commands Select Next Event / Select Previous Event, and Toggle next/previous Object (Event). The two latter commands include the following or previous event in the current selection, or reverse that inclusion.

Inserting independent Symbols

If you want to insert one of these symbols so that it remains independent of any note, you can do so by holding ctrl as you insert it with the mouse. This way you can place a fermata above an automatically created rest.


Jazz Symbols

Score Editor > The Partbox > Jazz Symbols

Jazz Symbol input is similar to the input of accents etc.: if you drag a Jazz Symbol onto a note head, it will be assigned to that note, and positioned automatically. Additional space will be created automatically, to avoid overlaps with other notes or symbols. These symbols always move together with the notes they belong to, whether they are transposed or otherwise graphically altered.

Jazz Symbols can also be inserted using the key commands Attach Symbol: Jazz 1 - 6. The numbers 1 to 6 stand for the position of the symbols in the partbox. In the partbox display, black dots are used to indicate the position of each symbol in relation to the note head (compare the two illustrations above).

Jazz symbols may also be inserted independently from notes as graphic objects, by inserting them with the mouse while holding the ctrl -key. These unattached symbols can be moved freely; and unlike normally inserted Jazz Symbols, they do not affect the spacing of notes.


Slurs, Crescendi

Score Editor > The Partbox > Slurs, Crescendi

Input

Insert these objects at the intended left starting point. They can then be edited to their desired shape. After insertion, the object remains selected and small black square "handles" are visible at its end points, or, in the case of slurs, along its length as well. You can drag these "handles" with the mouse, to change the object's shape.

Fast Slur and Crescendo Input with Key Commands

For slurs, crescendo, and decrescendo symbols, there are also user definable Key Commands for fast input:

  • Insert Slur Up
  • Insert Slur Down
  • Insert Crescendo
  • Insert Decrescendo
These commands place the corresponding object below or above (Slur Up) the currently selected note(s). The start point is determined by the first selected note, the length of the object by the last selected note. The shape and vertical position of each object is determined by the settings of the last edited object of the same type used.

Altering the Shape

To edit the shape of these symbols, grab and drag the black square "handles" at any time, even if they are not visible. To make them visible, select the object by clicking on one of its ends, or by rubber band selection.

Changing the Position

All but the last six objects can be moved by simply click-dragging the mouse from the object's left hand starting point. The last six objects in the group are moved by click-dragging each of their corners ("handles") separately.

Change of Length

All these symbols can be as long as you like, and can therefore be displayed across line and page breaks in several parts.

  • If, for example, you want to extend a slur to a position which is not visible in the Score window any more (in Linear view), you can grab it by its right end, and pull the cursor to the right border of the Score window : the score will scroll automatically. As soon as the desired end position for the slur appears in the window, move the mouse a little bit to the left to stop the scrolling . Now position the end of the slur. It is important that you do not release the mouse button during the entire process.
  • In Page Edit view, you can simply drag the right end to its destination in one of the lower staves. The slur will be displayed in several sections. The same principle applies to the other symbols in this group.
  • The length of these objects can also be changed in the Event List or Event Float, by changing the numerical length parameter. The end point is moved horizontally by this procedure. Slanted objects like arrows will be displayed at a correspondingly varied angle.
  • The length can exceed the end of the sequence, i.e. it is possible to drag the right end of a crescendo with the mouse to a position in the next sequence on the same track.

Particular Attributes of Certain Symbols

- Crescendo : the tip determines the general position. At the upper right end, length and opening angle can be adjusted. At the lower right, length and overall angle can be altered.
- Decrescendo : at the upper left end you can alter the bar position, and opening angle. At the lower left end, bar position and overall angle can be set. At the tip (right end), vertical position and length are adjusted.
- Lines and arrows can be moved in their entirety by dragging their starting point. At the other end, length and overall angle can be altered. The slanted line symbol stands for a line that can be altered freely. The other two line objects (vertical and horizontal) can only be extended in the corresponding direction.
- Slurs : slurs have five editing points (the black square "handles" are visible when the object is selected) to change their shape. The last two slur symbols in the slur group are mainly intended for slurs across staves (i.e. in piano parts).

Reminder: these are Slurs, not Ties. Ties cannot be inserted manually , but are displayed automatically if a MIDI note's length requires it.

These symbols are graphic only, and have no impact on MIDI playback.

Precise Positioning

It is very helpful to work in high zoom levels when positioning slurs. You can quickly switch to an extremely zoomed display by holding down alt while rubber band selecting a certain area of the score. In this case, the mouse becomes the magnifying tool, and the selected area is displayed as large as possible. Do all your positioning and layout work at this zoom level. Return to regular view by clicking on any free spot while holding alt again.


Key Signatures

Score Editor > The Partbox > Key Signatures

Key signature changes can be inserted at any point in a song, by dragging one of the key symbols from the Partbox, as shown above, onto any staff . Be sure to watch the Info Line, to ensure accurate placement. Remember that key signatures and key signature changes are effective globally, for all instruments, on all display levels.

Natural symbols are displayed automatically with a new key signature when necessary (e.g. when changing from A flat major to F major or A major).

Display transposition of the key signature (for notation of non C instrument parts) is achieved by selecting an appropriate Score Style. For atonal music, there is the option to deactivate Automatic Key Transposition for transposing Score Styles, in Layout > Clefs & Signatures. This is effective for the whole song. If it is deactivated, all sharps and flats are displayed directly with their notes. There is a similar option in the Score Style window (parameter Key) which allows you to switch off the key signature for that particular Score Style, or even for individual staves in multi-staff Score Styles.

The basic key signature of a piece should, however, be set by double-clicking on the first staff, between clef and time signature. This opens a dialog box where you can set any major or minor key. This window also allows you to disable the use of double flats and sharps.

This method applies not only to the first staff, but for all staves. However, if the piece already contains other key signature changes, any newly inserted key signature only changes the key from the insertion point up until the next key signature change. As with the starting key signature, inserted key signatures affect all sequences, on all levels.

Deleting a Key Signature Change

This is done by either clicking directly on the key signature change with the Eraser tool, or by selecting it and pressing backspace .

Moving and Copying Key Signature Changes

Since key signatures are global symbols, they cannot be moved or copied as easily as other objects.

Further editing of time signatures is possible with the help of the Time/Key Change List Editor.

It is also possible to copy all time and key signatures from one song to another. This is described in the section Copying Time Signatures between Songs.

The display of key signatures and key signature changes also depends on the settings in Layout > Clefs & Signatures , and on the Key parameter in the Score Style window for each Score Style.


Time Signatures

Score Editor > The Partbox > Time Signatures

Time signature changes can be inserted at the beginning of any bar, either by inserting signatures from the Partbox, or by changing the time signature setting in the Transport window. In the latter case, the signature change will be inserted at the beginning of the measure containing the current song position.

Time signatures and time signature changes are effective globally for all instruments, on all display levels. It is not possible to insert different time signatures for different instruments, or tracks. Time signature changes affect only the display, not the playback. The tempo indication in the Transport window always relates to quarter notes, even if eighth notes are chosen as the denominator for the Time signature. You can find more information about this in the section Time Signature and Division.

Compound Time Signatures

Apart from 2/4, 3/4, 4/4, 6/8 and the alternative display options for 4/4 and 2/2, there are also Partbox objects for freely definable time signatures (A/B), and compound time signatures (A+B/C). When you insert one of these, a dialog box opens:

  • The Nominator can be anything between 1 and 32, the Denominator can be 1, 2, 4, 8, 16 or 32.
  • The Beat Grouping entry field will open when you select A+B/C : here the grouping of the beats in compound time signatures can be determined. It is sufficient to just enter the numbers, i.e. "223". As soon as the entry field is closed, this becomes "2+2+3" automatically. The total number of beats in the bar is calculated automatically by the sum in this field.
  • Print Compound Signature actually displays the defined grouping as the nominator. If this is not activated, only the total sum will be displayed as the nominator. Beat Grouping however, in both cases, affects the way the notes are beamed together.
With this, you can also change the automatic beaming in "normal" time signatures. In 4/4-time "1+1+1+1" produces four beamed groups (one for every beat), instead of the two groups displayed as a default.

Invisible Time Signatures

With Hide Signature, the corresponding time signature change will be hidden in the printout. The signature will still be displayed on the screen, but it will be "crossed out", and will not be included in the calculation of the spacing between notes and symbols. Because of this, the signatures may overlap notes on the screen, but not in the printout, since they are invisible there.

This function can be used for notating cadenza-like passsags, that contain more notes than would normally fit in accordance with the time signature.

Editing Time Signatures

All time signatures can be edited by double-clicking on them. The same dialog box as above opens, where you can insert the desired changes. There is also a Delete option to delete the corresponding time signature change. Another way to delete them is by using the Eraser tool or selecting them and pressing backspace .

Further editing of time signatures is possible with the help of the Time/Key Change List Editor.

The display of time signatures and time signature changes also depends on the settings in Layout > Clefs & Signatures.

All time and key signatures from one song can be copied into another song. This is described in the section Copying Time Signatures between Songs.


Repeat Signs and Bar Lines

Score Editor > The Partbox > Repeat Signs and Bar Lines

These objects can be inserted at any "visible" bar position ( at the position of any graphically displayed note or rest). Usually, however, these objects are used at the beginning or end of bars. In this case, they replace the regular bar line (except first and second ending symbols). They are global symbols, so they always are displayed in all staves, on all display levels.

Moving, Deleting

Repeat signs and bar lines cannot be moved with the mouse. To delete them, you have to use the Eraser tool. These symbols can be moved, together with time and key signatures to a certain extent, in the Arrange window (see the two preceding sections).

The "double repeat sign" automatically is displayed as two "back to back" repeat signs, if it is positioned at a line break.

Invisible Bar Lines

The dotted bar line becomes invisible in the printout. In conjunction with hidden time signature changes, this enables you to create bars and musical passages which seemingly do not have a fixed meter. Another use for the invisible bar line is to force a graphic split of a note into two notes connected with ties, in all staves of a score simultaneously, if it is inserted in the middle of a bar.

To hide all automatically displayed barlines of a song, there is the option Hide All Barlines in Layout > Clefs&Signatures. However, manually inserted barlines, double barlines etc. will still be displayed and printed.

1st & 2nd Endings

  • After inserting one of the repeat endings, text entry mode is automatically activated. The default text is"1." and "2.". If you don't need anything else, confirm with Enter .However, it is possible to enter any text into these brackets. The bracket which defaults to "2." is open-without a vertical end line, like the "1." ending. Since the text can be changed, you also can create a 2nd ending with a vertical line, for example. Font, text size and style for these numbers or text elements are set in the Text Style window (Text Style Repeat Endings). To edit the text, double-click directly on it, which activates the text entry mode, indicated by a flashing text cursor.
  • A 1st or 2nd ending can be moved by dragging its upper left corner. The length can be changed by dragging the right end. If a repeat ending is selected, it can be deleted with backspace .

Between the staves in scores, or multi-staff Score Styles, repeat signs and the various special bar lines are connected across the staves, according to the settings in the Instrument Set and/or Score Style windows. First and second endings are only displayed above staves whose bar lines are not connected to the next higher staff.
For the display of repeat signs, there is an option Alternate Repeat Symbols (for the whole song) in Layout > Global Settings. This activates a "Real Book Style" display of repeat signs.

Note: these symbols have no impact on MIDI playback.


Trills, Tremolo etc.

Score Editor > The Partbox > Trills, Tremolo etc.

The symbols in this group can be positioned anywhere, and are not attached to notes. The trill line and the arpeggio lines can be set to any length, by dragging their end points The trill line also can go across line breaks. The accidental symbols in this partbox group are purely graphic, and do not affect MIDI playback of notes. They are intended mainly as a supplement to trill symbols.


Rests, Bar Repeat Signs

Score Editor > The Partbox > Rests, Bar Repeat Signs

Automatic Rest Display

Rests are displayed automatically in Logic, in such a way that existing notes and automatic rests together always add up to complete bars, according to the given time signature. The only exception to this is, when a Score Style with deactivated rest display (hide Rest) or with Beat Slashes instead of rests is used.

Manually Inserted Rests

In certain situations, you might want to insert rests manually. These replace the automatic rests, but unlike automatic rests, are listed as events in the Event List. These events have a MIDI channel and a velocity value.

The velocity value determines their vertical position in the staff (normal middle position is 64).

Manually inserted rests, unlike automatic rests, can be moved higher or lower. Their size can be changed with the Sizing tool.

You can also use manually inserted rests (also called "User Rests"), if you don't like the way a particular rest is displayed automatically, for example to avoid dotted rests, or for syncopated display of rests despite a Syncopation off setting. In terms of rhythmic display, user rests behave like notes, with the attributes Syncopation ON and Interpretation off. Remember that user rests are interpreted according to the display quantize setting (Qua), just as notes are.

Multi Bar Rests

Rests with a duration of several bars, can be indicated with these two symbols. These are suitable mainly for single instrument parts. In the full score, they are visible only when all staves contain multi bar rests at the same position.

"Church rests" (the older form of display) default to a length value of 2 bars . The default length of "normal" multi bar rests is Auto (which in the Event List corresponds to value 0). This means that the rest's duration is calculated automatically according to the position of the next note, user rest or global symbol (i.e. repeat signs, double bar lines etc.).

Changes can be made in the dialog box, which opens when you double click the symbol: Here you can select the shape ("modern" or "church"), activate or deactivate the automatic length function, and determine the length, if Auto length is switched off.

Note: "Church rests" cannot be longer than nine bars. If this is exceeded, the "modern" symbol is used automatically.

- Moving Multi Bar Rests
These rests cannot be moved with the mouse. However, since they are displayed in the Event List, you can change their bar position there, or in the Event Float window. You can also alter the length of the rest(VAL) in this manner.

Bar Repeat Signs

The symbols for one or two bar repeats replace all notes and rests in the corresponding measures. All other symbols remain visible. This does not affect MIDI playback, so the hidden notes can still be heard. These signs can only be moved in the Event List or Event Float.


Text Objects, Chord Symbols

Score Editor > The Partbox > Text Objects, Chord Symbols

Since the description of text objects and chord symbols is quite extensive, you will find it in the section Text: Input and Display and the section Chord Symbols.


D.S., D.C., Segno, Coda Signs

Score Editor > The Partbox > D.S., D.C., Segno, Coda Signs

These symbols can be inserted at any position in the score. They are graphic symbols, and do not affect MIDI playback. Their size can be changed with the Sizing tool.


Tempo and Swing Symbols

Score Editor > The Partbox > Tempo and Swing Symbols

These symbols can be inserted at any position. The font, size and style of the tempo indication itself is determined in the Text Style window (Text Style Tempo Symbols). The tempo indication is derived automatically from the playback tempo at the corresponding bar position. Note that the tempo indications in the Transport window and in the Tempo List always refer to quarter notes, even if a time signature with another denominator is used. So, the displayed tempo is different depending which symbol you use.


Move, Copy and Paste

Score Editor > Move, Copy and Paste

Moving or copying of complete sequences, or major parts of a sequence should generally be done in the Arrange window.

Still, most of the following described functions in the Score window work similarly to Logic's other editor windows. However, it is NOT possible to copy, or move the following symbols:

  • Global symbols, like repeat signs, time, and key signature changes (except in the Arrange window as described here) and global text elements (headers etc.)
  • Symbols directly attached to notes, like accents, fermatas, note heads etc.


Moving/Copying with the Mouse

Score Editor > Move, Copy and Paste > Moving/Copying with the Mouse

You can move/copy by dragging the selected objects (with ctrl for copying). This allows you to move or copy any number of notes and symbols to other bar positions and/or pitches. If you want to restrict the movement to just one direction (vertical or horizontal), hold down shift during this process. There is also a general preference for this: > Limit Dragging to one direction in Matrix and Score.

It is important to watch the Info Line during this process. It shows the status (Drag or Copy), the current difference from the original position (Transpose and Time Shift), and the current cursor position (bar position and-for notes-pitch).

Positioning Grid

Movement along the time axis occurs along a quantization grid, corresponding to the particular sequence's assigned display quantization (Qua) in the Display Parameter Box. If a hybrid quantize value is selected (i.e.16,24), the grid corresponds to the binary value (16 in this example). If note positions are not aligned with this time grid (for example, because they were recorded in real time), their relative offset is still kept when moving or copying them. This allows you to move or copy unquantized passages within the Score Editor, without losing the original feel of the performance.

Please note: copying and moving notes with the mouse is only possible within the same sequence.

Moving and Copying Several Objects at Once

To move or copy (with ctrl ) several objects at once (notes and symbols), just select all desired objects and drag one of them (preferably the first one, or one positioned at exactly the beginning of a measure) to its destination position. Again, watch the Info Line for exact positioning. The other selected objects will be moved or copied in exact relation to the first one.

It is also possible to simultaneously move or copy objects which are in different sequences/staves. Each event will be moved/copied to its new position, within its original sequence.


Via the Clipboard

Score Editor > Move, Copy and Paste > Via the Clipboard

These functions work the same way as in many other software programs, and in the other Logic windows.

Paste inserts the clipboard's contents (i.e. a note) into the selected sequence at the current song position (as indicated in the Transport Window). So, before pasting, you have to set the Song Position Line to the desired destination position.

When you copy and paste several objects at once, the first object is pasted at the indicated bar position, the others in relation to it.

Note: if you copy the contents of a whole bar which starts with a rest on the first beat, the first object is not on one, since automatically displayed rests are not objects, and therefore cannot be copied. In this case, you have to set the paste position accordingly. (The exception is when there is an object such as a dynamic symbol at the beginning of the selection, say at beat one, which is also copied.)

Paste Multiple

The clipboard's contents can be pasted into several sequences at once, at the original position. Select all desired sequences, and use either Edit > Paste Multiple, or the key command Paste Multiple.

The multiple selection of sequences can be done either in the Arrange, or directly in the Score window: shift -click all desired staves, or "rubber band" the adjacent sequences. Note: the Display Parameter Box title line always indicates how many sequences are currently selected.

Automatic Insert Quantization

When you Paste (or Paste Multiple) objects from the clipboard, the position of the first inserted event is automatically quantized according to the current global display format (in the Transport window). If, for example, the current bar position is 4.1.1.37, and the global display format is set to1/16, the pasted object will be inserted at position 4.1.1.1, whether it's a note or a symbol. When the clipboard contains more than one object, the other objects' positions are not quantized, but their exact relative position from the first object is kept.

If you don't want this (i.e. because you want to keep the unquantized timing of the original preserved), it is better to use one of the other methods of copying.

Paste at Original Position / Paste Multiple at Original Position

These two commands (Edit menu, or Key Commands) allow you to quickly copy passages from one sequence to another, at exactly the same time position. Here, you do not have to think about the insert position at all, and the automatic insert quantization will not be applied.

This is the ideal method for copying a whole musical phrase, including all symbols, to the staves of other instruments. Remember that for Paste Multiple..., all destination staves have to be selected.

These commands can be very useful when used in combination with Select Similar, for example when copying all dynamic symbols from one staff into other staves/instruments.


Repeat Objects

Score Editor > Move, Copy and Paste > Repeat Objects

This dialog box is described in detail here. It can be opened from the Edit menu, or with a key command. In the Score window, it is especially useful for copying complete bars (or multiple copies), without having to set any bar positions. For example, in the case described above, where a bar begins with a rest on one. In that situation, select all notes and symbols from that bar (rubber band selection), open Repeat Objects, insert the number of desired copies, set Adjustment to Bar, and press Enter .


Copy MIDI Events

Score Editor > Move, Copy and Paste > Copy MIDI Events

This dialog box is described in detail here. It can be opened with a key command, and gives you many options, such as merely moving, rather than copying events. In the Score Editor, these operations affect all selected sequences.


Nudge Key Commands

Score Editor > Move, Copy and Paste > Nudge Key Commands

Under the name Nudge Event Position by..., there is a whole group of key commands, which move all selected objects by various steps along the time axis. For Score work, the following Nudge commands are the most useful:

  • Nudge Event Position by Bar +1/-1: move event(s) forward/back one bar
  • Nudge Event Position by Beat +1/-1: move event(s) forward/back one beat
  • Nudge Event Position by Format +1/-1: move event(s) forward/back one Format step (as set in the Transport window)

The following key commands can be used to move any score symbol that can be positioned independent of notes or staves, as well as text events and chord symbols:

  • Nudge Position Up
  • Nudge Position Down
  • Nudge Position Left
  • Nudge Position Right

These functions do not alter the bar position of the affected symbols and text events, but their hor.pos. and vert.pos. parameters by +/- 1.


Editing Using Tools

Score Editor > Editing or Deleting Notes and Symbols > Editing Using Tools

Velocity Tool

If you grab one or several notes with the Velocity tool, and move the mouse up or down, you change the notes' velocity values.

The value change can be seen in the Info Line, and can also be heard if the MIDI Out button is activated.

You don't have to go to the Toolbox to get the Velocity tool: when you grab a note while holding down ctrl alt , the cursor becomes the Velocity tool . Once you release these modifier keys, the cursor takes on its previous shape and function again.

Quantize Tool

For Quantizing and De-Quantizing the MIDI playback of selected notes.

Layout Tool

With the Layout tool, you can change the horizontal graphic position of a note in relation to its bar position.

Pulling the note to the right or left with that tool changes the displayed distance from the adjacent notes or rests. The bar position (and the playback) will remain unaltered. This is used , for example, to create space for a grace note, or for an arpeggio line. Also, when symbols are moved with the Layout tool, their bar position will not be altered. Instead, the hor.pos and vert.pos parameters are changed, which is indicated in the Info Line during this process.

There is a shortcut for grabbing this tool: pressing alt while grabbing the note converts the cursor into the Layout tool.

Sizing Tool

With the Sizing tool, you can change the size of any note, and of most symbols.

If you want to reset the object to its original size, double-click on it with the Sizing tool. A dialog will appear asking if you want to reset the size of the object.


Changes in the Event Parameter Box

Score Editor > Editing or Deleting Notes and Symbols > Changes in the Event Parameter Box

In the Event Parameter Box, you can edit the following parameters (please also note the following explanations regarding editing several selected objects simultaneously):

Notes

MIDI channel, pitch, velocity, and note length.
Note: to change pitch, length and MIDI channel of selected notes, there are also some key commands:

  • Event Transpose +1/-1: half step up/down
  • Nudge Event length by Format +1/-1: lengthens/shortens the note by the current global display format value
  • Nudge Event Channel +1/-1: changes the note's MIDI channel accordingly

Symbols

- Staff :
Staff number: this parameter is only important when you are using a polyphonic Score Style with multiple staves (i.e. for Piano). It determines which staff a symbol belongs to. Note: if this value is higher than the number of staves in the Score Style, the symbol disappears!

- Symbol
The internal number of a symbol in its Partbox Group: once you know these numbers, you can edit the symbol by changing this number, instead of deleting a symbol and inserting a new one. This is especially useful for dynamic symbols: 0 = ppp, 1 = pp, 2 = p, 3 = mp, 4 = mf, 5 = f, 6 = ff, 7 = fff etc.

- Vert.pos / hor.pos
Precise graphic positioning:

  • vert.pos determines the height/vertical position. Zero in most cases means a position exactly on the top line of the staff, positive values are above it, negative values below it.
  • hor.pos determines the horizontal graphical offset of the object's bar position. Zero here corresponds to the left edge of a note at that particular position.

Additional Parameters for Text Objects

  • Text Style
  • Size of the used font
  • Align: horizontal alignment

Most parameters in the Event Parameter Box can be edited using the mouse as a fader (hold down the mouse button while moving it up or down). Or, you can double-click on a parameter (except Text Styles and alignment), which opens an entry field. Here, you insert the desired value as a number, or in case of notes, also as a pitch, like "D#4". You can also insert relative changes into this field, such as +4 to raise all selected notes' pitches by 4 half steps, or to increase a numerical value of another parameter by 4.


Changing Several Selected Objects Simultaneously

Score Editor > Editing or Deleting Notes and Symbols > Changing Several Selected Objects Simultaneously

If several objects are selected, this is indicated in the Event Parameter Box' title line by X Notes/Symbols/Events/Texts/Chords selected. "X" stands for the number of selected objects. The terms Notes, Texts and Chords are used only if the current selection contains only objects of that particular type.

If-as in most cases-parameter fields are visible while multiple events are selected, all corresponding values can be edited at once. "*" as a value means that the selected objects have different values for that particular parameter. There are different options for changing these values:

Relative Change (Preserving Differences)

Grab the "*" with the mouse and use the mouse as a slider. The value shown during this process belongs to the first of the selected objects. The other objects are altered by the same amount. You can also double click the value and insert the desired change (a number with a plus or minus in front of it) into the resulting entry field (see above).

Absolute Change (All Values Set Equal)

Press ctrl during the above described procedure: as soon as you move the mouse while holding the modifier key, the parameter is set to the same value for all selected objects.This way you can set all notes of a chord to the same length or velocity, or set all selected objects to the same height (vert.pos).

There are also key commands that set the vert.pos and hor.pos parameters of all selected objects to the same value:

  • Align Object Positions Vertically
  • Align Object Positions Horizontally
  • Align Object Positions (affects both parameters)

These key commands set all objects to the value of the first selected object.

If only one object is selected when you use one of these key commands, a dialog appears where you can decide if the parameters of all similar objects should be set to the same value. (Note: this affects all displayed sequences and instruments.)

Hint: this is very useful for aligning lyrics and chord symbols.


Deleting Objects in the Score Window

Score Editor > Editing or Deleting Notes and Symbols > Deleting Objects in the Score Window

Here is a short survey of the methods for deleting objects in the Score window:

  • With the Eraser tool (works for all objects)
  • With backspace (Backspace) or Edit > Clear, while the corresponding objects are selected (flashing). Exception: repeat signs and special barlines cannot be selected, so they can only be deleted with the Eraser tool.

You can only delete events in the Score window which are displayed there. If , for example, you erase notes from a real time recording in the Score window, MIDI controller events or pitchbend data which were recorded together with those notes, will not be deleted.


The Display Parameter Box

Score Editor > The Display Parameter Box

The settings in the Display Parameter Box (with the exception of Style) form the basis for the rhythmic interpretation and display of the notes. These settings can be different for every sequence. The displayed settings always refer to the currently selected sequence(s). These settings do not affect the MIDI playback of notes, only the score display.

Please keep in mind for all settings:

The Display Parameter Box settings not only affect the display of notes recorded in real time, but also that of notes which were inserted with the mouse, or using step input. If you insert a short note, such as a 32nd note , it can only be displayed at its original length if Qua is set to 32 or shorter. If Qua is set to 8, the 32nd note will be displayed as an eighth note (although it will still be played back as a 32nd note). A note inserted with the mouse may also display as a longer value if Interpretation is ON for that sequence


Settings

Score Editor > The Display Parameter Box > Settings

Different Settings within the Same Staff

If you cannot seem to find the appropriate display parameters for a particular sequence, keep in mind that you can divide a sequence, using the Scissors tool (directly in the Score window). This will leave the MIDI playback unaltered, but gives you the option to assign different display parameters (e.g. display quantization) for the resulting shorter sequences. Since these divided sequences still connect to each other, they will be displayed as a continuous staff.

Default Settings for New Sequences

If a new sequence is created with either the Pencil tool in the Arrange window, or through MIDI recording, Logic always applies the Default parameters to that sequence. These can be seen and edited in the Display Parameter Box, when no sequence is selected (The title line says Insert Defaults to indicate this status). These settings will remain as you set them until you quit Logic, but can be changed any time.

Click on any empty spot in the main working area (below or above the score), to display the Insert Defaults. You can now edit any of the parameters. (for example, to set Qua to the display quantize setting that you will use for most sequences in that song) From this point on, all new sequences will get these settings as soon as they are created. If Qua is set to default here, the Qua setting of newly recorded or created sequences will depend on the Global Format Value in the Transport window.

The default setting for Score Styles (Style) is not defined here, but separately for each Track Instrument, in the bottom line of the Instrument Parameter Box, in the Arrange window .

Changing the Settings for Several Sequences Simultaneously

This is possible, if all desired sequences are selected. In the top line of the Display Parameter box, you will see an indication of how many sequences or objects (if the selection includes folders) are currently selected (for example 3 Sequences sel.), instead of the sequence name. If these sequences have differing values for any of the parameters, a "*" will be displayed in the corresponding line. If you change this value, all selected sequences will now have the same value for that particular parameter.

There are two special functions for multiple selection of sequences in the Score window:

  • Clicking on the title line in the Event Parameter Box selects all sequences that are included in the current display.
  • Clicking on an instrument name in the column between the parameters and score, selects all sequences for that particular Track Instrument (even sequences spread across different tracks assigned to that instrument), at the current display level. Remember, the instrument name column is only displayed, if View > Instrument Names is activated.


Rhythmic Interpretation of Sequences

Score Editor > The Display Parameter Box > Rhythmic Interpretation of Sequences

Traditional music notation is only an approximate description of the musical content in a piece. The actual performance depends heavily on the interpretation of the notes by the performing musicians. Quarter notes for example, hardly ever are held exactly for the duration of one beat.

The rhythmic interpretation of MIDI sequences recorded in real time to a click presents a similar problem, especially if one considers that Logic records MIDI events with a resolution of 960 ticks per quarter note. Nobody will play a downbeat at the exact time of the click.

So, it is important that you have some idea of what your printed music should look like. This idea will be help you to determine Display Parameter Box settings which will fit your music. The settings Display Quantization, Interpretation, Syncopation and No Overlaps all affect the way the recorded music is displayed.


Name and Style

Score Editor > The Display Parameter Box > Name and Style

Title Line: Name of the Sequence

The name displayed here is identical to the name of the same sequence in the Arrange window. It can also be edited from here. A double click on the name opens an text entry field. If more than one sequence is selected, this line reads X Sequences selected, if nothing is selected, Insert Defaults (the default settings for new sequences).

Style

The Score Style used for the score display of the sequence. This is selected from a flip menu, which contains all available Score Styles for the current song.


Qua (Display Quantization)

Score Editor > The Display Parameter Box > Qua (Display Quantization)

This parameter determines the shortest note value which can be displayed in the currently selected sequence (exception: "artificial" N-tuplets, see the section "Artificial" N-Tuplets to Bypass Display Quantization).

The Qua value is selected from a flip menu, which contains the available display quantizations. Among these there are binary quantizations (displayed as one binary value like 16 or 128), and hybrid quantizations (two values combined, a binary and a ternary value, i.e. 16,24 or 32,96).

The binary values always correspond to the note value with the same denominator, i.e. 32 = thirty-second note etc. Ternary values refer to triplets. Here is a list of the ternary values, and their corresponding triplet values:

- "Qua" Setting and corresponding Note Length:
3: 1/2-note triplets
6: 1/4-note triplets
12: 1/8-note triplets
24: 1/16-note triplets
48: 1/32-note triplets
96: 1/64-note triplets
192: 1/128-note triplets
384: 1/256-note triplets

Automatic Display of Triplets

When binary display quantizations are used, automatic triplets will not be displayed at all. (except for triplets which are inserted with the mouse, using an N-tuplet object). Therefore a "hybrid" quantization value must be assigned to the Qua parameter, to enable the automatic display of triplets.

Default Setting

The Qua parameter cannot be set to default in existing sequences, as it could in older versions of Logic. The default option can only be used with the Insert Defaults, which determine the default settings for newly recorded or created sequences. If default is chosen here, the Qua setting of any new sequence will depend on the Global Display Value in the Transport window. In this case, the Qua value will always be the hybrid value which contains the global display value currently set in the Transport window plus-in case of a binary global value-the next higher ternary value, or-in case of a ternary global value-the binary value which is divisible by that particular ternary value.

A few examples: a global value of 1/8 will result in an 8,12 Qua setting for new sequences, global value 1/12 will become Qua = 4,12, global value 1/16 will result in Qua = 16,24, 1/24 in 8,24, and so on.

However, if a particular Qua value has already been set in the Insert Defaults (which are displayed in the Display Parameter Box whenever no sequence is selected), all new sequences will be assigned this value, regardless of the Global Display Value in the Transport window. Still, any of these values can be changed any time.

Swing Notation

For regular swing notation, 8,12 should be used as the display quantize parameter. This enables the display of eighth-note triplets, and also displays two uneven notes on one beat (dotted eighth and sixteenth), as regular eighth notes. For double-time passages with sixteenth notes, you either have to cut the sequence in the Arrange window, and assign a higher quantize value to the new sequence containing the double-time figure, or use hidden "artificial" N-tuplets for the sixteenth notes (see the section "Artificial" N-Tuplets to Bypass Display Quantization).

For swinging sixteenth notes (shuffle funk, hiphop etc.), the same principle applies. In this case, Qua would be set to 16,24.


Interpretation

Score Editor > The Display Parameter Box > Interpretation

If Interpretation is ON, notes are generally displayed with longer length values than their actual length, in order to avoid short rests. Short notes on a downbeat in 4/4 time for example, are displayed as quarter notes. The score becomes less precise, but easier to read.

If Interpretation is off, note lengths are displayed as close as possible to their "real" values , as determined by the Qua value. In the following example, the same sequence is shown twice, the first time with Interpretation off, the second time ON:

The Interpretation function is intended to produce an easy-to-read score display of real time recordings. When you use step input or mouse input, you should generally switch it off.

Interpretation actually can be switched on and off for every single note, independent from the setting in the Display Parameter Box. This can be done with a menu option, a key command, or using the Note Attributes box.


Syncopation

Score Editor > The Display Parameter Box > Syncopation

If Syncopation is switched ON, each (MIDI) note will be notated as one graphic note (i.e., not displayed as several tied notes), regardless of its position-if this is possible. (This also depends on the Max. Dots setting, see below) If this is not possible, the note is (only graphically) divided into the minimum possible number of notes, connected by ties.

The usual application for this is the display of syncopated notes. The following example shows the same two bars displayed differently, first with Syncopation off, then ON:

Syncopation can also be switched on and off for every single note, independently from the setting in the Display Parameter Box. This can be done with a menu option, a key command, or in the Note Attributes Window.

If an unwanted display of ties and notes results from the Syncopation function, it is possible to change the graphic display of notes connected with ties. Take a User Rest from the Partbox (preferably a short one, but the length is not really important), and insert it at the bar position where you wish for the tie to be "subdivided". Once the rest is inserted, it will disappear, but the note display will change. The inserted rest can only be seen and edited in the Event List.

This trick works not only for syncopated notes, but for all notes (see the section Changing the Way Notes with Ties Are Displayed). In polyphonic Score Styles, the MIDI channel of the rest, and the corresponding note has to be the same.


No Overlap

Score Editor > The Display Parameter Box > No Overlap

No Overlap ON prevents the overlapped display of notes in melodies that are played with an exaggerated legato. The effect can be seen in the following example, which shows the same sequence, first without, then with Overlap correction:

No Overlap should only be deactivated in rare cases. If, for example, a piano player arpeggiates a chord and holds the notes, the score displays the following result with No Overlap ON:

Although you can't see here that all notes continue to sound, if you deactivate No Overlap, the result looks like this:

The solution typically is to switch No Overlap ON, and use sustain pedal markings. If the notes are recorded in real time with a MIDI keyboard, using a sustain pedal, Logic will display the pedal markings automatically.


Max. Dots

Score Editor > The Display Parameter Box > Max. Dots

This parameter determines how many dots Logic will allow for the display of single notes. Unwanted dotted notes or rests can be changed by inserting User Rests (which will stay invisible in the case of notes, see the section Changing the Way Notes with Ties Are Displayed).


Score off

Score Editor > The Display Parameter Box > Score off

This parameter is not included in the Display Parameter Box. You will find it in the Extended Sequence Parameters, which you open via the menu Options > Extended Sequence Parameters (or key command). If Score is set to off here, the sequence will not be displayed in the score at all. This is mainly used to prevent the score display of sequences containing only MIDI events which would not be displayed in the score anyway, like controller or SysEx data.


Basics

Score Editor > Score Styles > Basics

The Concept of Score Styles

Score Styles could be compared to text formats in word processing and desktop publishing software. In this case however, it is score attributes that are stored, not font settings. This makes it very easy to assign multiple attributes; such as clef, staff size, vertical distance between staves, instrument transposition, etc., to any existing or newly created sequence. A Score Style includes the following parameters:

  • Number of staves (for the display of one sequence)
  • For polyphonic, multi-staff Score Styles: configuration of brackets and bar lines connecting the staves.

- For every staff :

  • Staff size
  • Distance to the next higher and lower staves
  • Number of independent (polyphonic) voices in that staff
  • Clef
  • Display transposition
  • Key signature on/off

- For every independent (polyphonic) voice :

  • Automatic rest display on/off
  • Stem direction of notes
  • Tie direction
  • Direction of N-tuplet brackets and numbers
  • Beaming
  • MIDI channel assignment for that voice and/or definition of a split point pitch for separation of the different voices.
  • Note Colour

Logic contains various predefined Score Styles.

Score Styles do not affect the rhythmic display, unlike the other parameters in the Display Parameter Box. Also, they do not affect the horizontal distance (spacing) of notes (apart from changes caused by different stave sizes). This is determined in Layout > Global Format...

Score Styles are saved together with the corresponding song file, so there can be different Score Styles in different songs. Hint: create some empty template songs with (among other things) the Score Styles and other score settings that you normally use as a basis for your work with Logic.

Assigning Score Styles

Each individual sequence can be assigned a different Score Style in the Display Parameter Box. This enables you (among other things) to quickly

  • create parts for transposing instruments.
  • display the same sequence in different sizes, for example, for printout of a full score, and parts for the different instruments.
  • change between different forms of display in one staff. This would be done by cutting a sequence, and assigning different Score Styles to the resulting shorter sequences. (This might be used, for example, to alternate between passages that are completely written out, and improvised passages using only Beat Slashes and chord symbols)


Predefined Styles

Score Editor > Score Styles > Predefined Styles

In Logic you will find 21 preset Score Styles. Here is a complete list, together with the parameters of those styles (for details see below):

  • - Bass 1 Stave(s); Bass Clef; No Transposition
  • - Piano 2 Stave(s); Treble/Bass Clef; No Transposition
  • - Treble 1 Stave(s); Treble Clef; No Transposition
  • - Treble +8 1 Stave(s); Treble (+8) Clef; -1 octave
  • - Treble -8 1 Stave(s); Treble (-8) Clef; +1 octave
  • - Alto Sax 1 Stave(s); Treble Clef; Eb (+9)
  • - Guitar Tabulatur Display
  • - Guitar Mix Tabulatur Display and 1 Stave; Treble (-8) Clef
  • - Baritone Sax 1 Stave(s); Bass Clef; Eb (+21)
  • - Contrabass 1 Stave(s); Bass (-8) Clef; +1 octave
  • - Horn in Eb 1 Stave(s); Treble Clef; Eb (-3)
  • - Horn in F 1 Stave(s); Treble Clef; F (+7)
  • - Organ 1/1/5 3 Stave(s); Treble/Bass/Bass Clef; No Transposition
  • - Organ 1/3/5 3 Stave(s);Treble/Bass/Bass Clef; No Transposition
  • - Piano 1/3 2 Stave(s);Treble/Bass Clef; No Transposition
  • - Piccolo 1 Stave(s); Treble Clef; -1 octave
  • - Soprano Sax 1 Stave(s); Treble Clef; Bb (+2)
  • - Tenor Sax 1 Stave(s); Treble Clef; Bb (+14)
  • - Trumpet in A 1 Stave(s); Treble Clef; A (+3)
  • - Trumpet in Bb 1 Stave(s); Treble Clef; Bb (+2)
  • - Viola 1 Stave(s); Alto Clef; No Transposition
  • - Violoncello 1 Stave(s); Bass Clef; No Transposition
  • - # Drums 1 Stave(s); Percussion Clef; "mapped"


Working with Score Styles

Score Editor > Score Styles > Working with Score Styles

Assigning Score Styles to Sequences

When you start Logic, the default song that appears already contains many Score Styles. that you can use. You assign a Score Style to a sequence by selecting the sequence, then selecting the desired Score Style from the flip menu which appears when you click-hold on the Style Parameter line in the Display Parameter Box.

You can also assign a Score Style to several selected sequences at once (see the section Changing the Settings for Several Sequences Simultaneously).

Score Style assignments can be changed anytime.

Reminder: sequences on the same track in the Arrange window which directly follow each other without gaps between them, are displayed as one continuous staff in Page Edit view, but still can use different Score Styles.

Automatic Score Style Assignment for New Sequences

When you create a new sequence, either by making a real time recording, or with the Pencil tool in the Arrange window, the sequence will be assigned the Score Style which is selected in the bottom line of the Instrument Parameter Box of the active track instrument in the Arrange window.

When you create template songs, or when you begin to work on a new song, you may wish to change these settings for those instruments that are likely to always use the same Score Style. That way, those instruments will immediately be displayed with the correct Score Style.

- Auto Style
If Auto Style is chosen in the bottom line of the Instrument Parameter Box, every new sequence will be automatically assigned a Score Style that fits the register of the recorded notes. Auto Style can only be chosen in the Instrument Parameter Box, and does not appear in the list of Score Styles in the Score window's Display Parameter Box.


The Score Style Window

Score Editor > Score Styles > The Score Style Window

There are several ways to open the Score Style window:

  • Double click on the Style parameter in the Display Parameter Box
  • Layout > Score Styles...
  • Key command Open Score Style Window
  • Occasionally in the Arrange or Environment window: Double click in the bottom line (Default Style) of the Instrument Parameter Box.

Along the left side of the Score Style window there are some elements which also exist in other Logic windows:

Link Button

If the Link button is activated while the Score Style window is open, you can always see the parameters of the currently selected sequence's Score Style. If you switch to a different sequence, the Score Style window will show the new selection.

Toolbox

This Toolbox contains the Pointer tool (same as the regular mouse cursor), the Pencil tool (for creating new staves and Voices) and the Eraser tool (for deleting Score Styles, staves, or Voices).

Name Box / Style Selector

The field below the Toolbox shows the name of the currently selected Score Style. If you click and hold on it, a flip menu appears, listing all Styles that are available in the current song. With this, you can switch to another Score Style.

Parameter Groups

The Score Style Parameters are grouped horizontally in three main sections (top line): Staff, Voice and Assign.

- Staff :
The Parameters for staves. Each line below the word Staff represents one staff in the score display.

- Voice :
The Parameters for independent Voices. Each line below the word Voice represents one independent voice. The term Voice here only relates to the simultaneous display of rhythmically independent, polyphonic passages in the music, not how many notes can be displayed simultaneously. One Voice can still consist of as many simultaneous notes (chords) as desired. Only notes which should be displayed as rhythmically independent from the other notes in the same staff have to be assigned to separate Voices.

- Assign :
The parameters for the assignment of notes to the different Voices. For details, see below.
Every Staff can contain several independent Voices (up to 16), however, one Voice can not be displayed across different staves. Therefore, a Score Style has to contain at least as many Voices as Staves.

List View

Besides the single Score Style view shown above, there is also a list view option in the Score Style window. The list view is mainly intended for copying Score Styles between songs (see below), or for deleting styles.

To change to the list view, double click in the empty space below the parameters. Another double click on one of the Score Styles in the list brings you back to the single display of that particular Style.


Handling Score Styles

Score Editor > Score Styles > Handling Score Styles

Copying Score Styles between Songs

At some point, you will probably want to use Score Styles that already exist in another song. There are two methods for copying Score Styles between songs:

- Importing All Score Styles from another Song

With the Score window being the active window, select Options > Import Settings. In the resulting dialog box, activate Score Styles only, and click on Import. This imports all the Score Styles from another song into the current one.

If another song file is already open during this procedure, that song's Score Styles will be imported. If no other song is open, a file selector box will appear, where you can select the song whose Score Styles you want to import into your current song.

- Copying only Particular Score Styles from other Songs
One or several Score Styles can be selected in the Score Style window's list view, and copied between songs, using the usual copy/paste commands (Edit menu or key commands). To be able to do this, you have to open Score Style windows in both songs.

- Automatic Score Style Copying
If you copy a sequence from one song to another, and the Score Style used by the original sequence does not yet exist in the other song file, it is automatically copied into that song, along with the sequence.

Deleting Score Styles

Score Styles can be deleted in both the single view (New > Delete Style), and in list view (with backspace or Edit > Clear). In list view, you can also select several Score Styles at once for this purpose. For example, select Edit > Select Unused in list view, and press backspace to delete all Score Styles that are currently not assigned to any sequences or Track Instruments in the song.

Creating New Score Styles

In single view, you can create new Score Styles using New > Single Staff Style or New > Dual Stave Style. The parameters in the Styles created this way are very basic, and in most cases have to be edited according to your individual requirements (see below).

The default name of Styles created in this way is"*New Style". A double click on the name box opens a text entry field, where any name can be typed in.

- Creating New Score Styles Based on Existing ones
Often a new Score Style is needed which is almost identical to an existing one. In this situation, just make a copy of a Style and edit that copy. Copying can be done:

  • in the Score Style window (single view) with New > Duplicate Style.
  • with the Score Style window's flip menu (name box), by selecting the bottom entry ("****DUPLICATE!****") in the list.
  • Directly in the Score window, by using the Score Style flip menu in the Display Parameter Box, again selecting "***DUPLICATE!****" at the bottom of the list. This is the fastest method, since the new Score Style automatically is assigned to the currently selected sequence.

In any case, the new Style will get the name of the Score Style it is derived from, with "*copied" appended to its name. This text can be edited in the name box of the Score Style window.

If the only difference from the original Style is the staff distance or the Style's clef, creating a variaton of the currently assigned Score Style can be done very quickly from inside the Score window: with the desired sequence selected, select the "****DUPLICATE!****" command in the Score Style flip menu. This copies the current Score Style, and assigns the copy to the selected sequence. Now, change the staff distance by dragging the clef with the mouse (as in the opposite illustration), or double-click on the clef to select a different clef from the resulting box.


Editing One-Staff Score Styles

Score Editor > Score Styles > Editing One-Staff Score Styles

These are the parameters that are relevant for One-Staff Score Styles. The other parameters are only relevant if the Score Style consists of more than one Voice, which does not refer to the display of chords etc., but to rhythmically independent, polyphonic voices.

Name

The Name of a Score Style can be edited by double clicking on the name box, which opens an entry field.

Space

These values determine the distance to the next higher and lower staves or, for the top and bottom staves of a full score, to the page margins.

This also creates additional space belonging to the staff above and below the actual staff. If, for example, symbols are inserted between staves in full score mode, it is important which staff an inserted symbol is assigned to. When parts are extracted from the full score, the symbols will go with whichever staff they were inserted to.

The vertical distance above the staff can also be changed directly in the score, by dragging the staff up or down at its clef.

The distance below the staff can be edited in the score as well, but only for the bottom staff in the score display, or if only one staff is displayed. Here, the bottom line of the score display area is dragged with the mouse, as shown in the opposite illustration.

These editing procedures change the settings of the corresponding Score Style itself. This means that all sequences which use the same Score Style will be affected, which is not always what you might want. To prevent this, use the fast method for creating new Styles, based on existing ones

Size

The size of the staff and the notes and symbols it contains. There are 16 available sizes (0 - 15). Here are some size recommendations: for regular instrument parts and lead sheets, use size 7 or 8. The staff size you should use in full scores depends on the number of staves in the score, and the size and format of the paper used. When using A4 or US letter paper: full orchestra: 2, big band: 3, wind quintet: 4.

However, the size of all staves in an Instrument Set can also be affected by the Scale parameter in the Instrument Set window. Therefore it is possible to use the same sizes both for score and parts of a piece.

Clef

Here you select the clef which is used in the Score Style from a flip menu. Besides the usual clefs, this menu also offers some special options:

  • Drum.0 to Drum.8: staves with 0 to 8 lines and a "neutral" percussion clef. The relation of MIDI note pitches to the top line of all these staves corresponds to the top line in regular bass clef (A2). However, no accidentals will be displayed in these drum staffs. Drum.0 also omits any ledger lines. These clefs will often be used in Mapped Drum Styles, where the height of a note does not correspond to pitch, but is determined by different Drum Map parameters.
  • no clef.0 to no clef.8: like Drum..., but without any clef.
  • TAB Guitar... and TAB Bass...: 12 different options for displaying notes as guitar or bass tablature. These tablature Tuning Sets are defined in the tablature window (Layout > Guitar Tablature...), where they also can be edited.

Trans

The display transposition, measured in half steps up or down. This parameter does not affect MIDI playback. If a staff contains chord symbols, these too will be transposed accordingly. If Automatic Key Transposition in Layout > Clefs & Signatures is activated (which is the default setting), the key signatures will also be transposed (exception see next paragraph).

Key

If this parameter is set to Hide, the corresponding staff is displayed without any key signature. Instead, all sharps and flats are indicated directly next to the notes. This parameter will usually be set to Show the key signature. Hide is an option mainly used for transposed french horn parts, which are sometimes written without any key signature.

Note: the above mentioned option Automatic Key Transposition has a similar effect on the whole song. There however, the untransposed basic key signature is still indicated, whereas Hide Key suppresses any key signature.

Rest

The automatic rest display can be switched off here (HIDE), or set to display Beat Slashes instead of rests. This is useful for rhythm section parts and improvised solos. In this case, the number of slashes per bar will be determined by the nominator in the time signature (i.e. 4 slashes in 4/4-time, 6 slashes in 6/8-time etc.). Inserted notes and symbols will still be displayed, but automatic rests are only shown if they are shorter than one beat. You can insert User Rests manually, to replace the Beat Slashes at certain points.

Stem

This controls the direction of stems. The default setting is Auto. Up or Down forces all stems, regardless of pitch, into the corresponding direction. Hide makes all stems (and with them beams and flags) invisible.

Tie

The vertical direction of automatically displayed ties. The default setting is Auto. Up or Down forces all ties into the corresponding direction.

Tupl

Controls the direction of N-tuplet brackets and numbers. The default setting is Auto. Up or Down forces all N-tuplet brackets and numbers into the corresponding direction. Hide prevents the automatic display of triplet brackets and numbers. In this case, the numbers are still displayed in brackets on the screen, to allow editing of these triplets. On the printout however, these bracketed numbers will not appear.

If you set this parameter to Hide, you can still make particular triplets visible: double-click on the bracketed number (3) to open a tuplet dialog box. If you now close this box with OK, you convert the automatically displayed triplet into a "forced" triplet, which will be displayed according to the parameters set in the dialog box.

Beam

Controls the appearance of beams. The default setting Slant allows slanted beams. Horiz allows only horizontal beams. Vocal prevents any display of beams, as is typical in "classical" vocal parts, where notes are displayed with flags only.

Color

Sets the color of the voice's notes. The color options are: Black ("---"), Pitch, Velocity and the 16 colors of the user palette.

These settings only affect sequences which use an according Score Style. In addition, the active color mode in the Score Edit Window has to be Normal (Individual), which is the default setting.


Editing Two-Stave Score Styles

Score Editor > Score Styles > Editing Two-Stave Score Styles

(2 staves with one Voice each)

The most obvious example for a multi-staff Score Style is a two-staff piano system.

When working with multiple staves and/or Voices in a Score Style, the following parameters also become relevant:

Number of Staves

In the first column each staff is represented by a number. These numbers are assigned automatically and cannot be changed. An additional staff can be created in two ways:

  • New > Insert Staff. The new line is inserted at the position of the insert mark (>), which can be positioned with a mouse click in the narrow column to the left of the staff numbers.
  • Click on the lower left portion of the empty space below the parameters (below the Staff parameters) with the Pencil tool.

Brackets and Bar Line Connections

In the second to fifth columns of the Score Style window, you can determine which staves are bracketed (two bracket types available) and/or connected by bar lines (either at the beginning of each staff line only, or at every barline). For any of these connections, just click-drag the mouse in the corresponding column until you see the appropriate display. If a Score Style consists of more than two staves, these brackets and bar lines can be set to connect only certain parts of the whole system, i.e., they can be interrupted in between staves. If you want to delete any of these, grab the symbol at its end, and drag it up to the beginning, until it disappears.

The bar line connections can also be edited directly in the score. Just click on the upper end of a bar line to connect it to the next higher staff. To disconnect the bar lines, simply click on the same spot again.

The Voice-Parameters (which have been explained in the previous section) in the middle of the window (Space, Size, Clef, Rest, Stem etc.) can be set individually for each Voice (which in this case is identical with staff). However, in a simple two-stave system, you probably will just select two different clefs and adjust the staff distances as needed. The Space parameters now also refer to the staff distances inside the Score Style itself.


Voice Separation Method

Score Editor > Score Styles > Voice Separation Method

Additional staves are always treated as additional Voices. There are two different methods for assigning notes to the different voices. The parameters for these are to the far right side of the Score Style window, below the Assign header:

  • A fixed split point (between two lines in the Split column). This is a defined pitch, which determines the absolute border between two Voices. Notes above it or exactly at that pitch are assigned to the upper Voice, notes below it are assigned to the lower Voice. This method is very simple, but there is the disadvantage that none of the Voices, even briefly, can ever cross that border. Quite often in "real life", the border between voices needs to be flexible. A piano piece's right hand part may dip below middle "C", or the left hand may go above. It is not possible to notate this properly using a fixed split point.
  • Voice assignment according to the notes' MIDI channels (Chan): for each Voice, a different MIDI channel can be set in the Chan column.
Every note is now assigned to a Voice according to its MIDI channel. (The note's MIDI channel can be seen and edited in the Event List, Event Float or in the Score window's Event Parameter Box, when that note is selected.) The different MIDI channels have no impact on MIDI playback, since the playback channel is determined by the setting in the Instrument Parameter Box (Arrange window).

Since MIDI channels are used for voice assignment, notes that do not have one of the channels used for Voices are not going to be displayed at all. This can, however, be used to your advantage, as it allows you to exclude certain notes from the display (i.e. improvised parts, trill notes etc.)

There are two useful functions that can speed up the process of changing the MIDI channel settings of notes, in order to assign them to the desired Voices:

  • In the Score Preferences (Options > Settings > Score Preferences) there is a parameter called Auto Split Notes at ... If this is activated, and the default Score Style in the Instrument Parameter Box for the selected instrument is a polyphonic Style, the played notes are automatically assigned MIDI channels according to the Score Style's Voice assignments. Notes at and above the split point get the channel of the first Voice , those below get to the second Voice's channel. (This feature only works for two Voices at a time) This creates a useable rough Voice assignment, which can be edited afterwards.
  • For sequences that have already been recorded, use Functions > Note Events > Split to Channels, or the key command Split to Channels, to assign notes to Voices in the Score Style according to the Auto Split pitch in the Score Preferences.

In most cases, it will still be necessary to change the Voice assignment (the MIDI channel) for particular notes, or groups of notes. There are several methods for doing this:

  • Editing the MIDI channel in the Event Parameter Box, the Event List or the Event Float window (works also with multiple selection).
  • Changing the MIDI channel using the key commands Nudge Event Channel +1 and Nudge Event Channel -1.
  • Hint: these can be especially useful when used in combination with the Select Next/Previous Event commands, which allow you to move the selection from note to note.
  • Using the Voice Separation tool: this tool allows you to draw a separation line between the notes, thereby assigning them to the different MIDI channels of the Voices. Place the tool between the staves, and draw a line where you want to separate the Voices, while holding down the mouse button. The following example shows the resulting separation line. If you make a mistake, just move the mouse back to the left a little bit (with the button still pressed). This erases the separation line to the right of the tool. Then try it again.

The result of the procedure will look like this:

Note: the Voice Separation tool can only be used if MIDI channels are defined for each of the Voices that you want to separate with it, since Logic has to know which MIDI channels to assign to the notes.

Voice Assignment when Using Mouse Input

If you insert notes with the mouse into a multiple stave Score Style, these are assigned automatically to the staff/Voice/channel into which they are placed. If that staff contains several Voices (see below), the MIDI channel corresponds to the channel setting in the Insert Defaults (but only if that particular channel is used by one of the Voices of that staff).

If you insert Symbols into multiple stave Score Styles, there is a Staff parameter in the Event Parameter Box for most of them. It determines which staff the symbol belongs to. This is also relevant for the vert.pos setting of that symbol.


Editing Single-Staff Polyphonic Styles

Score Editor > Score Styles > Editing Single-Staff Polyphonic Styles

(With Several Independent Voices)

Polyphonic Score Styles are needed when rhythmically different meldoic lines should be displayed in the same staff. Theoretically, up to 16 independent Voices are possible.

There are two possible ways to add another Voice to a staff in the Score Style window:

  • Menu New > Insert Voice. The new Voice will be inserted at the position of the insert mark (>), which can be set with the mouse in the narrow column to the left of the staff numbers. (This is important if you want to insert a new Voice between existing Voices)
  • By clicking with the Pencil tool into the (empty) lower right portion of the Score Style window. In this case, the new Voice is simply added at the bottom.

In both cases, the newly inserted Voice will have the same parameters as the Voice above it, which can now be edited .

For every new Voice, a new line appears in the Score Style window. For additional Voices within the same staff, it is important that the staff field in the first column stays empty. If a number is displayed there, click on it. This will cause the number to disappear, and the corresponding staff to disappear from the Score display.

If there are two independent Voices throughout the piece, the parameters might be set as follows: Stem, Tie and N-tuplet direction are set to up for the top Voice and down for the bottom Voice. Note that even with these general parameters, these Note Attributes can be changed for each note. Both Voices are displayed with automatically displayed rests (Parameter Rest: Show).

For Voice Separation, the same methods as used in two-stave systems can also be applied. Either draw a line between the notes with the Separation tool, or edit the MIDI channels of the notes directly, according to the Voice assignment in the Score Style window.

While the Voice Separation tool is being used, the Info Line shows which of the Voices are being separated in the current process. This is indicated by two horizontal arrows between the numbers of the Voices, and is only relevant if there are more than two Voices. To switch to the lower Voices, the arrows can be moved with the shift key while the mouse button is pressed.


Input and Recording of Polyphonic Voices

Score Editor > Score Styles > Input and Recording of Polyphonic Voices

Via MIDI

If you record polyphonic voices as separate passes in real time, you should set your keyboard or MIDI controller to the appropriate MIDI channel for each Voice. This way, you don't have to edit the channels afterwards. The same applies to step input.

Note: the original MIDI channel will not be recorded properly, if in the Environment window, the Sequencer Input Object's Channelize function is activated.

Reminder: if you want to record an additional Voice into an existing sequence, that sequence has to be selected before the recording is started, and in the Recording Options ( menu ), the option Merge New Recording With Selected Sequence has to be activated. You could also record two separate sequences, using different MIDI channels, and merge them afterwards.

Mouse Input

Mouse input into polyphonic Score Styles is very easy, if you activate View > Explode Polyphony (also available as a key command). This causes all Voices to be displayed in separate staves, no matter what the Score Style Staff settings are (the other Voice parameters remain valid). If you insert a note into one of these staves, it is automatically assigned the corresponding MIDI channel. After you finish input, turn off the Explode Polyphony option. Now the voices will be displayed correctly in one staff, according to the Score Style settings. This mode is generally useful for all editing in polyphonic staves.

Of course you can also insert notes directly into polyphonic staves without activating the Explode Polyphony option. In this case, an inserted note gets the MIDI channel which has been set in the Insert Defaults (Event Parameter Box). (See the section MIDI Channel and Velocity of Inserted Objects)


Single-Staff Score Style with Optional Polyphony

Score Editor > Score Styles > Single-Staff Score Style with Optional Polyphony

Sometimes you need to add a second Voice to a staff that usually only requires one Voice, in order to properly notate a short rhythmically independent passage. This is not uncommon with orchestral scores, where the unison part for a group of instruments will temporarily separate.

One solution is to use a Score Style with a "Main Voice" and a "Secondary Voice". The parameters for the Main Voice should be set like in a non-polyphonic Style, the Secondary Voice is set to Channel 16 and is displayed without automatic rests:

  • The stem, tie and tuplet directions for the Main Voice are set to Auto, which is necessary for the proper notation of the unison parts. No MIDI channel is defined for the Main Voice, so all notes with a channel other than 16 will be assigned to the Main Voice. As long as no notes or rests with MIDI channel 16 are used, the score display looks the same as with a simple non-polyphonic Score Style.
  • For the second Voice ,the stem, tie and tuplet direction parameters are set to down , and the automatic rest display is deactivated (Hide). Only notes with channel 16 will be assigned to this Voice.

To achieve such a score display, the following additional steps are necessary:

  • Rests in the second Voice have to be inserted manually where needed. In the example, this was done on the fourth beat of the second measure. The rest's MIDI channel has to be the same as the second Voice's channel (in this case, 16). This can be edited in the Event List.
  • In the polyphonic passages, the stems of the Main Voice have to be forced upwards by selecting the corresponding note's and changing their individual stem parameters.

An advantage of this approach is that you don't have to worry that much about MIDI channels during recording or input. Also, notes will not disappear unintentionally. There is, however, the disadvantage that the Voice Separation tool cannot be used in this case to assign notes to Voices.

Other applications for this method would include the display of beamed grace notes, occasional polyphony in a guitar part, or the indication of rhythmic accents above or below beat slashes in rhythm section parts.

Optionally, you can add still more Voices to a staff to be able to display more complex parts (up to 16).


Multi-Stave Polyphonic Score Styles

Score Editor > Score Styles > Multi-Stave Polyphonic Score Styles

(With more Voices than staves)

These Score Styles are used mainly for notating keyboard music. If you start Logic without using an Autoload-Song or template song files, an empty song appears, which contains some polyphonic Score Styles for piano (Piano 1+2/3+4) and church organ (Organ 1+2/3+4/5, with three staves).

These Score Styles are simply a combination of the Score Style types covered in this section so far. To insert an additional Voice or staff, place the Insert Mark (>) at the desired position with the mouse (see opposite illustration), and select New > Insert Voice or New > Insert Staff.

In these complex Score Styles, it is often best to use the Explode Polyphony mode when editing.


Cross Staff Beaming

Score Editor > Score Styles > Cross Staff Beaming

Music for keyboard instruments or harp, which is notated in two staves, sometimes contains passages where notes in the upper and lower staff (played by left and right hand) are connected with a beam to emphasize the continuing musical phrase.

Required Settings

Cross-staff beaming is only possible between staves which belong to the same Score Style and therefore to the same MIDI sequence. Apart from that, the Voices in this Score Style have to have to different MIDI channel assignements - it is not possible to achieve cross-staff beaming with a Score Style that only uses a split point pitch for Voice separation.

The Procedure in Detail

Since notes can only be connected with beams, if they belong to the same Voice, it is not possible to simply select notes in both staves and apply the usual beaming attribute functions to them. As an example, let's imagine a two-staff Score Style with one Voice per staff. Before beaming the notes, it is necessary to assign all notes which are to be connected by a beam to the same Voice, let's choose the Voice of the upper staff for that purpose.

To change the Voice assignments for the notes in the lower staff, you can either use the Voice Separation Tool and draw a line below those notes or select all the notes and change their MIDI channel in the Event Parameter Box to the channel of the upper Voice.

Now all those notes will be displayed in the upper staff, probably with a lot of leger lines. The next step is to define the beaming connections as desired. This can be done with the regular note attribute functions (menu Attributes > Beaming > Beam selected or corresponding key command).

Now select those notes once more which should be displayed in the bottom staff and choose the menu function Attributes > Voice/Staff Assignment > staff below Voice or the corresponding key command. This moves all selected notes down to the lower staff, although they still remain part of the upper Voice.

You could also choose the opposite approach - first assigning all notes to the lower Voice, then moving part of the notes to the upper staff with Attributes > Voice/Staff Assignment > staff above Voice. To display all selected notes in their original staff, use Attributes > Voice/Staff Assignment > default staff.

Stem Direction

The default stem direction for notes that beamed across staves is towards the center. I.e. the beam is displayed between the two staves, stems in the lower staff point up, stems in the upper staff point down.

The vertical position and the inclination of that beam can be altered by applying the stem length change functions described above: To move the whole beam in parallel motion, select all beamed notes at once and choose Attributes > Stems > Up or ...Down, to change the inclination of the beam, select the first or last note of that group and apply those functions.

However, you can also define the same stem direction for all notes with the regular note attribute functions, thereby placing the beam above the top staff or below the bottom staff. If you decide that you like the in-between beam better, you'll have to select all notes again and choose ttributes > Stems > Default.

Rest Display

As always, rests are displayed automatically in Logic, according to the Rest settings in the used Score Style. However, since in the cross-staff beaming situation described above, most or even all notes belong to the the Voice of the top staff, the lower staff will contain rests - even directly at the position of some of the notes. To avoid this, you should use a Score Style where the automatic rest display is deactivated for the Voice of the bottom staff. Wherever rest display is desired, those rests can be inserted with the mouse from the Partbox.


Copying Voices or Staves

Score Editor > Score Styles > Copying Voices or Staves

Copying Voices or Staves into other Score Styles

With the Copy&Paste-commands (Edit menu or key commands), you can transfer one or several voices and/or staves including their parameters, into other Score Styles. Select the Voices you want to copy, by dragging the mouse vertically in the margin column to the left of the stave numbers. The selection will be indicated by a dark grey vertical beam. Now, select Edit > Copy (X). Switch to the Score Style into which you want to paste these voices (this also works between different songs). Finally, set the Insert mark (>) and select Edit > Paste (X). Note that if a Voice is selected in the destination Score Style (indicated by a black beam in the left column), it will be replaced by the pasted voices.

Deleting Voices in a Score Style

To delete Voices or staves from a Score Style, select them (dark grey beam, see above) and press backspace , or select Edit > Clear.


Drum Notation with Mapped Score Styles

Score Editor > Score Styles > Drum Notation with Mapped Score Styles

Nowadays, most MIDI instruments contain a variety of drum and percussion sounds. Each MIDI note usually triggers a different sound. If a sequence containing a drum part is displayed with a regular Score Style, you see notes with no apparent relation (except that these MIDI notes trigger the corresponding sounds) to the sounds represented by them.

If you wish to notate these musically meaningless pitches as a readable drum part which also uses special percussion noteheads, then you will want to utilize Logic's Mapped Instruments and Mapped Score Styles.

The Basics of Drum Notation with Logic

For the purpose of drum notation, you have to use both a Mapped Instrument as a Track Instrument, and a Mapped Score Style, for the notation to be displayed properly. We'll start with the Mapped Instrument.

Open an Environment window, and create a new Mapped Instrument and double click its icon.

You will see the Drum Map Editor for the instrument. The default settings correspond to the General MIDI drum note assignments, but they can be edited.

In the column to the far right, there are three parameters which are relevant for notation:

- Head
Determines the shape of the note head for notes triggered by this particular pitch. You can choose the shape from the flip menu, which appears when you click and hold on any of the note heads displayed here.

- Group
Here, each MIDI note can be assigned to a Drum Group, using a flip menu. For the most commonly used drum sounds, there are already some groups defined in this menu (Kick, Snare, Hihat, Toms, Cymbals etc.). If you want to define a new Drum Group for another instrument sound (for example Tambourine), select one of the New Groups in the flip menu, and double click on it. This opens an entry field, where you can determine a name for the new Drum Group.

The Drum Groups play an essential role in "Mapped Score Styles": a note has to be assigned to a Drum Group to be displayed with a Mapped Score Style. If it's not, it won't be visible.

- Rel. Pos.
This parameter assigns the note to a line in the staff. It defines the note's position in relation to the top line of the staff. Integer values will make the note fall onto a line, fractional values result in a note position between two lines. (The measurement unit of this parameter is the distance of one staff line to the next)
This position parameter can be set individually for each MIDI note. In the Score Style window, the positions can also be influenced, but only for all notes of a particular Drum Group together.

These options allow you to have two different MIDI notes (i.e. different bass drum sounds) displayed in the same way in the score, or on the same line, but with different note heads.

Different Drum Maps within the same Song

If you are using various MIDI instruments with different drum assignments, you can create a separate Drum Map (in the Drum Map Editor) for each instrument. The list of Drum Groups however, is the same for all instruments in a song. This enables you to display different drum tracks with the same Mapped Score Style. All Snare Drums, for example, will be displayed in the same way. If you don't want this, just create additional drum groups like Kick2, Snare2 etc. and create a second Mapped Score Style for the display of these Drum Groups.

Mapped Score Styles

Take a look at the default Mapped Score Style in the Score Style window: You can select the default one via the flip menu on the left.

  • To the left side (Staff), everything is identical to non-mapped Score Styles (with the exception of the missing Transpose and Key parameters, which wouldn't make sense here). Choose a drum clef in the Clef column.
  • Below Voice (in the top header line), there is a separate Voice column, where the different Voices are numbered automatically. The Score Style in the example above contains one staff with two independent Voices.
  • The hierarchy Staves-Voices-Drum Groups, goes from left to right, and is shown by horizontal lines, which indicate the borders between these elements: each Drum Group belongs to the Voice at the same horizontal position. The Pos. parameter affects the vertical positioning of all notes of the corresponding Drum Group. The value shown here is an offset, which is added/subtracted to the relative positions defined for the individual notes in the Drum-Map-Editor.

Creating and Editing Your Own Mapped Score Styles

This is very similar to creating non-mapped polyphonic Score Styles. Select New > Mapped Score Style in the Score Style window, and insert all desired staves, Voices and Drum Groups using the menu functions (New) or the Pencil tool.

The copy, insert and paste functions for single staves, Voices and Drum Groups also work as described in the section Copying Voices or Staves into other Score Styles.

Before defining the details of a Mapped Score Style, you should define all Drum Groups, note head shapes, and relative note position parameters in the Drum Map Editor.

The best method for this is to use an already recorded drum sequence, and open the Score window displaying that sequence, the Drum Map Editor, and the Score Style window. This way, you can directly see how parameter changes affect the score display.

Using Mapped Score Styles for Non-Mapped Instruments

If you use a Mapped Score Style for the display of a regular (non-mapped) instrument, Logic will simply use the default settings for Mapped Instruments (which correspond to the General MIDI drum sound assignments), to determine the mapping of notes to Drum Groups. However, this is not recommended, since this method is is less flexible (for example there will be only the default Drum Groups available).


Note Attributes

Score Editor > Note Attributes

The term Note Attributes is used for all note display parameters that can be set individually per note, regardless of the settings in other windows and boxes.

The Note Attribute window opens when you double-click on a note's head (presuming that in , Double Click Note To Open: Note Attributes is selected). The settings shown in this window always correspond to the note whose head has been double-clicked.

Using the Attributes menu, the different settings are assigned to a note by selecting the corresponding submenu, with the note selected. This attribute assignment can also be made for a group of selected notes at once. The same applies to the assignment of Note Attributes using key commands.

Reset Note Attributes

With this command (Attributes menu or key command) you can reset all Note Attributes to their default settings. Note that this also affects symbols directly attached to notes (accents, fermatas, Jazz symbols etc.), which will be erased by a reset of Note Attributes.

List of all Note Attributes

The following list shows all Note Attributes. Here you can see how to access a certain attribute and what the options are.

- Special Note Heads (Default setting "normal" = round and black):

• Insertion from the Partbox with the mouse
• In the Note Attributes window (Head)

- Altering Note Size (Default: Size in the Score Style window)

• With the Sizing tool
• In the Note Attributes window (Size)

- Horizontal Position Change (Default: as defined by the note's bar position)

• With the Layout tool
• In the Note Attributes window (Horizontal Position)

- Accidental Distance from the Note (Deviation from the default setting in the Extended Layout Parameters window)

• In the Note Attributes window (Accidental Position)

- Display of Accidentals (Default: display according to key signature)

• In the Note Attributes window (Enharmonic Shift / Accidental Type)
• Menu Attributes > Accidentals
• With Key Commands

Options:
• Default Accidentals: according to the default setting
• Enharmonic Shift: #: converts for example G flat to F sharp, also F to E sharp
• Enharmonic Shift: b: converts for example D sharp to E flat, also B to C flat
• Flats To Sharps: similar to Enharmonic Shift #, but leaves notes without flats unaltered (useful for multiple selection)
• Sharps To Flats: similar to Enharmonic Shift b, but leaves notes without sharps unaltered (useful for multiple selection)
• Force Accidental: forces the display of accidentals (and naturals)
• Hide Accidental: displays the note without accidentals (MIDI playback is not affected)
• Guide Accidental: forces the display of the accidental (also naturals) in parenthesis.

- Stem Direction and Length (Default setting in the Score Style window)

• In the Note Attributes window (Stem Direction only)
• Menu Attributes > Stems
• With Key Commands

Options:
• Stems: default: according to the default setting
• Stems: up
• Stems: down
• Stems: hide: hides a note's stem, and the corresponding beam or flag
• Stem End: Default Length: default setting
• Stem End: Move Up: moves the stem end upwards; depending on the direction shortens or lengthens the stem
• Stem End: Move Down: moves the stem end downwards

- Beaming of Notes (Default depends on the chosen time signature, the "Beat Grouping" setting in the time signature dialog box, and on the Score Style Parameter "Beam")

• Menu Attributes > Beaming
• With Key Commands

Options:
• Beam Selected Notes: forces a beam to the following note
• Unbeam Selected Notes: interrupts the beam to the following note
• Default Beams: according to the default setting

- Voice/Staff Assignment (For Cross Staff Beaming)

• Menu Attributes > Ties

Options (requires a polyphonic multi staff style):
• Default Staff: according to voice assignment
• Staff Above Voice: moves the selected note(s) to the staff above the assigned voice
• Staff Below Voice: moves the selected note(s) to the staff below the assigned voice

- Tie Direction (Default setting in the Score Style window)

• In the Note Attributes window (Tie Direction)
• Menu Attributes > Ties
• With Key Commands

Options:
• Ties: default: According to the default setting
• Ties: up
• Ties: down

- Syncopation (Default setting in the Display Parameter Box)

• In the Note Attributes window (Syncopation)
• Menu Attributes > Syncopation
• With Key Commands

Options:
• Default Syncopation: according to the default setting
• Force Syncopation: forces syncopated display
• Defeat Syncopation: defeats syncopated display

- Interpretation (Default setting in the Display Parameter Box)

• In the Note Attributes window (Interpretation)
• Menu Attributes > Interpretation
• With Key Commands

Options:
• Default Interpretation: according to the default setting
• Force Interpretation: forces Interpretation mode
• Defeat Interpretation: defeats Interpretation mode

- Independent: Display as Independent Note or Single Grace Note (Default setting "Not Independent")

• Menu Attributes > Independent
• With Key Commands

Options
• Not Independent: the note is displayed in the regular rhythmic context
• Independent: the note is displayed independent of the rhythmic context
• Independent Grace: the note is displayed as a single (independent) grace note

- Color

Single notes can also be assigned colors individually, according to the three color palettes. The note has to be selected, then menu Attributes > Colors >... is used to assign the desired color (user palette 1-16) or color mode (pitch or velocity).

Being Note Attributes, these settings have priority over the Score Style settings. However, they only apply if the color mode in the Score Edit Window is set to Normal (Individual).


Instrument Sets and Score Display Levels

Score Editor > Instrument Sets and Score Display Levels

In Logic's Score Edit window, there are basically two parallel systems determining which sequences are displayed, and which aren't (linear view versus page edit view does not play a role here). The hierarchical system which controls the Display Levels is basically the same in all Logic windows, but has a few special aspects in the Score Edit window.


Display Levels

Score Editor > Instrument Sets and Score Display Levels > Display Levels

In the Score Edit window you can work with the following Display Level settings:

Content Linked: activated by a double click on the Link symbol . In this mode only the object currently selected in another window (which most of the time is a single sequence, but can also be a folder) is displayed in the Score window.

Content Catch: similar to Content Linked, but Catch is also activated. Only one sequence is displayed at a time, but during playback the display changes to the next sequence on the same track, according to the current bar position.

Linked: (single click on the Link-symbol) The Score window displays the same display (folder) level as the Arrange window. This is most relevant if you work with Folders.

Not Linked (Link button deactivated): in this mode, Logic simply stays at the currently visible Display Level and doesn't react to sequence selection in other windows. For example, if you always want to see the full score in a particular Score window, choose this mode once the full score is displayed in that window.

Explode Folders

If the current display level allows the display of more than one sequence at a time (Linked or Not Linked), the option Explode Folders in the View menu will affect how things are displayed: unlike the other editor windows, the Score window can display (or even print) the contents of different display (folder) levels at once. If the current Display Level contains folders, their contents will also be displayed in the score. (If this option is not activated, Folders will appear as grey beams in linear view. In page edit view, they won't be visible at all.)

Changing between Single Sequence and Full Score Display

At all Display Levels, a double click on a sequence or folder will take you to the next lower level (into the Folder or to the display of only that particular sequence). A double click in the empty space below or above the staves will bring you up to the next higher level (the next higher Folder, or in case of the highest level to the full score display of all sequences of that song). Basically, the same principle applies even if you don't use Folders at all: the highest of all levels (the complete song) could also be regarded as a folder, which contains all the sequences.

Special Cases Concerning Score Display

In some cases, certain sequences will not be displayed in the Score window, no matter what the Display Level or Instrument Set settings are. These cases include:

  • Muted Sequences, if Hide Muted Sequences is activated in Layout > Global Format.
  • Sequences on muted tracks, if Hide Muted Tracks is activated in Layout > Global Format.
  • Sequences with Score set to"off " in their Extended Sequence Parameters ( Options > Extended Sequence Parameters or key command).


Instrument Sets

Score Editor > Instrument Sets and Score Display Levels > Instrument Sets

Apart from the system of display and Folder levels, there is also the system of Instrument Sets in the Score window. This allows you to determine which (track) instruments should be included in the score display of a particular Instrument Set. Each song can contain as many Instrument Sets as you like. Instrument Sets allow you to:

  • arrange the (vertical) order of instruments in the score, independently from the order of tracks in the Arrange window.
  • assign a name and an abbreviated name to each track instrument, which will then be displayed and printed as instrument names in the score.
  • determine which of the staves will be connected by brackets and/or bar lines.
  • display or print only a certain part of the score, such as a particular group of instruments. This also allows faster editing in very large files, since screen redraws are much faster when less instruments are displayed.
  • exclude tracks from display that are only relevant for playback, but not for the score (i.e. tracks containing only MIDI controller data ).
  • Reduce or enlarge all staves which are part of that Instrument Set at once, using the Scale parameter. (This allows you to use the same Score Styles for printout of full scores and parts).
  • Select from two different parameter sets (Score or Part) for page margins, header space height, vertical distance between stave systems, and the maximum number of bars per line.
An Instrument Set is selected in the Instrument Set Box, below the Catch and Link buttons. If Instrument Sets already exist in the current song, a flip menu with all available Instrument Sets will appear when you click-hold on the box . New songs will only show the entry ALL INSTS. which-depending on the display level-will display all instruments. Double-click this box to open the Instrument Set window.


The Instrument Set Window

Score Editor > Instrument Sets and Score Display Levels > The Instrument Set Window

The Instrument Set window can be opened with:

  • Double click on the Instrument Set Box
  • Menu Layout > Instrument Sets...
  • Key command Open Instrument Set Window
If you have opened the Instrument Set window while the default set "ALL INSTS." was displayed, you will see a note saying that the"ALL INSTS." Instrument Set cannot be edited. In the Instrument Set window, select New > New Complete Set. This will create an Instrument Set which contains all track instruments currently used in the Arrange window. Although for the moment this results in the same display as "ALL INSTS.", you can now edit this Instrument Set. (In the "ALL INSTS." Set you cannot define instrument names or change the order of instruments; and the bar lines are always connected throughout the whole score). On the yellow background you will see columns with the following parameters (from left to right):

Instrument

In this column, you determine which (track) instruments are included in the Instrument Set, and in which vertical order they will appear in the score. As in the Score Style window, there is a narrow column at the left margin, where you can set an insert mark (>) with a mouse click, or selection marks by dragging the mouse vertically. With these selection marks, instrument entries are selected. With the usual cut/copy/paste commands (Edit menu or key commands), you can move entries to change their order, delete them, or copy them into other Instrument Sets. If you Paste them, they will be pasted at the position of the insert mark, which you have to set to the desired position beforehand.

If you double-click below the instrument list, a new instrument entry is added at the bottom of the list. If you want to add an instrument somewhere in the middle of the list, set the insert mark accordingly, and select New > Add Instrument Entry.

Click-hold on the name of this new entry (Instrument column). A flip menu with all available track instruments will appear, that you can select from.

In most cases, it is convenient to create a new Instrument Set with New > New Complete Set, since all instruments currently used in the Arrange window will be included automatically. You can, however, also select New > New Empty Set, into which you then can insert the desired instruments one by one. Other options in this menu are Duplicate Set; which creates a copy of the currently visible Instrument Set, that you can use as a basis for another set, and New Set of Selected Insts., which creates a new Instrument Set containing all currently selected instruments.

At the highest zoom level, the Track Instrument icons are also displayed in this column.

Please note: you will not see a new Instrument Set in the Score window until it has been chosen from the flip menu in the Instrument Set Box.

Full Name

If you click in this column on any line, an entry field opens with the default entry "@(reference)". If you don't change this, the Track Instrument name will be used as the name for that instrument in the score. However, since the track instrument name often is identical with the corresponding synthesizer patch (i.e. Solostrings high), you will probably wish to assign another name here. This name will automatically be displayed in the score as the full name, for example "Violin 1". The display parameters for the instrument names are set in Layout > Numbers & Names.

Short Name

Here you can define an abbreviated name for each instrument, which is used if in the Layout > Numbers & Names dialog window short names is selected for the instrument name display.

Brackets and Bar Lines

You can define which staves in the Instrument Set will be connected by brackets (two bracket types available), and/or connected by bar lines (either at the beginning of each staff, or throughout) using the last four columns . For any of these connections, just drag the mouse vertically in the column until you see the appropriate display.

These brackets and bar lines can also be interrupted between staves, which allows you to form groups of connected instruments in a score. If you want to delete one of these lines or brackets , grab the corresponding symbol at its end point, and drag it up until it disappears. You can use the same method to shorten the lines.

The bar line connections can also be edited directly in the score. Just click on the upper end of a bar line to connect it to the next higher staff. The same procedure applied once more disconnects the bar lines again.

Name of Instrument Set

The Name of an Instrument Set can be edited by double clicking on the name in the left column of the Instrument Set window, which opens a text entry field. If you click-hold on the name box, you can switch to another Instrument Set by selecting it from the resulting flip menu.

Scaling, Format

These two parameters below the Instrument Set's name make it possible to create both the full score and the parts for all instruments from within the same song file, without having to change any settings.


Importing Instrument Sets from Other Songs

Score Editor > Instrument Sets and Score Display Levels > Importing Instrument Sets from Other Songs

Select Options > Import Settings. In the resulting dialog box, activate Instrument Sets only, and click on Import. This imports all Instrument Sets from another song into the current song.

If another song file is already open during this procedure, that song's Instrument Sets will be imported. If no other song is open, a file selector box will appear, where you can select the song whose Instrument Sets you want to import into your current song.


Additional Information on Instrument Sets

Score Editor > Instrument Sets and Score Display Levels > Additional Information on Instrument Sets

Relation to Display Levels

An Instrument Set will only be displayed as defined, if an appropriate Display Level is chosen. Content Linked and Content Catch only allow the display of one sequence at a time, so they are not suitable for working with Instrument Sets. It's usually best to deactivate Link once the desired Instrument Set is fully displayed. If only one sequence is displayed, double-click below the staff, which will bring up the full score. After that, deactivate Link.

Please note: it is possible to work with several open Score windows showing different Display Levels and/or different Instrument Sets.

New Instrument Sets for Selected Instruments

Layout > Create Instrument Set from Selection (also key command) will immediately create and display a new Instrument Set, which consists of all the instruments which are used by the currently selected sequences. For this function, it does not matter if the sequences are selected in the Score or in the Arrange window. Since screen redraws are much faster if less instruments are displayed, this is a good way to speed up editing. Instrument Sets created this way are automatically named according to the instruments they contain. If you want to delete the set again after editing, select New > Delete Set in the Instrument Set window while the particular Instrument Set is shown there.

Automatic Display of Selected Instruments when Opening the Score Window

When you open a new Score window while several sequences are selected in the Arrange window, an Instrument Set will automatically be created and displayed in that Score window which only contains the instruments belonging to the selected sequences. In other words, the function Create Instrument Set From Selection is automatically performed whenever a Score window is opened (using ctrl 3 or menu Windows > Open Score) and sequences on more than one track are selected in the Arrange window.
Instrument Sets created this way are saved with the song file, and are also available for later use.

Different Instruments Using the Same Sound

If several instruments or staves use the same MIDI sound for playback (with the same MIDI channel on the same MIDI instrument), and if you wish to be able to display those staves with different instrument names in the score, you have to create a separate track instrument for each staff in the Arrange or Environment window.


Full Score and Part Layout

Score Editor > Instrument Sets and Score Display Levels > Full Score and Part Layout

Some functions in the Instrument Set window and some settings in the Global Format window (Layout menu) make it possible to produce both the full score and the individual parts for all instruments from within the same Logic song file, without having to adjust any settings.

Part Extraction ("Instrument Filter")

Hold the ctrl -key as you click and hold on the Instrument Set Box in the Score window. A flip menu will appear, which contains all Track Instruments currently used in the Arrange window . If you choose one of them, only this particular instrument will be displayed. This method allows you to quickly display (and print) instrument parts. However, in this special case, only the track instrument names will be used as instrument names in the score. So, if you use this method for printout of your parts, you have to be careful to use the "real" instrument names as names for the Track Instruments in the Arrange window.

Scaling Parameter for Instrument Sets

In the Instrument Set window, below the name of the Instrument Set, there is a Scaling Parameter, which can be set to any desired size between 50 and 200 percent of the original size. This scaling will affect all staves, the distance between staves, all symbols which are part of the staves (i.e. all notes, rests and other symbols), and all local text including lyrics. All these elements will be changed in size according to the scaling parameter of the currently displayed Instrument Set.

The scaling parameter does not affect Global Text objects (i.e. header text, text which has been inserted outside the margins) and text like page numbers, etc.

The scaling is not applied to parts which are extracted using the Instrument Filter function described above. Therefore, you can use the same Score Styles for full scores and parts: in extracted parts, the staves will appear with their original size, in the full score their size will be diminished according to the scaling parameter.

Separate Layout Options for Parts and Score

In the Global Format dialog window (Layout menu) there are separate page layout parameters for score and parts. Left, right, top and bottom margins, the (vertical) size of the Header Space, the Line Distance (additional vertical distance between stave systems), and the maximum number of bars per system (Max.Bars/Line) can be set separately for Score and Parts.

Which of these parameters are used for the display and printout of a particular Instrument Set, depends on the setting of the Format parameter in the Instrument Set window (below the Scaling parameter). You can switch this setting by clicking on it.

When you use the Instrument Filter method (see above) to extract and print the parts for single instruments, the Part settings are applied automatically.

For the default ALL INSTS set, the Score settings will always be used, unless only a single sequence is displayed. In this case, the Part settings will be applied. Please note: the ALL INSTS set cannot be edited (and therefore not be scaled), so it will be necessary in most cases to create a dedicated Instrument Set for the full score.

The margin and header values can also be changed directly with the mouse by dragging the margin (green) and header lines (blue) in page view. This will only affect the Format setting which is currently in use for display (Score or Part).


Line Breaks

Score Editor > Instrument Sets and Score Display Levels > Line Breaks

Line breaks and individual stave margins can be determined individually for each Instrument Set, and also for each of the extracted parts.

In Page Edit view, you can use the Layout tool to edit line breaks. The automatic line breaks are calculated based on the settings in Layout > Global Format (Spacing and Max.bars/line), but can be changed with the following procedure.

To move the last bar of a stave system down into the next staff, grab that bar with the Layout tool, drag it down until the resulting hand symbol points down with the thumb, then release the mouse button. The bar is moved to the next stave system, and the remaining bars in the line are distributed evenly over the entire width of the page. The same method works for several bars at once. If you grab the third to last bar of a staff, and drag it down, three bars will be moved to the next staff. You also can move the first bar(s) of a staff upwards into the preceding staff, by dragging them upwards (symbol: hand pointing up).

Logic stores the line breaks for each Instrument Set individually. This also applies to all parts created with the above described Instrument Filter function. These are all stored together with the song file.

Restriction to Local Movement

When you move a bar with the Layout tool as described, all manually edited line breaks in subsequent lines are deleted, and the (automatic) line breaks are calculated again automatically from that line downwards. If you want to prevent this, perhaps because you only want to change one detail and want to keep the other staves as they were, hold the alt -key while you move the bars with the Layout tool. Line breaks edited this way will only affect the two directly concerned stave systems. All other stave systems will remain unchanged.

Combining Max.Bars/Line and Line Breaks

In the Layout > Global Format dialog window, there is a parameter called Max.Bars/Line. It determines the maximum number of bars Logic will allow in one staff or stave system. With the Layout tool, you can override this setting. For example, you can set Max.Bars to 6, and still move additional bars into a line with the Layout tool. The subsequent lines will again contain no more than six bars. The full number of bars set here will only be displayed, if the spacing settings are low enough to allow the proper display of that many bars.)

Please note: if you drag more bars into a line than would be displayed when employing the automatic line break function, this can result in overlapping notes and symbols!


Local Margins

Score Editor > Instrument Sets and Score Display Levels > Local Margins

(- Indent for Individual Stave Systems )

The left and right margin of each individual stave system can be moved with the Layout tool, so that they do not align horizontally with the page margins anymore: just click and hold with the Layout tool a little bit inside the beginning or end of the staff, and pull the mouse to the left or right side (see illustration). During this process, the indication "Left/Right Stave Margin" will appear in the Info Line.

In this case Logic also adapts the number of bars per line automatically (unless the line breaks have been adjusted manually beforehand): if the line is shortened, bars might be moved down to the next line, depending on the Spacing parameters in the Global Format window.

To reset such a changed staff margin to line up with the other staves again, doubleclick at its end (or beginning). A dialog will appear, asking Reset Local Margin? Confirming this dialog will reset the margin.

Hint: like the manual line breaks, these local margins are also saved as part of the current Instrument Set, so they can be set differently in every Instrument Set.

Deleting all Line Breaks and Local Margins

To delete all line breaks and all locally changed margins in the current Instrument Set, select Layout > Reset Line Layout.


Song Settings for Score Display

Score Editor > Song Settings for Score Display

In the Song Settings dialog box, there are six pages with score settings. You can change between these and the other pages of the Song Settings dialog box directly . In addition to the methods mentioned below for opening these pages, you can select these pages in the menu Options > Settings >...

The settings on these pages affect the whole song (in all Instrument Sets). They are saved with the song file, so they can be different in each song.

Please note: in most cases, values of "zero" are not displayed in these settings, the parameter box is empty instead.

Importing All Score Settings

Select Options >Import Settings . In the resulting dialog box, activate Score Settings only, and click on Import. This imports all Score Settings relevant to the score display (i.e. the settings on these six pages) of another song, into the current song.
If another song file is already open during this procedure, that song's Song Settings (score only) will be imported. If no other song is open, a file selector box will appear, where you can select the song whose Score Settings you want to import into your current song.


Global Format

Score Editor > Song Settings for Score Display > Global Format

Here you can find the settings for page margins, spacing between notes, slanting of beams and format settings.

This window can be opened by:

  • Layout > Global Format...
  • Key command Settings: Global Format
  • Double click on the page margins in Page Edit view

Note: distance values can be displayed in inches or centimeters. To change between these, just click on one of the depictions of the units being used.

The settings in detail:

Top/Bottom/Left/Right Margin

These values show the margin distances to the outer border of the printable area on the page. So "Top Margin 0,0 inches" will mean that printing will start as close to the top of the paper as the selected printer driver will allow. This means that, with different printers, the size of the printable area can be different, although the difference should be minimal.

The margins are visible only in Page Edit view, where they are displayed as green lines on the screen. These lines are not printed. It is also possible to change them directly, by dragging them with the mouse in the score.

Unlike the global page margins, the left and right borders of stave systems can also be edited individually.To change the left/right border of a staff system, simply use the Layout tool to click and drag the border to the desired position. The local margin can be reset by double-clicking the same position with the Layout tool. (see the section Local Margins)

Add Bracket Space

Creates additional space between the left margin line, and the beginning of the staves for braces and brackets. If this option is deactivated, staves will be aligned directly along the left margin line.

Alternating Page Margins

If activated, the left and right page margin settings will be swapped on every second page. This can be useful if a score is going to be bound as a book: Usually the inner margin has to be a bit bigger than the outer one. It is possible that the opposite might be preferable in cases where room is needed for remarks to be added later to the score.

Header Space

Defines the height reserved for headers, between the first page's top margin, and the first staff's top margin (as defined in its assigned Score Style).

Note: text elements inserted directly into this area automatically become Global Text, and will be displayed as headers in all Instrument Sets (scores and parts).

This value can also be changed directly in the score, by dragging the dotted line above the first staff with the mouse.

Line Distance

Defines additional vertical distance between stave systems on the same page. It applies to full scores, as well as single staff parts.

Max. Bars/Line

This parameter can be useful, when using small spacing values (see below) to prevent too many bars from being displayed in one line. The number set here limits the number of bars that can be displayed per line.

Note: this setting can be overridden when using the Layout tool for changing the line breaks.

Constant/Proportional Spacing: Note distance

These parameters determine how much horizontal distance Logic leaves between notes. Constant Spacing affects the distance from note to note, regardless of rhythmic value. Proportional Spacing also takes the note durations into consideration. If you only use Proportional Spacing (and set Constant to 0), every bar more or less gets the same amount of (horizontal) space. A whole note uses as much space as four quarter notes. In the opposite situation (high constant value, proportional value = 0), the distance from one note to the next is always the same regardless of note duration. A half note takes the same amount of space as an eighth note. Other factors, like accidentals, ties, etc. are also considered for calculating the note distances.

Which settings you use, depends both on personal preference, and the style of the piece. Certainly, one should aim for a good balance between these two parameters. For best results, try different combinations when you work on the final layout of your score .

Slash Spacing: Spacing of Beat Slashes

This is the distance parameter for slashes used in Score Styles that display Beat Slashes instead of automatic rests. This is especially important if notes are inserted into staves displayed with slashes. For example, for musical styles such as funk, which use a lot of sixteenth notes, you will likely choose a higher slash distance than for music that doesn't go beyond eighth notes. This way, the proper relation between notes and passages with only slashes and chord symbols can be kept.

Default Pedal Position

This determines the vertical position of pedal symbols which are created and displayed automatically when you use the MIDI sustain pedal during a real time recording. If this parameter is set to zero, the recorded MIDI sustain pedal controller events will be hidden in the score. Pedal marks inserted from the partbox are not affected by this parameter.

Beaming Slant Factor / Min. Slant / Max.Slant

These three parameters affect the slant angle of beams. As with the Spacing parameters, these parameters work together. Appropriate settings have to be found by trying different combinations. The final settings will vary, depending on the style of the music, and on personal preference.

- Beaming Slant Factor : determines the general amount of beam slanting in relation to the intervals of the notes connected by beams.

- Min.Slant : determines the minimum interval of notes that causes beams to be slanted.

- Max.Slant : determines the maximum beaming slant angle.

These parameters always work relative to a particular score situation, which is why no absolute instructions on how to set them can be given . Again, it is essential to try different combinations when working on the final layout of a piece.

"Open" Single Staves

Displays single staves without vertical lines at their start point (left side of the clef).

Justify Last Staff

Lengthens the last line (in full scores the last staff system) to the right page margin.

Hide Muted Sequences / Tracks

Excludes muted sequences, or sequences on muted tracks, from the score display. If these options are not activated, muted tracks and sequences will be displayed in the score even though they won't be heard during MIDI playback.

Show Alias

Switches the display of alia in the score on or off.

Allow Alias Editing

Switches Alias Editing on or off.

Alternate Repeat Symbols

If this option is activated, all repeat signs in the song will be displayed with the so called "Real Book Style" brackets.

Chord Symbol Language

In the flip menu choose between

  • International: default
  • German1: B->"H", Bb->"B"
  • German2: B->"H", Bb->"Bb"
  • German3: C# -> "Cis", Eb -> "Es" etc...
  • Roman: CDEFGAB -> Do Re Mi Fa So La Ti

Notes:
In all Chord Symbol Language formats, the current format is also accepted for the input of new chords. The "#", "b", "x" and "bb" characters are also active in the German3 mode, allowing for quick entry. In the Roman format, the second root string character can be omitted, e.g. typing "D7" or "Do7" in roman mode will both result in "Do 7" Changing the Chord Language will automatically affect all chord symbols in the song. It is not possible to mix chord languages.


Numbers & Names

Score Editor > Song Settings for Score Display > Numbers & Names

These settings affect the automatic display of page numbers, bar numbers and instrument names in the score.
To open this window, select:

  • Layout > Numbers & Names...
  • Key command Settings: Numbers & Names
  • Double-click on any bar or page number

Automatic page and bar number display, and automatic display of instrument names can be switched on and off for the whole song, by activating/deactivating the corresponding check boxes in this window.

For each of these three you can set Font, Size and Face, (bold, underlined, italic, , and circled. Each one is activated by clicking on the appropriate symbol. The "circled" attribute is similar to "boxed", but a circle is used instead of a rectangle. For wide text, an ellipse is used.

If you edit these settings, the corresponding Text Styles in the Text Style Window will automatically be updated.

Page Numbers

- Hor. Position
The horizontal alignment on the page
alternating: alternating, beginning on the right side
left / right / centered
rev. alternating: alternating, beginning on the left side

- Vert. Position
The vertical alignment on the page
top/bottom

- Page Offset
This value is added to each actual page number for display purposes. This can be useful when you write a piece consisting of several parts, which you save as separate song files. To still have continuous page numbers throughout the score, you can set this parameter to the number of pages contained in all preceding parts.

- Hor. Distance
The horizontal distance from the outmost possible printing position on the page. This is only relevant for page numbers with the Hor.Position parameter alternating or rev. alternating.

- Vert. Distance
The vertical distance to the highest or lowest possible printing position on the page (depends whether Vert.Position is set to top or bottom).

- Hide 1st Page Number
Prevents display and printout of the page number on the first page (all others will be displayed and printed).

- Prefix
Here you can enter text which will be displayed with every page number.

Example: if you use the prefix "Page", the word "Page", then a space and the actual page number will be displayed on each page. This means that page three will display "Page 3". If you want the page number in the middle of the prefix, you have to use the "#" symbol as a variable for the page number. An example: "- pg.# -" on the second page prints as "- pg.2 -".

You can also use the following text symbols to include automatically generated text in the prefix:
\i for the Instrument Set name
\n for the song (file) name
\s for the name of the currently shown Display Level, which can be the sequence or folder name (on the highest level even the song name)
\d for the current date (at the time of the printout)

Bar Numbers

Bar numbers are placed above or below the barlines, and at the beginning of the line, above or below the clef (they are automatically moved to a position where they won't overlap the clef).

- Vert. Position
The height above the staff. If a negative value is set here, the bar numbers are placed below the staff.

- Step
This value controls the interval at which bar numbers are repeated. Value 4 , for example, results in bar numbers at the first, fifth, ninth bar, etc. If you want bar numbers to be displayed only at the beginning of each staff line, set this parameter to line (which appears instead of zero).

- Bar Offset
This value is added to all actual bar numbers for display.

- Start with
The automatic numbering will only be displayed starting at the bar indicated here.

- Top/Bottom Staff only
In full scores, the bar number is only displayed above the top staff if this option is activated (with a negative Vert.Pos. value the number will be below the bottom staff).

- Count Mult. Rests
Displays the first and last bar number below multiple rests as shown in the opposite illustration. This makes sense if a negative Vert.Position value is chosen, causing the bar numbers to be shown below the staves.

- Show at Double Bars
Displays bar numbers at every double bar line and repeat sign, independent from the chosen Step setting. For example, Step = "line" and Double Bars activated will display bar numbers at the beginning of each staff line, and above or below all double bar lines and repeat signs.

Instrument Names

This determines the appearance of the instrument names that have been defined for the Track Instruments in the Instrument Set window, in the columns full name and short name. If nothing is defined here, or if ALL INSTR. is used as the current Instrument Set, the names of the Track Instruments (as displayed in the Arrange window) will be used in the score. (Short names do not exist in this case)

- Position
above/beside staves

- Align
left: at the left margin
right at the right margin (refers to the space in front of the staves)

- 1st Staff
no names/short names/full names

- Other Staves
no names/short names/full names


Clefs & Signatures

Score Editor > Song Settings for Score Display > Clefs & Signatures

These are the options for the general display of clefs, key signatures and time signatures. Concerning these topics please read the section Clefs, the section Key Signatures and the section Time Signatures.

How to open this window:

  • Layout > Clefs & Signatures...
  • ctrl -double-click on any clef or time signature in the score.

The following display options are available for Clefs, Key Signatures, and Time Signatures as well:

  • Every Staff
  • First Staff on Every Page
  • First Staff on Page 1
  • Hide All
  • Display Warnings at Line Breaks: this causes "warning" clefs, time signatures, or key signature changes to be displayed at the end a staff or stave system, if the actual change is at the beginning of the subsequent staff or stave system.

Apart from these, there are the following options:

For Clefs:

- Smaller Clef Changes (flip menu): clef changes (whether caused by a change of Score Style, or by a new clef inserted from the Partbox) can be displayed smaller than the clefs at the beginning of the staves, depending on this setting.

For Key Signatures:

- Automatic Key Transposition : this enables the automatic transposition of key signatures in transposing Score Styles. Usually, this will be activated. An exception would be for the notation of atonal music. If it is deactivated, all sharps and flats are displayed directly with the notes. Note that there is a similar option in the Score Style window (parameter "Key"), which allows you to switch off the key signature for individual Score Styles, or even for individual staves in multi-stave Score Styles.

- Minimize Transposed Accidentals : this enables the use of enharmonically changed key signatures, if this results in a signature with less accidentals. For example, if a piece is written in B major (5 sharps), the Bb-instruments are notated in Db major (5 flats) instead of C# major (7 sharps).

Please note that Logic does not display any key signatures with more than seven flats or sharps, whether this option is activated or not.

- Show Naturals : displays naturals at key signature changes, where preceding accidentals are no longer valid, for example when changing from E major to G major, or to C minor).

- Show Grace Accidentals : if this option is activated, courtesy accidentals will be displayed automatically. This means: wher ever a diatonic note is altered by an accidental, another accidental (i.e. in many cases a natural symbol) will be displayed when that note appears again unaltered in a subsequent bar.

For Time Signatures / Barlines

- Hide Barlines : this option allows you to hide all barlines, which can be useful for educational material, gregorian plain chant notation, and other special situations.

Only automatically displayed barlines will be hidden, so it is still possible to insert barlines from the Partbox, including the "regular" barline, which will then be displayed and printed.


Extended Layout Parameters

Score Editor > Song Settings for Score Display > Extended Layout Parameters

This is where you define certain display settings for the whole song, like staff line thickness, stem length, distance between notes, and ties, or notes and dots etc.

To open this window, select Layout > Extended Layout Parameters.

The first eight parameters determine the line thickness of the following objects: stave lines, stems, leger lines, bar lines, repeat and end lines, tuplet brackets, text boxes (for boxed Text Styles) and crescendi/decrescendi (this last parameter also affects line objects and arrows).

- Bar Start Spacing/Bar End Spacing changes the relative distance between the first and last note of a bar and the preceding or subsequent barline. Please note: To change the default settings of these parameters only makes sense if rather extreme settings have been chosen for the general Spacing parameters in the Global Format window.

- Dot/Note Distance determines the distance between the note heads and dots for dotted notes. Dot/Dot Distance refers to double dotted notes.

- Acc./Note Distance allows you to globally alter the horizontal distance of accidentals from the corresponding noteheads. The default setting should only be changed if e.g., very small values are used for the spacing parameters, which results in a very small distance between notes. This global setting can also be combined with the local Accidental Distance parameter of individual notes, in the Note Attributes window.

- Acc./Acc. Distance allows you to globally alter the horizontal distance between several accidentals in chords.

- Stem length is the default setting for stem length.

- Hor. Tie Position and Vert. Tie Position determine the distances between note heads and related ties (which are displayed automatically). There is also a parameter for Tie Thickness as well as Slur Thickness.

- Chord Symbol Alignment determines the general horizontal alignment of chord symbols whose Align parameter is set to def (default) in relation to their bar position. For details please read the section Precise Graphical Position of Chord Symbols.

- Chord Symbol Accidental Scale changes the accidental size in relation to the font size setting: Positive values result in an increased size, negative values in a diminished size of chord symbol accidentals.

Clicking on Factory Defaults resets all these parameters to their default settings. However, if you have a printer with high resolution, you should try to use smaller line thickness settings (2, or maybe even 1). Smaller staves, in particular, look much better and more professional that way. The other parameters' settings are more a matter of personal preference.

On the screen these changes are only visible at the highest zoom levels. To really be able to judge the results, it is necessary to try some printouts with different settings.


Guitar Tablature

Score Editor > Song Settings for Score Display > Guitar Tablature

Guitar tablature is an alternative method of notating music for fretted string instruments, especially for guitar and electric bass, but also for other fretted instruments with four to six strings or courses of strings.

In this system, the horizontal lines represent the strings of the instrument. Notes are always written on the line/string at which they are to be played. Instead of regular note heads, the numbers of the frets are shown.
Logic converts notes automatically into tablature, if a Score Style is used whose Clef parameter is set to one of these Tuning Sets. The exact characteristics of these Tuning Sets are determined in the Guitar Tablature window.

How to open this window:

  • Layout > Guitar Tablature
  • Key command Settings: Guitar Tablature
  • Double-click on the TAB clef, at the beginning of any staff that already uses tablature in the score.

Here, twelve different Tuning Sets can be defined. Each of them corresponds to one line in this window. The regular guitar and bass tunings are already included as defaults (first line and last five lines), as are some of the more often used special tunings for guitar.

For every Tuning Set, there are the following parameters (from left to right):

- Name : can be changed in the text entry field that opens with a double click on the name field.

- Strings : number of strings (four, five or six).

- Assign : the method Logic uses for automatically assigning notes to strings. (see below)

- 1 to 6 : the pitches that the "open" strings are tuned to.

Other common parameters :

- Font, Size, and Face for the display of the fret numbers.

- Alignment of the numbers to the stem: to the side, or centered (can be switched by clicking on this box).

- Bass String : the display of the lowest string: may be the same as the other strings, or a bit thicker. (can be switched by clicking on this box)

- 1/1, 1/2 Notes : if this option is activated, half and whole notes will be displayed with a circle around the fret number. Since the note head is always a number, there would be no displayed difference between a half note and a quarter note otherwise.

Assign

Since most notes can be played at different positions (frets) on different strings, the Assign parameter plays an essential role in this system. In most cases the MIDI channels of the individual notes determine the string assignment. (Remember: the MIDI channel parameter of an individual note has no impact on MIDI playback. The playback channel is determined in the Instrument Parameter Box in the Arrange window.) There are the following options for string assignment:

- Pitch : Logic assigns each note to the string on which it is playable, at the lowest possible position. However, to still be able to influence the string assignment, there is the rule (in Pitch mode only) that a note's fret position cannot be lower than its MIDI channel. This method is generally used when the notes are recorded from a MIDI keyboard:

An A3 with MIDI channel 1 is displayed at the second fret of the G string. If you want the note to be displayed at a higher position, to correctly display the proper fingering of a passage, you have to set its channel to 3 or higher. Now, the fret position cannot be lower than 3 any more, so the note will be displayed at the D string's seventh fret. If the channel is between 8 and 12, the A3 is assigned to the A string on the 12th fret, with channel 13 to 16 , to the low E string (17th fret). If you want to force even higher positions, you'll have to use one of the other assignment modes...

- Channel : in this mode, the number of the string (1 to 6, counted from the lowest string up) simply corresponds to the MIDI channel. Channels 7 to16 are also assigned to the highest string.
- Inv. Chan : like Channel, but counted from the highest string (1) to the lowest (6 and above). This way of numbering the strings is generally used in traditional guitar literature.
Since most Guitar-To-MIDI-Converters send notes on different MIDI channels, according to the strings they are played on, the last two modes are very suitable if you use such an instrument for recording MIDI sequences. In this case, the tablature notation displays the exact way the music was played during the recording.

- Inv.Ch-1, Inv.Ch-2 : these modes have been created for the purpose of recording and notating electric bass parts with Guitar-To-MIDI-Converters. "-2" is designed for four-string bass, "-1" for five-string bass (with an additional high B string). The principle is the same as Inv.Chan, but the number of the MIDI channel is reduced by 1 or 2, in order to convert the channels properly for bass string assignment.
The string assignment for a four-string bass will be 3 to 6, for a five-string bass 2 to 6 (counted from highest to lowest string in both cases), just as with guitar strings that sound one octave higher. Notes on channel 1 will be assigned to the highest string.

In all of these assign modes, notes below the lowest string will not be displayed at all. Also, notes generally can only be assigned to strings on which they are actually playable. (An F2 can only be played on the lowest string of a guitar, so the channel assignment is completely ignored in this case.)

You can create a two-stave Score Style that displays the sequence twice: once using regular music notation, and once as tablature. The indicated split point can be ignored in this case. There is a default style for this (named Guitar Mix), in the Logic default song.

Some more information concerning tablature notation in Logic:

  • You cannot insert clef changes in staves using tablature. If you want to change between tablature and regular notation in the same staff, you have to cut the sequence at that particular point, and assign the desired Score Styles to those sequences.
  • Guitar tablature relates to regular treble clef. If you use the octave-transposing treble clef (Treble-8) for guitar notation (as it is done in most guitar music, and also in the above example) , you have to set the tablature's Transpose parameter in the Score Style window to +12.


MIDI Meaning

Score Editor > Song Settings for Score Display > MIDI Meaning

The settings in this window determine, if and to what extent, the insertion of the symbols listed here have an effect on the MIDI playback of the notes to which these symbols are attached. The window is opened from the menu Layout > MIDI Meaning.

For each symbol listed here, two parameters can be determined, which change the MIDI output of all notes to which these symbols are attached:

- Velocity : This value is added to, or subtracted from the original velocity value of the corresponding note.

- Length : The original note length is shortened according to the percentage chosen here. This only affects the playback of the note, not the score display. The note length change can for example be seen in the Event Parameter Box or in the Event Editor window.

How it Works

The MIDI Meaning functions basically make most sense for users who insert notes using the mouse. This makes it possible to work as if writing music on paper. First you write/insert the notes. They will all have the same velocity, and identical rhythmic note values will have exactly the same length. Accents and phrasing marks are then attached to some of the notes, which changes the velocity and (playback) length of those notes. This makes the playback sound much more realistic and "alive".

The default settings in this window (i.e. in new songs) are 0 for velocity and 100% (no change) for length. If you don't change these, the symbols will remain purely graphic and will not affect MIDI playback. If you record your sequences in real-time it's better to leave these settings at the defaults, since the notes probably already sound the way you want them to.

Important: if you do use MIDI Meaning, you have to adjust the settings before you begin to insert accents etc., since the settings have no influence on already inserted accents and phrasing marks.

Once set, the velocity and length of notes will be changed as soon as you attach one of these symbols to a note . When you delete the symbol, note velocity and length are reset to their initial values.


Color

Score Editor > Song Settings for Score Display > Color

The menu Layout > Colors opens the color palette for the currently active song:

This is where all the color palettes can be found which the different coloring modes refer to. Clicking on any color opens the standard color editing window, where this particular color can be changed.
These colors are saved with the song and can be different in each song. They can be imported from any other song as part of the score song settings using menu Options > Import Settings > Score Settings.
There are three palettes and some additional options for details in this window:

  • Pitch Colors: Each note of the octave gets a color, they are arranged like piano keys. Diatonic/Chromatic determines whether there are twelve or seven different colors.
  • Velocity Colors: These eight colors are applied according to the MIDI velocity of notes, from left (minimum) to right (maximum).
  • User Palette: These colors not only can be edited freely, but also named, using the text entry boxes next to them. These names are displayed as color options in different color selection menus (Score Styles, Note Attributes).
  • Note Color Options: These options determine whether accidentals, dots, stems and beams are displayed colored (according to the notes they belong to) or black. Rests refers to user rests, which are mainly used in polyphonic Score Styles.


Score Preferences

Score Editor > Score Preferences

The Score Preference settings are global settings, which are saved when you quit Logic, and are effective for all song files. They can, however, be changed anytime, with immediate effect on all open songs.

You can open the Score Preferences with:

  • Menu
  • Key command Score Preferences
  • Directly from one of the other pages in the Preferences window .

Dashed Song Position Line

Determines if the Song Position Line in the Score Editor window is displayed as a solid line, or as a dashed line.

Show Sequence Selection Colored

If this option is activated, the stavelines of the currently selected sequence are displayed in color (blue), all other sequences will be displayed with black lines. This can be useful when changing the display parameters of sequences, since the parameters in the Display Parameter Box always only refer to the currently selected sequence/s. If it is not activated, all staves will be displayed black, whether selected or not.

Fast (Lower Resolution) Curves on Screen

This is mainly relevant for slower computers. The curves in slurs and score brackets will be displayed with a lower resolution on the screen, which speeds up screen redraws. This setting does not affect the printout.

Display All Distance Values in Inches

This relates to the measurement units in the Song Settings and in the page rulers (Page Edit view only), which can be inches or centimeters.

Use external Symbol Font(if Available) / Only for Printout

This option activates the use of the Sonata font by Adobe for display and printing of the whole score. Please read the section External Symbol Fonts for Display and Printout of Notes and Symbols.

Open Floating Palettes

Default Setting for the shape of Partbox Floating Palettes.

Double Click Note to Open...

This setting determines, which window will open when you double click on a note head: Note Attributes, Event List, Hyper Editor or Matrix Editor.

Graphic Export Resolution, Graphic Export to...

Parameters concerning the BMP-Export function with the Camera tool. Please read the section Graphic Export for details.

Auto Split Notes at...

This parameter is only relevant if the chosen default Score Style on the recording track is polyphonic, and is using MIDI channels for the Voice assignment. In this case, newly recorded notes automatically are saved with the different MIDI channels used in the corresponding Score Style. They are allocated according to the split point set here.


Text Styles

Score Editor > Text: Input and Display > Text Styles

All text elements appearing in Logic Platinum refer to user-definable default settings called Text Styles. When you insert text into the score, you can assign any of the predefined Text Styles to it. This way, you don't have to set all text attributes like font, size, style etc. again, every time you insert a new text object.

Text Styles

All Text Styles which are used in a song are listed in the Text Style window. There, you can edit the existing Text Styles, or create new ones. You can open this window the following ways:

  • Menu Text> Text Styles...
  • Double-click on the Text Style name in the Event Parameter Box (only visible if either text objects or no objects at all are selected)

The first eleven lines contain the System Text Styles, which exist in every song (but can be edited according to personal preference). Below these (separated by the horizontal line which is a bit thicker), there are the user-created Text Styles. Text Styles are saved with the song file, so they can be different for each song.

Each line first shows the Name of the Text Style, then the Font (selectable with the flip menu), its Size, and the different columns for the style attributes (activated with a click in the corresponding field): bold, underline, italic, outline, and circled. Circled draws a circle around the text, which with longer texts is stretched horizontally according to the text.

You can edit these settings for both the System Text Styles and the User Text Styles. Any text fonts which are installed on your system can be used.

It is best to avoid using text fonts which are not TrueType or Postscript fonts (for example system fonts, which are pixel fonts, and are only intended to be used for screen display) These fonts will not print out properly. Therefore, they will be listed at the end of the font list which appears when you choose a text font, marked with a "#" sign, to indicate that they should not be used.

The System Text Styles

- Plain Text
The default setting for "regular" text

- Page Numbers, Bar Numbers, Instrument Names
The Text Styles for automatic page and bar numbering, and display of instrument names. These functions are described in detail in the section Numbers & Names.

These Styles can also be edited in the Layout > Numbers & Names window. Changes in one of the two windows automatically update the settings in the other window, and affect the whole song.

- Tuplets
The Text Style for triplet and other tuplet numbers.

- Repeat Endings
The Text Style for anything which is written into the repeat ending boxes (usually just numbers, but text can also be entered there).

- Chord Root, Chord Extension
For the display of chord symbols. Root concerns the root and the (optional) extra bass note in chord symbols, Extension is anything else.

- Multiple Rests
The Text Style for the number above multiple rests.

- Tabulature
For the display of the fret numbers in guitar tablature.

- Tempo Symbols
For the display of the numbers in tempo symbols, which can be inserted from the Partbox.

Creating Additional Text Styles

Select New > New Text Style: under the lowest Text Style entry, a new line will appear, where you can define the attributes of the new Text Style(s). The names of any new style can be edited in the text entry field which opens when you click on the name of the Text Style.

Changing the Same Font in Several Text Styles Simultaneously

If you change a Text Style's font (flip menu) in the Text Style window while you hold the ctrl -key, this change affects all Text Styles which use the same font. This is a quick method, for example, to change the Logic default Text Styles to the fonts you prefer.

This method is also especially useful if you load a Logic song which was created on another computer, and uses text fonts that you don't have in your system (if this is the case, you will get a warning, message when you open the song). The names of unavailable fonts will be displayed in parentheses in the Text Style window .

Font References

When you activate Options > Show Font References, any Text Styles which were created by directly editing a text object's attributes in the Event Parameter Box, or from the Text menu, are listed as Font References. Delete Unused Font References deletes any References which are not in use anymore. Editing the Font References in the Text Style window is not possible, except for changing the font. This display option mainly allows you to replace missing fonts in such Font References.

Music Fonts as Fonts for Text Styles

Musical Symbol Fonts do not contain letters, but musical symbols only. Text objects using these Text Styles can be used for free positioning of musical symbols anywhere in the score. (Such as special percussion symbols).


Text Input

Score Editor > Text: Input and Display > Text Input

To insert text in the score, you have to get a Text object from the Partbox, and drag it to the desired position with the mouse. During this procedure, the mouse cursor becomes the Text tool. You can also grab the Text tool from the Toolbox, and use it directly for text input. Each Text object (except text in the Header, directly at the page margins, or outside the margins) is saved as a Meta Event within a particular sequence, at a certain bar position. This position can be seen in the Info Line, as you insert the text object. Text events are also visible in the Event Editor window, where you can change their position, but not the text itself.

After you have inserted the text object at the desired position and released the mouse button, a flashing text cursor appears at that position. Now you can enter text with the computer keyboard. The basic functions for moving the cursor, deleting parts of the text etc. are the same as in most word processors.

As long as you are in text entry mode (indicated by the flashing text cursor), you can click on any position in the text to place the cursor there. You can also select parts of the text by dragging the mouse, and applying the usual cut/copy/paste commands. To leave text entry mode , press Enter , or click anywhere outside the text.

After this, the newly inserted or edited text object is selected (the entire text flashes), and you can see its parameters in the Event Parameter Box:

- Stave
is only relevant in multi-stave Score Styles. It determines which staff the Text Object is assigned to. The vert.pos parameter measures the vertical distance to the top line of the staff, which is indicated here. hor.pos indicates the graphic horizontal deviation of the selected text object from its actual bar position (also in relation to the Align parameter).

- Lyric ON
defines the text object as a Lyric Event (song text). If a Lyric Event is placed at the same bar position as a note (above or below it), the horizontal distance to the previous and subsequent notes or rests is automatically expanded, so that there is enough space for the text.

- Style
The Text Style of the selected text object.

- Align

Determines the horizontal alignment of the Text Object. The first three settings relate to the bar position, the last three to the position on the page (each left, centered or right).

- Size, Font
Here you can change the size and font for each individual Text Object, independent of the initially chosen Text Style, which serves as the default setting.

You can also change the settings for font, size, style and alignment of Text Objects in the dialog window which appears when selecting the Text > Score Text Font menu, while the desired Text Objects are selected.

Generally, you should not make those changes here, but rather create new Text Styles in the Text Style window, which then are also available for other Text Objects.


Editing Text

Score Editor > Text: Input and Display > Editing Text

If a Text Object is selected, its parameters can be edited in the Event Parameter Box. If you want to edit the text itself, either click on it with the Text tool or double-click on it with the Pointer tool, which will cause the flashing text cursor to appear again.

Deleting Text Objects

Like all other objects, Text Objects (or selected text inside a Text Object) can be deleted by pressing backspace , as soon as they are selected.

Copying Text Objects

Copying whole Text Objects can be done with the usual methods:

  • Copy/Paste also Multiple Paste and Paste at original Position
  • Dragging with the mouse while holding the ctrl -key. This, however, only works inside the same sequence.

Simultaneous Text Input into Several Staves

This works the same way with Text Objects as with other objects and is described in the section Simultaneous Input of Objects into Several Sequences (Insert Multi).

Example: insertion of the text "accelerando al fine" into all instruments at once.


Global Text

Score Editor > Text: Input and Display > Global Text

Global Text Objects appear in all Instrument Sets of a song (score, parts etc.), although they are inserted just once. The position of Global Text does not relate to bar positions (unlike regular Text Objects), but is defined as a graphic position on the page. Because of this, Global Text can only be inserted and seen in Page Edit view. The most obvious example of a Global Text object is a header line with the song's name.

Input of Global Text

A Text Object is automatically global if it is inserted into one of the following areas on the page:

  • In the Header space (which is set in Layout > Global Format)
  • Outside, or directly at one of the page margin lines
After you have inserted a Text Object in one of these areas, and finished text entry, you will see an Event Parameter Box with some additional parameters:

- Pages
The pages on which the text will be displayed:
1 = first page,
2... = all pages except the first one, Odd = all pages with odd numbers, Even = all pages with even numbers, All =all pages.

- Zone
The margin area which the text belongs to: Top, Header, Side, Footer.

- Align
You'll find two additional alignment options in this flip menu: for right and left alignment, you may select between alignment at the set page margin, or at the outermost possible position. Although they are shown in the flip menu, the alignments relating to bar positions cannot be selected here.

- Style, Size
These work the same way as for regular Text Objects.

Positioning of Global Text

After having been inserted in one of the margin areas, Global Text can be moved anywhere on the page with the mouse. With the regular mouse cursor (the Pointer tool), you are only able to move a Global Text Object vertically. To be able to also move it horizontally, hold down ctrl as you drag it, or just use the Layout tool. But remember: the position of Global Text objects is always measured in relation to the page (not to staves or to a bar position)!


Automatic Text Objects

Score Editor > Text: Input and Display > Automatic Text Objects

In the Text group of the Partbox, there are four objects which represent certain names that are automatically displayed, if these objects are inserted:

- SEQ
Sequence/Folder: displays the name of the current Display Level. This can be a sequence, a folder or (on the highest level) even the name of the song file.

- INSTR
The name of the currently displayed Instrument Set

- SONG
The name of the song file

- DATE
The current date (at the time of the printout)

These automatic Text Objects can be inserted both as Global Text (in the margin areas), or as Text Objects relating to a bar position (in one of the staves/sequences). The settings for their appearance and exact positioning can be edited in the Event Parameter Box.

Example of Automatic Text

Insert the INSTR object above the top margin (centered, Pages set to 2...). It will automatically be treated as a Global Text Object. Now, create an Instrument Set named "Score" in the Instrument Set window. If you use this Instrument Set, there will be a line saying Score on the top of every page, except the first one. If you now extract parts for the individual instruments, each part will display the particular (track) instrument's name on top of every page, except the first one.


Lyrics

Score Editor > Text: Input and Display > Lyrics

For song lyrics, there is a Partbox object named LYRIC. Before you start with lyric input, select the Text Style that you want to use for the lyrics, in the Event Parameter Box, with no object selected (indicated by Default Inserts in the title line of that box). Just click on an empty spot, anywhere in the Score window, to deselect everything.

Now drag the LYRIC object below the first note of the melody, or just click the Text tool at that position. Watch the Info Line: each LYRIC-Object has to be at the same bar position as the note it belongs to (taking into account display quantization). Now, enter the text for the first note. Now, don't press Enter , but TAB , which moves the text cursor automatically to the beginning of the next MIDI note. If a MIDI note is displayed as several tied (graphic) notes, it is also possible to move the cursor only to the next graphic note with Shift TAB , in order to be able to write several syllables below one longer note.

With this method, you can enter all the lyrics in one process, although each syllable is saved as an independent LYRIC object.

Editing lyrics is the same as editing regular text . The Event Parameter Box displays the same parameters (LYRIC is set to ON here).

Apart from the fast input mode using the TAB -key, the only difference from regular Text Objects is that Lyric Objects affect the distance between the notes to which they are assigned. This is to create enough space for the text to be displayed properly, without overlap. If the text (or the Text Style) is changed later, the note distance will again be calculated accordingly.

Some Hints for Working with Lyrics

- Setting all Words and Syllables to the Same Height
If you don't enter the lyrics in one continuous process as described, the Lvric Objects probably will not have the exact same vertical position. To quickly set all LYRIC Objects to the same height (vert.pos), select Edit > Select Similar Objects after having selected one object, select the key command Align Object Positions Vertically. Note: you do not want to use this method if there are multiple lines of lyrics for different verses, since all of them would be set to the same height.

- Several Verses Written below each other
There can be several LYRIC objects assigned to the same note, so you can insert several verses for a song, one below the other. Start with the first verse and make sure the vertical distance to the notes is correct. Then start with the input of the second verse. As long as you stay in fast lyric input mode, all Lyric Objects for the second verse will stay at the same height as the object you started with, in this case the first word of the second verse.

Note: it is important that Lyric Objects are assigned to the right sequence, if you work in a full score display (Remember: selected staves are displayed with blue stavelines). Generally it is recommended that you insert lyrics in linear view, and single sequence display mode, especially if you insert more than one verse. In linear view, it is also easier, for example, to rubber band select select several Lyric Objects, to change all their positions.


Inserting Chord Symbols

Score Editor > Chord Symbols > Inserting Chord Symbols

Chord symbols (text object CHORD) are inserted into the score like regular Text Objects, with the mouse from the Partbox, or directly with the Text tool ,while holding the ctrl -key. A text cursor will appear. First you enter the root of the chord, and then the additional information.

Important: when you insert chord symbols, be careful to insert them at the correct bar position. Watch the Info Line as you insert the chord object.

A chord symbol can include a root note, a separate bass note and two lines of extensions. Try to insert a simple chord symbol first. Type "Eb7" and press Enter . The result will look like this:

Now double-click on the root Eb. The following edit window will open:

There are four entry fields for the different parts: one for the root, one for an additional bass note and two for extensions, which are placed above each other. If you click on any of them, an entry field opens where you can edit the chord symbol, or enter the desired additional information.

As you enter the text for the chord in the Score window, you can influence the way the inserted text is distributed to the different fields of the Chord Symbol Edit Box:

  • First, enter the root, then the extensions, then-after typing a slash-the (optional) additional bass note.
  • As soon as you enter a number, everything following that number will be placed in the upper extension line. If you write "G7(b9/b13)", the whole "7(b9/b13)" will be placed in the upper line, the lower line remains blank.
  • If you write letters before a number (for example FMAJ7/9), Logic puts the letters in the lower line, and everything after the first number in the upper line.
  • You can influence this automatic placement with a comma in the text: everything before the comma will be put into the lower line, everything after it into the upper line. If you use more than one comma, only the first one is relevant, the others are ignored. Blanks can be entered to create additional horizontal space between the particular extension and the root.

If you want to change a chord symbol, you can either double-click on the root, and edit the chord symbol in the resulting edit window, or you can double-click directly on one of the extensions. A text cursor will appear in the extension line, and you can edit the extension like regular text.

The appearance of chord symbols can be edited in the Text Style window, where you can choose different Text Styles for the root -Chord Root- and the extensions -Chord Extensions-.


Handling Chord Symbols

Score Editor > Chord Symbols > Handling Chord Symbols

Fast Input of Several Chord Symbols in One Process

If you insert several chord symbols into the same staff, there is a shortcut similar to the fast lyric input mode. After writing the first chord, don't press Enter , but TAB . The text cursor automatically moves to the position of the next displayed note or rest. Enter the next chord and repeat the process, or press TAB several times again, to move to the position where you want to place the next chord symbol.

Hint: if you want to insert exactly one chord per bar into a very busy part, it is much faster to create an empty sequence, and enter the desired chords there (the cursor always moves to the next bar when you press TAB in empty sequences). Afterwards, you can either merge that sequence with the original sequence in the Arrange window, or copy and paste all chords at once.

Enharmonic Change of Chord Symbols

The roots of chord symbols can be enharmonically changed with the same commands as notes (Attributes > Accidentals or key commands). An example: "Gb7" becomes "F#7" by selecting Attributes > Accidentals > Enharmonic Shift: #. Only additional bass notes have to be edited directly in the Chord Edit window.

Transposition of Chord Symbols

Chord symbols in transposing Score Styles are transposed automatically, just like notes. Also, if the Transpose parameter (for playback transposition) in the Sequence Parameter Box (Arrange window) is changed, all chord symbols in that sequence will be affected accordingly.

German Chord Symbols: "H" instead of "B"

If the German Chord Symbols option is activated in the Global Format dialog window, the note B in chord symbols is globally displayed with its German name H. The english B flat is written as B, according to its German name. This option is activated automatically, as soon as the letter HH is used during chord symbol input.

Copying Chord Symbols

Chord symbols can be copied and pasted with the usual Copy/Paste, Multiple Paste and Paste at original Position commands, or (only inside the same sequence) by dragging them with the mouse, while holding the ctrl -key.

Precise Graphical Position of Chord Symbols

- Horizontal Position: Bar Position, Align, Hor.Pos
Each chord symbol is stored as part of a sequence at a certain bar position (Often there will also be a note at that same bar position). This is the main parameter for the horizontal placement in the staff.

The Align parameter determines which part of the chord symbol is aligned to that bar position: the left edge, center or right edge of the letter representing the chord root. This is set with the flip menu in the Event Parameter Box. The setting for newly inserted chord symbols is always def.: in this case the alignment depends on the global Chord Symbol Alignment setting in the Extended Layout Parameters window.

There you will find the same four alignment options: left, centered, right and "| -". The last option in this list should only be used when you load a song with chord symbols that have been inserted or modified with an older Logic version (2.6 or earlier). In these versions the alignment parameter was not available yet. To achieve identical positions as with the old version, set the global chord symbol alignment to "| -". Since this setting is for backward compatibility only, it should not be used in new songs.

In addition to bar position and alignment, there is also the hor.pos parameter. It determines the additional graphical deviation of the chord symbol from the bar position

Be careful: if you move a chord symbol with the Arrow tool, it is easy to unintentionally change its bar position. To avoid this, press the alt -key during this process: the cursor becomes the Layout tool, so only the graphical parameters vert.pos and hor.pos will be changed, but not the bar position itself.

- Vertical Position: Vert.Pos, Stave
The vert.pos parameter determines the vertical position or height of the chord symbol above or below the staff. In Score Styles with more than one staff, the Stave parameter determines the staff which the vert.pos parameter refers to.

A hint: to adjust a number of chord symbols to the same height above (or below) the staff, select them and use the key command Align Object Positions Vertically .

Rhythm Section Parts

To create typical rhythm section parts with chord symbols and Beat Slashes, select a Score Style whose Rest parameter is set to "Slash".


Introduction

The Transform Window > Introduction

Usage

The Transform window can be used to alter existing events, according to definable parameters. These parameters can be saved as "transform sets", and called up again for later use.

The Environment contains a similar transformer object for real-time editing of MIDI data.

The Transform window provides an extremely high degree of flexibility and power, when you need to perform complex edits and transformations of MIDI data..

Opening the Transform Window

Select Windows > Open Transform (ctrl 4 ) to open a new Transform window.

Effective Range

The Transform window is used to edit events only. As with other editors in Logic, the operations are only carried out on selected events. These might be:

  • All selected events (in one of the editors),
  • All events in selected sequences, or
  • All events in selected folders.

You can use the link button in the top left corner to link the effective range with other windows.
All selected events on the same display level fall within the effective transform range, as do all the events in the selected arrange objects.

Purpose of the Transform Window

- Conditions
This part of a transform function defines which events will be edited. If the Select and Operate or Select Only options are used, the transformer checks to see whether the individual parts of the events (e.g. Position, Status, Channel, etc.) fall within the effective range, as defined in the pull-down menus under Select by Conditions.

- Operations
The Operations section of the Transform window is where you define the edit operations to be carried out. These operations are defined in the pull-down menus under Operations on selected Events.

Actions

The three main buttons implement the actions in the Transform window:

- Select only
All events in the effective range which fulfill the Conditions will be selected, but not transformed. You can use this action to refine your own selection commands, and insure that your Conditions are set to affect only the events you wish to act upon.

- Operate only
All selected events are transformed according to the Operations settings(Conditions has no effect). This is useful if you want to edit events you've already selected manually).

- Select and Operate
This is a combination of both the above actions: first the events are selected according to the Conditions, and then they are transformed according to the Operations settings.

After each action you can see how many events have been selected and/or transformed in the title bar.

After activating Select only, you can alter the selection in an editor before carrying out the transformation by activating Operate only.

Display

The Hide unused Parameters checkbox allows you to remove all the unused pull-down menus in the conditions and operations boxes. This gives you a better overview of the settings being used, and also protects the hidden menus from any accidental alterations.


Mode

The Transform Window > Transformation > Mode

You define the basic operating modes in the pull-down menu above the Conditions box:

Apply Operations to selected Events

As described above, the Operations are carried out on the selected events (default setting).

Apply Operations & Delete unselected Events

The selected events are edited, but in addition, all non-selected events are deleted. This ensures that the only events remaining after the transform operation are the ones that matched the Conditions.

If you set the Operations up correctly, you can use the Transform window in this mode as a programmable filter where only events, which match the Conditions, survive.

Delete selected Events

The selected events are deleted.

In this mode you can use the Transform window as a programmable erase function. All the events which match the Condition are deleted, and all other events remain unchanged. The Operations setting is irrelevant in this mode.

Copy selected Events & Apply Operations

The selected events are retained in their original form, as well as being copied and edited.

You can use this mode for applications like the following:

Imagine you want to add a mod wheel controller event (#1) 10 ticks before each note, with a value that matches the note's velocity. To do this, you set Status under Conditions as Note. Under Operations, set the Position to "Add" and below that to "-10". Set Status as Fix Control and Pitch(-1-) as Fix 1 . The last of these operations means "the first data byte (- 1 -) receives the value 1" (the first data byte defines the controller number for controller events, and mod wheel events happen to be #1).

If we analyse these settings, we see that all note events will be selected for operation. A copy of each will be made, and then moved 10 ticks earlier than the original and will be converted to CC#1 (Mod Wheel) with a value that corresponds to the velocity of the original note because the second data byte (Vel) is left unaltered.


Event Parameters

The Transform Window > Transformation > Event Parameters

The individual MIDI event parameters have their own columns in the Conditions and Operations fields:

Position

Time position of the event, referenced to the start of the sequence. (not of the Song)

Status

Type of event.

Cha

Recorded MIDI channel of the event.

-1- / Pitch

First data byte (note or controller number).

-2- / Vel

Second data byte (velocity or controller value).

Length

Length of the note.

Subposition

Time position of the event, within a bar.


Conditions

The Transform Window > Transformation > Conditions

The middle section of the window (Conditions) is where you define the conditions, which determine which events are selected for the edit operation. Each column represents a different MIDI event parameter.

The condition is considered to be fulfilled when an event matches the defined effective range of all the event parameters. These ranges are defined in the pull-down menus found under each of the event parameter columns. (except the Status column) The possible value conditions are listed below.

The All setting in the top box means that all values fulfill the conditions, which makes all the other boxes in the same column superfluous.

Conditions for the Status

You have a choice of just two settings here, All (means all event types fulfill the condition) and "=". Clicking in the box below, opens a pull-down menu where you can select from among note, poly pressure, control change, program change, channel pressure or pitch bend.

Conditions for the values of Position, Cha, -1- / Pitch, -2- / Vel, Length, and Subposition

You can assign one of the following value conditions for each of the parameters (except the status):

- "="
The value in the event, and the value in the box below it must be equal for the condition to be fulfilled.

- Unequal
The value in the event, and the value in the box below it must be unequal for the condition to be fulfilled.

- smaller
The value in the event must be smaller than the value in the box below it, for the condition to be fulfilled.

- larger
The value in the event must be larger than the value in the box below it, for the condition to be fulfilled.

- Inside
The value in the event must be within the value range of both the boxes below it, for the condition to be fulfilled.

- Outside
The value in the event must be outside the value range of both the boxes below it, for the condition to be fulfilled.

- Map
With this condition, incoming event components are compared to the map before they are evaluated. The two "Range" parameters then work the same as "Inside". Incoming events whose mapped value lies within the range fulfill the condition-all others do not.

Exchanging Parameter Values

You can replace the value of each of the three event parameters Cha, -1- / Pitch and -2- / Vel with the value of a different parameter from this group. Click on the lines between the Conditions and Operations fields to change the source for the parameter value. First the value is exchanged, and then the operation is carried out.


Operations

The Transform Window > Transformation > Operations

The bottom part of the window (Operations) is where you define any changes that will be carried out on events that meet the Conditions, with separate columns for each MIDI event parameter.

The Thru setting in the top box means that the relevant event part remains unaltered, which makes the other boxes in the same column superfluous.

Operations on the Status

- Thru
The event type remains unaltered.

- Fix
The event type is altered. Clicking in the box below, opens a pull-down menu where you can choose between note, poly pressure, control change, program change, channel pressure or pitch bend.

- Map Set
This operation for the status of an event allows the universal map of a subsequent transformer to be controlled. The value of " -1- " selects the position in the map. The value of " -2-" determines the value at this position of the map. Internally Logic sends a meta event pair: #123 with the position, and #122 with the value at this position. These meta events for altering a Transformer's map can also be created in other ways.

Operations on the values of Position, Cha, -1- / Pitch, -2- / Vel, Length, Subposition

For all parameters (except status) the top box determines the type of operation which is carried out, using the values in the boxes below (referred to as the "set value"). The following operations are identical for the channel, and the first or second data byte, but the value ranges in the boxes below are automatically adjusted.

- Fix
The parameter is fixed to the set value.

- Add
The set value is added.

- Sub
The set value is subtracted.

- Min
Parameter values which are less than the set value are replaced by it. Larger parameter values remain unaltered.

- Max
Parameter values which exceed the set value are replaced by it. Smaller parameter values remain unaltered.

- Flip
The parameter values are reversed around a set point. Values above this amount are moved to the same distance below it and vice versa.

- Mul
The parameter value is multiplied by the set value (4 decimal places).

- Div
The parameter value is divided by the set value (4 decimal places).

- Scale
The parameter value is multiplied by the top value and the bottom value is then added. This is a combination of Mul and Add. Negative values can be used to generate an inversion of the plus/minus sign and subtraction.

- Range
Parameter values outside the set value range are replaced by the values of the limits (combination of Min and Max).

- Random
Random values are generated within the set limits.

- + - Rand.
A random value between zero and the set value (positive or negative) is added.

- Reverse
The parameter value is reversed within its value range (no value can be set here).

- Quantize
The parameter value is quantized to a multiple of the set value.

- Qua&Min
Like Quantize, but the quantization does not fall below the set value (a combination of the Quantize & Min functions with the same set value).

- Exponent .
The parameter value is scaled according to an exponential function. The extreme values (0 and 127) remain unaltered. The set value determines the shape of the curve. Positive values have an exponential scaling (increasing input values remain lower for longer, and then rise faster), and negative values have a logarithmic scaling (decreasing input values remain higher for longer, and then drop off faster).

- Crescendo
This only works if the position condition "Inside" has been selected (crescendos have to have some sort of start and end points.). Crescendo creates a smooth alteration in the current parameters, between the set value boundaries.

- Rel.Cres
This also only works if "Inside" has been selected as the position condition. The effect is similar to that achieved by Crescendo, but here the previous values of the parameters you're changing are taken into account when the crescendo is created, preserving the relative feel of the original.


Parameter Sets

The Transform Window > Parameter Sets

Presets

The first twelve items in the pull-down menu are write-protected presets. If you try to alter any of their parameters, Logic reminds you that you will not be able to save these alterations. However, you can alter the presets temporarily, but any changes you make will be discarded when you leave the preset. It is good to create your own transform sets, which can be configured and saved as part of the song.

Here is a list of the Presets:

  • Crescendo
  • Scale 14bit PitchBd (Pitch Bend data will be scaled so that the 14 bit information remains intact)
  • Double Speed (doubles the tempo by halving positions and lengths)
  • Half Speed (halves the tempo by doubling positions and lengths)
  • Humanize (adds a random value to the position, velocity and length of notes)
  • Reverse Position (reverses the positions of notes within a section)
  • Reverse Pitch (inverts the pitch)
  • Transpose (transposes the notes)
  • Exponential Velocity (alters the scaling of the velocity curve)
  • Velocity Limiter (limits the velocity)
  • Fixed Note Length (creates constant note lengths)
  • Maximum Note Length (limits the maximum note length)
  • Minimum Note Length (limits the minimum note length)
  • Quantize Note Length (quantizes the note length).

Your Own Sets

To store your own settings in a user set, select the bottom menu item: ** Create User Set! **.

You can name the new transform parameter set by double-clicking the selection field. All settings will be stored immediately.

Calling up Presets and your own Sets

In the Event, Matrix, Hyper Editor and the Score windows, a sub-menu can be opened via Functions > Transform... from which the individual Transform sets can be selected directly.


Display and Functions

Tempo > Display and Functions

Tempo Display

If your song has a tempo that stays the same throughout, you can set this constant tempo in the Transport window.

The current tempo will always be displayed here, even if you are using programmed tempo changes or external synchronization.

You can set the tempo display format on the Options > Settings... > Display Preferences page.

Tempo Track

Tempo changes are controlled by tempo events, which are stored in a special tempo track. This track is not visible in the Arrange window. The tempo track applies to the whole song. The tempo track also determines the relationship between incoming time code, and the current song position.

Recording Tempo Changes

Go to , and activate the Allow Tempo Change Recording checkbox. All tempo alterations which you make during recording will now be recorded as tempo events on the tempo track. You can then edit them in one of the tempo editors.

Adjusting the Tempo to Fit Regions

Adjust Tempo using Object Length and Locators: The MIDI tempo is adjusted so that the length of the selected audio region exactly matches the distance between the locators (cycle strip). If you want to use this function to adapt the MIDI tempo to match the tempo of a drum loop, make sure that the drum loop is cycling smoothly (with the help of the Sample Editor), and that the length of the region corresponds exactly to a specific musical length of the audio material. For example, so that the region counts out to exactly 2 bars when played back. Then, set a cycle zone to match the musical length of the region (2 bars in this case), and select Options > Tempo > Adjust Tempo using Object Length....


Tempo List Editor

Tempo > Tempo List Editor

You can open the Tempo List by clicking and holding on the Transport's Sync button with the mouse. A pull-down menu will appear, from which you select Open Tempo List... or, you can simply select Options > Tempo >Tempo List Editor.

The layout, and way you use the Tempo List are very similar to the Event List.

Creating Tempo Changes

  • Set the song position to the required point.
  • Click Create.

A tempo event appears showing the current tempo. You can alter the tempo in the tempo column.

If you click with the Pencil tool on the word "Tempo" in an existing tempo event, a new tempo event will appear, with an input box for the position. Enter the required bar position and press Enter .

Deleting Tempo Changes

You can delete tempo events by clicking them with the eraser, or pressing the backspace key.

Copying the Tempo Changes from a Passage

  • Set the locators to the passage containing the correct tempo change.
  • Select Edit > Select inside Locators.
  • Copy the tempo events to the clipboard (ctrl c ).
  • Deselect all tempo events (by clicking the background).
  • Paste the tempo events from the clipboard (ctrl v ).
  • A position input box appears at the first tempo event, where you can alter the bar position. If the first tempo change is not at the start of the bar in the passage, be sure to alter the number of the bar, and leave the "fractional values" unaltered.
  • Press Enter . The copied tempo changes will be selected, and you can undo the operation if necessary.

Alternative Tempo Lists

You can use up to 9 different tempo lists. This is useful in songs with tempo changes, so that you can;

  • temporarily slow down the tempo when recording MIDI sequences,
  • temporarily "switch off" the tempo changes,
  • try out different tempo variations.
To switch between the different tempo lists:
  • Open the tempo list.
  • Choose Options > Tempo Alternatives > 1...9, and select the desired tempo list.

Other Functions

The entries in the tempo list interact with, and affect each other. For details, please refer to the section Positioning Bars to Frames. You can also make several synchronization settings here. All other functions are identical to those in the Event List.

You can move any selected tempo event to the current song position using the key command Pickup Clock Position.


Graphic Tempo Editor

Tempo > Graphic Tempo Editor

The Graphic Tempo editor is a specialized Hyper editor, that only allows you to draw and edit tempo events.

To open the Graphic Tempo editor, grab the Sync button in the Transport window and select Open Graphic Tempo... from the pull-down menu. Or, select Options > Tempo > Tempo Graphic Editor.

Creating Continuous Tempo Changes

  • Select the Crosshair tool.
  • Click on the required section in the working area, and hold down the mouse button.
  • Keep an eye on the Info Line window, which tells you the exact position and tempo. Set the start (or end) of the tempo change.
  • Release the mouse button.
  • Now set the end (or start) of the tempo change. If you want to create new tempo events (instead of altering existing ones), hold down the ctrl key.
  • Click the mouse button.

Remember that the spacing of the added tempo events depends on the setting of the Grid parameter. In most cases, the 1/16 note setting is enough to create the impression of a continuous tempo change.

Other Functions

The operation of other functions are identical to those of the Hyper editor.


Tempo Operations

Tempo > Tempo Operations

The Tempo Operations window is used to edit existing tempo changes, as well as to create new ones. The window automatically displays the area you've selected for editing, and as the tempo curve is processed, the changes are displayed graphically in real-time, so you can see what's happening. The displayed tempo curve (which is calculated from the tempo settings you've made), is shown in red, or as a dotted line on black and white monitors).

Opening the Tempo Operations Window

The Tempo Operations window can be opened from the Arrange window using Options > Tempo > Tempo Operations, from the Transport using the Sync button's pull-down menu, or by means of the key command Open Tempo Operations.

The different functions (Operation) offer you several interesting options for editing tempo changes, and the sync reference. The lock symbol lets you fix certain parameters so they don't change.

Create Tempo Curve

This function lets you create a lot of tempo changes with just a few parameters, and gives you a smooth overall change in tempo.

Three kinds of tempo curves are available from the Curve Type pull-down menu. Each of these classes has a Curvature parameter, which lets you determine whether the tempo should speed up or slow down, depending on whether you enter positive or negative curvature values.

Select the Curve Type you want.

  • Use the Position or Time settings to determine the region over which the tempo change should extend: the left entry is the start point, the right the end point.
  • Enter the start and end tempos you want in the Tempo line.
  • Finally, set the Curvature, and look at the graphic display, as the tempo changes.

The checkbox Continue with new Tempo allows you decide whether to go back to the old tempo after the tempo curve (unchecked) or to maintain the new tempo (checked).

The concentration of the tempo events created graphically can be altered using the Density parameter. Values of 1/8 and finer should only be used if really necessary (for example with very slow tempos and fast tempo changes). Even finer settings (1/16 and 1/32) can be entered, by holding down the ctrl key.

Don't select a resolution higher than 1/8 or finer, just to make the curve look smoother.

Creating a Constant Tempo

This function creates a constant tempo in any area you select. The default setting assigns the average tempo for the selected region.

If you want to remove all variations in tempo between two points, without changing the SMPTE time for the right-most position, just click Do It.

Again, the checkbox Continue with new Tempo is available for keeping the new tempo or for going back to the initial tempo.

Scale Existing Tempo Changes

With this handy function, you can alter existing tempo changes proportionally, or scale them. This lets you speed up an entire section of a song, without losing the relationships between any subsequent tempo changes within that region. You carry out the scaling by percentage. Positive percentage values speed up sections, and negative ones slow them down.

Stretch Existing Tempo Changes

The Stretch function lets you stretch or compress an existing tempo curve. The Position or Time values let you define the start point of the region you want to change. You then enter either the new end point of the tempo curve as a bar position, or SMPTE value, or set a Stretch value for the curve (in percentage).

Thin Out Existing Tempo Change

Under Position or Time, you define the start and end of the area to be processed. Density defines, how many tempo events will remain per bar after processing. You can select values between one per bar (1/1), and 8 times per bar (1/8).

Randomize Tempo

Under Position or Time, you define the start and end of the area to be processed. Randomize defines the deviation from the current tempo in beats per minute (bpm).

Density defines how often the new tempo events will occur. You can select values between one per bar (1/1), and 8 times per bar (1/8).


Tempo Interpreter

Tempo > Tempo Interpreter

The computer keyboard and/or incoming MIDI events can be used to set the sequencer tempo. Put another way, Logic allows manual synchronization (so-called "Human Sync").

To do this, the key command Tap Tempo must be assigned to a particular key (any one you like), or to a particular MIDI event in the Key Commands window.

The sync is fairly loose, in that if the manual sync impulses stop coming in, the sequencer continues at the last tempo it received.

If you have an Unitor, a Mark Of The Unicorn interface (a MIDI Time Piece or MIDI Express), you can convert percussive audio signals into MIDI notes. This feature lets you use (say) a bass drum track (either live or from tape), to control Logic's tempo.

Switching to Manual Sync

You can get into manual sync mode in the following ways:

  • manually, using the Sync menu;
  • automatically in auto sync mode, if Logic encounters a Tap Tempo command.

The parameters for controlling Logic's response to tap tempo commands can be found in the Tempo Interpreter window.

Opening the Tempo Interpreter

The Tempo Interpreter can either be opened from the Sync button's pull-down menu on the Transport, by using the key command Open Tempo Interpreter, or from the Arrange window, by selecting Options > Tempo > Tempo Interpreter.

- Tap Step
Sets the note value that Logic will assign to the manual taps. The best results are obtained when using larger values, rather than smaller ones. 1/4 note is usually a good choice.

- Window
This sets the size of the time region displayed in the window, in which the tempo-determining tap notes will be entered (the size of the window is set in ticks, i.e.1/3840 note). Only taps made within this window are used to determine the tempo. Any taps outside it are ignored.
The narrower the window, the more effectively Logic will be able to withstand the influence on the tempo of any taps that fall between the "defined" note values (as set with the Tap Step parameter).
The larger the window is set, the easier it becomes to create drastic tempo changes.
If you set the window parameter to 0, the tap window will disappear altogether, and all taps will be accepted as tempo-determining information. The sequencer will also come to a halt, if taps stop being generated.

- Tempo Response
This sets the sensitivity for tempo changes: the larger the value, the greater the sensitivity. Suggested value: 4.
If the tap timing is imprecise, but Logic is supposed to be playing at a constant tempo, reduce this value to (say) 2.

- Max Tempo Change
This sets the maximum tempo change possible per tap (in bpm). To obtain as regular a tempo curve as possible, follow this rule: set as small a value as possible (and only as large as necessary).

- Tap Count-In
This sets the number of taps used as a count-in. Logic starts on the tap after this number of taps has been entered.

- Smoothing
Switching on this function (the button will have an "x"), smooths out jumps in tempo in the taps being input (which could prove useful when using Logic live). You need to switch it off (no "x" in the button), if you want the sequencer's tempo to follow your taps as precisely, and quickly as possible.

- Tempo Recording
The "Tempo Recording" function creates a tempo list in record mode, to follow your taps. This function should normally be switched off .

- Pre and Post
These are the ways your tap signals are displayed:

  • Pre: displays every tap that is input;
  • Post: displays every accepted Tap, i.e. each tap that occurs within the tap window (as defined above), on or around a tap step (again, as defined above).

The tap signals flashes yellow if the taps are within the allowed range, and red if they are out of range.


Real-time Tempo Fader

Tempo > Real-time Tempo Fader

You can create a real-time Tempo fader in the Environment window by selecting New > Fader > Special > Tempo Control. This can control Logic's tempo (using Meta event #100). There is no need to connect this fader to anything, unless you want to record its output.

The tempo fader has a range of possible values from 50-177 bpm. External MIDI data controls it as you might expect, with an input value of 0 causing a tempo of 50, and an input value of 127 a tempo of 177.

If you place the tempo fader between the physical input and the sequencer input, you will be able to:

• record tempo changes;

• control the tempo with any MIDI events you like:

The tempo fader parameter box displays Pitch Bend events as the In-definition (this is the default). This allows you to control Logic's tempo from the Pitch Bend wheel.

The Effect on Recording

This way, new data can be recorded for the tempo track "intelligently". The original tempo data will only be erased in areas where there were tempo changes originally.

The Effect on Playback

If the Tempo fader is moved during playback or recording, all the data defined in the tempo list is switched off, until the next time the sequencer is stopped.

The Effect on External Sync

The movements of the tempo fader are ignored when external SMPTE sync is in operation.

The tempo fader can therefore be used to deactivate the sync reference during playback, or recording if you wish.


Reclock Song

Tempo > Reclock Song

You can record a sequence without using a metronome, and match Logic's tempo to the sequence afterwards.

This allows you to improvise freely, without any tempo restrictions, perhaps at the beginning of a new song. Previously, it would have been difficult to add further accompaniment to this improvised section later, as the improvised part would have no relationship to any meter that could be followed by other parts. This problem can be overcome, using the Reclock Song feature.

This function creates tempo changes automatically, in such a way that the improvised notes can be fit to a bar pattern that makes sense. What you actually hear played back is not altered by this process.

This process can require a bit of manual tidying up afterwards. For this reason, it's usually better to try and establish a link between what you play and the musical meter as you actually play, if at all possible. In other words, play to the click if you can...

If this isn't possible, you should first see if you can tap a footswitch at quarter-note intervals as you play your improvised section. If you can, you could then assign the footswitch tap to the Tap Tempo function, and record the tempo changes in your section as you play, with the help of the tempo interpreter's tempo recording function.

If none of the above will work, then it's worth trying out the Reclock function.

There are two ways of using the Reclock function:

You may apply Reclock directly to the sequence you've played in:

  • Advantage: no guide sequence is needed.
  • Disadvantage: You have to know the precise position (in bars; quite tough to work out for the end note) of two notes, one at the end and one at the beginning of the sequence, as well as the length of the freely-played sequence in bars. Or...
you create an additional guide sequence containing 1/4- or 1/8- notes, with the same timing as the freely-played sequence.
  • Disadvantage: You have to record another sequence of the same length as the original (i.e. the guide sequence),
  • Advantage: You only have to give the starting position.

We advise using the guide sequence method, because this saves you the hassle of having to enter the exact position parameters of the two guide notes.

Select Options > Tempo > Reclock Song to open the Reclock Song window.

You need to know the number of bars in the recorded sequence, and the exact destination bar position of one note right at the beginning, and one right at the end of the freely-played sequence.

The graphics in the middle of the reclock window show the relationship between the old (top), and new bar grids (below).

- Left Source, Right Source
This is where you set the current bar position of the start and end notes in the source sequence. Open an Event List, if you want to find out what these are.

- Left Destination, Right Destination
This is where you set the desired bar position (destination position) of the start and end notes.

- Create Tempo Changes to preserve timing
If this option is checked, a set of tempo changes is created by the Reclock function. If you want a fixed target tempo, do not check this box, otherwise a series of tempo changes will be created to compensate for any timing deviations from the average tempo. If you want the recording to remain unaltered, you have to manually set the Destination Tempo derived by the function.

- Use only Selected Events as Source
If this option is checked, only the selected events of the source sequence are used as a basis for any tempo changes.

- Reclock only within Left and Right Source
If this box is checked, tempo changes are only created within the defined region.

Guide Sequence

If there are a lot of tempo changes in the recorded sequence, it is advisable to use a guide sequence. This is another sequence, in which you record quarter notes or eighth notes of any pitch, in the same meter as the freely-played sequence. Then select the guide sequence before you call up the reclock function.

- Use Guide Sequence
You should check this box if the selected sequence is not the source sequence, but a recorded guide sequence with constant note values. In this case, only the following parameters appear below the bar display:

- Left Destination
Where you enter the current position of the desired first beat in the guide sequence.

- Step increment
This is where you enter the note value of the beats in the guide sequence.


Functions

Synchronization > Functions

Switching on External Sync

Switching on the sync button on the Transport causes Logic to synchronize to the sync source you've chosen.

You can use the Sync button to turn off the external sync at any time, without changing your selected sync source. This allows you to remove Logic temporarily from the sync master's time axis. This could prove useful if, for example, you need to quickly edit a sequence while the external sync source (tape machine, VTR etc.) is still running.

Recording with External Synchronization

When "Record" is pressed during external sync, Logic goes into MIDI Record mode, but does not start until it detects external time code.

Incoming MIDI Time Code Display

The flashing dot on the Transport window's sync button indicates that Logic is receiving error-free MIDI time code.

If the dot "sticks", an error has occurred. Although Logic is capable of dealing with many MTC errors itself, you should nevertheless check the quality of your SMPTE signal, as well as other potential sources of error.

MTC Interpretation

Because the MIDI standard only supports four of the possible six time code formats (the 30 fps and 29.97 fps formats cannot be differentiated), Logic has to decide which format is "intended", when it encounters incoming time code:

incoming MTC format is interpreted as:

  • 24 fps - 24 fps
  • 25 fps - 25 fps
  • 30 drop fps - 29.97 drop fps
  • 30 fps - 30 fps

In other words, the much more commonly used 29.97 fps and 30 drop fps formats are used rather than the uncommon 30 fps, and the virtually-unheard-of 29.97 drop fps formats.

However, you can manually set the format from the Tempo List editor to whatever you like: for example to convert material to 30 fps for black and white TV transmission in the NTSC format.

Receiving MIDI Clock/SPP

Sync via MIDI Clock/SPP is the most accurate method, if Logic is being synchronized to a bar-referenced master.

MIDI Clock has a resolution of 24 PPQN (pulses per quarter note), while Logic has an internal resolution of 960 PPQN (some 40 times more accurate). For this reason, Logic has to interpolate the 39 steps between two incoming clock impulses itself.

If you experience small variations in the timing between master and slave, you can tighten the sync when in external sync mode, by entering the expected tempo changes from the master into Logic's internal tempo list as well.

Even if you don't take this step, the sync should still be fairly tight, as long as you avoid large deviations, such as an internal setting of 200 bpm , with an external tempo of 40 bpm.

- Continue Event
When a MIDI Continue Event is received, Logic doesn't leap to the last valid position received via MIDI Clock. Instead, playback recommences from the current song position. This allows you to change the song position manually while the sequencer is stopped, and then restart from the new position, with a MIDI Continue command.


Overview

Synchronization > Synchronization Window > Overview

You can open this window from the Arrange window using Options > Song Settings > Synchronisation Settings..., or by click-holding the Sync button in the Transport window.

At the top, there are tabs for selecting the various pages: General, Audio, MIDI, Unitor.

General

This page of the synchronization window contains the major synchronization parameters for running Logic as a slave.

Audio

This page of the synchronization dialog window contains all the parameters relevant to synchronizing Audio and MIDI.

MIDI

This page is where you configure Logic to send timecode via MIDI, when the sequencer is running. This enables you to synchronize external devices as slaves to Logic, which acts as the master.

Unitor

This page is where you set the major synchronization parameters for the Unitor8.


General

Synchronization > Synchronization Window > General

Sync Mode

This parameter defines the master to which Logic is to be synchronized:

- Internal
Logic's internal timer. Logic is the master. External devices can be synchronized with MIDI Clock or MTC (the relevant settings are made on the MIDI page).

- MTC
"MIDI Time Code". Logic runs as a slave. The MIDI Time Code can either arrive at a MIDI In port, or be generated by a MIDI interface "translating" it from incoming SMPTE code.

- MIDI Clock
MIDI Clock and Song Position Pointer. Logic runs as a slave. Clock and SPP can be received at any MIDI input.

- Manual
Tempo Interpreter. Manual synchronization or "Human Sync Mode". Logic runs as a slave to impulses, which the tempo interpreter recognizes as valid beats. The tempo interpreter can be controlled by any MIDI events, or by a key on the computer keyboard.

Auto Enable external Sync

When this option is activated, Logic runs as the master (Sync Mode Internal), until it receives a synchronization signal-either in the form of MTC, Clock/SPP, or from the Tempo Interpreter.
Logic automatically locks to the first synchronization signal it receives. Please be sure that different synchronization signals don't arrive simultaneously-because there can be only one time code master.

External Stop ends Record Mode

This option means that during external synchronization, recording stops whenever the time code ceases.
If the option is switched off, Logic stops, but remains in record mode (Record + Pause).

MTC Pickup Delay [frames]

Usually the parameter should be set to zero for the quickest possible pickup time in MTC sync. However, there are some devices which seem to transmit imprecise MTC commands when they start. As a result, the sync might not be perfectly reliable, and there could be a changing offset every time the sync is established. In such cases , you can set a delay for MTC pickup, and Logic will ignore the first MTC commands. A value of 25 to 30 corresponds to a delay of about a second, depending of the frame rate. Use this parameter when synchronized to certain hard disk recorders, if the sync doesn't appears to be consistently reliable.

Frame Rate

This is where you set the frame rate (in "fps", frames per second). This frame rate applies to both transmitted and received time code.

Frame rate and typical applications

  • - 24 : Film
  • - 25 : Audio (Europe) and PAL Video
  • - (30 d) : Unusable (not real-time)
  • - 30 : Audio (USA) and NTSC Video (s/w)
  • - 29,97 d : Audio (USA) and NTSC Video (color)
  • - 29,97 : Extremely rare (not real-time)

"d" stands for "drop frame". In "drop frame" formats, certain frames are left out, following a regular pattern. To distinguish between them, formats without drop frame are sometimes referred to as "nd" or "non drop".

Auto Detect Format of MTC

With this option, the incoming time code is analyzed and the correct frame rate is set automatically. In general you should leave this option switched on.
Please note that it is not possible to automatically distinguish between MTC frame rates 29.97 and 30, because;

  • the MTC standard does not allow a distinction, and
  • a measured rate of 30 fps could also be 29.97 fps time code running too fast, and vice versa.

Logic automatically interprets frame rates with "approx. 30 fps" as either 29.97 df or 30 nd, depending on whether or not the drop frame format is used. This interpretation will usually be correct, because only these two formats are actually used as a standard.

"Auto Detect..." only switches to 29.97 df or 30 nd if, one of the other conventional formats was previously set. If you want to synchronize Logic to one of the unconventional frame rates, you have to define the format manually. This setting will not be altered by "Auto Detect...".

SMPTE Offset

This is where you set the SMPTE offset for the song. Because songs do not always have to start precisely at bar 1, you can select any bar position to be played at the set SMPTE time.

The preset is 1/1/1/1 at 1:00:00:00. The SMPTE offset 1:00:00:00 is normally used, because it allows you to pre-roll some time code.

SMPTE View Offset

If you want to see the absolute time from the start of the song in Logic's time display, rather than the actual SMPTE time, click Enable separate SMPTE View Offset. Then choose Bar Position 1/1/1/1 displayed as SMPTE 00:00:00:00 (preset). If necessary, you can set other view offset values here, instead.

The Tempo List always shows the real SMPTE time, never the SMPTE View Offset. However, the SMPTE View Offset is used in all other windows.

You can individually set whether the SMPTE time is shown with or without SMPTE View Offset for each open Transport window . In the Transport window "arrow" menu, there is a Use SMPTE View Offset option.


Audio

Synchronization > Synchronization Window > Audio

Nominal Sample Rate

This is where the selected nominal sample rate is shown.

You can change the sample rate in the Audio menu of the Arrange window, if your hardware supports several different sample rates.

MTC [Hz]

This display shows the deviation between the incoming MTC, and its nominal frame rate.

If the deviation is too large, please make sure that you have set the right frame rate (on the "General" page of the synchronization window). If in doubt, set the frame rate to 24 fps and switch on "Auto Detect format of MTC".

If the frame rate is correct, you can use this display to adjust the tape speed of the master machine to the nominal value (i.e. the same speed as used when the time code was recorded). Adjust the varipitch control on the master machine, until the vertical yellow line is exactly in the middle.

Sample Rate

This display shows the deviation of the sample rate from its nominal value.

Bear in mind that some audio hardware (e.g. MME) will not allow any variation in the sample rate.

Deviation

This display shows the current phase deviation of the word clock from the time code master, in other words, the deviation between audio and MIDI.
With varying time code you can see in this display how Logic Audio regulates the sample rate of the hardware in "MTC continuous" sync mode. Even with large time code variations, there is no deviation between audio and MIDI. Your audio hardware must be capable of continuously variable sample rate, for this to function.

Small deviations between audio and MIDI are unavoidable, because MIDI can (and should) follow the time code master directly.

Sync Mode

This is where you define how each individual piece of audio hardware should be synchronised to an external time code master.
Depending on its design, not all audio hardware can work in every sync mode described below. This depends particularly on whether or not the hardware's sample rate can be controlled.

- MTC Continuous
Audio regions are started in sync, and the sample rate is continuously regulated according to the variations in the time code master. With this method, even very long audio regions stay in sync.

- MTC Trigger
Audio regions are started in sync, but are then played with a constant sample rate, regardless of any variations in the time code master. Logic Audio always uses the set nominal sample rate (44.1, or 48 kHz, 88.2 or 96kHz).

This mode is suitable when it is vital to retain the absolute pitch of a recording. If the speed of the time code master deviates from the nominal value, you may have to split long regions into shorter sections.

- MTC Trigger/Auto Speed Detection
Similar to "MTC Trigger", but in addition, the Speed Detection constantly monitors the speed of the time code master, while Logic is running. The next time you start Logic, it uses an adapted sample rate.

This mode keeps long regions in better sync with the time code master, although not as closely as "MTC Continuous". However, it does use a constant sample rate, which is not affected by variations in the time code master.

- External/Free
Logic has no influence on the sample rate. The audio hardware has to ensure that the position and sample rate of the audio regions match. This sync mode is only advisable if you can be sure that the word clock and time code master are running in sync, for example by using an external SMPTE/wordclock synchronizer.

- Digital
Similar to "External/Free", but the hardware is also set up to synchronize to the sample rate of the incoming digital signal.


MIDI

Synchronization > Synchronization Window > MIDI

Delay all MIDI Outputs [ms]

Logic's audio capabilities allows you to work without an external mixing desk-be it analog or digital. When working with one external MIDI instrument (or a MIDI sound module with integrated audio input mixing function), you can connect it's analog audio outputs directly to the audio inputs of the audio hardware used by Logic. As all audio (and MIDI) processing involves latency of one sort or another-which is extremely short with Logic and most recent hardware-you can compensate for this lag time by setting a negative value with this global MIDI delay parameter. The amount of latency depends on the audio interface used and its buffer settings. The value is set in milliseconds.

Transmit MIDI Clock

The switch on the right activates transmission of MIDI Clock. In the display next to it, you can choose the port (MIDI Out Driver) from which MIDI Clock is sent.

Every time you start, "Song Position Pointer" (SPP) is also sent.

Because not all devices can process SPP, the real-time message "Continue" is also sent. The exception to this is when you start at position 1/1/1/1. In this case, the real-time message "Start" is sent, instead of "Continue".

MIDI Clock can easily be sent via a bus, along with other normal MIDI events (notes, controllers). With multiport MIDI interfaces (like the Unitor8 or MTP), better timing is achieved by sending MIDI Clock to all ports, rather than to several individual ports.

If MIDI Clock is transmitted to all ports, the events are sent only once from the computer to the interface. If you address individual ports, one event has to be sent for each individual port, which worsens the timing for all ports.

Transmit MTC (MIDI Time Code)

The switch to the right activates transmission of MIDI Time Code. In the display next to it, you can define the port (MIDI Out Driver) to which MTC is transmitted.

It is not advisable to send MTC to all ports. Unlike MIDI Clock, if you want to send MTC (which is very data-intensive), use a MIDI port which is not being used for anything else.

Transmit MTC Delay

This parameter allows you to delay the transmitted MIDI Time Code. Negative values mean that the MTC is transmitted earlier. This enables you to compensate for any reaction delays in the external MTC slaves.

Transmit MMC (MIDI Machine Control)

This is where you can switch on transmission of MIDI Machine Control. These commands are then always sent whenever you operate Logic's transport functions (Start, Stop, Rewind, etc.).

MMC is normally used when Logic is running as a slave to an external master (e.g. ADAT), where you want to control the external master's transport functions from within Logic. Logic therefore acts as MMC master, and MTC slave simultaneously.

If you want to use the external master's transport controls, you don't need MMC. In this case Logic as the slave, will follow the MTC master.

You can also use MMC to put tracks from the MMC slave device into record-enabled status. For details, please refer to the section MIDI Machine Control (MMC).

MMC Output ID (Transport)

The menu to the right allows for setting an output port ID.

Transmit MMC Locate commands when pressing Stop twice

The switch to the right enables transmission of MMC Locate commands when pressing Stop twice.

Transmit MMC Locate commands when dragging objects

If enabled and in stopped mode while for example regions are dragged in the Arrange Window MMC locate commands are sent with the position of the dragged region.

Transmit MMC Record enable commands for audio tracks

If enabled MMC record enable commands are sent when audio tracks are record enabled or disabled. Also if MMC Record enable commands are received those will set the record enable status of the audio tracks.

Listen to MMC Input

Logic can be controlled by MMC (MIDI Machine Control) and so-called "Full Frame Messages" as well (Listen to MMC Input). Transmit MMC has been available in Logic for quite some time.

By clicking the sync button of the Transport bar, you can open the synchronisation settings. Select the MIDI page and switch on the Listen to MMC Input parameter.

Logic then recognizes these commands:

  • Play
  • Deferred Play
  • Stop.

Deferred Play is a special command for mechanically slow synchronisation slaves like reel tape recorders. Instead of making the machine play immediately, the machine is asked to reach the desired SMPTE position first, before playback is started. You'll find no difference in Logic's response to the "play" and "deferred play" commands, since Logic can locate as quickly as any hard disk recorder.

Logic ignores these message, when incoming external MTC (MIDI Time Code) commands are being detected.

Logic also obeys so-called "full frame messages", setting Logic's song position line to a new position, without starting playback. Once again, incoming MTC data receive higher priority if conflicting information is received.

Some synchronizers send "Full Frame Messages" instead of MTC to locate the slave device (Logic in this case) to a new position without implicitly starting the playback. This is useful for example, when in slow shuttle or single frame advance with video machines, because the slave device is perfectly located without being in playback mode.


Unitor

Synchronization > Synchronization Window > Unitor

Please note that you can comprehensively edit the Unitor8 using the "Unitor8 Control" software supplied with it, or with SoundDiver.

SMPTE Mode

Here, you can instruct the Unitor8 to write SMPTE. You must switch from Read to Generate, and set the frame rate and start-time in the "General" page.

SMPTE Type

This is where you define what SMPTE format you want to use:

- LTC : Longitudinal Time Code is written to a tape track.
- VITC : Vertical Interval Time Code is written invisibly to a video tape.

TV Format

Allows definition of the television format for time code burn-in:

- PAL : The video format used in Europe. If you are working with video in SECAM Norm, select PAL here.
- NTSC : The video format used in the USA and Canada.

You don't just need this setting when writing and reading VITC. If you are operating with LTC, and you want to generate a video picture a with burned-in SMPTE time, you have to set the correct format here.

Refresh

In Refresh mode, fresh time code is generated in sync with received time code. "Refresh" works with both VITC and LTC.

You should always use "Refresh" whenever you have to copy an LTC track, because you cannot directly copy LTC without a considerable loss of quality. When copying whole multitrack tapes, you should patch all the tracks directly, but refresh the TC track via the Unitor8.

You should only use Refresh mode if you are copying time code.

LTC Freewheel, VITC Freewheel

Here, you can set the freewheel time in frames for LTC, and VITC individually. The freewheel parameter affects the SMPTE reader, and specifies how long the synchronizer continues transferring MTC to the sequencer, after time code ceases to be read.

Long freewheel times can maintain synchronization, even if there are drop outs in time code, but they also increase Logic's reaction-time after the time code master stops. In practice you should set the value as large as necessary (for sustained operation), and as small as possible (for short waiting times).

VITC Line 1, VITC Line 2

VITC is written into two lines of the video picture, which are normally invisible. The lines should not be adjacent, and are usually situated between 12 and 20.

If "Scan" is enabled, the VITC lines are automatically recognized. You should only enter the lines manually if there are problems with "Scan" mode.

Visible Time Code Display on Video

Here you can set the position, size, and color of the time code counter window, which is burned-in with the video picture.


Bar Ruler - Time Ruler

Synchronization > Bar Ruler - Time Ruler

Use View > Show SMPTE Time Ruler to individually switch the bar ruler in each window to a time ruler. The number on the left of the vertical lines refers to minutes, and the one on the right refers to seconds. If the vertical height is sufficient, both the time ruler and the bar ruler are displayed.

Event Position and Length as Time

In the Event List editor, selecting View > Position & Length in SMPTE units switches all the positions and lengths to SMPTE times.
Both functions have the same key command Positions/Time Ruler in SMPTE units.
If the time ruler is switched on when you move an object's position:

  • the position in the Info Line is also shown as a SMPTE position (e.g. in the Giant SMPTE Display/Giant Bar Display transport buttons),
  • holding down the alt key switches the snap grid to frames, and holding down the shift key as well, switches it to subframes.

Naturally, the time ruler takes account of any tempo changes.

Positioning Objects to Frames (Pickup Clock)

Set the song position to the required SMPTE time, for example, by going to a specific frame of the film. Select the object which you want to place at this time position. It doesn't matter whether this is an individual event, tempo event or an arrange object. Pickup Clock Position then sets the start time of the object as required, Pickup Clock and select next event selects the next object after moving your current selection, so that after making alterations, you can easily continue.

When using Pickup Clock with audio regions, it is the region's anchor (not start-point) that is moved to the song position.

Fixing Objects to Frames

With film synchronization, you often want specific sound effects to play at a specific SMPTE time, rather than a particular bar position.
If the tempo of the piece needs to be altered later, then the SMPTE time location of events that have already been positioned will change. The Lock SMPTE Position function prevents this from happening.
You can SMPTE-lock single events in the Event List, or entire Arrange objects (with all the events they may contain).

- Functions > Objects > Lock SMPTE Position
With this function, selected objects are "locked" to their current SMPTE position. If there are any subsequent tempo changes, the bar positions of the "locked" objects are adjusted accordingly. You can tell that an object or event is locked to a SMPTE position by the small padlock symbol in front of its name.
Copies made of locked sequences or folders do not preserve the locked setting, whether copied/pasted via the clipboard, or by dragging while the ctrl key is held down.

- Functions > Objects > Unlock SMPTE Position
All selected objects which were "locked" to their SMPTE position are now fixed to their current bar position, just like normal events. This means they may once again be shifted by any future tempo changes. The padlock symbol in front of the name disappears.

Moving the SPL by Frame

In addition to the usual position commands, you can also use the Key Commands Rewind One Frame and Forward One Frame to move one frame backwards or forwards.

Positioning Bars to Frames

If you want a particular bar in the song to coincide with a specific SMPTE time, you have to alter the tempo of the preceding passage. The following procedure will save you from having to do this by trial and error:

  • Open the Tempo List.
  • Create a tempo event at the desired bar position.
  • Set the desired time position for this tempo event in the SMPTE-Position column. The preceding tempo event is automatically adjusted to generate the correct bar and time position for the inserted tempo event.
  • You can then delete the tempo event you inserted, if you want to keep the same tempo for the following passage.


MIDI Machine Control

Synchronization > MIDI Machine Control

MMC is a set of MIDI commands, which Logic uses to control the transport functions of any MMC-capable tape machine. The recording process can also be controlled and automated from Logic via MMC. This tape machine, then provides the SMPTE signal to which Logic sync's to as a slave (see the section General).

You can control connected devices from Logic using the normal "transport" functions (including direct positioning and cycle jumps). Don't forget that Logic has to wait for the connected device to finish rewinding or forwarding. If MIDI Machine Control is enabled, dragging the song position line will send "MMC Locate" commands continuously, until the mouse button is released.

Switching on MMC

Activate MIDI Machine Control from the sync button's pull-down menu. You can also temporarily switch the function off from here, to allow you to carry out any necessary quick edits.

This option can also be accessed by selecting .

Record Functions

Logic supports up to 64 MMC tracks, so it can operate devices like the Alesis ADAT(TM) via MIDI machine control.

Each arrange track can be made to act as a tape track by selecting an instrument with the "tape deck" icon (#305).

You need to create only one instrument with the "tape deck" icon, and you may then assign that same instrument to as many tracks as you need to control your external recorder. It is a good idea to group these tracks together in their own folder. These tracks must be placed at the top of the Track List, in your Arrange window. If you pack them into a folder, this must be the first track in the list.

The "tape deck" (#305) icon is the only icon that actually affects the way an object behaves. All the other icons are purely graphic in nature.
If the tape track is the current record track, the following functions apply:

  • Selecting the tape track switches the corresponding track on the tape machine to "record ready", and deactivates the "record ready" status of any other tracks. To select several tracks for recording, use shift .
  • The record button in the Transport window sends the "record strobe" command to the tape machine. This also puts Logic into MIDI record mode, and sends an MMC "Play" command to the tape machine (HDR or whatever). Logic doesn't start, until it receives time code back from the multitrack.
  • If you use the autodrop function, the tape machine goes into record at the left locator position, and drops out of record at the right locator position.
  • If you click on any track-not just a tape track-while holding down the ctrl and shift keys, you can individually toggle the record ready status for each track of the tape machine, i.e. selected tracks are switched on, and non-selected tracks are switched off. By clicking on a track while holding down the ctrl key, you can simultaneously switch all other tracks out of record ready. If the current record track has been assigned a tape deck icon (see above), you must not use ctrl .
  • Space (or the key command Record Toggle) is used to toggle the record status, if a tape track is the currently selected record track.
  • After finishing an MMC-operated recording, Logic automatically creates an empty sequence on the tape track. This is to let you know that a recording has taken place on the tape. This applies to all MMC recordings, including those controlled by the autodrop function. If you activate several tape tracks using S, the corresponding number of sequences are created. If there is already a sequence with an identical start point on a tape track, no new sequence is created on the same track, to avoid overlapping objects.
  • A double stop command sets the song back to the beginning also in MMC mode.

The MMC Record Switches also offers you a simple way to arm tracks on your tape machine via Logic. By default it is already set to the tape icon.

You should finish all MMC-controlled recordings with STOP or Space. Some tape machines react differently to a series of "MMC Record" commands. Sometimes Logic shows a track to be recording, when the tape is actually playing back (or even worse, the opposite situation.). So, to be on the safe side, you should always finish a recording with STOP or Space .


Synchronizing AVI movies

Synchronization > Synchronizing AVI movies

Logic lets you open films in the Video for Windows (*.AVI) format. The AV Player supports the DirectShow standard. You can use it to play back *.AVI as well as *.MOV (QuickTime) and MPEG 2 files.

You can run AVI playback in a Logic window synchronized to the song. Wherever you move the song position, the film or MPEG 2 files will follow. You can write film music, or attach sound effects to individual frames.

To ensure smooth playback, you should try to play Audio files, and the .movie files from different hard disks, if possible.

Opening a Movie

If you select Video > Video Player in the main window, the file selector opens, and you can select a movie from your hard disk.

If you select Options > Video Player as Float... you can open a movie file in a float window. That way the movie will always stay on top.

Setting an Offset

Using the path Options -> Video settings... a window appears where you can set the video start-point. The commonly accepted value 01:00:00:00 is now used as the SMPTE offset.

Enabling the Video Sound

When the video setting Enable Audio of Video is switched on, the audio track of the movie will be played back via the preferred Sound Device of the Windows "Sounds & Multimedia" setting.

Video to song adjust

Found under Option > Settings, a global setting to fine tune the starting point of a movie.


Sync Problems and Solutions

Synchronization > Sync Problems and Solutions

Faulty Digital synchronization

If Logic is synchronized to external wordclock (Audio Sync Mode: External /free), you must ensure that a valid digital signal is always available. If you are getting error messages like "Sample Rate 13,x kHz recognized" it may be that the DAT recorder (or whatever clock source you have connected to your audio hardware's digital input) does not transmit wordclock in stop or pause mode (or has switched itself off).

Faulty synchronization to an External Tape Machine

Create a new song, make a new recording and see if that does the trick. Why? If an old recording on tape was not properly synchronized to time code you will not be able to use it. One basic rule: the playback situation must be identical to the recording situation.

If everything is working fine with the new recording, this means the present setup is o.k. Next, check whether anything has changed in your global setup. Has the frame rate changed? Has the tape speed changed? If you have changed a 30 fps setting, try variations such as 30 drop or 29.97.

If MIDI and Audio are not synchronized

Go to the Audio page of the synchronization dialog window and under Audio Sync Mode, select MTC continuous or MTC Trigger/ASD.
If your audio hardware does not support this operating mode, you should cut extremely long regions into shorter sections.

If MIDI and SMPTE are not synchronized

Check all the frame rate settings. The frame rate of all connected devices must be identical, including the time code on the tape machine, the synchronizer, and in Logic itself.

Some synchronizers encode the wrong frame rate in MTC. In this case open the Tempo Editor, switch off the Detect option, and set the correct frame rate manually.


Introduction

Song Settings and Preferences > Introduction

Song Settings and Preferences are accessible via the Options > Song Settings and Options > Preferences menus. Each menu features additional submenu items.
Some of these can also be reached directly from Logic's local menus (for example in the Score window), or from the transport buttons, via pop-up menus.

The Song Settings and Preferences are where you can define some of Logic's basic operating parameters. This section explains each of these menu items individually. Unless indicated otherwise, the descriptions of the various options are the ones that apply when the selection box next to the option is checked (in other words, when it's active).

  • All items in the Song Settings submenu are saved with the song.
  • All items in the Preferences submenu globally affect all songs.

Preferences are stored in the Preferences file found in Windows folder > Logic Platinum 5.prf.


Song Settings

Song Settings and Preferences > Song Settings

Song settings are saved independently with each song, which means that different songs can have different song settings. You can save all of your standard settings in the Autoload song, which is the default song file that is automatically loaded when you boot up Logic (unless you've started the program by double-clicking on a specific song file, instead of the actual program icon). This way, you can start each Logic session with your preferred working setup.


Synchronisation Settings

Song Settings and Preferences > Song Settings > Synchronisation Settings

All Synchronisation Song Settings are described here.


Metronome Settings

Song Settings and Preferences > Song Settings > Metronome Settings

Options > Song Settings > Metronome Settings... or a long click on the metronome icon in the transport window opens a settings dialog window for the Metronome. This window combines all the settings of the MIDI Click environment object plus the metronome settings found in Options > Song Settings > Recording Options. In addition the Metronome dialog features a virtual metronome sound called KlopfGeist. It can be used either in addition or in place of the speaker click or the USB MIDI click and offers the same beat tapping functionality.

The Tonality parameter changes the sound of the virtual metronome from a short click to a pitched percussion sound similar to a Wood Block or Claves.
Volume adjusts the overall sound level of the virtual click sound. Output (assignment): Provided the audio hardware used by Logic offers more than 2 outputs this field allows the routing of the KlopfGeist metronome sound to a different set of hardware outputs.

Note: KlopfGeist is a software instrument found in the Plug-In menu: Mono. For "KlopfGeist" to be available as a metronome sound source it needs to be inserted on instrument channel #64. Logic will automatically create an instrument channel #64 with an inserted Klopfgeist when necessary. Theoretically any other Emagic or VST2.0 instrument could be deployed as a metronome sound source using instrument channel 64.
Conversely, KlopfGeist can be used as a simple and unique audio instrument as well.

Compared to the Metronome window the KlopfGeist Plug-In window offers a few additional sound parameters.

- Click while recording(e)
The metronome click is automatically switched on for recording. This is the same as activating the metronome switch in the Transport panel during recording.

- Click while playing(p)
The metronome click is automatically switched on for playback. This is the same as activating the metronome button in the Transport panel during playback.

- Click only during Count In
When this option is active, the click in recording mode sounds only during the count in, and is then switched off.

- Polyphonic Clicks
The MIDI Metronome Object in the Environment sends notes, as defined and activated for bars, beats and divisions. For example, at the beginning of each measure, two or three notes may be sent simultaneously. If the option box is not checked, then the metronome only ever transmits one note at a time.

- MIDI Click
The metronome click triggers a MIDI note.

- Absolute Record Pre-roll
Record Pre-roll [sec]
If enabled this value allows to set a pre-roll value in seconds and milliseconds. When recording this value will be deducted from the current position.

- Count In
If Absolute Record Pre-roll is disabled a pull-down menu appears where you can set the Count In that precedes a recording.

  • Wait for Note: keeps running in a "symmetrical" loop of one beat, centered around the start point of the recording, until MIDI events are input. Since the loop starts half a beat before the start point, you are allowed up-beat notes of up to half the value of the bar denominator (e.g. with n/4 time, a maximum of 1/8 notes).
  • No count-in: the recording begins with no count in.
  • x Bar count-in: x bars of count in.
  • x/4 Count in:The count in's time signature may be set here. These settings are useful when the count in falls during a bar change.


Recording Options

Song Settings and Preferences > Song Settings > Recording Options

This page can be reached in various ways: by key command ( default: opt - 0) , from the menu (Options > Song Settings > Recording Options...), or from Recording Options... in the metronome or record switch pull-down menu, on the Transport bar.

The settings here determine how Logic responds in record mode. If this page is open, you can enable/disable some of the checkboxes via the computer keyboard using the keys indicated in brackets after the function. While this page is open, any key commands normally assigned to these keys will be temporarily deactivated.

Merge New Recording With Selected Sequences

After each recording, all newly-recorded data is merged with all the selected sequences on the recorded track, to form one sequence. When Merge New Recording... is activated, Merge only New Sequences in Cycle Record is automatically activated as well.

Merge only New Sequences in Cycle Record

When recording in Cycle Mode, this function merges all data recorded during subsequent cycles to the sequence recorded during the first cycle. It can be used independently of Merge New Recording With Selected Sequences.

Auto Mute in Cycle Record

If recording in Cycle Mode, this function creates a new sequence for every cycle during which any data is input. All sequences made during previous cycles are automatically muted. If the Auto Create Tracks in Cycle Record function (described next) is not active, all the sequences are layered onto one track. This function deactivates both the merge functions.

Auto Create Tracks in Cycle Record

While recording in Cycle Mode, this option creates a new track with each new cycle, when there is data input. The recorded sequences from earlier cycles are pushed down to the tracks below, so the "oldest" tracks end up at the bottom. This function deactivates both the merge functions. This function is useful when, for example, you are doing multiple takes of a solo, while cycling a section of music. The recordings made during each cycle will appear on their own tracks, making it easy to sort through them when you have finished recording.

Allow Demix by channel if Multitrack Recording

This setting switches between the two Multitrack Recording Modes.

Allow Tempo Change Recording

All tempo changes made in record mode are recorded. For details on how to edit these "tempo recordings", please see the section Tempo.

MIDI Data Reduction

Controller events are thinned out during recording, to lessen the data load on the MIDI bus during playback. This improves the timing of dense arrangements on interfaces with fewer MIDI ports. The function actually reduces the duration of controller events, using an intelligent algorithm which retains the value at the end of a succession of controller messages.

Click

- Click while recording(e)
The metronome click is automatically switched on for recording. This is the same as activating the metronome switch in the Transport panel during recording.

- Click while playing(p)
The metronome click is automatically switched on for playback. This is the same as activating the metronome button in the Transport panel during playback.

- Click only during Count In
When this option is active, the click in recording mode sounds only during the count in, and is then switched off.

- Polyphonic Clicks
The MIDI Metronome Object in the Environment sends notes, as defined and activated for bars, beats and divisions. For example, at the beginning of each measure, two or three notes may be sent simultaneously. If the option box is not checked, then the metronome only ever transmits one note at a time.

- MIDI Click
The metronome click triggers a MIDI note.

The - Metronome Settings Button links to the Metronome Settings dialog.


MIDI Options

Song Settings and Preferences > Song Settings > MIDI Options

This page can be reached from the Arrange window by selecting ..., or from anywhere with a key command (MIDI options...). These settings determine how the MIDI inputs and outputs behave.

Input Filter

The input filter switches are for filtering out certain event types at the input of the sequencer. The symbols correspond to those in the Event List. When a switch is disabled (dark gray), it will filter out the corresponding events.

  • The note symbol stands for note events.
  • The symbol with the dual-digit, seven-segment display stands for program change events.
  • The hand wheel symbol with a marker in the middle (pitch bend wheel) stands for pitch bend events.
  • The hand wheel symbol with a marker at the bottom (modulation wheel) stands for all control change events.
  • The single weight symbol stands for aftertouch events (channel pressure).
  • The multiple weights symbol stands for polyphonic key pressure events (polyphonic aftertouch).
  • The SysEx symbol stands for itself.

Sysex with MIDI Thru function

Incoming SysEx messages are passed through the computer to the MIDI output(s), along with other MIDI data. This is particularly important when using hardware programmers, as only then will you be able monitor the changes to the synth you are editing immediately. If you just want to record SysEx dumps, don't select the checkbox. It hardly ever makes sense to divert dumps through the computer, unless you want to record a dump, and simultaneously transmit it to a second device of the same type.

Instrument without MIDI Thru Function

The instrument selected here will not pass events through the computer, when the instrument is assigned to the selected Arrange track. Normally the "No Output" instrument is set here.
If your master keyboard does not have a "Local Off" setting, you can use this feature to avoid unwanted note doubling when recording:

  • With multitimbral sound sources, assign the instrument which plays the part of your master keyboard that is heard when playing with the computer turned off.
  • With monotimbral sound sources, assign the instrument which represents the sound generating part of your master keyboard.

In either case, you should turn down the volume control of your master keyboard whenever you are recording tracks for any other instrument.

It is possible to disable MIDI Thru for any MIDI track in the Arrange window selectively, by simply disabling the "R" button to the left of the track name.

Send Used Instr. MIDI Settings after loading

Sends the checked Instrument MIDI Settings automatically after loading a song.

Send All Fader Values after loading

This option causes all fader values to be automatically sent after a song is loaded.

MIDI Remote

Global Switch for controlling Logic via MIDI Commands.

Scrubbing with Audio in Arrange

This setting is required for simultaneous scrubbing of MIDI and Audio.

Software Instruments and Controllers

This flip menu allows you determine the behaviour of Software Instruments when addressed by MIDI Controller messages higher than 65.


Chase Events

Song Settings and Preferences > Song Settings > Chase Events

This page is for making settings relating to the Chase Events function.

You can also reach this page from the the Arrange window, by selecting ...

Message Type Switches

These switches are used to select the event types which will be chased. The symbols are the same as the ones in the Event List Editor. If a button is gray, it means chase events is deactivated for that event type.

Notes

This button affects only Note On and Note Off events in sequences played by instruments whose No Seq Trp (no sequence transpose) box is not checked.

- Chase sustained Notes
Activating this box causes Logic to search before the current play-start point, for any notes which should still be playing because of a sustain pedal message.

- Chase Notes in No Seq Trp Instruments
This means that even notes played by No Seq Trp instruments are chased. If these are instruments for drum sounds or loops, as is typically the case, this box should not be checked.

Program Change

The last program change command before the current play-start point is sent. Keep in mind that a sound module will usually take a short while to respond.

Pitch Bend Events

Pitch bend data are searched for.

Controller Events

If this switch is active, you can switch three controller groups on and off individually:

- Chase Control 0-15
Controller numbers 0 to 15 are chased. These include the following controllers: modulation wheel, breath, foot, volume, pan, portamento time, balance and expression, plus the MSB for data entry and bank select.

- Chase Control 64-71
"Switch" controllers 64 to 71 are chased. These include sustain, sostenuto, hold 2, soft pedal, and portamento.

- Chase all other Controls
All other controller numbers are chased.

Aftertouch or Channel Pressure Events

Aftertouch data is chased.

Polyphonic Key Pressure Events

Polyphonic Aftertouch data, generated by pressure sensors under the individual keys of the keyboard controller, is chased.

System Exclusive Events

The last SysEx messages in the sequences before the current play-start point are transmitted. If the sequence contains the recorded data of a SysEx fader, the fader will be set to its correct state at the start point.

Please keep in mind that chase events cannot always fully restore the correct state of SysEx data at the play-start point. To do so would involve not just searching for, but also analyzing all SysEx messages for the whole song, both before and after the play-start point. Because of the non-standardized data structure of SysEx messages, this is completely impossible.

If even a couple of sound parameters have been recorded, each with separate SysEx faders, at differing settings before the play-start point, there will be deviations in the sound. To get around this, try recording controller data to remote-control the SysEx faders during playback instead. Since chase events searches all the different controller numbers separately, the SysEx settings for the sound parameters will all be correct at the play-start point. Another advantage to this method is that controller events can be edited graphically in the Hyper Editor, or using Hyper Draw.

Chase sep. channels in 'All Cha' instruments

This option affects instruments whose Cha parameter is set to All (i.e. which play events with their recorded MIDI channel). All defined event types in sequences started part-way through are then chased separately for each MIDI channel.

Chase on Cycle Jump

Switches on the Chase Events function for cycle jumps.

Send MIDI Reset before Chasing

A MIDI reset is sent before Event Chasing begins, in accordance with the current settings in the Preferences.

Chase Text Meta Events

Chases Lyrics imported from MIDI files.


Score Settings

Song Settings and Preferences > Song Settings > Score Settings

All Score Song Settings are described here.


Preferences

Song Settings and Preferences > Preferences

The settings in the Preferences are saved together with the keyboard shortcuts as a special file called "Logic 5.prf " in the Windows folder of your PC. These settings apply to all songs.

Opening the Preferences

The Preferences window can be opened from the main menu by selecting Options > Settings... or via the key command Preferences...

Although the settings you make in the Preferences affect the way Logic deals with all the songs it opens, you still have to open a song before you can alter the Preferences. You can't open the "Logic 5.prf " file directly

Initializing the Preferences ...

If you erase the "Logic 5.PRF " file in your PC's Windows folder , Logic will create a new Preferences file next time you launch. All parameters will then be reset to their default values.

When you erase the Preferences file, you also lose all your custom key commands.

- ... and how to do it without losing your keyboard assignments
If you'd like to initialize the Preferences, but don't want to lose your custom commands, select ... in the menu, and there, select Options > Initialize > all Preferences except Commands.


Communication

Song Settings and Preferences > Preferences > Communication

This page deals with how Logic communicates with your MIDI interface, and with other programs.

Active MIDI Transmission (AMT)

Active MIDI Transmission is an Emagic innovation that provides a measurable, and more importantly, audible improvement of MIDI timing. A segment of the sequencing engine of AMT compatible software, (in this case Logic), is put into the AMT8 or Unitor8, where it takes care of sending the MIDI events to the individual outputs with the highest possible timing accuracy. At the same time, the transfer of data from the computer to the interface is optimized with extreme efficiency by sending notes in packets during the pauses between the musical events. These packets are then unpacked in the interface, and sent to the individual outputs at precisely the same time. It is therefore strongly recommended that you switch AMT on if you have an AMT8 or Unitor8.

Use Unified Virtual and Classic MIDI Engine

The Unified Virtual and Classic MIDI Engine is that part of Logic, that unifies the Classic MIDI Engine for hardware MIDI devices with the use of Virtual MIDI Instruments, i.e. Software Synthesizer. This engine is switched on by default; this setting is the recommended setting. For compatibility reasons it can still be switched off, i.e. the older MIDI engine (before version 4.7) will be used. Please note that not all Arrange features are available for Virtual Instruments (e.g. Loops) when switching this setting off.

Use AUTOLINK with SoundDiver or SoundSurfer if available

If you start another program which can communicate via Autolink (e.g. SoundDiver or SoundSurfer), the Autolink connection will be made.
Autolink allows:

  • Sound names of Editor/Librarian programs to be transferred to Logic's multi instruments;
  • Logic's transport functions to be remote-controlled from other programs;
  • All Autolink programs access to the MIDI ports.

MIDI Machine Control uses old Fostex Format instead of MMC

The old Fostex format is used for MIDI Machine Control.

External Stop ends Record Mode

If you are using external synchronization, and the time code stops during the recording, record mode is switched off. If there is no check in this box Logic stops, but remains in record mode (record + pause).

Always stop when opening song

With this setting on, a song will always be opened in Stop mode, even if it has been saved in Play mode.

Allow Song Position Pointer while playing

According to the MIDI Standard, Song Position Pointer is normally not sent while sequencer is in play. This option in Logic causes SPP to also be sent while the sequencer is running. The advantage is that external devices can also follow Logic in Cycle mode. If your external devices cannot process SPP, you should switch off this option.

AMT Version

In older versions of the Unitor8 firmware, sending MIDI Time Code (MTC) via an Unitor8 with Active MIDI Transmission (AMT) mode on, could cause problems under certain circumstances. These problems have been remedied, you will however require the services of "AMT Version 2" and an Unitor8 operating system Version 1.2.9 or higher.

When a Unitor8 is connected, Logic checks the firmware, and makes the requisite adjustments.


Global

Song Settings and Preferences > Preferences > Global

Hide Windows of inactive Songs

Only the windows of active songs are displayed. All other windows belonging to songs currently in memory are hidden. In this mode, you have to use the main Windows menu to switch between songs.

When Opening a song, ask to close current song(s)?

Whenever you load a new song before closing the old one, a dialog box appears asking whether the current song should be closed. If this option is not checked, you will not be asked, and the current song will remain open.

Empty Trash after Saving a Song

After saving a song, Logic's internal Trash is emptied (containing the deleted arrange objects). The saved song still contains the trash. If the box is not checked, the song's Trash can only be emptied by selecting Functions > Trash > Empty Trash.

'Export MIDI File...' saves single Sequences as Format 0

If only one sequence is selected when you select File > Export MIDI File... the contents of the sequence are saved in MIDI file format 0. This file format is guaranteed to be compatible with every MIDI file player.

Add 'Last Edit Function' to sequence name

After performing any edit operation (e.g. cutting), the description of the edit operation is added to the name of the arrange object (or resulting objects).

Disable 'Living Groove' connection

This breaks the "living connection" between a sequence and a quantization template derived from it. If the sequence is edited, this has no effect on the quantization template. If there is no check in the box, editing the original sequence will also alter the quantization template, which will in turn affect all sequences that are quantized to that template.

Disable Notification Sounds

This allows to disable sounds presented in special situations like error messages or the "Autolink Success" flop sound.

Enable Catch when Sequencer starts

Every time you start the sequencer (start or pause), the Catch function is automatically switched on, in all windows.

Enable Catch when moving song position

The "Enable Catch when moving SPL" option means that whenever you move the SPL, the Catch function is switched on.

Allow Content Catch by Position if Catch and Link enabled

If the catch and content catch functions are active, the contents of the sequence at the current song position are what is shown. If there is no check in the box, the window view still follows the song position within the displayed sequence, but does not update to show the contents of subsequent sequences when they become the current sequence.

Limit Dragging to one direction in Matrix and Score

In the Matrix or Score Editors, you can only move notes in one direction (horizontally or vertically), per operation. This means that a note may be either transposed or moved in time, but not both at once. This prevents accidental alteration of the other parameter.

Limit dragging to one direction in Arrange

This restricts the direction you can move sequences and folders in the Arrange window, in a similar way to, and for the same reasons, as the option above.

Double Click Sequence to open Event Edit in Arrange

This pull-down menu is where you select which Editor opens when you double-click on a sequence.

Auto Backup...

This pull-down menu switches on, and controls the automatic backup function.


Display

Song Settings and Preferences > Preferences > Display

Wide Song Position Line

A thicker Song Position Line is used.

Display Middle C as C3 (Yamaha)

This option affects the description of notes in the editors. The bottom C on a five-octave keyboard (note # 36) is labeled C1, and middle C (#60 or c') is labeled C3. According to this standard, the lowest MIDI note (# 0) is called C-2. This is the official standard, and is used by most manufacturers.

If there is no check in the checkbox, the bottom C on a five-octave keyboard is labeled C2, and middle C is labeled C4. Using this standard, the lowest MIDI note is C-1.

Allow 'All Objects' Layer Option in Environment

A layer, showing every object in your Environment is available, from the Layer button in the Environment. If this box is not selected, The "All Objects" layer is not available.

Sort Instrument Menu by Layers

The instruments in the pull-down instrument selection menu are sorted by layers.

Sort Instrument menu by Icons

The instruments in the pull-down instrument selection menu are sorted by the internal index number of the icons. This setting has no function when hierarchical flip menus are used.

Use hierarchical flip menus

Hierarchical flip menus are used in the Instrument List in the Arrange Window.

More colorful Arrange objects

Determines the color of the Arrange objects in larger zoom settings. With this setting checked the whole sequence or region will be display in the chosen colour in all zoom settings.

Muted objects are textured

Determines the look of muted regions or sequences. If this settings is switched off, muted objects have a lighter color. If it is switched on, muted objects have the same color, but are textured.

Display SMPTE Zeros as Spaces

In SMPTE times that start with zeros, the zeros will be represented by spaces when this option is selected.

Display SMPTE...

This pull-down menu can be used to set the following options for the SMPTE time display:

  • Display SMPTE with Bits: subframes (SMPTE bits 0-79) are shown.
  • Display SMPTE without Bits: subframes are not shown.
  • Display SMPTE with Quarter Frames: quarter frames are shown.
  • SMPTE as Feet & Frames, 35mm film: the display is displayed in feet and frames, for 35mm film.
  • SMPTE as Feet & Frames, 16mm film: the display is displayed in feet and frames, for 16mm film.
  • SMPTE with Milliseconds: the frame fractions are displayed in milliseconds instead of SMPTE bits (also called "subframes"). Don't forget this value depends on the frame rate: at 25 fps a frame is 40 ms long, at 30 fps approx. 33 ms.

Tempo as...

This pull-down menu can be used to set the following options for the tempo display:

  • Tempo as Beats Per Minute (BPM): beats per minute, to four individually adjustable decimal places.
  • Tempo as BPM without Decimals: beats per minute, with no decimal places.
  • Tempo as Frames Per Click with Eights: frames per beat with eighths. After the value, you will see "fpc".
  • Tempo as Frames Per Click with Decimals: frames per beat, to four decimal places. Take care, this display can easily be confused with the BPM display.

Clock Format

This pull-down menu offers various format options for the song position display.

Language

This setting allows you to change the language of the menus and dialogs. A restart of Logic is required after changing the setting.

Look

This setting changes the look of Logic. Version 3.x is better suited for low color resolution.

Background Pattern in Arrange

This allows you to choose an Arrange background pattern (High Resolution Background) or a color for the plain backround (Arrange > View > Plain Background)

Transparency

- Automation Object Transparency in Arrange
A higher value brightens the colour of an Arrange object in the Track Automation area.

- Automation Other Data Transpareny in Arrange
Brightens the display of other automation data other than the one currently active.


Score Preferences

Song Settings and Preferences > Preferences > Score Preferences

The Score Preferences are described in detail here.


Reset Messages

Song Settings and Preferences > Preferences > Reset Messages

This page is only left for compatibility reasons. Logic handles MIDI Reset Messages automatically and intelligently, so simply make sure that everything is switched off.


Audio Preferences

Song Settings and Preferences > Preferences > Audio Preferences

Sample Edit

- Warning before closing Sample Edit
If you have executed a destructive edit command in the Sample Editor, e.g. Normalize or Fade Out etc., when you close the window you will be asked if you want to Undo this edit. Of course, once you are used to editing audio data in the Sample Edit window, you may begin to find this alert box irritating, so this is where you can get rid of the warning.

- Warning before process Function in Sample Edit (Key)
Before you carry out a destructive edit in the Sample Editor using a key command, a warning appears giving you the opportunity to cancel it, before altering the data.

You can define key commands for all the destructive edit commands in Logic, which will then be valid only if the Sample Edit window is active. Depending on what key commands and window combinations you are using, there is a danger of executing edit commands accidentally. Thus, Logic is preset so that an alert box appears first. If you feel confident that you won't accidentally process a file, you can switch off the alert here.

- Warning before process Function in Sample Edit (Menu)
This option is functionally almost identical to the previous one, the only difference being that the warning appears whenever you use a menu to execute a destructive command in the Sample Edit window.

Once you are more experienced, you may not need this alert box when you call up an edit command via a menu, so you can switch it off here.

- Ask for complete Backup...
This is where you can switch off the alert box in the Sample Editor which asks you whether you want to make a safety copy of the audio file, before you destructively edit a sample. (See the section on the Sample Editor).

- Create Undo file for "Normalize"
Storing the "Undo" files for destructive edits of audio data can take a long time and use up memory, depending on the size of the audio file. Normalize is generally a safe, and usually beneficial edit. Switch this option off, if you want to remove the Undo option for the normalize function.

Display

- Display Color in Audio Window
If audio regions in the Arrange window are very brightly colored, it can sometimes be difficult to make out the waveform display in the Audio window. You can, therefore revert to a black and white display here.

- New Style Audio Objects
This setting toggles the look of the audio objects between the old and new (since V 3.0) style.

- Colored Audio Objects
The color of an audio object is normally only visible in the icon display, which determines the color of the audio sequences recorded with it. If you also want this color to appear on the graphic surface of audio objects, switch on this option. This is not possible using the "new style" objects. However, you can selectively force some audio objects to display as "old style", by simply resizing them slightly. Once this is done, the objects may be set to display whatever color you like.

- Open plug-in window on insertion
With this setting on, the window of a plug-in or a virtual instrument is automatically opened after inserting it in the corresponding slot of an audio object.

Global

- Release Audio in Background if Stopped
When you switch on this option, Logic releases the audio hardware whenever playback stops. This allows you to switch to another program , like a Sample Editor, which also needs to use the audio hardware, without having to quit Logic first.

- Prepare Audio Playback when Stopped
Normally at the start of a recording-or playback-all audio files at the song position are prepared for playback. Depending on the number of tracks, and type of system, this can take anywhere from a fraction of a second, to over a second. In some situations, you might prefer to bypass this preparation of all the playback tracks, to allow you to start recording immediately. In such a case, you should switch on this option. Recording (and MIDI playback) can then begin immediately, although the audio tracks will not start playing until a few seconds later.

- Create Overviews after recording
To allow you to view new recordings of audio files in the Arrange window, Logic has to create an overview. Before it can do this, the whole audio file has to be read, which can be time-consuming, depending on the amount of data involved. If you want to continue working in the Arrange window without the waveform display, you can switch off the creation of the overview after the recording. If necessary, the menu option "Update File Information" in the Audio window will recognize that the overview is missing, and create it later.

- Force record & convert interleaved into split stereo file(s)
This setting only applies with Universal Track Mode switched off. It stores Stereo Recordings in two separate files instead of one interleaved one.

Additional Settings

- Sample accurate automation
As the name implies Sample accurate automation is the most precise type of automation. However, it requires more overall system performance. Therefore Logic offers three options:

  • Off: needs less system performance and might be required for older songs (pre version 5 songs);
  • Volume, Pan, Sends: the most important parameters are automated with sample accuracy;
  • Volume, Pan, Sends, Plug In Parameters: all these parameters are automated with sample accuracy. Please note: not all VST-Plug-Ins can be automated in this way.

- Global Instrument Tune
This command remotely controls the main tuning parameter for all audio instruments (plug-in synthesizers, like the ES1 or EXS 24 sampler and others) by ±50 Cents. This is also the case with VST plug-in instruments. Some instruments by other manufacturers may not recognize this remote command.

- Plug-In delay compensation
This option is useful for the DSP-cards (e.g. TC PowerCore, Universal Audio UAD-1 and Creamware XTC). It compensates for delays of audio data which might be introduced when using plug-ins with DSP-cards. We recommend turning off this option if no DSP-card is used. This compensation is effective with effect plug-ins inserted in Audio Tracks and Audio Instruments.

- CPU optimization
This setting ensures that Logic's Audio Engine always uses code optimizations for the computer processor that runs your computer. It should always be switched on. The optimization can be switched off only for compability reasons. The flip menu will offer you only those choices that apply to your CPU.

Optimizations are available for the following processor types:

  • Generic Processors (no optimization)
  • Pentium III
  • Pentium4
  • AthlonXP


Surround Preferences

Song Settings and Preferences > Preferences > Surround Preferences

Assigning surround channels to audio outputs

The standard settings for the Pro Logic, 5.1, 7.1, and EX formats (each of which is available with or without center speaker) and LCR (Left-Central-Right) are pre-set in the flipmenu labelled Show as:; these settings can be edited. Click on one of the nine rectangles to choose an output.

Bounce Extension

You can see which file name extensions will be applied to the file names resulting from a bounce procedure. Remember that bouncing a surround mix will create more audio channels than your usual stereophonic bounce/mixdown. These extensions are used to identify the files. By clicking them you can edit the extensions.


Audio Driver

Song Settings and Preferences > Preferences > Audio Driver

The Audio Driver settings are covered in the Audio Driver section.


The Setup Window

Logic Control Support > Installation > The Setup Window

Any connected (and powered) Logic Control units will automatically be detected when Logic is launched (and the Autoload song is loaded). Should any units not be detected, or you wish to add additional units, you can add them via the Setup window. This is accessed via the Setup option in the Options > Preferences > Control Surfaces menu.

Installation is very easy: all you need to do is select the devices that Logic is to install, and Logic does the rest.

  • To do so, select New > Install, and in the ensuing Install window, select the desired device from the list.
  • Press the Scan (or Add) button. The selected unit(s) will appear onscreen.
  • Optionally, you can also click Scan all. This will search for Logic Control and XT units on all MIDI ports. Please be aware that this may take a while.
  • The Scan function, Setup window and Install window can all be accessed directly in the Options > Control Surfaces menu.

Rebuild Defaults

The Command Options > Control Surfaces > Rebuild Defaults initializes the connected Logic Control devices.


The Install Window

Logic Control Support > Installation > The Install Window

The Install window is where you can ask Logic to scan for devices, or where you can install them manually.

Selecting the Models

First, select the desired device(s) in the Install window before you scan or manually add them. You may select one or more models. If you select more than one model, Logic carries out the desired operation for each model in turn. Logic displays the icon of the selected device beneath the buttons.
What you can select:

  • To select just one model, click its line and press Scan or Add.
  • To select more than one model, simply press the Scan All button. Scanning all ports may take a little while.

- Scanning
Click the Scan button to start the process. You can also press Enter or double-click the name. Logic will then analyze your MIDI system, and will automatically install the devices it finds, inclusive of the correct connection settings.

This option is preferable to manual installation, as Logic is able to gather the maximum information about the devices, and human-error (incorrectly set MIDI parameters or connections) is avoided.

- Scan All
If you don't want to select the models to be scanned manually, simply click this button. Logic will then scan for all supported models. This can take some time.
The - Scan All function is also directly available via Options > Control Surfaces > Scan. This will automatically scan all MIDI ports for all Logic Control and Logic Control XT units.

Manually Adding Devices to the Setup

You can also manually add the selected devices to the Setup. In this scenario, you will then need to manually set their MIDI in and out port parameters.
To manually add the selected devices to the Setup,

  • click the Add button,
  • or press ctrl D .

If a Logic Control unit of the selected type already exists in the Setup, you will be asked whether or not you really want to add the new device. You will need to manually alter the MIDI in and out ports in the device parameters to match those of the connected unit.

Done

Once you have completed the scanning or installation of the devices, click Done. The window will close. You may also press esc or ctrl F4.


Control Surface Groups

Logic Control Support > Setup Window Parameters > Control Surface Groups

If you have multiple control surface units, you define how they relate to each other, and can build Control Surface Groups. A Control Surface Group is a number of Logic Control and Logic Control XT units which are combined to create a single, unified (and larger) control surface.
You can build up to 20 Control Surface Groups. Each "group" can consist of any number of physical units. The only limiting factor is the number of available MIDI in/out ports.

When multiple Logic Control XT and/or multiple Logic Control units are combined, you can independently define the default behavior for each physical device. This is discussed in the Setup Window Device Parameters section.

  • To build a Control Surface Group out of several units, simply arrange them in a single horizontal row by click-hold and dragging each icon to the desired onscreen location.
  • To use two control surfaces independently, arrange them in separate rows - i.e. one above the other.

Example with two Logic Control, and three Logic Control XT units: Computer icon connected to two rows, as below:

Row 1 - XT #1 | XT #2 | Logic Control #1
Row 2 - Logic Control #2 | XT #3

The top row, consisting of Logic Control XT # 1, Logic Control XT #2 and Logic Control #1 form a single Control Surface Group with 24 channels. XT #1 controls channels 1 to 8, XT #2 controls channels 9 to 16, and Logic Control #1 handles channels 17 to 24.

Logic Control #2 and Logic Control XT #3 form a second Control Surface Group, displaying channels 1 to 8 and 9 to 16.

Each Control Surface Group has individual settings, such as flip mode, fader bank offset, plug-in parameter bank offset etc. This allows you to access, edit and automate different sections of Logic's mixer.

In our example, the three units in the top row could be used for control over audio tracks and MIDI channels. In the lower row, Logic Control #2 could be used for Audio Instrument channels 1 - 8, and XT #3 could be used for buses. The physical placement of units, and the way you use them, is entirely up to you.

The placement of your XT units in relation to the Logic Control should be the same onscreen as in the real-world. Simply drag 'n drop the desired icon horizontally in your Control Surface Group to do so.


Port Selection

Logic Control Support > Setup Window Parameters > Port Selection

Each Logic Control unit must be connected to an independent MIDI in and out port. The automatic setup or Scan procedure should have automatically found, and set, the correct MIDI in/out port settings for each unit.

In the event that the MIDI in or out port identification is incorrect, you can manually select the appropriate one for the Logic Control or XT unit. To do so, click-hold on the input and output flip menus, and select the desired port of your MIDI interface.

Module name, model name and firmware version are displayed in the device parameters as well.


Special Parameters

Logic Control Support > Setup Window Parameters > Special Parameters

Transport Button Click

When this parameter is engaged, a relay in the Logic Control will click whenever you hit the transport buttons. This gives the unit a certain "mechanical" touch.

Touchless movable Faders

If you tend to use your fingernails to move the faders, or if the electrical resistance of your fingertips is exceptionally high (e.g. horn skin due to intensive guitar playing), the fader's touch sensitivity might not work, even if you raise the Fader Touch Sensitivity to its maximum.

In these cases, you can switch on Touchless movable Faders, and the faders will recognize that they're touched as soon as you move them a little. Quite a few hardware controllers with motorized faders always operate in this mode.

Fader Touch Sensitivity

The motorized faders of the Logic Control and XT are touch-sensitive. This means that you do not have to move a fader to make the unit recognize that it has been touched (however, you can set Logic Control to this behaviour, see above). Fader Touch Sensitivity, as its name implies, controls the sensitivity of these sensors, which may have to be adjusted according to the humidity of the air or the dryness of your fingertips.

Lower values are required if faders recognize a touch even if you don't touch them (moist air, high temperatures). Higher values are required if faders don't recognize the're touched although you touch them. This can happen when it's cold or when you're a guitar player with a thick horn skin on your finger tips.

Value range is from 0 to 5, the default value is 3.

Backlight Saver Timeout (min)

This parameter controls how long (in minutes) the back light stays on while Logic Control is unused. Selecting 0 switches the backlight off, maximum value is 127 minutes. The default value is 15 minutes.

Write Firmware

You can force the firmware update manually by clicking the Write Firmware button. This presumes that the unit's icon is present in the setup. If not (e.g. by deleting the Logic Control Surface Prefs file), you have to add the device manually, using the Install window, and set MIDI In and Out manually.

As the Firmware is update automatically under normal circumstances, you will rarely need this button.


Device Parameters Overview

Logic Control Support > Setup Window Parameters > Device Parameters Overview

The following parameters are shown in the Setup window. They apply to the Control Surface Group which is associated to the selected device, and allow you to set them up to meet your needs. This ability is of great benefit when multiple Control Surface Groups have been created.

All Control Surface Group parameters can also be changed by operating the Logic Control. They are displayed in the Setup window for information purposes only.

Any changes to settings in the Setup window are saved in a preferences file, which is independent of the Logic program preferences:
"Logic Control Surfaces.PRF" in the "Control Surface Plug-Ins" folder (Windows)

The Device Parameters:

Display Parameters:

  • Flip Mode
  • Display Modes (affects V-Pots)
  • Clock Display
  • Track View Mode
  • Folder/Global View Fader Bank

Track and Channel Parameters:

  • Track Parameter
  • Surround Parameter
  • EQ Band
  • EQ Parameter
  • EQ Parameter Page

Sends and Plug-In Parameter:

  • Send Slot
  • Send Parameter
  • Send Parameter Page
  • Insert Slot
  • Plug-In/Instrument Parameter Page

Misc. Parameters:

  • Track Name Format
  • Parameter Page Shift Mode
  • Relative Change Mode


Display Parameters

Logic Control Support > Setup Window Parameters > Display Parameters

Flip Mode

There are four "flip" or "swap" modes.

  • Off-disables Flip mode, making the fader act as a volume control.
  • Duplicate-makes both the fader and V-Pot active for the currently selected V-Pot parameter.
  • Swap-swaps the fader and V-Pot, making the fader e. g. a Pan control, and the V-Pot a channel volume control.
  • Mute-disables the faders. This is useful for situations where recording is taking place in the same room as the Logic Control, and you wish to avoid the mechanical noise of the faders. Any existing automation data will still function as per normal.

Display Mode

  • Value - displays the parameter value
  • Name - displays the parameter name

Clock Display

  • Beats - Forces the song position display to show Bars / Beats / Sub Division / Ticks
  • SMPTE - As above, but in Hours / Minutes / Seconds / Frames. Please note: the exact position of each digit depends on the choosen SMPTE display option.

Track View Mode

  • Track-displays channels in their order of appearance in the Track Mixer window. Instruments used by multiple tracks are merged into one channel.
  • Global-displays all objects of the selected type(s)-e. g. MIDI, Audio Bus channels etc.
  • Extended Track-displays channels in their order of appearance in the Track List of the Arrange window.

Track/Global View Fader Bank

These parameters affect the Global and Track (Folder) View modes by shifting the channels by the defined amount. To explain, imagine that you were looking at Audio tracks 1 - 8 in the Arrange window. These would appear as channels 1 - 8 in Track View mode on the Logic Control. Using the Folder View Fader B. parameter, you could offset this view by a defined number of channels, looking at Audio tracks 3 - 11, for example. The Global View Fader B. parameter does the same thing, but offsets channels in Global View mode.


Track / Channel Parameters

Logic Control Support > Setup Window Parameters > Track / Channel Parameters

Track Parameter

Defines the current Track Assignment behavior for the V-Pot. Options are:

  • Volume - adjusts channel volume
  • Pan - adjusts channel panorama
  • Mode - adjusts/selects channel mode (mono/stereo)
  • Input - adjusts/selects channel input source
  • Output - adjusts/selects channel output (main outs/buses/surround)
  • Automation - adjusts/selects channel automation mode

Surround Parameter

Defines the default Pan/Surround Assignment behavior for the V-Pot. Options are:

  • Angle - adjusts surround angle
  • Diversity - adjusts surround diversity (direction)
  • LFE - alters LFE level
  • Mode - switches between the various Surround formats

EQ Band

EQ Band allows bands 1-4 to be selected as the current band in EQ Multi Channel View. The EQ bands are accessed by pressing the Up/Down Cursor Keys.

EQ Parameter

Related to the selected band, defined by the EQ Band parameter. This determines the current EQ Assignment behavior for the V-Pot(s)in EQ Multi Channel View:

  • Type - determines the type of EQ (Parametric, Shelving etc.)
  • Frequency - determines the frequency of the selected band
  • Gain - changes the gain of the selected EQ band
  • Q - changes the Q factor of the selected band
  • Bypass - bypasses the selected EQ band

EQ Parameter Page

Defines the first EQ parameter displayed in EQ Channel Strip View. This is useful if a single Logic Control is used, and all 4 EQ bands are active on a channel. In this situation, 16 individual EQ parameters are available, but only eight of them can be assigned across the V-Pots.


Send / Plug-In Parameters

Logic Control Support > Setup Window Parameters > Send / Plug-In Parameters

Send Slot

Determines the currently selected Send slot with the V-Pot(s). Normally, a value of 1 would be used, as this accesses the first (top) Send on each channel. A value of 2 accesses the second Send, and so on, up to the eighth Send. The Send slots are accessed by pressing the UP/DOWN CURSOR buttons.

Send Parameter

Defines the currently displayed V-Pot Send parameter when in the Send Multi Channel view:

  • Destination-V-Pot is used to determine the Bus channel number for the Send slot.
  • Level-V-Pot is used to adjust the Send level
  • Position-Sets Pre and Post fader modes
  • Mute-Mutes/Unmutes the selected Send slot.

Send Parameter Page

Much like the EQ parameters, up to 32 parameters are available in Send Channel Strip View on a given channel (8 Send slots multiplied by the four parameters listed above). Send Parameter Page determines the current page for these parameters. When multiple Sends are used on a single channel, their parameters are accessed by switching "pages" with the LEFT/RIGHT CURSOR Keys.

Insert Slot

Determines the current value for the selection of a Plug-In slot with the V-Pot(s) in plug-in Channel Strip View. Normally, a value of 1 would be used, as this accesses the first (top) plug-in slot on each channel. A value of 2 accesses the second plug-in slot, and so on, up to the eighth slot. The Insert slots are accessed by pressing the UP/DOWN CURSOR Keys.

Plug-In Parameter Page

Determines the current plug-in parameter page. The first parameter/value shown on the page is assigned to V-Pot 1. The second value on the page to V-Pot 2. a. s. o.

Instrument Parameter Page

Determines the current Audio Instrument parameter page. The first parameter/value shown on the page is assigned to V-Pot 1. The second value on the page to V-Pot 2. a. s. o.


Other Parameters

Logic Control Support > Setup Window Parameters > Other Parameters

Track Name Format

Changes the track name display to show the track name alone, or the track name, and it's track number. As an example, a track named "Audio1" may actually be placed on track 12 in the Arrange window. When a value of #:Name is toggled, "Audio1" would be displayed as "12:Au1".

Parameter Page Shift Mode

Defines whether the parameter is shifted by an entire "page" or by one parameter.

Relative Change Mode

This determines the behavior of assignments with a relative value change mode (on the V-Pots).

  • Coarse-the parameter can be adjusted in coarse steps.
  • Full-the parameter value is set to its minimum if delta < 0. If greater than 0, it is set to the maximum.
  • Fine-the value is incremented/decremented in fine steps-one tick/by one "unit".

Coarse is the mode used by default.

Holding down the [image] button sets the V-Pots to fine mode. In this mode, the adjustable resolution is ignored, and the highest possible resolution is used instead. As an example, using the Sample Delay parameter: every V-Pot rotation tick in/decreases the value by 1 ms, no matter what the value of the resolution.

Full mode is enabled while holding down the [image] button. This way, you can jump to the last track by pressing [image] and Bank Right, for example.


Preferences

Logic Control Support > Preferences

The Logic Control Preferences window is accessible via the Options > Control Surfaces > Preferences menu.

Relative control resolution

This defines the default resolution of controls which change values in a relative manner.

Default is 128 steps. As an example: adjusting the Sample Delay (value range 0 to 4000 ms) in/decreases the value by 40 ms with every V-Pot rotation "tick", if resolution is set to 100.

Use multiple controls per parameter

These parameters determine whether one, or multiple, V-Pots are used per parameter when editing plug-ins or audio instruments.

When multiple V-Pots are used per parameter, the V-Pots are subdivided into groups (e.g. 1/2, 3/4, 5/6, 7/8). The first V-Pot of each sub-division controls the parameter shown in the display. The remaining V-Pot(s) are inactive.

Using more than one V-Pot per parameter shows fewer parameters at any given time, but you gain space on the LCD to cater for longer parameter names and values. The more Logic Control XT's you have, the more you benefit from this feature.

- X controls maximum
This parameter defines the maximum number of V-Pots which will be used for a single parameter.

  • 1 - parameters are always displayed using one V-Pot per parameter, each with up to 6 characters for parameter name and value
  • 2 - on each unit, 4 parameters are assigned to V-Pots 1, 3, 5 and 7; each with up to 13 characters for parameter name and value
  • 4 - on each unit, 2 parameters are assigned to V-Pots 1 and 5; each with up to 27 characters for parameter name and value
  • 8 - on each unit, 1 parameter is assigned to V-Pot 1, with up to 55 characters for parameter name and value
The default setting is "2".

- Only when all parameters fit in one page
When this option is checked, the defined number of V-Pots are only used when there are sufficient V-Pots available to show all parameters without changing pages. As an example:

  • You have a Logic Control and two Logic Control XT's, providing you with 24 V-Pots
  • A plug-in with 13 parameters will be shown with one V-Pot per parameter. Eleven V-Pots will remain unused.
  • A plug-in with 11 parameters will be shown with two V-Pots per parameter. Two V-Pots will remain unused (and of course the inactive V-Pots of the above mentioned sub-divisions).

When the option is unchecked, multiple V-Pots are used for each parameter, which may require scrolling. This would not be the case if only one V-Pot was used for each parameter.

Show value unit for

Allows you to adjust whether parameter values will be appended by the measurement "unit", where applicable-e. g. "Hz" or "%". You can set this option separately for Instrument/plug-in parameters and Volume and other parameters. If you can do without the value units, you will save display space.

Show long names while editing

Most of these are self-explanatory.

  • Parameter Name - While you edit a parameter, the upper LCD line displays the full parameter name, rather than an abbreviated form of it.
  • Parameter Value - While you edit a parameter, the lower LCD line displays the full parameter value. If the according Show value unit for parameter box (see below) is checked, it will be appended by the measurement "unit", where applicable-e. g. "dB", "Hz" or "%".

The following options only have an effect if at least one of the two parameters above is active.

  • Display duration (s) - Use the mouse as a slider on the field to adjust the time that parameter names and values remain on the LCD display, following selection/adjustments.
  • Allow multiple infos - This determines the behavior when you edit multiple parameters simultaneously. When enabled: the long name info remains in the display, until the most recently edited parameter's display times out. This may cause overlapping text. When disabled: the long name display is only shown for the most recently edited parameter. This can cause flicker.
  • Show info when selecting tracks - When this option is checked, and you select a track, you will see "Selected" in the upper row, and the selected track's name in the lower row of the LCD. You can disable this feature, if you find it disconcerting.
  • Show info when editing volume - When this option is checked, and you edit a track's volume, you will see "Volume" in the upper row and the new volume value in the lower row.You can disable this feature, if you find it disconcerting.
  • Show value unit for - Same as equally named options above, but for display while editing. Again, you can set this option separately for Instrument/plug-in parameters and Volume and other parameters.


Function Overview

Logic Control Support > Function Overview

This section gives you a brief overview over all Logic Control functions.


Channel Strip (x8)

Logic Control Support > Function Overview > Channel Strip (x8)

V-Pot

  • Modify parameter displayed in LCD.
  • : Set parameter to minimum or maximum value.
  • : Modify parameter at high resolution.

V-Select

  • Set parameter displayed on LCD to default value, or: Switch between two possible values.
  • - flashing pre-selection : Enter the pre-selected value.
  • - menu options : Enter whatever option is visible in display.
  • - If track is folder : Enter folder.

REC/RDY

  • Toggle Record Enable of track.
  • : Disable Record Enable for all tracks.

SOLO

  • Toggle Solo of track.
  • : Disable Solo for all tracks.
  • - In Send Destination/Level Multi Channel View : Toggle pre/post status of selected send.
  • - In Send Destination/Level Channel Strip View : Toggle pre/post of send on selected track.

MUTE

  • Toggle Mute of track.
  • : Disable Mute for all tracks.
  • - In EQ Frequency/Gain View : Toggle bypass of selected EQ band.
  • - In Send Destination/Level Multi Channel View : Toggle mute of selected send.
  • - In Send Destination/Level Channel Strip View : Toggle mute of send on selected track.

SELECT

  • Select track.
  • : Set track volume to unity level (0 dB).

FADER

  • Adjust volume.
  • - In Flip Mode "Duplicate" : Same function as V-Pot of same channel.
  • - In Flip Mode "Swap" : Swap function with V-Pot of same channel.
  • - In Surround Angle/Diversity View : Adjust surround diversity.
  • - In EQ Frequency/Gain View : Adjust gain of selected EQ band.
  • - In Send Destination/Level Multi Channel View : Adjust send level of selected send.
  • - In Send Destination/Level Channel Strip View : Adjust send level of send on selected track.


ASSIGNMENT Section

Logic Control Support > Function Overview > ASSIGNMENT Section

Hold down to show soft-button menu; release to switch V-Pots to Multi Channel or Channel Strip views for:

TRACK

  • Track parameters

PAN/SURROUND

  • Pan/Surround parameters

EQ

  • EQ parameters

SEND

  • Send parameters

PLUG-IN

  • plug-in selection or plug-in editor

INSTRUMENT

  • Instrument selection or Instrument editor

BANK left - right

  • Shift fader bank left/right by number of channel strips.
  • : Shift fader bank to beginning or end.

CHANNEL left - right

  • Shift fader bank left/right by one channel.
  • : Shift fader bank to beginning or end.

FLIP

  • Toggle flip mode between "off" and "duplicate".
  • : Toggle flip mode between "off" and "swap".
  • : Toggle flip mode between "off" and "zero" (i. e. motors off).

GLOBAL VIEW

  • Toggle between Track View and Global View.
  • : Toggle between Track View and Extended Track View.


DISPLAY Parameters

Logic Control Support > Function Overview > DISPLAY Parameters

NAME/VALUE

  • Toggle between parameter name and parameter value display.
  • : Cycle through level meter displays: vertical, horizontal and off.
  • : Toggle between track name and track number:name display.
  • : Clear clip/overload flags.

SMPTE/BEATS

  • Toggle between SMPTE and Beat format in clock display.


Function Buttons

Logic Control Support > Function Overview > Function Buttons

FI

  • Recall screen set 1.
  • - SHIFT : Toggle Arrange window.
  • - TRACK : Switch to Multi Channel View-Volume.
  • - PAN/SURROUND : Switch to Multi Channel View-Pan/surround angle.
  • - EQ : Switch to Multi Channel View-Bypass.
  • - SEND : Switch to Multi Channel View-Destination.
  • - MARKER : Goto Marker number 1
  • - NUDGE : Nudge value: Tick

F2

  • Recall screen set 2.
  • - SHIFT : Toggle Track Mixer window.
  • - TRACK : Switch to Multi Channel View-Pan.
  • - PAN/SURROUND : Switch to Multi Channel View-Pan/surround radius.
  • - EQ : Switch to Multi Channel View-EQ Type.
  • - SEND : Switch to Multi Channel View-Level.
  • - MARKER : Goto Marker number 2
  • - NUDGE : Nudge value: Format

F3

  • Recall screen set 3.
  • - SHIFT : Toggle Event Editor window.
  • - TRACK : Switch to Multi Channel View-Track Mode.
  • - PAN/SURROUND : Switch to Multi Channel View-Pan/surround LFE.
  • - EQ : Switch to Multi Channel View-Frequency.
  • - SEND : Switch to Multi Channel View-Position.
  • - MARKER : Goto Marker number 3
  • - NUDGE : Nudge value: Beat

F4

  • Recall screen set 4.
  • - SHIFT : Toggle Score window.
  • - TRACK : Switch to Multi Channel View-Input.
  • - PAN/SURROUND : Switch to Multi Channel View-Pan/surround mode.
  • - EQ : Switch to Multi Channel View-Gain.
  • - SEND : Switch to Multi Channel View-Mute.
  • - MARKER : Goto Marker number 4
  • - NUDGE : Nudge value: Bar

F5

  • Recall screen set 5.
  • - SHIFT : Toggle Hyper Edit window.
  • - TRACK : Switch to Multi Channel View-Output.
  • - PAN/SURROUND : Switch to Channel Strip View.
  • - EQ : Switch to Multi Channel View-Q Factor.
  • - SEND : Switch to Channel Strip View.
  • - MARKER : Goto Marker number 5
  • - NUDGE : Nudge value: Frame

F6

  • Recall screen set 6.
  • - SHIFT : Toggle Matrix Editor window.
  • - TRACK : Switch to Multi Channel View-Automation.
  • - PAN/SURROUND : Switch to Angle/Diversity View.
  • - EQ : Switch to Channel Strip View.
  • - SEND : Switch to Channel Strip 2 View.
  • - MARKER : Goto Marker number 6
  • - NUDGE : Nudge value: 1/2 Frame

F7

  • Recall screen set 7.
  • - SHIFT : Toggle Transport window.
  • - EQ : Switch to Frequency/Gain Multi Channel View.
  • - SEND : Switch to Destination/Level Multi Channel View.
  • - MARKER : Goto Marker number 7

F8

  • Close top-most floating window.
  • - SHIFT : Toggle Audio window.
  • - TRACK : Switch to Track Setup View.
  • - EQ : Switch to Frequency/Gain Channel Strip View.
  • - SEND : Switch to Destination/Level Channel Strip View.
  • - MARKER : Goto Marker number 8


GLOBAL VIEW Buttons

Logic Control Support > Function Overview > GLOBAL VIEW Buttons

MIDI

  • Switch to Global View and show MIDI instruments.
  • : Set to fader bank no. 1 (e. g. tracks 1 to 8).

INPUTS

  • Switch to Global View and show audio input objects.
  • : Set to fader bank no. 2 (e. g. tracks 9 to 16).

AUDIO TRACKS

  • Switch to Global View and show audio track objects.
  • : Set to fader bank no. 3 (e. g. tracks 17 to 24).

INSTRUMENTS

  • Switch to Global View and show audio instrument objects.
  • : Set to fader bank no. 4 (e. g. tracks 25 to 32).

AUX

  • Switch to Global View and show aux objects.
  • : Set to fader bank no. 5 (e. g. tracks 33 to 40).

BUSSES

  • Switch to Global View and show bus objects.
  • : Set to fader bank no. 6 (e. g. tracks 41 to 48).

OUTPUTS

  • Switch to Global View and show outputs and master objects.
  • : Set to fader bank no. 7 (e. g. tracks 49 to 56).

USER

  • Currently unassigned.
  • : Set to fader bank no. 8 (e. g. tracks 57 to 64).


MODIFIERS

Logic Control Support > Function Overview > MODIFIERS

...while held down:

  • : Switch to second function.
  • : Apply function to all tracks or set parameter to minimum/maximum.
  • : Enable fine mode; shift parameter page by 1 parameter instead of page.


AUTOMATION Buttons

Logic Control Support > Function Overview > AUTOMATION Buttons

READ/OFF

  • Set selected track's automation to Read or Off.
  • : Set all tracks' automation to Read or Off.

TOUCH

  • Set selected track's automation to Touch.
  • : Set all tracks' automation to Touch.

LATCH

  • Set selected track's automation to Latch.
  • : Set all tracks' automation to Latch.

WRITE

  • Set selected track's automation to Write.
  • : Set all tracks' automation to Write.

TRIM

Currently unassigned.

GROUP

Currently unassigned.


UTILITIES Buttons

Logic Control Support > Function Overview > UTILITIES Buttons

SAVE

  • Save Song.
  • : Save Song as ...

UNDO

  • Undo.
  • : Redo.
  • : Open Undo History.

CANCEL

  • Leave folder.
  • - Flashing pre-selection: Cancel pre-selection.
  • - In alerts: Execute "Cancel" button.

ENTER

  • Enter folder of selected track.
  • - In alerts: : Execute default button.


TRANSPORT Buttons

Logic Control Support > Function Overview > TRANSPORT Buttons

MARKER

  • Toggle Small Marker Mode.
  • : Toggle Large Marker Mode

NUDGE

  • Toggle Small Nudge Mode.
  • : Toggle Large Nudge Mode

CYCLE

  • Toggle Cycle.
  • : Switch to Cycle View.

DROP

  • Toggle Drop.
  • : Switch to Drop View.

REPLACE

  • Toggle Replace.

CLICK

  • Toggle playback or record metronome click.
  • : Toggle internal/external sync and MMC.

SOLO

  • Toggle track solo (of selected track).
  • : Enable Solo Lock

REWIND

  • Shuttle rewind.
  • - MARKER : Go to previous marker.
  • - NUDGE : Nudge left by chosen value.
  • - CYCLE : Engage Cycle and set left locator to SPL.
  • - DROP : Engage Drop and set Drop In to SPL.
  • - In Marker Mode : Go to previous marker.
  • - In Nudge Mode: : Nudge left by chosen value.

FAST FORWARD

  • Shuttle forward.
  • - MARKER : Go to next marker.
  • - NUDGE : Nudge right by chosen value.
  • - CYCLE : Engage Cycle and set right locator to SPL.
  • - DROP : Engage Drop and set Drop Out to SPL.
  • - In Marker Mode : Go to previous marker.
  • - In Nudge Mode: : Nudge right by chosen value.

STOP

  • Stop.

PLAY

  • Play.
  • : Pause.

RECORD

  • Record.


Cursor Keys & Scrub Wheel

Logic Control Support > Function Overview > Cursor Keys & Scrub Wheel

CURSOR left - right

  • - If in Multi Channel View : Select previous/next parameter or of current View.
  • - If in Channel Strip EQ, Send View or plug-in/Instrument Edit View : Shift current editor page by 1 page.
  • : Shift current editor page by 1 parameter.
  • - Otherwise (always in Nudge mode) : Mimic computer keyboard cursor left/right keys.
  • - In Zoom mode : Change horizontal zoom level.
  • : Reset individual track zoom of current track (Cursor left) or all tracks of same class (Cursor right).

CURSOR up - down

  • - In Channel Strip EQ-, Send View- or Plug-In/Instrument Editor View : Select previous/next EQ band, Send or insert slot.
  • - Otherwise (always in Nudge mode) : Mimic computer keyboard cursor up/down keys.
  • - In Zoom Mode: : Change vertical zoom level.
  • : Change individual track zoom of current track.

ZOOM

  • Toggle between default cursor button behavior (see above) and Zoom mode.
  • : Toggle between default cursor button behavior and permanently mimicking computer keyboard cursor keys.

SCRUB

  • Toggle scrub mode.

JOG WHEEL

  • Move song position line.
  • - In Scrub Mode : Scrub.


External Inputs

Logic Control Support > Function Overview > External Inputs

USER SWITCH A

  • Play/Stop

USER SWITCH B

  • Drop In/Out

EXTERNAL CONTROL

  • Master Volume


Credits

About us... > Credits

Development

  • Gerhard Lengeling
  • Chris Adam
  • Clemens Homburg
  • Felix Bertram
  • Markus Fritze
  • Michael Haydn
  • Steffan Diedrichsen
  • Jan Cordes
  • Niko Gerteis
  • Gunter Mensch
  • Carsten Schulz
  • Jens Altfelder
  • Markus Sapp
  • Christoph Buskies

Product Management

  • Jan-Hinnerk Helms
  • Andreas Dedring
  • Thomas Sauer
  • Thorsten Adam
  • Manfred Maraun

Design Team

  • Sven Junge
  • Ole Lagemann
  • Atelier Herr Rogge & Frau Pott
  • Nikolaus Brocke
  • Kerstin Heitmann
  • Thorsten Quandt
  • Petra Ehlers
  • Jan Zimmermann

Quality Assurance

  • Panos Kolias
  • Sascha Kujawa
  • Thomas Preine
  • Wolfgang Rüter
  • Malte Lübbe
  • Martin Borchert

User Manual and Online Help

  • Jan-Friedrich Conrad
  • David Bellingham
  • Johannes Prischl
  • Ronald Bias
  • Uwe Senkler
  • Jeff Bohnhoff
  • Christian Unger


Special thanks to...

About us... > Special thanks to...

... the Betatest Team

Michael Adamietz, Chris Adams, Ryeland Allison, Alo Ami, Buelent Aris, Jay Asher, Ron Aston, Omar Baba, Kim Baekgaard, Stefano Bartoloni, Raymund Beyer, Dave Billin, Thomas Bleicher, Brynjulf Blix, Uffe Boerjesson, Per Boysen, Alan Branch, Alex Breuer, Rainer Brueninghaus, Tim Bruhns, Manfred Buchholz, Richard Bull, Jonathan Campbell, Gerhard Castenow, Laurent Chapin, Richard Chappell, Eddi Checo Rodrigez, Keith Christoffers, Malcom Corbett, Martijn Cornelissen, Jon Cotton, Tony D. Cray, Stephane Deschamps, Hanno Dirosa, Peter Andrew Dudley, George Duke, Ralf Eging, Hans Engel, David Floyd, Karlheinz Fohlert, Sascha Franck, Simon Franglen, Michele Gaggia, Michael Gerdau, Richard Gonski, Andrea Gozzi, Andy Gradl, Gregg Graham, David Granados, Andreas Grotenhoff, Don Grusin, Dennis Gunn, Eldad Gwetta, Randy Hammon, Daniel Hamuy, Reinhold Heil, Dino Herrmann, Wilbert Hirsch, Florian Hirschmann, Michael Homann, Cedric Hopf, Steff Hummel, Matt Isaacson, Niklas Jarl, Mat Jarvis, Han Jong Ko, Dirk Karsten, Thomas Kern, Andy Kopp, Norbert Kreuzer, Manfred Lange, John Lehmkuhl, Olaf Lenk, Sigi Lenz, Oliver Lieb, Paul Linford, Pit Loew, Peter Mansson, Hanz Marathon, Markus Marquardt, Tony Marvuglio, David Mash, Renea Mckee, Kenn Michael, Budy Mokoginta, Oliver Momm, Adrian Morgan, Sophia Morizet, Joey Moskowitz, Siggi Mueller, Steffen Mueller, Stefan Naeser, Andreas Neubert, Louis Oberlaender, Andrew Page, Bernhard Penzias, Ted Perlman, Mark Pfurtscheller, Sam Purkin, Patrick Putzolu, Jacco Rens, Fernando Rodrigues, Mathias Rosenqvist, Frido Ruth, Tom Salta, Wieland Samolak, Holger Scheve, Carsten Schmid, Jochen Schmidt, Kristian Schultze, Hanns Thomas Schwarzmann, Marco Scocchera, Olivier Sebillotte, Thomas Siebert, Charles Simmons, Wolfgang Sperner, Morten Stjernholm, Jeff Storm, Klaus Strazicky, Ferenc Szabo, Daniel Taeger, John Tartaglia, Jeff Taylor, James Thornton, Rich Thurow, Randy Tobin, Ian Underwood, Thomas Valter, Jos van Gemert, Joeri Vankeirsbilck, Matthew Vaughan, Ole Vik, Martin Volerich, Steven Waddington, Joerg Martin Wagner, Adam Watson, Michel Weber, Guenter Wein, Gena Wernik, Greg Zimmermann


Contact

About us... > Contact

Emagic Soft- und Hardware GmbH

Halstenbeker Weg 96a
D-25462 Rellingen
Germany

Tel.: +49 4101-495-0
Fax: +49 4101-495-199

Web: www.emagic.de
E-Mail: info@emagic.de

Emagic Incorporated

13342-A Grass Valley Ave
Grass Valley, CA 95945
USA

Sales: +1 530 477-1051
Support: +1 530 477-1050
Administration: +1 530 477-1053
Fax: +1 530 477-1052


Logic Platinum Help Center

Welcome to the Logic Platinum Help Center.

To look for information please use the table of contents which opens when clicking on the "+" symbol next to the light bulb on the left, or click on the search tag to look for a specific term.

The Logic Platinum Help Center is currently only available in English. We apologize for the inconvenience.

© Emagic 2002. All rights reserved. All Trademarks are the property of their respective owners.

Please note: While the contents of the online Help system correspond as closely as possible to the published feature set, it is possible that some variance occurs in particular program versions. Emagic makes no claim as to the eventual inclusion of such features. Please see the Emagic License Agreement for more details.